/*===========================================================================*/
/*   (Eval/evaluate_avar.scm)                                                */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_avar.scm -indent -o objs/obj_u/Eval/evaluate_avar.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62avarzd2ev_prog21192zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_symbol1778z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1780z00zz__evaluate_avarz00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_setlocal1196zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t, obj_t);
	static obj_t BGl_symbol1790z00zz__evaluate_avarz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_z62avarzd2ev_goto1212zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_if1188zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_global1184zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_avarz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_letrec1208zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_hook1194zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_withzd2handler1202z62zz__evaluate_avarz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static bool_t BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00;
	static obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_let1204zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_letz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_avarz00();
	static obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_avarz00(obj_t,
		obj_t);
	static obj_t BGl_diffz00zz__evaluate_avarz00(obj_t, obj_t);
	extern obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt, obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62avarzd2ev_unwindzd2prote1200z62zz__evaluate_avarz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza31369ze3ze1zz__evaluate_avarz00(obj_t,
		obj_t);
	static obj_t BGl_z62avarzd2ev_app1214zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_var1182zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_letza21206z12zz__evaluate_avarz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_abs1216zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_funionz00zz__evaluate_avarz00(obj_t);
	static obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_list1190zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_litt1186zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62avarzd2ev_bindzd2exit1198z62zz__evaluate_avarz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62avar1176z62zz__evaluate_avarz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62avarzd2ev_labels1210zb0zz__evaluate_avarz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_avarzd2envzd2zz__evaluate_avarz00,
		BgL_bgl_za762avarza762za7za7__ev1815z00, BGl_z62avarz62zz__evaluate_avarz00,
		0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_analysezd2varszd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762analyseza7d2var1816z00,
		BGl_z62analysezd2varszb0zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1800z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_hoo1817z00,
		BGl_z62avarzd2ev_hook1194zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1801z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_set1818z00,
		BGl_z62avarzd2ev_setlocal1196zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1802z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_bin1819z00,
		BGl_z62avarzd2ev_bindzd2exit1198z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1803z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_unw1820z00,
		BGl_z62avarzd2ev_unwindzd2prote1200z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1804z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_wit1821z00,
		BGl_z62avarzd2ev_withzd2handler1202z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1805z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1822z00,
		BGl_z62avarzd2ev_let1204zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1806z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1823z00,
		BGl_z62avarzd2ev_letza21206z12zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1807z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_let1824z00,
		BGl_z62avarzd2ev_letrec1208zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1814z00zz__evaluate_avarz00,
		BgL_bgl_string1814za700za7za7_1825za7, "__evaluate_avar", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1808z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lab1826z00,
		BGl_z62avarzd2ev_labels1210zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1809z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_got1827z00,
		BGl_z62avarzd2ev_goto1212zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1810z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_app1828z00,
		BGl_z62avarzd2ev_app1214zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1811z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_abs1829z00,
		BGl_z62avarzd2ev_abs1216zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1812z00zz__evaluate_avarz00,
		BgL_bgl_za762za7c3anonymousza71830za7,
		BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1813z00zz__evaluate_avarz00,
		BgL_bgl_za762za7c3anonymousza71831za7,
		BGl_z62zc3anonymousza31369ze3ze1zz__evaluate_avarz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1779z00zz__evaluate_avarz00,
		BgL_bgl_string1779za700za7za7_1832za7, "never", 5);
	      DEFINE_STRING(BGl_string1781z00zz__evaluate_avarz00,
		BgL_bgl_string1781za700za7za7_1833za7, "fake", 4);
	      DEFINE_STRING(BGl_string1782z00zz__evaluate_avarz00,
		BgL_bgl_string1782za700za7za7_1834za7,
		"/tmp/bigloo/runtime/Eval/evaluate_avar.scm", 42);
	      DEFINE_STRING(BGl_string1783z00zz__evaluate_avarz00,
		BgL_bgl_string1783za700za7za7_1835za7, "&analyse-vars", 13);
	      DEFINE_STRING(BGl_string1784z00zz__evaluate_avarz00,
		BgL_bgl_string1784za700za7za7_1836za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1785z00zz__evaluate_avarz00,
		BgL_bgl_string1785za700za7za7_1837za7, "&check-var", 10);
	      DEFINE_STRING(BGl_string1786z00zz__evaluate_avarz00,
		BgL_bgl_string1786za700za7za7_1838za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string1787z00zz__evaluate_avarz00,
		BgL_bgl_string1787za700za7za7_1839za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string1789z00zz__evaluate_avarz00,
		BgL_bgl_string1789za700za7za7_1840za7, "avar1176", 8);
	      DEFINE_STRING(BGl_string1791z00zz__evaluate_avarz00,
		BgL_bgl_string1791za700za7za7_1841za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1792z00zz__evaluate_avarz00,
		BgL_bgl_string1792za700za7za7_1842za7, "&avar", 5);
	      DEFINE_STRING(BGl_string1794z00zz__evaluate_avarz00,
		BgL_bgl_string1794za700za7za7_1843za7, "avar", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1788z00zz__evaluate_avarz00,
		BgL_bgl_za762avar1176za762za7za71844z00,
		BGl_z62avar1176z62zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_var1845z00,
		BGl_z62avarzd2ev_var1182zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_glo1846z00,
		BGl_z62avarzd2ev_global1184zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1796z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lit1847z00,
		BGl_z62avarzd2ev_litt1186zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1797z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_if11848z00,
		BGl_z62avarzd2ev_if1188zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1798z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_lis1849z00,
		BGl_z62avarzd2ev_list1190zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1799z00zz__evaluate_avarz00,
		BgL_bgl_za762avarza7d2ev_pro1850z00,
		BGl_z62avarzd2ev_prog21192zb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2varzd2envz00zz__evaluate_avarz00,
		BgL_bgl_za762checkza7d2varza7b1851za7,
		BGl_z62checkzd2varzb0zz__evaluate_avarz00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long
		BgL_checksumz00_2303, char *BgL_fromz00_2304)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_avarz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_avarz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_avarz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00();
					BGl_genericzd2initzd2zz__evaluate_avarz00();
					BGl_methodzd2initzd2zz__evaluate_avarz00();
					BGl_toplevelzd2initzd2zz__evaluate_avarz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_symbol1778z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1779z00zz__evaluate_avarz00);
			BGl_symbol1780z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1781z00zz__evaluate_avarz00);
			return (BGl_symbol1790z00zz__evaluate_avarz00 =
				bstring_to_symbol(BGl_string1789z00zz__evaluate_avarz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_za2za2callzf2cczd2compliantza2za2z20zz__evaluate_avarz00 =
				((bool_t) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_avarz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_688;

				BgL_headz00_688 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1360;
					obj_t BgL_tailz00_1361;

					BgL_prevz00_1360 = BgL_headz00_688;
					BgL_tailz00_1361 = BgL_l1z00_1;
				BgL_loopz00_1359:
					if (PAIRP(BgL_tailz00_1361))
						{
							obj_t BgL_newzd2prevzd2_1367;

							BgL_newzd2prevzd2_1367 =
								MAKE_PAIR(CAR(BgL_tailz00_1361), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1360, BgL_newzd2prevzd2_1367);
							{
								obj_t BgL_tailz00_2323;
								obj_t BgL_prevz00_2322;

								BgL_prevz00_2322 = BgL_newzd2prevzd2_1367;
								BgL_tailz00_2323 = CDR(BgL_tailz00_1361);
								BgL_tailz00_1361 = BgL_tailz00_2323;
								BgL_prevz00_1360 = BgL_prevz00_2322;
								goto BgL_loopz00_1359;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_688);
			}
		}
	}



/* diff */
	obj_t BGl_diffz00zz__evaluate_avarz00(obj_t BgL_l1z00_11, obj_t BgL_l2z00_12)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 90 */
		BGl_diffz00zz__evaluate_avarz00:
			if (NULLP(BgL_l1z00_11))
				{	/* Eval/evaluate_avar.scm 91 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 93 */
					obj_t BgL_xz00_740;

					BgL_xz00_740 = CAR(BgL_l1z00_11);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_740,
								BgL_l2z00_12)))
						{
							obj_t BgL_l1z00_2332;

							BgL_l1z00_2332 = CDR(BgL_l1z00_11);
							BgL_l1z00_11 = BgL_l1z00_2332;
							goto BGl_diffz00zz__evaluate_avarz00;
						}
					else
						{	/* Eval/evaluate_avar.scm 94 */
							return
								MAKE_PAIR(BgL_xz00_740,
								BGl_diffz00zz__evaluate_avarz00(CDR(BgL_l1z00_11),
									BgL_l2z00_12));
						}
				}
		}
	}



/* analyse-vars */
	BGL_EXPORTED_DEF obj_t
		BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_14)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_absz00_bglt BgL_fakez00_747;

				{	/* Eval/evaluate_avar.scm 113 */
					BgL_ev_absz00_bglt BgL_new1066z00_748;

					{	/* Eval/evaluate_avar.scm 113 */
						BgL_ev_absz00_bglt BgL_new1065z00_749;

						BgL_new1065z00_749 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_avar.scm 113 */
							long BgL_arg1321z00_750;

							{	/* Eval/evaluate_avar.scm 113 */
								long BgL_res1673z00_1405;

								{	/* Eval/evaluate_avar.scm 113 */
									obj_t BgL_classz00_1402;

									BgL_classz00_1402 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_avar.scm 113 */
										obj_t BgL_vectorz00_1403;
										int BgL_kz00_1404;

										BgL_vectorz00_1403 = BgL_classz00_1402;
										BgL_kz00_1404 = (int) (((long) 1));
										BgL_res1673z00_1405 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_1403,
												BgL_kz00_1404));
								}}
								BgL_arg1321z00_750 = BgL_res1673z00_1405;
							}
							{	/* Eval/evaluate_avar.scm 113 */
								BgL_objectz00_bglt BgL_objz00_1406;

								BgL_objz00_1406 = ((BgL_objectz00_bglt) BgL_new1065z00_749);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_1406, BgL_arg1321z00_750);
						}}
						{	/* Eval/evaluate_avar.scm 113 */
							BgL_objectz00_bglt BgL_auxz00_2343;

							BgL_auxz00_2343 = ((BgL_objectz00_bglt) BgL_new1065z00_749);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_2343, BFALSE);
						}
						BgL_new1066z00_748 = BgL_new1065z00_749;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_locz00) =
						((obj_t) BGl_symbol1778z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_wherez00) =
						((obj_t) BGl_symbol1780z00zz__evaluate_avarz00), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_arityz00) =
						((obj_t) BINT(((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_varsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_ez00_14), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_siza7eza7) =
						((int) (int) (((long) 0))), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_bindz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_freez00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_innerz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1066z00_748))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_fakez00_747 = BgL_new1066z00_748;
				}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_ez00_14, BNIL,
					((obj_t) BgL_fakez00_747));
			}
		}
	}



/* &analyse-vars */
	obj_t BGl_z62analysezd2varszb0zz__evaluate_avarz00(obj_t BgL_envz00_2169,
		obj_t BgL_ez00_2170)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 112 */
			{	/* Eval/evaluate_avar.scm 113 */
				BgL_ev_exprz00_bglt BgL_auxz00_2360;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2170,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 113 */
						BgL_auxz00_2360 = ((BgL_ev_exprz00_bglt) BgL_ez00_2170);
					}
				else
					{
						obj_t BgL_auxz00_2364;

						BgL_auxz00_2364 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 2941)),
							BGl_string1783z00zz__evaluate_avarz00,
							BGl_string1784z00zz__evaluate_avarz00, BgL_ez00_2170);
						FAILURE(BgL_auxz00_2364, BFALSE, BFALSE);
					}
				return BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_auxz00_2360);
			}
		}
	}



/* check-var */
	BGL_EXPORTED_DEF obj_t
		BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_ev_varz00_bglt BgL_varz00_15,
		obj_t BgL_localz00_16, BgL_ev_absz00_bglt BgL_absz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t) BgL_varz00_15), BgL_localz00_16)))
				{	/* Eval/evaluate_avar.scm 118 */
					return BFALSE;
				}
			else
				{	/* Eval/evaluate_avar.scm 118 */
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_15),
								(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00))))
						{	/* Eval/evaluate_avar.scm 118 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_2378;

							{	/* Eval/evaluate_avar.scm 118 */
								obj_t BgL_arg1324z00_1412;

								BgL_arg1324z00_1412 =
									(((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00);
								BgL_auxz00_2378 =
									MAKE_PAIR(((obj_t) BgL_varz00_15), BgL_arg1324z00_1412);
							}
							return
								((((BgL_ev_absz00_bglt) CREF(BgL_absz00_17))->BgL_freez00) =
								((obj_t) BgL_auxz00_2378), BUNSPEC);
						}
				}
		}
	}



/* &check-var */
	obj_t BGl_z62checkzd2varzb0zz__evaluate_avarz00(obj_t BgL_envz00_2171,
		obj_t BgL_varz00_2172, obj_t BgL_localz00_2173, obj_t BgL_absz00_2174)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 117 */
			{	/* Eval/evaluate_avar.scm 118 */
				BgL_ev_absz00_bglt BgL_auxz00_2391;
				BgL_ev_varz00_bglt BgL_auxz00_2383;

				if (BGl_isazf3zf3zz__objectz00(BgL_absz00_2174,
						BGl_ev_absz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2391 = ((BgL_ev_absz00_bglt) BgL_absz00_2174);
					}
				else
					{
						obj_t BgL_auxz00_2395;

						BgL_auxz00_2395 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1785z00zz__evaluate_avarz00,
							BGl_string1787z00zz__evaluate_avarz00, BgL_absz00_2174);
						FAILURE(BgL_auxz00_2395, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_varz00_2172,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 118 */
						BgL_auxz00_2383 = ((BgL_ev_varz00_bglt) BgL_varz00_2172);
					}
				else
					{
						obj_t BgL_auxz00_2387;

						BgL_auxz00_2387 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 3159)),
							BGl_string1785z00zz__evaluate_avarz00,
							BGl_string1786z00zz__evaluate_avarz00, BgL_varz00_2172);
						FAILURE(BgL_auxz00_2387, BFALSE, BFALSE);
					}
				return
					BGl_checkzd2varzd2zz__evaluate_avarz00(BgL_auxz00_2383,
					BgL_localz00_2173, BgL_auxz00_2391);
			}
		}
	}



/* bind-and-reset-effect */
	obj_t
		BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(BgL_ev_absz00_bglt
		BgL_absz00_72, obj_t BgL_varsz00_73)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 220 */
			{	/* Eval/evaluate_avar.scm 226 */
				obj_t BgL_ifreez00_757;

				BgL_ifreez00_757 =
					BGl_funionz00zz__evaluate_avarz00(
					(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_innerz00));
				{
					obj_t BgL_auxz00_2402;

					{	/* Eval/evaluate_avar.scm 228 */
						obj_t BgL_arg1326z00_759;

						BgL_arg1326z00_759 =
							(((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00);
						BgL_auxz00_2402 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_varsz00_73,
							BgL_arg1326z00_759);
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_absz00_72))->BgL_bindz00) =
						((obj_t) BgL_auxz00_2402), BUNSPEC);
				}
				{	/* Eval/evaluate_avar.scm 230 */
					obj_t BgL_g1165z00_760;

					BgL_g1165z00_760 =
						BGl_diffz00zz__evaluate_avarz00(BgL_varsz00_73, BgL_ifreez00_757);
					{
						obj_t BgL_l1163z00_1452;

						BgL_l1163z00_1452 = BgL_g1165z00_760;
					BgL_zc3anonymousza31327ze3z83_1451:
						if (PAIRP(BgL_l1163z00_1452))
							{	/* Eval/evaluate_avar.scm 233 */
								{	/* Eval/evaluate_avar.scm 233 */
									obj_t BgL_vz00_1458;

									BgL_vz00_1458 = CAR(BgL_l1163z00_1452);
									{	/* Eval/evaluate_avar.scm 233 */
										BgL_ev_varz00_bglt BgL_i1091z00_1459;

										BgL_i1091z00_1459 = ((BgL_ev_varz00_bglt) BgL_vz00_1458);
										((((BgL_ev_varz00_bglt) CREF(BgL_i1091z00_1459))->
												BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
									}
								}
								{
									obj_t BgL_l1163z00_2412;

									BgL_l1163z00_2412 = CDR(BgL_l1163z00_1452);
									BgL_l1163z00_1452 = BgL_l1163z00_2412;
									goto BgL_zc3anonymousza31327ze3z83_1451;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 233 */
								((bool_t) 1);
							}
					}
				}
				return BgL_ifreez00_757;
			}
		}
	}



/* funion */
	obj_t BGl_funionz00zz__evaluate_avarz00(obj_t BgL_lz00_771)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 225 */
			if (NULLP(BgL_lz00_771))
				{	/* Eval/evaluate_avar.scm 223 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_avar.scm 225 */
					obj_t BgL_arg1334z00_774;
					obj_t BgL_arg1335z00_775;

					{
						BgL_ev_absz00_bglt BgL_auxz00_2416;

						{	/* Eval/evaluate_avar.scm 225 */
							obj_t BgL_pairz00_1415;

							BgL_pairz00_1415 = BgL_lz00_771;
							BgL_auxz00_2416 = ((BgL_ev_absz00_bglt) CAR(BgL_pairz00_1415));
						}
						BgL_arg1334z00_774 =
							(((BgL_ev_absz00_bglt) CREF(BgL_auxz00_2416))->BgL_freez00);
					}
					BgL_arg1335z00_775 =
						BGl_funionz00zz__evaluate_avarz00(CDR(BgL_lz00_771));
					{
						obj_t BgL_l1z00_1418;
						obj_t BgL_l2z00_1419;

						BgL_l1z00_1418 = BgL_arg1334z00_774;
						BgL_l2z00_1419 = BgL_arg1335z00_775;
					BgL_unionz00_1417:
						if (NULLP(BgL_l1z00_1418))
							{	/* Eval/evaluate_avar.scm 225 */
								return BgL_l2z00_1419;
							}
						else
							{	/* Eval/evaluate_avar.scm 225 */
								obj_t BgL_xz00_1426;

								BgL_xz00_1426 = CAR(BgL_l1z00_1418);
								{	/* Eval/evaluate_avar.scm 225 */
									obj_t BgL_arg1302z00_1427;
									obj_t BgL_arg1305z00_1428;

									BgL_arg1302z00_1427 = CDR(BgL_l1z00_1418);
									if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
											(BgL_xz00_1426, BgL_l2z00_1419)))
										{	/* Eval/evaluate_avar.scm 225 */
											BgL_arg1305z00_1428 = BgL_l2z00_1419;
										}
									else
										{	/* Eval/evaluate_avar.scm 225 */
											BgL_arg1305z00_1428 =
												MAKE_PAIR(BgL_xz00_1426, BgL_l2z00_1419);
										}
									{
										obj_t BgL_l2z00_2431;
										obj_t BgL_l1z00_2430;

										BgL_l1z00_2430 = BgL_arg1302z00_1427;
										BgL_l2z00_2431 = BgL_arg1305z00_1428;
										BgL_l2z00_1419 = BgL_l2z00_2431;
										BgL_l1z00_1418 = BgL_l1z00_2430;
										goto BgL_unionz00_1417;
									}
								}
							}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_proc1788z00zz__evaluate_avarz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1789z00zz__evaluate_avarz00);
		}
	}



/* &avar1176 */
	obj_t BGl_z62avar1176z62zz__evaluate_avarz00(obj_t BgL_envz00_2176,
		BgL_ev_exprz00_bglt BgL_ez00_2177, obj_t BgL_localz00_2178,
		obj_t BgL_absz00_2179)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol1790z00zz__evaluate_avarz00,
				BGl_string1791z00zz__evaluate_avarz00, ((obj_t) BgL_ez00_2177));
		}
	}



/* avar */
	obj_t BGl_avarz00zz__evaluate_avarz00(BgL_ev_exprz00_bglt BgL_ez00_18,
		obj_t BgL_localz00_19, obj_t BgL_absz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				obj_t BgL_method1180z00_785;

				{	/* Eval/evaluate_avar.scm 122 */
					obj_t BgL_res1685z00_1493;

					{	/* Eval/evaluate_avar.scm 122 */
						BgL_objectz00_bglt BgL_objz00_1465;

						BgL_objz00_1465 = ((BgL_objectz00_bglt) BgL_ez00_18);
						{	/* Eval/evaluate_avar.scm 122 */
							long BgL_objzd2classzd2numz00_1466;

							{	/* Eval/evaluate_avar.scm 122 */
								long BgL_res1679z00_1469;

								BgL_res1679z00_1469 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1465);
								BgL_objzd2classzd2numz00_1466 = BgL_res1679z00_1469;
							}
							{	/* Eval/evaluate_avar.scm 122 */
								obj_t BgL_arg1661z00_1467;

								BgL_arg1661z00_1467 =
									PROCEDURE_REF(BGl_avarzd2envzd2zz__evaluate_avarz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_avar.scm 122 */
									obj_t BgL_arrayz00_1470;
									int BgL_offsetz00_1471;

									BgL_arrayz00_1470 = BgL_arg1661z00_1467;
									BgL_offsetz00_1471 = (int) (BgL_objzd2classzd2numz00_1466);
									{	/* Eval/evaluate_avar.scm 122 */
										long BgL_offsetz00_1472;

										BgL_offsetz00_1472 =
											((long) (BgL_offsetz00_1471) - OBJECT_TYPE);
										{	/* Eval/evaluate_avar.scm 122 */
											long BgL_modz00_1473;

											{	/* Eval/evaluate_avar.scm 122 */
												int BgL_arg1663z00_1474;

												BgL_arg1663z00_1474 = (int) (((long) 16));
												{	/* Eval/evaluate_avar.scm 122 */
													long BgL_res1682z00_1484;

													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_auxz00_2443;

														BgL_auxz00_2443 = (long) (BgL_arg1663z00_1474);
														BgL_res1682z00_1484 =
															(BgL_offsetz00_1472 / BgL_auxz00_2443);
													}
													BgL_modz00_1473 = BgL_res1682z00_1484;
											}}
											{	/* Eval/evaluate_avar.scm 122 */
												long BgL_restz00_1475;

												{	/* Eval/evaluate_avar.scm 122 */
													int BgL_arg1662z00_1476;

													BgL_arg1662z00_1476 = (int) (((long) 16));
													{	/* Eval/evaluate_avar.scm 122 */
														long BgL_res1684z00_1488;

														{	/* Eval/evaluate_avar.scm 122 */
															long BgL_auxz00_2447;

															BgL_auxz00_2447 = (long) (BgL_arg1662z00_1476);
															BgL_res1684z00_1488 =
																(BgL_offsetz00_1472 % BgL_auxz00_2447);
														}
														BgL_restz00_1475 = BgL_res1684z00_1488;
												}}
												{	/* Eval/evaluate_avar.scm 122 */

													BgL_res1685z00_1493 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1470,
															(int) (BgL_modz00_1473)),
														(int) (BgL_restz00_1475));
					}}}}}}}}
					BgL_method1180z00_785 = BgL_res1685z00_1493;
				}
				return
					PROCEDURE_ENTRY(BgL_method1180z00_785) (BgL_method1180z00_785,
					((obj_t) BgL_ez00_18), BgL_localz00_19, BgL_absz00_20, BEOA);
			}
		}
	}



/* &avar */
	obj_t BGl_z62avarz62zz__evaluate_avarz00(obj_t BgL_envz00_2180,
		obj_t BgL_ez00_2181, obj_t BgL_localz00_2182, obj_t BgL_absz00_2183)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 122 */
			{	/* Eval/evaluate_avar.scm 122 */
				BgL_ev_exprz00_bglt BgL_auxz00_2461;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2181,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_avar.scm 122 */
						BgL_auxz00_2461 = ((BgL_ev_exprz00_bglt) BgL_ez00_2181);
					}
				else
					{
						obj_t BgL_auxz00_2465;

						BgL_auxz00_2465 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1782z00zz__evaluate_avarz00, BINT(((long) 3282)),
							BGl_string1792z00zz__evaluate_avarz00,
							BGl_string1784z00zz__evaluate_avarz00, BgL_ez00_2181);
						FAILURE(BgL_auxz00_2465, BFALSE, BFALSE);
					}
				return
					BGl_avarz00zz__evaluate_avarz00(BgL_auxz00_2461, BgL_localz00_2182,
					BgL_absz00_2183);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1793z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1795z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1796z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc1797z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc1798z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1799z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc1800z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1801z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1802z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1803z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1804z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc1805z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1806z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1807z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1808z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1809z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1810z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_avarzd2envzd2zz__evaluate_avarz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1811z00zz__evaluate_avarz00,
				BGl_string1794z00zz__evaluate_avarz00);
		}
	}



/* &avar-ev_abs1216 */
	obj_t BGl_z62avarzd2ev_abs1216zb0zz__evaluate_avarz00(obj_t BgL_envz00_2204,
		BgL_ev_absz00_bglt BgL_ez00_2205, obj_t BgL_localz00_2206,
		obj_t BgL_absz00_2207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 236 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1059;
				obj_t BgL_localz00_1060;
				obj_t BgL_absz00_1061;

				BgL_ez00_1059 = BgL_ez00_2205;
				BgL_localz00_1060 = BgL_localz00_2206;
				BgL_absz00_1061 = BgL_absz00_2207;
				{	/* Eval/evaluate_avar.scm 238 */
					BgL_ev_absz00_bglt BgL_i1093z00_1065;

					BgL_i1093z00_1065 = ((BgL_ev_absz00_bglt) BgL_absz00_1061);
					{
						obj_t BgL_auxz00_2489;

						{	/* Eval/evaluate_avar.scm 239 */
							obj_t BgL_arg1423z00_1066;

							BgL_arg1423z00_1066 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1065))->BgL_innerz00);
							BgL_auxz00_2489 =
								MAKE_PAIR(((obj_t) BgL_ez00_1059), BgL_arg1423z00_1066);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_i1093z00_1065))->BgL_innerz00) =
							((obj_t) BgL_auxz00_2489), BUNSPEC);
					}
				}
				{	/* Eval/evaluate_avar.scm 240 */
					BgL_ev_exprz00_bglt BgL_arg1424z00_1067;
					obj_t BgL_arg1429z00_1068;

					BgL_arg1424z00_1067 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_bodyz00);
					BgL_arg1429z00_1068 =
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_varsz00);
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1424z00_1067,
						BgL_arg1429z00_1068, ((obj_t) BgL_ez00_1059));
				}
				{	/* Eval/evaluate_avar.scm 241 */
					obj_t BgL_ifreez00_1069;

					BgL_ifreez00_1069 =
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00
						(BgL_ez00_1059,
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_varsz00));
					{
						obj_t BgL_auxz00_2500;

						{	/* Eval/evaluate_avar.scm 243 */
							obj_t BgL_arg1430z00_1071;
							obj_t BgL_arg1431z00_1072;

							{	/* Eval/evaluate_avar.scm 243 */
								obj_t BgL_arg1435z00_1073;

								BgL_arg1435z00_1073 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_freez00);
								{
									obj_t BgL_l1z00_1905;
									obj_t BgL_l2z00_1906;

									BgL_l1z00_1905 = BgL_ifreez00_1069;
									BgL_l2z00_1906 = BgL_arg1435z00_1073;
								BgL_unionz00_1904:
									if (NULLP(BgL_l1z00_1905))
										{	/* Eval/evaluate_avar.scm 243 */
											BgL_arg1430z00_1071 = BgL_l2z00_1906;
										}
									else
										{	/* Eval/evaluate_avar.scm 243 */
											obj_t BgL_xz00_1913;

											{	/* Eval/evaluate_avar.scm 243 */
												obj_t BgL_pairz00_1919;

												BgL_pairz00_1919 = BgL_l1z00_1905;
												BgL_xz00_1913 = CAR(BgL_pairz00_1919);
											}
											{	/* Eval/evaluate_avar.scm 243 */
												obj_t BgL_arg1302z00_1914;
												obj_t BgL_arg1305z00_1915;

												{	/* Eval/evaluate_avar.scm 243 */
													obj_t BgL_pairz00_1920;

													BgL_pairz00_1920 = BgL_l1z00_1905;
													BgL_arg1302z00_1914 = CDR(BgL_pairz00_1920);
												}
												if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_xz00_1913, BgL_l2z00_1906)))
													{	/* Eval/evaluate_avar.scm 243 */
														BgL_arg1305z00_1915 = BgL_l2z00_1906;
													}
												else
													{	/* Eval/evaluate_avar.scm 243 */
														BgL_arg1305z00_1915 =
															MAKE_PAIR(BgL_xz00_1913, BgL_l2z00_1906);
													}
												{
													obj_t BgL_l2z00_2511;
													obj_t BgL_l1z00_2510;

													BgL_l1z00_2510 = BgL_arg1302z00_1914;
													BgL_l2z00_2511 = BgL_arg1305z00_1915;
													BgL_l2z00_1906 = BgL_l2z00_2511;
													BgL_l1z00_1905 = BgL_l1z00_2510;
													goto BgL_unionz00_1904;
												}
											}
										}
								}
							}
							BgL_arg1431z00_1072 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_bindz00);
							BgL_auxz00_2500 =
								BGl_diffz00zz__evaluate_avarz00(BgL_arg1430z00_1071,
								BgL_arg1431z00_1072);
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_freez00) =
							((obj_t) BgL_auxz00_2500), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_2515;

						{	/* Eval/evaluate_avar.scm 244 */
							obj_t BgL_arg1438z00_1075;

							BgL_arg1438z00_1075 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_varsz00);
							BgL_auxz00_2515 =
								BGl_filterz00zz__r4_control_features_6_9z00
								(BGl_proc1812z00zz__evaluate_avarz00, BgL_arg1438z00_1075);
						}
						return
							((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1059))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2515), BUNSPEC);
					}
				}
			}
		}
	}



/* &<anonymous:1439> */
	obj_t BGl_z62zc3anonymousza31439ze3ze1zz__evaluate_avarz00(obj_t
		BgL_envz00_2208, obj_t BgL_vz00_2209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 244 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_vz00_2209)))->BgL_effz00);
		}
	}



/* &avar-ev_app1214 */
	obj_t BGl_z62avarzd2ev_app1214zb0zz__evaluate_avarz00(obj_t BgL_envz00_2210,
		BgL_ev_appz00_bglt BgL_ez00_2211, obj_t BgL_localz00_2212,
		obj_t BgL_absz00_2213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 214 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1043;
				obj_t BgL_localz00_1044;
				obj_t BgL_absz00_1045;

				{	/* Eval/evaluate_avar.scm 215 */
					bool_t BgL_auxz00_2521;

					BgL_ez00_1043 = BgL_ez00_2211;
					BgL_localz00_1044 = BgL_localz00_2212;
					BgL_absz00_1045 = BgL_absz00_2213;
					BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1043))->BgL_funz00),
						BgL_localz00_1044, BgL_absz00_1045);
					{	/* Eval/evaluate_avar.scm 215 */
						obj_t BgL_g1162z00_1871;

						BgL_g1162z00_1871 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1043))->BgL_argsz00);
						{
							obj_t BgL_l1160z00_1893;

							BgL_l1160z00_1893 = BgL_g1162z00_1871;
						BgL_zc3anonymousza31420ze3z83_1892:
							if (PAIRP(BgL_l1160z00_1893))
								{	/* Eval/evaluate_avar.scm 215 */
									{	/* Eval/evaluate_avar.scm 215 */
										obj_t BgL_ez00_1898;

										BgL_ez00_1898 = CAR(BgL_l1160z00_1893);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1898), BgL_localz00_1044,
											BgL_absz00_1045);
									}
									{
										obj_t BgL_l1160z00_2530;

										BgL_l1160z00_2530 = CDR(BgL_l1160z00_1893);
										BgL_l1160z00_1893 = BgL_l1160z00_2530;
										goto BgL_zc3anonymousza31420ze3z83_1892;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 215 */
									BgL_auxz00_2521 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2521);
				}
			}
		}
	}



/* &avar-ev_goto1212 */
	obj_t BGl_z62avarzd2ev_goto1212zb0zz__evaluate_avarz00(obj_t BgL_envz00_2214,
		BgL_ev_gotoz00_bglt BgL_ez00_2215, obj_t BgL_localz00_2216,
		obj_t BgL_absz00_2217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 210 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1028;
				obj_t BgL_localz00_1029;
				obj_t BgL_absz00_1030;

				{	/* Eval/evaluate_avar.scm 211 */
					bool_t BgL_auxz00_2533;

					BgL_ez00_1028 = BgL_ez00_2215;
					BgL_localz00_1029 = BgL_localz00_2216;
					BgL_absz00_1030 = BgL_absz00_2217;
					{	/* Eval/evaluate_avar.scm 211 */
						obj_t BgL_g1159z00_1836;

						BgL_g1159z00_1836 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1028))->BgL_argsz00);
						{
							obj_t BgL_l1157z00_1858;

							BgL_l1157z00_1858 = BgL_g1159z00_1836;
						BgL_zc3anonymousza31416ze3z83_1857:
							if (PAIRP(BgL_l1157z00_1858))
								{	/* Eval/evaluate_avar.scm 211 */
									{	/* Eval/evaluate_avar.scm 211 */
										obj_t BgL_ez00_1863;

										BgL_ez00_1863 = CAR(BgL_l1157z00_1858);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1863), BgL_localz00_1029,
											BgL_absz00_1030);
									}
									{
										obj_t BgL_l1157z00_2540;

										BgL_l1157z00_2540 = CDR(BgL_l1157z00_1858);
										BgL_l1157z00_1858 = BgL_l1157z00_2540;
										goto BgL_zc3anonymousza31416ze3z83_1857;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 211 */
									BgL_auxz00_2533 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2533);
				}
			}
		}
	}



/* &avar-ev_labels1210 */
	obj_t BGl_z62avarzd2ev_labels1210zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2218, BgL_ev_labelsz00_bglt BgL_ez00_2219,
		obj_t BgL_localz00_2220, obj_t BgL_absz00_2221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 198 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_974;
				obj_t BgL_localz00_975;
				obj_t BgL_absz00_976;

				BgL_ez00_974 = BgL_ez00_2219;
				BgL_localz00_975 = BgL_localz00_2220;
				BgL_absz00_976 = BgL_absz00_2221;
				{	/* Eval/evaluate_avar.scm 200 */
					obj_t BgL_localz00_980;

					BgL_localz00_980 =
						BGl_appendzd221011zd2zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_974))->BgL_varsz00),
						BgL_localz00_975);
					{	/* Eval/evaluate_avar.scm 201 */
						obj_t BgL_g1145z00_981;

						BgL_g1145z00_981 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_974))->BgL_valsz00);
						{
							obj_t BgL_l1143z00_983;

							BgL_l1143z00_983 = BgL_g1145z00_981;
						BgL_zc3anonymousza31395ze3z83_984:
							if (PAIRP(BgL_l1143z00_983))
								{	/* Eval/evaluate_avar.scm 201 */
									{	/* Eval/evaluate_avar.scm 203 */
										obj_t BgL_sz00_986;

										BgL_sz00_986 = CAR(BgL_l1143z00_983);
										{	/* Eval/evaluate_avar.scm 203 */
											obj_t BgL_arg1397z00_987;
											obj_t BgL_arg1398z00_988;

											BgL_arg1397z00_987 = CDR(BgL_sz00_986);
											BgL_arg1398z00_988 =
												BGl_appendzd221011zd2zz__evaluate_avarz00(CAR
												(BgL_sz00_986), BgL_localz00_980);
											BGl_avarz00zz__evaluate_avarz00(((BgL_ev_exprz00_bglt)
													BgL_arg1397z00_987), BgL_arg1398z00_988,
												BgL_absz00_976);
										}
										{	/* Eval/evaluate_avar.scm 204 */
											obj_t BgL_arg1400z00_990;

											BgL_arg1400z00_990 = CAR(BgL_sz00_986);
											BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
												((BgL_ev_absz00_bglt) BgL_absz00_976),
												BgL_arg1400z00_990);
										}
									}
									{
										obj_t BgL_l1143z00_2557;

										BgL_l1143z00_2557 = CDR(BgL_l1143z00_983);
										BgL_l1143z00_983 = BgL_l1143z00_2557;
										goto BgL_zc3anonymousza31395ze3z83_984;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 201 */
									((bool_t) 1);
								}
						}
					}
					{
						obj_t BgL_auxz00_2559;

						{	/* Eval/evaluate_avar.scm 207 */
							obj_t BgL_ll1151z00_993;
							obj_t BgL_ll1152z00_994;

							BgL_ll1151z00_993 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_974))->BgL_varsz00);
							BgL_ll1152z00_994 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_974))->BgL_valsz00);
							if (NULLP(BgL_ll1151z00_993))
								{	/* Eval/evaluate_avar.scm 207 */
									BgL_auxz00_2559 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 207 */
									obj_t BgL_head1153z00_996;

									{	/* Eval/evaluate_avar.scm 207 */
										obj_t BgL_res1711z00_1757;

										BgL_res1711z00_1757 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1153z00_996 = BgL_res1711z00_1757;
									}
									{
										obj_t BgL_ll1151z00_998;
										obj_t BgL_ll1152z00_999;
										obj_t BgL_tail1154z00_1000;

										BgL_ll1151z00_998 = BgL_ll1151z00_993;
										BgL_ll1152z00_999 = BgL_ll1152z00_994;
										BgL_tail1154z00_1000 = BgL_head1153z00_996;
									BgL_zc3anonymousza31403ze3z83_1001:
										if (NULLP(BgL_ll1151z00_998))
											{	/* Eval/evaluate_avar.scm 207 */
												BgL_auxz00_2559 = CDR(BgL_head1153z00_996);
											}
										else
											{	/* Eval/evaluate_avar.scm 207 */
												obj_t BgL_newtail1155z00_1003;

												{	/* Eval/evaluate_avar.scm 207 */
													obj_t BgL_arg1407z00_1006;

													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_varz00_1007;
														obj_t BgL_sz00_1008;

														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_pairz00_1761;

															BgL_pairz00_1761 = BgL_ll1151z00_998;
															BgL_varz00_1007 = CAR(BgL_pairz00_1761);
														}
														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_pairz00_1762;

															BgL_pairz00_1762 = BgL_ll1152z00_999;
															BgL_sz00_1008 = CAR(BgL_pairz00_1762);
														}
														{	/* Eval/evaluate_avar.scm 207 */
															obj_t BgL_arg1408z00_1009;

															{	/* Eval/evaluate_avar.scm 207 */
																obj_t BgL_l1146z00_1010;

																{	/* Eval/evaluate_avar.scm 207 */
																	obj_t BgL_pairz00_1763;

																	BgL_pairz00_1763 = BgL_sz00_1008;
																	BgL_l1146z00_1010 = CAR(BgL_pairz00_1763);
																}
																if (NULLP(BgL_l1146z00_1010))
																	{	/* Eval/evaluate_avar.scm 207 */
																		BgL_arg1408z00_1009 = BNIL;
																	}
																else
																	{	/* Eval/evaluate_avar.scm 207 */
																		obj_t BgL_head1148z00_1012;

																		{	/* Eval/evaluate_avar.scm 207 */
																			obj_t BgL_res1714z00_1768;

																			BgL_res1714z00_1768 =
																				MAKE_PAIR(BNIL, BNIL);
																			BgL_head1148z00_1012 =
																				BgL_res1714z00_1768;
																		}
																		{
																			obj_t BgL_l1146z00_1804;
																			obj_t BgL_tail1149z00_1805;

																			BgL_l1146z00_1804 = BgL_l1146z00_1010;
																			BgL_tail1149z00_1805 =
																				BgL_head1148z00_1012;
																		BgL_zc3anonymousza31410ze3z83_1803:
																			if (NULLP(BgL_l1146z00_1804))
																				{	/* Eval/evaluate_avar.scm 207 */
																					BgL_arg1408z00_1009 =
																						CDR(BgL_head1148z00_1012);
																				}
																			else
																				{	/* Eval/evaluate_avar.scm 207 */
																					obj_t BgL_newtail1150z00_1813;

																					{	/* Eval/evaluate_avar.scm 207 */
																						obj_t BgL_arg1413z00_1814;

																						{
																							BgL_ev_varz00_bglt
																								BgL_auxz00_2577;
																							{	/* Eval/evaluate_avar.scm 207 */
																								obj_t BgL_pairz00_1821;

																								BgL_pairz00_1821 =
																									BgL_l1146z00_1804;
																								BgL_auxz00_2577 =
																									((BgL_ev_varz00_bglt)
																									CAR(BgL_pairz00_1821));
																							}
																							BgL_arg1413z00_1814 =
																								(((BgL_ev_varz00_bglt)
																									CREF(BgL_auxz00_2577))->
																								BgL_effz00);
																						}
																						{	/* Eval/evaluate_avar.scm 207 */
																							obj_t BgL_res1720z00_1824;

																							BgL_res1720z00_1824 =
																								MAKE_PAIR(BgL_arg1413z00_1814,
																								BNIL);
																							BgL_newtail1150z00_1813 =
																								BgL_res1720z00_1824;
																						}
																					}
																					SET_CDR(BgL_tail1149z00_1805,
																						BgL_newtail1150z00_1813);
																					{	/* Eval/evaluate_avar.scm 207 */
																						obj_t BgL_arg1412z00_1817;

																						{	/* Eval/evaluate_avar.scm 207 */
																							obj_t BgL_pairz00_1827;

																							BgL_pairz00_1827 =
																								BgL_l1146z00_1804;
																							BgL_arg1412z00_1817 =
																								CDR(BgL_pairz00_1827);
																						}
																						{
																							obj_t BgL_tail1149z00_2585;
																							obj_t BgL_l1146z00_2584;

																							BgL_l1146z00_2584 =
																								BgL_arg1412z00_1817;
																							BgL_tail1149z00_2585 =
																								BgL_newtail1150z00_1813;
																							BgL_tail1149z00_1805 =
																								BgL_tail1149z00_2585;
																							BgL_l1146z00_1804 =
																								BgL_l1146z00_2584;
																							goto
																								BgL_zc3anonymousza31410ze3z83_1803;
																						}
																					}
																				}
																		}
																	}
															}
															BgL_arg1407z00_1006 =
																MAKE_PAIR(BgL_varz00_1007, BgL_arg1408z00_1009);
														}
													}
													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_res1721z00_1830;

														BgL_res1721z00_1830 =
															MAKE_PAIR(BgL_arg1407z00_1006, BNIL);
														BgL_newtail1155z00_1003 = BgL_res1721z00_1830;
													}
												}
												SET_CDR(BgL_tail1154z00_1000, BgL_newtail1155z00_1003);
												{	/* Eval/evaluate_avar.scm 207 */
													obj_t BgL_arg1405z00_1004;
													obj_t BgL_arg1406z00_1005;

													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_pairz00_1833;

														BgL_pairz00_1833 = BgL_ll1151z00_998;
														BgL_arg1405z00_1004 = CDR(BgL_pairz00_1833);
													}
													{	/* Eval/evaluate_avar.scm 207 */
														obj_t BgL_pairz00_1834;

														BgL_pairz00_1834 = BgL_ll1152z00_999;
														BgL_arg1406z00_1005 = CDR(BgL_pairz00_1834);
													}
													{
														obj_t BgL_tail1154z00_2593;
														obj_t BgL_ll1152z00_2592;
														obj_t BgL_ll1151z00_2591;

														BgL_ll1151z00_2591 = BgL_arg1405z00_1004;
														BgL_ll1152z00_2592 = BgL_arg1406z00_1005;
														BgL_tail1154z00_2593 = BgL_newtail1155z00_1003;
														BgL_tail1154z00_1000 = BgL_tail1154z00_2593;
														BgL_ll1152z00_999 = BgL_ll1152z00_2592;
														BgL_ll1151z00_998 = BgL_ll1151z00_2591;
														goto BgL_zc3anonymousza31403ze3z83_1001;
													}
												}
											}
									}
								}
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_974))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2559), BUNSPEC);
					}
					return
						BGl_avarz00zz__evaluate_avarz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_974))->BgL_bodyz00),
						BgL_localz00_980, BgL_absz00_976);
				}
			}
		}
	}



/* &avar-ev_letrec1208 */
	obj_t BGl_z62avarzd2ev_letrec1208zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2222, BgL_ev_letrecz00_bglt BgL_ez00_2223,
		obj_t BgL_localz00_2224, obj_t BgL_absz00_2225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 189 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_944;
				obj_t BgL_localz00_945;
				obj_t BgL_absz00_946;

				{	/* Eval/evaluate_avar.scm 190 */
					bool_t BgL_auxz00_2597;

					BgL_ez00_944 = BgL_ez00_2223;
					BgL_localz00_945 = BgL_localz00_2224;
					BgL_absz00_946 = BgL_absz00_2225;
					{	/* Eval/evaluate_avar.scm 191 */
						obj_t BgL_localz00_950;

						{	/* Eval/evaluate_avar.scm 191 */
							obj_t BgL_arg1394z00_972;

							BgL_arg1394z00_972 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_944)))->BgL_varsz00);
							BgL_localz00_950 =
								BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1394z00_972,
								BgL_localz00_945);
						}
						{	/* Eval/evaluate_avar.scm 192 */
							obj_t BgL_g1139z00_951;

							BgL_g1139z00_951 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_944)))->BgL_valsz00);
							{
								obj_t BgL_l1137z00_1704;

								BgL_l1137z00_1704 = BgL_g1139z00_951;
							BgL_zc3anonymousza31382ze3z83_1703:
								if (PAIRP(BgL_l1137z00_1704))
									{	/* Eval/evaluate_avar.scm 192 */
										{	/* Eval/evaluate_avar.scm 192 */
											obj_t BgL_ez00_1709;

											BgL_ez00_1709 = CAR(BgL_l1137z00_1704);
											BGl_avarz00zz__evaluate_avarz00(
												((BgL_ev_exprz00_bglt) BgL_ez00_1709), BgL_localz00_950,
												BgL_absz00_946);
										}
										{
											obj_t BgL_l1137z00_2608;

											BgL_l1137z00_2608 = CDR(BgL_l1137z00_1704);
											BgL_l1137z00_1704 = BgL_l1137z00_2608;
											goto BgL_zc3anonymousza31382ze3z83_1703;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 192 */
										((bool_t) 1);
									}
							}
						}
						{	/* Eval/evaluate_avar.scm 193 */
							BgL_ev_exprz00_bglt BgL_arg1385z00_959;

							BgL_arg1385z00_959 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_944)))->BgL_bodyz00);
							BGl_avarz00zz__evaluate_avarz00(BgL_arg1385z00_959,
								BgL_localz00_950, BgL_absz00_946);
						}
						{	/* Eval/evaluate_avar.scm 194 */
							BgL_ev_absz00_bglt BgL_i1082z00_960;

							BgL_i1082z00_960 = ((BgL_ev_absz00_bglt) BgL_absz00_946);
							{
								obj_t BgL_auxz00_2614;

								{	/* Eval/evaluate_avar.scm 195 */
									obj_t BgL_arg1386z00_961;
									obj_t BgL_arg1387z00_962;

									BgL_arg1386z00_961 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_944)))->BgL_varsz00);
									BgL_arg1387z00_962 =
										(((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_960))->
										BgL_bindz00);
									BgL_auxz00_2614 =
										BGl_appendzd221011zd2zz__evaluate_avarz00
										(BgL_arg1386z00_961, BgL_arg1387z00_962);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_i1082z00_960))->BgL_bindz00) =
									((obj_t) BgL_auxz00_2614), BUNSPEC);
							}
						}
						{	/* Eval/evaluate_avar.scm 196 */
							obj_t BgL_g1142z00_963;

							BgL_g1142z00_963 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_944)))->BgL_varsz00);
							{
								obj_t BgL_l1140z00_1733;

								BgL_l1140z00_1733 = BgL_g1142z00_963;
							BgL_zc3anonymousza31388ze3z83_1732:
								if (PAIRP(BgL_l1140z00_1733))
									{	/* Eval/evaluate_avar.scm 196 */
										{	/* Eval/evaluate_avar.scm 196 */
											obj_t BgL_vz00_1739;

											BgL_vz00_1739 = CAR(BgL_l1140z00_1733);
											{	/* Eval/evaluate_avar.scm 196 */
												BgL_ev_varz00_bglt BgL_i1083z00_1740;

												BgL_i1083z00_1740 =
													((BgL_ev_varz00_bglt) BgL_vz00_1739);
												((((BgL_ev_varz00_bglt) CREF(BgL_i1083z00_1740))->
														BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
											}
										}
										{
											obj_t BgL_l1140z00_2627;

											BgL_l1140z00_2627 = CDR(BgL_l1140z00_1733);
											BgL_l1140z00_1733 = BgL_l1140z00_2627;
											goto BgL_zc3anonymousza31388ze3z83_1732;
										}
									}
								else
									{	/* Eval/evaluate_avar.scm 196 */
										BgL_auxz00_2597 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_2597);
				}
			}
		}
	}



/* &avar-ev_let*1206 */
	obj_t BGl_z62avarzd2ev_letza21206z12zz__evaluate_avarz00(obj_t
		BgL_envz00_2226, BgL_ev_letza2za2_bglt BgL_ez00_2227,
		obj_t BgL_localz00_2228, obj_t BgL_absz00_2229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 181 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_911;
				obj_t BgL_localz00_912;
				obj_t BgL_absz00_913;

				BgL_ez00_911 = BgL_ez00_2227;
				BgL_localz00_912 = BgL_localz00_2228;
				BgL_absz00_913 = BgL_absz00_2229;
				{	/* Eval/evaluate_avar.scm 183 */
					obj_t BgL_localz00_917;

					{	/* Eval/evaluate_avar.scm 183 */
						obj_t BgL_arg1381z00_942;

						BgL_arg1381z00_942 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_911)))->BgL_varsz00);
						BgL_localz00_917 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1381z00_942,
							BgL_localz00_912);
					}
					{	/* Eval/evaluate_avar.scm 184 */
						obj_t BgL_g1131z00_918;

						BgL_g1131z00_918 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_911)))->BgL_valsz00);
						{
							obj_t BgL_l1129z00_1613;

							BgL_l1129z00_1613 = BgL_g1131z00_918;
						BgL_zc3anonymousza31370ze3z83_1612:
							if (PAIRP(BgL_l1129z00_1613))
								{	/* Eval/evaluate_avar.scm 184 */
									{	/* Eval/evaluate_avar.scm 184 */
										obj_t BgL_ez00_1618;

										BgL_ez00_1618 = CAR(BgL_l1129z00_1613);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1618), BgL_localz00_917,
											BgL_absz00_913);
									}
									{
										obj_t BgL_l1129z00_2640;

										BgL_l1129z00_2640 = CDR(BgL_l1129z00_1613);
										BgL_l1129z00_1613 = BgL_l1129z00_2640;
										goto BgL_zc3anonymousza31370ze3z83_1612;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 184 */
									((bool_t) 1);
								}
						}
					}
					{	/* Eval/evaluate_avar.scm 185 */
						BgL_ev_exprz00_bglt BgL_arg1373z00_926;

						BgL_arg1373z00_926 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_911)))->BgL_bodyz00);
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1373z00_926,
							BgL_localz00_917, BgL_absz00_913);
					}
					{	/* Eval/evaluate_avar.scm 186 */
						obj_t BgL_arg1374z00_927;

						BgL_arg1374z00_927 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_911)))->BgL_varsz00);
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
							((BgL_ev_absz00_bglt) BgL_absz00_913), BgL_arg1374z00_927);
					}
					{
						obj_t BgL_auxz00_2649;

						{	/* Eval/evaluate_avar.scm 187 */
							obj_t BgL_l1132z00_928;

							BgL_l1132z00_928 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_911)))->BgL_varsz00);
							if (NULLP(BgL_l1132z00_928))
								{	/* Eval/evaluate_avar.scm 187 */
									BgL_auxz00_2649 = BNIL;
								}
							else
								{	/* Eval/evaluate_avar.scm 187 */
									obj_t BgL_head1134z00_930;

									{	/* Eval/evaluate_avar.scm 187 */
										obj_t BgL_res1696z00_1628;

										BgL_res1696z00_1628 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1134z00_930 = BgL_res1696z00_1628;
									}
									{
										obj_t BgL_l1132z00_1664;
										obj_t BgL_tail1135z00_1665;

										BgL_l1132z00_1664 = BgL_l1132z00_928;
										BgL_tail1135z00_1665 = BgL_head1134z00_930;
									BgL_zc3anonymousza31376ze3z83_1663:
										if (NULLP(BgL_l1132z00_1664))
											{	/* Eval/evaluate_avar.scm 187 */
												BgL_auxz00_2649 = CDR(BgL_head1134z00_930);
											}
										else
											{	/* Eval/evaluate_avar.scm 187 */
												obj_t BgL_newtail1136z00_1673;

												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_arg1380z00_1674;

													{
														BgL_ev_varz00_bglt BgL_auxz00_2658;

														{	/* Eval/evaluate_avar.scm 187 */
															obj_t BgL_pairz00_1681;

															BgL_pairz00_1681 = BgL_l1132z00_1664;
															BgL_auxz00_2658 =
																((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1681));
														}
														BgL_arg1380z00_1674 =
															(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2658))->
															BgL_effz00);
													}
													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_res1702z00_1684;

														BgL_res1702z00_1684 =
															MAKE_PAIR(BgL_arg1380z00_1674, BNIL);
														BgL_newtail1136z00_1673 = BgL_res1702z00_1684;
													}
												}
												SET_CDR(BgL_tail1135z00_1665, BgL_newtail1136z00_1673);
												{	/* Eval/evaluate_avar.scm 187 */
													obj_t BgL_arg1379z00_1677;

													{	/* Eval/evaluate_avar.scm 187 */
														obj_t BgL_pairz00_1687;

														BgL_pairz00_1687 = BgL_l1132z00_1664;
														BgL_arg1379z00_1677 = CDR(BgL_pairz00_1687);
													}
													{
														obj_t BgL_tail1135z00_2666;
														obj_t BgL_l1132z00_2665;

														BgL_l1132z00_2665 = BgL_arg1379z00_1677;
														BgL_tail1135z00_2666 = BgL_newtail1136z00_1673;
														BgL_tail1135z00_1665 = BgL_tail1135z00_2666;
														BgL_l1132z00_1664 = BgL_l1132z00_2665;
														goto BgL_zc3anonymousza31376ze3z83_1663;
													}
												}
											}
									}
								}
						}
						return
							((((BgL_ev_letza2za2_bglt) CREF(BgL_ez00_911))->BgL_boxesz00) =
							((obj_t) BgL_auxz00_2649), BUNSPEC);
					}
				}
			}
		}
	}



/* &avar-ev_let1204 */
	obj_t BGl_z62avarzd2ev_let1204zb0zz__evaluate_avarz00(obj_t BgL_envz00_2230,
		BgL_ev_letz00_bglt BgL_ez00_2231, obj_t BgL_localz00_2232,
		obj_t BgL_absz00_2233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 174 */
			{
				BgL_ev_letz00_bglt BgL_ez00_886;
				obj_t BgL_localz00_887;
				obj_t BgL_absz00_888;

				BgL_ez00_886 = BgL_ez00_2231;
				BgL_localz00_887 = BgL_localz00_2232;
				BgL_absz00_888 = BgL_absz00_2233;
				{	/* Eval/evaluate_avar.scm 176 */
					obj_t BgL_g1128z00_892;

					BgL_g1128z00_892 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_886)))->BgL_valsz00);
					{
						obj_t BgL_l1126z00_1585;

						BgL_l1126z00_1585 = BgL_g1128z00_892;
					BgL_zc3anonymousza31359ze3z83_1584:
						if (PAIRP(BgL_l1126z00_1585))
							{	/* Eval/evaluate_avar.scm 176 */
								{	/* Eval/evaluate_avar.scm 176 */
									obj_t BgL_ez00_1590;

									BgL_ez00_1590 = CAR(BgL_l1126z00_1585);
									BGl_avarz00zz__evaluate_avarz00(
										((BgL_ev_exprz00_bglt) BgL_ez00_1590), BgL_localz00_887,
										BgL_absz00_888);
								}
								{
									obj_t BgL_l1126z00_2675;

									BgL_l1126z00_2675 = CDR(BgL_l1126z00_1585);
									BgL_l1126z00_1585 = BgL_l1126z00_2675;
									goto BgL_zc3anonymousza31359ze3z83_1584;
								}
							}
						else
							{	/* Eval/evaluate_avar.scm 176 */
								((bool_t) 1);
							}
					}
				}
				{	/* Eval/evaluate_avar.scm 177 */
					BgL_ev_exprz00_bglt BgL_arg1363z00_900;
					obj_t BgL_arg1364z00_901;

					BgL_arg1363z00_900 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_886)))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 177 */
						obj_t BgL_arg1365z00_902;

						BgL_arg1365z00_902 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_886)))->BgL_varsz00);
						BgL_arg1364z00_901 =
							BGl_appendzd221011zd2zz__evaluate_avarz00(BgL_arg1365z00_902,
							BgL_localz00_887);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1363z00_900,
						BgL_arg1364z00_901, BgL_absz00_888);
				}
				{	/* Eval/evaluate_avar.scm 178 */
					obj_t BgL_arg1366z00_903;

					BgL_arg1366z00_903 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_886)))->BgL_varsz00);
					BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_888), BgL_arg1366z00_903);
				}
				{
					obj_t BgL_auxz00_2687;

					{	/* Eval/evaluate_avar.scm 179 */
						obj_t BgL_arg1368z00_905;

						BgL_arg1368z00_905 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_886)))->BgL_varsz00);
						BgL_auxz00_2687 =
							BGl_filterz00zz__r4_control_features_6_9z00
							(BGl_proc1813z00zz__evaluate_avarz00, BgL_arg1368z00_905);
					}
					return
						((((BgL_ev_letz00_bglt) CREF(BgL_ez00_886))->BgL_boxesz00) =
						((obj_t) BgL_auxz00_2687), BUNSPEC);
				}
			}
		}
	}



/* &<anonymous:1369> */
	obj_t BGl_z62zc3anonymousza31369ze3ze1zz__evaluate_avarz00(obj_t
		BgL_envz00_2234, obj_t BgL_vz00_2235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 179 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_vz00_2235)))->BgL_effz00);
		}
	}



/* &avar-ev_with-handler1202 */
	obj_t BGl_z62avarzd2ev_withzd2handler1202z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2236, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2237,
		obj_t BgL_localz00_2238, obj_t BgL_absz00_2239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 169 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_877;
				obj_t BgL_localz00_878;
				obj_t BgL_absz00_879;

				BgL_ez00_877 = BgL_ez00_2237;
				BgL_localz00_878 = BgL_localz00_2238;
				BgL_absz00_879 = BgL_absz00_2239;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_877))->
						BgL_handlerz00), BgL_localz00_878, BgL_absz00_879);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_withzd2handlerzd2_bglt)
							CREF(BgL_ez00_877))->BgL_bodyz00), BgL_localz00_878,
					BgL_absz00_879);
			}
		}
	}



/* &avar-ev_unwind-prote1200 */
	obj_t BGl_z62avarzd2ev_unwindzd2prote1200z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2240, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2241,
		obj_t BgL_localz00_2242, obj_t BgL_absz00_2243)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 164 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_868;
				obj_t BgL_localz00_869;
				obj_t BgL_absz00_870;

				BgL_ez00_868 = BgL_ez00_2241;
				BgL_localz00_869 = BgL_localz00_2242;
				BgL_absz00_870 = BgL_absz00_2243;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_868))->BgL_ez00),
					BgL_localz00_869, BgL_absz00_870);
				return
					BGl_avarz00zz__evaluate_avarz00((((BgL_ev_unwindzd2protectzd2_bglt)
							CREF(BgL_ez00_868))->BgL_bodyz00), BgL_localz00_869,
					BgL_absz00_870);
			}
		}
	}



/* &avar-ev_bind-exit1198 */
	obj_t BGl_z62avarzd2ev_bindzd2exit1198z62zz__evaluate_avarz00(obj_t
		BgL_envz00_2244, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2245,
		obj_t BgL_localz00_2246, obj_t BgL_absz00_2247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 159 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_856;
				obj_t BgL_localz00_857;
				obj_t BgL_absz00_858;

				BgL_ez00_856 = BgL_ez00_2245;
				BgL_localz00_857 = BgL_localz00_2246;
				BgL_absz00_858 = BgL_absz00_2247;
				{	/* Eval/evaluate_avar.scm 160 */
					BgL_ev_exprz00_bglt BgL_arg1350z00_1558;
					obj_t BgL_arg1351z00_1559;

					BgL_arg1350z00_1558 =
						(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_856))->BgL_bodyz00);
					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg1352z00_1560;

						BgL_arg1352z00_1560 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_856))->BgL_varz00);
						BgL_arg1351z00_1559 =
							MAKE_PAIR(((obj_t) BgL_arg1352z00_1560), BgL_localz00_857);
					}
					BGl_avarz00zz__evaluate_avarz00(BgL_arg1350z00_1558,
						BgL_arg1351z00_1559, BgL_absz00_858);
				}
				{	/* Eval/evaluate_avar.scm 160 */
					obj_t BgL_arg1353z00_1561;

					{	/* Eval/evaluate_avar.scm 160 */
						BgL_ev_varz00_bglt BgL_arg1354z00_1562;

						BgL_arg1354z00_1562 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_856))->BgL_varz00);
						BgL_arg1353z00_1561 =
							MAKE_PAIR(((obj_t) BgL_arg1354z00_1562), BNIL);
					}
					return
						BGl_bindzd2andzd2resetzd2effectzd2zz__evaluate_avarz00(
						((BgL_ev_absz00_bglt) BgL_absz00_858), BgL_arg1353z00_1561);
				}
			}
		}
	}



/* &avar-ev_setlocal1196 */
	obj_t BGl_z62avarzd2ev_setlocal1196zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2248, BgL_ev_setlocalz00_bglt BgL_ez00_2249,
		obj_t BgL_localz00_2250, obj_t BgL_absz00_2251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 152 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_846;
				obj_t BgL_localz00_847;
				obj_t BgL_absz00_848;

				BgL_ez00_846 = BgL_ez00_2249;
				BgL_localz00_847 = BgL_localz00_2250;
				BgL_absz00_848 = BgL_absz00_2251;
				{	/* Eval/evaluate_avar.scm 153 */
					BgL_ev_varz00_bglt BgL_arg1348z00_1546;

					BgL_arg1348z00_1546 =
						(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_846))->BgL_vz00);
					{	/* Eval/evaluate_avar.scm 153 */
						BgL_ev_absz00_bglt BgL_absz00_1551;

						BgL_absz00_1551 = ((BgL_ev_absz00_bglt) BgL_absz00_848);
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_arg1348z00_1546), BgL_localz00_847)))
							{	/* Eval/evaluate_avar.scm 153 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_avar.scm 153 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_arg1348z00_1546),
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1551))->
												BgL_freez00))))
									{	/* Eval/evaluate_avar.scm 153 */
										BFALSE;
									}
								else
									{
										obj_t BgL_auxz00_2723;

										{	/* Eval/evaluate_avar.scm 153 */
											obj_t BgL_arg1324z00_1556;

											BgL_arg1324z00_1556 =
												(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1551))->
												BgL_freez00);
											BgL_auxz00_2723 =
												MAKE_PAIR(((obj_t) BgL_arg1348z00_1546),
												BgL_arg1324z00_1556);
										}
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1551))->
												BgL_freez00) = ((obj_t) BgL_auxz00_2723), BUNSPEC);
									}
							}
					}
				}
				((((BgL_ev_varz00_bglt) CREF(
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_846))->BgL_vz00)))->
						BgL_effz00) = ((obj_t) BTRUE), BUNSPEC);
				{	/* Eval/evaluate_avar.scm 153 */
					BgL_ev_exprz00_bglt BgL_arg1349z00_1548;

					BgL_arg1349z00_1548 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_846)))->BgL_ez00);
					return
						BGl_avarz00zz__evaluate_avarz00(BgL_arg1349z00_1548,
						BgL_localz00_847, BgL_absz00_848);
				}
			}
		}
	}



/* &avar-ev_hook1194 */
	obj_t BGl_z62avarzd2ev_hook1194zb0zz__evaluate_avarz00(obj_t BgL_envz00_2252,
		BgL_ev_hookz00_bglt BgL_ez00_2253, obj_t BgL_localz00_2254,
		obj_t BgL_absz00_2255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 148 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_838;
				obj_t BgL_localz00_839;
				obj_t BgL_absz00_840;

				BgL_ez00_838 = BgL_ez00_2253;
				BgL_localz00_839 = BgL_localz00_2254;
				BgL_absz00_840 = BgL_absz00_2255;
				return
					BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_838))->BgL_ez00),
					BgL_localz00_839, BgL_absz00_840);
			}
		}
	}



/* &avar-ev_prog21192 */
	obj_t BGl_z62avarzd2ev_prog21192zb0zz__evaluate_avarz00(obj_t BgL_envz00_2256,
		BgL_ev_prog2z00_bglt BgL_ez00_2257, obj_t BgL_localz00_2258,
		obj_t BgL_absz00_2259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 143 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_829;
				obj_t BgL_localz00_830;
				obj_t BgL_absz00_831;

				BgL_ez00_829 = BgL_ez00_2257;
				BgL_localz00_830 = BgL_localz00_2258;
				BgL_absz00_831 = BgL_absz00_2259;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_829))->BgL_e1z00),
					BgL_localz00_830, BgL_absz00_831);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_prog2z00_bglt)
							CREF(BgL_ez00_829))->BgL_e2z00), BgL_localz00_830,
					BgL_absz00_831);
			}
		}
	}



/* &avar-ev_list1190 */
	obj_t BGl_z62avarzd2ev_list1190zb0zz__evaluate_avarz00(obj_t BgL_envz00_2260,
		BgL_ev_listz00_bglt BgL_ez00_2261, obj_t BgL_localz00_2262,
		obj_t BgL_absz00_2263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 139 */
			{
				BgL_ev_listz00_bglt BgL_ez00_814;
				obj_t BgL_localz00_815;
				obj_t BgL_absz00_816;

				{	/* Eval/evaluate_avar.scm 140 */
					bool_t BgL_auxz00_2739;

					BgL_ez00_814 = BgL_ez00_2261;
					BgL_localz00_815 = BgL_localz00_2262;
					BgL_absz00_816 = BgL_absz00_2263;
					{	/* Eval/evaluate_avar.scm 140 */
						obj_t BgL_g1125z00_1507;

						BgL_g1125z00_1507 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_814))->BgL_argsz00);
						{
							obj_t BgL_l1123z00_1529;

							BgL_l1123z00_1529 = BgL_g1125z00_1507;
						BgL_zc3anonymousza31341ze3z83_1528:
							if (PAIRP(BgL_l1123z00_1529))
								{	/* Eval/evaluate_avar.scm 140 */
									{	/* Eval/evaluate_avar.scm 140 */
										obj_t BgL_ez00_1534;

										BgL_ez00_1534 = CAR(BgL_l1123z00_1529);
										BGl_avarz00zz__evaluate_avarz00(
											((BgL_ev_exprz00_bglt) BgL_ez00_1534), BgL_localz00_815,
											BgL_absz00_816);
									}
									{
										obj_t BgL_l1123z00_2746;

										BgL_l1123z00_2746 = CDR(BgL_l1123z00_1529);
										BgL_l1123z00_1529 = BgL_l1123z00_2746;
										goto BgL_zc3anonymousza31341ze3z83_1528;
									}
								}
							else
								{	/* Eval/evaluate_avar.scm 140 */
									BgL_auxz00_2739 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2739);
				}
			}
		}
	}



/* &avar-ev_if1188 */
	obj_t BGl_z62avarzd2ev_if1188zb0zz__evaluate_avarz00(obj_t BgL_envz00_2264,
		BgL_ev_ifz00_bglt BgL_ez00_2265, obj_t BgL_localz00_2266,
		obj_t BgL_absz00_2267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 133 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_804;
				obj_t BgL_localz00_805;
				obj_t BgL_absz00_806;

				BgL_ez00_804 = BgL_ez00_2265;
				BgL_localz00_805 = BgL_localz00_2266;
				BgL_absz00_806 = BgL_absz00_2267;
				BGl_avarz00zz__evaluate_avarz00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_804))->BgL_pz00),
					BgL_localz00_805, BgL_absz00_806);
				BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_804))->BgL_tz00), BgL_localz00_805, BgL_absz00_806);
				return BGl_avarz00zz__evaluate_avarz00((((BgL_ev_ifz00_bglt)
							CREF(BgL_ez00_804))->BgL_ez00), BgL_localz00_805, BgL_absz00_806);
			}
		}
	}



/* &avar-ev_litt1186 */
	obj_t BGl_z62avarzd2ev_litt1186zb0zz__evaluate_avarz00(obj_t BgL_envz00_2268,
		BgL_ev_littz00_bglt BgL_ez00_2269, obj_t BgL_localz00_2270,
		obj_t BgL_absz00_2271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 130 */
			return BUNSPEC;
		}
	}



/* &avar-ev_global1184 */
	obj_t BGl_z62avarzd2ev_global1184zb0zz__evaluate_avarz00(obj_t
		BgL_envz00_2272, BgL_ev_globalz00_bglt BgL_varz00_2273,
		obj_t BgL_localz00_2274, obj_t BgL_absz00_2275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 127 */
			return BUNSPEC;
		}
	}



/* &avar-ev_var1182 */
	obj_t BGl_z62avarzd2ev_var1182zb0zz__evaluate_avarz00(obj_t BgL_envz00_2276,
		BgL_ev_varz00_bglt BgL_varz00_2277, obj_t BgL_localz00_2278,
		obj_t BgL_absz00_2279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 124 */
			{
				BgL_ev_varz00_bglt BgL_varz00_786;
				obj_t BgL_localz00_787;
				obj_t BgL_absz00_788;

				BgL_varz00_786 = BgL_varz00_2277;
				BgL_localz00_787 = BgL_localz00_2278;
				BgL_absz00_788 = BgL_absz00_2279;
				{	/* Eval/evaluate_avar.scm 125 */
					BgL_ev_absz00_bglt BgL_absz00_1496;

					BgL_absz00_1496 = ((BgL_ev_absz00_bglt) BgL_absz00_788);
					if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_varz00_786), BgL_localz00_787)))
						{	/* Eval/evaluate_avar.scm 125 */
							return BFALSE;
						}
					else
						{	/* Eval/evaluate_avar.scm 125 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										((obj_t) BgL_varz00_786),
										(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1496))->
											BgL_freez00))))
								{	/* Eval/evaluate_avar.scm 125 */
									return BFALSE;
								}
							else
								{
									obj_t BgL_auxz00_2765;

									{	/* Eval/evaluate_avar.scm 125 */
										obj_t BgL_arg1324z00_1501;

										BgL_arg1324z00_1501 =
											(((BgL_ev_absz00_bglt) CREF(BgL_absz00_1496))->
											BgL_freez00);
										BgL_auxz00_2765 =
											MAKE_PAIR(((obj_t) BgL_varz00_786), BgL_arg1324z00_1501);
									}
									return
										((((BgL_ev_absz00_bglt) CREF(BgL_absz00_1496))->
											BgL_freez00) = ((obj_t) BgL_auxz00_2765), BUNSPEC);
								}
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_avarz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_avar.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1814z00zz__evaluate_avarz00));
		}
	}

#ifdef __cplusplus
}
#endif
