/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol1910z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1912z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1914z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncomp1175z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol1916z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1863z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_let1210zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letz00_bglt);
	static obj_t BGl_symbol1888z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1890z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1892z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_orz00_bglt);
	static obj_t BGl_symbol1894z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1896z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1898z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1218zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_gotoz00_bglt);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_defglobalz00_bglt);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_prog2z00_bglt);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_app1220zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_appz00_bglt);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1222zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1216zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_labelsz00_bglt);
	static obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setglobalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_andz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_ifz00_bglt);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21212z12zz__evaluate_uncompz00(obj_t,
		BgL_ev_letza2za2_bglt);
	static obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_globalz00_bglt);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1214zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_letrecz00_bglt);
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_setlocalz00_bglt);
	static obj_t BGl_symbol1900z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1902z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1904z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1906z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_trapz00_bglt);
	static obj_t BGl_symbol1908z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t,
		BgL_ev_littz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1901z00zz__evaluate_uncompz00,
		BgL_bgl_string1901za700za7za7_1919za7, "bind-exit", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71920za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1903z00zz__evaluate_uncompz00,
		BgL_bgl_string1903za700za7za7_1921za7, "set!", 4);
	      DEFINE_STRING(BGl_string1905z00zz__evaluate_uncompz00,
		BgL_bgl_string1905za700za7za7_1922za7, "define", 6);
	      DEFINE_STRING(BGl_string1907z00zz__evaluate_uncompz00,
		BgL_bgl_string1907za700za7za7_1923za7, "trap", 4);
	      DEFINE_STRING(BGl_string1909z00zz__evaluate_uncompz00,
		BgL_bgl_string1909za700za7za7_1924za7, "begin", 5);
	      DEFINE_STRING(BGl_string1911z00zz__evaluate_uncompz00,
		BgL_bgl_string1911za700za7za7_1925za7, "and", 3);
	      DEFINE_STRING(BGl_string1913z00zz__evaluate_uncompz00,
		BgL_bgl_string1913za700za7za7_1926za7, "or", 2);
	      DEFINE_STRING(BGl_string1915z00zz__evaluate_uncompz00,
		BgL_bgl_string1915za700za7za7_1927za7, "if", 2);
	      DEFINE_STRING(BGl_string1917z00zz__evaluate_uncompz00,
		BgL_bgl_string1917za700za7za7_1928za7, "quote", 5);
	      DEFINE_STRING(BGl_string1918z00zz__evaluate_uncompz00,
		BgL_bgl_string1918za700za7za7_1929za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1858z00zz__evaluate_uncompz00,
		BgL_bgl_string1858za700za7za7_1930za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1859z00zz__evaluate_uncompz00,
		BgL_bgl_string1859za700za7za7_1931za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1860z00zz__evaluate_uncompz00,
		BgL_bgl_string1860za700za7za7_1932za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1862z00zz__evaluate_uncompz00,
		BgL_bgl_string1862za700za7za7_1933za7, "uncomp1175", 10);
	      DEFINE_STRING(BGl_string1864z00zz__evaluate_uncompz00,
		BgL_bgl_string1864za700za7za7_1934za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1865z00zz__evaluate_uncompz00,
		BgL_bgl_string1865za700za7za7_1935za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1867z00zz__evaluate_uncompz00,
		BgL_bgl_string1867za700za7za7_1936za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1175za7621937z00,
		BGl_z62uncomp1175z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1938z00,
		BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1939z00,
		BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1940z00,
		BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1941z00,
		BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1942z00,
		BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1943z00,
		BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1944z00,
		BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1945z00,
		BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1946z00,
		BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1947z00,
		BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1948z00,
		BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1949z00,
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1950z00,
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string1889z00zz__evaluate_uncompz00,
		BgL_bgl_string1889za700za7za7_1951za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1952z00,
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1953z00,
		BGl_z62uncompzd2ev_let1210zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1954z00,
		BGl_z62uncompzd2ev_letza21212z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1955z00,
		BGl_z62uncompzd2ev_letrec1214zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1956z00,
		BGl_z62uncompzd2ev_labels1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1891z00zz__evaluate_uncompz00,
		BgL_bgl_string1891za700za7za7_1957za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1958z00,
		BGl_z62uncompzd2ev_goto1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1959z00,
		BGl_z62uncompzd2ev_app1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1893z00zz__evaluate_uncompz00,
		BgL_bgl_string1893za700za7za7_1960za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1961z00,
		BGl_z62uncompzd2ev_abs1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1895z00zz__evaluate_uncompz00,
		BgL_bgl_string1895za700za7za7_1962za7, "let", 3);
	      DEFINE_STRING(BGl_string1897z00zz__evaluate_uncompz00,
		BgL_bgl_string1897za700za7za7_1963za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1899z00zz__evaluate_uncompz00,
		BgL_bgl_string1899za700za7za7_1964za7, "unwind-protect", 14);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1965z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2108, char *BgL_fromz00_2109)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1863z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1862z00zz__evaluate_uncompz00);
			BGl_symbol1888z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1889z00zz__evaluate_uncompz00);
			BGl_symbol1890z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1891z00zz__evaluate_uncompz00);
			BGl_symbol1892z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1893z00zz__evaluate_uncompz00);
			BGl_symbol1894z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1895z00zz__evaluate_uncompz00);
			BGl_symbol1896z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1897z00zz__evaluate_uncompz00);
			BGl_symbol1898z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1899z00zz__evaluate_uncompz00);
			BGl_symbol1900z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1901z00zz__evaluate_uncompz00);
			BGl_symbol1902z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1903z00zz__evaluate_uncompz00);
			BGl_symbol1904z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1905z00zz__evaluate_uncompz00);
			BGl_symbol1906z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1907z00zz__evaluate_uncompz00);
			BGl_symbol1908z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1909z00zz__evaluate_uncompz00);
			BGl_symbol1910z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1911z00zz__evaluate_uncompz00);
			BGl_symbol1912z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1913z00zz__evaluate_uncompz00);
			BGl_symbol1914z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1915z00zz__evaluate_uncompz00);
			return (BGl_symbol1916z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1917z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2029,
		obj_t BgL_ez00_2030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_ez00_2105;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2030,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_ez00_2105 = ((BgL_ev_exprz00_bglt) BgL_ez00_2030);
					}
				else
					{
						obj_t BgL_auxz00_2137;

						BgL_auxz00_2137 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1858z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1859z00zz__evaluate_uncompz00,
							BGl_string1860z00zz__evaluate_uncompz00, BgL_ez00_2030);
						FAILURE(BgL_auxz00_2137, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2105);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1862z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1175 */
	obj_t BGl_z62uncomp1175z62zz__evaluate_uncompz00(obj_t BgL_envz00_2032,
		BgL_ev_exprz00_bglt BgL_ez00_2033)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_646;

				BgL_ez00_646 = BgL_ez00_2033;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1863z00zz__evaluate_uncompz00,
					BGl_string1864z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_646));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1180z00_649;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1745z00_1332;

					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_objectz00_bglt BgL_objz00_1304;

						BgL_objz00_1304 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_objzd2classzd2numz00_1305;

							{	/* Eval/evaluate_uncomp.scm 65 */
								long BgL_res1739z00_1308;

								BgL_res1739z00_1308 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1304);
								BgL_objzd2classzd2numz00_1305 = BgL_res1739z00_1308;
							}
							{	/* Eval/evaluate_uncomp.scm 65 */
								obj_t BgL_arg1733z00_1306;

								BgL_arg1733z00_1306 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 65 */
									obj_t BgL_arrayz00_1309;
									int BgL_offsetz00_1310;

									BgL_arrayz00_1309 = BgL_arg1733z00_1306;
									BgL_offsetz00_1310 = (int) (BgL_objzd2classzd2numz00_1305);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_offsetz00_1311;

										BgL_offsetz00_1311 =
											((long) (BgL_offsetz00_1310) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_modz00_1312;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1735z00_1313;

												BgL_arg1735z00_1313 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1742z00_1323;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_auxz00_2153;

														BgL_auxz00_2153 = (long) (BgL_arg1735z00_1313);
														BgL_res1742z00_1323 =
															(BgL_offsetz00_1311 / BgL_auxz00_2153);
													}
													BgL_modz00_1312 = BgL_res1742z00_1323;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_restz00_1314;

												{	/* Eval/evaluate_uncomp.scm 65 */
													int BgL_arg1734z00_1315;

													BgL_arg1734z00_1315 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_res1744z00_1327;

														{	/* Eval/evaluate_uncomp.scm 65 */
															long BgL_auxz00_2157;

															BgL_auxz00_2157 = (long) (BgL_arg1734z00_1315);
															BgL_res1744z00_1327 =
																(BgL_offsetz00_1311 % BgL_auxz00_2157);
														}
														BgL_restz00_1314 = BgL_res1744z00_1327;
												}}
												{	/* Eval/evaluate_uncomp.scm 65 */

													BgL_res1745z00_1332 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1309,
															(int) (BgL_modz00_1312)),
														(int) (BgL_restz00_1314));
					}}}}}}}}
					BgL_method1180z00_649 = BgL_res1745z00_1332;
				}
				return
					PROCEDURE_ENTRY(BgL_method1180z00_649) (BgL_method1180z00_649,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2034,
		obj_t BgL_ez00_2035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2169;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2035,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2169 = ((BgL_ev_exprz00_bglt) BgL_ez00_2035);
					}
				else
					{
						obj_t BgL_auxz00_2173;

						BgL_auxz00_2173 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1858z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1865z00zz__evaluate_uncompz00,
							BGl_string1860z00zz__evaluate_uncompz00, BgL_ez00_2035);
						FAILURE(BgL_auxz00_2173, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2169);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1866z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1868z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1869z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1870z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1871z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1872z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1873z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1874z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1875z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1876z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1877z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1878z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1879z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1880z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1881z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1882z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1883z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1884z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1885z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1886z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1887z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1222 */
	obj_t BGl_z62uncompzd2ev_abs1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2057, BgL_ev_absz00_bglt BgL_ez00_2058)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1008;

				BgL_ez00_1008 = BgL_ez00_2058;
				{	/* Eval/evaluate_uncomp.scm 162 */
					obj_t BgL_arg1497z00_1013;

					{	/* Eval/evaluate_uncomp.scm 162 */
						obj_t BgL_arg1498z00_1014;
						obj_t BgL_arg1499z00_1015;

						{	/* Eval/evaluate_uncomp.scm 162 */
							obj_t BgL_arg1500z00_1016;
							obj_t BgL_arg1501z00_1017;

							BgL_arg1500z00_1016 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1008))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 162 */
								obj_t BgL_l1160z00_1018;

								BgL_l1160z00_1018 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1008))->BgL_varsz00);
								if (NULLP(BgL_l1160z00_1018))
									{	/* Eval/evaluate_uncomp.scm 162 */
										BgL_arg1501z00_1017 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 162 */
										obj_t BgL_head1162z00_1020;

										{	/* Eval/evaluate_uncomp.scm 162 */
											obj_t BgL_res1806z00_1724;

											BgL_res1806z00_1724 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1162z00_1020 = BgL_res1806z00_1724;
										}
										{
											obj_t BgL_l1160z00_1760;
											obj_t BgL_tail1163z00_1761;

											BgL_l1160z00_1760 = BgL_l1160z00_1018;
											BgL_tail1163z00_1761 = BgL_head1162z00_1020;
										BgL_zc3anonymousza31503ze3z83_1759:
											if (NULLP(BgL_l1160z00_1760))
												{	/* Eval/evaluate_uncomp.scm 162 */
													BgL_arg1501z00_1017 = CDR(BgL_head1162z00_1020);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 162 */
													obj_t BgL_newtail1164z00_1769;

													{	/* Eval/evaluate_uncomp.scm 162 */
														obj_t BgL_arg1507z00_1770;

														{
															BgL_ev_varz00_bglt BgL_auxz00_2207;

															{	/* Eval/evaluate_uncomp.scm 162 */
																obj_t BgL_pairz00_1777;

																BgL_pairz00_1777 = BgL_l1160z00_1760;
																BgL_auxz00_2207 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1777));
															}
															BgL_arg1507z00_1770 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2207))->
																BgL_namez00);
														}
														{	/* Eval/evaluate_uncomp.scm 162 */
															obj_t BgL_res1812z00_1780;

															BgL_res1812z00_1780 =
																MAKE_PAIR(BgL_arg1507z00_1770, BNIL);
															BgL_newtail1164z00_1769 = BgL_res1812z00_1780;
														}
													}
													SET_CDR(BgL_tail1163z00_1761,
														BgL_newtail1164z00_1769);
													{
														obj_t BgL_tail1163z00_2215;
														obj_t BgL_l1160z00_2213;

														BgL_l1160z00_2213 = CDR(BgL_l1160z00_1760);
														BgL_tail1163z00_2215 = BgL_newtail1164z00_1769;
														BgL_tail1163z00_1761 = BgL_tail1163z00_2215;
														BgL_l1160z00_1760 = BgL_l1160z00_2213;
														goto BgL_zc3anonymousza31503ze3z83_1759;
													}
												}
										}
									}
							}
							BgL_arg1498z00_1014 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1500z00_1016,
								BgL_arg1501z00_1017);
						}
						BgL_arg1499z00_1015 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1008))->BgL_bodyz00)),
							BNIL);
						BgL_arg1497z00_1013 =
							MAKE_PAIR(BgL_arg1498z00_1014, BgL_arg1499z00_1015);
					}
					return
						MAKE_PAIR(BGl_symbol1888z00zz__evaluate_uncompz00,
						BgL_arg1497z00_1013);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1039)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 158 */
			if (NULLP(CDR(BgL_lz00_1039)))
				{	/* Eval/evaluate_uncomp.scm 159 */
					return CAR(BgL_lz00_1039);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 159 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1039),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1039)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1034,
		obj_t BgL_lz00_1035)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 161 */
			if (((long) CINT(BgL_nz00_1034) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 156 */
					return BgL_lz00_1035;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 156 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1035);
				}
		}
	}



/* &uncomp-ev_app1220 */
	obj_t BGl_z62uncompzd2ev_app1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2059, BgL_ev_appz00_bglt BgL_ez00_2060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{
				BgL_ev_appz00_bglt BgL_ez00_983;

				BgL_ez00_983 = BgL_ez00_2060;
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1483z00_987;
					obj_t BgL_arg1484z00_988;

					BgL_arg1483z00_987 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_983))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_arg1488z00_990;

						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_l1154z00_991;

							BgL_l1154z00_991 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_983))->BgL_argsz00);
							if (NULLP(BgL_l1154z00_991))
								{	/* Eval/evaluate_uncomp.scm 151 */
									BgL_arg1488z00_990 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_head1156z00_993;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1495z00_1005;

										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_arg1496z00_1006;

											BgL_arg1496z00_1006 = CAR(BgL_l1154z00_991);
											BgL_arg1495z00_1005 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1496z00_1006));
										}
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_res1796z00_1657;

											BgL_res1796z00_1657 =
												MAKE_PAIR(BgL_arg1495z00_1005, BNIL);
											BgL_head1156z00_993 = BgL_res1796z00_1657;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_g1159z00_994;

										BgL_g1159z00_994 = CDR(BgL_l1154z00_991);
										{
											obj_t BgL_l1154z00_1690;
											obj_t BgL_tail1157z00_1691;

											BgL_l1154z00_1690 = BgL_g1159z00_994;
											BgL_tail1157z00_1691 = BgL_head1156z00_993;
										BgL_zc3anonymousza31490ze3z83_1689:
											if (NULLP(BgL_l1154z00_1690))
												{	/* Eval/evaluate_uncomp.scm 151 */
													BgL_arg1488z00_990 = BgL_head1156z00_993;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_newtail1158z00_1698;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1493z00_1699;

														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_arg1494z00_1700;

															BgL_arg1494z00_1700 = CAR(BgL_l1154z00_1690);
															BgL_arg1493z00_1699 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1494z00_1700));
														}
														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_res1802z00_1707;

															BgL_res1802z00_1707 =
																MAKE_PAIR(BgL_arg1493z00_1699, BNIL);
															BgL_newtail1158z00_1698 = BgL_res1802z00_1707;
														}
													}
													SET_CDR(BgL_tail1157z00_1691,
														BgL_newtail1158z00_1698);
													{
														obj_t BgL_tail1157z00_2253;
														obj_t BgL_l1154z00_2251;

														BgL_l1154z00_2251 = CDR(BgL_l1154z00_1690);
														BgL_tail1157z00_2253 = BgL_newtail1158z00_1698;
														BgL_tail1157z00_1691 = BgL_tail1157z00_2253;
														BgL_l1154z00_1690 = BgL_l1154z00_2251;
														goto BgL_zc3anonymousza31490ze3z83_1689;
													}
												}
										}
									}
								}
						}
						BgL_arg1484z00_988 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1488z00_990, BNIL);
					}
					return MAKE_PAIR(BgL_arg1483z00_987, BgL_arg1484z00_988);
				}
			}
		}
	}



/* &uncomp-ev_goto1218 */
	obj_t BGl_z62uncompzd2ev_goto1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2061, BgL_ev_gotoz00_bglt BgL_ez00_2062)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 145 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_958;

				BgL_ez00_958 = BgL_ez00_2062;
				{	/* Eval/evaluate_uncomp.scm 147 */
					obj_t BgL_arg1469z00_962;
					obj_t BgL_arg1471z00_963;

					{	/* Eval/evaluate_uncomp.scm 147 */
						BgL_ev_varz00_bglt BgL_arg1472z00_964;

						BgL_arg1472z00_964 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_958))->BgL_labelz00);
						BgL_arg1469z00_962 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1472z00_964));
					}
					{	/* Eval/evaluate_uncomp.scm 147 */
						obj_t BgL_arg1473z00_965;

						{	/* Eval/evaluate_uncomp.scm 147 */
							obj_t BgL_l1148z00_966;

							BgL_l1148z00_966 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_958))->BgL_argsz00);
							if (NULLP(BgL_l1148z00_966))
								{	/* Eval/evaluate_uncomp.scm 147 */
									BgL_arg1473z00_965 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 147 */
									obj_t BgL_head1150z00_968;

									{	/* Eval/evaluate_uncomp.scm 147 */
										obj_t BgL_arg1481z00_980;

										{	/* Eval/evaluate_uncomp.scm 147 */
											obj_t BgL_arg1482z00_981;

											BgL_arg1482z00_981 = CAR(BgL_l1148z00_966);
											BgL_arg1481z00_980 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1482z00_981));
										}
										{	/* Eval/evaluate_uncomp.scm 147 */
											obj_t BgL_res1788z00_1598;

											BgL_res1788z00_1598 = MAKE_PAIR(BgL_arg1481z00_980, BNIL);
											BgL_head1150z00_968 = BgL_res1788z00_1598;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 147 */
										obj_t BgL_g1153z00_969;

										BgL_g1153z00_969 = CDR(BgL_l1148z00_966);
										{
											obj_t BgL_l1148z00_1631;
											obj_t BgL_tail1151z00_1632;

											BgL_l1148z00_1631 = BgL_g1153z00_969;
											BgL_tail1151z00_1632 = BgL_head1150z00_968;
										BgL_zc3anonymousza31475ze3z83_1630:
											if (NULLP(BgL_l1148z00_1631))
												{	/* Eval/evaluate_uncomp.scm 147 */
													BgL_arg1473z00_965 = BgL_head1150z00_968;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 147 */
													obj_t BgL_newtail1152z00_1639;

													{	/* Eval/evaluate_uncomp.scm 147 */
														obj_t BgL_arg1478z00_1640;

														{	/* Eval/evaluate_uncomp.scm 147 */
															obj_t BgL_arg1479z00_1641;

															BgL_arg1479z00_1641 = CAR(BgL_l1148z00_1631);
															BgL_arg1478z00_1640 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1479z00_1641));
														}
														{	/* Eval/evaluate_uncomp.scm 147 */
															obj_t BgL_res1794z00_1648;

															BgL_res1794z00_1648 =
																MAKE_PAIR(BgL_arg1478z00_1640, BNIL);
															BgL_newtail1152z00_1639 = BgL_res1794z00_1648;
														}
													}
													SET_CDR(BgL_tail1151z00_1632,
														BgL_newtail1152z00_1639);
													{
														obj_t BgL_tail1151z00_2276;
														obj_t BgL_l1148z00_2274;

														BgL_l1148z00_2274 = CDR(BgL_l1148z00_1631);
														BgL_tail1151z00_2276 = BgL_newtail1152z00_1639;
														BgL_tail1151z00_1632 = BgL_tail1151z00_2276;
														BgL_l1148z00_1631 = BgL_l1148z00_2274;
														goto BgL_zc3anonymousza31475ze3z83_1630;
													}
												}
										}
									}
								}
						}
						BgL_arg1471z00_963 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1473z00_965, BNIL);
					}
					return MAKE_PAIR(BgL_arg1469z00_962, BgL_arg1471z00_963);
				}
			}
		}
	}



/* &uncomp-ev_labels1216 */
	obj_t BGl_z62uncompzd2ev_labels1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2063, BgL_ev_labelsz00_bglt BgL_ez00_2064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_907;

				BgL_ez00_907 = BgL_ez00_2064;
				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1435z00_911;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1437z00_912;
						obj_t BgL_arg1438z00_913;

						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_ll1142z00_914;
							obj_t BgL_ll1143z00_915;

							BgL_ll1142z00_914 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_907))->BgL_varsz00);
							BgL_ll1143z00_915 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_907))->BgL_valsz00);
							if (NULLP(BgL_ll1142z00_914))
								{	/* Eval/evaluate_uncomp.scm 140 */
									BgL_arg1437z00_912 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_head1144z00_917;

									{	/* Eval/evaluate_uncomp.scm 140 */
										obj_t BgL_res1776z00_1519;

										BgL_res1776z00_1519 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1144z00_917 = BgL_res1776z00_1519;
									}
									{
										obj_t BgL_ll1142z00_919;
										obj_t BgL_ll1143z00_920;
										obj_t BgL_tail1145z00_921;

										BgL_ll1142z00_919 = BgL_ll1142z00_914;
										BgL_ll1143z00_920 = BgL_ll1143z00_915;
										BgL_tail1145z00_921 = BgL_head1144z00_917;
									BgL_zc3anonymousza31440ze3z83_922:
										if (NULLP(BgL_ll1142z00_919))
											{	/* Eval/evaluate_uncomp.scm 140 */
												BgL_arg1437z00_912 = CDR(BgL_head1144z00_917);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_newtail1146z00_924;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_arg1444z00_927;

													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_vz00_928;
														obj_t BgL_az00_929;

														BgL_vz00_928 = CAR(BgL_ll1142z00_919);
														BgL_az00_929 = CAR(BgL_ll1143z00_920);
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1445z00_930;
															obj_t BgL_arg1446z00_931;

															BgL_arg1445z00_930 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_928));
															{	/* Eval/evaluate_uncomp.scm 140 */
																obj_t BgL_arg1447z00_932;

																{	/* Eval/evaluate_uncomp.scm 140 */
																	obj_t BgL_arg1450z00_933;

																	{	/* Eval/evaluate_uncomp.scm 140 */
																		obj_t BgL_arg1453z00_934;
																		obj_t BgL_arg1454z00_935;

																		{	/* Eval/evaluate_uncomp.scm 140 */
																			obj_t BgL_l1136z00_936;

																			BgL_l1136z00_936 = CAR(BgL_az00_929);
																			if (NULLP(BgL_l1136z00_936))
																				{	/* Eval/evaluate_uncomp.scm 140 */
																					BgL_arg1453z00_934 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 140 */
																					obj_t BgL_head1138z00_938;

																					{	/* Eval/evaluate_uncomp.scm 140 */
																						obj_t BgL_arg1461z00_950;

																						{	/* Eval/evaluate_uncomp.scm 140 */
																							obj_t BgL_arg1463z00_951;

																							BgL_arg1463z00_951 =
																								CAR(BgL_l1136z00_936);
																							BgL_arg1461z00_950 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1463z00_951));
																						}
																						{	/* Eval/evaluate_uncomp.scm 140 */
																							obj_t BgL_res1779z00_1531;

																							BgL_res1779z00_1531 =
																								MAKE_PAIR(BgL_arg1461z00_950,
																								BNIL);
																							BgL_head1138z00_938 =
																								BgL_res1779z00_1531;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 140 */
																						obj_t BgL_g1141z00_939;

																						BgL_g1141z00_939 =
																							CDR(BgL_l1136z00_936);
																						{
																							obj_t BgL_l1136z00_1564;
																							obj_t BgL_tail1139z00_1565;

																							BgL_l1136z00_1564 =
																								BgL_g1141z00_939;
																							BgL_tail1139z00_1565 =
																								BgL_head1138z00_938;
																						BgL_zc3anonymousza31456ze3z83_1563:
																							if (NULLP(BgL_l1136z00_1564))
																								{	/* Eval/evaluate_uncomp.scm 140 */
																									BgL_arg1453z00_934 =
																										BgL_head1138z00_938;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 140 */
																									obj_t BgL_newtail1140z00_1572;

																									{	/* Eval/evaluate_uncomp.scm 140 */
																										obj_t BgL_arg1459z00_1573;

																										{	/* Eval/evaluate_uncomp.scm 140 */
																											obj_t BgL_arg1460z00_1574;

																											BgL_arg1460z00_1574 =
																												CAR(BgL_l1136z00_1564);
																											BgL_arg1459z00_1573 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1460z00_1574));
																										}
																										{	/* Eval/evaluate_uncomp.scm 140 */
																											obj_t BgL_res1785z00_1581;

																											BgL_res1785z00_1581 =
																												MAKE_PAIR
																												(BgL_arg1459z00_1573,
																												BNIL);
																											BgL_newtail1140z00_1572 =
																												BgL_res1785z00_1581;
																										}
																									}
																									SET_CDR(BgL_tail1139z00_1565,
																										BgL_newtail1140z00_1572);
																									{
																										obj_t BgL_tail1139z00_2308;
																										obj_t BgL_l1136z00_2306;

																										BgL_l1136z00_2306 =
																											CDR(BgL_l1136z00_1564);
																										BgL_tail1139z00_2308 =
																											BgL_newtail1140z00_1572;
																										BgL_tail1139z00_1565 =
																											BgL_tail1139z00_2308;
																										BgL_l1136z00_1564 =
																											BgL_l1136z00_2306;
																										goto
																											BgL_zc3anonymousza31456ze3z83_1563;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 141 */
																			obj_t BgL_arg1464z00_952;

																			{	/* Eval/evaluate_uncomp.scm 141 */
																				obj_t BgL_arg1465z00_953;

																				BgL_arg1465z00_953 = CDR(BgL_az00_929);
																				BgL_arg1464z00_952 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1465z00_953));
																			}
																			BgL_arg1454z00_935 =
																				MAKE_PAIR(BgL_arg1464z00_952, BNIL);
																		}
																		BgL_arg1450z00_933 =
																			MAKE_PAIR(BgL_arg1453z00_934,
																			BgL_arg1454z00_935);
																	}
																	BgL_arg1447z00_932 =
																		MAKE_PAIR
																		(BGl_symbol1888z00zz__evaluate_uncompz00,
																		BgL_arg1450z00_933);
																}
																BgL_arg1446z00_931 =
																	MAKE_PAIR(BgL_arg1447z00_932, BNIL);
															}
															BgL_arg1444z00_927 =
																MAKE_PAIR(BgL_arg1445z00_930,
																BgL_arg1446z00_931);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_res1786z00_1588;

														BgL_res1786z00_1588 =
															MAKE_PAIR(BgL_arg1444z00_927, BNIL);
														BgL_newtail1146z00_924 = BgL_res1786z00_1588;
													}
												}
												SET_CDR(BgL_tail1145z00_921, BgL_newtail1146z00_924);
												{
													obj_t BgL_tail1145z00_2323;
													obj_t BgL_ll1143z00_2321;
													obj_t BgL_ll1142z00_2319;

													BgL_ll1142z00_2319 = CDR(BgL_ll1142z00_919);
													BgL_ll1143z00_2321 = CDR(BgL_ll1143z00_920);
													BgL_tail1145z00_2323 = BgL_newtail1146z00_924;
													BgL_tail1145z00_921 = BgL_tail1145z00_2323;
													BgL_ll1143z00_920 = BgL_ll1143z00_2321;
													BgL_ll1142z00_919 = BgL_ll1142z00_2319;
													goto BgL_zc3anonymousza31440ze3z83_922;
												}
											}
									}
								}
						}
						BgL_arg1438z00_913 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_907))->BgL_bodyz00)),
							BNIL);
						BgL_arg1435z00_911 =
							MAKE_PAIR(BgL_arg1437z00_912, BgL_arg1438z00_913);
					}
					return
						MAKE_PAIR(BGl_symbol1890z00zz__evaluate_uncompz00,
						BgL_arg1435z00_911);
				}
			}
		}
	}



/* &uncomp-ev_letrec1214 */
	obj_t BGl_z62uncompzd2ev_letrec1214zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2065, BgL_ev_letrecz00_bglt BgL_ez00_2066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_877;

				BgL_ez00_877 = BgL_ez00_2066;
				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1414z00_881;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1415z00_882;
						obj_t BgL_arg1416z00_883;

						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_ll1130z00_884;
							obj_t BgL_ll1131z00_885;

							BgL_ll1130z00_884 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_877)))->BgL_varsz00);
							BgL_ll1131z00_885 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_877)))->BgL_valsz00);
							if (NULLP(BgL_ll1130z00_884))
								{	/* Eval/evaluate_uncomp.scm 136 */
									BgL_arg1415z00_882 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_head1132z00_887;

									{	/* Eval/evaluate_uncomp.scm 136 */
										obj_t BgL_res1772z00_1502;

										BgL_res1772z00_1502 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1132z00_887 = BgL_res1772z00_1502;
									}
									{
										obj_t BgL_ll1130z00_889;
										obj_t BgL_ll1131z00_890;
										obj_t BgL_tail1133z00_891;

										BgL_ll1130z00_889 = BgL_ll1130z00_884;
										BgL_ll1131z00_890 = BgL_ll1131z00_885;
										BgL_tail1133z00_891 = BgL_head1132z00_887;
									BgL_zc3anonymousza31418ze3z83_892:
										if (NULLP(BgL_ll1130z00_889))
											{	/* Eval/evaluate_uncomp.scm 136 */
												BgL_arg1415z00_882 = CDR(BgL_head1132z00_887);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_newtail1134z00_894;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_arg1422z00_897;

													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_vz00_898;
														obj_t BgL_az00_899;

														BgL_vz00_898 = CAR(BgL_ll1130z00_889);
														BgL_az00_899 = CAR(BgL_ll1131z00_890);
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1423z00_900;
															obj_t BgL_arg1424z00_901;

															BgL_arg1423z00_900 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_898));
															{	/* Eval/evaluate_uncomp.scm 136 */
																obj_t BgL_arg1429z00_902;

																BgL_arg1429z00_902 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_899));
																BgL_arg1424z00_901 =
																	MAKE_PAIR(BgL_arg1429z00_902, BNIL);
															}
															BgL_arg1422z00_897 =
																MAKE_PAIR(BgL_arg1423z00_900,
																BgL_arg1424z00_901);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_res1774z00_1510;

														BgL_res1774z00_1510 =
															MAKE_PAIR(BgL_arg1422z00_897, BNIL);
														BgL_newtail1134z00_894 = BgL_res1774z00_1510;
													}
												}
												SET_CDR(BgL_tail1133z00_891, BgL_newtail1134z00_894);
												{
													obj_t BgL_tail1133z00_2353;
													obj_t BgL_ll1131z00_2351;
													obj_t BgL_ll1130z00_2349;

													BgL_ll1130z00_2349 = CDR(BgL_ll1130z00_889);
													BgL_ll1131z00_2351 = CDR(BgL_ll1131z00_890);
													BgL_tail1133z00_2353 = BgL_newtail1134z00_894;
													BgL_tail1133z00_891 = BgL_tail1133z00_2353;
													BgL_ll1131z00_890 = BgL_ll1131z00_2351;
													BgL_ll1130z00_889 = BgL_ll1130z00_2349;
													goto BgL_zc3anonymousza31418ze3z83_892;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_arg1430z00_904;

							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_ev_exprz00_bglt BgL_arg1431z00_905;

								BgL_arg1431z00_905 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_877)))->BgL_bodyz00);
								BgL_arg1430z00_904 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1431z00_905);
							}
							BgL_arg1416z00_883 = MAKE_PAIR(BgL_arg1430z00_904, BNIL);
						}
						BgL_arg1414z00_881 =
							MAKE_PAIR(BgL_arg1415z00_882, BgL_arg1416z00_883);
					}
					return
						MAKE_PAIR(BGl_symbol1890z00zz__evaluate_uncompz00,
						BgL_arg1414z00_881);
				}
			}
		}
	}



/* &uncomp-ev_let*1212 */
	obj_t BGl_z62uncompzd2ev_letza21212z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2067, BgL_ev_letza2za2_bglt BgL_ez00_2068)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_847;

				BgL_ez00_847 = BgL_ez00_2068;
				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1400z00_851;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1401z00_852;
						obj_t BgL_arg1402z00_853;

						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_ll1124z00_854;
							obj_t BgL_ll1125z00_855;

							BgL_ll1124z00_854 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_847)))->BgL_varsz00);
							BgL_ll1125z00_855 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_847)))->BgL_valsz00);
							if (NULLP(BgL_ll1124z00_854))
								{	/* Eval/evaluate_uncomp.scm 132 */
									BgL_arg1401z00_852 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_head1126z00_857;

									{	/* Eval/evaluate_uncomp.scm 132 */
										obj_t BgL_res1768z00_1485;

										BgL_res1768z00_1485 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1126z00_857 = BgL_res1768z00_1485;
									}
									{
										obj_t BgL_ll1124z00_859;
										obj_t BgL_ll1125z00_860;
										obj_t BgL_tail1127z00_861;

										BgL_ll1124z00_859 = BgL_ll1124z00_854;
										BgL_ll1125z00_860 = BgL_ll1125z00_855;
										BgL_tail1127z00_861 = BgL_head1126z00_857;
									BgL_zc3anonymousza31404ze3z83_862:
										if (NULLP(BgL_ll1124z00_859))
											{	/* Eval/evaluate_uncomp.scm 132 */
												BgL_arg1401z00_852 = CDR(BgL_head1126z00_857);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_newtail1128z00_864;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_arg1408z00_867;

													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_vz00_868;
														obj_t BgL_az00_869;

														BgL_vz00_868 = CAR(BgL_ll1124z00_859);
														BgL_az00_869 = CAR(BgL_ll1125z00_860);
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1409z00_870;
															obj_t BgL_arg1410z00_871;

															BgL_arg1409z00_870 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_868));
															{	/* Eval/evaluate_uncomp.scm 132 */
																obj_t BgL_arg1411z00_872;

																BgL_arg1411z00_872 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_869));
																BgL_arg1410z00_871 =
																	MAKE_PAIR(BgL_arg1411z00_872, BNIL);
															}
															BgL_arg1408z00_867 =
																MAKE_PAIR(BgL_arg1409z00_870,
																BgL_arg1410z00_871);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_res1770z00_1493;

														BgL_res1770z00_1493 =
															MAKE_PAIR(BgL_arg1408z00_867, BNIL);
														BgL_newtail1128z00_864 = BgL_res1770z00_1493;
													}
												}
												SET_CDR(BgL_tail1127z00_861, BgL_newtail1128z00_864);
												{
													obj_t BgL_tail1127z00_2384;
													obj_t BgL_ll1125z00_2382;
													obj_t BgL_ll1124z00_2380;

													BgL_ll1124z00_2380 = CDR(BgL_ll1124z00_859);
													BgL_ll1125z00_2382 = CDR(BgL_ll1125z00_860);
													BgL_tail1127z00_2384 = BgL_newtail1128z00_864;
													BgL_tail1127z00_861 = BgL_tail1127z00_2384;
													BgL_ll1125z00_860 = BgL_ll1125z00_2382;
													BgL_ll1124z00_859 = BgL_ll1124z00_2380;
													goto BgL_zc3anonymousza31404ze3z83_862;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_arg1412z00_874;

							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_ev_exprz00_bglt BgL_arg1413z00_875;

								BgL_arg1413z00_875 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_847)))->BgL_bodyz00);
								BgL_arg1412z00_874 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1413z00_875);
							}
							BgL_arg1402z00_853 = MAKE_PAIR(BgL_arg1412z00_874, BNIL);
						}
						BgL_arg1400z00_851 =
							MAKE_PAIR(BgL_arg1401z00_852, BgL_arg1402z00_853);
					}
					return
						MAKE_PAIR(BGl_symbol1892z00zz__evaluate_uncompz00,
						BgL_arg1400z00_851);
				}
			}
		}
	}



/* &uncomp-ev_let1210 */
	obj_t BGl_z62uncompzd2ev_let1210zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2069, BgL_ev_letz00_bglt BgL_ez00_2070)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{
				BgL_ev_letz00_bglt BgL_ez00_817;

				BgL_ez00_817 = BgL_ez00_2070;
				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1383z00_821;

					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1384z00_822;
						obj_t BgL_arg1385z00_823;

						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_ll1118z00_824;
							obj_t BgL_ll1119z00_825;

							BgL_ll1118z00_824 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_817)))->BgL_varsz00);
							BgL_ll1119z00_825 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_817)))->BgL_valsz00);
							if (NULLP(BgL_ll1118z00_824))
								{	/* Eval/evaluate_uncomp.scm 128 */
									BgL_arg1384z00_822 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 128 */
									obj_t BgL_head1120z00_827;

									{	/* Eval/evaluate_uncomp.scm 128 */
										obj_t BgL_res1764z00_1468;

										BgL_res1764z00_1468 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1120z00_827 = BgL_res1764z00_1468;
									}
									{
										obj_t BgL_ll1118z00_829;
										obj_t BgL_ll1119z00_830;
										obj_t BgL_tail1121z00_831;

										BgL_ll1118z00_829 = BgL_ll1118z00_824;
										BgL_ll1119z00_830 = BgL_ll1119z00_825;
										BgL_tail1121z00_831 = BgL_head1120z00_827;
									BgL_zc3anonymousza31387ze3z83_832:
										if (NULLP(BgL_ll1118z00_829))
											{	/* Eval/evaluate_uncomp.scm 128 */
												BgL_arg1384z00_822 = CDR(BgL_head1120z00_827);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 128 */
												obj_t BgL_newtail1122z00_834;

												{	/* Eval/evaluate_uncomp.scm 128 */
													obj_t BgL_arg1394z00_837;

													{	/* Eval/evaluate_uncomp.scm 128 */
														obj_t BgL_vz00_838;
														obj_t BgL_az00_839;

														BgL_vz00_838 = CAR(BgL_ll1118z00_829);
														BgL_az00_839 = CAR(BgL_ll1119z00_830);
														{	/* Eval/evaluate_uncomp.scm 128 */
															obj_t BgL_arg1395z00_840;
															obj_t BgL_arg1396z00_841;

															BgL_arg1395z00_840 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_838));
															{	/* Eval/evaluate_uncomp.scm 128 */
																obj_t BgL_arg1397z00_842;

																BgL_arg1397z00_842 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_839));
																BgL_arg1396z00_841 =
																	MAKE_PAIR(BgL_arg1397z00_842, BNIL);
															}
															BgL_arg1394z00_837 =
																MAKE_PAIR(BgL_arg1395z00_840,
																BgL_arg1396z00_841);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 128 */
														obj_t BgL_res1766z00_1476;

														BgL_res1766z00_1476 =
															MAKE_PAIR(BgL_arg1394z00_837, BNIL);
														BgL_newtail1122z00_834 = BgL_res1766z00_1476;
													}
												}
												SET_CDR(BgL_tail1121z00_831, BgL_newtail1122z00_834);
												{
													obj_t BgL_tail1121z00_2415;
													obj_t BgL_ll1119z00_2413;
													obj_t BgL_ll1118z00_2411;

													BgL_ll1118z00_2411 = CDR(BgL_ll1118z00_829);
													BgL_ll1119z00_2413 = CDR(BgL_ll1119z00_830);
													BgL_tail1121z00_2415 = BgL_newtail1122z00_834;
													BgL_tail1121z00_831 = BgL_tail1121z00_2415;
													BgL_ll1119z00_830 = BgL_ll1119z00_2413;
													BgL_ll1118z00_829 = BgL_ll1118z00_2411;
													goto BgL_zc3anonymousza31387ze3z83_832;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1398z00_844;

							{	/* Eval/evaluate_uncomp.scm 128 */
								BgL_ev_exprz00_bglt BgL_arg1399z00_845;

								BgL_arg1399z00_845 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_817)))->BgL_bodyz00);
								BgL_arg1398z00_844 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1399z00_845);
							}
							BgL_arg1385z00_823 = MAKE_PAIR(BgL_arg1398z00_844, BNIL);
						}
						BgL_arg1383z00_821 =
							MAKE_PAIR(BgL_arg1384z00_822, BgL_arg1385z00_823);
					}
					return
						MAKE_PAIR(BGl_symbol1894z00zz__evaluate_uncompz00,
						BgL_arg1383z00_821);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1208 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2071, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_2072)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_806;

				BgL_ez00_806 = BgL_ez00_2072;
				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1375z00_810;

					{	/* Eval/evaluate_uncomp.scm 124 */
						obj_t BgL_arg1376z00_811;
						obj_t BgL_arg1379z00_812;

						BgL_arg1376z00_811 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_806))->
								BgL_handlerz00));
						BgL_arg1379z00_812 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_806))->
									BgL_bodyz00)), BNIL);
						BgL_arg1375z00_810 =
							MAKE_PAIR(BgL_arg1376z00_811, BgL_arg1379z00_812);
					}
					return
						MAKE_PAIR(BGl_symbol1896z00zz__evaluate_uncompz00,
						BgL_arg1375z00_810);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1206 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2073, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_2074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_795;

				BgL_ez00_795 = BgL_ez00_2074;
				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1367z00_799;

					{	/* Eval/evaluate_uncomp.scm 120 */
						obj_t BgL_arg1368z00_800;
						obj_t BgL_arg1369z00_801;

						BgL_arg1368z00_800 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_795))->
								BgL_ez00));
						BgL_arg1369z00_801 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_795))->
									BgL_bodyz00)), BNIL);
						BgL_arg1367z00_799 =
							MAKE_PAIR(BgL_arg1368z00_800, BgL_arg1369z00_801);
					}
					return
						MAKE_PAIR(BGl_symbol1898z00zz__evaluate_uncompz00,
						BgL_arg1367z00_799);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1204 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2075, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_2076)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_783;

				BgL_ez00_783 = BgL_ez00_2076;
				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1359z00_787;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1360z00_788;
						obj_t BgL_arg1362z00_789;

						{	/* Eval/evaluate_uncomp.scm 116 */
							obj_t BgL_arg1363z00_790;

							{	/* Eval/evaluate_uncomp.scm 116 */
								BgL_ev_varz00_bglt BgL_arg1364z00_791;

								BgL_arg1364z00_791 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_783))->
									BgL_varz00);
								BgL_arg1363z00_790 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1364z00_791));
							}
							BgL_arg1360z00_788 = MAKE_PAIR(BgL_arg1363z00_790, BNIL);
						}
						BgL_arg1362z00_789 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_783))->
									BgL_bodyz00)), BNIL);
						BgL_arg1359z00_787 =
							MAKE_PAIR(BgL_arg1360z00_788, BgL_arg1362z00_789);
					}
					return
						MAKE_PAIR(BGl_symbol1900z00zz__evaluate_uncompz00,
						BgL_arg1359z00_787);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1202 */
	obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2077, BgL_ev_setlocalz00_bglt BgL_ez00_2078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_772;

				BgL_ez00_772 = BgL_ez00_2078;
				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1353z00_776;

					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1354z00_777;
						obj_t BgL_arg1355z00_778;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_varz00_bglt BgL_arg1356z00_779;

							BgL_arg1356z00_779 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_772))->BgL_vz00);
							BgL_arg1354z00_777 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1356z00_779));
						}
						{	/* Eval/evaluate_uncomp.scm 112 */
							obj_t BgL_arg1357z00_780;

							{	/* Eval/evaluate_uncomp.scm 112 */
								BgL_ev_exprz00_bglt BgL_arg1358z00_781;

								BgL_arg1358z00_781 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_772)))->BgL_ez00);
								BgL_arg1357z00_780 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1358z00_781);
							}
							BgL_arg1355z00_778 = MAKE_PAIR(BgL_arg1357z00_780, BNIL);
						}
						BgL_arg1353z00_776 =
							MAKE_PAIR(BgL_arg1354z00_777, BgL_arg1355z00_778);
					}
					return
						MAKE_PAIR(BGl_symbol1902z00zz__evaluate_uncompz00,
						BgL_arg1353z00_776);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1200 */
	obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2079, BgL_ev_defglobalz00_bglt BgL_ez00_2080)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_762;

				BgL_ez00_762 = BgL_ez00_2080;
				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1348z00_766;

					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1349z00_767;
						obj_t BgL_arg1350z00_768;

						BgL_arg1349z00_767 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_762)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 108 */
							obj_t BgL_arg1351z00_769;

							{	/* Eval/evaluate_uncomp.scm 108 */
								BgL_ev_exprz00_bglt BgL_arg1352z00_770;

								BgL_arg1352z00_770 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_762)))->BgL_ez00);
								BgL_arg1351z00_769 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1352z00_770);
							}
							BgL_arg1350z00_768 = MAKE_PAIR(BgL_arg1351z00_769, BNIL);
						}
						BgL_arg1348z00_766 =
							MAKE_PAIR(BgL_arg1349z00_767, BgL_arg1350z00_768);
					}
					return
						MAKE_PAIR(BGl_symbol1904z00zz__evaluate_uncompz00,
						BgL_arg1348z00_766);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1198 */
	obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2081, BgL_ev_setglobalz00_bglt BgL_ez00_2082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_752;

				BgL_ez00_752 = BgL_ez00_2082;
				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1342z00_756;

					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1344z00_757;
						obj_t BgL_arg1345z00_758;

						BgL_arg1344z00_757 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_752))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 104 */
							obj_t BgL_arg1346z00_759;

							{	/* Eval/evaluate_uncomp.scm 104 */
								BgL_ev_exprz00_bglt BgL_arg1347z00_760;

								BgL_arg1347z00_760 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_752)))->BgL_ez00);
								BgL_arg1346z00_759 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1347z00_760);
							}
							BgL_arg1345z00_758 = MAKE_PAIR(BgL_arg1346z00_759, BNIL);
						}
						BgL_arg1342z00_756 =
							MAKE_PAIR(BgL_arg1344z00_757, BgL_arg1345z00_758);
					}
					return
						MAKE_PAIR(BGl_symbol1902z00zz__evaluate_uncompz00,
						BgL_arg1342z00_756);
				}
			}
		}
	}



/* &uncomp-ev_trap1196 */
	obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2083, BgL_ev_trapz00_bglt BgL_ez00_2084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_744;

				BgL_ez00_744 = BgL_ez00_2084;
				{	/* Eval/evaluate_uncomp.scm 99 */
					obj_t BgL_arg1339z00_1461;

					{	/* Eval/evaluate_uncomp.scm 99 */
						obj_t BgL_arg1340z00_1462;

						{	/* Eval/evaluate_uncomp.scm 99 */
							BgL_ev_exprz00_bglt BgL_arg1341z00_1463;

							BgL_arg1341z00_1463 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_744)))->BgL_ez00);
							BgL_arg1340z00_1462 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1341z00_1463);
						}
						BgL_arg1339z00_1461 = MAKE_PAIR(BgL_arg1340z00_1462, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1906z00zz__evaluate_uncompz00,
						BgL_arg1339z00_1461);
				}
			}
		}
	}



/* &uncomp-ev_prog21194 */
	obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2085, BgL_ev_prog2z00_bglt BgL_ez00_2086)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_727;

				BgL_ez00_727 = BgL_ez00_2086;
				{	/* Eval/evaluate_uncomp.scm 93 */
					obj_t BgL_e1z00_731;
					obj_t BgL_e2z00_732;

					BgL_e1z00_731 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_727))->BgL_e1z00));
					BgL_e2z00_732 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_727))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 94 */
						bool_t BgL_testz00_2478;

						if (PAIRP(BgL_e2z00_732))
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2478 =
									(CAR(BgL_e2z00_732) ==
									BGl_symbol1908z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2478 = ((bool_t) 0);
							}
						if (BgL_testz00_2478)
							{	/* Eval/evaluate_uncomp.scm 95 */
								obj_t BgL_arg1330z00_734;

								BgL_arg1330z00_734 =
									MAKE_PAIR(BgL_e1z00_731,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_732), BNIL));
								return MAKE_PAIR(BGl_symbol1908z00zz__evaluate_uncompz00,
									BgL_arg1330z00_734);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1333z00_737;

								{	/* Eval/evaluate_uncomp.scm 96 */
									obj_t BgL_arg1334z00_738;

									BgL_arg1334z00_738 = MAKE_PAIR(BgL_e2z00_732, BNIL);
									BgL_arg1333z00_737 =
										MAKE_PAIR(BgL_e1z00_731, BgL_arg1334z00_738);
								}
								return
									MAKE_PAIR(BGl_symbol1908z00zz__evaluate_uncompz00,
									BgL_arg1333z00_737);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1192 */
	obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2087, BgL_ev_andz00_bglt BgL_ez00_2088)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{
				BgL_ev_andz00_bglt BgL_ez00_704;

				BgL_ez00_704 = BgL_ez00_2088;
				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1317z00_708;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_arg1318z00_709;

						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_l1112z00_710;

							BgL_l1112z00_710 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_704)))->BgL_argsz00);
							if (NULLP(BgL_l1112z00_710))
								{	/* Eval/evaluate_uncomp.scm 89 */
									BgL_arg1318z00_709 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_head1114z00_712;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1325z00_724;

										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_arg1326z00_725;

											BgL_arg1326z00_725 = CAR(BgL_l1112z00_710);
											BgL_arg1325z00_724 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1326z00_725));
										}
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_res1755z00_1402;

											BgL_res1755z00_1402 = MAKE_PAIR(BgL_arg1325z00_724, BNIL);
											BgL_head1114z00_712 = BgL_res1755z00_1402;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_g1117z00_713;

										BgL_g1117z00_713 = CDR(BgL_l1112z00_710);
										{
											obj_t BgL_l1112z00_1435;
											obj_t BgL_tail1115z00_1436;

											BgL_l1112z00_1435 = BgL_g1117z00_713;
											BgL_tail1115z00_1436 = BgL_head1114z00_712;
										BgL_zc3anonymousza31320ze3z83_1434:
											if (NULLP(BgL_l1112z00_1435))
												{	/* Eval/evaluate_uncomp.scm 89 */
													BgL_arg1318z00_709 = BgL_head1114z00_712;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_newtail1116z00_1443;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1323z00_1444;

														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_arg1324z00_1445;

															BgL_arg1324z00_1445 = CAR(BgL_l1112z00_1435);
															BgL_arg1323z00_1444 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1324z00_1445));
														}
														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_res1761z00_1452;

															BgL_res1761z00_1452 =
																MAKE_PAIR(BgL_arg1323z00_1444, BNIL);
															BgL_newtail1116z00_1443 = BgL_res1761z00_1452;
														}
													}
													SET_CDR(BgL_tail1115z00_1436,
														BgL_newtail1116z00_1443);
													{
														obj_t BgL_tail1115z00_2508;
														obj_t BgL_l1112z00_2506;

														BgL_l1112z00_2506 = CDR(BgL_l1112z00_1435);
														BgL_tail1115z00_2508 = BgL_newtail1116z00_1443;
														BgL_tail1115z00_1436 = BgL_tail1115z00_2508;
														BgL_l1112z00_1435 = BgL_l1112z00_2506;
														goto BgL_zc3anonymousza31320ze3z83_1434;
													}
												}
										}
									}
								}
						}
						BgL_arg1317z00_708 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1318z00_709, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1910z00zz__evaluate_uncompz00,
						BgL_arg1317z00_708);
				}
			}
		}
	}



/* &uncomp-ev_or1190 */
	obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2089, BgL_ev_orz00_bglt BgL_ez00_2090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{
				BgL_ev_orz00_bglt BgL_ez00_681;

				BgL_ez00_681 = BgL_ez00_2090;
				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1302z00_685;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_arg1305z00_686;

						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_l1106z00_687;

							BgL_l1106z00_687 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_681)))->BgL_argsz00);
							if (NULLP(BgL_l1106z00_687))
								{	/* Eval/evaluate_uncomp.scm 85 */
									BgL_arg1305z00_686 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_head1108z00_689;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1315z00_701;

										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_arg1316z00_702;

											BgL_arg1316z00_702 = CAR(BgL_l1106z00_687);
											BgL_arg1315z00_701 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1316z00_702));
										}
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_res1747z00_1343;

											BgL_res1747z00_1343 = MAKE_PAIR(BgL_arg1315z00_701, BNIL);
											BgL_head1108z00_689 = BgL_res1747z00_1343;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_g1111z00_690;

										BgL_g1111z00_690 = CDR(BgL_l1106z00_687);
										{
											obj_t BgL_l1106z00_1376;
											obj_t BgL_tail1109z00_1377;

											BgL_l1106z00_1376 = BgL_g1111z00_690;
											BgL_tail1109z00_1377 = BgL_head1108z00_689;
										BgL_zc3anonymousza31307ze3z83_1375:
											if (NULLP(BgL_l1106z00_1376))
												{	/* Eval/evaluate_uncomp.scm 85 */
													BgL_arg1305z00_686 = BgL_head1108z00_689;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_newtail1110z00_1384;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1313z00_1385;

														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_arg1314z00_1386;

															BgL_arg1314z00_1386 = CAR(BgL_l1106z00_1376);
															BgL_arg1313z00_1385 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1314z00_1386));
														}
														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_res1753z00_1393;

															BgL_res1753z00_1393 =
																MAKE_PAIR(BgL_arg1313z00_1385, BNIL);
															BgL_newtail1110z00_1384 = BgL_res1753z00_1393;
														}
													}
													SET_CDR(BgL_tail1109z00_1377,
														BgL_newtail1110z00_1384);
													{
														obj_t BgL_tail1109z00_2529;
														obj_t BgL_l1106z00_2527;

														BgL_l1106z00_2527 = CDR(BgL_l1106z00_1376);
														BgL_tail1109z00_2529 = BgL_newtail1110z00_1384;
														BgL_tail1109z00_1377 = BgL_tail1109z00_2529;
														BgL_l1106z00_1376 = BgL_l1106z00_2527;
														goto BgL_zc3anonymousza31307ze3z83_1375;
													}
												}
										}
									}
								}
						}
						BgL_arg1302z00_685 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1305z00_686, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1912z00zz__evaluate_uncompz00,
						BgL_arg1302z00_685);
				}
			}
		}
	}



/* &uncomp-ev_if1188 */
	obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2091, BgL_ev_ifz00_bglt BgL_ez00_2092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_667;

				BgL_ez00_667 = BgL_ez00_2092;
				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1261z00_671;

					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1262z00_672;
						obj_t BgL_arg1263z00_673;

						BgL_arg1262z00_672 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_667))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 81 */
							obj_t BgL_arg1268z00_675;
							obj_t BgL_arg1271z00_676;

							BgL_arg1268z00_675 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_667))->BgL_tz00));
							BgL_arg1271z00_676 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_667))->BgL_ez00)), BNIL);
							BgL_arg1263z00_673 =
								MAKE_PAIR(BgL_arg1268z00_675, BgL_arg1271z00_676);
						}
						BgL_arg1261z00_671 =
							MAKE_PAIR(BgL_arg1262z00_672, BgL_arg1263z00_673);
					}
					return
						MAKE_PAIR(BGl_symbol1914z00zz__evaluate_uncompz00,
						BgL_arg1261z00_671);
				}
			}
		}
	}



/* &uncomp-ev_litt1186 */
	obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2093, BgL_ev_littz00_bglt BgL_ez00_2094)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{
				BgL_ev_littz00_bglt BgL_ez00_660;

				BgL_ez00_660 = BgL_ez00_2094;
				{	/* Eval/evaluate_uncomp.scm 76 */
					obj_t BgL_arg1259z00_1336;

					BgL_arg1259z00_1336 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_660))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1916z00zz__evaluate_uncompz00,
						BgL_arg1259z00_1336);
				}
			}
		}
	}



/* &uncomp-ev_global1184 */
	obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2095, BgL_ev_globalz00_bglt BgL_varz00_2096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return (((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2096))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1182 */
	obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2097, BgL_ev_varz00_bglt BgL_varz00_2098)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return (((BgL_ev_varz00_bglt) CREF(BgL_varz00_2098))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1918z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
