/*===========================================================================*/
/*   (Eval/evaluate_use.scm)                                                 */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_use.scm -indent -o objs/obj_u/Eval/evaluate_use.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_usez00 = BUNSPEC;
	static obj_t BGl_z62use1108z62zz__evaluate_usez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_z62usezd2ev_hook1123zb0zz__evaluate_usez00(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_unwindzd2protec1129z62zz__evaluate_usez00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_withzd2handler1131z62zz__evaluate_usez00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_objectzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_global1113zb0zz__evaluate_usez00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_goto1139zb0zz__evaluate_usez00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_bindzd2exit1127z62zz__evaluate_usez00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_labels1137zb0zz__evaluate_usez00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_var1111zb0zz__evaluate_usez00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_methodzd2initzd2zz__evaluate_usez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_setlocal1125zb0zz__evaluate_usez00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_app1141zb0zz__evaluate_usez00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_list1119zb0zz__evaluate_usez00(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_binder1133zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_z62usezd2ev_binder1135zb0zz__evaluate_usez00(obj_t,
		BgL_ev_binderz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_usez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
	static obj_t BGl_z62usez62zz__evaluate_usez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62usezd2ev_abs1143zb0zz__evaluate_usez00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_litt1115zb0zz__evaluate_usez00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_if1117zb0zz__evaluate_usez00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol1566z00zz__evaluate_usez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt,
		obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62usezd2ev_prog21121zb0zz__evaluate_usez00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1565z00zz__evaluate_usez00,
		BgL_bgl_string1565za700za7za7_1590za7, "use1108", 7);
	      DEFINE_STRING(BGl_string1567z00zz__evaluate_usez00,
		BgL_bgl_string1567za700za7za7_1591za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1568z00zz__evaluate_usez00,
		BgL_bgl_string1568za700za7za7_1592za7,
		"/tmp/bigloo/runtime/Eval/evaluate_use.scm", 41);
	      DEFINE_STRING(BGl_string1569z00zz__evaluate_usez00,
		BgL_bgl_string1569za700za7za7_1593za7, "&use", 4);
	      DEFINE_STRING(BGl_string1570z00zz__evaluate_usez00,
		BgL_bgl_string1570za700za7za7_1594za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1564z00zz__evaluate_usez00,
		BgL_bgl_za762use1108za762za7za7_1595z00,
		BGl_z62use1108z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1572z00zz__evaluate_usez00,
		BgL_bgl_string1572za700za7za7_1596za7, "use", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1571z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_var11597z00,
		BGl_z62usezd2ev_var1111zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1573z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_glob1598z00,
		BGl_z62usezd2ev_global1113zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1574z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_litt1599z00,
		BGl_z62usezd2ev_litt1115zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1575z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_if111600z00,
		BGl_z62usezd2ev_if1117zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1576z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_list1601z00,
		BGl_z62usezd2ev_list1119zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1577z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_prog1602z00,
		BGl_z62usezd2ev_prog21121zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1578z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_hook1603z00,
		BGl_z62usezd2ev_hook1123zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1579z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_setl1604z00,
		BGl_z62usezd2ev_setlocal1125zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1589z00zz__evaluate_usez00,
		BgL_bgl_string1589za700za7za7_1605za7, "__evaluate_use", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1580z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1606z00,
		BGl_z62usezd2ev_bindzd2exit1127z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1581z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_unwi1607z00,
		BGl_z62usezd2ev_unwindzd2protec1129z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1582z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_with1608z00,
		BGl_z62usezd2ev_withzd2handler1131z62zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1583z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1609z00,
		BGl_z62usezd2ev_binder1133zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1584z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_bind1610z00,
		BGl_z62usezd2ev_binder1135zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1585z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_labe1611z00,
		BGl_z62usezd2ev_labels1137zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1586z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_goto1612z00,
		BGl_z62usezd2ev_goto1139zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1587z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_app11613z00,
		BGl_z62usezd2ev_app1141zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1588z00zz__evaluate_usez00,
		BgL_bgl_za762useza7d2ev_abs11614z00,
		BGl_z62usezd2ev_abs1143zb0zz__evaluate_usez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_usezd2envzd2zz__evaluate_usez00,
		BgL_bgl_za762useza762za7za7__eva1615z00, BGl_z62usez62zz__evaluate_usez00,
		0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long
		BgL_checksumz00_1612, char *BgL_fromz00_1613)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_usez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_usez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_usez00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_usez00();
					BGl_genericzd2initzd2zz__evaluate_usez00();
					BGl_methodzd2initzd2zz__evaluate_usez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return (BGl_symbol1566z00zz__evaluate_usez00 =
				bstring_to_symbol(BGl_string1565z00zz__evaluate_usez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_proc1564z00zz__evaluate_usez00, BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1565z00zz__evaluate_usez00);
		}
	}



/* &use1108 */
	obj_t BGl_z62use1108z62zz__evaluate_usez00(obj_t BgL_envz00_1531,
		BgL_ev_exprz00_bglt BgL_ez00_1532, obj_t BgL_donez00_1533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_665;
				obj_t BgL_donez00_666;

				BgL_ez00_665 = BgL_ez00_1532;
				BgL_donez00_666 = BgL_donez00_1533;
				return
					BGl_errorz00zz__errorz00(BGl_symbol1566z00zz__evaluate_usez00,
					BGl_string1567z00zz__evaluate_usez00, ((obj_t) BgL_ez00_665));
			}
		}
	}



/* use */
	BGL_EXPORTED_DEF obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt
		BgL_ez00_3, obj_t BgL_donez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				obj_t BgL_method1109z00_669;

				{	/* Eval/evaluate_use.scm 62 */
					obj_t BgL_res1512z00_1114;

					{	/* Eval/evaluate_use.scm 62 */
						BgL_objectz00_bglt BgL_objz00_1086;

						BgL_objz00_1086 = ((BgL_objectz00_bglt) BgL_ez00_3);
						{	/* Eval/evaluate_use.scm 62 */
							long BgL_objzd2classzd2numz00_1087;

							{	/* Eval/evaluate_use.scm 62 */
								long BgL_res1506z00_1090;

								BgL_res1506z00_1090 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1086);
								BgL_objzd2classzd2numz00_1087 = BgL_res1506z00_1090;
							}
							{	/* Eval/evaluate_use.scm 62 */
								obj_t BgL_arg1498z00_1088;

								BgL_arg1498z00_1088 =
									PROCEDURE_REF(BGl_usezd2envzd2zz__evaluate_usez00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_use.scm 62 */
									obj_t BgL_arrayz00_1091;
									int BgL_offsetz00_1092;

									BgL_arrayz00_1091 = BgL_arg1498z00_1088;
									BgL_offsetz00_1092 = (int) (BgL_objzd2classzd2numz00_1087);
									{	/* Eval/evaluate_use.scm 62 */
										long BgL_offsetz00_1093;

										BgL_offsetz00_1093 =
											((long) (BgL_offsetz00_1092) - OBJECT_TYPE);
										{	/* Eval/evaluate_use.scm 62 */
											long BgL_modz00_1094;

											{	/* Eval/evaluate_use.scm 62 */
												int BgL_arg1500z00_1095;

												BgL_arg1500z00_1095 = (int) (((long) 16));
												{	/* Eval/evaluate_use.scm 62 */
													long BgL_res1509z00_1105;

													{	/* Eval/evaluate_use.scm 62 */
														long BgL_auxz00_1633;

														BgL_auxz00_1633 = (long) (BgL_arg1500z00_1095);
														BgL_res1509z00_1105 =
															(BgL_offsetz00_1093 / BgL_auxz00_1633);
													}
													BgL_modz00_1094 = BgL_res1509z00_1105;
											}}
											{	/* Eval/evaluate_use.scm 62 */
												long BgL_restz00_1096;

												{	/* Eval/evaluate_use.scm 62 */
													int BgL_arg1499z00_1097;

													BgL_arg1499z00_1097 = (int) (((long) 16));
													{	/* Eval/evaluate_use.scm 62 */
														long BgL_res1511z00_1109;

														{	/* Eval/evaluate_use.scm 62 */
															long BgL_auxz00_1637;

															BgL_auxz00_1637 = (long) (BgL_arg1499z00_1097);
															BgL_res1511z00_1109 =
																(BgL_offsetz00_1093 % BgL_auxz00_1637);
														}
														BgL_restz00_1096 = BgL_res1511z00_1109;
												}}
												{	/* Eval/evaluate_use.scm 62 */

													BgL_res1512z00_1114 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1091,
															(int) (BgL_modz00_1094)),
														(int) (BgL_restz00_1096));
					}}}}}}}}
					BgL_method1109z00_669 = BgL_res1512z00_1114;
				}
				return
					PROCEDURE_ENTRY(BgL_method1109z00_669) (BgL_method1109z00_669,
					((obj_t) BgL_ez00_3), BgL_donez00_4, BEOA);
			}
		}
	}



/* &use */
	obj_t BGl_z62usez62zz__evaluate_usez00(obj_t BgL_envz00_1534,
		obj_t BgL_ez00_1535, obj_t BgL_donez00_1536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 62 */
			{	/* Eval/evaluate_use.scm 62 */
				BgL_ev_exprz00_bglt BgL_auxz00_1650;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_1535,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_use.scm 62 */
						BgL_auxz00_1650 = ((BgL_ev_exprz00_bglt) BgL_ez00_1535);
					}
				else
					{
						obj_t BgL_auxz00_1654;

						BgL_auxz00_1654 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1568z00zz__evaluate_usez00, BINT(((long) 1786)),
							BGl_string1569z00zz__evaluate_usez00,
							BGl_string1570z00zz__evaluate_usez00, BgL_ez00_1535);
						FAILURE(BgL_auxz00_1654, BFALSE, BFALSE);
					}
				return BGl_usez00zz__evaluate_usez00(BgL_auxz00_1650, BgL_donez00_1536);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc1571z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1573z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_littz00zz__evaluate_typesz00, BGl_proc1574z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00, BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1575z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_listz00zz__evaluate_typesz00, BGl_proc1576z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1577z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_hookz00zz__evaluate_typesz00, BGl_proc1578z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1579z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1580z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1581z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1582z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1583z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc1584z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1585z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc1586z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc1587z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_usezd2envzd2zz__evaluate_usez00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc1588z00zz__evaluate_usez00,
				BGl_string1572z00zz__evaluate_usez00);
		}
	}



/* &use-ev_abs1143 */
	obj_t BGl_z62usezd2ev_abs1143zb0zz__evaluate_usez00(obj_t BgL_envz00_1554,
		BgL_ev_absz00_bglt BgL_ez00_1555, obj_t BgL_donez00_1556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 135 */
			{
				BgL_ev_absz00_bglt BgL_ez00_806;
				obj_t BgL_donez00_807;

				BgL_ez00_806 = BgL_ez00_1555;
				BgL_donez00_807 = BgL_donez00_1556;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_806))->BgL_bodyz00),
					BgL_donez00_807);
			}
		}
	}



/* &use-ev_app1141 */
	obj_t BGl_z62usezd2ev_app1141zb0zz__evaluate_usez00(obj_t BgL_envz00_1557,
		BgL_ev_appz00_bglt BgL_ez00_1558, obj_t BgL_donez00_1559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 131 */
			{
				BgL_ev_appz00_bglt BgL_ez00_797;
				obj_t BgL_donez00_798;

				BgL_ez00_797 = BgL_ez00_1558;
				BgL_donez00_798 = BgL_donez00_1559;
				{	/* Eval/evaluate_use.scm 132 */
					BgL_ev_exprz00_bglt BgL_arg1252z00_1262;
					obj_t BgL_arg1255z00_1263;

					BgL_arg1252z00_1262 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_797))->BgL_funz00);
					{	/* Eval/evaluate_use.scm 132 */
						obj_t BgL_arg1257z00_1264;

						BgL_arg1257z00_1264 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_797))->BgL_argsz00);
						{
							obj_t BgL_lz00_1266;
							obj_t BgL_donez00_1267;

							BgL_lz00_1266 = BgL_arg1257z00_1264;
							BgL_donez00_1267 = BgL_donez00_798;
						BgL_useza2za2_1265:
							if (NULLP(BgL_lz00_1266))
								{	/* Eval/evaluate_use.scm 132 */
									BgL_arg1255z00_1263 = BgL_donez00_1267;
								}
							else
								{	/* Eval/evaluate_use.scm 132 */
									obj_t BgL_arg1178z00_1273;
									obj_t BgL_arg1179z00_1274;

									BgL_arg1178z00_1273 = CDR(BgL_lz00_1266);
									{	/* Eval/evaluate_use.scm 132 */
										obj_t BgL_arg1180z00_1275;

										BgL_arg1180z00_1275 = CAR(BgL_lz00_1266);
										BgL_arg1179z00_1274 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1180z00_1275),
											BgL_donez00_1267);
									}
									{
										obj_t BgL_donez00_1687;
										obj_t BgL_lz00_1686;

										BgL_lz00_1686 = BgL_arg1178z00_1273;
										BgL_donez00_1687 = BgL_arg1179z00_1274;
										BgL_donez00_1267 = BgL_donez00_1687;
										BgL_lz00_1266 = BgL_lz00_1686;
										goto BgL_useza2za2_1265;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1252z00_1262,
						BgL_arg1255z00_1263);
				}
			}
		}
	}



/* &use-ev_goto1139 */
	obj_t BGl_z62usezd2ev_goto1139zb0zz__evaluate_usez00(obj_t BgL_envz00_1560,
		BgL_ev_gotoz00_bglt BgL_ez00_1561, obj_t BgL_donez00_1562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 127 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_790;
				obj_t BgL_donez00_791;

				BgL_ez00_790 = BgL_ez00_1561;
				BgL_donez00_791 = BgL_donez00_1562;
				{	/* Eval/evaluate_use.scm 128 */
					obj_t BgL_arg1251z00_1245;

					BgL_arg1251z00_1245 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_790))->BgL_argsz00);
					{
						obj_t BgL_lz00_1247;
						obj_t BgL_donez00_1248;

						BgL_lz00_1247 = BgL_arg1251z00_1245;
						BgL_donez00_1248 = BgL_donez00_791;
					BgL_useza2za2_1246:
						if (NULLP(BgL_lz00_1247))
							{	/* Eval/evaluate_use.scm 128 */
								return BgL_donez00_1248;
							}
						else
							{	/* Eval/evaluate_use.scm 128 */
								obj_t BgL_arg1178z00_1254;
								obj_t BgL_arg1179z00_1255;

								BgL_arg1178z00_1254 = CDR(BgL_lz00_1247);
								{	/* Eval/evaluate_use.scm 128 */
									obj_t BgL_arg1180z00_1256;

									BgL_arg1180z00_1256 = CAR(BgL_lz00_1247);
									BgL_arg1179z00_1255 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1180z00_1256),
										BgL_donez00_1248);
								}
								{
									obj_t BgL_donez00_1697;
									obj_t BgL_lz00_1696;

									BgL_lz00_1696 = BgL_arg1178z00_1254;
									BgL_donez00_1697 = BgL_arg1179z00_1255;
									BgL_donez00_1248 = BgL_donez00_1697;
									BgL_lz00_1247 = BgL_lz00_1696;
									goto BgL_useza2za2_1246;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_labels1137 */
	obj_t BGl_z62usezd2ev_labels1137zb0zz__evaluate_usez00(obj_t BgL_envz00_1563,
		BgL_ev_labelsz00_bglt BgL_ez00_1564, obj_t BgL_donez00_1565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 120 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_773;
				obj_t BgL_donez00_774;

				BgL_ez00_773 = BgL_ez00_1564;
				BgL_donez00_774 = BgL_donez00_1565;
				{	/* Eval/evaluate_use.scm 122 */
					obj_t BgL_arg1242z00_779;

					BgL_arg1242z00_779 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_773))->BgL_valsz00);
					{
						obj_t BgL_lz00_1225;
						obj_t BgL_donez00_1226;

						BgL_lz00_1225 = BgL_arg1242z00_779;
						BgL_donez00_1226 = BgL_donez00_774;
					BgL_recz00_1224:
						if (NULLP(BgL_lz00_1225))
							{	/* Eval/evaluate_use.scm 122 */
								return
									BGl_usez00zz__evaluate_usez00(
									(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_773))->BgL_bodyz00),
									BgL_donez00_1226);
							}
						else
							{	/* Eval/evaluate_use.scm 122 */
								obj_t BgL_arg1248z00_1234;
								obj_t BgL_arg1249z00_1235;

								BgL_arg1248z00_1234 = CDR(BgL_lz00_1225);
								{	/* Eval/evaluate_use.scm 122 */
									obj_t BgL_arg1250z00_1236;

									{	/* Eval/evaluate_use.scm 122 */
										obj_t BgL_pairz00_1240;

										BgL_pairz00_1240 = BgL_lz00_1225;
										BgL_arg1250z00_1236 = CAR(CDR(BgL_pairz00_1240));
									}
									BgL_arg1249z00_1235 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1250z00_1236),
										BgL_donez00_1226);
								}
								{
									obj_t BgL_donez00_1709;
									obj_t BgL_lz00_1708;

									BgL_lz00_1708 = BgL_arg1248z00_1234;
									BgL_donez00_1709 = BgL_arg1249z00_1235;
									BgL_donez00_1226 = BgL_donez00_1709;
									BgL_lz00_1225 = BgL_lz00_1708;
									goto BgL_recz00_1224;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_binder1135 */
	obj_t BGl_z62usezd2ev_binder1135zb0zz__evaluate_usez00(obj_t BgL_envz00_1566,
		BgL_ev_binderz00_bglt BgL_ez00_1567, obj_t BgL_donez00_1568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 116 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_764;
				obj_t BgL_donez00_765;

				BgL_ez00_764 = BgL_ez00_1567;
				BgL_donez00_765 = BgL_donez00_1568;
				{	/* Eval/evaluate_use.scm 117 */
					BgL_ev_exprz00_bglt BgL_arg1235z00_1180;
					obj_t BgL_arg1240z00_1181;

					BgL_arg1235z00_1180 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_764))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 117 */
						obj_t BgL_arg1241z00_1182;

						BgL_arg1241z00_1182 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_764))->BgL_valsz00);
						{
							obj_t BgL_lz00_1184;
							obj_t BgL_donez00_1185;

							BgL_lz00_1184 = BgL_arg1241z00_1182;
							BgL_donez00_1185 = BgL_donez00_765;
						BgL_useza2za2_1183:
							if (NULLP(BgL_lz00_1184))
								{	/* Eval/evaluate_use.scm 117 */
									BgL_arg1240z00_1181 = BgL_donez00_1185;
								}
							else
								{	/* Eval/evaluate_use.scm 117 */
									obj_t BgL_arg1178z00_1191;
									obj_t BgL_arg1179z00_1192;

									BgL_arg1178z00_1191 = CDR(BgL_lz00_1184);
									{	/* Eval/evaluate_use.scm 117 */
										obj_t BgL_arg1180z00_1193;

										BgL_arg1180z00_1193 = CAR(BgL_lz00_1184);
										BgL_arg1179z00_1192 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1180z00_1193),
											BgL_donez00_1185);
									}
									{
										obj_t BgL_donez00_1719;
										obj_t BgL_lz00_1718;

										BgL_lz00_1718 = BgL_arg1178z00_1191;
										BgL_donez00_1719 = BgL_arg1179z00_1192;
										BgL_donez00_1185 = BgL_donez00_1719;
										BgL_lz00_1184 = BgL_lz00_1718;
										goto BgL_useza2za2_1183;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1235z00_1180,
						BgL_arg1240z00_1181);
				}
			}
		}
	}



/* &use-ev_binder1133 */
	obj_t BGl_z62usezd2ev_binder1133zb0zz__evaluate_usez00(obj_t BgL_envz00_1569,
		BgL_ev_binderz00_bglt BgL_ez00_1570, obj_t BgL_donez00_1571)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 112 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_755;
				obj_t BgL_donez00_756;

				BgL_ez00_755 = BgL_ez00_1570;
				BgL_donez00_756 = BgL_donez00_1571;
				{	/* Eval/evaluate_use.scm 113 */
					BgL_ev_exprz00_bglt BgL_arg1228z00_1161;
					obj_t BgL_arg1231z00_1162;

					BgL_arg1228z00_1161 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_755))->BgL_bodyz00);
					{	/* Eval/evaluate_use.scm 113 */
						obj_t BgL_arg1232z00_1163;

						BgL_arg1232z00_1163 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_755))->BgL_valsz00);
						{
							obj_t BgL_lz00_1165;
							obj_t BgL_donez00_1166;

							BgL_lz00_1165 = BgL_arg1232z00_1163;
							BgL_donez00_1166 = BgL_donez00_756;
						BgL_useza2za2_1164:
							if (NULLP(BgL_lz00_1165))
								{	/* Eval/evaluate_use.scm 113 */
									BgL_arg1231z00_1162 = BgL_donez00_1166;
								}
							else
								{	/* Eval/evaluate_use.scm 113 */
									obj_t BgL_arg1178z00_1172;
									obj_t BgL_arg1179z00_1173;

									BgL_arg1178z00_1172 = CDR(BgL_lz00_1165);
									{	/* Eval/evaluate_use.scm 113 */
										obj_t BgL_arg1180z00_1174;

										BgL_arg1180z00_1174 = CAR(BgL_lz00_1165);
										BgL_arg1179z00_1173 =
											BGl_usez00zz__evaluate_usez00(
											((BgL_ev_exprz00_bglt) BgL_arg1180z00_1174),
											BgL_donez00_1166);
									}
									{
										obj_t BgL_donez00_1730;
										obj_t BgL_lz00_1729;

										BgL_lz00_1729 = BgL_arg1178z00_1172;
										BgL_donez00_1730 = BgL_arg1179z00_1173;
										BgL_donez00_1166 = BgL_donez00_1730;
										BgL_lz00_1165 = BgL_lz00_1729;
										goto BgL_useza2za2_1164;
									}
								}
						}
					}
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1228z00_1161,
						BgL_arg1231z00_1162);
				}
			}
		}
	}



/* &use-ev_with-handler1131 */
	obj_t BGl_z62usezd2ev_withzd2handler1131z62zz__evaluate_usez00(obj_t
		BgL_envz00_1572, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1573,
		obj_t BgL_donez00_1574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 108 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_746;
				obj_t BgL_donez00_747;

				BgL_ez00_746 = BgL_ez00_1573;
				BgL_donez00_747 = BgL_donez00_1574;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_746))->
						BgL_handlerz00),
					BGl_usez00zz__evaluate_usez00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_746))->BgL_bodyz00), BgL_donez00_747));
			}
		}
	}



/* &use-ev_unwind-protec1129 */
	obj_t BGl_z62usezd2ev_unwindzd2protec1129z62zz__evaluate_usez00(obj_t
		BgL_envz00_1575, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1576,
		obj_t BgL_donez00_1577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 104 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_737;
				obj_t BgL_donez00_738;

				BgL_ez00_737 = BgL_ez00_1576;
				BgL_donez00_738 = BgL_donez00_1577;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_737))->BgL_ez00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_737))->
							BgL_bodyz00), BgL_donez00_738));
			}
		}
	}



/* &use-ev_bind-exit1127 */
	obj_t BGl_z62usezd2ev_bindzd2exit1127z62zz__evaluate_usez00(obj_t
		BgL_envz00_1578, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1579,
		obj_t BgL_donez00_1580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 100 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_730;
				obj_t BgL_donez00_731;

				BgL_ez00_730 = BgL_ez00_1579;
				BgL_donez00_731 = BgL_donez00_1580;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_730))->BgL_bodyz00),
					BgL_donez00_731);
			}
		}
	}



/* &use-ev_setlocal1125 */
	obj_t BGl_z62usezd2ev_setlocal1125zb0zz__evaluate_usez00(obj_t
		BgL_envz00_1581, BgL_ev_setlocalz00_bglt BgL_ez00_1582,
		obj_t BgL_donez00_1583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 95 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_720;
				obj_t BgL_donez00_721;

				BgL_ez00_720 = BgL_ez00_1582;
				BgL_donez00_721 = BgL_donez00_1583;
				{	/* Eval/evaluate_use.scm 96 */
					bool_t BgL_testz00_1742;

					{	/* Eval/evaluate_use.scm 96 */
						BgL_ev_varz00_bglt BgL_arg1211z00_1147;

						BgL_arg1211z00_1147 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_720))->BgL_vz00);
						BgL_testz00_1742 =
							CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t) BgL_arg1211z00_1147), BgL_donez00_721));
					}
					if (BgL_testz00_1742)
						{	/* Eval/evaluate_use.scm 96 */
							BFALSE;
						}
					else
						{	/* Eval/evaluate_use.scm 96 */
							BgL_ev_varz00_bglt BgL_arg1209z00_1148;

							BgL_arg1209z00_1148 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_720))->BgL_vz00);
							BgL_donez00_721 =
								MAKE_PAIR(((obj_t) BgL_arg1209z00_1148), BgL_donez00_721);
						}
				}
				{	/* Eval/evaluate_use.scm 96 */
					BgL_ev_exprz00_bglt BgL_arg1212z00_1149;

					BgL_arg1212z00_1149 =
						(((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_ez00_720)))->BgL_ez00);
					return
						BGl_usez00zz__evaluate_usez00(BgL_arg1212z00_1149, BgL_donez00_721);
				}
			}
		}
	}



/* &use-ev_hook1123 */
	obj_t BGl_z62usezd2ev_hook1123zb0zz__evaluate_usez00(obj_t BgL_envz00_1584,
		BgL_ev_hookz00_bglt BgL_ez00_1585, obj_t BgL_donez00_1586)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 91 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_713;
				obj_t BgL_donez00_714;

				BgL_ez00_713 = BgL_ez00_1585;
				BgL_donez00_714 = BgL_donez00_1586;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_713))->BgL_ez00),
					BgL_donez00_714);
			}
		}
	}



/* &use-ev_prog21121 */
	obj_t BGl_z62usezd2ev_prog21121zb0zz__evaluate_usez00(obj_t BgL_envz00_1587,
		BgL_ev_prog2z00_bglt BgL_ez00_1588, obj_t BgL_donez00_1589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 87 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_704;
				obj_t BgL_donez00_705;

				BgL_ez00_704 = BgL_ez00_1588;
				BgL_donez00_705 = BgL_donez00_1589;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_704))->BgL_e1z00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_704))->BgL_e2z00),
						BgL_donez00_705));
			}
		}
	}



/* &use-ev_list1119 */
	obj_t BGl_z62usezd2ev_list1119zb0zz__evaluate_usez00(obj_t BgL_envz00_1590,
		BgL_ev_listz00_bglt BgL_ez00_1591, obj_t BgL_donez00_1592)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 83 */
			{
				BgL_ev_listz00_bglt BgL_ez00_697;
				obj_t BgL_donez00_698;

				BgL_ez00_697 = BgL_ez00_1591;
				BgL_donez00_698 = BgL_donez00_1592;
				{	/* Eval/evaluate_use.scm 84 */
					obj_t BgL_arg1198z00_1123;

					BgL_arg1198z00_1123 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_697))->BgL_argsz00);
					{
						obj_t BgL_lz00_1125;
						obj_t BgL_donez00_1126;

						BgL_lz00_1125 = BgL_arg1198z00_1123;
						BgL_donez00_1126 = BgL_donez00_698;
					BgL_useza2za2_1124:
						if (NULLP(BgL_lz00_1125))
							{	/* Eval/evaluate_use.scm 84 */
								return BgL_donez00_1126;
							}
						else
							{	/* Eval/evaluate_use.scm 84 */
								obj_t BgL_arg1178z00_1132;
								obj_t BgL_arg1179z00_1133;

								BgL_arg1178z00_1132 = CDR(BgL_lz00_1125);
								{	/* Eval/evaluate_use.scm 84 */
									obj_t BgL_arg1180z00_1134;

									BgL_arg1180z00_1134 = CAR(BgL_lz00_1125);
									BgL_arg1179z00_1133 =
										BGl_usez00zz__evaluate_usez00(
										((BgL_ev_exprz00_bglt) BgL_arg1180z00_1134),
										BgL_donez00_1126);
								}
								{
									obj_t BgL_donez00_1767;
									obj_t BgL_lz00_1766;

									BgL_lz00_1766 = BgL_arg1178z00_1132;
									BgL_donez00_1767 = BgL_arg1179z00_1133;
									BgL_donez00_1126 = BgL_donez00_1767;
									BgL_lz00_1125 = BgL_lz00_1766;
									goto BgL_useza2za2_1124;
								}
							}
					}
				}
			}
		}
	}



/* &use-ev_if1117 */
	obj_t BGl_z62usezd2ev_if1117zb0zz__evaluate_usez00(obj_t BgL_envz00_1593,
		BgL_ev_ifz00_bglt BgL_ez00_1594, obj_t BgL_donez00_1595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_686;
				obj_t BgL_donez00_687;

				BgL_ez00_686 = BgL_ez00_1594;
				BgL_donez00_687 = BgL_donez00_1595;
				return
					BGl_usez00zz__evaluate_usez00(
					(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_686))->BgL_pz00),
					BGl_usez00zz__evaluate_usez00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_686))->BgL_tz00),
						BGl_usez00zz__evaluate_usez00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_686))->BgL_ez00),
							BgL_donez00_687)));
			}
		}
	}



/* &use-ev_litt1115 */
	obj_t BGl_z62usezd2ev_litt1115zb0zz__evaluate_usez00(obj_t BgL_envz00_1596,
		BgL_ev_littz00_bglt BgL_ez00_1597, obj_t BgL_donez00_1598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 76 */
			return BgL_donez00_1598;
		}
	}



/* &use-ev_global1113 */
	obj_t BGl_z62usezd2ev_global1113zb0zz__evaluate_usez00(obj_t BgL_envz00_1599,
		BgL_ev_globalz00_bglt BgL_varz00_1600, obj_t BgL_donez00_1601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 73 */
			return BgL_donez00_1601;
		}
	}



/* &use-ev_var1111 */
	obj_t BGl_z62usezd2ev_var1111zb0zz__evaluate_usez00(obj_t BgL_envz00_1602,
		BgL_ev_varz00_bglt BgL_varz00_1603, obj_t BgL_donez00_1604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 69 */
			{
				BgL_ev_varz00_bglt BgL_varz00_670;
				obj_t BgL_donez00_671;

				BgL_varz00_670 = BgL_varz00_1603;
				BgL_donez00_671 = BgL_donez00_1604;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_670), BgL_donez00_671)))
					{	/* Eval/evaluate_use.scm 70 */
						BFALSE;
					}
				else
					{	/* Eval/evaluate_use.scm 70 */
						BgL_donez00_671 =
							MAKE_PAIR(((obj_t) BgL_varz00_670), BgL_donez00_671);
					}
				return BgL_donez00_671;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_usez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_use.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1589z00zz__evaluate_usez00));
		}
	}

#ifdef __cplusplus
}
#endif
