/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	static BgL_failz00_bglt
		BGl_z62patchz12zd2fail1976za2zzcfa_specializa7eza7(obj_t, BgL_failz00_bglt);
	extern obj_t BGl_closurez00zzast_nodez00;
	static BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence1961za2zzcfa_specializa7eza7(obj_t,
		BgL_sequencez00_bglt);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	static BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall1966za2zzcfa_specializa7eza7(obj_t,
		BgL_funcallz00_bglt);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_kwotez00_bglt
		BGl_z62patchz12zd2kwote1955za2zzcfa_specializa7eza7(obj_t,
		BgL_kwotez00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref1992z70zzcfa_specializa7eza7(obj_t,
		BgL_boxzd2refzd2_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2199z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2nilzd2zz__objectz00(obj_t);
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it1986za2zzcfa_specializa7eza7(obj_t,
		BgL_jumpzd2exzd2itz00_bglt);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box1988z70zzcfa_specializa7eza7(obj_t,
		BgL_makezd2boxzd2_bglt);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz121990z62zzcfa_specializa7eza7(obj_t,
		BgL_boxzd2setz12zc0_bglt);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun1980z70zzcfa_specializa7eza7(obj_t,
		BgL_letzd2funzd2_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static BgL_castz00_bglt
		BGl_z62patchz12zd2cast1970za2zzcfa_specializa7eza7(obj_t, BgL_castz00_bglt);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32205ze3ze1zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_setqz00_bglt
		BGl_z62patchz12zd2setq1972za2zzcfa_specializa7eza7(obj_t, BgL_setqz00_bglt);
	static BgL_appz00_bglt
		BGl_z62patchz12zd2app1994za2zzcfa_specializa7eza7(obj_t, BgL_appz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it1984za2zzcfa_specializa7eza7(obj_t,
		BgL_setzd2exzd2itz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var1982z70zzcfa_specializa7eza7(obj_t,
		BgL_letzd2varzd2_bglt);
	static obj_t BGl_z62patchz12zd2closure1959za2zzcfa_specializa7eza7(obj_t,
		BgL_closurez00_bglt);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62patchz121950z70zzcfa_specializa7eza7(obj_t,
		BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static BgL_atomz00_bglt
		BGl_z62patchz12zd2atom1953za2zzcfa_specializa7eza7(obj_t, BgL_atomz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	static BgL_selectz00_bglt
		BGl_z62patchz12zd2select1978za2zzcfa_specializa7eza7(obj_t,
		BgL_selectz00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly1963z70zzcfa_specializa7eza7(obj_t,
		BgL_appzd2lyzd2_bglt);
	static BgL_globalz00_bglt BGl_z62lambda2203z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2206z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_z62lambda2213z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2214z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional1974za2zzcfa_specializa7eza7(obj_t,
		BgL_conditionalz00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static BgL_externz00_bglt
		BGl_z62patchz12zd2extern1968za2zzcfa_specializa7eza7(obj_t,
		BgL_externz00_bglt);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static BgL_varz00_bglt
		BGl_z62patchz12zd2var1957za2zzcfa_specializa7eza7(obj_t, BgL_varz00_bglt);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2214za7622437z00,
		BGl_z62lambda2214z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2401z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2213za7622438z00,
		BGl_z62lambda2213z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2402z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2206za7622439z00,
		BGl_z62lambda2206z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3anonymousza72440za7,
		BGl_z62zc3anonymousza32205ze3ze1zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2203za7622441z00,
		BGl_z62lambda2203z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2199za7622442z00,
		BGl_z62lambda2199z62zzcfa_specializa7eza7, 0L, BUNSPEC, 20);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2407z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121950za72443za7,
		BGl_z62patchz121950z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2444za7,
		BGl_z62patchz12zd2atom1953za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2412z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2445za7,
		BGl_z62patchz12zd2kwote1955za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2446za7,
		BGl_z62patchz12zd2var1957za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2447za7,
		BGl_z62patchz12zd2closure1959za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2448za7,
		BGl_z62patchz12zd2sequence1961za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2416z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2449za7,
		BGl_z62patchz12zd2appzd2ly1963z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2450za7,
		BGl_z62patchz12zd2funcall1966za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2451za7,
		BGl_z62patchz12zd2extern1968za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2452za7,
		BGl_z62patchz12zd2cast1970za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2453za7,
		BGl_z62patchz12zd2setq1972za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2421z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2454za7,
		BGl_z62patchz12zd2conditional1974za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2455za7,
		BGl_z62patchz12zd2fail1976za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2456za7,
		BGl_z62patchz12zd2select1978za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2457za7,
		BGl_z62patchz12zd2letzd2fun1980z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2458za7,
		BGl_z62patchz12zd2letzd2var1982z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2459za7,
		BGl_z62patchz12zd2setzd2exzd2it1984za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2460za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1986za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2461za7,
		BGl_z62patchz12zd2makezd2box1988z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2462za7,
		BGl_z62patchz12zd2boxzd2setz121990z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22463z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2430z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2464za7,
		BGl_z62patchz12zd2boxzd2ref1992z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2465za7,
		BGl_z62patchz12zd2app1994za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2386z00zzcfa_specializa7eza7,
		BgL_bgl_string2386za700za7za7c2466za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string2387z00zzcfa_specializa7eza7,
		BgL_bgl_string2387za700za7za7c2467za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string2388z00zzcfa_specializa7eza7,
		BgL_bgl_string2388za700za7za7c2468za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2389z00zzcfa_specializa7eza7,
		BgL_bgl_string2389za700za7za7c2469za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2390z00zzcfa_specializa7eza7,
		BgL_bgl_string2390za700za7za7c2470za7, ": ", 2);
	      DEFINE_STRING(BGl_string2391z00zzcfa_specializa7eza7,
		BgL_bgl_string2391za700za7za7c2471za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2392z00zzcfa_specializa7eza7,
		BgL_bgl_string2392za700za7za7c2472za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2393z00zzcfa_specializa7eza7,
		BgL_bgl_string2393za700za7za7c2473za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2394z00zzcfa_specializa7eza7,
		BgL_bgl_string2394za700za7za7c2474za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2395z00zzcfa_specializa7eza7,
		BgL_bgl_string2395za700za7za7c2475za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2396z00zzcfa_specializa7eza7,
		BgL_bgl_string2396za700za7za7c2476za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2397z00zzcfa_specializa7eza7,
		BgL_bgl_string2397za700za7za7c2477za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2398z00zzcfa_specializa7eza7,
		BgL_bgl_string2398za700za7za7c2478za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2399z00zzcfa_specializa7eza7,
		BgL_bgl_string2399za700za7za7c2479za7, "install-specialize!", 19);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72480za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22481z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2406z00zzcfa_specializa7eza7,
		BgL_bgl_string2406za700za7za7c2482za7, "", 0);
	      DEFINE_STRING(BGl_string2408z00zzcfa_specializa7eza7,
		BgL_bgl_string2408za700za7za7c2483za7, "patch!1950", 10);
	      DEFINE_STRING(BGl_string2409z00zzcfa_specializa7eza7,
		BgL_bgl_string2409za700za7za7c2484za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2411z00zzcfa_specializa7eza7,
		BgL_bgl_string2411za700za7za7c2485za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2432z00zzcfa_specializa7eza7,
		BgL_bgl_string2432za700za7za7c2486za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2433z00zzcfa_specializa7eza7,
		BgL_bgl_string2433za700za7za7c2487za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2434z00zzcfa_specializa7eza7,
		BgL_bgl_string2434za700za7za7c2488za7,
		"patch!1950 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((2+ (2+ __r4_numbers_6_5) (+fx __r4_numbers_6_5_fixnum) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fx __r4_numbers_6_5_fixnum) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fx __r4_numbers_6_5_fixnum) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfx __r4_numbers_6_5_fixnum) (absfl __r4_numbers_6_5_flonum))) ((c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_n"
		"umbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		1972);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72489za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3147, char *BgL_fromz00_3148)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3136;

				BgL_cportz00_3136 =
					bgl_open_input_string(BGl_string2434z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_3137;

					BgL_iz00_3137 = ((long) 13);
				BgL_loopz00_3138:
					if ((BgL_iz00_3137 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2436z00_3140;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3142;

										BgL_locationz00_3142 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2436z00_3140 =
												BGl_readz00zz__readerz00(BgL_cportz00_3136,
												BgL_locationz00_3142);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_3171;

									BgL_auxz00_3171 = (int) (BgL_iz00_3137);
									CNST_TABLE_SET(BgL_auxz00_3171, BgL_arg2436z00_3140);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3143;

								BgL_auxz00_3143 = (int) ((BgL_iz00_3137 - ((long) 1)));
								{
									long BgL_iz00_3176;

									BgL_iz00_3176 = (long) (BgL_auxz00_3143);
									BgL_iz00_3137 = BgL_iz00_3176;
									goto BgL_loopz00_3138;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1377;

				BgL_headz00_1377 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1378;
					obj_t BgL_tailz00_1379;

					BgL_prevz00_1378 = BgL_headz00_1377;
					BgL_tailz00_1379 = BgL_l1z00_1;
				BgL_loopz00_1380:
					if (PAIRP(BgL_tailz00_1379))
						{
							obj_t BgL_newzd2prevzd2_1382;

							BgL_newzd2prevzd2_1382 =
								MAKE_PAIR(CAR(BgL_tailz00_1379), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1378, BgL_newzd2prevzd2_1382);
							{
								obj_t BgL_tailz00_3187;
								obj_t BgL_prevz00_3186;

								BgL_prevz00_3186 = BgL_newzd2prevzd2_1382;
								BgL_tailz00_3187 = CDR(BgL_tailz00_1379);
								BgL_tailz00_1379 = BgL_tailz00_3187;
								BgL_prevz00_1378 = BgL_prevz00_3186;
								goto BgL_loopz00_1380;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1377);
				}
			}
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_84)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1930z00_1432;

						if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
							{	/* Cfa/specialize.scm 49 */
								BgL_g1930z00_1432 = CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Cfa/specialize.scm 49 */
								BgL_g1930z00_1432 =
									BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
											(long) 1)), CNST_TABLE_REF(((long) 0)));
							}
						{
							obj_t BgL_l1928z00_1434;

							BgL_l1928z00_1434 = BgL_g1930z00_1432;
						BgL_zc3anonymousza32002ze3z83_1435:
							if (PAIRP(BgL_l1928z00_1434))
								{	/* Cfa/specialize.scm 49 */
									{	/* Cfa/specialize.scm 48 */
										obj_t BgL_specz00_1437;

										BgL_specz00_1437 = CAR(BgL_l1928z00_1434);
										{	/* Cfa/specialize.scm 48 */
											obj_t BgL_runner2005z00_1439;

											BgL_runner2005z00_1439 = CDR(BgL_specz00_1437);
											{	/* Cfa/specialize.scm 48 */
												obj_t BgL_aux2004z00_1438;

												BgL_aux2004z00_1438 = CAR(BgL_runner2005z00_1439);
												BgL_runner2005z00_1439 = CDR(BgL_runner2005z00_1439);
												BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7
													(BgL_aux2004z00_1438, BgL_runner2005z00_1439);
											}
										}
									}
									{
										obj_t BgL_l1928z00_3205;

										BgL_l1928z00_3205 = CDR(BgL_l1928z00_1434);
										BgL_l1928z00_1434 = BgL_l1928z00_3205;
										goto BgL_zc3anonymousza32002ze3z83_1435;
									}
								}
							else
								{	/* Cfa/specialize.scm 49 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_84);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_84;
		}
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3024,
		obj_t BgL_globalsz00_3025)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3025);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_85)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 60 */
			{	/* Cfa/specialize.scm 62 */
				obj_t BgL_cellz00_1443;

				BgL_cellz00_1443 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_85)))->BgL_idz00),
					CNST_TABLE_REF(((long) 0)));
				if (PAIRP(BgL_cellz00_1443))
					{	/* Cfa/specialize.scm 63 */
						bool_t BgL_auxz00_3217;

						{	/* Cfa/specialize.scm 63 */
							obj_t BgL_auxz00_3218;

							{	/* Cfa/specialize.scm 63 */
								obj_t BgL_pairz00_2702;

								BgL_pairz00_2702 = CAR(CDR(BgL_cellz00_1443));
								BgL_auxz00_3218 = CAR(CDR(BgL_pairz00_2702));
							}
							BgL_auxz00_3217 =
								(BgL_auxz00_3218 ==
								(((BgL_globalz00_bglt) CREF(BgL_globalz00_85))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_3217);
					}
				else
					{	/* Cfa/specialize.scm 63 */
						return BFALSE;
					}
			}
		}
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3026, obj_t BgL_globalz00_3027)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 60 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3027));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_86)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 71 */
			{	/* Cfa/specialize.scm 73 */
				obj_t BgL_cellz00_1450;

				BgL_cellz00_1450 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
					(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_86)))->BgL_idz00),
					CNST_TABLE_REF(((long) 0)));
				if (PAIRP(BgL_cellz00_1450))
					{	/* Cfa/specialize.scm 76 */
						obj_t BgL_g1173z00_1452;

						BgL_g1173z00_1452 = CDR(CDR(BgL_cellz00_1450));
						{
							obj_t BgL_specz00_1455;
							obj_t BgL_typesz00_1456;

							BgL_specz00_1455 = BgL_g1173z00_1452;
							BgL_typesz00_1456 = BNIL;
						BgL_zc3anonymousza32014ze3z83_1457:
							if (NULLP(BgL_specz00_1455))
								{	/* Cfa/specialize.scm 79 */
									if (NULLP(BgL_typesz00_1456))
										{	/* Cfa/specialize.scm 83 */
											obj_t BgL_arg2017z00_1460;

											BgL_arg2017z00_1460 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_globalz00_86));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2386z00zzcfa_specializa7eza7,
												BGl_string2387z00zzcfa_specializa7eza7,
												BgL_arg2017z00_1460);
										}
									else
										{	/* Cfa/specialize.scm 80 */
											return BgL_typesz00_1456;
										}
								}
							else
								{	/* Cfa/specialize.scm 85 */
									bool_t BgL_testz00_3243;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 86 */
											obj_t BgL_auxz00_3246;

											{	/* Cfa/specialize.scm 86 */
												obj_t BgL_pairz00_2717;

												BgL_pairz00_2717 = CAR(BgL_specz00_1455);
												BgL_auxz00_3246 = CAR(CDR(BgL_pairz00_2717));
											}
											BgL_testz00_3243 =
												(BgL_auxz00_3246 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 85 */
											BgL_testz00_3243 = ((bool_t) 0);
										}
									if (BgL_testz00_3243)
										{	/* Cfa/specialize.scm 87 */
											obj_t BgL_arg2020z00_1462;
											obj_t BgL_arg2021z00_1463;

											BgL_arg2020z00_1462 = CDR(BgL_specz00_1455);
											BgL_arg2021z00_1463 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1456);
											{
												obj_t BgL_typesz00_3255;
												obj_t BgL_specz00_3254;

												BgL_specz00_3254 = BgL_arg2020z00_1462;
												BgL_typesz00_3255 = BgL_arg2021z00_1463;
												BgL_typesz00_1456 = BgL_typesz00_3255;
												BgL_specz00_1455 = BgL_specz00_3254;
												goto BgL_zc3anonymousza32014ze3z83_1457;
											}
										}
									else
										{	/* Cfa/specialize.scm 88 */
											bool_t BgL_testz00_3256;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 89 */
													obj_t BgL_auxz00_3259;

													{	/* Cfa/specialize.scm 89 */
														obj_t BgL_pairz00_2723;

														BgL_pairz00_2723 = CAR(BgL_specz00_1455);
														BgL_auxz00_3259 = CAR(CDR(BgL_pairz00_2723));
													}
													BgL_testz00_3256 =
														(BgL_auxz00_3259 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 88 */
													BgL_testz00_3256 = ((bool_t) 0);
												}
											if (BgL_testz00_3256)
												{	/* Cfa/specialize.scm 90 */
													obj_t BgL_arg2023z00_1465;
													obj_t BgL_arg2024z00_1466;

													BgL_arg2023z00_1465 = CDR(BgL_specz00_1455);
													BgL_arg2024z00_1466 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1456);
													{
														obj_t BgL_typesz00_3268;
														obj_t BgL_specz00_3267;

														BgL_specz00_3267 = BgL_arg2023z00_1465;
														BgL_typesz00_3268 = BgL_arg2024z00_1466;
														BgL_typesz00_1456 = BgL_typesz00_3268;
														BgL_specz00_1455 = BgL_specz00_3267;
														goto BgL_zc3anonymousza32014ze3z83_1457;
													}
												}
											else
												{
													obj_t BgL_specz00_3269;

													BgL_specz00_3269 = CDR(BgL_specz00_1455);
													BgL_specz00_1455 = BgL_specz00_3269;
													goto BgL_zc3anonymousza32014ze3z83_1457;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 74 */
						return BNIL;
					}
			}
		}
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3028, obj_t BgL_globalz00_3029)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 71 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3029));
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 165 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 166 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 166 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 166 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 166 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 171 */
			{	/* Cfa/specialize.scm 172 */
				obj_t BgL_list2032z00_1475;

				{	/* Cfa/specialize.scm 172 */
					obj_t BgL_arg2033z00_1476;

					BgL_arg2033z00_1476 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list2032z00_1475 =
						MAKE_PAIR(BGl_string2388z00zzcfa_specializa7eza7,
						BgL_arg2033z00_1476);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2032z00_1475);
			}
			{
				obj_t BgL_l1931z00_1478;

				BgL_l1931z00_1478 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza32034ze3z83_1479:
				if (PAIRP(BgL_l1931z00_1478))
					{	/* Cfa/specialize.scm 173 */
						{	/* Cfa/specialize.scm 174 */
							obj_t BgL_typezd2numzd2_1481;

							BgL_typezd2numzd2_1481 = CAR(BgL_l1931z00_1478);
							{	/* Cfa/specialize.scm 174 */
								bool_t BgL_testz00_3286;

								{	/* Cfa/specialize.scm 174 */
									long BgL_auxz00_3287;

									{	/* Cfa/specialize.scm 174 */
										obj_t BgL_pairz00_2735;

										BgL_pairz00_2735 = BgL_typezd2numzd2_1481;
										BgL_auxz00_3287 = (long) CINT(CDR(BgL_pairz00_2735));
									}
									BgL_testz00_3286 = (BgL_auxz00_3287 > ((long) 0));
								}
								if (BgL_testz00_3286)
									{	/* Cfa/specialize.scm 175 */
										obj_t BgL_arg2037z00_1483;
										obj_t BgL_arg2038z00_1484;

										BgL_arg2037z00_1483 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1481));
										BgL_arg2038z00_1484 = CDR(BgL_typezd2numzd2_1481);
										{	/* Cfa/specialize.scm 175 */
											obj_t BgL_list2039z00_1485;

											{	/* Cfa/specialize.scm 175 */
												obj_t BgL_arg2041z00_1486;

												{	/* Cfa/specialize.scm 175 */
													obj_t BgL_arg2042z00_1487;

													{	/* Cfa/specialize.scm 175 */
														obj_t BgL_arg2045z00_1488;

														{	/* Cfa/specialize.scm 175 */
															obj_t BgL_arg2046z00_1489;

															BgL_arg2046z00_1489 =
																MAKE_PAIR
																(BGl_string2389z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2045z00_1488 =
																MAKE_PAIR(BgL_arg2038z00_1484,
																BgL_arg2046z00_1489);
														}
														BgL_arg2042z00_1487 =
															MAKE_PAIR(BGl_string2390z00zzcfa_specializa7eza7,
															BgL_arg2045z00_1488);
													}
													BgL_arg2041z00_1486 =
														MAKE_PAIR(BgL_arg2037z00_1483, BgL_arg2042z00_1487);
												}
												BgL_list2039z00_1485 =
													MAKE_PAIR(BGl_string2391z00zzcfa_specializa7eza7,
													BgL_arg2041z00_1486);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2039z00_1485);
									}}
								else
									{	/* Cfa/specialize.scm 174 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1931z00_3301;

							BgL_l1931z00_3301 = CDR(BgL_l1931z00_1478);
							BgL_l1931z00_1478 = BgL_l1931z00_3301;
							goto BgL_zc3anonymousza32034ze3z83_1479;
						}
					}
				else
					{	/* Cfa/specialize.scm 173 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1933z00_1495;

				BgL_l1933z00_1495 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32051ze3z83_1496:
				if (PAIRP(BgL_l1933z00_1495))
					{	/* Cfa/specialize.scm 178 */
						{	/* Cfa/specialize.scm 179 */
							obj_t BgL_typezd2numzd2_1498;

							BgL_typezd2numzd2_1498 = CAR(BgL_l1933z00_1495);
							{	/* Cfa/specialize.scm 179 */
								bool_t BgL_testz00_3306;

								{	/* Cfa/specialize.scm 179 */
									long BgL_auxz00_3307;

									{	/* Cfa/specialize.scm 179 */
										obj_t BgL_pairz00_2745;

										BgL_pairz00_2745 = BgL_typezd2numzd2_1498;
										BgL_auxz00_3307 = (long) CINT(CDR(BgL_pairz00_2745));
									}
									BgL_testz00_3306 = (BgL_auxz00_3307 > ((long) 0));
								}
								if (BgL_testz00_3306)
									{	/* Cfa/specialize.scm 180 */
										obj_t BgL_arg2054z00_1500;
										obj_t BgL_arg2056z00_1501;

										BgL_arg2054z00_1500 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1498));
										BgL_arg2056z00_1501 = CDR(BgL_typezd2numzd2_1498);
										{	/* Cfa/specialize.scm 180 */
											obj_t BgL_list2057z00_1502;

											{	/* Cfa/specialize.scm 180 */
												obj_t BgL_arg2058z00_1503;

												{	/* Cfa/specialize.scm 180 */
													obj_t BgL_arg2059z00_1504;

													{	/* Cfa/specialize.scm 180 */
														obj_t BgL_arg2060z00_1505;

														{	/* Cfa/specialize.scm 180 */
															obj_t BgL_arg2062z00_1506;

															BgL_arg2062z00_1506 =
																MAKE_PAIR
																(BGl_string2389z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2060z00_1505 =
																MAKE_PAIR(BgL_arg2056z00_1501,
																BgL_arg2062z00_1506);
														}
														BgL_arg2059z00_1504 =
															MAKE_PAIR(BGl_string2390z00zzcfa_specializa7eza7,
															BgL_arg2060z00_1505);
													}
													BgL_arg2058z00_1503 =
														MAKE_PAIR(BgL_arg2054z00_1500, BgL_arg2059z00_1504);
												}
												BgL_list2057z00_1502 =
													MAKE_PAIR(BGl_string2392z00zzcfa_specializa7eza7,
													BgL_arg2058z00_1503);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2057z00_1502);
									}}
								else
									{	/* Cfa/specialize.scm 179 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1933z00_3321;

							BgL_l1933z00_3321 = CDR(BgL_l1933z00_1495);
							BgL_l1933z00_1495 = BgL_l1933z00_3321;
							goto BgL_zc3anonymousza32051ze3z83_1496;
						}
					}
				else
					{	/* Cfa/specialize.scm 178 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_87)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 195 */
			{	/* Cfa/specialize.scm 196 */
				bool_t BgL_testz00_3323;

				{	/* Cfa/specialize.scm 196 */
					obj_t BgL_auxz00_3324;

					BgL_auxz00_3324 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_87,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3323 = PAIRP(BgL_auxz00_3324);
				}
				if (BgL_testz00_3323)
					{	/* Cfa/specialize.scm 196 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 196 */
						{	/* Cfa/specialize.scm 197 */
							obj_t BgL_arg2067z00_1512;

							BgL_arg2067z00_1512 = MAKE_PAIR(BgL_typez00_87, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg2067z00_1512,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 198 */
							obj_t BgL_list2068z00_1513;

							BgL_list2068z00_1513 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list2068z00_1513);
						}
						{	/* Cfa/specialize.scm 199 */
							obj_t BgL_list2069z00_1514;

							BgL_list2069z00_1514 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list2069z00_1514), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_88)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 204 */
			{	/* Cfa/specialize.scm 205 */
				obj_t BgL_cellz00_1516;

				BgL_cellz00_1516 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_88,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1516))
					{	/* Cfa/specialize.scm 209 */
						long BgL_arg2072z00_1518;

						BgL_arg2072z00_1518 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1516)));
						{	/* Cfa/specialize.scm 209 */
							obj_t BgL_auxz00_3344;

							BgL_auxz00_3344 = BINT(BgL_arg2072z00_1518);
							return SET_CDR(BgL_cellz00_1516, BgL_auxz00_3344);
						}
					}
				else
					{	/* Cfa/specialize.scm 206 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2393z00zzcfa_specializa7eza7,
							BGl_string2394z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_88));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_89)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 214 */
			{	/* Cfa/specialize.scm 215 */
				obj_t BgL_cellz00_1521;

				BgL_cellz00_1521 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_89,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1521))
					{	/* Cfa/specialize.scm 219 */
						long BgL_arg2076z00_1523;

						BgL_arg2076z00_1523 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1521)));
						{	/* Cfa/specialize.scm 219 */
							obj_t BgL_auxz00_3355;

							BgL_auxz00_3355 = BINT(BgL_arg2076z00_1523);
							return SET_CDR(BgL_cellz00_1521, BgL_auxz00_3355);
						}
					}
				else
					{	/* Cfa/specialize.scm 217 */
						obj_t BgL_arg2079z00_1525;

						BgL_arg2079z00_1525 = MAKE_PAIR(BgL_typez00_89, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg2079z00_1525,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_genz00_90, obj_t BgL_fixesz00_91)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 224 */
			{	/* Cfa/specialize.scm 225 */
				obj_t BgL_genzd2idzd2_1526;

				BgL_genzd2idzd2_1526 = CAR(BgL_genz00_90);
				{	/* Cfa/specialize.scm 225 */
					obj_t BgL_genzd2modzd2_1527;

					{	/* Cfa/specialize.scm 226 */
						obj_t BgL_pairz00_2771;

						BgL_pairz00_2771 = BgL_genz00_90;
						BgL_genzd2modzd2_1527 = CAR(CDR(BgL_pairz00_2771));
					}
					{	/* Cfa/specialize.scm 226 */
						obj_t BgL_genericz00_1528;

						BgL_genericz00_1528 =
							BGl_findzd2globalzf2modulez20zzast_envz00(BgL_genzd2idzd2_1526,
							BgL_genzd2modzd2_1527);
						{	/* Cfa/specialize.scm 227 */

							if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1528,
									BGl_globalz00zzast_varz00))
								{
									obj_t BgL_fixesz00_1532;
									obj_t BgL_resz00_1533;

									BgL_fixesz00_1532 = BgL_fixesz00_91;
									BgL_resz00_1533 = BNIL;
								BgL_zc3anonymousza32081ze3z83_1534:
									if (NULLP(BgL_fixesz00_1532))
										{	/* Cfa/specialize.scm 231 */
											{	/* Cfa/specialize.scm 233 */
												BgL_globalz00_bglt BgL_tmp1177z00_1536;

												BgL_tmp1177z00_1536 =
													((BgL_globalz00_bglt) BgL_genericz00_1528);
												{	/* Cfa/specialize.scm 233 */
													BgL_globalz00_bglt BgL_tmp1178z00_1537;
													BgL_specializa7edzd2globalz75_bglt
														BgL_wide1179z00_1538;
													BgL_tmp1178z00_1537 =
														((BgL_globalz00_bglt) BgL_tmp1177z00_1536);
													BgL_wide1179z00_1538 =
														((BgL_specializa7edzd2globalz75_bglt)
														BREF(GC_MALLOC(sizeof(struct
																	BgL_specializa7edzd2globalz75_bgl))));
													{	/* Cfa/specialize.scm 233 */
														obj_t BgL_auxz00_3374;
														BgL_objectz00_bglt BgL_auxz00_3372;

														BgL_auxz00_3374 = ((obj_t) BgL_wide1179z00_1538);
														BgL_auxz00_3372 =
															((BgL_objectz00_bglt) BgL_tmp1178z00_1537);
														BGL_OBJECT_WIDENING_SET(BgL_auxz00_3372,
															BgL_auxz00_3374);
													}
													{	/* Cfa/specialize.scm 233 */
														long BgL_arg2083z00_1539;

														{	/* Cfa/specialize.scm 233 */
															long BgL_res2341z00_2782;

															{	/* Cfa/specialize.scm 233 */
																obj_t BgL_classz00_2779;

																BgL_classz00_2779 =
																	BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
																{	/* Cfa/specialize.scm 233 */
																	obj_t BgL_vectorz00_2780;
																	int BgL_kz00_2781;

																	BgL_vectorz00_2780 = BgL_classz00_2779;
																	BgL_kz00_2781 = (int) (((long) 1));
																	BgL_res2341z00_2782 =
																		(long) CINT(VECTOR_REF(BgL_vectorz00_2780,
																			BgL_kz00_2781));
															}}
															BgL_arg2083z00_1539 = BgL_res2341z00_2782;
														}
														{	/* Cfa/specialize.scm 233 */
															BgL_objectz00_bglt BgL_objz00_2783;

															BgL_objz00_2783 =
																((BgL_objectz00_bglt) BgL_tmp1178z00_1537);
															((BgL_globalz00_bglt)
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2783,
																	BgL_arg2083z00_1539));
													}} BgL_tmp1178z00_1537;
												}
												{	/* Cfa/specialize.scm 233 */
													BgL_globalz00_bglt BgL_new1180z00_1540;

													BgL_new1180z00_1540 =
														((BgL_globalz00_bglt) BgL_tmp1177z00_1536);
													{
														BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3384;

														{
															obj_t BgL_auxz00_3385;

															{	/* Cfa/specialize.scm 233 */
																BgL_objectz00_bglt BgL_auxz00_3386;

																BgL_auxz00_3386 =
																	((BgL_objectz00_bglt) BgL_new1180z00_1540);
																BgL_auxz00_3385 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3386);
															}
															BgL_auxz00_3384 =
																((BgL_specializa7edzd2globalz75_bglt)
																BgL_auxz00_3385);
														}
														((((BgL_specializa7edzd2globalz75_bglt)
																	CREF(BgL_auxz00_3384))->BgL_fixz00) =
															((obj_t) BgL_resz00_1533), BUNSPEC);
													} BgL_new1180z00_1540;
											}}
											return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 =
												MAKE_PAIR(BgL_genericz00_1528,
													BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
												BUNSPEC);
										}
									else
										{	/* Cfa/specialize.scm 236 */
											obj_t BgL_fixz00_1541;

											BgL_fixz00_1541 = CAR(BgL_fixesz00_1532);
											{	/* Cfa/specialize.scm 236 */
												obj_t BgL_idz00_1542;

												BgL_idz00_1542 = CAR(BgL_fixz00_1541);
												{	/* Cfa/specialize.scm 237 */
													obj_t BgL_modz00_1543;

													{	/* Cfa/specialize.scm 238 */
														obj_t BgL_pairz00_2787;

														BgL_pairz00_2787 = BgL_fixz00_1541;
														BgL_modz00_1543 = CAR(CDR(BgL_pairz00_2787));
													}
													{	/* Cfa/specialize.scm 238 */
														obj_t BgL_globalz00_1544;

														BgL_globalz00_1544 =
															BGl_findzd2globalzf2modulez20zzast_envz00
															(BgL_idz00_1542, BgL_modz00_1543);
														{	/* Cfa/specialize.scm 239 */

															if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1544,
																	BGl_globalz00zzast_varz00))
																{	/* Cfa/specialize.scm 241 */
																	BgL_valuez00_bglt BgL_valz00_1546;

																	BgL_valz00_1546 =
																		(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_globalz00_1544))))->
																		BgL_valuez00);
																	{	/* Cfa/specialize.scm 243 */
																		bool_t BgL_testz00_3402;

																		{	/* Cfa/specialize.scm 243 */
																			bool_t BgL_testz00_3403;

																			{	/* Cfa/specialize.scm 243 */
																				bool_t BgL_res2344z00_2797;

																				{	/* Cfa/specialize.scm 243 */
																					obj_t BgL_objz00_2796;

																					BgL_objz00_2796 =
																						((obj_t) BgL_valz00_1546);
																					BgL_res2344z00_2797 =
																						BGl_isazf3zf3zz__objectz00
																						(BgL_objz00_2796,
																						BGl_sfunz00zzast_varz00);
																				}
																				BgL_testz00_3403 = BgL_res2344z00_2797;
																			}
																			if (BgL_testz00_3403)
																				{	/* Cfa/specialize.scm 243 */
																					obj_t BgL_auxz00_3406;

																					BgL_auxz00_3406 =
																						(((BgL_sfunz00_bglt) CREF(
																								((BgL_sfunz00_bglt)
																									BgL_valz00_1546)))->
																						BgL_argsz00);
																					BgL_testz00_3402 =
																						PAIRP(BgL_auxz00_3406);
																				}
																			else
																				{	/* Cfa/specialize.scm 243 */
																					BgL_testz00_3402 = ((bool_t) 0);
																				}
																		}
																		if (BgL_testz00_3402)
																			{	/* Cfa/specialize.scm 244 */
																				obj_t BgL_typez00_1548;

																				{	/* Cfa/specialize.scm 244 */
																					obj_t BgL_vz00_1552;

																					{	/* Cfa/specialize.scm 244 */
																						obj_t BgL_pairz00_2804;

																						BgL_pairz00_2804 =
																							(((BgL_sfunz00_bglt) CREF(
																									((BgL_sfunz00_bglt)
																										BgL_valz00_1546)))->
																							BgL_argsz00);
																						BgL_vz00_1552 =
																							CAR(BgL_pairz00_2804);
																					}
																					if (BGl_isazf3zf3zz__objectz00
																						(BgL_vz00_1552,
																							BGl_typez00zztype_typez00))
																						{	/* Cfa/specialize.scm 246 */
																							BgL_typez00_1548 = BgL_vz00_1552;
																						}
																					else
																						{	/* Cfa/specialize.scm 246 */
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1552,
																									BGl_localz00zzast_varz00))
																								{	/* Cfa/specialize.scm 248 */
																									BgL_typez00_1548 =
																										((obj_t)
																										(((BgL_variablez00_bglt)
																												CREF((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_vz00_1552))))->
																											BgL_typez00));
																								}
																							else
																								{	/* Cfa/specialize.scm 254 */
																									obj_t BgL_arg2091z00_1555;

																									BgL_arg2091z00_1555 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_globalz00_1544))))->
																										BgL_idz00);
																									BgL_typez00_1548 =
																										BGl_internalzd2errorzd2zztools_errorz00
																										(BGl_string2395z00zzcfa_specializa7eza7,
																										BGl_string2396z00zzcfa_specializa7eza7,
																										BgL_arg2091z00_1555);
																								}
																						}
																				}
																				BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																					(BgL_typez00_1548);
																				{	/* Cfa/specialize.scm 256 */
																					obj_t BgL_arg2086z00_1549;
																					obj_t BgL_arg2087z00_1550;

																					BgL_arg2086z00_1549 =
																						CDR(BgL_fixesz00_1532);
																					{	/* Cfa/specialize.scm 257 */
																						obj_t BgL_arg2088z00_1551;

																						BgL_arg2088z00_1551 =
																							MAKE_PAIR(BgL_typez00_1548,
																							BgL_globalz00_1544);
																						BgL_arg2087z00_1550 =
																							MAKE_PAIR(BgL_arg2088z00_1551,
																							BgL_resz00_1533);
																					}
																					{
																						obj_t BgL_resz00_3430;
																						obj_t BgL_fixesz00_3429;

																						BgL_fixesz00_3429 =
																							BgL_arg2086z00_1549;
																						BgL_resz00_3430 =
																							BgL_arg2087z00_1550;
																						BgL_resz00_1533 = BgL_resz00_3430;
																						BgL_fixesz00_1532 =
																							BgL_fixesz00_3429;
																						goto
																							BgL_zc3anonymousza32081ze3z83_1534;
																					}
																				}
																			}
																		else
																			{	/* Cfa/specialize.scm 258 */
																				bool_t BgL_testz00_3431;

																				{	/* Cfa/specialize.scm 258 */
																					bool_t BgL_testz00_3432;

																					{	/* Cfa/specialize.scm 258 */
																						bool_t BgL_res2350z00_2817;

																						{	/* Cfa/specialize.scm 258 */
																							obj_t BgL_objz00_2816;

																							BgL_objz00_2816 =
																								((obj_t) BgL_valz00_1546);
																							BgL_res2350z00_2817 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_2816,
																								BGl_cfunz00zzast_varz00);
																						}
																						BgL_testz00_3432 =
																							BgL_res2350z00_2817;
																					}
																					if (BgL_testz00_3432)
																						{	/* Cfa/specialize.scm 258 */
																							obj_t BgL_auxz00_3435;

																							BgL_auxz00_3435 =
																								(((BgL_cfunz00_bglt) CREF(
																										((BgL_cfunz00_bglt)
																											BgL_valz00_1546)))->
																								BgL_argszd2typezd2);
																							BgL_testz00_3431 =
																								PAIRP(BgL_auxz00_3435);
																						}
																					else
																						{	/* Cfa/specialize.scm 258 */
																							BgL_testz00_3431 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3431)
																					{	/* Cfa/specialize.scm 259 */
																						obj_t BgL_typez00_1558;

																						{	/* Cfa/specialize.scm 259 */
																							obj_t BgL_pairz00_2824;

																							BgL_pairz00_2824 =
																								(((BgL_cfunz00_bglt) CREF(
																										((BgL_cfunz00_bglt)
																											BgL_valz00_1546)))->
																								BgL_argszd2typezd2);
																							BgL_typez00_1558 =
																								CAR(BgL_pairz00_2824);
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1558);
																						{	/* Cfa/specialize.scm 261 */
																							obj_t BgL_arg2095z00_1559;
																							obj_t BgL_arg2096z00_1560;

																							BgL_arg2095z00_1559 =
																								CDR(BgL_fixesz00_1532);
																							{	/* Cfa/specialize.scm 262 */
																								obj_t BgL_arg2097z00_1561;

																								BgL_arg2097z00_1561 =
																									MAKE_PAIR(BgL_typez00_1558,
																									BgL_globalz00_1544);
																								BgL_arg2096z00_1560 =
																									MAKE_PAIR(BgL_arg2097z00_1561,
																									BgL_resz00_1533);
																							}
																							{
																								obj_t BgL_resz00_3447;
																								obj_t BgL_fixesz00_3446;

																								BgL_fixesz00_3446 =
																									BgL_arg2095z00_1559;
																								BgL_resz00_3447 =
																									BgL_arg2096z00_1560;
																								BgL_resz00_1533 =
																									BgL_resz00_3447;
																								BgL_fixesz00_1532 =
																									BgL_fixesz00_3446;
																								goto
																									BgL_zc3anonymousza32081ze3z83_1534;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 258 */
																						return BFALSE;
																					}
																			}
																	}
																}
															else
																{	/* Cfa/specialize.scm 240 */
																	{	/* Cfa/specialize.scm 267 */
																		obj_t BgL_arg2104z00_1567;

																		BgL_arg2104z00_1567 =
																			MAKE_PAIR(BgL_idz00_1542,
																			BgL_modz00_1543);
																		{	/* Cfa/specialize.scm 264 */
																			obj_t BgL_list2105z00_1568;

																			{	/* Cfa/specialize.scm 264 */
																				obj_t BgL_arg2106z00_1569;

																				{	/* Cfa/specialize.scm 264 */
																					obj_t BgL_arg2107z00_1570;

																					{	/* Cfa/specialize.scm 264 */
																						obj_t BgL_arg2109z00_1571;

																						BgL_arg2109z00_1571 =
																							MAKE_PAIR(BgL_arg2104z00_1567,
																							BNIL);
																						BgL_arg2107z00_1570 =
																							MAKE_PAIR
																							(BGl_string2397z00zzcfa_specializa7eza7,
																							BgL_arg2109z00_1571);
																					}
																					BgL_arg2106z00_1569 =
																						MAKE_PAIR
																						(BGl_string2398z00zzcfa_specializa7eza7,
																						BgL_arg2107z00_1570);
																				}
																				BgL_list2105z00_1568 =
																					MAKE_PAIR
																					(BGl_string2399z00zzcfa_specializa7eza7,
																					BgL_arg2106z00_1569);
																			}
																			BGl_warningz00zz__errorz00
																				(BgL_list2105z00_1568);
																		}
																	}
																	{
																		obj_t BgL_fixesz00_3454;

																		BgL_fixesz00_3454 = CDR(BgL_fixesz00_1532);
																		BgL_fixesz00_1532 = BgL_fixesz00_3454;
																		goto BgL_zc3anonymousza32081ze3z83_1534;
																	}
																}
														}
													}
												}
											}
										}
								}
							else
								{	/* Cfa/specialize.scm 272 */
									obj_t BgL_arg2111z00_1574;

									BgL_arg2111z00_1574 =
										MAKE_PAIR(BgL_genzd2idzd2_1526, BgL_genzd2modzd2_1527);
									{	/* Cfa/specialize.scm 269 */
										obj_t BgL_list2112z00_1575;

										{	/* Cfa/specialize.scm 269 */
											obj_t BgL_arg2113z00_1576;

											{	/* Cfa/specialize.scm 269 */
												obj_t BgL_arg2114z00_1577;

												{	/* Cfa/specialize.scm 269 */
													obj_t BgL_arg2115z00_1578;

													BgL_arg2115z00_1578 =
														MAKE_PAIR(BgL_arg2111z00_1574, BNIL);
													BgL_arg2114z00_1577 =
														MAKE_PAIR(BGl_string2397z00zzcfa_specializa7eza7,
														BgL_arg2115z00_1578);
												}
												BgL_arg2113z00_1576 =
													MAKE_PAIR(BGl_string2398z00zzcfa_specializa7eza7,
													BgL_arg2114z00_1577);
											}
											BgL_list2112z00_1575 =
												MAKE_PAIR(BGl_string2399z00zzcfa_specializa7eza7,
												BgL_arg2113z00_1576);
										}
										return BGl_warningz00zz__errorz00(BgL_list2112z00_1575);
									}
								}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 277 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1935z00_1580;

				BgL_l1935z00_1580 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32116ze3z83_1581:
				if (PAIRP(BgL_l1935z00_1580))
					{	/* Cfa/specialize.scm 279 */
						{	/* Cfa/specialize.scm 279 */
							obj_t BgL_oz00_1583;

							BgL_oz00_1583 = CAR(BgL_l1935z00_1580);
							{	/* Cfa/specialize.scm 279 */
								long BgL_arg2119z00_1585;

								{	/* Cfa/specialize.scm 279 */
									obj_t BgL_arg2122z00_1586;

									{	/* Cfa/specialize.scm 279 */
										obj_t BgL_arg2123z00_1587;

										{	/* Cfa/specialize.scm 279 */
											BgL_objectz00_bglt BgL_objectz00_2830;

											BgL_objectz00_2830 = ((BgL_objectz00_bglt) BgL_oz00_1583);
											{	/* Cfa/specialize.scm 279 */
												long BgL_arg1814z00_2831;

												{	/* Cfa/specialize.scm 279 */
													long BgL_arg1815z00_2832;

													{	/* Cfa/specialize.scm 279 */
														long BgL_res2353z00_2834;

														BgL_res2353z00_2834 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2830);
														BgL_arg1815z00_2832 = BgL_res2353z00_2834;
													}
													BgL_arg1814z00_2831 =
														(BgL_arg1815z00_2832 - OBJECT_TYPE);
												}
												BgL_arg2123z00_1587 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1814z00_2831));
										}}
										BgL_arg2122z00_1586 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2123z00_1587);
									}
									{	/* Cfa/specialize.scm 279 */
										long BgL_res2355z00_2843;

										{	/* Cfa/specialize.scm 279 */
											obj_t BgL_classz00_2840;

											BgL_classz00_2840 = BgL_arg2122z00_1586;
											{	/* Cfa/specialize.scm 279 */
												obj_t BgL_vectorz00_2841;
												int BgL_kz00_2842;

												BgL_vectorz00_2841 = BgL_classz00_2840;
												BgL_kz00_2842 = (int) (((long) 1));
												BgL_res2355z00_2843 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2841,
														BgL_kz00_2842));
										}}
										BgL_arg2119z00_1585 = BgL_res2355z00_2843;
								}}
								{	/* Cfa/specialize.scm 279 */
									BgL_objectz00_bglt BgL_objz00_2844;

									BgL_objz00_2844 = ((BgL_objectz00_bglt) BgL_oz00_1583);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2844,
										BgL_arg2119z00_1585);
							}}
							{	/* Cfa/specialize.scm 279 */
								BgL_objectz00_bglt BgL_auxz00_3476;

								BgL_auxz00_3476 = ((BgL_objectz00_bglt) BgL_oz00_1583);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3476, BFALSE);
							} BgL_oz00_1583;
						}
						{
							obj_t BgL_l1935z00_3479;

							BgL_l1935z00_3479 = CDR(BgL_l1935z00_1580);
							BgL_l1935z00_1580 = BgL_l1935z00_3479;
							goto BgL_zc3anonymousza32116ze3z83_1581;
						}
					}
				else
					{	/* Cfa/specialize.scm 279 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_92)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 285 */
			{
				obj_t BgL_l1937z00_1591;

				BgL_l1937z00_1591 = BgL_globalsz00_92;
			BgL_zc3anonymousza32125ze3z83_1592:
				if (PAIRP(BgL_l1937z00_1591))
					{	/* Cfa/specialize.scm 286 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1937z00_1591));
						{
							obj_t BgL_l1937z00_3485;

							BgL_l1937z00_3485 = CDR(BgL_l1937z00_1591);
							BgL_l1937z00_1591 = BgL_l1937z00_3485;
							goto BgL_zc3anonymousza32125ze3z83_1592;
						}
					}
				else
					{	/* Cfa/specialize.scm 286 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_93)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 291 */
			{	/* Cfa/specialize.scm 292 */
				BgL_valuez00_bglt BgL_funz00_1597;

				BgL_funz00_1597 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_variablez00_93)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 293 */
					obj_t BgL_arg2129z00_1598;

					{	/* Cfa/specialize.scm 293 */
						obj_t BgL_arg2130z00_1599;

						BgL_arg2130z00_1599 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1597)))->BgL_bodyz00);
						BgL_arg2129z00_1598 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg2130z00_1599));
					}
					{	/* Cfa/specialize.scm 293 */
						BgL_sfunz00_bglt BgL_oz00_2856;

						BgL_oz00_2856 = ((BgL_sfunz00_bglt) BgL_funz00_1597);
						return
							((((BgL_sfunz00_bglt) CREF(BgL_oz00_2856))->BgL_bodyz00) =
							((obj_t) BgL_arg2129z00_1598), BUNSPEC);
					}
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_115)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 485 */
			{
				obj_t BgL_nodeza2za2_1601;

				BgL_nodeza2za2_1601 = BgL_nodeza2za2_115;
			BgL_zc3anonymousza32131ze3z83_1602:
				if (NULLP(BgL_nodeza2za2_1601))
					{	/* Cfa/specialize.scm 487 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 487 */
						{	/* Cfa/specialize.scm 490 */
							obj_t BgL_arg2133z00_1604;

							{	/* Cfa/specialize.scm 490 */
								obj_t BgL_arg2134z00_1605;

								BgL_arg2134z00_1605 = CAR(BgL_nodeza2za2_1601);
								BgL_arg2133z00_1604 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg2134z00_1605));
							}
							SET_CAR(BgL_nodeza2za2_1601, BgL_arg2133z00_1604);
						}
						{
							obj_t BgL_nodeza2za2_3502;

							BgL_nodeza2za2_3502 = CDR(BgL_nodeza2za2_1601);
							BgL_nodeza2za2_1601 = BgL_nodeza2za2_3502;
							goto BgL_zc3anonymousza32131ze3z83_1602;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_117)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 510 */
			if (NULLP((((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 519 */
					return BgL_nodez00_117;
				}
			else
				{	/* Cfa/specialize.scm 523 */
					obj_t BgL_typez00_1611;

					BgL_typez00_1611 =
						BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 523 */
						BgL_variablez00_bglt BgL_gloz00_1612;

						BgL_gloz00_1612 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 524 */
							obj_t BgL_specz00_1613;

							{	/* Cfa/specialize.scm 525 */
								obj_t BgL_auxz00_3512;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3513;

									{
										obj_t BgL_auxz00_3514;

										{	/* Cfa/specialize.scm 525 */
											BgL_objectz00_bglt BgL_auxz00_3515;

											BgL_auxz00_3515 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1612));
											BgL_auxz00_3514 = BGL_OBJECT_WIDENING(BgL_auxz00_3515);
										}
										BgL_auxz00_3513 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3514);
									}
									BgL_auxz00_3512 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3513))->BgL_fixz00);
								}
								BgL_specz00_1613 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1611,
									BgL_auxz00_3512);
							}
							{	/* Cfa/specialize.scm 525 */

								if (PAIRP(BgL_specz00_1613))
									{	/* Cfa/specialize.scm 527 */
										obj_t BgL_g1200z00_1615;

										BgL_g1200z00_1615 =
											CDR(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00));
										{
											obj_t BgL_argsz00_1617;

											BgL_argsz00_1617 = BgL_g1200z00_1615;
										BgL_zc3anonymousza32138ze3z83_1618:
											if (NULLP(BgL_argsz00_1617))
												{	/* Cfa/specialize.scm 529 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1611);
													{	/* Cfa/specialize.scm 531 */
														BgL_varz00_bglt BgL_arg2141z00_1620;
														obj_t BgL_arg2143z00_1621;

														BgL_arg2141z00_1620 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->
															BgL_funz00);
														BgL_arg2143z00_1621 = CDR(BgL_specz00_1613);
														{	/* Cfa/specialize.scm 531 */
															BgL_variablez00_bglt BgL_vz00_2880;

															BgL_vz00_2880 =
																((BgL_variablez00_bglt) BgL_arg2143z00_1621);
															((((BgL_varz00_bglt) CREF(BgL_arg2141z00_1620))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_vz00_2880),
																BUNSPEC);
														}
													}
													{	/* Cfa/specialize.scm 532 */
														BgL_typez00_bglt BgL_ntz00_1622;

														BgL_ntz00_1622 =
															(((BgL_variablez00_bglt) CREF(
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_117))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 533 */
															BgL_typez00_bglt BgL_arg2145z00_1623;

															BgL_arg2145z00_1623 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1622,
																((BgL_typez00_bglt) BgL_typez00_1611));
															{	/* Cfa/specialize.scm 533 */
																BgL_nodez00_bglt BgL_oz00_2888;

																BgL_oz00_2888 =
																	((BgL_nodez00_bglt) BgL_nodez00_117);
																((((BgL_nodez00_bglt) CREF(BgL_oz00_2888))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2145z00_1623),
																	BUNSPEC);
															}
														}
													}
													return BgL_nodez00_117;
												}
											else
												{	/* Cfa/specialize.scm 529 */
													if (
														(BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1617)) == BgL_typez00_1611))
														{
															obj_t BgL_argsz00_3544;

															BgL_argsz00_3544 = CDR(BgL_argsz00_1617);
															BgL_argsz00_1617 = BgL_argsz00_3544;
															goto BgL_zc3anonymousza32138ze3z83_1618;
														}
													else
														{	/* Cfa/specialize.scm 535 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_117);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 526 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_117);
									}
							}
						}
					}
				}
		}
	}



/* normalize-get-type */
	obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t
		BgL_valz00_1637)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 516 */
			{	/* Cfa/specialize.scm 513 */
				BgL_typez00_bglt BgL_tyz00_1639;

				BgL_tyz00_1639 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1637));
				if ((((obj_t) BgL_tyz00_1639) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 514 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 514 */
						return ((obj_t) BgL_tyz00_1639);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_118)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 549 */
			{
				BgL_appz00_bglt BgL_nodez00_1671;
				obj_t BgL_typez00_1672;

				{	/* Cfa/specialize.scm 556 */
					bool_t BgL_testz00_3554;

					{	/* Cfa/specialize.scm 556 */
						bool_t BgL_testz00_3555;

						{	/* Cfa/specialize.scm 556 */
							BgL_variablez00_bglt BgL_arg2186z00_1669;

							BgL_arg2186z00_1669 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_3555 =
								(((obj_t) BgL_arg2186z00_1669) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3555)
							{	/* Cfa/specialize.scm 557 */
								obj_t BgL_arg2185z00_1668;

								BgL_arg2185z00_1668 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_testz00_3554 =
									(((BgL_backendz00_bglt) CREF(
											((BgL_backendz00_bglt) BgL_arg2185z00_1668)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 556 */
								BgL_testz00_3554 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3554)
						{	/* Cfa/specialize.scm 559 */
							BgL_typez00_bglt BgL_t1z00_1645;
							BgL_typez00_bglt BgL_t2z00_1646;

							{	/* Cfa/specialize.scm 559 */
								obj_t BgL_arg2180z00_1663;

								BgL_arg2180z00_1663 =
									CAR((((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00));
								BgL_t1z00_1645 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2180z00_1663));
							}
							{	/* Cfa/specialize.scm 560 */
								obj_t BgL_arg2182z00_1665;

								{	/* Cfa/specialize.scm 560 */
									obj_t BgL_pairz00_2905;

									BgL_pairz00_2905 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00);
									BgL_arg2182z00_1665 = CAR(CDR(BgL_pairz00_2905));
								}
								BgL_t2z00_1646 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2182z00_1665));
							}
							{	/* Cfa/specialize.scm 562 */
								bool_t BgL_testz00_3572;

								if (
									(((obj_t) BgL_t1z00_1645) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 562 */
										BgL_testz00_3572 =
											(
											((obj_t) BgL_t2z00_1646) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 562 */
										BgL_testz00_3572 = ((bool_t) 0);
									}
								if (BgL_testz00_3572)
									{	/* Cfa/specialize.scm 562 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 562 */
										if (
											(((obj_t) BgL_t1z00_1645) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 564 */
												if (
													(((obj_t) BgL_t2z00_1646) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 565 */
														BgL_nodez00_1671 = BgL_nodez00_118;
														BgL_typez00_1672 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza32189ze3z83_1673:
														{	/* Cfa/specialize.scm 552 */
															bool_t BgL_testz00_3584;

															{	/* Cfa/specialize.scm 552 */
																bool_t BgL_res2365z00_2894;

																{	/* Cfa/specialize.scm 552 */
																	obj_t BgL_objz00_2893;

																	BgL_objz00_2893 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2365z00_2894 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_2893,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3584 = BgL_res2365z00_2894;
															}
															if (BgL_testz00_3584)
																{	/* Cfa/specialize.scm 552 */
																	{	/* Cfa/specialize.scm 553 */
																		BgL_varz00_bglt BgL_arg2191z00_1675;

																		BgL_arg2191z00_1675 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_118))->BgL_funz00);
																		{	/* Cfa/specialize.scm 553 */
																			BgL_variablez00_bglt BgL_vz00_2896;

																			BgL_vz00_2896 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg2191z00_1675))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_2896),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1672);
																}
															else
																{	/* Cfa/specialize.scm 552 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 565 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 564 */
												if (
													(((obj_t) BgL_t2z00_1646) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 568 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 568 */
														if (
															(((obj_t) BgL_t1z00_1645) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 570 */
																if (
																	(((obj_t) BgL_t2z00_1646) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3601;
																		BgL_appz00_bglt BgL_nodez00_3600;

																		BgL_nodez00_3600 = BgL_nodez00_118;
																		BgL_typez00_3601 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1672 = BgL_typez00_3601;
																		BgL_nodez00_1671 = BgL_nodez00_3600;
																		goto BgL_zc3anonymousza32189ze3z83_1673;
																	}
																else
																	{	/* Cfa/specialize.scm 571 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 570 */
																if (
																	(((obj_t) BgL_t2z00_1646) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 574 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 574 */
																		if (
																			(((obj_t) BgL_t2z00_1646) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 576 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 576 */
																				if (
																					(((obj_t) BgL_t1z00_1645) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 578 */
																						if (
																							(((obj_t) BgL_t2z00_1646) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3615;
																								BgL_appz00_bglt
																									BgL_nodez00_3614;
																								BgL_nodez00_3614 =
																									BgL_nodez00_118;
																								BgL_typez00_3615 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1672 =
																									BgL_typez00_3615;
																								BgL_nodez00_1671 =
																									BgL_nodez00_3614;
																								goto
																									BgL_zc3anonymousza32189ze3z83_1673;
																							}
																						else
																							{	/* Cfa/specialize.scm 579 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 578 */
																						if (
																							(((obj_t) BgL_t2z00_1646) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 582 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 584 */
																								bool_t BgL_testz00_3619;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1645))
																									{	/* Cfa/specialize.scm 584 */
																										BgL_testz00_3619 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1646);
																									}
																								else
																									{	/* Cfa/specialize.scm 584 */
																										BgL_testz00_3619 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3619)
																									{	/* Cfa/specialize.scm 586 */
																										BgL_typez00_bglt
																											BgL_arg2176z00_1659;
																										if ((((obj_t)
																													BgL_t1z00_1645) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 586 */
																												BgL_arg2176z00_1659 =
																													BgL_t2z00_1646;
																											}
																										else
																											{	/* Cfa/specialize.scm 586 */
																												BgL_arg2176z00_1659 =
																													BgL_t1z00_1645;
																											}
																										{
																											obj_t BgL_typez00_3627;
																											BgL_appz00_bglt
																												BgL_nodez00_3626;
																											BgL_nodez00_3626 =
																												BgL_nodez00_118;
																											BgL_typez00_3627 =
																												((obj_t)
																												BgL_arg2176z00_1659);
																											BgL_typez00_1672 =
																												BgL_typez00_3627;
																											BgL_nodez00_1671 =
																												BgL_nodez00_3626;
																											goto
																												BgL_zc3anonymousza32189ze3z83_1673;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 584 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_118;
						}
					else
						{	/* Cfa/specialize.scm 556 */
							return BgL_nodez00_118;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg2196z00_1681;
				obj_t BgL_arg2198z00_1682;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1948z00_1723;

					BgL_v1948z00_1723 = create_vector((int) (((long) 1)));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2210z00_1724;

						BgL_arg2210z00_1724 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2401z00zzcfa_specializa7eza7,
							BGl_proc2400z00zzcfa_specializa7eza7, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1948z00_1723, (int) (((long) 0)),
							BgL_arg2210z00_1724);
					}
					BgL_arg2196z00_1681 = BgL_v1948z00_1723;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1949z00_1736;

					BgL_v1949z00_1736 = create_vector((int) (((long) 0)));
					BgL_arg2198z00_1682 = BgL_v1949z00_1736;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 36127), BGl_proc2405z00zzcfa_specializa7eza7,
						BGl_proc2404z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2403z00zzcfa_specializa7eza7,
						BGl_proc2402z00zzcfa_specializa7eza7, BgL_arg2196z00_1681,
						BgL_arg2198z00_1682), BUNSPEC);
		}}
	}



/* &lambda2206 */
	BgL_globalz00_bglt BGl_z62lambda2206z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3036, obj_t BgL_o1120z00_3037)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1120z00_1717;

				BgL_o1120z00_1717 = ((BgL_globalz00_bglt) BgL_o1120z00_3037);
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg2207z00_1720;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2208z00_1721;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_arg2209z00_1722;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objectz00_2938;

								BgL_objectz00_2938 = ((BgL_objectz00_bglt) BgL_o1120z00_1717);
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1814z00_2939;

									{	/* Cfa/specialize.scm 35 */
										long BgL_arg1815z00_2940;

										{	/* Cfa/specialize.scm 35 */
											long BgL_res2371z00_2942;

											BgL_res2371z00_2942 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2938);
											BgL_arg1815z00_2940 = BgL_res2371z00_2942;
										}
										BgL_arg1814z00_2939 = (BgL_arg1815z00_2940 - OBJECT_TYPE);
									}
									BgL_arg2209z00_1722 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1814z00_2939));
							}}
							BgL_arg2208z00_1721 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2209z00_1722);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_res2373z00_2951;

							{	/* Cfa/specialize.scm 35 */
								obj_t BgL_classz00_2948;

								BgL_classz00_2948 = BgL_arg2208z00_1721;
								{	/* Cfa/specialize.scm 35 */
									obj_t BgL_vectorz00_2949;
									int BgL_kz00_2950;

									BgL_vectorz00_2949 = BgL_classz00_2948;
									BgL_kz00_2950 = (int) (((long) 1));
									BgL_res2373z00_2951 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2949, BgL_kz00_2950));
							}}
							BgL_arg2207z00_1720 = BgL_res2373z00_2951;
					}}
					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_objz00_2952;

						BgL_objz00_2952 = ((BgL_objectz00_bglt) BgL_o1120z00_1717);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2952, BgL_arg2207z00_1720);
				}}
				{	/* Cfa/specialize.scm 35 */
					BgL_objectz00_bglt BgL_auxz00_3652;

					BgL_auxz00_3652 = ((BgL_objectz00_bglt) BgL_o1120z00_1717);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3652, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1120z00_1717);
			}
		}
	}



/* &<anonymous:2205> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32205ze3ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_3038, obj_t BgL_new1119z00_3039)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_new1119z00_1715;

				BgL_new1119z00_1715 = ((BgL_globalz00_bglt) BgL_new1119z00_3039);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1119z00_1715)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_typez00) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt)
							BGl_classzd2nilzd2zz__objectz00(BGl_typez00zztype_typez00))),
					BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_valuez00) =
					((BgL_valuez00_bglt) ((BgL_valuez00_bglt)
							BGl_classzd2nilzd2zz__objectz00(BGl_valuez00zzast_varz00))),
					BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1119z00_1715)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2406z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1119z00_1715)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3701;

					{
						obj_t BgL_auxz00_3702;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3703;

							BgL_auxz00_3703 = ((BgL_objectz00_bglt) BgL_new1119z00_1715);
							BgL_auxz00_3702 = BGL_OBJECT_WIDENING(BgL_auxz00_3703);
						}
						BgL_auxz00_3701 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3702);
					}
					((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3701))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1119z00_1715;
			}
		}
	}



/* &lambda2203 */
	BgL_globalz00_bglt BGl_z62lambda2203z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3040, obj_t BgL_o1116z00_3041)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1116z00_1710;

				BgL_o1116z00_1710 = ((BgL_globalz00_bglt) BgL_o1116z00_3041);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_tmp1117z00_1712;
					BgL_specializa7edzd2globalz75_bglt BgL_wide1118z00_1713;

					BgL_tmp1117z00_1712 = ((BgL_globalz00_bglt) BgL_o1116z00_1710);
					BgL_wide1118z00_1713 =
						((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_specializa7edzd2globalz75_bgl))));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_auxz00_3713;
						BgL_objectz00_bglt BgL_auxz00_3711;

						BgL_auxz00_3713 = ((obj_t) BgL_wide1118z00_1713);
						BgL_auxz00_3711 = ((BgL_objectz00_bglt) BgL_tmp1117z00_1712);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3711, BgL_auxz00_3713);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_arg2204z00_1714;

						{	/* Cfa/specialize.scm 35 */
							long BgL_res2370z00_2935;

							{	/* Cfa/specialize.scm 35 */
								obj_t BgL_classz00_2932;

								BgL_classz00_2932 =
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
								{	/* Cfa/specialize.scm 35 */
									obj_t BgL_vectorz00_2933;
									int BgL_kz00_2934;

									BgL_vectorz00_2933 = BgL_classz00_2932;
									BgL_kz00_2934 = (int) (((long) 1));
									BgL_res2370z00_2935 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2933, BgL_kz00_2934));
							}}
							BgL_arg2204z00_1714 = BgL_res2370z00_2935;
						}
						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_objz00_2936;

							BgL_objz00_2936 = ((BgL_objectz00_bglt) BgL_tmp1117z00_1712);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2936, BgL_arg2204z00_1714));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1117z00_1712);
				}
			}
		}
	}



/* &lambda2199 */
	BgL_globalz00_bglt BGl_z62lambda2199z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3042, obj_t BgL_id1096z00_3043, obj_t BgL_name1097z00_3044,
		obj_t BgL_type1098z00_3045, obj_t BgL_value1099z00_3046,
		obj_t BgL_access1100z00_3047, obj_t BgL_fastzd2alpha1101zd2_3048,
		obj_t BgL_removable1102z00_3049, obj_t BgL_occurrence1103z00_3050,
		obj_t BgL_occurrencew1104z00_3051, obj_t BgL_userzf31105zf3_3052,
		obj_t BgL_module1106z00_3053, obj_t BgL_import1107z00_3054,
		obj_t BgL_evaluablezf31108zf3_3055, obj_t BgL_evalzf31109zf3_3056,
		obj_t BgL_library1110z00_3057, obj_t BgL_pragma1111z00_3058,
		obj_t BgL_src1112z00_3059, obj_t BgL_jvmzd2typezd2name1113z00_3060,
		obj_t BgL_init1114z00_3061, obj_t BgL_fix1115z00_3062)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				obj_t BgL_id1096z00_1683;
				obj_t BgL_name1097z00_1684;
				BgL_typez00_bglt BgL_type1098z00_1685;
				BgL_valuez00_bglt BgL_value1099z00_1686;
				obj_t BgL_access1100z00_1687;
				obj_t BgL_fastzd2alpha1101zd2_1688;
				obj_t BgL_removable1102z00_1689;
				long BgL_occurrence1103z00_1690;
				long BgL_occurrencew1104z00_1691;
				bool_t BgL_userzf31105zf3_1692;
				obj_t BgL_module1106z00_1693;
				obj_t BgL_import1107z00_1694;
				bool_t BgL_evaluablezf31108zf3_1695;
				bool_t BgL_evalzf31109zf3_1696;
				obj_t BgL_library1110z00_1697;
				obj_t BgL_pragma1111z00_1698;
				obj_t BgL_src1112z00_1699;
				obj_t BgL_jvmzd2typezd2name1113z00_1700;
				obj_t BgL_init1114z00_1701;
				obj_t BgL_fix1115z00_1702;

				BgL_id1096z00_1683 = BgL_id1096z00_3043;
				BgL_name1097z00_1684 = BgL_name1097z00_3044;
				BgL_type1098z00_1685 = ((BgL_typez00_bglt) BgL_type1098z00_3045);
				BgL_value1099z00_1686 = ((BgL_valuez00_bglt) BgL_value1099z00_3046);
				BgL_access1100z00_1687 = BgL_access1100z00_3047;
				BgL_fastzd2alpha1101zd2_1688 = BgL_fastzd2alpha1101zd2_3048;
				BgL_removable1102z00_1689 = BgL_removable1102z00_3049;
				BgL_occurrence1103z00_1690 = (long) CINT(BgL_occurrence1103z00_3050);
				BgL_occurrencew1104z00_1691 = (long) CINT(BgL_occurrencew1104z00_3051);
				BgL_userzf31105zf3_1692 = CBOOL(BgL_userzf31105zf3_3052);
				BgL_module1106z00_1693 = BgL_module1106z00_3053;
				BgL_import1107z00_1694 = BgL_import1107z00_3054;
				BgL_evaluablezf31108zf3_1695 = CBOOL(BgL_evaluablezf31108zf3_3055);
				BgL_evalzf31109zf3_1696 = CBOOL(BgL_evalzf31109zf3_3056);
				BgL_library1110z00_1697 = BgL_library1110z00_3057;
				BgL_pragma1111z00_1698 = BgL_pragma1111z00_3058;
				BgL_src1112z00_1699 = BgL_src1112z00_3059;
				BgL_jvmzd2typezd2name1113z00_1700 = BgL_jvmzd2typezd2name1113z00_3060;
				BgL_init1114z00_1701 = BgL_init1114z00_3061;
				BgL_fix1115z00_1702 = BgL_fix1115z00_3062;
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1205z00_2914;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1203z00_2915;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1204z00_2916;

						{
							BgL_globalz00_bglt BgL_auxz00_3724;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1202z00_2917;

								BgL_new1202z00_2917 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg2202z00_2918;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2368z00_2923;

										{	/* Cfa/specialize.scm 35 */
											obj_t BgL_classz00_2920;

											BgL_classz00_2920 = BGl_globalz00zzast_varz00;
											{	/* Cfa/specialize.scm 35 */
												obj_t BgL_vectorz00_2921;
												int BgL_kz00_2922;

												BgL_vectorz00_2921 = BgL_classz00_2920;
												BgL_kz00_2922 = (int) (((long) 1));
												BgL_res2368z00_2923 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2921,
														BgL_kz00_2922));
										}}
										BgL_arg2202z00_2918 = BgL_res2368z00_2923;
									}
									{	/* Cfa/specialize.scm 35 */
										BgL_objectz00_bglt BgL_objz00_2924;

										BgL_objz00_2924 =
											((BgL_objectz00_bglt) BgL_new1202z00_2917);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2924,
											BgL_arg2202z00_2918);
								}}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_auxz00_3731;

									BgL_auxz00_3731 = ((BgL_objectz00_bglt) BgL_new1202z00_2917);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3731, BFALSE);
								}
								BgL_auxz00_3724 = BgL_new1202z00_2917;
							}
							BgL_tmp1203z00_2915 = ((BgL_globalz00_bglt) BgL_auxz00_3724);
						}
						BgL_wide1204z00_2916 =
							((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3738;
							BgL_objectz00_bglt BgL_auxz00_3736;

							BgL_auxz00_3738 = ((obj_t) BgL_wide1204z00_2916);
							BgL_auxz00_3736 = ((BgL_objectz00_bglt) BgL_tmp1203z00_2915);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3736, BgL_auxz00_3738);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg2200z00_2919;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2369z00_2929;

								{	/* Cfa/specialize.scm 35 */
									obj_t BgL_classz00_2926;

									BgL_classz00_2926 =
										BGl_specializa7edzd2globalz75zzcfa_specializa7eza7;
									{	/* Cfa/specialize.scm 35 */
										obj_t BgL_vectorz00_2927;
										int BgL_kz00_2928;

										BgL_vectorz00_2927 = BgL_classz00_2926;
										BgL_kz00_2928 = (int) (((long) 1));
										BgL_res2369z00_2929 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2927,
												BgL_kz00_2928));
								}}
								BgL_arg2200z00_2919 = BgL_res2369z00_2929;
							}
							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objz00_2930;

								BgL_objz00_2930 = ((BgL_objectz00_bglt) BgL_tmp1203z00_2915);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2930,
										BgL_arg2200z00_2919));
						}}
						BgL_new1205z00_2914 = ((BgL_globalz00_bglt) BgL_tmp1203z00_2915);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1205z00_2914)))->BgL_idz00) =
						((obj_t) BgL_id1096z00_1683), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_namez00) =
						((obj_t) BgL_name1097z00_1684), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1098z00_1685), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1099z00_1686), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_accessz00) =
						((obj_t) BgL_access1100z00_1687), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1101zd2_1688), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_removablez00) =
						((obj_t) BgL_removable1102z00_1689), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_occurrencez00) =
						((long) BgL_occurrence1103z00_1690), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1104z00_1691), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1205z00_2914)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31105zf3_1692), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_modulez00) =
						((obj_t) BgL_module1106z00_1693), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_importz00) =
						((obj_t) BgL_import1107z00_1694), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31108zf3_1695), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31109zf3_1696), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_libraryz00) =
						((obj_t) BgL_library1110z00_1697), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1111z00_1698), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_srcz00) =
						((obj_t) BgL_src1112z00_1699), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1113z00_1700), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1205z00_2914)))->BgL_initz00) =
						((obj_t) BgL_init1114z00_1701), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3786;

						{
							obj_t BgL_auxz00_3787;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_auxz00_3788;

								BgL_auxz00_3788 = ((BgL_objectz00_bglt) BgL_new1205z00_2914);
								BgL_auxz00_3787 = BGL_OBJECT_WIDENING(BgL_auxz00_3788);
							}
							BgL_auxz00_3786 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3787);
						}
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3786))->
								BgL_fixz00) = ((obj_t) BgL_fix1115z00_1702), BUNSPEC);
					}
					return BgL_new1205z00_2914;
				}
			}
		}
	}



/* &lambda2214 */
	obj_t BGl_z62lambda2214z62zzcfa_specializa7eza7(obj_t BgL_envz00_3063,
		obj_t BgL_oz00_3064, obj_t BgL_vz00_3065)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1730;
				obj_t BgL_vz00_1731;

				BgL_oz00_1730 = ((BgL_globalz00_bglt) BgL_oz00_3064);
				BgL_vz00_1731 = BgL_vz00_3065;
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3800;

					{
						obj_t BgL_auxz00_3801;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3802;

							BgL_auxz00_3802 = ((BgL_objectz00_bglt) BgL_oz00_1730);
							BgL_auxz00_3801 = BGL_OBJECT_WIDENING(BgL_auxz00_3802);
						}
						BgL_auxz00_3800 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3801);
					}
					return
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3800))->
							BgL_fixz00) = ((obj_t) BgL_vz00_1731), BUNSPEC);
				}
			}
		}
	}



/* &lambda2213 */
	obj_t BGl_z62lambda2213z62zzcfa_specializa7eza7(obj_t BgL_envz00_3066,
		obj_t BgL_oz00_3067)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1727;

				BgL_oz00_1727 = ((BgL_globalz00_bglt) BgL_oz00_3067);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3808;

					{
						obj_t BgL_auxz00_3809;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3810;

							BgL_auxz00_3810 = ((BgL_objectz00_bglt) BgL_oz00_1727);
							BgL_auxz00_3809 = BGL_OBJECT_WIDENING(BgL_auxz00_3810);
						}
						BgL_auxz00_3808 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3809);
					}
					return
						(((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3808))->
						BgL_fixz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2407z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2408z00zzcfa_specializa7eza7);
		}
	}



/* &patch!1950 */
	obj_t BGl_z62patchz121950z70zzcfa_specializa7eza7(obj_t BgL_envz00_3069,
		BgL_nodez00_bglt BgL_nodez00_3070)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 298 */
			{
				BgL_nodez00_bglt BgL_nodez00_1742;

				BgL_nodez00_1742 = BgL_nodez00_3070;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
					BGl_string2409z00zzcfa_specializa7eza7, ((obj_t) BgL_nodez00_1742));
		}}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_94)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 298 */
			{	/* Cfa/specialize.scm 298 */
				obj_t BgL_method1951z00_1745;

				{	/* Cfa/specialize.scm 298 */
					obj_t BgL_res2380z00_2982;

					{	/* Cfa/specialize.scm 298 */
						BgL_objectz00_bglt BgL_objz00_2954;

						BgL_objz00_2954 = ((BgL_objectz00_bglt) BgL_nodez00_94);
						{	/* Cfa/specialize.scm 298 */
							long BgL_objzd2classzd2numz00_2955;

							{	/* Cfa/specialize.scm 298 */
								long BgL_res2374z00_2958;

								BgL_res2374z00_2958 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2954);
								BgL_objzd2classzd2numz00_2955 = BgL_res2374z00_2958;
							}
							{	/* Cfa/specialize.scm 298 */
								obj_t BgL_arg1811z00_2956;

								BgL_arg1811z00_2956 =
									PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
									(int) (((long) 1)));
								{	/* Cfa/specialize.scm 298 */
									obj_t BgL_arrayz00_2959;
									int BgL_offsetz00_2960;

									BgL_arrayz00_2959 = BgL_arg1811z00_2956;
									BgL_offsetz00_2960 = (int) (BgL_objzd2classzd2numz00_2955);
									{	/* Cfa/specialize.scm 298 */
										long BgL_offsetz00_2961;

										BgL_offsetz00_2961 =
											((long) (BgL_offsetz00_2960) - OBJECT_TYPE);
										{	/* Cfa/specialize.scm 298 */
											long BgL_modz00_2962;

											{	/* Cfa/specialize.scm 298 */
												int BgL_arg1813z00_2963;

												BgL_arg1813z00_2963 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 298 */
													long BgL_res2377z00_2973;

													{	/* Cfa/specialize.scm 298 */
														long BgL_auxz00_3828;

														BgL_auxz00_3828 = (long) (BgL_arg1813z00_2963);
														BgL_res2377z00_2973 =
															(BgL_offsetz00_2961 / BgL_auxz00_3828);
													}
													BgL_modz00_2962 = BgL_res2377z00_2973;
											}}
											{	/* Cfa/specialize.scm 298 */
												long BgL_restz00_2964;

												{	/* Cfa/specialize.scm 298 */
													int BgL_arg1812z00_2965;

													BgL_arg1812z00_2965 = (int) (((long) 16));
													{	/* Cfa/specialize.scm 298 */
														long BgL_res2379z00_2977;

														{	/* Cfa/specialize.scm 298 */
															long BgL_auxz00_3832;

															BgL_auxz00_3832 = (long) (BgL_arg1812z00_2965);
															BgL_res2379z00_2977 =
																(BgL_offsetz00_2961 % BgL_auxz00_3832);
														}
														BgL_restz00_2964 = BgL_res2379z00_2977;
												}}
												{	/* Cfa/specialize.scm 298 */

													BgL_res2380z00_2982 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2959,
															(int) (BgL_modz00_2962)),
														(int) (BgL_restz00_2964));
					}}}}}}}}
					BgL_method1951z00_1745 = BgL_res2380z00_2982;
				}
				return
					PROCEDURE_ENTRY(BgL_method1951z00_1745) (BgL_method1951z00_1745,
					((obj_t) BgL_nodez00_94), BEOA);
			}
		}
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3071,
		obj_t BgL_nodez00_3072)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 298 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3072));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2410z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2412z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2413z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2414z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2415z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2416z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2417z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2418z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2419z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2420z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2421z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2422z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc2423z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2424z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2425z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2426z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2427z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2428z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2429z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2430z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2431z00zzcfa_specializa7eza7,
				BGl_string2411z00zzcfa_specializa7eza7);
		}
	}



/* &patch!-app1994 */
	BgL_appz00_bglt BGl_z62patchz12zd2app1994za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3094, BgL_appz00_bglt BgL_nodez00_3095)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 496 */
			{
				BgL_appz00_bglt BgL_nodez00_1905;

				BgL_nodez00_1905 = BgL_nodez00_3095;
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1905))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_3869;

					{	/* Cfa/specialize.scm 499 */
						BgL_varz00_bglt BgL_arg2268z00_1910;

						BgL_arg2268z00_1910 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1905))->BgL_funz00);
						BgL_auxz00_3869 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2268z00_1910)));
					}
					((((BgL_appz00_bglt) CREF(BgL_nodez00_1905))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_3869), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 500 */
					BgL_variablez00_bglt BgL_vz00_1911;

					BgL_vz00_1911 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_1905))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 502 */
						bool_t BgL_testz00_3877;

						{	/* Cfa/specialize.scm 502 */
							bool_t BgL_res2385z00_3010;

							{	/* Cfa/specialize.scm 502 */
								obj_t BgL_objz00_3009;

								BgL_objz00_3009 = ((obj_t) BgL_vz00_1911);
								BgL_res2385z00_3010 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3009,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							}
							BgL_testz00_3877 = BgL_res2385z00_3010;
						}
						if (BgL_testz00_3877)
							{	/* Cfa/specialize.scm 502 */
								return
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
									(BgL_nodez00_1905);
							}
						else
							{	/* Cfa/specialize.scm 502 */
								return BgL_nodez00_1905;
							}
					}
				}
			}
		}
	}



/* &patch!-box-ref1992 */
	BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref1992z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3096, BgL_boxzd2refzd2_bglt BgL_nodez00_3097)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 477 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1899;

				BgL_nodez00_1899 = BgL_nodez00_3097;
				{
					BgL_varz00_bglt BgL_auxz00_3881;

					{	/* Cfa/specialize.scm 479 */
						BgL_varz00_bglt BgL_arg2266z00_1903;

						BgL_arg2266z00_1903 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1899))->BgL_varz00);
						BgL_auxz00_3881 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2266z00_1903)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1899))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3881), BUNSPEC);
				}
				return BgL_nodez00_1899;
			}
		}
	}



/* &patch!-box-set!1990 */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz121990z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3098, BgL_boxzd2setz12zc0_bglt BgL_nodez00_3099)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 468 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1892;

				BgL_nodez00_1892 = BgL_nodez00_3099;
				{
					BgL_varz00_bglt BgL_auxz00_3887;

					{	/* Cfa/specialize.scm 470 */
						BgL_varz00_bglt BgL_arg2264z00_1896;

						BgL_arg2264z00_1896 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1892))->BgL_varz00);
						BgL_auxz00_3887 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2264z00_1896)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1892))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3887), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3893;

					{	/* Cfa/specialize.scm 471 */
						BgL_nodez00_bglt BgL_arg2265z00_1897;

						BgL_arg2265z00_1897 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1892))->
							BgL_valuez00);
						BgL_auxz00_3893 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2265z00_1897));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1892))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3893), BUNSPEC);
				}
				return BgL_nodez00_1892;
			}
		}
	}



/* &patch!-make-box1988 */
	BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box1988z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3100, BgL_makezd2boxzd2_bglt BgL_nodez00_3101)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 460 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1886;

				BgL_nodez00_1886 = BgL_nodez00_3101;
				{
					BgL_nodez00_bglt BgL_auxz00_3898;

					{	/* Cfa/specialize.scm 462 */
						BgL_nodez00_bglt BgL_arg2263z00_1890;

						BgL_arg2263z00_1890 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1886))->BgL_valuez00);
						BgL_auxz00_3898 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2263z00_1890));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1886))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3898), BUNSPEC);
				}
				return BgL_nodez00_1886;
			}
		}
	}



/* &patch!-jump-ex-it1986 */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it1986za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3102, BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3103)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 451 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1879;

				BgL_nodez00_1879 = BgL_nodez00_3103;
				{
					BgL_nodez00_bglt BgL_auxz00_3903;

					{	/* Cfa/specialize.scm 453 */
						BgL_nodez00_bglt BgL_arg2261z00_1883;

						BgL_arg2261z00_1883 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1879))->
							BgL_exitz00);
						BgL_auxz00_3903 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2261z00_1883));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1879))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3903), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3908;

					{	/* Cfa/specialize.scm 454 */
						BgL_nodez00_bglt BgL_arg2262z00_1884;

						BgL_arg2262z00_1884 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1879))->
							BgL_valuez00);
						BgL_auxz00_3908 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2262z00_1884));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1879))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3908), BUNSPEC);
				}
				return BgL_nodez00_1879;
			}
		}
	}



/* &patch!-set-ex-it1984 */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it1984za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3104, BgL_setzd2exzd2itz00_bglt BgL_nodez00_3105)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 442 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1872;

				BgL_nodez00_1872 = BgL_nodez00_3105;
				{
					BgL_nodez00_bglt BgL_auxz00_3913;

					{	/* Cfa/specialize.scm 444 */
						BgL_nodez00_bglt BgL_arg2259z00_1876;

						BgL_arg2259z00_1876 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1872))->
							BgL_bodyz00);
						BgL_auxz00_3913 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2259z00_1876));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1872))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3913), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 445 */
					BgL_varz00_bglt BgL_arg2260z00_1877;

					BgL_arg2260z00_1877 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1872))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg2260z00_1877));
				}
				return BgL_nodez00_1872;
			}
		}
	}



/* &patch!-let-var1982 */
	BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var1982z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3106, BgL_letzd2varzd2_bglt BgL_nodez00_3107)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 427 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1854;

				BgL_nodez00_1854 = BgL_nodez00_3107;
				{	/* Cfa/specialize.scm 429 */
					obj_t BgL_g1947z00_1858;

					BgL_g1947z00_1858 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1854))->BgL_bindingsz00);
					{
						obj_t BgL_l1945z00_1860;

						BgL_l1945z00_1860 = BgL_g1947z00_1858;
					BgL_zc3anonymousza32252ze3z83_1861:
						if (PAIRP(BgL_l1945z00_1860))
							{	/* Cfa/specialize.scm 429 */
								{	/* Cfa/specialize.scm 430 */
									obj_t BgL_bindingz00_1863;

									BgL_bindingz00_1863 = CAR(BgL_l1945z00_1860);
									{	/* Cfa/specialize.scm 430 */
										obj_t BgL_valz00_1864;

										BgL_valz00_1864 = CDR(BgL_bindingz00_1863);
										{	/* Cfa/specialize.scm 431 */
											obj_t BgL_arg2254z00_1865;

											BgL_arg2254z00_1865 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_1864));
											SET_CDR(BgL_bindingz00_1863, BgL_arg2254z00_1865);
										}
									}
								}
								{
									obj_t BgL_l1945z00_3929;

									BgL_l1945z00_3929 = CDR(BgL_l1945z00_1860);
									BgL_l1945z00_1860 = BgL_l1945z00_3929;
									goto BgL_zc3anonymousza32252ze3z83_1861;
								}
							}
						else
							{	/* Cfa/specialize.scm 429 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3931;

					{	/* Cfa/specialize.scm 433 */
						BgL_nodez00_bglt BgL_arg2256z00_1868;

						BgL_arg2256z00_1868 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1854))->BgL_bodyz00);
						BgL_auxz00_3931 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2256z00_1868));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1854))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3931), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 434 */
					bool_t BgL_testz00_3936;

					{	/* Cfa/specialize.scm 434 */
						BgL_typez00_bglt BgL_arg2258z00_1870;

						BgL_arg2258z00_1870 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1854)))->BgL_typez00);
						BgL_testz00_3936 =
							(
							((obj_t) BgL_arg2258z00_1870) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_3936)
						{	/* Cfa/specialize.scm 434 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1854)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1854)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1854))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 434 */
							BFALSE;
						}
				}
				return BgL_nodez00_1854;
			}
		}
	}



/* &patch!-let-fun1980 */
	BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun1980z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3108, BgL_letzd2funzd2_bglt BgL_nodez00_3109)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 415 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1838;

				BgL_nodez00_1838 = BgL_nodez00_3109;
				{	/* Cfa/specialize.scm 417 */
					obj_t BgL_g1944z00_1842;

					BgL_g1944z00_1842 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1838))->BgL_localsz00);
					{
						obj_t BgL_l1942z00_1844;

						BgL_l1942z00_1844 = BgL_g1944z00_1842;
					BgL_zc3anonymousza32245ze3z83_1845:
						if (PAIRP(BgL_l1942z00_1844))
							{	/* Cfa/specialize.scm 417 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1942z00_1844));
								{
									obj_t BgL_l1942z00_3953;

									BgL_l1942z00_3953 = CDR(BgL_l1942z00_1844);
									BgL_l1942z00_1844 = BgL_l1942z00_3953;
									goto BgL_zc3anonymousza32245ze3z83_1845;
								}
							}
						else
							{	/* Cfa/specialize.scm 417 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3955;

					{	/* Cfa/specialize.scm 418 */
						BgL_nodez00_bglt BgL_arg2249z00_1850;

						BgL_arg2249z00_1850 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1838))->BgL_bodyz00);
						BgL_auxz00_3955 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2249z00_1850));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1838))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3955), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 419 */
					bool_t BgL_testz00_3960;

					{	/* Cfa/specialize.scm 419 */
						BgL_typez00_bglt BgL_arg2251z00_1852;

						BgL_arg2251z00_1852 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1838)))->BgL_typez00);
						BgL_testz00_3960 =
							(
							((obj_t) BgL_arg2251z00_1852) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_3960)
						{	/* Cfa/specialize.scm 419 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1838)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1838)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1838))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 419 */
							BFALSE;
						}
				}
				return BgL_nodez00_1838;
			}
		}
	}



/* &patch!-select1978 */
	BgL_selectz00_bglt BGl_z62patchz12zd2select1978za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3110, BgL_selectz00_bglt BgL_nodez00_3111)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 404 */
			{
				BgL_selectz00_bglt BgL_nodez00_1822;

				BgL_nodez00_1822 = BgL_nodez00_3111;
				{
					BgL_nodez00_bglt BgL_auxz00_3972;

					{	/* Cfa/specialize.scm 406 */
						BgL_nodez00_bglt BgL_arg2238z00_1826;

						BgL_arg2238z00_1826 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1822))->BgL_testz00);
						BgL_auxz00_3972 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2238z00_1826));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1822))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3972), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 407 */
					obj_t BgL_g1941z00_1827;

					BgL_g1941z00_1827 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1822))->BgL_clausesz00);
					{
						obj_t BgL_l1939z00_1829;

						BgL_l1939z00_1829 = BgL_g1941z00_1827;
					BgL_zc3anonymousza32239ze3z83_1830:
						if (PAIRP(BgL_l1939z00_1829))
							{	/* Cfa/specialize.scm 407 */
								{	/* Cfa/specialize.scm 408 */
									obj_t BgL_clausez00_1832;

									BgL_clausez00_1832 = CAR(BgL_l1939z00_1829);
									{	/* Cfa/specialize.scm 408 */
										obj_t BgL_arg2241z00_1833;

										{	/* Cfa/specialize.scm 408 */
											obj_t BgL_arg2243z00_1834;

											BgL_arg2243z00_1834 = CDR(BgL_clausez00_1832);
											BgL_arg2241z00_1833 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg2243z00_1834));
										}
										SET_CDR(BgL_clausez00_1832, BgL_arg2241z00_1833);
									}
								}
								{
									obj_t BgL_l1939z00_3985;

									BgL_l1939z00_3985 = CDR(BgL_l1939z00_1829);
									BgL_l1939z00_1829 = BgL_l1939z00_3985;
									goto BgL_zc3anonymousza32239ze3z83_1830;
								}
							}
						else
							{	/* Cfa/specialize.scm 407 */
								((bool_t) 1);
							}
					}
				}
				return BgL_nodez00_1822;
			}
		}
	}



/* &patch!-fail1976 */
	BgL_failz00_bglt BGl_z62patchz12zd2fail1976za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3112, BgL_failz00_bglt BgL_nodez00_3113)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 394 */
			{
				BgL_failz00_bglt BgL_nodez00_1814;

				BgL_nodez00_1814 = BgL_nodez00_3113;
				{
					BgL_nodez00_bglt BgL_auxz00_3987;

					{	/* Cfa/specialize.scm 396 */
						BgL_nodez00_bglt BgL_arg2235z00_1818;

						BgL_arg2235z00_1818 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1814))->BgL_procz00);
						BgL_auxz00_3987 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2235z00_1818));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1814))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3987), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3992;

					{	/* Cfa/specialize.scm 397 */
						BgL_nodez00_bglt BgL_arg2236z00_1819;

						BgL_arg2236z00_1819 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1814))->BgL_msgz00);
						BgL_auxz00_3992 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2236z00_1819));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1814))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3992), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3997;

					{	/* Cfa/specialize.scm 398 */
						BgL_nodez00_bglt BgL_arg2237z00_1820;

						BgL_arg2237z00_1820 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1814))->BgL_objz00);
						BgL_auxz00_3997 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2237z00_1820));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1814))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3997), BUNSPEC);
				}
				return BgL_nodez00_1814;
			}
		}
	}



/* &patch!-conditional1974 */
	BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional1974za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3114, BgL_conditionalz00_bglt BgL_nodez00_3115)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 381 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1804;

				BgL_nodez00_1804 = BgL_nodez00_3115;
				{
					BgL_nodez00_bglt BgL_auxz00_4002;

					{	/* Cfa/specialize.scm 383 */
						BgL_nodez00_bglt BgL_arg2230z00_1808;

						BgL_arg2230z00_1808 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1804))->BgL_testz00);
						BgL_auxz00_4002 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2230z00_1808));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1804))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4002), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4007;

					{	/* Cfa/specialize.scm 384 */
						BgL_nodez00_bglt BgL_arg2231z00_1809;

						BgL_arg2231z00_1809 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1804))->BgL_truez00);
						BgL_auxz00_4007 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2231z00_1809));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1804))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4007), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4012;

					{	/* Cfa/specialize.scm 385 */
						BgL_nodez00_bglt BgL_arg2232z00_1810;

						BgL_arg2232z00_1810 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1804))->
							BgL_falsez00);
						BgL_auxz00_4012 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2232z00_1810));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1804))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4012), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 386 */
					bool_t BgL_testz00_4017;

					{	/* Cfa/specialize.scm 386 */
						BgL_typez00_bglt BgL_arg2234z00_1812;

						BgL_arg2234z00_1812 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1804)))->BgL_typez00);
						BgL_testz00_4017 =
							(
							((obj_t) BgL_arg2234z00_1812) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4017)
						{	/* Cfa/specialize.scm 386 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1804)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1804)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1804))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 386 */
							BFALSE;
						}
				}
				return BgL_nodez00_1804;
			}
		}
	}



/* &patch!-setq1972 */
	BgL_setqz00_bglt BGl_z62patchz12zd2setq1972za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3116, BgL_setqz00_bglt BgL_nodez00_3117)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 372 */
			{
				BgL_setqz00_bglt BgL_nodez00_1797;

				BgL_nodez00_1797 = BgL_nodez00_3117;
				{
					BgL_nodez00_bglt BgL_auxz00_4029;

					{	/* Cfa/specialize.scm 374 */
						BgL_nodez00_bglt BgL_arg2227z00_1801;

						BgL_arg2227z00_1801 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1797))->BgL_valuez00);
						BgL_auxz00_4029 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2227z00_1801));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1797))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4029), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4034;

					{	/* Cfa/specialize.scm 375 */
						BgL_varz00_bglt BgL_arg2228z00_1802;

						BgL_arg2228z00_1802 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1797))->BgL_varz00);
						BgL_auxz00_4034 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2228z00_1802)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1797))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4034), BUNSPEC);
				}
				return BgL_nodez00_1797;
			}
		}
	}



/* &patch!-cast1970 */
	BgL_castz00_bglt BGl_z62patchz12zd2cast1970za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3118, BgL_castz00_bglt BgL_nodez00_3119)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 364 */
			{
				BgL_castz00_bglt BgL_nodez00_1791;

				BgL_nodez00_1791 = BgL_nodez00_3119;
				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1791))->BgL_argz00));
				return BgL_nodez00_1791;
			}
		}
	}



/* &patch!-extern1968 */
	BgL_externz00_bglt BGl_z62patchz12zd2extern1968za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3120, BgL_externz00_bglt BgL_nodez00_3121)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 356 */
			{
				BgL_externz00_bglt BgL_nodez00_1785;

				BgL_nodez00_1785 = BgL_nodez00_3121;
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1785))->BgL_exprza2za2));
				return BgL_nodez00_1785;
			}
		}
	}



/* &patch!-funcall1966 */
	BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall1966za2zzcfa_specializa7eza7(obj_t BgL_envz00_3122,
		BgL_funcallz00_bglt BgL_nodez00_3123)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 347 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1778;

				BgL_nodez00_1778 = BgL_nodez00_3123;
				{
					BgL_nodez00_bglt BgL_auxz00_4044;

					{	/* Cfa/specialize.scm 349 */
						BgL_nodez00_bglt BgL_arg2222z00_1782;

						BgL_arg2222z00_1782 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1778))->BgL_funz00);
						BgL_auxz00_4044 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2222z00_1782));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1778))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4044), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1778))->BgL_argsz00));
				return BgL_nodez00_1778;
			}
		}
	}



/* &patch!-app-ly1963 */
	BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly1963z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3124, BgL_appzd2lyzd2_bglt BgL_nodez00_3125)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 338 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1771;

				BgL_nodez00_1771 = BgL_nodez00_3125;
				{
					BgL_nodez00_bglt BgL_auxz00_4051;

					{	/* Cfa/specialize.scm 340 */
						BgL_nodez00_bglt BgL_arg2220z00_1775;

						BgL_arg2220z00_1775 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1771))->BgL_funz00);
						BgL_auxz00_4051 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2220z00_1775));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1771))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4051), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4056;

					{	/* Cfa/specialize.scm 341 */
						BgL_nodez00_bglt BgL_arg2221z00_1776;

						BgL_arg2221z00_1776 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1771))->BgL_argz00);
						BgL_auxz00_4056 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2221z00_1776));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1771))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4056), BUNSPEC);
				}
				return BgL_nodez00_1771;
			}
		}
	}



/* &patch!-sequence1961 */
	BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence1961za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3126, BgL_sequencez00_bglt BgL_nodez00_3127)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 327 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1763;

				BgL_nodez00_1763 = BgL_nodez00_3127;
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1763))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 330 */
					bool_t BgL_testz00_4063;

					{	/* Cfa/specialize.scm 330 */
						BgL_typez00_bglt BgL_arg2219z00_1769;

						BgL_arg2219z00_1769 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1763)))->BgL_typez00);
						BgL_testz00_4063 =
							(
							((obj_t) BgL_arg2219z00_1769) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4063)
						{	/* Cfa/specialize.scm 330 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1763)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1763)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1763))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 330 */
							BFALSE;
						}
				}
				return BgL_nodez00_1763;
			}
		}
	}



/* &patch!-closure1959 */
	obj_t BGl_z62patchz12zd2closure1959za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3128, BgL_closurez00_bglt BgL_nodez00_3129)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 321 */
			{
				BgL_closurez00_bglt BgL_nodez00_1758;

				BgL_nodez00_1758 = BgL_nodez00_3129;
				{	/* Cfa/specialize.scm 322 */
					obj_t BgL_arg2216z00_2983;

					BgL_arg2216z00_2983 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1758));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2411z00zzcfa_specializa7eza7,
						BGl_string2432z00zzcfa_specializa7eza7, BgL_arg2216z00_2983);
				}
			}
		}
	}



/* &patch!-var1957 */
	BgL_varz00_bglt BGl_z62patchz12zd2var1957za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3130, BgL_varz00_bglt BgL_nodez00_3131)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 315 */
			return BgL_nodez00_3131;
		}
	}



/* &patch!-kwote1955 */
	BgL_kwotez00_bglt BGl_z62patchz12zd2kwote1955za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3132, BgL_kwotez00_bglt BgL_nodez00_3133)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 309 */
			return BgL_nodez00_3133;
		}
	}



/* &patch!-atom1953 */
	BgL_atomz00_bglt BGl_z62patchz12zd2atom1953za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3134, BgL_atomz00_bglt BgL_nodez00_3135)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 303 */
			return BgL_nodez00_3135;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 303061774),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 39783537),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 222352192),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2433z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
