/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol2640z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2642z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2594z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza31316ze3z83zz__evaluatez00(obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2603z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2606z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2608z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2610z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2612z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2614z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2616z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluatez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static obj_t BGl_symbol2620z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2622z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2626z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2628z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t BGl_symbol2630z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2632z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2634z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2636z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2638z00zz__evaluatez00 = BUNSPEC;
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2600z00zz__evaluatez00,
		BgL_bgl_string2600za700za7za7_2645za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2601z00zz__evaluatez00,
		BgL_bgl_string2601za700za7za7_2646za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2602z00zz__evaluatez00,
		BgL_bgl_string2602za700za7za7_2647za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2604z00zz__evaluatez00,
		BgL_bgl_string2604za700za7za7_2648za7, " ", 1);
	      DEFINE_STRING(BGl_string2605z00zz__evaluatez00,
		BgL_bgl_string2605za700za7za7_2649za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2607z00zz__evaluatez00,
		BgL_bgl_string2607za700za7za7_2650za7, "module", 6);
	      DEFINE_STRING(BGl_string2609z00zz__evaluatez00,
		BgL_bgl_string2609za700za7za7_2651za7, "@", 1);
	      DEFINE_STRING(BGl_string2611z00zz__evaluatez00,
		BgL_bgl_string2611za700za7za7_2652za7, "->", 2);
	      DEFINE_STRING(BGl_string2613z00zz__evaluatez00,
		BgL_bgl_string2613za700za7za7_2653za7, "trap", 4);
	      DEFINE_STRING(BGl_string2615z00zz__evaluatez00,
		BgL_bgl_string2615za700za7za7_2654za7, "quote", 5);
	      DEFINE_STRING(BGl_string2617z00zz__evaluatez00,
		BgL_bgl_string2617za700za7za7_2655za7, "if", 2);
	      DEFINE_STRING(BGl_string2619z00zz__evaluatez00,
		BgL_bgl_string2619za700za7za7_2656za7, "or", 2);
	      DEFINE_STRING(BGl_string2621z00zz__evaluatez00,
		BgL_bgl_string2621za700za7za7_2657za7, "and", 3);
	      DEFINE_STRING(BGl_string2623z00zz__evaluatez00,
		BgL_bgl_string2623za700za7za7_2658za7, "begin", 5);
	      DEFINE_STRING(BGl_string2625z00zz__evaluatez00,
		BgL_bgl_string2625za700za7za7_2659za7, "let", 3);
	      DEFINE_STRING(BGl_string2627z00zz__evaluatez00,
		BgL_bgl_string2627za700za7za7_2660za7, "let*", 4);
	      DEFINE_STRING(BGl_string2629z00zz__evaluatez00,
		BgL_bgl_string2629za700za7za7_2661za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2631z00zz__evaluatez00,
		BgL_bgl_string2631za700za7za7_2662za7, "set!", 4);
	      DEFINE_STRING(BGl_string2633z00zz__evaluatez00,
		BgL_bgl_string2633za700za7za7_2663za7, "define", 6);
	      DEFINE_STRING(BGl_string2635z00zz__evaluatez00,
		BgL_bgl_string2635za700za7za7_2664za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2637z00zz__evaluatez00,
		BgL_bgl_string2637za700za7za7_2665za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2639z00zz__evaluatez00,
		BgL_bgl_string2639za700za7za7_2666za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2641z00zz__evaluatez00,
		BgL_bgl_string2641za700za7za7_2667za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2643z00zz__evaluatez00,
		BgL_bgl_string2643za700za7za7_2668za7, "\\@", 2);
	      DEFINE_STRING(BGl_string2644z00zz__evaluatez00,
		BgL_bgl_string2644za700za7za7_2669za7, "__evaluate", 10);
	      DEFINE_STRING(BGl_string2593z00zz__evaluatez00,
		BgL_bgl_string2593za700za7za7_2670za7, "", 0);
	      DEFINE_STRING(BGl_string2595z00zz__evaluatez00,
		BgL_bgl_string2595za700za7za7_2671za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2596z00zz__evaluatez00,
		BgL_bgl_string2596za700za7za7_2672za7, "eval", 4);
	      DEFINE_STRING(BGl_string2597z00zz__evaluatez00,
		BgL_bgl_string2597za700za7za7_2673za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2598z00zz__evaluatez00,
		BgL_bgl_string2598za700za7za7_2674za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2599z00zz__evaluatez00,
		BgL_bgl_string2599za700za7za7_2675za7, "Static type not a class", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2676z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2677z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72678za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4022, char *BgL_fromz00_4023)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2594z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2595z00zz__evaluatez00);
			BGl_symbol2603z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2604z00zz__evaluatez00);
			BGl_symbol2606z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2607z00zz__evaluatez00);
			BGl_symbol2608z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2609z00zz__evaluatez00);
			BGl_symbol2610z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2611z00zz__evaluatez00);
			BGl_symbol2612z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2613z00zz__evaluatez00);
			BGl_symbol2614z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2615z00zz__evaluatez00);
			BGl_symbol2616z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2617z00zz__evaluatez00);
			BGl_symbol2618z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluatez00);
			BGl_symbol2620z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2621z00zz__evaluatez00);
			BGl_symbol2622z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2623z00zz__evaluatez00);
			BGl_symbol2624z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluatez00);
			BGl_symbol2626z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2627z00zz__evaluatez00);
			BGl_symbol2628z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2629z00zz__evaluatez00);
			BGl_symbol2630z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2631z00zz__evaluatez00);
			BGl_symbol2632z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2633z00zz__evaluatez00);
			BGl_symbol2634z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2635z00zz__evaluatez00);
			BGl_symbol2636z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2637z00zz__evaluatez00);
			BGl_symbol2638z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2639z00zz__evaluatez00);
			BGl_symbol2640z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2641z00zz__evaluatez00);
			return (BGl_symbol2642z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2643z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_667;

				BgL_headz00_667 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2144;
					obj_t BgL_tailz00_2145;

					BgL_prevz00_2144 = BgL_headz00_667;
					BgL_tailz00_2145 = BgL_l1z00_1;
				BgL_loopz00_2143:
					if (PAIRP(BgL_tailz00_2145))
						{
							obj_t BgL_newzd2prevzd2_2151;

							BgL_newzd2prevzd2_2151 =
								MAKE_PAIR(CAR(BgL_tailz00_2145), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2144, BgL_newzd2prevzd2_2151);
							{
								obj_t BgL_tailz00_4057;
								obj_t BgL_prevz00_4056;

								BgL_prevz00_4056 = BgL_newzd2prevzd2_2151;
								BgL_tailz00_4057 = CDR(BgL_tailz00_2145);
								BgL_tailz00_2145 = BgL_tailz00_4057;
								BgL_prevz00_2144 = BgL_prevz00_4056;
								goto BgL_loopz00_2143;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_667);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_stringz00_675;

				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2312z00_2163;

					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg2239z00_2162;

						BgL_arg2239z00_2162 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2312z00_2163 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2239z00_2162);
					}
					BgL_stringz00_675 = BgL_res2312z00_2163;
				}
				{	/* Eval/evaluate.scm 72 */
					long BgL_lenz00_676;

					BgL_lenz00_676 = STRING_LENGTH(BgL_stringz00_675);
					{	/* Eval/evaluate.scm 73 */

						{
							long BgL_walkerz00_678;

							BgL_walkerz00_678 = ((long) 0);
						BgL_zc3anonymousza31252ze3z83_679:
							if ((BgL_walkerz00_678 == BgL_lenz00_676))
								{	/* Eval/evaluate.scm 76 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 78 */
									bool_t BgL_testz00_4066;

									if (
										(STRING_REF(BgL_stringz00_675,
												BgL_walkerz00_678) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 78 */
											if ((BgL_walkerz00_678 < (BgL_lenz00_676 - ((long) 1))))
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4066 =
														(STRING_REF(BgL_stringz00_675,
															(BgL_walkerz00_678 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4066 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 78 */
											BgL_testz00_4066 = ((bool_t) 0);
										}
									if (BgL_testz00_4066)
										{	/* Eval/evaluate.scm 81 */
											obj_t BgL_arg1255z00_682;
											obj_t BgL_arg1257z00_683;

											{	/* Eval/evaluate.scm 81 */
												obj_t BgL_arg1258z00_684;

												BgL_arg1258z00_684 =
													c_substring(BgL_stringz00_675, ((long) 0),
													BgL_walkerz00_678);
												BgL_arg1255z00_682 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1258z00_684));
											}
											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1259z00_685;

												{	/* Eval/evaluate.scm 82 */
													long BgL_arg1260z00_686;

													BgL_arg1260z00_686 = (BgL_walkerz00_678 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_689;

														BgL_endz00_689 = STRING_LENGTH(BgL_stringz00_675);
														{	/* Ieee/string.scm 179 */

															BgL_arg1259z00_685 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_675, BgL_arg1260z00_686,
																BgL_endz00_689);
												}}}
												BgL_arg1257z00_683 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1259z00_685));
											}
											return MAKE_PAIR(BgL_arg1255z00_682, BgL_arg1257z00_683);
										}
									else
										{
											long BgL_walkerz00_4085;

											BgL_walkerz00_4085 = (BgL_walkerz00_678 + ((long) 1));
											BgL_walkerz00_678 = BgL_walkerz00_4085;
											goto BgL_zc3anonymousza31252ze3z83_679;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 90 */
				obj_t BgL_sz00_698;

				BgL_sz00_698 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 91 */
					obj_t BgL_bpz00_699;

					BgL_bpz00_699 = VECTOR_REF(BgL_sz00_698, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 92 */
						obj_t BgL_rz00_700;

						BgL_rz00_700 =
							make_vector(CINT(BgL_bpz00_699),
							BGl_string2593z00zz__evaluatez00);
						{
							long BgL_iz00_2220;

							BgL_iz00_2220 = ((long) 0);
						BgL_recz00_2219:
							if ((BgL_iz00_2220 < (long) CINT(BgL_bpz00_699)))
								{	/* Eval/evaluate.scm 93 */
									VECTOR_SET(BgL_rz00_700,
										(int) (BgL_iz00_2220),
										VECTOR_REF(BgL_sz00_698, (int) (BgL_iz00_2220)));
									{
										long BgL_iz00_4099;

										BgL_iz00_4099 = (BgL_iz00_2220 + ((long) 1));
										BgL_iz00_2220 = BgL_iz00_4099;
										goto BgL_recz00_2219;
									}
								}
							else
								{	/* Eval/evaluate.scm 93 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_700;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_3972)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			{	/* Eval/evaluate.scm 103 */
				obj_t BgL_sz00_708;

				BgL_sz00_708 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 104 */
					obj_t BgL_bpz00_709;

					BgL_bpz00_709 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_2249;

						{	/* Eval/evaluate.scm 105 */
							bool_t BgL_auxz00_4105;

							BgL_iz00_2249 = ((long) 0);
						BgL_recz00_2248:
							if ((BgL_iz00_2249 < (long) CINT(BgL_bpz00_709)))
								{	/* Eval/evaluate.scm 105 */
									VECTOR_SET(BgL_sz00_708,
										(int) (BgL_iz00_2249),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_2249)));
									{
										long BgL_iz00_4113;

										BgL_iz00_4113 = (BgL_iz00_2249 + ((long) 1));
										BgL_iz00_2249 = BgL_iz00_4113;
										goto BgL_recz00_2248;
									}
								}
							else
								{	/* Eval/evaluate.scm 105 */
									BgL_auxz00_4105 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4105);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_3973, obj_t BgL_vz00_3974)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_3974);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			{	/* Eval/evaluate.scm 114 */
				BgL_ev_exprz00_bglt BgL_astz00_717;

				{	/* Eval/evaluate.scm 114 */
					obj_t BgL_arg1317z00_733;

					BgL_arg1317z00_733 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2594z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_717 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1317z00_733));
				}
				{	/* Eval/evaluate.scm 115 */
					bool_t BgL_testz00_4120;

					{	/* Eval/evaluate.scm 115 */
						int BgL_arg1312z00_721;

						BgL_arg1312z00_721 = bgl_debug();
						BgL_testz00_4120 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1312z00_721),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4120)
						{	/* Eval/evaluate.scm 115 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_717), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 115 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_717);
				{	/* Eval/evaluate.scm 117 */
					int BgL_nz00_722;

					BgL_nz00_722 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_717);
					{	/* Eval/evaluate.scm 118 */
						obj_t BgL_fz00_723;

						BgL_fz00_723 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_717);
						{	/* Eval/evaluate.scm 119 */
							obj_t BgL_sz00_724;

							BgL_sz00_724 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 120 */
								obj_t BgL_bpz00_725;

								BgL_bpz00_725 = VECTOR_REF(BgL_sz00_724, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 121 */
									obj_t BgL_val1063z00_726;

									BgL_val1063z00_726 =
										BGl_zc3exitza31316ze3z83zz__evaluatez00(BgL_sz00_724,
										BgL_fz00_723);
									VECTOR_SET(BgL_sz00_724, (int) (((long) 0)), BgL_bpz00_725);
									if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
											(BgL_val1063z00_726)))
										{	/* Eval/evaluate.scm 123 */
											return
												BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
												(BgL_val1063z00_726), CDR(BgL_val1063z00_726));
										}
									else
										{	/* Eval/evaluate.scm 123 */
											return BgL_val1063z00_726;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* <exit:1316> */
	obj_t BGl_zc3exitza31316ze3z83zz__evaluatez00(obj_t BgL_sz00_4001,
		obj_t BgL_fz00_4000)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 123 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1064z00_731;

			if (SET_EXIT(BgL_an_exit1064z00_731))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1064z00_731 = (void *) jmpbuf;
					{	/* Eval/evaluate.scm 123 */

						PUSH_EXIT(BgL_an_exit1064z00_731, ((long) 0));
						{	/* Eval/evaluate.scm 122 */
							obj_t BgL_val1065z00_732;

							BgL_val1065z00_732 =
								PROCEDURE_ENTRY(BgL_fz00_4000) (BgL_fz00_4000, BgL_sz00_4001,
								BEOA);
							POP_EXIT();
							return BgL_val1065z00_732;
						}
					}
				}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_3975,
		obj_t BgL_sexpz00_3976, obj_t BgL_envz00_3977, obj_t BgL_locz00_3978)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_3976, BgL_envz00_3977,
				BgL_locz00_3978);
		}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 128 */
			{	/* Eval/evaluate.scm 129 */
				obj_t BgL__ortest_1066z00_2274;

				BgL__ortest_1066z00_2274 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1066z00_2274))
					{	/* Eval/evaluate.scm 129 */
						return BgL__ortest_1066z00_2274;
					}
				else
					{	/* Eval/evaluate.scm 129 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{
				obj_t BgL_lz00_738;

				BgL_lz00_738 = BgL_localsz00_17;
			BgL_zc3anonymousza31318ze3z83_739:
				if (NULLP(BgL_lz00_738))
					{	/* Eval/evaluate.scm 150 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 152 */
						obj_t BgL_rvz00_741;

						BgL_rvz00_741 = CAR(BgL_lz00_738);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_741)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 154 */
								return BgL_rvz00_741;
							}
						else
							{
								obj_t BgL_lz00_4161;

								BgL_lz00_4161 = CDR(BgL_lz00_738);
								BgL_lz00_738 = BgL_lz00_4161;
								goto BgL_zc3anonymousza31318ze3z83_739;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 161 */
			{	/* Eval/evaluate.scm 162 */
				obj_t BgL_locz00_747;

				{	/* Eval/evaluate.scm 162 */
					obj_t BgL__ortest_1066z00_2283;

					BgL__ortest_1066z00_2283 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1066z00_2283))
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_747 = BgL__ortest_1066z00_2283;
						}
					else
						{	/* Eval/evaluate.scm 162 */
							BgL_locz00_747 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_751;
					obj_t BgL_rz00_752;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4168;

							{	/* Eval/evaluate.scm 165 */
								BgL_ev_littz00_bglt BgL_new1071z00_763;

								{	/* Eval/evaluate.scm 165 */
									BgL_ev_littz00_bglt BgL_new1070z00_764;

									BgL_new1070z00_764 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 165 */
										long BgL_arg1333z00_765;

										{	/* Eval/evaluate.scm 165 */
											long BgL_res2333z00_2287;

											{	/* Eval/evaluate.scm 165 */
												obj_t BgL_classz00_2284;

												BgL_classz00_2284 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 165 */
													obj_t BgL_vectorz00_2285;
													int BgL_kz00_2286;

													BgL_vectorz00_2285 = BgL_classz00_2284;
													BgL_kz00_2286 = (int) (((long) 1));
													BgL_res2333z00_2287 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2285,
															BgL_kz00_2286));
											}}
											BgL_arg1333z00_765 = BgL_res2333z00_2287;
										}
										{	/* Eval/evaluate.scm 165 */
											BgL_objectz00_bglt BgL_objz00_2288;

											BgL_objz00_2288 =
												((BgL_objectz00_bglt) BgL_new1070z00_764);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2288,
												BgL_arg1333z00_765);
									}}
									{	/* Eval/evaluate.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_4175;

										BgL_auxz00_4175 = ((BgL_objectz00_bglt) BgL_new1070z00_764);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4175, BFALSE);
									}
									BgL_new1071z00_763 = BgL_new1070z00_764;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1071z00_763))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4168 = BgL_new1071z00_763;
							}
							return ((obj_t) BgL_auxz00_4168);
						}
					else
						{	/* Eval/evaluate.scm 163 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 163 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1326z00_759;

											BgL_arg1326z00_759 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 163 */
												obj_t BgL_arg1334z00_2312;

												{	/* Eval/evaluate.scm 163 */
													obj_t BgL__ortest_1066z00_2315;

													BgL__ortest_1066z00_2315 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1326z00_759);
													if (CBOOL(BgL__ortest_1066z00_2315))
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1334z00_2312 = BgL__ortest_1066z00_2315;
														}
													else
														{	/* Eval/evaluate.scm 163 */
															BgL_arg1334z00_2312 = BgL_locz00_747;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1326z00_759,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1334z00_2312, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1330z00_760;
											obj_t BgL_arg1331z00_761;

											BgL_arg1330z00_760 = CAR(BgL_lz00_18);
											BgL_arg1331z00_761 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4192;

												BgL_e1z00_751 = BgL_arg1330z00_760;
												BgL_rz00_752 = BgL_arg1331z00_761;
												{	/* Eval/evaluate.scm 170 */
													BgL_ev_prog2z00_bglt BgL_new1073z00_767;

													{	/* Eval/evaluate.scm 170 */
														BgL_ev_prog2z00_bglt BgL_new1072z00_769;

														BgL_new1072z00_769 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 170 */
															long BgL_arg1336z00_770;

															{	/* Eval/evaluate.scm 170 */
																long BgL_res2334z00_2297;

																{	/* Eval/evaluate.scm 170 */
																	obj_t BgL_classz00_2294;

																	BgL_classz00_2294 =
																		BGl_ev_prog2z00zz__evaluate_typesz00;
																	{	/* Eval/evaluate.scm 170 */
																		obj_t BgL_vectorz00_2295;
																		int BgL_kz00_2296;

																		BgL_vectorz00_2295 = BgL_classz00_2294;
																		BgL_kz00_2296 = (int) (((long) 1));
																		BgL_res2334z00_2297 =
																			(long) CINT(VECTOR_REF(BgL_vectorz00_2295,
																				BgL_kz00_2296));
																}}
																BgL_arg1336z00_770 = BgL_res2334z00_2297;
															}
															{	/* Eval/evaluate.scm 170 */
																BgL_objectz00_bglt BgL_objz00_2298;

																BgL_objz00_2298 =
																	((BgL_objectz00_bglt) BgL_new1072z00_769);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2298,
																	BgL_arg1336z00_770);
														}}
														{	/* Eval/evaluate.scm 170 */
															BgL_objectz00_bglt BgL_auxz00_4199;

															BgL_auxz00_4199 =
																((BgL_objectz00_bglt) BgL_new1072z00_769);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4199, BFALSE);
														}
														BgL_new1073z00_767 = BgL_new1072z00_769;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4202;

														{	/* Eval/evaluate.scm 171 */
															obj_t BgL_arg1335z00_768;

															{	/* Eval/evaluate.scm 171 */
																obj_t BgL__ortest_1066z00_2302;

																BgL__ortest_1066z00_2302 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_751);
																if (CBOOL(BgL__ortest_1066z00_2302))
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1335z00_768 =
																			BgL__ortest_1066z00_2302;
																	}
																else
																	{	/* Eval/evaluate.scm 171 */
																		BgL_arg1335z00_768 = BgL_locz00_747;
																	}
															}
															BgL_auxz00_4202 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_751,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1335z00_768,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1073z00_767))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4202), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1073z00_767))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_752,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_747, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4192 = BgL_new1073z00_767;
												}
												return ((obj_t) BgL_auxz00_4192);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 163 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_747,
										BGl_string2596z00zz__evaluatez00,
										BGl_string2597z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_25,
		obj_t BgL_localsz00_26, obj_t BgL_globalsz00_27, obj_t BgL_tailzf3zf3_28,
		obj_t BgL_wherez00_29, obj_t BgL_locz00_30, bool_t BgL_topzf3zf3_31)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 179 */
			{	/* Eval/evaluate.scm 180 */
				obj_t BgL_lz00_771;

				BgL_lz00_771 = CDR(BgL_ez00_25);
				{	/* Eval/evaluate.scm 180 */
					obj_t BgL_vz00_772;

					BgL_vz00_772 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_771),
						BgL_localsz00_26);
					{	/* Eval/evaluate.scm 181 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_772,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 183 */
								BgL_ev_varz00_bglt BgL_i1074z00_774;

								BgL_i1074z00_774 = ((BgL_ev_varz00_bglt) BgL_vz00_772);
								{	/* Eval/evaluate.scm 184 */
									obj_t BgL_g1075z00_775;
									obj_t BgL_g1076z00_776;

									BgL_g1075z00_775 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1074z00_774))->
											BgL_typez00));
									BgL_g1076z00_776 = CDR(BgL_lz00_771);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_778;
										obj_t BgL_klassz00_779;
										obj_t BgL_fieldsz00_780;

										BgL_nodez00_778 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_772));
										BgL_klassz00_779 = BgL_g1075z00_775;
										BgL_fieldsz00_780 = BgL_g1076z00_776;
									BgL_zc3anonymousza31338ze3z83_781:
										if (NULLP(BgL_fieldsz00_780))
											{	/* Eval/evaluate.scm 188 */
												return ((obj_t) BgL_nodez00_778);
											}
										else
											{	/* Eval/evaluate.scm 188 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_779))
													{	/* Eval/evaluate.scm 191 */
														obj_t BgL_fieldz00_784;

														BgL_fieldz00_784 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_779, CAR(BgL_fieldsz00_780));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_784))
															{	/* Eval/evaluate.scm 193 */
																BgL_ev_appz00_bglt BgL_nodez00_786;

																BgL_nodez00_786 =
																	BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																	(BgL_fieldz00_784, BgL_nodez00_778,
																	BgL_locz00_30, BgL_tailzf3zf3_28);
																{	/* Eval/evaluate.scm 196 */
																	obj_t BgL_arg1342z00_787;
																	obj_t BgL_arg1344z00_788;

																	BgL_arg1342z00_787 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_784);
																	BgL_arg1344z00_788 = CDR(BgL_fieldsz00_780);
																	{
																		obj_t BgL_fieldsz00_4238;
																		obj_t BgL_klassz00_4237;
																		BgL_ev_exprz00_bglt BgL_nodez00_4235;

																		BgL_nodez00_4235 =
																			((BgL_ev_exprz00_bglt) BgL_nodez00_786);
																		BgL_klassz00_4237 = BgL_arg1342z00_787;
																		BgL_fieldsz00_4238 = BgL_arg1344z00_788;
																		BgL_fieldsz00_780 = BgL_fieldsz00_4238;
																		BgL_klassz00_779 = BgL_klassz00_4237;
																		BgL_nodez00_778 = BgL_nodez00_4235;
																		goto BgL_zc3anonymousza31338ze3z83_781;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 198 */
																obj_t BgL_arg1345z00_789;
																obj_t BgL_arg1346z00_790;

																BgL_arg1345z00_789 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1074z00_774))->BgL_typez00);
																{	/* Eval/evaluate.scm 199 */
																	obj_t BgL_arg1347z00_791;
																	obj_t BgL_arg1348z00_792;

																	BgL_arg1347z00_791 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1074z00_774))->BgL_typez00);
																	BgL_arg1348z00_792 = CAR(BgL_fieldsz00_780);
																	{	/* Eval/evaluate.scm 199 */
																		obj_t BgL_list1349z00_793;

																		{	/* Eval/evaluate.scm 199 */
																			obj_t BgL_arg1350z00_794;

																			BgL_arg1350z00_794 =
																				MAKE_PAIR(BgL_arg1348z00_792, BNIL);
																			BgL_list1349z00_793 =
																				MAKE_PAIR(BgL_arg1347z00_791,
																				BgL_arg1350z00_794);
																		}
																		BgL_arg1346z00_790 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2598z00zz__evaluatez00,
																			BgL_list1349z00_793);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_30, BgL_arg1345z00_789,
																	BgL_arg1346z00_790, BgL_ez00_25);
															}
													}
												else
													{	/* Eval/evaluate.scm 202 */
														obj_t BgL_arg1352z00_796;

														{	/* Eval/evaluate.scm 202 */
															obj_t BgL__ortest_1077z00_797;

															BgL__ortest_1077z00_797 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1074z00_774))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1077z00_797))
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1352z00_796 = BgL__ortest_1077z00_797;
																}
															else
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1352z00_796 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1074z00_774))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_30, BgL_arg1352z00_796,
															BGl_string2599z00zz__evaluatez00, BgL_ez00_25);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 204 */
								obj_t BgL_arg1354z00_800;

								{	/* Eval/evaluate.scm 204 */
									obj_t BgL_pairz00_2326;

									BgL_pairz00_2326 = BgL_ez00_25;
									BgL_arg1354z00_800 = CAR(CDR(BgL_pairz00_2326));
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_30,
									BgL_arg1354z00_800, BGl_string2600z00zz__evaluatez00,
									BgL_ez00_25);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_32,
		obj_t BgL_e2z00_33, obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, obj_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39, bool_t BgL_topzf3zf3_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 209 */
			{	/* Eval/evaluate.scm 210 */
				obj_t BgL_vz00_802;

				BgL_vz00_802 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_32), BgL_localsz00_35);
				{	/* Eval/evaluate.scm 210 */
					obj_t BgL_e2z00_803;

					BgL_e2z00_803 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_33, BgL_localsz00_35,
						BgL_globalsz00_36, BFALSE, BgL_wherez00_38, BgL_locz00_39,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 211 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_802,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 213 */
								BgL_ev_varz00_bglt BgL_i1078z00_805;

								BgL_i1078z00_805 = ((BgL_ev_varz00_bglt) BgL_vz00_802);
								{	/* Eval/evaluate.scm 214 */
									obj_t BgL_g1079z00_806;
									obj_t BgL_g1080z00_807;

									BgL_g1079z00_806 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1078z00_805))->
											BgL_typez00));
									BgL_g1080z00_807 = CDR(BgL_lz00_32);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_809;
										obj_t BgL_klassz00_810;
										obj_t BgL_fieldsz00_811;

										BgL_nodez00_809 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_802));
										BgL_klassz00_810 = BgL_g1079z00_806;
										BgL_fieldsz00_811 = BgL_g1080z00_807;
									BgL_zc3anonymousza31357ze3z83_812:
										if (NULLP(BgL_fieldsz00_811))
											{	/* Eval/evaluate.scm 218 */
												return ((obj_t) BgL_nodez00_809);
											}
										else
											{	/* Eval/evaluate.scm 218 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_810))
													{	/* Eval/evaluate.scm 221 */
														obj_t BgL_fieldz00_815;

														BgL_fieldz00_815 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_810, CAR(BgL_fieldsz00_811));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_815))
															{	/* Eval/evaluate.scm 222 */
																if (NULLP(CDR(BgL_fieldsz00_811)))
																	{	/* Eval/evaluate.scm 223 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_815))
																			{	/* Eval/evaluate.scm 226 */
																				obj_t BgL_arg1363z00_819;

																				{	/* Eval/evaluate.scm 226 */
																					obj_t BgL_list1364z00_820;

																					{	/* Eval/evaluate.scm 226 */
																						obj_t BgL_arg1365z00_821;

																						BgL_arg1365z00_821 =
																							MAKE_PAIR(BgL_e2z00_803, BNIL);
																						BgL_list1364z00_820 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_809),
																							BgL_arg1365z00_821);
																					}
																					BgL_arg1363z00_819 =
																						BgL_list1364z00_820;
																				}
																				return
																					((obj_t)
																					BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																					(BgL_fieldz00_815, BgL_arg1363z00_819,
																						BgL_locz00_39, BgL_tailzf3zf3_37));
																			}
																		else
																			{	/* Eval/evaluate.scm 224 */
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_39,
																					CAR(BgL_fieldsz00_811),
																					BGl_string2601z00zz__evaluatez00,
																					BgL_ez00_34);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 230 */
																		BgL_ev_appz00_bglt BgL_nodez00_823;

																		BgL_nodez00_823 =
																			BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																			(BgL_fieldz00_815, BgL_nodez00_809,
																			BgL_locz00_39, BgL_tailzf3zf3_37);
																		{	/* Eval/evaluate.scm 233 */
																			obj_t BgL_arg1367z00_824;
																			obj_t BgL_arg1368z00_825;

																			BgL_arg1367z00_824 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_815);
																			BgL_arg1368z00_825 =
																				CDR(BgL_fieldsz00_811);
																			{
																				obj_t BgL_fieldsz00_4292;
																				obj_t BgL_klassz00_4291;
																				BgL_ev_exprz00_bglt BgL_nodez00_4289;

																				BgL_nodez00_4289 =
																					((BgL_ev_exprz00_bglt)
																					BgL_nodez00_823);
																				BgL_klassz00_4291 = BgL_arg1367z00_824;
																				BgL_fieldsz00_4292 = BgL_arg1368z00_825;
																				BgL_fieldsz00_811 = BgL_fieldsz00_4292;
																				BgL_klassz00_810 = BgL_klassz00_4291;
																				BgL_nodez00_809 = BgL_nodez00_4289;
																				goto BgL_zc3anonymousza31357ze3z83_812;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 235 */
																obj_t BgL_arg1372z00_827;
																obj_t BgL_arg1373z00_828;

																BgL_arg1372z00_827 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1078z00_805))->BgL_typez00);
																{	/* Eval/evaluate.scm 236 */
																	obj_t BgL_arg1374z00_829;
																	obj_t BgL_arg1375z00_830;

																	BgL_arg1374z00_829 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1078z00_805))->BgL_typez00);
																	BgL_arg1375z00_830 = CAR(BgL_fieldsz00_811);
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_list1376z00_831;

																		{	/* Eval/evaluate.scm 236 */
																			obj_t BgL_arg1379z00_832;

																			BgL_arg1379z00_832 =
																				MAKE_PAIR(BgL_arg1375z00_830, BNIL);
																			BgL_list1376z00_831 =
																				MAKE_PAIR(BgL_arg1374z00_829,
																				BgL_arg1379z00_832);
																		}
																		BgL_arg1373z00_828 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2598z00zz__evaluatez00,
																			BgL_list1376z00_831);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_39, BgL_arg1372z00_827,
																	BgL_arg1373z00_828, BgL_ez00_34);
															}
													}
												else
													{	/* Eval/evaluate.scm 240 */
														obj_t BgL_arg1381z00_834;

														{	/* Eval/evaluate.scm 240 */
															obj_t BgL__ortest_1081z00_835;

															BgL__ortest_1081z00_835 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1078z00_805))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1081z00_835))
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1381z00_834 = BgL__ortest_1081z00_835;
																}
															else
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1381z00_834 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1078z00_805))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_39, BgL_arg1381z00_834,
															BGl_string2599z00zz__evaluatez00, BgL_ez00_34);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 212 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_39,
									CAR(BgL_lz00_32), BGl_string2600z00zz__evaluatez00,
									BgL_ez00_34);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_41, BgL_ev_exprz00_bglt BgL_argz00_42, obj_t BgL_locz00_43,
		obj_t BgL_tailzf3zf3_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 246 */
			{	/* Eval/evaluate.scm 247 */
				obj_t BgL_getz00_840;

				BgL_getz00_840 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_41);
				{	/* Eval/evaluate.scm 248 */
					BgL_ev_appz00_bglt BgL_new1083z00_841;

					{	/* Eval/evaluate.scm 248 */
						BgL_ev_appz00_bglt BgL_new1082z00_846;

						BgL_new1082z00_846 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 248 */
							long BgL_arg1387z00_847;

							{	/* Eval/evaluate.scm 248 */
								long BgL_res2342z00_2347;

								{	/* Eval/evaluate.scm 248 */
									obj_t BgL_classz00_2344;

									BgL_classz00_2344 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 248 */
										obj_t BgL_vectorz00_2345;
										int BgL_kz00_2346;

										BgL_vectorz00_2345 = BgL_classz00_2344;
										BgL_kz00_2346 = (int) (((long) 1));
										BgL_res2342z00_2347 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2345,
												BgL_kz00_2346));
								}}
								BgL_arg1387z00_847 = BgL_res2342z00_2347;
							}
							{	/* Eval/evaluate.scm 248 */
								BgL_objectz00_bglt BgL_objz00_2348;

								BgL_objz00_2348 = ((BgL_objectz00_bglt) BgL_new1082z00_846);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2348, BgL_arg1387z00_847);
						}}
						{	/* Eval/evaluate.scm 248 */
							BgL_objectz00_bglt BgL_auxz00_4316;

							BgL_auxz00_4316 = ((BgL_objectz00_bglt) BgL_new1082z00_846);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4316, BFALSE);
						}
						BgL_new1083z00_841 = BgL_new1082z00_846;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_841))->BgL_locz00) =
						((obj_t) BgL_locz00_43), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4320;

						{	/* Eval/evaluate.scm 250 */
							BgL_ev_littz00_bglt BgL_new1085z00_842;

							{	/* Eval/evaluate.scm 250 */
								BgL_ev_littz00_bglt BgL_new1084z00_843;

								BgL_new1084z00_843 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 250 */
									long BgL_arg1385z00_844;

									{	/* Eval/evaluate.scm 250 */
										long BgL_res2343z00_2353;

										{	/* Eval/evaluate.scm 250 */
											obj_t BgL_classz00_2350;

											BgL_classz00_2350 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 250 */
												obj_t BgL_vectorz00_2351;
												int BgL_kz00_2352;

												BgL_vectorz00_2351 = BgL_classz00_2350;
												BgL_kz00_2352 = (int) (((long) 1));
												BgL_res2343z00_2353 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2351,
														BgL_kz00_2352));
										}}
										BgL_arg1385z00_844 = BgL_res2343z00_2353;
									}
									{	/* Eval/evaluate.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2354;

										BgL_objz00_2354 = ((BgL_objectz00_bglt) BgL_new1084z00_843);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2354,
											BgL_arg1385z00_844);
								}}
								{	/* Eval/evaluate.scm 250 */
									BgL_objectz00_bglt BgL_auxz00_4327;

									BgL_auxz00_4327 = ((BgL_objectz00_bglt) BgL_new1084z00_843);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4327, BFALSE);
								}
								BgL_new1085z00_842 = BgL_new1084z00_843;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1085z00_842))->
									BgL_valuez00) = ((obj_t) BgL_getz00_840), BUNSPEC);
							BgL_auxz00_4320 = ((BgL_ev_exprz00_bglt) BgL_new1085z00_842);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_841))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4320), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4333;

						{	/* Eval/evaluate.scm 251 */
							obj_t BgL_list1386z00_845;

							BgL_list1386z00_845 = MAKE_PAIR(((obj_t) BgL_argz00_42), BNIL);
							BgL_auxz00_4333 = BgL_list1386z00_845;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_841))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4333), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1083z00_841))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_44), BUNSPEC);
					return BgL_new1083z00_841;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_45, obj_t BgL_argsz00_46, obj_t BgL_locz00_47,
		obj_t BgL_tailzf3zf3_48)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 257 */
			{	/* Eval/evaluate.scm 258 */
				obj_t BgL_setz00_848;

				BgL_setz00_848 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_45);
				{	/* Eval/evaluate.scm 259 */
					BgL_ev_appz00_bglt BgL_new1087z00_849;

					{	/* Eval/evaluate.scm 259 */
						BgL_ev_appz00_bglt BgL_new1086z00_853;

						BgL_new1086z00_853 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 259 */
							long BgL_arg1389z00_854;

							{	/* Eval/evaluate.scm 259 */
								long BgL_res2345z00_2361;

								{	/* Eval/evaluate.scm 259 */
									obj_t BgL_classz00_2358;

									BgL_classz00_2358 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate.scm 259 */
										obj_t BgL_vectorz00_2359;
										int BgL_kz00_2360;

										BgL_vectorz00_2359 = BgL_classz00_2358;
										BgL_kz00_2360 = (int) (((long) 1));
										BgL_res2345z00_2361 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2359,
												BgL_kz00_2360));
								}}
								BgL_arg1389z00_854 = BgL_res2345z00_2361;
							}
							{	/* Eval/evaluate.scm 259 */
								BgL_objectz00_bglt BgL_objz00_2362;

								BgL_objz00_2362 = ((BgL_objectz00_bglt) BgL_new1086z00_853);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2362, BgL_arg1389z00_854);
						}}
						{	/* Eval/evaluate.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_4345;

							BgL_auxz00_4345 = ((BgL_objectz00_bglt) BgL_new1086z00_853);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4345, BFALSE);
						}
						BgL_new1087z00_849 = BgL_new1086z00_853;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_849))->BgL_locz00) =
						((obj_t) BgL_locz00_47), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4349;

						{	/* Eval/evaluate.scm 261 */
							BgL_ev_littz00_bglt BgL_new1089z00_850;

							{	/* Eval/evaluate.scm 261 */
								BgL_ev_littz00_bglt BgL_new1088z00_851;

								BgL_new1088z00_851 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 261 */
									long BgL_arg1388z00_852;

									{	/* Eval/evaluate.scm 261 */
										long BgL_res2346z00_2367;

										{	/* Eval/evaluate.scm 261 */
											obj_t BgL_classz00_2364;

											BgL_classz00_2364 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate.scm 261 */
												obj_t BgL_vectorz00_2365;
												int BgL_kz00_2366;

												BgL_vectorz00_2365 = BgL_classz00_2364;
												BgL_kz00_2366 = (int) (((long) 1));
												BgL_res2346z00_2367 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2365,
														BgL_kz00_2366));
										}}
										BgL_arg1388z00_852 = BgL_res2346z00_2367;
									}
									{	/* Eval/evaluate.scm 261 */
										BgL_objectz00_bglt BgL_objz00_2368;

										BgL_objz00_2368 = ((BgL_objectz00_bglt) BgL_new1088z00_851);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2368,
											BgL_arg1388z00_852);
								}}
								{	/* Eval/evaluate.scm 261 */
									BgL_objectz00_bglt BgL_auxz00_4356;

									BgL_auxz00_4356 = ((BgL_objectz00_bglt) BgL_new1088z00_851);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4356, BFALSE);
								}
								BgL_new1089z00_850 = BgL_new1088z00_851;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1089z00_850))->
									BgL_valuez00) = ((obj_t) BgL_setz00_848), BUNSPEC);
							BgL_auxz00_4349 = ((BgL_ev_exprz00_bglt) BgL_new1089z00_850);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_849))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4349), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_849))->BgL_argsz00) =
						((obj_t) BgL_argsz00_46), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1087z00_849))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_48), BUNSPEC);
					return BgL_new1087z00_849;
				}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_49, obj_t BgL_localsz00_50,
		obj_t BgL_globalsz00_51, obj_t BgL_tailzf3zf3_52, obj_t BgL_wherez00_53,
		obj_t BgL_locz00_54, bool_t BgL_topzf3zf3_55)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 268 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_861;
				obj_t BgL_bahz00_863;
				obj_t BgL_lz00_868;
				obj_t BgL_funz00_870;
				obj_t BgL_argsz00_871;
				obj_t BgL_ez00_873;
				obj_t BgL_pz00_877;
				obj_t BgL_tz00_878;
				obj_t BgL_oz00_879;
				obj_t BgL_argsz00_881;
				obj_t BgL_argsz00_883;
				obj_t BgL_bindsz00_887;
				obj_t BgL_bodyz00_888;
				obj_t BgL_bindsz00_890;
				obj_t BgL_bodyz00_891;
				obj_t BgL_bindsz00_893;
				obj_t BgL_bodyz00_894;
				obj_t BgL_lz00_900;
				obj_t BgL_e2z00_901;
				obj_t BgL_vz00_903;
				obj_t BgL_ez00_904;
				obj_t BgL_gvz00_907;
				obj_t BgL_formalsz00_908;
				obj_t BgL_bodyz00_909;
				obj_t BgL_gvz00_911;
				obj_t BgL_gez00_912;
				obj_t BgL_vz00_914;
				obj_t BgL_bodyz00_915;
				obj_t BgL_ez00_917;
				obj_t BgL_bodyz00_918;
				obj_t BgL_hz00_920;
				obj_t BgL_bodyz00_921;
				obj_t BgL_fz00_926;
				obj_t BgL_argsz00_927;

				if (PAIRP(BgL_ez00_49))
					{	/* Eval/evaluate.scm 319 */
						if ((CAR(BgL_ez00_49) == BGl_symbol2606z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 319 */
								BgL_bahz00_863 = CDR(BgL_ez00_49);
								if (BgL_topzf3zf3_55)
									{	/* Eval/evaluate.scm 331 */
										obj_t BgL_arg1948z00_1559;

										{	/* Eval/evaluate.scm 331 */
											obj_t BgL_arg1949z00_1560;

											{	/* Eval/evaluate.scm 331 */
												obj_t BgL_arg1950z00_1561;

												{	/* Eval/evaluate.scm 331 */
													obj_t BgL__ortest_1066z00_2454;

													BgL__ortest_1066z00_2454 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_ez00_49);
													if (CBOOL(BgL__ortest_1066z00_2454))
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1950z00_1561 = BgL__ortest_1066z00_2454;
														}
													else
														{	/* Eval/evaluate.scm 331 */
															BgL_arg1950z00_1561 = BgL_locz00_54;
														}
												}
												BgL_arg1949z00_1560 =
													BGl_evmodulez00zz__evmodulez00(BgL_ez00_49,
													BgL_arg1950z00_1561);
											}
											BgL_arg1948z00_1559 =
												BGl_expandz00zz__expandz00(BgL_arg1949z00_1560);
										}
										{
											bool_t BgL_topzf3zf3_4378;
											obj_t BgL_wherez00_4377;
											obj_t BgL_tailzf3zf3_4376;
											obj_t BgL_ez00_4375;

											BgL_ez00_4375 = BgL_arg1948z00_1559;
											BgL_tailzf3zf3_4376 = BgL_wherez00_53;
											BgL_wherez00_4377 = BFALSE;
											BgL_topzf3zf3_4378 = ((bool_t) 1);
											BgL_topzf3zf3_55 = BgL_topzf3zf3_4378;
											BgL_wherez00_53 = BgL_wherez00_4377;
											BgL_tailzf3zf3_52 = BgL_tailzf3zf3_4376;
											BgL_ez00_49 = BgL_ez00_4375;
											goto BGl_convz00zz__evaluatez00;
										}
									}
								else
									{	/* Eval/evaluate.scm 330 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_54,
											BGl_string2596z00zz__evaluatez00,
											BGl_string2605z00zz__evaluatez00, BgL_ez00_49);
									}
							}
						else
							{	/* Eval/evaluate.scm 319 */
								obj_t BgL_cdrzd2225zd2_934;

								BgL_cdrzd2225zd2_934 = CDR(BgL_ez00_49);
								if ((CAR(BgL_ez00_49) == BGl_symbol2608z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 319 */
										if (PAIRP(BgL_cdrzd2225zd2_934))
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd2228zd2_937;
												obj_t BgL_cdrzd2229zd2_938;

												BgL_carzd2228zd2_937 = CAR(BgL_cdrzd2225zd2_934);
												BgL_cdrzd2229zd2_938 = CDR(BgL_cdrzd2225zd2_934);
												if (SYMBOLP(BgL_carzd2228zd2_937))
													{	/* Eval/evaluate.scm 319 */
														if (PAIRP(BgL_cdrzd2229zd2_938))
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd2233zd2_941;

																BgL_carzd2233zd2_941 =
																	CAR(BgL_cdrzd2229zd2_938);
																if (SYMBOLP(BgL_carzd2233zd2_941))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2229zd2_938)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_idz00_2997;
																				obj_t BgL_modnamez00_2998;

																				BgL_idz00_2997 = BgL_carzd2228zd2_937;
																				BgL_modnamez00_2998 =
																					BgL_carzd2233zd2_941;
																				{	/* Eval/evaluate.scm 319 */
																					BgL_ev_globalz00_bglt
																						BgL_new1103z00_2999;
																					{	/* Eval/evaluate.scm 319 */
																						BgL_ev_globalz00_bglt
																							BgL_new1101z00_3000;
																						BgL_new1101z00_3000 =
																							((BgL_ev_globalz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_globalz00_bgl))));
																						{	/* Eval/evaluate.scm 319 */
																							long BgL_arg1951z00_3001;

																							{	/* Eval/evaluate.scm 319 */
																								long BgL_res2430z00_3005;

																								{	/* Eval/evaluate.scm 319 */
																									obj_t BgL_classz00_3002;

																									BgL_classz00_3002 =
																										BGl_ev_globalz00zz__evaluate_typesz00;
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_vectorz00_3003;
																										int BgL_kz00_3004;

																										BgL_vectorz00_3003 =
																											BgL_classz00_3002;
																										BgL_kz00_3004 =
																											(int) (((long) 1));
																										BgL_res2430z00_3005 =
																											(long)
																											CINT(VECTOR_REF
																											(BgL_vectorz00_3003,
																												BgL_kz00_3004));
																								}}
																								BgL_arg1951z00_3001 =
																									BgL_res2430z00_3005;
																							}
																							{	/* Eval/evaluate.scm 319 */
																								BgL_objectz00_bglt
																									BgL_objz00_3006;
																								BgL_objz00_3006 =
																									((BgL_objectz00_bglt)
																									BgL_new1101z00_3000);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_3006,
																									BgL_arg1951z00_3001);
																						}}
																						{	/* Eval/evaluate.scm 319 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4405;
																							BgL_auxz00_4405 =
																								((BgL_objectz00_bglt)
																								BgL_new1101z00_3000);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_4405, BFALSE);
																						}
																						BgL_new1103z00_2999 =
																							BgL_new1101z00_3000;
																					}
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1103z00_2999))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_54), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1103z00_2999))->
																							BgL_namez00) =
																						((obj_t) BgL_idz00_2997), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1103z00_2999))->
																							BgL_modz00) =
																						((obj_t)
																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																							(BgL_modnamez00_2998)), BUNSPEC);
																					return ((obj_t) BgL_new1103z00_2999);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_carzd2276zd2_944;

																				BgL_carzd2276zd2_944 = CAR(BgL_ez00_49);
																				if (SYMBOLP(BgL_carzd2276zd2_944))
																					{	/* Eval/evaluate.scm 319 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2276zd2_944,
																									BgL_localsz00_50)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4419;
																								BgL_funz00_870 =
																									BgL_carzd2276zd2_944;
																								BgL_argsz00_871 =
																									BgL_cdrzd2225zd2_934;
																							BgL_tagzd2134zd2_872:
																								{	/* Eval/evaluate.scm 346 */
																									obj_t BgL_funz00_1577;
																									obj_t BgL_argsz00_1578;

																									{	/* Eval/evaluate.scm 346 */
																										obj_t BgL_arg2072z00_2476;

																										{	/* Eval/evaluate.scm 346 */
																											obj_t
																												BgL__ortest_1066z00_2479;
																											BgL__ortest_1066z00_2479 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_870);
																											if (CBOOL
																												(BgL__ortest_1066z00_2479))
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2072z00_2476 =
																														BgL__ortest_1066z00_2479;
																												}
																											else
																												{	/* Eval/evaluate.scm 346 */
																													BgL_arg2072z00_2476 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1577 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_870,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2072z00_2476,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1578 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_871);
																									{	/* Eval/evaluate.scm 347 */
																										BgL_ev_appz00_bglt
																											BgL_new1105z00_1579;
																										{	/* Eval/evaluate.scm 347 */
																											BgL_ev_appz00_bglt
																												BgL_new1104z00_1580;
																											BgL_new1104z00_1580 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 347 */
																												long
																													BgL_arg1961z00_1581;
																												{	/* Eval/evaluate.scm 347 */
																													long
																														BgL_res2368z00_2485;
																													{	/* Eval/evaluate.scm 347 */
																														obj_t
																															BgL_classz00_2482;
																														BgL_classz00_2482 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 347 */
																															obj_t
																																BgL_vectorz00_2483;
																															int BgL_kz00_2484;

																															BgL_vectorz00_2483
																																=
																																BgL_classz00_2482;
																															BgL_kz00_2484 =
																																(int) (((long)
																																	1));
																															BgL_res2368z00_2485
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2483,
																																	BgL_kz00_2484));
																													}}
																													BgL_arg1961z00_1581 =
																														BgL_res2368z00_2485;
																												}
																												{	/* Eval/evaluate.scm 347 */
																													BgL_objectz00_bglt
																														BgL_objz00_2486;
																													BgL_objz00_2486 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1104z00_1580);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2486,
																														BgL_arg1961z00_1581);
																											}}
																											{	/* Eval/evaluate.scm 347 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4431;
																												BgL_auxz00_4431 =
																													((BgL_objectz00_bglt)
																													BgL_new1104z00_1580);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4431,
																													BFALSE);
																											}
																											BgL_new1105z00_1579 =
																												BgL_new1104z00_1580;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1579))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1579))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1577)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1579))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1578),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1105z00_1579))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4419 =
																											BgL_new1105z00_1579;
																								}}
																								return
																									((obj_t) BgL_auxz00_4419);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4440;
																								BgL_fz00_926 =
																									BgL_carzd2276zd2_944;
																								BgL_argsz00_927 =
																									BgL_cdrzd2225zd2_934;
																							BgL_tagzd2154zd2_928:
																								{	/* Eval/evaluate.scm 465 */
																									obj_t BgL_funz00_1777;
																									obj_t BgL_argsz00_1778;

																									{	/* Eval/evaluate.scm 465 */
																										obj_t BgL_arg2072z00_2965;

																										{	/* Eval/evaluate.scm 465 */
																											obj_t
																												BgL__ortest_1066z00_2968;
																											BgL__ortest_1066z00_2968 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_926);
																											if (CBOOL
																												(BgL__ortest_1066z00_2968))
																												{	/* Eval/evaluate.scm 465 */
																													BgL_arg2072z00_2965 =
																														BgL__ortest_1066z00_2968;
																												}
																											else
																												{	/* Eval/evaluate.scm 465 */
																													BgL_arg2072z00_2965 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1777 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_926,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2072z00_2965,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1778 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_927);
																									{	/* Eval/evaluate.scm 466 */
																										BgL_ev_appz00_bglt
																											BgL_new1149z00_1779;
																										{	/* Eval/evaluate.scm 466 */
																											BgL_ev_appz00_bglt
																												BgL_new1148z00_1780;
																											BgL_new1148z00_1780 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 466 */
																												long
																													BgL_arg2066z00_1781;
																												{	/* Eval/evaluate.scm 466 */
																													long
																														BgL_res2423z00_2974;
																													{	/* Eval/evaluate.scm 466 */
																														obj_t
																															BgL_classz00_2971;
																														BgL_classz00_2971 =
																															BGl_ev_appz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 466 */
																															obj_t
																																BgL_vectorz00_2972;
																															int BgL_kz00_2973;

																															BgL_vectorz00_2972
																																=
																																BgL_classz00_2971;
																															BgL_kz00_2973 =
																																(int) (((long)
																																	1));
																															BgL_res2423z00_2974
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2972,
																																	BgL_kz00_2973));
																													}}
																													BgL_arg2066z00_1781 =
																														BgL_res2423z00_2974;
																												}
																												{	/* Eval/evaluate.scm 466 */
																													BgL_objectz00_bglt
																														BgL_objz00_2975;
																													BgL_objz00_2975 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1148z00_1780);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2975,
																														BgL_arg2066z00_1781);
																											}}
																											{	/* Eval/evaluate.scm 466 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4452;
																												BgL_auxz00_4452 =
																													((BgL_objectz00_bglt)
																													BgL_new1148z00_1780);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4452,
																													BFALSE);
																											}
																											BgL_new1149z00_1779 =
																												BgL_new1148z00_1780;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1779))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1779))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1777)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1779))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1778),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1149z00_1779))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4440 =
																											BgL_new1149z00_1779;
																								}}
																								return
																									((obj_t) BgL_auxz00_4440);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4461;

																						{
																							obj_t BgL_argsz00_4463;
																							obj_t BgL_fz00_4462;

																							BgL_fz00_4462 =
																								BgL_carzd2276zd2_944;
																							BgL_argsz00_4463 =
																								BgL_cdrzd2225zd2_934;
																							BgL_argsz00_927 =
																								BgL_argsz00_4463;
																							BgL_fz00_926 = BgL_fz00_4462;
																							goto BgL_tagzd2154zd2_928;
																						}
																						return ((obj_t) BgL_auxz00_4461);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_carzd2841zd2_954;

																		BgL_carzd2841zd2_954 = CAR(BgL_ez00_49);
																		if (SYMBOLP(BgL_carzd2841zd2_954))
																			{	/* Eval/evaluate.scm 319 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd2841zd2_954,
																							BgL_localsz00_50)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4471;

																						{
																							obj_t BgL_argsz00_4473;
																							obj_t BgL_funz00_4472;

																							BgL_funz00_4472 =
																								BgL_carzd2841zd2_954;
																							BgL_argsz00_4473 =
																								BgL_cdrzd2225zd2_934;
																							BgL_argsz00_871 =
																								BgL_argsz00_4473;
																							BgL_funz00_870 = BgL_funz00_4472;
																							goto BgL_tagzd2134zd2_872;
																						}
																						return ((obj_t) BgL_auxz00_4471);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4475;

																						{
																							obj_t BgL_argsz00_4477;
																							obj_t BgL_fz00_4476;

																							BgL_fz00_4476 =
																								BgL_carzd2841zd2_954;
																							BgL_argsz00_4477 =
																								BgL_cdrzd2225zd2_934;
																							BgL_argsz00_927 =
																								BgL_argsz00_4477;
																							BgL_fz00_926 = BgL_fz00_4476;
																							goto BgL_tagzd2154zd2_928;
																						}
																						return ((obj_t) BgL_auxz00_4475);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4479;

																				{
																					obj_t BgL_argsz00_4481;
																					obj_t BgL_fz00_4480;

																					BgL_fz00_4480 = BgL_carzd2841zd2_954;
																					BgL_argsz00_4481 =
																						BgL_cdrzd2225zd2_934;
																					BgL_argsz00_927 = BgL_argsz00_4481;
																					BgL_fz00_926 = BgL_fz00_4480;
																					goto BgL_tagzd2154zd2_928;
																				}
																				return ((obj_t) BgL_auxz00_4479);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd21406zd2_963;

																BgL_carzd21406zd2_963 = CAR(BgL_ez00_49);
																if (SYMBOLP(BgL_carzd21406zd2_963))
																	{	/* Eval/evaluate.scm 319 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21406zd2_963,
																					BgL_localsz00_50)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4489;

																				{
																					obj_t BgL_argsz00_4491;
																					obj_t BgL_funz00_4490;

																					BgL_funz00_4490 =
																						BgL_carzd21406zd2_963;
																					BgL_argsz00_4491 =
																						BgL_cdrzd2225zd2_934;
																					BgL_argsz00_871 = BgL_argsz00_4491;
																					BgL_funz00_870 = BgL_funz00_4490;
																					goto BgL_tagzd2134zd2_872;
																				}
																				return ((obj_t) BgL_auxz00_4489);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4493;

																				{
																					obj_t BgL_argsz00_4495;
																					obj_t BgL_fz00_4494;

																					BgL_fz00_4494 = BgL_carzd21406zd2_963;
																					BgL_argsz00_4495 =
																						BgL_cdrzd2225zd2_934;
																					BgL_argsz00_927 = BgL_argsz00_4495;
																					BgL_fz00_926 = BgL_fz00_4494;
																					goto BgL_tagzd2154zd2_928;
																				}
																				return ((obj_t) BgL_auxz00_4493);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4497;

																		{
																			obj_t BgL_argsz00_4499;
																			obj_t BgL_fz00_4498;

																			BgL_fz00_4498 = BgL_carzd21406zd2_963;
																			BgL_argsz00_4499 = BgL_cdrzd2225zd2_934;
																			BgL_argsz00_927 = BgL_argsz00_4499;
																			BgL_fz00_926 = BgL_fz00_4498;
																			goto BgL_tagzd2154zd2_928;
																		}
																		return ((obj_t) BgL_auxz00_4497);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														obj_t BgL_carzd21971zd2_972;

														BgL_carzd21971zd2_972 = CAR(BgL_ez00_49);
														if (SYMBOLP(BgL_carzd21971zd2_972))
															{	/* Eval/evaluate.scm 319 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd21971zd2_972, BgL_localsz00_50)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4507;

																		{
																			obj_t BgL_argsz00_4509;
																			obj_t BgL_funz00_4508;

																			BgL_funz00_4508 = BgL_carzd21971zd2_972;
																			BgL_argsz00_4509 = BgL_cdrzd2225zd2_934;
																			BgL_argsz00_871 = BgL_argsz00_4509;
																			BgL_funz00_870 = BgL_funz00_4508;
																			goto BgL_tagzd2134zd2_872;
																		}
																		return ((obj_t) BgL_auxz00_4507);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4511;

																		{
																			obj_t BgL_argsz00_4513;
																			obj_t BgL_fz00_4512;

																			BgL_fz00_4512 = BgL_carzd21971zd2_972;
																			BgL_argsz00_4513 = BgL_cdrzd2225zd2_934;
																			BgL_argsz00_927 = BgL_argsz00_4513;
																			BgL_fz00_926 = BgL_fz00_4512;
																			goto BgL_tagzd2154zd2_928;
																		}
																		return ((obj_t) BgL_auxz00_4511);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4515;

																{
																	obj_t BgL_argsz00_4517;
																	obj_t BgL_fz00_4516;

																	BgL_fz00_4516 = BgL_carzd21971zd2_972;
																	BgL_argsz00_4517 = BgL_cdrzd2225zd2_934;
																	BgL_argsz00_927 = BgL_argsz00_4517;
																	BgL_fz00_926 = BgL_fz00_4516;
																	goto BgL_tagzd2154zd2_928;
																}
																return ((obj_t) BgL_auxz00_4515);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd22536zd2_981;

												BgL_carzd22536zd2_981 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd22536zd2_981))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd22536zd2_981, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4525;

																{
																	obj_t BgL_argsz00_4527;
																	obj_t BgL_funz00_4526;

																	BgL_funz00_4526 = BgL_carzd22536zd2_981;
																	BgL_argsz00_4527 = BgL_cdrzd2225zd2_934;
																	BgL_argsz00_871 = BgL_argsz00_4527;
																	BgL_funz00_870 = BgL_funz00_4526;
																	goto BgL_tagzd2134zd2_872;
																}
																return ((obj_t) BgL_auxz00_4525);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4529;

																{
																	obj_t BgL_argsz00_4531;
																	obj_t BgL_fz00_4530;

																	BgL_fz00_4530 = BgL_carzd22536zd2_981;
																	BgL_argsz00_4531 = BgL_cdrzd2225zd2_934;
																	BgL_argsz00_927 = BgL_argsz00_4531;
																	BgL_fz00_926 = BgL_fz00_4530;
																	goto BgL_tagzd2154zd2_928;
																}
																return ((obj_t) BgL_auxz00_4529);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_4533;

														{
															obj_t BgL_argsz00_4535;
															obj_t BgL_fz00_4534;

															BgL_fz00_4534 = BgL_carzd22536zd2_981;
															BgL_argsz00_4535 = BgL_cdrzd2225zd2_934;
															BgL_argsz00_927 = BgL_argsz00_4535;
															BgL_fz00_926 = BgL_fz00_4534;
															goto BgL_tagzd2154zd2_928;
														}
														return ((obj_t) BgL_auxz00_4533);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 319 */
										if ((CAR(BgL_ez00_49) == BGl_symbol2610z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 319 */
												BgL_lz00_868 = BgL_cdrzd2225zd2_934;
												{	/* Eval/evaluate.scm 339 */
													bool_t BgL_testz00_4540;

													if (PAIRP(BgL_lz00_868))
														{	/* Eval/evaluate.scm 339 */
															bool_t BgL_testz00_4543;

															{	/* Eval/evaluate.scm 339 */
																obj_t BgL_auxz00_4544;

																BgL_auxz00_4544 = CDR(BgL_lz00_868);
																BgL_testz00_4543 = PAIRP(BgL_auxz00_4544);
															}
															if (BgL_testz00_4543)
																{
																	obj_t BgL_l1180z00_1569;

																	BgL_l1180z00_1569 = BgL_lz00_868;
																BgL_zc3anonymousza31955ze3z83_1570:
																	if (NULLP(BgL_l1180z00_1569))
																		{	/* Eval/evaluate.scm 339 */
																			BgL_testz00_4540 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 339 */
																			bool_t BgL_testz00_4549;

																			{	/* Eval/evaluate.scm 339 */
																				obj_t BgL_auxz00_4550;

																				BgL_auxz00_4550 =
																					CAR(BgL_l1180z00_1569);
																				BgL_testz00_4549 =
																					SYMBOLP(BgL_auxz00_4550);
																			}
																			if (BgL_testz00_4549)
																				{
																					obj_t BgL_l1180z00_4553;

																					BgL_l1180z00_4553 =
																						CDR(BgL_l1180z00_1569);
																					BgL_l1180z00_1569 = BgL_l1180z00_4553;
																					goto
																						BgL_zc3anonymousza31955ze3z83_1570;
																				}
																			else
																				{	/* Eval/evaluate.scm 339 */
																					BgL_testz00_4540 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 339 */
																	BgL_testz00_4540 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 339 */
															BgL_testz00_4540 = ((bool_t) 0);
														}
													if (BgL_testz00_4540)
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_49, BgL_localsz00_50,
																BgL_globalsz00_51, BgL_tailzf3zf3_52,
																BgL_wherez00_53, BgL_locz00_54,
																BgL_topzf3zf3_55);
														}
													else
														{	/* Eval/evaluate.scm 339 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_54,
																BGl_string2596z00zz__evaluatez00,
																BGl_string2602z00zz__evaluatez00, BgL_ez00_49);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd23104zd2_992;

												BgL_carzd23104zd2_992 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23104zd2_992))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23104zd2_992, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4563;

																{
																	obj_t BgL_argsz00_4565;
																	obj_t BgL_funz00_4564;

																	BgL_funz00_4564 = BgL_carzd23104zd2_992;
																	BgL_argsz00_4565 = BgL_cdrzd2225zd2_934;
																	BgL_argsz00_871 = BgL_argsz00_4565;
																	BgL_funz00_870 = BgL_funz00_4564;
																	goto BgL_tagzd2134zd2_872;
																}
																return ((obj_t) BgL_auxz00_4563);
															}
														else
															{	/* Eval/evaluate.scm 319 */
																if (
																	(BgL_carzd23104zd2_992 ==
																		BGl_symbol2612z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd2225zd2_934))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd2225zd2_934)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1454z00_1000;

																						BgL_arg1454z00_1000 =
																							CAR(BgL_cdrzd2225zd2_934);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_4575;
																							BgL_ez00_873 =
																								BgL_arg1454z00_1000;
																						BgL_tagzd2135zd2_874:
																							{	/* Eval/evaluate.scm 353 */
																								BgL_ev_trapz00_bglt
																									BgL_new1107z00_1582;
																								{	/* Eval/evaluate.scm 353 */
																									BgL_ev_trapz00_bglt
																										BgL_new1106z00_1583;
																									BgL_new1106z00_1583 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 353 */
																										long BgL_arg1962z00_1584;

																										{	/* Eval/evaluate.scm 353 */
																											long BgL_res2369z00_2491;

																											{	/* Eval/evaluate.scm 353 */
																												obj_t BgL_classz00_2488;

																												BgL_classz00_2488 =
																													BGl_ev_trapz00zz__evaluate_typesz00;
																												{	/* Eval/evaluate.scm 353 */
																													obj_t
																														BgL_vectorz00_2489;
																													int BgL_kz00_2490;

																													BgL_vectorz00_2489 =
																														BgL_classz00_2488;
																													BgL_kz00_2490 =
																														(int) (((long) 1));
																													BgL_res2369z00_2491 =
																														(long)
																														CINT(VECTOR_REF
																														(BgL_vectorz00_2489,
																															BgL_kz00_2490));
																											}}
																											BgL_arg1962z00_1584 =
																												BgL_res2369z00_2491;
																										}
																										{	/* Eval/evaluate.scm 353 */
																											BgL_objectz00_bglt
																												BgL_objz00_2492;
																											BgL_objz00_2492 =
																												((BgL_objectz00_bglt)
																												BgL_new1106z00_1583);
																											BGL_OBJECT_CLASS_NUM_SET
																												(BgL_objz00_2492,
																												BgL_arg1962z00_1584);
																									}}
																									{	/* Eval/evaluate.scm 353 */
																										BgL_objectz00_bglt
																											BgL_auxz00_4582;
																										BgL_auxz00_4582 =
																											((BgL_objectz00_bglt)
																											BgL_new1106z00_1583);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_4582, BFALSE);
																									}
																									BgL_new1107z00_1582 =
																										BgL_new1106z00_1583;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_4585;
																									{	/* Eval/evaluate.scm 354 */
																										obj_t BgL_arg2072z00_2495;

																										{	/* Eval/evaluate.scm 354 */
																											obj_t
																												BgL__ortest_1066z00_2498;
																											BgL__ortest_1066z00_2498 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_873);
																											if (CBOOL
																												(BgL__ortest_1066z00_2498))
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2072z00_2495 =
																														BgL__ortest_1066z00_2498;
																												}
																											else
																												{	/* Eval/evaluate.scm 354 */
																													BgL_arg2072z00_2495 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_auxz00_4585 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_873,
																												BgL_localsz00_50,
																												BgL_globalsz00_51,
																												BFALSE, BgL_wherez00_53,
																												BgL_arg2072z00_2495,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1107z00_1582)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_4585),
																										BUNSPEC);
																								}
																								BgL_auxz00_4575 =
																									BgL_new1107z00_1582;
																							}
																							return ((obj_t) BgL_auxz00_4575);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1455z00_1001;
																						obj_t BgL_arg1456z00_1002;

																						BgL_arg1455z00_1001 =
																							CAR(BgL_ez00_49);
																						BgL_arg1456z00_1002 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4596;
																							{
																								obj_t BgL_argsz00_4598;
																								obj_t BgL_fz00_4597;

																								BgL_fz00_4597 =
																									BgL_arg1455z00_1001;
																								BgL_argsz00_4598 =
																									BgL_arg1456z00_1002;
																								BgL_argsz00_927 =
																									BgL_argsz00_4598;
																								BgL_fz00_926 = BgL_fz00_4597;
																								goto BgL_tagzd2154zd2_928;
																							}
																							return ((obj_t) BgL_auxz00_4596);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1458z00_1004;
																				obj_t BgL_arg1459z00_1005;

																				BgL_arg1458z00_1004 = CAR(BgL_ez00_49);
																				BgL_arg1459z00_1005 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_4602;

																					{
																						obj_t BgL_argsz00_4604;
																						obj_t BgL_fz00_4603;

																						BgL_fz00_4603 = BgL_arg1458z00_1004;
																						BgL_argsz00_4604 =
																							BgL_arg1459z00_1005;
																						BgL_argsz00_927 = BgL_argsz00_4604;
																						BgL_fz00_926 = BgL_fz00_4603;
																						goto BgL_tagzd2154zd2_928;
																					}
																					return ((obj_t) BgL_auxz00_4602);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_cdrzd23637zd2_1006;

																		BgL_cdrzd23637zd2_1006 = CDR(BgL_ez00_49);
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2614z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd23637zd2_1006))
																					{	/* Eval/evaluate.scm 319 */
																						if (NULLP(CDR
																								(BgL_cdrzd23637zd2_1006)))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1463z00_1010;

																								BgL_arg1463z00_1010 =
																									CAR(BgL_cdrzd23637zd2_1006);
																								{	/* Eval/evaluate.scm 319 */
																									BgL_ev_littz00_bglt
																										BgL_new1109z00_3075;
																									{	/* Eval/evaluate.scm 319 */
																										BgL_ev_littz00_bglt
																											BgL_new1108z00_3076;
																										BgL_new1108z00_3076 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 319 */
																											long BgL_arg1964z00_3077;

																											{	/* Eval/evaluate.scm 319 */
																												long
																													BgL_res2441z00_3081;
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_classz00_3078;
																													BgL_classz00_3078 =
																														BGl_ev_littz00zz__evaluate_typesz00;
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_vectorz00_3079;
																														int BgL_kz00_3080;

																														BgL_vectorz00_3079 =
																															BgL_classz00_3078;
																														BgL_kz00_3080 =
																															(int) (((long)
																																1));
																														BgL_res2441z00_3081
																															=
																															(long)
																															CINT(VECTOR_REF
																															(BgL_vectorz00_3079,
																																BgL_kz00_3080));
																												}}
																												BgL_arg1964z00_3077 =
																													BgL_res2441z00_3081;
																											}
																											{	/* Eval/evaluate.scm 319 */
																												BgL_objectz00_bglt
																													BgL_objz00_3082;
																												BgL_objz00_3082 =
																													((BgL_objectz00_bglt)
																													BgL_new1108z00_3076);
																												BGL_OBJECT_CLASS_NUM_SET
																													(BgL_objz00_3082,
																													BgL_arg1964z00_3077);
																										}}
																										{	/* Eval/evaluate.scm 319 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4622;
																											BgL_auxz00_4622 =
																												((BgL_objectz00_bglt)
																												BgL_new1108z00_3076);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_4622,
																												BFALSE);
																										}
																										BgL_new1109z00_3075 =
																											BgL_new1108z00_3076;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1109z00_3075))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1463z00_1010),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1109z00_3075);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1464z00_1011;

																								BgL_arg1464z00_1011 =
																									CAR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4628;
																									{
																										obj_t BgL_argsz00_4630;
																										obj_t BgL_fz00_4629;

																										BgL_fz00_4629 =
																											BgL_arg1464z00_1011;
																										BgL_argsz00_4630 =
																											BgL_cdrzd23637zd2_1006;
																										BgL_argsz00_927 =
																											BgL_argsz00_4630;
																										BgL_fz00_926 =
																											BgL_fz00_4629;
																										goto BgL_tagzd2154zd2_928;
																									}
																									return
																										((obj_t) BgL_auxz00_4628);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1467z00_1014;

																						BgL_arg1467z00_1014 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4633;
																							{
																								obj_t BgL_argsz00_4635;
																								obj_t BgL_fz00_4634;

																								BgL_fz00_4634 =
																									BgL_arg1467z00_1014;
																								BgL_argsz00_4635 =
																									BgL_cdrzd23637zd2_1006;
																								BgL_argsz00_927 =
																									BgL_argsz00_4635;
																								BgL_fz00_926 = BgL_fz00_4634;
																								goto BgL_tagzd2154zd2_928;
																							}
																							return ((obj_t) BgL_auxz00_4633);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2616z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						if (PAIRP(BgL_cdrzd23637zd2_1006))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd24114zd2_1019;

																								BgL_cdrzd24114zd2_1019 =
																									CDR(BgL_cdrzd23637zd2_1006);
																								if (PAIRP
																									(BgL_cdrzd24114zd2_1019))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd24119zd2_1021;
																										BgL_cdrzd24119zd2_1021 =
																											CDR
																											(BgL_cdrzd24114zd2_1019);
																										if (PAIRP
																											(BgL_cdrzd24119zd2_1021))
																											{	/* Eval/evaluate.scm 319 */
																												if (NULLP(CDR
																														(BgL_cdrzd24119zd2_1021)))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1475z00_1024;
																														obj_t
																															BgL_arg1476z00_1025;
																														obj_t
																															BgL_arg1477z00_1026;
																														BgL_arg1475z00_1024
																															=
																															CAR
																															(BgL_cdrzd23637zd2_1006);
																														BgL_arg1476z00_1025
																															=
																															CAR
																															(BgL_cdrzd24114zd2_1019);
																														BgL_arg1477z00_1026
																															=
																															CAR
																															(BgL_cdrzd24119zd2_1021);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_4654;
																															BgL_pz00_877 =
																																BgL_arg1475z00_1024;
																															BgL_tz00_878 =
																																BgL_arg1476z00_1025;
																															BgL_oz00_879 =
																																BgL_arg1477z00_1026;
																														BgL_tagzd2137zd2_880:
																															{	/* Eval/evaluate.scm 359 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1111z00_1588;
																																{	/* Eval/evaluate.scm 359 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1110z00_1595;
																																	BgL_new1110z00_1595
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 359 */
																																		long
																																			BgL_arg1971z00_1596;
																																		{	/* Eval/evaluate.scm 359 */
																																			long
																																				BgL_res2371z00_2513;
																																			{	/* Eval/evaluate.scm 359 */
																																				obj_t
																																					BgL_classz00_2510;
																																				BgL_classz00_2510
																																					=
																																					BGl_ev_ifz00zz__evaluate_typesz00;
																																				{	/* Eval/evaluate.scm 359 */
																																					obj_t
																																						BgL_vectorz00_2511;
																																					int
																																						BgL_kz00_2512;
																																					BgL_vectorz00_2511
																																						=
																																						BgL_classz00_2510;
																																					BgL_kz00_2512
																																						=
																																						(int)
																																						(((long) 1));
																																					BgL_res2371z00_2513
																																						=
																																						(long)
																																						CINT
																																						(VECTOR_REF
																																						(BgL_vectorz00_2511,
																																							BgL_kz00_2512));
																																			}}
																																			BgL_arg1971z00_1596
																																				=
																																				BgL_res2371z00_2513;
																																		}
																																		{	/* Eval/evaluate.scm 359 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_2514;
																																			BgL_objz00_2514
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1110z00_1595);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_2514,
																																				BgL_arg1971z00_1596);
																																	}}
																																	{	/* Eval/evaluate.scm 359 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4661;
																																		BgL_auxz00_4661
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1110z00_1595);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4661,
																																			BFALSE);
																																	}
																																	BgL_new1111z00_1588
																																		=
																																		BgL_new1110z00_1595;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4664;
																																	{	/* Eval/evaluate.scm 360 */
																																		obj_t
																																			BgL_arg1965z00_1589;
																																		{	/* Eval/evaluate.scm 360 */
																																			obj_t
																																				BgL_arg1966z00_1590;
																																			{	/* Eval/evaluate.scm 360 */
																																				obj_t
																																					BgL_pairz00_2516;
																																				BgL_pairz00_2516
																																					=
																																					BgL_ez00_49;
																																				BgL_arg1966z00_1590
																																					=
																																					CDR
																																					(BgL_pairz00_2516);
																																			}
																																			{	/* Eval/evaluate.scm 360 */
																																				obj_t
																																					BgL__ortest_1066z00_2519;
																																				BgL__ortest_1066z00_2519
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1966z00_1590);
																																				if (CBOOL(BgL__ortest_1066z00_2519))
																																					{	/* Eval/evaluate.scm 360 */
																																						BgL_arg1965z00_1589
																																							=
																																							BgL__ortest_1066z00_2519;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 360 */
																																						BgL_arg1965z00_1589
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4664
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_877,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BFALSE,
																																				BgL_wherez00_53,
																																				BgL_arg1965z00_1589,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1588))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4664), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4672;
																																	{	/* Eval/evaluate.scm 361 */
																																		obj_t
																																			BgL_arg1967z00_1591;
																																		{	/* Eval/evaluate.scm 361 */
																																			obj_t
																																				BgL_arg1968z00_1592;
																																			{	/* Eval/evaluate.scm 361 */
																																				obj_t
																																					BgL_pairz00_2522;
																																				BgL_pairz00_2522
																																					=
																																					BgL_ez00_49;
																																				{	/* Eval/evaluate.scm 361 */
																																					obj_t
																																						BgL_pairz00_2525;
																																					BgL_pairz00_2525
																																						=
																																						CDR
																																						(BgL_pairz00_2522);
																																					BgL_arg1968z00_1592
																																						=
																																						CDR
																																						(BgL_pairz00_2525);
																																				}
																																			}
																																			{	/* Eval/evaluate.scm 361 */
																																				obj_t
																																					BgL__ortest_1066z00_2528;
																																				BgL__ortest_1066z00_2528
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1968z00_1592);
																																				if (CBOOL(BgL__ortest_1066z00_2528))
																																					{	/* Eval/evaluate.scm 361 */
																																						BgL_arg1967z00_1591
																																							=
																																							BgL__ortest_1066z00_2528;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 361 */
																																						BgL_arg1967z00_1591
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4672
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_878,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1967z00_1591,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1588))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4672), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4681;
																																	{	/* Eval/evaluate.scm 362 */
																																		obj_t
																																			BgL_arg1969z00_1593;
																																		{	/* Eval/evaluate.scm 362 */
																																			obj_t
																																				BgL_arg1970z00_1594;
																																			{	/* Eval/evaluate.scm 362 */
																																				obj_t
																																					BgL_pairz00_2531;
																																				BgL_pairz00_2531
																																					=
																																					BgL_ez00_49;
																																				{	/* Eval/evaluate.scm 362 */
																																					obj_t
																																						BgL_pairz00_2536;
																																					{	/* Eval/evaluate.scm 362 */
																																						obj_t
																																							BgL_pairz00_2535;
																																						BgL_pairz00_2535
																																							=
																																							CDR
																																							(BgL_pairz00_2531);
																																						BgL_pairz00_2536
																																							=
																																							CDR
																																							(BgL_pairz00_2535);
																																					}
																																					BgL_arg1970z00_1594
																																						=
																																						CDR
																																						(BgL_pairz00_2536);
																																				}
																																			}
																																			{	/* Eval/evaluate.scm 362 */
																																				obj_t
																																					BgL__ortest_1066z00_2539;
																																				BgL__ortest_1066z00_2539
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_arg1970z00_1594);
																																				if (CBOOL(BgL__ortest_1066z00_2539))
																																					{	/* Eval/evaluate.scm 362 */
																																						BgL_arg1969z00_1593
																																							=
																																							BgL__ortest_1066z00_2539;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 362 */
																																						BgL_arg1969z00_1593
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																		}
																																		BgL_auxz00_4681
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_879,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1969z00_1593,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1111z00_1588))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4681), BUNSPEC);
																																}
																																BgL_auxz00_4654
																																	=
																																	BgL_new1111z00_1588;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4654);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1478z00_1027;
																														obj_t
																															BgL_arg1479z00_1028;
																														BgL_arg1478z00_1027
																															=
																															CAR(BgL_ez00_49);
																														BgL_arg1479z00_1028
																															=
																															CDR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_4694;
																															{
																																obj_t
																																	BgL_argsz00_4696;
																																obj_t
																																	BgL_fz00_4695;
																																BgL_fz00_4695 =
																																	BgL_arg1478z00_1027;
																																BgL_argsz00_4696
																																	=
																																	BgL_arg1479z00_1028;
																																BgL_argsz00_927
																																	=
																																	BgL_argsz00_4696;
																																BgL_fz00_926 =
																																	BgL_fz00_4695;
																																goto
																																	BgL_tagzd2154zd2_928;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4694);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1482z00_1030;
																												obj_t
																													BgL_arg1483z00_1031;
																												BgL_arg1482z00_1030 =
																													CAR(BgL_ez00_49);
																												BgL_arg1483z00_1031 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_4700;
																													{
																														obj_t
																															BgL_argsz00_4702;
																														obj_t BgL_fz00_4701;

																														BgL_fz00_4701 =
																															BgL_arg1482z00_1030;
																														BgL_argsz00_4702 =
																															BgL_arg1483z00_1031;
																														BgL_argsz00_927 =
																															BgL_argsz00_4702;
																														BgL_fz00_926 =
																															BgL_fz00_4701;
																														goto
																															BgL_tagzd2154zd2_928;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_4700);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1484z00_1032;
																										obj_t BgL_arg1486z00_1033;

																										BgL_arg1484z00_1032 =
																											CAR(BgL_ez00_49);
																										BgL_arg1486z00_1033 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_4706;
																											{
																												obj_t BgL_argsz00_4708;
																												obj_t BgL_fz00_4707;

																												BgL_fz00_4707 =
																													BgL_arg1484z00_1032;
																												BgL_argsz00_4708 =
																													BgL_arg1486z00_1033;
																												BgL_argsz00_927 =
																													BgL_argsz00_4708;
																												BgL_fz00_926 =
																													BgL_fz00_4707;
																												goto
																													BgL_tagzd2154zd2_928;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4706);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1488z00_1034;
																								obj_t BgL_arg1489z00_1035;

																								BgL_arg1488z00_1034 =
																									CAR(BgL_ez00_49);
																								BgL_arg1489z00_1035 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4712;
																									{
																										obj_t BgL_argsz00_4714;
																										obj_t BgL_fz00_4713;

																										BgL_fz00_4713 =
																											BgL_arg1488z00_1034;
																										BgL_argsz00_4714 =
																											BgL_arg1489z00_1035;
																										BgL_argsz00_927 =
																											BgL_argsz00_4714;
																										BgL_fz00_926 =
																											BgL_fz00_4713;
																										goto BgL_tagzd2154zd2_928;
																									}
																									return
																										((obj_t) BgL_auxz00_4712);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2618z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1491z00_1037;

																								BgL_arg1491z00_1037 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_4720;
																									BgL_argsz00_881 =
																										BgL_arg1491z00_1037;
																								BgL_tagzd2138zd2_882:
																									{	/* Eval/evaluate.scm 364 */
																										BgL_ev_orz00_bglt
																											BgL_new1113z00_1597;
																										{	/* Eval/evaluate.scm 364 */
																											BgL_ev_orz00_bglt
																												BgL_new1112z00_1598;
																											BgL_new1112z00_1598 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 364 */
																												long
																													BgL_arg1972z00_1599;
																												{	/* Eval/evaluate.scm 364 */
																													long
																														BgL_res2372z00_2545;
																													{	/* Eval/evaluate.scm 364 */
																														obj_t
																															BgL_classz00_2542;
																														BgL_classz00_2542 =
																															BGl_ev_orz00zz__evaluate_typesz00;
																														{	/* Eval/evaluate.scm 364 */
																															obj_t
																																BgL_vectorz00_2543;
																															int BgL_kz00_2544;

																															BgL_vectorz00_2543
																																=
																																BgL_classz00_2542;
																															BgL_kz00_2544 =
																																(int) (((long)
																																	1));
																															BgL_res2372z00_2545
																																=
																																(long)
																																CINT(VECTOR_REF
																																(BgL_vectorz00_2543,
																																	BgL_kz00_2544));
																													}}
																													BgL_arg1972z00_1599 =
																														BgL_res2372z00_2545;
																												}
																												{	/* Eval/evaluate.scm 364 */
																													BgL_objectz00_bglt
																														BgL_objz00_2546;
																													BgL_objz00_2546 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1112z00_1598);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2546,
																														BgL_arg1972z00_1599);
																											}}
																											{	/* Eval/evaluate.scm 364 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4727;
																												BgL_auxz00_4727 =
																													((BgL_objectz00_bglt)
																													BgL_new1112z00_1598);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4727,
																													BFALSE);
																											}
																											BgL_new1113z00_1597 =
																												BgL_new1112z00_1598;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1113z00_1597)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_53,
																													BgL_globalsz00_51,
																													BgL_localsz00_50,
																													BgL_locz00_54,
																													BgL_argsz00_881)),
																											BUNSPEC);
																										BgL_auxz00_4720 =
																											BgL_new1113z00_1597;
																									}
																									return
																										((obj_t) BgL_auxz00_4720);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2620z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1493z00_1039;

																										BgL_arg1493z00_1039 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_4738;
																											BgL_argsz00_883 =
																												BgL_arg1493z00_1039;
																										BgL_tagzd2139zd2_884:
																											{	/* Eval/evaluate.scm 367 */
																												BgL_ev_andz00_bglt
																													BgL_new1115z00_1600;
																												{	/* Eval/evaluate.scm 367 */
																													BgL_ev_andz00_bglt
																														BgL_new1114z00_1601;
																													BgL_new1114z00_1601 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 367 */
																														long
																															BgL_arg1973z00_1602;
																														{	/* Eval/evaluate.scm 367 */
																															long
																																BgL_res2373z00_2551;
																															{	/* Eval/evaluate.scm 367 */
																																obj_t
																																	BgL_classz00_2548;
																																BgL_classz00_2548
																																	=
																																	BGl_ev_andz00zz__evaluate_typesz00;
																																{	/* Eval/evaluate.scm 367 */
																																	obj_t
																																		BgL_vectorz00_2549;
																																	int
																																		BgL_kz00_2550;
																																	BgL_vectorz00_2549
																																		=
																																		BgL_classz00_2548;
																																	BgL_kz00_2550
																																		=
																																		(int) ((
																																			(long)
																																			1));
																																	BgL_res2373z00_2551
																																		=
																																		(long)
																																		CINT
																																		(VECTOR_REF
																																		(BgL_vectorz00_2549,
																																			BgL_kz00_2550));
																															}}
																															BgL_arg1973z00_1602
																																=
																																BgL_res2373z00_2551;
																														}
																														{	/* Eval/evaluate.scm 367 */
																															BgL_objectz00_bglt
																																BgL_objz00_2552;
																															BgL_objz00_2552 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1114z00_1601);
																															BGL_OBJECT_CLASS_NUM_SET
																																(BgL_objz00_2552,
																																BgL_arg1973z00_1602);
																													}}
																													{	/* Eval/evaluate.scm 367 */
																														BgL_objectz00_bglt
																															BgL_auxz00_4745;
																														BgL_auxz00_4745 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1114z00_1601);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_4745,
																															BFALSE);
																													}
																													BgL_new1115z00_1600 =
																														BgL_new1114z00_1601;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1115z00_1600)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_53,
																															BgL_globalsz00_51,
																															BgL_localsz00_50,
																															BgL_locz00_54,
																															BgL_argsz00_883)),
																													BUNSPEC);
																												BgL_auxz00_4738 =
																													BgL_new1115z00_1600;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4738);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										if (
																											(CAR(BgL_ez00_49) ==
																												BGl_symbol2622z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_49),
																													BgL_localsz00_50,
																													BgL_globalsz00_51,
																													BgL_tailzf3zf3_52,
																													BgL_wherez00_53,
																													BgL_locz00_54,
																													BgL_topzf3zf3_55);
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd25008zd2_1042;
																												BgL_cdrzd25008zd2_1042 =
																													CDR(BgL_ez00_49);
																												if ((CAR(BgL_ez00_49) ==
																														BGl_symbol2624z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd25008zd2_1042))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1498z00_1045;
																																obj_t
																																	BgL_arg1499z00_1046;
																																BgL_arg1498z00_1045
																																	=
																																	CAR
																																	(BgL_cdrzd25008zd2_1042);
																																BgL_arg1499z00_1046
																																	=
																																	CDR
																																	(BgL_cdrzd25008zd2_1042);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_4765;
																																	BgL_bindsz00_887
																																		=
																																		BgL_arg1498z00_1045;
																																	BgL_bodyz00_888
																																		=
																																		BgL_arg1499z00_1046;
																																BgL_tagzd2141zd2_889:
																																	{	/* Eval/evaluate.scm 372 */
																																		obj_t
																																			BgL_varsz00_1603;
																																		if (NULLP
																																			(BgL_bindsz00_887))
																																			{	/* Eval/evaluate.scm 372 */
																																				BgL_varsz00_1603
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 372 */
																																				obj_t
																																					BgL_head1184z00_1624;
																																				{	/* Eval/evaluate.scm 372 */
																																					obj_t
																																						BgL_res2375z00_2558;
																																					BgL_res2375z00_2558
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1184z00_1624
																																						=
																																						BgL_res2375z00_2558;
																																				}
																																				{
																																					obj_t
																																						BgL_l1182z00_1626;
																																					obj_t
																																						BgL_tail1185z00_1627;
																																					BgL_l1182z00_1626
																																						=
																																						BgL_bindsz00_887;
																																					BgL_tail1185z00_1627
																																						=
																																						BgL_head1184z00_1624;
																																				BgL_zc3anonymousza31983ze3z83_1628:
																																					if (NULLP(BgL_l1182z00_1626))
																																						{	/* Eval/evaluate.scm 372 */
																																							BgL_varsz00_1603
																																								=
																																								CDR
																																								(BgL_head1184z00_1624);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 372 */
																																							obj_t
																																								BgL_newtail1186z00_1630;
																																							{	/* Eval/evaluate.scm 372 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg1986z00_1632;
																																								{	/* Eval/evaluate.scm 372 */
																																									obj_t
																																										BgL_bz00_1633;
																																									BgL_bz00_1633
																																										=
																																										CAR
																																										(BgL_l1182z00_1626);
																																									{	/* Eval/evaluate.scm 373 */
																																										obj_t
																																											BgL_iz00_1634;
																																										BgL_iz00_1634
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(CAR
																																											(BgL_bz00_1633));
																																										{	/* Eval/evaluate.scm 374 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1117z00_1635;
																																											{	/* Eval/evaluate.scm 374 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1116z00_1636;
																																												BgL_new1116z00_1636
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 374 */
																																													long
																																														BgL_arg1988z00_1637;
																																													{	/* Eval/evaluate.scm 374 */
																																														long
																																															BgL_res2377z00_2567;
																																														{	/* Eval/evaluate.scm 374 */
																																															obj_t
																																																BgL_classz00_2564;
																																															BgL_classz00_2564
																																																=
																																																BGl_ev_varz00zz__evaluate_typesz00;
																																															{	/* Eval/evaluate.scm 374 */
																																																obj_t
																																																	BgL_vectorz00_2565;
																																																int
																																																	BgL_kz00_2566;
																																																BgL_vectorz00_2565
																																																	=
																																																	BgL_classz00_2564;
																																																BgL_kz00_2566
																																																	=
																																																	(int)
																																																	(
																																																	((long) 1));
																																																BgL_res2377z00_2567
																																																	=
																																																	(long)
																																																	CINT
																																																	(VECTOR_REF
																																																	(BgL_vectorz00_2565,
																																																		BgL_kz00_2566));
																																														}}
																																														BgL_arg1988z00_1637
																																															=
																																															BgL_res2377z00_2567;
																																													}
																																													{	/* Eval/evaluate.scm 374 */
																																														BgL_objectz00_bglt
																																															BgL_objz00_2568;
																																														BgL_objz00_2568
																																															=
																																															(
																																															(BgL_objectz00_bglt)
																																															BgL_new1116z00_1636);
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(BgL_objz00_2568,
																																															BgL_arg1988z00_1637);
																																												}}
																																												{	/* Eval/evaluate.scm 374 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_4781;
																																													BgL_auxz00_4781
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1116z00_1636);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_4781,
																																														BFALSE);
																																												}
																																												BgL_new1117z00_1635
																																													=
																																													BgL_new1116z00_1636;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1635))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1634)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1635))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1117z00_1635))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1634)), BUNSPEC);
																																											BgL_arg1986z00_1632
																																												=
																																												BgL_new1117z00_1635;
																																								}}}
																																								{	/* Eval/evaluate.scm 372 */
																																									obj_t
																																										BgL_res2378z00_2574;
																																									{	/* Eval/evaluate.scm 372 */
																																										obj_t
																																											BgL_obj1z00_2572;
																																										BgL_obj1z00_2572
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg1986z00_1632);
																																										BgL_res2378z00_2574
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_2572,
																																											BNIL);
																																									}
																																									BgL_newtail1186z00_1630
																																										=
																																										BgL_res2378z00_2574;
																																							}}
																																							SET_CDR
																																								(BgL_tail1185z00_1627,
																																								BgL_newtail1186z00_1630);
																																							{
																																								obj_t
																																									BgL_tail1185z00_4794;
																																								obj_t
																																									BgL_l1182z00_4792;
																																								BgL_l1182z00_4792
																																									=
																																									CDR
																																									(BgL_l1182z00_1626);
																																								BgL_tail1185z00_4794
																																									=
																																									BgL_newtail1186z00_1630;
																																								BgL_tail1185z00_1627
																																									=
																																									BgL_tail1185z00_4794;
																																								BgL_l1182z00_1626
																																									=
																																									BgL_l1182z00_4792;
																																								goto
																																									BgL_zc3anonymousza31983ze3z83_1628;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 378 */
																																			BgL_ev_letz00_bglt
																																				BgL_new1119z00_1604;
																																			{	/* Eval/evaluate.scm 378 */
																																				BgL_ev_letz00_bglt
																																					BgL_new1118z00_1620;
																																				BgL_new1118z00_1620
																																					=
																																					(
																																					(BgL_ev_letz00_bglt)
																																					BREF
																																					(GC_MALLOC
																																						(sizeof
																																							(struct
																																								BgL_ev_letz00_bgl))));
																																				{	/* Eval/evaluate.scm 378 */
																																					long
																																						BgL_arg1981z00_1621;
																																					{	/* Eval/evaluate.scm 378 */
																																						long
																																							BgL_res2379z00_2581;
																																						{	/* Eval/evaluate.scm 378 */
																																							obj_t
																																								BgL_classz00_2578;
																																							BgL_classz00_2578
																																								=
																																								BGl_ev_letz00zz__evaluate_typesz00;
																																							{	/* Eval/evaluate.scm 378 */
																																								obj_t
																																									BgL_vectorz00_2579;
																																								int
																																									BgL_kz00_2580;
																																								BgL_vectorz00_2579
																																									=
																																									BgL_classz00_2578;
																																								BgL_kz00_2580
																																									=
																																									(int)
																																									(
																																									((long) 1));
																																								BgL_res2379z00_2581
																																									=
																																									(long)
																																									CINT
																																									(VECTOR_REF
																																									(BgL_vectorz00_2579,
																																										BgL_kz00_2580));
																																						}}
																																						BgL_arg1981z00_1621
																																							=
																																							BgL_res2379z00_2581;
																																					}
																																					{	/* Eval/evaluate.scm 378 */
																																						BgL_objectz00_bglt
																																							BgL_objz00_2582;
																																						BgL_objz00_2582
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1118z00_1620);
																																						BGL_OBJECT_CLASS_NUM_SET
																																							(BgL_objz00_2582,
																																							BgL_arg1981z00_1621);
																																				}}
																																				{	/* Eval/evaluate.scm 378 */
																																					BgL_objectz00_bglt
																																						BgL_auxz00_4801;
																																					BgL_auxz00_4801
																																						=
																																						(
																																						(BgL_objectz00_bglt)
																																						BgL_new1118z00_1620);
																																					BGL_OBJECT_WIDENING_SET
																																						(BgL_auxz00_4801,
																																						BFALSE);
																																				}
																																				BgL_new1119z00_1604
																																					=
																																					BgL_new1118z00_1620;
																																			}
																																			((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1119z00_1604)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1603), BUNSPEC);
																																			{
																																				obj_t
																																					BgL_auxz00_4806;
																																				if (NULLP(BgL_bindsz00_887))
																																					{	/* Eval/evaluate.scm 380 */
																																						BgL_auxz00_4806
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 380 */
																																						obj_t
																																							BgL_head1189z00_1607;
																																						{	/* Eval/evaluate.scm 380 */
																																							obj_t
																																								BgL_res2381z00_2588;
																																							BgL_res2381z00_2588
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1189z00_1607
																																								=
																																								BgL_res2381z00_2588;
																																						}
																																						{
																																							obj_t
																																								BgL_l1187z00_2641;
																																							obj_t
																																								BgL_tail1190z00_2642;
																																							BgL_l1187z00_2641
																																								=
																																								BgL_bindsz00_887;
																																							BgL_tail1190z00_2642
																																								=
																																								BgL_head1189z00_1607;
																																						BgL_zc3anonymousza31975ze3z83_2640:
																																							if (NULLP(BgL_l1187z00_2641))
																																								{	/* Eval/evaluate.scm 380 */
																																									BgL_auxz00_4806
																																										=
																																										CDR
																																										(BgL_head1189z00_1607);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 380 */
																																									obj_t
																																										BgL_newtail1191z00_2650;
																																									{	/* Eval/evaluate.scm 380 */
																																										obj_t
																																											BgL_arg1978z00_2651;
																																										{	/* Eval/evaluate.scm 380 */
																																											obj_t
																																												BgL_bz00_2652;
																																											{	/* Eval/evaluate.scm 380 */
																																												obj_t
																																													BgL_pairz00_2658;
																																												BgL_pairz00_2658
																																													=
																																													BgL_l1187z00_2641;
																																												BgL_bz00_2652
																																													=
																																													CAR
																																													(BgL_pairz00_2658);
																																											}
																																											{	/* Eval/evaluate.scm 380 */
																																												obj_t
																																													BgL_arg1979z00_2653;
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_pairz00_2659;
																																													BgL_pairz00_2659
																																														=
																																														BgL_bz00_2652;
																																													{	/* Eval/evaluate.scm 380 */
																																														obj_t
																																															BgL_pairz00_2662;
																																														BgL_pairz00_2662
																																															=
																																															CDR
																																															(BgL_pairz00_2659);
																																														BgL_arg1979z00_2653
																																															=
																																															CAR
																																															(BgL_pairz00_2662);
																																													}
																																												}
																																												{	/* Eval/evaluate.scm 380 */
																																													obj_t
																																														BgL_arg2072z00_2664;
																																													BgL_arg2072z00_2664
																																														=
																																														BGl_getzd2locationzd2zz__evaluatez00
																																														(BgL_arg1979z00_2653,
																																														BgL_locz00_54);
																																													BgL_arg1978z00_2651
																																														=
																																														BGl_uconvzf2loczf2zz__evaluatez00
																																														(BgL_wherez00_53,
																																														BgL_globalsz00_51,
																																														BgL_localsz00_50,
																																														BgL_arg1979z00_2653,
																																														BgL_arg2072z00_2664);
																																												}
																																											}
																																										}
																																										{	/* Eval/evaluate.scm 380 */
																																											obj_t
																																												BgL_res2387z00_2667;
																																											BgL_res2387z00_2667
																																												=
																																												MAKE_PAIR
																																												(BgL_arg1978z00_2651,
																																												BNIL);
																																											BgL_newtail1191z00_2650
																																												=
																																												BgL_res2387z00_2667;
																																										}
																																									}
																																									SET_CDR
																																										(BgL_tail1190z00_2642,
																																										BgL_newtail1191z00_2650);
																																									{	/* Eval/evaluate.scm 380 */
																																										obj_t
																																											BgL_arg1977z00_2654;
																																										{	/* Eval/evaluate.scm 380 */
																																											obj_t
																																												BgL_pairz00_2670;
																																											BgL_pairz00_2670
																																												=
																																												BgL_l1187z00_2641;
																																											BgL_arg1977z00_2654
																																												=
																																												CDR
																																												(BgL_pairz00_2670);
																																										}
																																										{
																																											obj_t
																																												BgL_tail1190z00_4823;
																																											obj_t
																																												BgL_l1187z00_4822;
																																											BgL_l1187z00_4822
																																												=
																																												BgL_arg1977z00_2654;
																																											BgL_tail1190z00_4823
																																												=
																																												BgL_newtail1191z00_2650;
																																											BgL_tail1190z00_2642
																																												=
																																												BgL_tail1190z00_4823;
																																											BgL_l1187z00_2641
																																												=
																																												BgL_l1187z00_4822;
																																											goto
																																												BgL_zc3anonymousza31975ze3z83_2640;
																																										}
																																									}
																																								}
																																						}
																																					}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1119z00_1604)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4806), BUNSPEC);
																																			}
																																			{
																																				BgL_ev_exprz00_bglt
																																					BgL_auxz00_4825;
																																				{	/* Eval/evaluate.scm 381 */
																																					obj_t
																																						BgL_arg1980z00_1619;
																																					BgL_arg1980z00_1619
																																						=
																																						BGl_appendzd221011zd2zz__evaluatez00
																																						(BgL_varsz00_1603,
																																						BgL_localsz00_50);
																																					BgL_auxz00_4825
																																						=
																																						(
																																						(BgL_ev_exprz00_bglt)
																																						BGl_convzd2beginzd2zz__evaluatez00
																																						(BgL_bodyz00_888,
																																							BgL_arg1980z00_1619,
																																							BgL_globalsz00_51,
																																							BgL_tailzf3zf3_52,
																																							BgL_wherez00_53,
																																							BgL_locz00_54,
																																							((bool_t) 0)));
																																				}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1119z00_1604)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4825), BUNSPEC);
																																			}
																																			((((BgL_ev_letz00_bglt) CREF(BgL_new1119z00_1604))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																			BgL_auxz00_4765
																																				=
																																				BgL_new1119z00_1604;
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4765);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1500z00_1047;
																																BgL_arg1500z00_1047
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_4834;
																																	{
																																		obj_t
																																			BgL_argsz00_4836;
																																		obj_t
																																			BgL_fz00_4835;
																																		BgL_fz00_4835
																																			=
																																			BgL_arg1500z00_1047;
																																		BgL_argsz00_4836
																																			=
																																			BgL_cdrzd25008zd2_1042;
																																		BgL_argsz00_927
																																			=
																																			BgL_argsz00_4836;
																																		BgL_fz00_926
																																			=
																																			BgL_fz00_4835;
																																		goto
																																			BgL_tagzd2154zd2_928;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4834);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														if (
																															(CAR(BgL_ez00_49)
																																==
																																BGl_symbol2626z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd25008zd2_1042))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1504z00_1052;
																																		obj_t
																																			BgL_arg1505z00_1053;
																																		BgL_arg1504z00_1052
																																			=
																																			CAR
																																			(BgL_cdrzd25008zd2_1042);
																																		BgL_arg1505z00_1053
																																			=
																																			CDR
																																			(BgL_cdrzd25008zd2_1042);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_4845;
																																			BgL_bindsz00_890
																																				=
																																				BgL_arg1504z00_1052;
																																			BgL_bodyz00_891
																																				=
																																				BgL_arg1505z00_1053;
																																		BgL_tagzd2142zd2_892:
																																			{	/* Eval/evaluate.scm 389 */
																																				obj_t
																																					BgL_varsz00_1641;
																																				obj_t
																																					BgL_blocz00_1642;
																																				if (NULLP(BgL_bindsz00_890))
																																					{	/* Eval/evaluate.scm 389 */
																																						BgL_varsz00_1641
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 389 */
																																						obj_t
																																							BgL_head1194z00_1650;
																																						{	/* Eval/evaluate.scm 389 */
																																							obj_t
																																								BgL_res2391z00_2725;
																																							BgL_res2391z00_2725
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1194z00_1650
																																								=
																																								BgL_res2391z00_2725;
																																						}
																																						{
																																							obj_t
																																								BgL_l1192z00_1652;
																																							obj_t
																																								BgL_tail1195z00_1653;
																																							BgL_l1192z00_1652
																																								=
																																								BgL_bindsz00_890;
																																							BgL_tail1195z00_1653
																																								=
																																								BgL_head1194z00_1650;
																																						BgL_zc3anonymousza31994ze3z83_1654:
																																							if (NULLP(BgL_l1192z00_1652))
																																								{	/* Eval/evaluate.scm 389 */
																																									BgL_varsz00_1641
																																										=
																																										CDR
																																										(BgL_head1194z00_1650);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 389 */
																																									obj_t
																																										BgL_newtail1196z00_1656;
																																									{	/* Eval/evaluate.scm 389 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg1997z00_1658;
																																										{	/* Eval/evaluate.scm 389 */
																																											obj_t
																																												BgL_bz00_1659;
																																											BgL_bz00_1659
																																												=
																																												CAR
																																												(BgL_l1192z00_1652);
																																											{	/* Eval/evaluate.scm 390 */
																																												obj_t
																																													BgL_iz00_1660;
																																												BgL_iz00_1660
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1659));
																																												{	/* Eval/evaluate.scm 391 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1122z00_1661;
																																													{	/* Eval/evaluate.scm 391 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1120z00_1662;
																																														BgL_new1120z00_1662
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 391 */
																																															long
																																																BgL_arg1999z00_1663;
																																															{	/* Eval/evaluate.scm 391 */
																																																long
																																																	BgL_res2393z00_2734;
																																																{	/* Eval/evaluate.scm 391 */
																																																	obj_t
																																																		BgL_classz00_2731;
																																																	BgL_classz00_2731
																																																		=
																																																		BGl_ev_varz00zz__evaluate_typesz00;
																																																	{	/* Eval/evaluate.scm 391 */
																																																		obj_t
																																																			BgL_vectorz00_2732;
																																																		int
																																																			BgL_kz00_2733;
																																																		BgL_vectorz00_2732
																																																			=
																																																			BgL_classz00_2731;
																																																		BgL_kz00_2733
																																																			=
																																																			(int)
																																																			(
																																																			((long) 1));
																																																		BgL_res2393z00_2734
																																																			=
																																																			(long)
																																																			CINT
																																																			(VECTOR_REF
																																																			(BgL_vectorz00_2732,
																																																				BgL_kz00_2733));
																																																}}
																																																BgL_arg1999z00_1663
																																																	=
																																																	BgL_res2393z00_2734;
																																															}
																																															{	/* Eval/evaluate.scm 391 */
																																																BgL_objectz00_bglt
																																																	BgL_objz00_2735;
																																																BgL_objz00_2735
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1120z00_1662);
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(BgL_objz00_2735,
																																																	BgL_arg1999z00_1663);
																																														}}
																																														{	/* Eval/evaluate.scm 391 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_4861;
																																															BgL_auxz00_4861
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1120z00_1662);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_4861,
																																																BFALSE);
																																														}
																																														BgL_new1122z00_1661
																																															=
																																															BgL_new1120z00_1662;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1661))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1660)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1661))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1661))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1660)), BUNSPEC);
																																													BgL_arg1997z00_1658
																																														=
																																														BgL_new1122z00_1661;
																																										}}}
																																										{	/* Eval/evaluate.scm 389 */
																																											obj_t
																																												BgL_res2394z00_2741;
																																											{	/* Eval/evaluate.scm 389 */
																																												obj_t
																																													BgL_obj1z00_2739;
																																												BgL_obj1z00_2739
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg1997z00_1658);
																																												BgL_res2394z00_2741
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_2739,
																																													BNIL);
																																											}
																																											BgL_newtail1196z00_1656
																																												=
																																												BgL_res2394z00_2741;
																																									}}
																																									SET_CDR
																																										(BgL_tail1195z00_1653,
																																										BgL_newtail1196z00_1656);
																																									{
																																										obj_t
																																											BgL_tail1195z00_4874;
																																										obj_t
																																											BgL_l1192z00_4872;
																																										BgL_l1192z00_4872
																																											=
																																											CDR
																																											(BgL_l1192z00_1652);
																																										BgL_tail1195z00_4874
																																											=
																																											BgL_newtail1196z00_1656;
																																										BgL_tail1195z00_1653
																																											=
																																											BgL_tail1195z00_4874;
																																										BgL_l1192z00_1652
																																											=
																																											BgL_l1192z00_4872;
																																										goto
																																											BgL_zc3anonymousza31994ze3z83_1654;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 395 */
																																					obj_t
																																						BgL__ortest_1066z00_2747;
																																					BgL__ortest_1066z00_2747
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_890);
																																					if (CBOOL(BgL__ortest_1066z00_2747))
																																						{	/* Eval/evaluate.scm 395 */
																																							BgL_blocz00_1642
																																								=
																																								BgL__ortest_1066z00_2747;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 395 */
																																							BgL_blocz00_1642
																																								=
																																								BgL_locz00_54;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 396 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1125z00_1643;
																																					{	/* Eval/evaluate.scm 396 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1123z00_1646;
																																						BgL_new1123z00_1646
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 396 */
																																							long
																																								BgL_arg1992z00_1647;
																																							{	/* Eval/evaluate.scm 396 */
																																								long
																																									BgL_res2395z00_2751;
																																								{	/* Eval/evaluate.scm 396 */
																																									obj_t
																																										BgL_classz00_2748;
																																									BgL_classz00_2748
																																										=
																																										BGl_ev_letza2za2zz__evaluate_typesz00;
																																									{	/* Eval/evaluate.scm 396 */
																																										obj_t
																																											BgL_vectorz00_2749;
																																										int
																																											BgL_kz00_2750;
																																										BgL_vectorz00_2749
																																											=
																																											BgL_classz00_2748;
																																										BgL_kz00_2750
																																											=
																																											(int)
																																											(
																																											((long) 1));
																																										BgL_res2395z00_2751
																																											=
																																											(long)
																																											CINT
																																											(VECTOR_REF
																																											(BgL_vectorz00_2749,
																																												BgL_kz00_2750));
																																								}}
																																								BgL_arg1992z00_1647
																																									=
																																									BgL_res2395z00_2751;
																																							}
																																							{	/* Eval/evaluate.scm 396 */
																																								BgL_objectz00_bglt
																																									BgL_objz00_2752;
																																								BgL_objz00_2752
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1123z00_1646);
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(BgL_objz00_2752,
																																									BgL_arg1992z00_1647);
																																						}}
																																						{	/* Eval/evaluate.scm 396 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_4884;
																																							BgL_auxz00_4884
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1123z00_1646);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_4884,
																																								BFALSE);
																																						}
																																						BgL_new1125z00_1643
																																							=
																																							BgL_new1123z00_1646;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1643)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1641), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1643)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_53, BgL_globalsz00_51, BgL_bindsz00_890, BgL_varsz00_1641, BgL_localsz00_50, BgL_blocz00_1642)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_4892;
																																						{	/* Eval/evaluate.scm 399 */
																																							obj_t
																																								BgL_arg1990z00_1644;
																																							{	/* Eval/evaluate.scm 399 */
																																								obj_t
																																									BgL_arg1991z00_1645;
																																								BgL_arg1991z00_1645
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1641);
																																								BgL_arg1990z00_1644
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg1991z00_1645,
																																									BgL_localsz00_50);
																																							}
																																							BgL_auxz00_4892
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_891,
																																									BgL_arg1990z00_1644,
																																									BgL_globalsz00_51,
																																									BgL_tailzf3zf3_52,
																																									BgL_wherez00_53,
																																									BgL_locz00_54,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1643)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4892), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1125z00_1643))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_4845
																																						=
																																						BgL_new1125z00_1643;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4845);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1507z00_1054;
																																		obj_t
																																			BgL_arg1508z00_1055;
																																		BgL_arg1507z00_1054
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		BgL_arg1508z00_1055
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_4903;
																																			{
																																				obj_t
																																					BgL_argsz00_4905;
																																				obj_t
																																					BgL_fz00_4904;
																																				BgL_fz00_4904
																																					=
																																					BgL_arg1507z00_1054;
																																				BgL_argsz00_4905
																																					=
																																					BgL_arg1508z00_1055;
																																				BgL_argsz00_927
																																					=
																																					BgL_argsz00_4905;
																																				BgL_fz00_926
																																					=
																																					BgL_fz00_4904;
																																				goto
																																					BgL_tagzd2154zd2_928;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4903);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_cdrzd25324zd2_1056;
																																BgL_cdrzd25324zd2_1056
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																if ((CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2628z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd25324zd2_1056))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1511z00_1059;
																																				obj_t
																																					BgL_arg1512z00_1060;
																																				BgL_arg1511z00_1059
																																					=
																																					CAR
																																					(BgL_cdrzd25324zd2_1056);
																																				BgL_arg1512z00_1060
																																					=
																																					CDR
																																					(BgL_cdrzd25324zd2_1056);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_4915;
																																					BgL_bindsz00_893
																																						=
																																						BgL_arg1511z00_1059;
																																					BgL_bodyz00_894
																																						=
																																						BgL_arg1512z00_1060;
																																				BgL_tagzd2143zd2_895:
																																					{	/* Eval/evaluate.scm 401 */
																																						obj_t
																																							BgL_varsz00_1681;
																																						if (NULLP(BgL_bindsz00_893))
																																							{	/* Eval/evaluate.scm 401 */
																																								BgL_varsz00_1681
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 401 */
																																								obj_t
																																									BgL_head1199z00_1709;
																																								{	/* Eval/evaluate.scm 401 */
																																									obj_t
																																										BgL_res2398z00_2795;
																																									BgL_res2398z00_2795
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1199z00_1709
																																										=
																																										BgL_res2398z00_2795;
																																								}
																																								{
																																									obj_t
																																										BgL_l1197z00_1711;
																																									obj_t
																																										BgL_tail1200z00_1712;
																																									BgL_l1197z00_1711
																																										=
																																										BgL_bindsz00_893;
																																									BgL_tail1200z00_1712
																																										=
																																										BgL_head1199z00_1709;
																																								BgL_zc3anonymousza32027ze3z83_1713:
																																									if (NULLP(BgL_l1197z00_1711))
																																										{	/* Eval/evaluate.scm 401 */
																																											BgL_varsz00_1681
																																												=
																																												CDR
																																												(BgL_head1199z00_1709);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 401 */
																																											obj_t
																																												BgL_newtail1201z00_1715;
																																											{	/* Eval/evaluate.scm 401 */
																																												BgL_ev_varz00_bglt
																																													BgL_arg2031z00_1717;
																																												{	/* Eval/evaluate.scm 401 */
																																													obj_t
																																														BgL_bz00_1718;
																																													BgL_bz00_1718
																																														=
																																														CAR
																																														(BgL_l1197z00_1711);
																																													{	/* Eval/evaluate.scm 402 */
																																														obj_t
																																															BgL_iz00_1719;
																																														BgL_iz00_1719
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(CAR
																																															(BgL_bz00_1718));
																																														{	/* Eval/evaluate.scm 403 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1127z00_1720;
																																															{	/* Eval/evaluate.scm 403 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1126z00_1721;
																																																BgL_new1126z00_1721
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 403 */
																																																	long
																																																		BgL_arg2032z00_1722;
																																																	{	/* Eval/evaluate.scm 403 */
																																																		long
																																																			BgL_res2400z00_2804;
																																																		{	/* Eval/evaluate.scm 403 */
																																																			obj_t
																																																				BgL_classz00_2801;
																																																			BgL_classz00_2801
																																																				=
																																																				BGl_ev_varz00zz__evaluate_typesz00;
																																																			{	/* Eval/evaluate.scm 403 */
																																																				obj_t
																																																					BgL_vectorz00_2802;
																																																				int
																																																					BgL_kz00_2803;
																																																				BgL_vectorz00_2802
																																																					=
																																																					BgL_classz00_2801;
																																																				BgL_kz00_2803
																																																					=
																																																					(int)
																																																					(
																																																					((long) 1));
																																																				BgL_res2400z00_2804
																																																					=
																																																					(long)
																																																					CINT
																																																					(VECTOR_REF
																																																					(BgL_vectorz00_2802,
																																																						BgL_kz00_2803));
																																																		}}
																																																		BgL_arg2032z00_1722
																																																			=
																																																			BgL_res2400z00_2804;
																																																	}
																																																	{	/* Eval/evaluate.scm 403 */
																																																		BgL_objectz00_bglt
																																																			BgL_objz00_2805;
																																																		BgL_objz00_2805
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1126z00_1721);
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(BgL_objz00_2805,
																																																			BgL_arg2032z00_1722);
																																																}}
																																																{	/* Eval/evaluate.scm 403 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_4931;
																																																	BgL_auxz00_4931
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1126z00_1721);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_4931,
																																																		BFALSE);
																																																}
																																																BgL_new1127z00_1720
																																																	=
																																																	BgL_new1126z00_1721;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1720))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1719)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1720))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1720))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1719)), BUNSPEC);
																																															BgL_arg2031z00_1717
																																																=
																																																BgL_new1127z00_1720;
																																												}}}
																																												{	/* Eval/evaluate.scm 401 */
																																													obj_t
																																														BgL_res2401z00_2811;
																																													{	/* Eval/evaluate.scm 401 */
																																														obj_t
																																															BgL_obj1z00_2809;
																																														BgL_obj1z00_2809
																																															=
																																															(
																																															(obj_t)
																																															BgL_arg2031z00_1717);
																																														BgL_res2401z00_2811
																																															=
																																															MAKE_PAIR
																																															(BgL_obj1z00_2809,
																																															BNIL);
																																													}
																																													BgL_newtail1201z00_1715
																																														=
																																														BgL_res2401z00_2811;
																																											}}
																																											SET_CDR
																																												(BgL_tail1200z00_1712,
																																												BgL_newtail1201z00_1715);
																																											{
																																												obj_t
																																													BgL_tail1200z00_4944;
																																												obj_t
																																													BgL_l1197z00_4942;
																																												BgL_l1197z00_4942
																																													=
																																													CDR
																																													(BgL_l1197z00_1711);
																																												BgL_tail1200z00_4944
																																													=
																																													BgL_newtail1201z00_1715;
																																												BgL_tail1200z00_1712
																																													=
																																													BgL_tail1200z00_4944;
																																												BgL_l1197z00_1711
																																													=
																																													BgL_l1197z00_4942;
																																												goto
																																													BgL_zc3anonymousza32027ze3z83_1713;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 401 */
																																							obj_t
																																								BgL_localsz00_1682;
																																							BgL_localsz00_1682
																																								=
																																								BGl_appendzd221011zd2zz__evaluatez00
																																								(BgL_varsz00_1681,
																																								BgL_localsz00_50);
																																							{	/* Eval/evaluate.scm 407 */
																																								obj_t
																																									BgL_blocz00_1683;
																																								{	/* Eval/evaluate.scm 408 */
																																									obj_t
																																										BgL__ortest_1066z00_2817;
																																									BgL__ortest_1066z00_2817
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_bindsz00_893);
																																									if (CBOOL(BgL__ortest_1066z00_2817))
																																										{	/* Eval/evaluate.scm 408 */
																																											BgL_blocz00_1683
																																												=
																																												BgL__ortest_1066z00_2817;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 408 */
																																											BgL_blocz00_1683
																																												=
																																												BgL_locz00_54;
																																										}
																																								}
																																								{	/* Eval/evaluate.scm 408 */

																																									{	/* Eval/evaluate.scm 409 */
																																										BgL_ev_letrecz00_bglt
																																											BgL_new1129z00_1684;
																																										{	/* Eval/evaluate.scm 409 */
																																											BgL_ev_letrecz00_bglt
																																												BgL_new1128z00_1705;
																																											BgL_new1128z00_1705
																																												=
																																												(
																																												(BgL_ev_letrecz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_letrecz00_bgl))));
																																											{	/* Eval/evaluate.scm 409 */
																																												long
																																													BgL_arg2025z00_1706;
																																												{	/* Eval/evaluate.scm 409 */
																																													long
																																														BgL_res2402z00_2821;
																																													{	/* Eval/evaluate.scm 409 */
																																														obj_t
																																															BgL_classz00_2818;
																																														BgL_classz00_2818
																																															=
																																															BGl_ev_letrecz00zz__evaluate_typesz00;
																																														{	/* Eval/evaluate.scm 409 */
																																															obj_t
																																																BgL_vectorz00_2819;
																																															int
																																																BgL_kz00_2820;
																																															BgL_vectorz00_2819
																																																=
																																																BgL_classz00_2818;
																																															BgL_kz00_2820
																																																=
																																																(int)
																																																(
																																																((long) 1));
																																															BgL_res2402z00_2821
																																																=
																																																(long)
																																																CINT
																																																(VECTOR_REF
																																																(BgL_vectorz00_2819,
																																																	BgL_kz00_2820));
																																													}}
																																													BgL_arg2025z00_1706
																																														=
																																														BgL_res2402z00_2821;
																																												}
																																												{	/* Eval/evaluate.scm 409 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_2822;
																																													BgL_objz00_2822
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1128z00_1705);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(BgL_objz00_2822,
																																														BgL_arg2025z00_1706);
																																											}}
																																											{	/* Eval/evaluate.scm 409 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_4955;
																																												BgL_auxz00_4955
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_new1128z00_1705);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_4955,
																																													BFALSE);
																																											}
																																											BgL_new1129z00_1684
																																												=
																																												BgL_new1128z00_1705;
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1684)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1681), BUNSPEC);
																																										{
																																											obj_t
																																												BgL_auxz00_4960;
																																											if (NULLP(BgL_bindsz00_893))
																																												{	/* Eval/evaluate.scm 411 */
																																													BgL_auxz00_4960
																																														=
																																														BNIL;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 411 */
																																													obj_t
																																														BgL_head1204z00_1687;
																																													{	/* Eval/evaluate.scm 411 */
																																														obj_t
																																															BgL_res2404z00_2828;
																																														BgL_res2404z00_2828
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1204z00_1687
																																															=
																																															BgL_res2404z00_2828;
																																													}
																																													{
																																														obj_t
																																															BgL_l1202z00_1689;
																																														obj_t
																																															BgL_tail1205z00_1690;
																																														BgL_l1202z00_1689
																																															=
																																															BgL_bindsz00_893;
																																														BgL_tail1205z00_1690
																																															=
																																															BgL_head1204z00_1687;
																																													BgL_zc3anonymousza32012ze3z83_1691:
																																														if (NULLP(BgL_l1202z00_1689))
																																															{	/* Eval/evaluate.scm 411 */
																																																BgL_auxz00_4960
																																																	=
																																																	CDR
																																																	(BgL_head1204z00_1687);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 411 */
																																																obj_t
																																																	BgL_newtail1206z00_1693;
																																																{	/* Eval/evaluate.scm 411 */
																																																	obj_t
																																																		BgL_arg2016z00_1695;
																																																	{	/* Eval/evaluate.scm 411 */
																																																		obj_t
																																																			BgL_bz00_1696;
																																																		{	/* Eval/evaluate.scm 411 */
																																																			obj_t
																																																				BgL_pairz00_2832;
																																																			BgL_pairz00_2832
																																																				=
																																																				BgL_l1202z00_1689;
																																																			BgL_bz00_1696
																																																				=
																																																				CAR
																																																				(BgL_pairz00_2832);
																																																		}
																																																		{	/* Eval/evaluate.scm 412 */
																																																			obj_t
																																																				BgL_arg2017z00_1697;
																																																			obj_t
																																																				BgL_arg2018z00_1698;
																																																			obj_t
																																																				BgL_arg2020z00_1699;
																																																			{	/* Eval/evaluate.scm 412 */
																																																				obj_t
																																																					BgL_pairz00_2833;
																																																				BgL_pairz00_2833
																																																					=
																																																					BgL_bz00_1696;
																																																				{	/* Eval/evaluate.scm 412 */
																																																					obj_t
																																																						BgL_pairz00_2836;
																																																					BgL_pairz00_2836
																																																						=
																																																						CDR
																																																						(BgL_pairz00_2833);
																																																					BgL_arg2017z00_1697
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2836);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 412 */
																																																				obj_t
																																																					BgL_arg2021z00_1700;
																																																				{	/* Eval/evaluate.scm 412 */
																																																					obj_t
																																																						BgL_pairz00_2837;
																																																					BgL_pairz00_2837
																																																						=
																																																						BgL_bz00_1696;
																																																					BgL_arg2021z00_1700
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2837);
																																																				}
																																																				{	/* Eval/evaluate.scm 412 */
																																																					obj_t
																																																						BgL_list2022z00_1701;
																																																					{	/* Eval/evaluate.scm 412 */
																																																						obj_t
																																																							BgL_arg2023z00_1702;
																																																						{	/* Eval/evaluate.scm 412 */
																																																							obj_t
																																																								BgL_arg2024z00_1703;
																																																							BgL_arg2024z00_1703
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_wherez00_53,
																																																								BNIL);
																																																							BgL_arg2023z00_1702
																																																								=
																																																								MAKE_PAIR
																																																								(BGl_symbol2603z00zz__evaluatez00,
																																																								BgL_arg2024z00_1703);
																																																						}
																																																						BgL_list2022z00_1701
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2021z00_1700,
																																																							BgL_arg2023z00_1702);
																																																					}
																																																					BgL_arg2018z00_1698
																																																						=
																																																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																						(BgL_list2022z00_1701);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 412 */
																																																				obj_t
																																																					BgL__ortest_1066z00_2840;
																																																				BgL__ortest_1066z00_2840
																																																					=
																																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																																					(BgL_bz00_1696);
																																																				if (CBOOL(BgL__ortest_1066z00_2840))
																																																					{	/* Eval/evaluate.scm 412 */
																																																						BgL_arg2020z00_1699
																																																							=
																																																							BgL__ortest_1066z00_2840;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 412 */
																																																						BgL_arg2020z00_1699
																																																							=
																																																							BgL_blocz00_1683;
																																																					}
																																																			}
																																																			BgL_arg2016z00_1695
																																																				=
																																																				BGl_convz00zz__evaluatez00
																																																				(BgL_arg2017z00_1697,
																																																				BgL_localsz00_1682,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_arg2018z00_1698,
																																																				BgL_arg2020z00_1699,
																																																				((bool_t) 0));
																																																		}
																																																	}
																																																	{	/* Eval/evaluate.scm 411 */
																																																		obj_t
																																																			BgL_res2406z00_2843;
																																																		BgL_res2406z00_2843
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg2016z00_1695,
																																																			BNIL);
																																																		BgL_newtail1206z00_1693
																																																			=
																																																			BgL_res2406z00_2843;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1205z00_1690,
																																																	BgL_newtail1206z00_1693);
																																																{	/* Eval/evaluate.scm 411 */
																																																	obj_t
																																																		BgL_arg2014z00_1694;
																																																	{	/* Eval/evaluate.scm 411 */
																																																		obj_t
																																																			BgL_pairz00_2846;
																																																		BgL_pairz00_2846
																																																			=
																																																			BgL_l1202z00_1689;
																																																		BgL_arg2014z00_1694
																																																			=
																																																			CDR
																																																			(BgL_pairz00_2846);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_tail1205z00_4984;
																																																		obj_t
																																																			BgL_l1202z00_4983;
																																																		BgL_l1202z00_4983
																																																			=
																																																			BgL_arg2014z00_1694;
																																																		BgL_tail1205z00_4984
																																																			=
																																																			BgL_newtail1206z00_1693;
																																																		BgL_tail1205z00_1690
																																																			=
																																																			BgL_tail1205z00_4984;
																																																		BgL_l1202z00_1689
																																																			=
																																																			BgL_l1202z00_4983;
																																																		goto
																																																			BgL_zc3anonymousza32012ze3z83_1691;
																																																	}
																																																}
																																															}
																																													}
																																												}
																																											((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1684)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4960), BUNSPEC);
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1129z00_1684)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_894, BgL_localsz00_1682, BgL_globalsz00_51, BgL_tailzf3zf3_52, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																										BgL_auxz00_4915
																																											=
																																											BgL_new1129z00_1684;
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4915);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1513z00_1061;
																																				BgL_arg1513z00_1061
																																					=
																																					CAR
																																					(BgL_ez00_49);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_4992;
																																					{
																																						obj_t
																																							BgL_argsz00_4994;
																																						obj_t
																																							BgL_fz00_4993;
																																						BgL_fz00_4993
																																							=
																																							BgL_arg1513z00_1061;
																																						BgL_argsz00_4994
																																							=
																																							BgL_cdrzd25324zd2_1056;
																																						BgL_argsz00_927
																																							=
																																							BgL_argsz00_4994;
																																						BgL_fz00_926
																																							=
																																							BgL_fz00_4993;
																																						goto
																																							BgL_tagzd2154zd2_928;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_4992);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		if (
																																			(CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2630z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd25324zd2_1056))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_carzd25462zd2_1066;
																																						obj_t
																																							BgL_cdrzd25463zd2_1067;
																																						BgL_carzd25462zd2_1066
																																							=
																																							CAR
																																							(BgL_cdrzd25324zd2_1056);
																																						BgL_cdrzd25463zd2_1067
																																							=
																																							CDR
																																							(BgL_cdrzd25324zd2_1056);
																																						if (PAIRP(BgL_carzd25462zd2_1066))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd25467zd2_1069;
																																								BgL_cdrzd25467zd2_1069
																																									=
																																									CDR
																																									(BgL_carzd25462zd2_1066);
																																								if ((CAR(BgL_carzd25462zd2_1066) == BGl_symbol2608z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd25467zd2_1069))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_carzd25470zd2_1072;
																																												obj_t
																																													BgL_cdrzd25471zd2_1073;
																																												BgL_carzd25470zd2_1072
																																													=
																																													CAR
																																													(BgL_cdrzd25467zd2_1069);
																																												BgL_cdrzd25471zd2_1073
																																													=
																																													CDR
																																													(BgL_cdrzd25467zd2_1069);
																																												if (SYMBOLP(BgL_carzd25470zd2_1072))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd25471zd2_1073))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_carzd25475zd2_1076;
																																																BgL_carzd25475zd2_1076
																																																	=
																																																	CAR
																																																	(BgL_cdrzd25471zd2_1073);
																																																if (SYMBOLP(BgL_carzd25475zd2_1076))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd25471zd2_1073)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (PAIRP(BgL_cdrzd25463zd2_1067))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						if (NULLP(CDR(BgL_cdrzd25463zd2_1067)))
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg1528z00_1081;
																																																								BgL_arg1528z00_1081
																																																									=
																																																									CAR
																																																									(BgL_cdrzd25463zd2_1067);
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_idz00_3173;
																																																									obj_t
																																																										BgL_modnamez00_3174;
																																																									BgL_idz00_3173
																																																										=
																																																										BgL_carzd25470zd2_1072;
																																																									BgL_modnamez00_3174
																																																										=
																																																										BgL_carzd25475zd2_1076;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1131z00_3176;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_new1130z00_3177;
																																																											BgL_new1130z00_3177
																																																												=
																																																												(
																																																												(BgL_ev_setglobalz00_bglt)
																																																												BREF
																																																												(GC_MALLOC
																																																													(sizeof
																																																														(struct
																																																															BgL_ev_setglobalz00_bgl))));
																																																											{	/* Eval/evaluate.scm 319 */
																																																												long
																																																													BgL_arg2034z00_3178;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													long
																																																														BgL_res2458z00_3182;
																																																													{	/* Eval/evaluate.scm 319 */
																																																														obj_t
																																																															BgL_classz00_3179;
																																																														BgL_classz00_3179
																																																															=
																																																															BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																														{	/* Eval/evaluate.scm 319 */
																																																															obj_t
																																																																BgL_vectorz00_3180;
																																																															int
																																																																BgL_kz00_3181;
																																																															BgL_vectorz00_3180
																																																																=
																																																																BgL_classz00_3179;
																																																															BgL_kz00_3181
																																																																=
																																																																(int)
																																																																(
																																																																((long) 1));
																																																															BgL_res2458z00_3182
																																																																=
																																																																(long)
																																																																CINT
																																																																(VECTOR_REF
																																																																(BgL_vectorz00_3180,
																																																																	BgL_kz00_3181));
																																																													}}
																																																													BgL_arg2034z00_3178
																																																														=
																																																														BgL_res2458z00_3182;
																																																												}
																																																												{	/* Eval/evaluate.scm 319 */
																																																													BgL_objectz00_bglt
																																																														BgL_objz00_3183;
																																																													BgL_objz00_3183
																																																														=
																																																														(
																																																														(BgL_objectz00_bglt)
																																																														BgL_new1130z00_3177);
																																																													BGL_OBJECT_CLASS_NUM_SET
																																																														(BgL_objz00_3183,
																																																														BgL_arg2034z00_3178);
																																																											}}
																																																											{	/* Eval/evaluate.scm 319 */
																																																												BgL_objectz00_bglt
																																																													BgL_auxz00_5035;
																																																												BgL_auxz00_5035
																																																													=
																																																													(
																																																													(BgL_objectz00_bglt)
																																																													BgL_new1130z00_3177);
																																																												BGL_OBJECT_WIDENING_SET
																																																													(BgL_auxz00_5035,
																																																													BFALSE);
																																																											}
																																																											BgL_new1131z00_3176
																																																												=
																																																												BgL_new1130z00_3177;
																																																										}
																																																										{
																																																											BgL_ev_exprz00_bglt
																																																												BgL_auxz00_5038;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_arg2072z00_3186;
																																																												BgL_arg2072z00_3186
																																																													=
																																																													BGl_getzd2locationzd2zz__evaluatez00
																																																													(BgL_arg1528z00_1081,
																																																													BgL_locz00_54);
																																																												BgL_auxz00_5038
																																																													=
																																																													(
																																																													(BgL_ev_exprz00_bglt)
																																																													BGl_uconvzf2loczf2zz__evaluatez00
																																																													(BgL_wherez00_53,
																																																														BgL_globalsz00_51,
																																																														BgL_localsz00_50,
																																																														BgL_arg1528z00_1081,
																																																														BgL_arg2072z00_3186));
																																																											}
																																																											((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1131z00_3176)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5038), BUNSPEC);
																																																										}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3176))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3176))->BgL_namez00) = ((obj_t) BgL_idz00_3173), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3176))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3174)), BUNSPEC);
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_new1131z00_3176);
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 319 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_54,
																																																									BGl_string2596z00zz__evaluatez00,
																																																									BGl_string2602z00zz__evaluatez00,
																																																									BgL_ez00_49);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2596z00zz__evaluatez00,
																																																							BGl_string2602z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd25575zd2_1083;
																																																				BgL_cdrzd25575zd2_1083
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_cdrzd25579zd2_1084;
																																																					BgL_cdrzd25579zd2_1084
																																																						=
																																																						CDR
																																																						(BgL_cdrzd25575zd2_1083);
																																																					if (PAIRP(BgL_cdrzd25579zd2_1084))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							if (NULLP(CDR(BgL_cdrzd25579zd2_1084)))
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_arg1532z00_1087;
																																																									obj_t
																																																										BgL_arg1533z00_1088;
																																																									BgL_arg1532z00_1087
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25575zd2_1083);
																																																									BgL_arg1533z00_1088
																																																										=
																																																										CAR
																																																										(BgL_cdrzd25579zd2_1084);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5060;
																																																										BgL_vz00_903
																																																											=
																																																											BgL_arg1532z00_1087;
																																																										BgL_ez00_904
																																																											=
																																																											BgL_arg1533z00_1088;
																																																									BgL_tagzd2146zd2_905:
																																																										{	/* Eval/evaluate.scm 425 */
																																																											obj_t
																																																												BgL_cvz00_1740;
																																																											obj_t
																																																												BgL_ez00_1741;
																																																											BgL_cvz00_1740
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_903,
																																																												BgL_localsz00_50);
																																																											{	/* Eval/evaluate.scm 425 */
																																																												obj_t
																																																													BgL_arg2072z00_2875;
																																																												{	/* Eval/evaluate.scm 425 */
																																																													obj_t
																																																														BgL__ortest_1066z00_2878;
																																																													BgL__ortest_1066z00_2878
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_904);
																																																													if (CBOOL(BgL__ortest_1066z00_2878))
																																																														{	/* Eval/evaluate.scm 425 */
																																																															BgL_arg2072z00_2875
																																																																=
																																																																BgL__ortest_1066z00_2878;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 425 */
																																																															BgL_arg2072z00_2875
																																																																=
																																																																BgL_locz00_54;
																																																														}
																																																												}
																																																												BgL_ez00_1741
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_904,
																																																													BgL_localsz00_50,
																																																													BgL_globalsz00_51,
																																																													BFALSE,
																																																													BgL_wherez00_53,
																																																													BgL_arg2072z00_2875,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1740))
																																																												{	/* Eval/evaluate.scm 427 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1133z00_1742;
																																																													{	/* Eval/evaluate.scm 427 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1132z00_1743;
																																																														BgL_new1132z00_1743
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 427 */
																																																															long
																																																																BgL_arg2046z00_1744;
																																																															{	/* Eval/evaluate.scm 427 */
																																																																long
																																																																	BgL_res2412z00_2884;
																																																																{	/* Eval/evaluate.scm 427 */
																																																																	obj_t
																																																																		BgL_classz00_2881;
																																																																	BgL_classz00_2881
																																																																		=
																																																																		BGl_ev_setlocalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 427 */
																																																																		obj_t
																																																																			BgL_vectorz00_2882;
																																																																		int
																																																																			BgL_kz00_2883;
																																																																		BgL_vectorz00_2882
																																																																			=
																																																																			BgL_classz00_2881;
																																																																		BgL_kz00_2883
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2412z00_2884
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2882,
																																																																				BgL_kz00_2883));
																																																																}}
																																																																BgL_arg2046z00_1744
																																																																	=
																																																																	BgL_res2412z00_2884;
																																																															}
																																																															{	/* Eval/evaluate.scm 427 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2885;
																																																																BgL_objz00_2885
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1132z00_1743);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2885,
																																																																	BgL_arg2046z00_1744);
																																																														}}
																																																														{	/* Eval/evaluate.scm 427 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5074;
																																																															BgL_auxz00_5074
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1132z00_1743);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5074,
																																																																BFALSE);
																																																														}
																																																														BgL_new1133z00_1742
																																																															=
																																																															BgL_new1132z00_1743;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1133z00_1742)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1741)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1133z00_1742))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1740)), BUNSPEC);
																																																													BgL_auxz00_5060
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1133z00_1742);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 430 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1135z00_1745;
																																																													{	/* Eval/evaluate.scm 430 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1134z00_1747;
																																																														BgL_new1134z00_1747
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 430 */
																																																															long
																																																																BgL_arg2048z00_1748;
																																																															{	/* Eval/evaluate.scm 430 */
																																																																long
																																																																	BgL_res2413z00_2890;
																																																																{	/* Eval/evaluate.scm 430 */
																																																																	obj_t
																																																																		BgL_classz00_2887;
																																																																	BgL_classz00_2887
																																																																		=
																																																																		BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																																	{	/* Eval/evaluate.scm 430 */
																																																																		obj_t
																																																																			BgL_vectorz00_2888;
																																																																		int
																																																																			BgL_kz00_2889;
																																																																		BgL_vectorz00_2888
																																																																			=
																																																																			BgL_classz00_2887;
																																																																		BgL_kz00_2889
																																																																			=
																																																																			(int)
																																																																			(
																																																																			((long) 1));
																																																																		BgL_res2413z00_2890
																																																																			=
																																																																			(long)
																																																																			CINT
																																																																			(VECTOR_REF
																																																																			(BgL_vectorz00_2888,
																																																																				BgL_kz00_2889));
																																																																}}
																																																																BgL_arg2048z00_1748
																																																																	=
																																																																	BgL_res2413z00_2890;
																																																															}
																																																															{	/* Eval/evaluate.scm 430 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2891;
																																																																BgL_objz00_2891
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1134z00_1747);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2891,
																																																																	BgL_arg2048z00_1748);
																																																														}}
																																																														{	/* Eval/evaluate.scm 430 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5089;
																																																															BgL_auxz00_5089
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1134z00_1747);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5089,
																																																																BFALSE);
																																																														}
																																																														BgL_new1135z00_1745
																																																															=
																																																															BgL_new1134z00_1747;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1135z00_1745)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1741)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1745))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1745))->BgL_namez00) = ((obj_t) BgL_vz00_903), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5097;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																															{	/* Eval/evaluate.scm 433 */
																																																																BgL_auxz00_5097
																																																																	=
																																																																	BgL_globalsz00_51;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 433 */
																																																																BgL_auxz00_5097
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1135z00_1745))->BgL_modz00) = ((obj_t) BgL_auxz00_5097), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5060
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1135z00_1745);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5060);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 319 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_54,
																																																										BGl_string2596z00zz__evaluatez00,
																																																										BGl_string2602z00zz__evaluatez00,
																																																										BgL_ez00_49);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2596z00zz__evaluatez00,
																																																								BGl_string2602z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd25628zd2_1091;
																																																		BgL_cdrzd25628zd2_1091
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd25632zd2_1092;
																																																			BgL_cdrzd25632zd2_1092
																																																				=
																																																				CDR
																																																				(BgL_cdrzd25628zd2_1091);
																																																			if (PAIRP(BgL_cdrzd25632zd2_1092))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd25632zd2_1092)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1539z00_1095;
																																																							obj_t
																																																								BgL_arg1540z00_1096;
																																																							BgL_arg1539z00_1095
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25628zd2_1091);
																																																							BgL_arg1540z00_1096
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25632zd2_1092);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5115;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5117;
																																																									obj_t
																																																										BgL_vz00_5116;
																																																									BgL_vz00_5116
																																																										=
																																																										BgL_arg1539z00_1095;
																																																									BgL_ez00_5117
																																																										=
																																																										BgL_arg1540z00_1096;
																																																									BgL_ez00_904
																																																										=
																																																										BgL_ez00_5117;
																																																									BgL_vz00_903
																																																										=
																																																										BgL_vz00_5116;
																																																									goto
																																																										BgL_tagzd2146zd2_905;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5115);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2596z00zz__evaluatez00,
																																																								BGl_string2602z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2596z00zz__evaluatez00,
																																																						BGl_string2602z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd25681zd2_1098;
																																																BgL_cdrzd25681zd2_1098
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd25685zd2_1099;
																																																	BgL_cdrzd25685zd2_1099
																																																		=
																																																		CDR
																																																		(BgL_cdrzd25681zd2_1098);
																																																	if (PAIRP(BgL_cdrzd25685zd2_1099))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd25685zd2_1099)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1547z00_1102;
																																																					obj_t
																																																						BgL_arg1548z00_1103;
																																																					BgL_arg1547z00_1102
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25681zd2_1098);
																																																					BgL_arg1548z00_1103
																																																						=
																																																						CAR
																																																						(BgL_cdrzd25685zd2_1099);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5130;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5132;
																																																							obj_t
																																																								BgL_vz00_5131;
																																																							BgL_vz00_5131
																																																								=
																																																								BgL_arg1547z00_1102;
																																																							BgL_ez00_5132
																																																								=
																																																								BgL_arg1548z00_1103;
																																																							BgL_ez00_904
																																																								=
																																																								BgL_ez00_5132;
																																																							BgL_vz00_903
																																																								=
																																																								BgL_vz00_5131;
																																																							goto
																																																								BgL_tagzd2146zd2_905;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5130);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2596z00zz__evaluatez00,
																																																						BGl_string2602z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2596z00zz__evaluatez00,
																																																				BGl_string2602z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd25734zd2_1105;
																																														BgL_cdrzd25734zd2_1105
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd25738zd2_1106;
																																															BgL_cdrzd25738zd2_1106
																																																=
																																																CDR
																																																(BgL_cdrzd25734zd2_1105);
																																															if (PAIRP(BgL_cdrzd25738zd2_1106))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd25738zd2_1106)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1555z00_1109;
																																																			obj_t
																																																				BgL_arg1556z00_1110;
																																																			BgL_arg1555z00_1109
																																																				=
																																																				CAR
																																																				(BgL_cdrzd25734zd2_1105);
																																																			BgL_arg1556z00_1110
																																																				=
																																																				CAR
																																																				(BgL_cdrzd25738zd2_1106);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5145;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5147;
																																																					obj_t
																																																						BgL_vz00_5146;
																																																					BgL_vz00_5146
																																																						=
																																																						BgL_arg1555z00_1109;
																																																					BgL_ez00_5147
																																																						=
																																																						BgL_arg1556z00_1110;
																																																					BgL_ez00_904
																																																						=
																																																						BgL_ez00_5147;
																																																					BgL_vz00_903
																																																						=
																																																						BgL_vz00_5146;
																																																					goto
																																																						BgL_tagzd2146zd2_905;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5145);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2596z00zz__evaluatez00,
																																																				BGl_string2602z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2596z00zz__evaluatez00,
																																																		BGl_string2602z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd25787zd2_1112;
																																												BgL_cdrzd25787zd2_1112
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd25791zd2_1113;
																																													BgL_cdrzd25791zd2_1113
																																														=
																																														CDR
																																														(BgL_cdrzd25787zd2_1112);
																																													if (PAIRP(BgL_cdrzd25791zd2_1113))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd25791zd2_1113)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1560z00_1116;
																																																	obj_t
																																																		BgL_arg1562z00_1117;
																																																	BgL_arg1560z00_1116
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25787zd2_1112);
																																																	BgL_arg1562z00_1117
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25791zd2_1113);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5160;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5162;
																																																			obj_t
																																																				BgL_vz00_5161;
																																																			BgL_vz00_5161
																																																				=
																																																				BgL_arg1560z00_1116;
																																																			BgL_ez00_5162
																																																				=
																																																				BgL_arg1562z00_1117;
																																																			BgL_ez00_904
																																																				=
																																																				BgL_ez00_5162;
																																																			BgL_vz00_903
																																																				=
																																																				BgL_vz00_5161;
																																																			goto
																																																				BgL_tagzd2146zd2_905;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5160);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2596z00zz__evaluatez00,
																																																		BGl_string2602z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd25829zd2_1119;
																																										BgL_cdrzd25829zd2_1119
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_carzd25832zd2_1120;
																																											obj_t
																																												BgL_cdrzd25833zd2_1121;
																																											BgL_carzd25832zd2_1120
																																												=
																																												CAR
																																												(BgL_cdrzd25829zd2_1119);
																																											BgL_cdrzd25833zd2_1121
																																												=
																																												CDR
																																												(BgL_cdrzd25829zd2_1119);
																																											if ((CAR(BgL_carzd25832zd2_1120) == BGl_symbol2610z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (PAIRP(BgL_cdrzd25833zd2_1121))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd25833zd2_1121)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	BgL_lz00_900
																																																		=
																																																		CDR
																																																		(BgL_carzd25832zd2_1120);
																																																	BgL_e2z00_901
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25833zd2_1121);
																																																BgL_tagzd2145zd2_902:
																																																	{	/* Eval/evaluate.scm 421 */
																																																		bool_t
																																																			BgL_testz00_5177;
																																																		if (PAIRP(BgL_lz00_900))
																																																			{	/* Eval/evaluate.scm 421 */
																																																				bool_t
																																																					BgL_testz00_5180;
																																																				{	/* Eval/evaluate.scm 421 */
																																																					obj_t
																																																						BgL_auxz00_5181;
																																																					BgL_auxz00_5181
																																																						=
																																																						CDR
																																																						(BgL_lz00_900);
																																																					BgL_testz00_5180
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5181);
																																																				}
																																																				if (BgL_testz00_5180)
																																																					{
																																																						obj_t
																																																							BgL_l1207z00_1732;
																																																						BgL_l1207z00_1732
																																																							=
																																																							BgL_lz00_900;
																																																					BgL_zc3anonymousza32038ze3z83_1733:
																																																						if (NULLP(BgL_l1207z00_1732))
																																																							{	/* Eval/evaluate.scm 421 */
																																																								BgL_testz00_5177
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 421 */
																																																								bool_t
																																																									BgL_testz00_5186;
																																																								{	/* Eval/evaluate.scm 421 */
																																																									obj_t
																																																										BgL_auxz00_5187;
																																																									BgL_auxz00_5187
																																																										=
																																																										CAR
																																																										(BgL_l1207z00_1732);
																																																									BgL_testz00_5186
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5187);
																																																								}
																																																								if (BgL_testz00_5186)
																																																									{
																																																										obj_t
																																																											BgL_l1207z00_5190;
																																																										BgL_l1207z00_5190
																																																											=
																																																											CDR
																																																											(BgL_l1207z00_1732);
																																																										BgL_l1207z00_1732
																																																											=
																																																											BgL_l1207z00_5190;
																																																										goto
																																																											BgL_zc3anonymousza32038ze3z83_1733;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 421 */
																																																										BgL_testz00_5177
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 421 */
																																																						BgL_testz00_5177
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 421 */
																																																				BgL_testz00_5177
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5177)
																																																			{	/* Eval/evaluate.scm 421 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_900,
																																																					BgL_e2z00_901,
																																																					BgL_ez00_49,
																																																					BgL_localsz00_50,
																																																					BgL_globalsz00_51,
																																																					BgL_tailzf3zf3_52,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					BgL_topzf3zf3_55);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 421 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2596z00zz__evaluatez00,
																																																					BGl_string2602z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2596z00zz__evaluatez00,
																																																		BGl_string2602z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd25899zd2_1129;
																																													BgL_cdrzd25899zd2_1129
																																														=
																																														CDR
																																														(BgL_cdrzd25829zd2_1119);
																																													if (PAIRP(BgL_cdrzd25899zd2_1129))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd25899zd2_1129)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1574z00_1132;
																																																	obj_t
																																																		BgL_arg1576z00_1133;
																																																	BgL_arg1574z00_1132
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25829zd2_1119);
																																																	BgL_arg1576z00_1133
																																																		=
																																																		CAR
																																																		(BgL_cdrzd25899zd2_1129);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5206;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5208;
																																																			obj_t
																																																				BgL_vz00_5207;
																																																			BgL_vz00_5207
																																																				=
																																																				BgL_arg1574z00_1132;
																																																			BgL_ez00_5208
																																																				=
																																																				BgL_arg1576z00_1133;
																																																			BgL_ez00_904
																																																				=
																																																				BgL_ez00_5208;
																																																			BgL_vz00_903
																																																				=
																																																				BgL_vz00_5207;
																																																			goto
																																																				BgL_tagzd2146zd2_905;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5206);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2596z00zz__evaluatez00,
																																																		BGl_string2602z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd25948zd2_1137;
																																								BgL_cdrzd25948zd2_1137
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_cdrzd25952zd2_1138;
																																									BgL_cdrzd25952zd2_1138
																																										=
																																										CDR
																																										(BgL_cdrzd25948zd2_1137);
																																									if (PAIRP(BgL_cdrzd25952zd2_1138))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (NULLP(CDR(BgL_cdrzd25952zd2_1138)))
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_arg1582z00_1141;
																																													obj_t
																																														BgL_arg1583z00_1142;
																																													BgL_arg1582z00_1141
																																														=
																																														CAR
																																														(BgL_cdrzd25948zd2_1137);
																																													BgL_arg1583z00_1142
																																														=
																																														CAR
																																														(BgL_cdrzd25952zd2_1138);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5221;
																																														{
																																															obj_t
																																																BgL_ez00_5223;
																																															obj_t
																																																BgL_vz00_5222;
																																															BgL_vz00_5222
																																																=
																																																BgL_arg1582z00_1141;
																																															BgL_ez00_5223
																																																=
																																																BgL_arg1583z00_1142;
																																															BgL_ez00_904
																																																=
																																																BgL_ez00_5223;
																																															BgL_vz00_903
																																																=
																																																BgL_vz00_5222;
																																															goto
																																																BgL_tagzd2146zd2_905;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5221);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2596z00zz__evaluatez00,
																																														BGl_string2602z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2596z00zz__evaluatez00,
																																												BGl_string2602z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_54,
																																							BGl_string2596z00zz__evaluatez00,
																																							BGl_string2602z00zz__evaluatez00,
																																							BgL_ez00_49);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_cdrzd26055zd2_1144;
																																				BgL_cdrzd26055zd2_1144
																																					=
																																					CDR
																																					(BgL_ez00_49);
																																				if ((CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2632z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd26055zd2_1144))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26060zd2_1147;
																																								BgL_cdrzd26060zd2_1147
																																									=
																																									CDR
																																									(BgL_cdrzd26055zd2_1144);
																																								if (PAIRP(BgL_cdrzd26060zd2_1147))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd26064zd2_1149;
																																										BgL_carzd26064zd2_1149
																																											=
																																											CAR
																																											(BgL_cdrzd26060zd2_1147);
																																										if (PAIRP(BgL_carzd26064zd2_1149))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26069zd2_1151;
																																												BgL_cdrzd26069zd2_1151
																																													=
																																													CDR
																																													(BgL_carzd26064zd2_1149);
																																												if ((CAR(BgL_carzd26064zd2_1149) == BGl_symbol2634z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26069zd2_1151))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26073zd2_1154;
																																																BgL_cdrzd26073zd2_1154
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26069zd2_1151);
																																																if (PAIRP(BgL_cdrzd26073zd2_1154))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26073zd2_1154)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd26060zd2_1147)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1595z00_1158;
																																																						obj_t
																																																							BgL_arg1596z00_1159;
																																																						obj_t
																																																							BgL_arg1598z00_1160;
																																																						BgL_arg1595z00_1158
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26055zd2_1144);
																																																						BgL_arg1596z00_1159
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26069zd2_1151);
																																																						BgL_arg1598z00_1160
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26073zd2_1154);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5258;
																																																							BgL_gvz00_907
																																																								=
																																																								BgL_arg1595z00_1158;
																																																							BgL_formalsz00_908
																																																								=
																																																								BgL_arg1596z00_1159;
																																																							BgL_bodyz00_909
																																																								=
																																																								BgL_arg1598z00_1160;
																																																						BgL_tagzd2148zd2_910:
																																																							{	/* Eval/evaluate.scm 438 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1137z00_1749;
																																																								{	/* Eval/evaluate.scm 438 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1136z00_1752;
																																																									BgL_new1136z00_1752
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 438 */
																																																										long
																																																											BgL_arg2051z00_1753;
																																																										{	/* Eval/evaluate.scm 438 */
																																																											long
																																																												BgL_res2414z00_2896;
																																																											{	/* Eval/evaluate.scm 438 */
																																																												obj_t
																																																													BgL_classz00_2893;
																																																												BgL_classz00_2893
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 438 */
																																																													obj_t
																																																														BgL_vectorz00_2894;
																																																													int
																																																														BgL_kz00_2895;
																																																													BgL_vectorz00_2894
																																																														=
																																																														BgL_classz00_2893;
																																																													BgL_kz00_2895
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2414z00_2896
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_2894,
																																																															BgL_kz00_2895));
																																																											}}
																																																											BgL_arg2051z00_1753
																																																												=
																																																												BgL_res2414z00_2896;
																																																										}
																																																										{	/* Eval/evaluate.scm 438 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2897;
																																																											BgL_objz00_2897
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1136z00_1752);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2897,
																																																												BgL_arg2051z00_1753);
																																																									}}
																																																									{	/* Eval/evaluate.scm 438 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5265;
																																																										BgL_auxz00_5265
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1136z00_1752);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5265,
																																																											BFALSE);
																																																									}
																																																									BgL_new1137z00_1749
																																																										=
																																																										BgL_new1136z00_1752;
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1137z00_1749)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2lambdazd2zz__evaluatez00(BgL_globalsz00_51, BgL_localsz00_50, BgL_locz00_54, BgL_ez00_49, BgL_formalsz00_908, BgL_bodyz00_909, BgL_gvz00_907))), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1749)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5274;
																																																									{	/* Eval/evaluate.scm 440 */
																																																										obj_t
																																																											BgL_arg2049z00_1750;
																																																										BgL_arg2049z00_1750
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_907);
																																																										BgL_auxz00_5274
																																																											=
																																																											CAR
																																																											(BgL_arg2049z00_1750);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1749)))->BgL_namez00) = ((obj_t) BgL_auxz00_5274), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5279;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 441 */
																																																											BgL_auxz00_5279
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 441 */
																																																											BgL_auxz00_5279
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1137z00_1749)))->BgL_modz00) = ((obj_t) BgL_auxz00_5279), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5258
																																																									=
																																																									BgL_new1137z00_1749;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5258);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1599z00_1161;
																																																						BgL_arg1599z00_1161
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5287;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5289;
																																																								obj_t
																																																									BgL_fz00_5288;
																																																								BgL_fz00_5288
																																																									=
																																																									BgL_arg1599z00_1161;
																																																								BgL_argsz00_5289
																																																									=
																																																									BgL_cdrzd26055zd2_1144;
																																																								BgL_argsz00_927
																																																									=
																																																									BgL_argsz00_5289;
																																																								BgL_fz00_926
																																																									=
																																																									BgL_fz00_5288;
																																																								goto
																																																									BgL_tagzd2154zd2_928;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5287);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd26147zd2_1165;
																																																				BgL_cdrzd26147zd2_1165
																																																					=
																																																					CDR
																																																					(BgL_cdrzd26055zd2_1144);
																																																				if (NULLP(CDR(BgL_cdrzd26147zd2_1165)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1604z00_1167;
																																																						obj_t
																																																							BgL_arg1605z00_1168;
																																																						BgL_arg1604z00_1167
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26055zd2_1144);
																																																						BgL_arg1605z00_1168
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26147zd2_1165);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5297;
																																																							BgL_gvz00_911
																																																								=
																																																								BgL_arg1604z00_1167;
																																																							BgL_gez00_912
																																																								=
																																																								BgL_arg1605z00_1168;
																																																						BgL_tagzd2149zd2_913:
																																																							{	/* Eval/evaluate.scm 444 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1139z00_1754;
																																																								{	/* Eval/evaluate.scm 444 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1138z00_1757;
																																																									BgL_new1138z00_1757
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 444 */
																																																										long
																																																											BgL_arg2054z00_1758;
																																																										{	/* Eval/evaluate.scm 444 */
																																																											long
																																																												BgL_res2415z00_2903;
																																																											{	/* Eval/evaluate.scm 444 */
																																																												obj_t
																																																													BgL_classz00_2900;
																																																												BgL_classz00_2900
																																																													=
																																																													BGl_ev_defglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 444 */
																																																													obj_t
																																																														BgL_vectorz00_2901;
																																																													int
																																																														BgL_kz00_2902;
																																																													BgL_vectorz00_2901
																																																														=
																																																														BgL_classz00_2900;
																																																													BgL_kz00_2902
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2415z00_2903
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_2901,
																																																															BgL_kz00_2902));
																																																											}}
																																																											BgL_arg2054z00_1758
																																																												=
																																																												BgL_res2415z00_2903;
																																																										}
																																																										{	/* Eval/evaluate.scm 444 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2904;
																																																											BgL_objz00_2904
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1138z00_1757);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2904,
																																																												BgL_arg2054z00_1758);
																																																									}}
																																																									{	/* Eval/evaluate.scm 444 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5304;
																																																										BgL_auxz00_5304
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1138z00_1757);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5304,
																																																											BFALSE);
																																																									}
																																																									BgL_new1139z00_1754
																																																										=
																																																										BgL_new1138z00_1757;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5307;
																																																									{	/* Eval/evaluate.scm 448 */
																																																										obj_t
																																																											BgL_arg2072z00_2907;
																																																										{	/* Eval/evaluate.scm 448 */
																																																											obj_t
																																																												BgL__ortest_1066z00_2910;
																																																											BgL__ortest_1066z00_2910
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_gez00_912);
																																																											if (CBOOL(BgL__ortest_1066z00_2910))
																																																												{	/* Eval/evaluate.scm 448 */
																																																													BgL_arg2072z00_2907
																																																														=
																																																														BgL__ortest_1066z00_2910;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 448 */
																																																													BgL_arg2072z00_2907
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5307
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_gez00_912,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2072z00_2907,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1139z00_1754)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5307), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1754)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5317;
																																																									{	/* Eval/evaluate.scm 446 */
																																																										obj_t
																																																											BgL_arg2052z00_1755;
																																																										BgL_arg2052z00_1755
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_911);
																																																										BgL_auxz00_5317
																																																											=
																																																											CAR
																																																											(BgL_arg2052z00_1755);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1754)))->BgL_namez00) = ((obj_t) BgL_auxz00_5317), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5322;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 447 */
																																																											BgL_auxz00_5322
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 447 */
																																																											BgL_auxz00_5322
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1139z00_1754)))->BgL_modz00) = ((obj_t) BgL_auxz00_5322), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5297
																																																									=
																																																									BgL_new1139z00_1754;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5297);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1606z00_1169;
																																																						obj_t
																																																							BgL_arg1607z00_1170;
																																																						BgL_arg1606z00_1169
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1607z00_1170
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5331;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5333;
																																																								obj_t
																																																									BgL_fz00_5332;
																																																								BgL_fz00_5332
																																																									=
																																																									BgL_arg1606z00_1169;
																																																								BgL_argsz00_5333
																																																									=
																																																									BgL_arg1607z00_1170;
																																																								BgL_argsz00_927
																																																									=
																																																									BgL_argsz00_5333;
																																																								BgL_fz00_926
																																																									=
																																																									BgL_fz00_5332;
																																																								goto
																																																									BgL_tagzd2154zd2_928;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5331);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd26210zd2_1174;
																																																		BgL_cdrzd26210zd2_1174
																																																			=
																																																			CDR
																																																			(BgL_cdrzd26055zd2_1144);
																																																		if (NULLP(CDR(BgL_cdrzd26210zd2_1174)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1612z00_1176;
																																																				obj_t
																																																					BgL_arg1613z00_1177;
																																																				BgL_arg1612z00_1176
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26055zd2_1144);
																																																				BgL_arg1613z00_1177
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26210zd2_1174);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5341;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5343;
																																																						obj_t
																																																							BgL_gvz00_5342;
																																																						BgL_gvz00_5342
																																																							=
																																																							BgL_arg1612z00_1176;
																																																						BgL_gez00_5343
																																																							=
																																																							BgL_arg1613z00_1177;
																																																						BgL_gez00_912
																																																							=
																																																							BgL_gez00_5343;
																																																						BgL_gvz00_911
																																																							=
																																																							BgL_gvz00_5342;
																																																						goto
																																																							BgL_tagzd2149zd2_913;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5341);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1615z00_1178;
																																																				obj_t
																																																					BgL_arg1616z00_1179;
																																																				BgL_arg1615z00_1178
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1616z00_1179
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5347;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5349;
																																																						obj_t
																																																							BgL_fz00_5348;
																																																						BgL_fz00_5348
																																																							=
																																																							BgL_arg1615z00_1178;
																																																						BgL_argsz00_5349
																																																							=
																																																							BgL_arg1616z00_1179;
																																																						BgL_argsz00_927
																																																							=
																																																							BgL_argsz00_5349;
																																																						BgL_fz00_926
																																																							=
																																																							BgL_fz00_5348;
																																																						goto
																																																							BgL_tagzd2154zd2_928;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5347);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26273zd2_1182;
																																																BgL_cdrzd26273zd2_1182
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26055zd2_1144);
																																																if (NULLP(CDR(BgL_cdrzd26273zd2_1182)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1619z00_1184;
																																																		obj_t
																																																			BgL_arg1620z00_1185;
																																																		BgL_arg1619z00_1184
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26055zd2_1144);
																																																		BgL_arg1620z00_1185
																																																			=
																																																			CAR
																																																			(BgL_cdrzd26273zd2_1182);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5357;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5359;
																																																				obj_t
																																																					BgL_gvz00_5358;
																																																				BgL_gvz00_5358
																																																					=
																																																					BgL_arg1619z00_1184;
																																																				BgL_gez00_5359
																																																					=
																																																					BgL_arg1620z00_1185;
																																																				BgL_gez00_912
																																																					=
																																																					BgL_gez00_5359;
																																																				BgL_gvz00_911
																																																					=
																																																					BgL_gvz00_5358;
																																																				goto
																																																					BgL_tagzd2149zd2_913;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5357);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1621z00_1186;
																																																		obj_t
																																																			BgL_arg1622z00_1187;
																																																		BgL_arg1621z00_1186
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1622z00_1187
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5363;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5365;
																																																				obj_t
																																																					BgL_fz00_5364;
																																																				BgL_fz00_5364
																																																					=
																																																					BgL_arg1621z00_1186;
																																																				BgL_argsz00_5365
																																																					=
																																																					BgL_arg1622z00_1187;
																																																				BgL_argsz00_927
																																																					=
																																																					BgL_argsz00_5365;
																																																				BgL_fz00_926
																																																					=
																																																					BgL_fz00_5364;
																																																				goto
																																																					BgL_tagzd2154zd2_928;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5363);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd26336zd2_1190;
																																														BgL_cdrzd26336zd2_1190
																																															=
																																															CDR
																																															(BgL_cdrzd26055zd2_1144);
																																														if (NULLP(CDR(BgL_cdrzd26336zd2_1190)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1625z00_1192;
																																																obj_t
																																																	BgL_arg1626z00_1193;
																																																BgL_arg1625z00_1192
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26055zd2_1144);
																																																BgL_arg1626z00_1193
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26336zd2_1190);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5373;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5375;
																																																		obj_t
																																																			BgL_gvz00_5374;
																																																		BgL_gvz00_5374
																																																			=
																																																			BgL_arg1625z00_1192;
																																																		BgL_gez00_5375
																																																			=
																																																			BgL_arg1626z00_1193;
																																																		BgL_gez00_912
																																																			=
																																																			BgL_gez00_5375;
																																																		BgL_gvz00_911
																																																			=
																																																			BgL_gvz00_5374;
																																																		goto
																																																			BgL_tagzd2149zd2_913;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5373);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1629z00_1194;
																																																obj_t
																																																	BgL_arg1630z00_1195;
																																																BgL_arg1629z00_1194
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1630z00_1195
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5379;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5381;
																																																		obj_t
																																																			BgL_fz00_5380;
																																																		BgL_fz00_5380
																																																			=
																																																			BgL_arg1629z00_1194;
																																																		BgL_argsz00_5381
																																																			=
																																																			BgL_arg1630z00_1195;
																																																		BgL_argsz00_927
																																																			=
																																																			BgL_argsz00_5381;
																																																		BgL_fz00_926
																																																			=
																																																			BgL_fz00_5380;
																																																		goto
																																																			BgL_tagzd2154zd2_928;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5379);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26399zd2_1199;
																																												BgL_cdrzd26399zd2_1199
																																													=
																																													CDR
																																													(BgL_cdrzd26055zd2_1144);
																																												if (NULLP(CDR(BgL_cdrzd26399zd2_1199)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1635z00_1201;
																																														obj_t
																																															BgL_arg1637z00_1202;
																																														BgL_arg1635z00_1201
																																															=
																																															CAR
																																															(BgL_cdrzd26055zd2_1144);
																																														BgL_arg1637z00_1202
																																															=
																																															CAR
																																															(BgL_cdrzd26399zd2_1199);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5389;
																																															{
																																																obj_t
																																																	BgL_gez00_5391;
																																																obj_t
																																																	BgL_gvz00_5390;
																																																BgL_gvz00_5390
																																																	=
																																																	BgL_arg1635z00_1201;
																																																BgL_gez00_5391
																																																	=
																																																	BgL_arg1637z00_1202;
																																																BgL_gez00_912
																																																	=
																																																	BgL_gez00_5391;
																																																BgL_gvz00_911
																																																	=
																																																	BgL_gvz00_5390;
																																																goto
																																																	BgL_tagzd2149zd2_913;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5389);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1638z00_1203;
																																														obj_t
																																															BgL_arg1639z00_1204;
																																														BgL_arg1638z00_1203
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1639z00_1204
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5395;
																																															{
																																																obj_t
																																																	BgL_argsz00_5397;
																																																obj_t
																																																	BgL_fz00_5396;
																																																BgL_fz00_5396
																																																	=
																																																	BgL_arg1638z00_1203;
																																																BgL_argsz00_5397
																																																	=
																																																	BgL_arg1639z00_1204;
																																																BgL_argsz00_927
																																																	=
																																																	BgL_argsz00_5397;
																																																BgL_fz00_926
																																																	=
																																																	BgL_fz00_5396;
																																																goto
																																																	BgL_tagzd2154zd2_928;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5395);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1643z00_1206;
																																										BgL_arg1643z00_1206
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5400;
																																											{
																																												obj_t
																																													BgL_argsz00_5402;
																																												obj_t
																																													BgL_fz00_5401;
																																												BgL_fz00_5401
																																													=
																																													BgL_arg1643z00_1206;
																																												BgL_argsz00_5402
																																													=
																																													BgL_cdrzd26055zd2_1144;
																																												BgL_argsz00_927
																																													=
																																													BgL_argsz00_5402;
																																												BgL_fz00_926
																																													=
																																													BgL_fz00_5401;
																																												goto
																																													BgL_tagzd2154zd2_928;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5400);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1645z00_1208;
																																								BgL_arg1645z00_1208
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_5405;
																																									{
																																										obj_t
																																											BgL_argsz00_5407;
																																										obj_t
																																											BgL_fz00_5406;
																																										BgL_fz00_5406
																																											=
																																											BgL_arg1645z00_1208;
																																										BgL_argsz00_5407
																																											=
																																											BgL_cdrzd26055zd2_1144;
																																										BgL_argsz00_927
																																											=
																																											BgL_argsz00_5407;
																																										BgL_fz00_926
																																											=
																																											BgL_fz00_5406;
																																										goto
																																											BgL_tagzd2154zd2_928;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_5405);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2636z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd26055zd2_1144))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd26567zd2_1213;
																																										BgL_carzd26567zd2_1213
																																											=
																																											CAR
																																											(BgL_cdrzd26055zd2_1144);
																																										if (PAIRP(BgL_carzd26567zd2_1213))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (NULLP(CDR(BgL_carzd26567zd2_1213)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1651z00_1216;
																																														obj_t
																																															BgL_arg1652z00_1217;
																																														BgL_arg1651z00_1216
																																															=
																																															CAR
																																															(BgL_carzd26567zd2_1213);
																																														BgL_arg1652z00_1217
																																															=
																																															CDR
																																															(BgL_cdrzd26055zd2_1144);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_5422;
																																															BgL_vz00_914
																																																=
																																																BgL_arg1651z00_1216;
																																															BgL_bodyz00_915
																																																=
																																																BgL_arg1652z00_1217;
																																														BgL_tagzd2150zd2_916:
																																															{	/* Eval/evaluate.scm 450 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_1759;
																																																{	/* Eval/evaluate.scm 450 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1141z00_1764;
																																																	{	/* Eval/evaluate.scm 450 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1140z00_1765;
																																																		BgL_new1140z00_1765
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 450 */
																																																			long
																																																				BgL_arg2058z00_1766;
																																																			{	/* Eval/evaluate.scm 450 */
																																																				long
																																																					BgL_res2416z00_2917;
																																																				{	/* Eval/evaluate.scm 450 */
																																																					obj_t
																																																						BgL_classz00_2914;
																																																					BgL_classz00_2914
																																																						=
																																																						BGl_ev_varz00zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 450 */
																																																						obj_t
																																																							BgL_vectorz00_2915;
																																																						int
																																																							BgL_kz00_2916;
																																																						BgL_vectorz00_2915
																																																							=
																																																							BgL_classz00_2914;
																																																						BgL_kz00_2916
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2416z00_2917
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_2915,
																																																								BgL_kz00_2916));
																																																				}}
																																																				BgL_arg2058z00_1766
																																																					=
																																																					BgL_res2416z00_2917;
																																																			}
																																																			{	/* Eval/evaluate.scm 450 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2918;
																																																				BgL_objz00_2918
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1140z00_1765);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2918,
																																																					BgL_arg2058z00_1766);
																																																		}}
																																																		{	/* Eval/evaluate.scm 450 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5429;
																																																			BgL_auxz00_5429
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1140z00_1765);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5429,
																																																				BFALSE);
																																																		}
																																																		BgL_new1141z00_1764
																																																			=
																																																			BgL_new1140z00_1765;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1764))->BgL_namez00) = ((obj_t) BgL_vz00_914), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1764))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1141z00_1764))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_1759
																																																		=
																																																		BgL_new1141z00_1764;
																																																}
																																																{	/* Eval/evaluate.scm 451 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1143z00_1760;
																																																	{	/* Eval/evaluate.scm 451 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1142z00_1762;
																																																		BgL_new1142z00_1762
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 451 */
																																																			long
																																																				BgL_arg2057z00_1763;
																																																			{	/* Eval/evaluate.scm 451 */
																																																				long
																																																					BgL_res2417z00_2923;
																																																				{	/* Eval/evaluate.scm 451 */
																																																					obj_t
																																																						BgL_classz00_2920;
																																																					BgL_classz00_2920
																																																						=
																																																						BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
																																																					{	/* Eval/evaluate.scm 451 */
																																																						obj_t
																																																							BgL_vectorz00_2921;
																																																						int
																																																							BgL_kz00_2922;
																																																						BgL_vectorz00_2921
																																																							=
																																																							BgL_classz00_2920;
																																																						BgL_kz00_2922
																																																							=
																																																							(int)
																																																							(
																																																							((long) 1));
																																																						BgL_res2417z00_2923
																																																							=
																																																							(long)
																																																							CINT
																																																							(VECTOR_REF
																																																							(BgL_vectorz00_2921,
																																																								BgL_kz00_2922));
																																																				}}
																																																				BgL_arg2057z00_1763
																																																					=
																																																					BgL_res2417z00_2923;
																																																			}
																																																			{	/* Eval/evaluate.scm 451 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2924;
																																																				BgL_objz00_2924
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1142z00_1762);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2924,
																																																					BgL_arg2057z00_1763);
																																																		}}
																																																		{	/* Eval/evaluate.scm 451 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5441;
																																																			BgL_auxz00_5441
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1142z00_1762);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5441,
																																																				BFALSE);
																																																		}
																																																		BgL_new1143z00_1760
																																																			=
																																																			BgL_new1142z00_1762;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1143z00_1760))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_1759), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_5445;
																																																		{	/* Eval/evaluate.scm 453 */
																																																			obj_t
																																																				BgL_arg2056z00_1761;
																																																			BgL_arg2056z00_1761
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_1759), BgL_localsz00_50);
																																																			BgL_auxz00_5445
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_915,
																																																					BgL_arg2056z00_1761,
																																																					BgL_globalsz00_51,
																																																					BFALSE,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1143z00_1760))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5445), BUNSPEC);
																																																	}
																																																	BgL_auxz00_5422
																																																		=
																																																		BgL_new1143z00_1760;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5422);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1653z00_1218;
																																														obj_t
																																															BgL_arg1654z00_1219;
																																														BgL_arg1653z00_1218
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1654z00_1219
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5454;
																																															{
																																																obj_t
																																																	BgL_argsz00_5456;
																																																obj_t
																																																	BgL_fz00_5455;
																																																BgL_fz00_5455
																																																	=
																																																	BgL_arg1653z00_1218;
																																																BgL_argsz00_5456
																																																	=
																																																	BgL_arg1654z00_1219;
																																																BgL_argsz00_927
																																																	=
																																																	BgL_argsz00_5456;
																																																BgL_fz00_926
																																																	=
																																																	BgL_fz00_5455;
																																																goto
																																																	BgL_tagzd2154zd2_928;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5454);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1656z00_1221;
																																												obj_t
																																													BgL_arg1657z00_1222;
																																												BgL_arg1656z00_1221
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1657z00_1222
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5460;
																																													{
																																														obj_t
																																															BgL_argsz00_5462;
																																														obj_t
																																															BgL_fz00_5461;
																																														BgL_fz00_5461
																																															=
																																															BgL_arg1656z00_1221;
																																														BgL_argsz00_5462
																																															=
																																															BgL_arg1657z00_1222;
																																														BgL_argsz00_927
																																															=
																																															BgL_argsz00_5462;
																																														BgL_fz00_926
																																															=
																																															BgL_fz00_5461;
																																														goto
																																															BgL_tagzd2154zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5460);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1658z00_1223;
																																										obj_t
																																											BgL_arg1659z00_1224;
																																										BgL_arg1658z00_1223
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1659z00_1224
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5466;
																																											{
																																												obj_t
																																													BgL_argsz00_5468;
																																												obj_t
																																													BgL_fz00_5467;
																																												BgL_fz00_5467
																																													=
																																													BgL_arg1658z00_1223;
																																												BgL_argsz00_5468
																																													=
																																													BgL_arg1659z00_1224;
																																												BgL_argsz00_927
																																													=
																																													BgL_argsz00_5468;
																																												BgL_fz00_926
																																													=
																																													BgL_fz00_5467;
																																												goto
																																													BgL_tagzd2154zd2_928;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5466);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26670zd2_1225;
																																								BgL_cdrzd26670zd2_1225
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2638z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd26670zd2_1225))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1662z00_1228;
																																												obj_t
																																													BgL_arg1663z00_1229;
																																												BgL_arg1662z00_1228
																																													=
																																													CAR
																																													(BgL_cdrzd26670zd2_1225);
																																												BgL_arg1663z00_1229
																																													=
																																													CDR
																																													(BgL_cdrzd26670zd2_1225);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_5478;
																																													BgL_ez00_917
																																														=
																																														BgL_arg1662z00_1228;
																																													BgL_bodyz00_918
																																														=
																																														BgL_arg1663z00_1229;
																																												BgL_tagzd2151zd2_919:
																																													{	/* Eval/evaluate.scm 455 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1145z00_1767;
																																														{	/* Eval/evaluate.scm 455 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1144z00_1768;
																																															BgL_new1144z00_1768
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 455 */
																																																long
																																																	BgL_arg2059z00_1769;
																																																{	/* Eval/evaluate.scm 455 */
																																																	long
																																																		BgL_res2418z00_2929;
																																																	{	/* Eval/evaluate.scm 455 */
																																																		obj_t
																																																			BgL_classz00_2926;
																																																		BgL_classz00_2926
																																																			=
																																																			BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
																																																		{	/* Eval/evaluate.scm 455 */
																																																			obj_t
																																																				BgL_vectorz00_2927;
																																																			int
																																																				BgL_kz00_2928;
																																																			BgL_vectorz00_2927
																																																				=
																																																				BgL_classz00_2926;
																																																			BgL_kz00_2928
																																																				=
																																																				(int)
																																																				(
																																																				((long) 1));
																																																			BgL_res2418z00_2929
																																																				=
																																																				(long)
																																																				CINT
																																																				(VECTOR_REF
																																																				(BgL_vectorz00_2927,
																																																					BgL_kz00_2928));
																																																	}}
																																																	BgL_arg2059z00_1769
																																																		=
																																																		BgL_res2418z00_2929;
																																																}
																																																{	/* Eval/evaluate.scm 455 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_2930;
																																																	BgL_objz00_2930
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1144z00_1768);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(BgL_objz00_2930,
																																																		BgL_arg2059z00_1769);
																																															}}
																																															{	/* Eval/evaluate.scm 455 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_5485;
																																																BgL_auxz00_5485
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1144z00_1768);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_5485,
																																																	BFALSE);
																																															}
																																															BgL_new1145z00_1767
																																																=
																																																BgL_new1144z00_1768;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_5488;
																																															{	/* Eval/evaluate.scm 456 */
																																																obj_t
																																																	BgL_arg2072z00_2933;
																																																{	/* Eval/evaluate.scm 456 */
																																																	obj_t
																																																		BgL__ortest_1066z00_2936;
																																																	BgL__ortest_1066z00_2936
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_917);
																																																	if (CBOOL(BgL__ortest_1066z00_2936))
																																																		{	/* Eval/evaluate.scm 456 */
																																																			BgL_arg2072z00_2933
																																																				=
																																																				BgL__ortest_1066z00_2936;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 456 */
																																																			BgL_arg2072z00_2933
																																																				=
																																																				BgL_locz00_54;
																																																		}
																																																}
																																																BgL_auxz00_5488
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_917,
																																																		BgL_localsz00_50,
																																																		BgL_globalsz00_51,
																																																		BFALSE,
																																																		BgL_wherez00_53,
																																																		BgL_arg2072z00_2933,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1145z00_1767))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5488), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1145z00_1767))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_918, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_5478
																																															=
																																															BgL_new1145z00_1767;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5478);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1664z00_1230;
																																												BgL_arg1664z00_1230
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5500;
																																													{
																																														obj_t
																																															BgL_argsz00_5502;
																																														obj_t
																																															BgL_fz00_5501;
																																														BgL_fz00_5501
																																															=
																																															BgL_arg1664z00_1230;
																																														BgL_argsz00_5502
																																															=
																																															BgL_cdrzd26670zd2_1225;
																																														BgL_argsz00_927
																																															=
																																															BgL_argsz00_5502;
																																														BgL_fz00_926
																																															=
																																															BgL_fz00_5501;
																																														goto
																																															BgL_tagzd2154zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5500);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2640z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd26670zd2_1225))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1668z00_1235;
																																														obj_t
																																															BgL_arg1669z00_1236;
																																														BgL_arg1668z00_1235
																																															=
																																															CAR
																																															(BgL_cdrzd26670zd2_1225);
																																														BgL_arg1669z00_1236
																																															=
																																															CDR
																																															(BgL_cdrzd26670zd2_1225);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_5511;
																																															BgL_hz00_920
																																																=
																																																BgL_arg1668z00_1235;
																																															BgL_bodyz00_921
																																																=
																																																BgL_arg1669z00_1236;
																																														BgL_tagzd2152zd2_922:
																																															{	/* Eval/evaluate.scm 459 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1147z00_1770;
																																																{	/* Eval/evaluate.scm 459 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1146z00_1771;
																																																	BgL_new1146z00_1771
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 459 */
																																																		long
																																																			BgL_arg2060z00_1772;
																																																		{	/* Eval/evaluate.scm 459 */
																																																			long
																																																				BgL_res2419z00_2942;
																																																			{	/* Eval/evaluate.scm 459 */
																																																				obj_t
																																																					BgL_classz00_2939;
																																																				BgL_classz00_2939
																																																					=
																																																					BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
																																																				{	/* Eval/evaluate.scm 459 */
																																																					obj_t
																																																						BgL_vectorz00_2940;
																																																					int
																																																						BgL_kz00_2941;
																																																					BgL_vectorz00_2940
																																																						=
																																																						BgL_classz00_2939;
																																																					BgL_kz00_2941
																																																						=
																																																						(int)
																																																						(
																																																						((long) 1));
																																																					BgL_res2419z00_2942
																																																						=
																																																						(long)
																																																						CINT
																																																						(VECTOR_REF
																																																						(BgL_vectorz00_2940,
																																																							BgL_kz00_2941));
																																																			}}
																																																			BgL_arg2060z00_1772
																																																				=
																																																				BgL_res2419z00_2942;
																																																		}
																																																		{	/* Eval/evaluate.scm 459 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_2943;
																																																			BgL_objz00_2943
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1146z00_1771);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(BgL_objz00_2943,
																																																				BgL_arg2060z00_1772);
																																																	}}
																																																	{	/* Eval/evaluate.scm 459 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_5518;
																																																		BgL_auxz00_5518
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1146z00_1771);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_5518,
																																																			BFALSE);
																																																	}
																																																	BgL_new1147z00_1770
																																																		=
																																																		BgL_new1146z00_1771;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_5521;
																																																	{	/* Eval/evaluate.scm 460 */
																																																		obj_t
																																																			BgL_arg2072z00_2946;
																																																		{	/* Eval/evaluate.scm 460 */
																																																			obj_t
																																																				BgL__ortest_1066z00_2949;
																																																			BgL__ortest_1066z00_2949
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_920);
																																																			if (CBOOL(BgL__ortest_1066z00_2949))
																																																				{	/* Eval/evaluate.scm 460 */
																																																					BgL_arg2072z00_2946
																																																						=
																																																						BgL__ortest_1066z00_2949;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 460 */
																																																					BgL_arg2072z00_2946
																																																						=
																																																						BgL_locz00_54;
																																																				}
																																																		}
																																																		BgL_auxz00_5521
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_920,
																																																				BgL_localsz00_50,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_wherez00_53,
																																																				BgL_arg2072z00_2946,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1147z00_1770))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5521), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1147z00_1770))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_921, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_5511
																																																	=
																																																	BgL_new1147z00_1770;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5511);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1670z00_1237;
																																														obj_t
																																															BgL_arg1671z00_1238;
																																														BgL_arg1670z00_1237
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1671z00_1238
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5534;
																																															{
																																																obj_t
																																																	BgL_argsz00_5536;
																																																obj_t
																																																	BgL_fz00_5535;
																																																BgL_fz00_5535
																																																	=
																																																	BgL_arg1670z00_1237;
																																																BgL_argsz00_5536
																																																	=
																																																	BgL_arg1671z00_1238;
																																																BgL_argsz00_927
																																																	=
																																																	BgL_argsz00_5536;
																																																BgL_fz00_926
																																																	=
																																																	BgL_fz00_5535;
																																																goto
																																																	BgL_tagzd2154zd2_928;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5534);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd26734zd2_1239;
																																												BgL_cdrzd26734zd2_1239
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2634z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26734zd2_1239))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd26738zd2_1242;
																																																BgL_cdrzd26738zd2_1242
																																																	=
																																																	CDR
																																																	(BgL_cdrzd26734zd2_1239);
																																																if (PAIRP(BgL_cdrzd26738zd2_1242))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26738zd2_1242)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1676z00_1245;
																																																				obj_t
																																																					BgL_arg1678z00_1246;
																																																				BgL_arg1676z00_1245
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26734zd2_1239);
																																																				BgL_arg1678z00_1246
																																																					=
																																																					CAR
																																																					(BgL_cdrzd26738zd2_1242);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2062z00_3386;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg2063z00_3387;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg2064z00_3388;
																																																							obj_t
																																																								BgL_arg2065z00_3389;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2495z00_3392;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3390;
																																																									BgL_symbolz00_3390
																																																										=
																																																										BGl_symbol2642z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2239z00_3391;
																																																										BgL_arg2239z00_3391
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3390);
																																																										BgL_res2495z00_3392
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2239z00_3391);
																																																									}
																																																								}
																																																								BgL_arg2064z00_3388
																																																									=
																																																									BgL_res2495z00_3392;
																																																							}
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_res2496z00_3395;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_symbolz00_3393;
																																																									BgL_symbolz00_3393
																																																										=
																																																										BgL_wherez00_53;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2239z00_3394;
																																																										BgL_arg2239z00_3394
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3393);
																																																										BgL_res2496z00_3395
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2239z00_3394);
																																																									}
																																																								}
																																																								BgL_arg2065z00_3389
																																																									=
																																																									BgL_res2496z00_3395;
																																																							}
																																																							BgL_arg2063z00_3387
																																																								=
																																																								string_append
																																																								(BgL_arg2064z00_3388,
																																																								BgL_arg2065z00_3389);
																																																						}
																																																						BgL_arg2062z00_3386
																																																							=
																																																							string_to_symbol
																																																							(BSTRING_TO_STRING
																																																							(BgL_arg2063z00_3387));
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_51,
																																																							BgL_localsz00_50,
																																																							BgL_locz00_54,
																																																							BgL_ez00_49,
																																																							BgL_arg1676z00_1245,
																																																							BgL_arg1678z00_1246,
																																																							BgL_arg2062z00_3386));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1679z00_1247;
																																																				BgL_arg1679z00_1247
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5562;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5564;
																																																						obj_t
																																																							BgL_fz00_5563;
																																																						BgL_fz00_5563
																																																							=
																																																							BgL_arg1679z00_1247;
																																																						BgL_argsz00_5564
																																																							=
																																																							BgL_cdrzd26734zd2_1239;
																																																						BgL_argsz00_927
																																																							=
																																																							BgL_argsz00_5564;
																																																						BgL_fz00_926
																																																							=
																																																							BgL_fz00_5563;
																																																						goto
																																																							BgL_tagzd2154zd2_928;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5562);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1682z00_1250;
																																																		BgL_arg1682z00_1250
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5567;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5569;
																																																				obj_t
																																																					BgL_fz00_5568;
																																																				BgL_fz00_5568
																																																					=
																																																					BgL_arg1682z00_1250;
																																																				BgL_argsz00_5569
																																																					=
																																																					BgL_cdrzd26734zd2_1239;
																																																				BgL_argsz00_927
																																																					=
																																																					BgL_argsz00_5569;
																																																				BgL_fz00_926
																																																					=
																																																					BgL_fz00_5568;
																																																				goto
																																																					BgL_tagzd2154zd2_928;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5567);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1684z00_1252;
																																																BgL_arg1684z00_1252
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5572;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5574;
																																																		obj_t
																																																			BgL_fz00_5573;
																																																		BgL_fz00_5573
																																																			=
																																																			BgL_arg1684z00_1252;
																																																		BgL_argsz00_5574
																																																			=
																																																			BgL_cdrzd26734zd2_1239;
																																																		BgL_argsz00_927
																																																			=
																																																			BgL_argsz00_5574;
																																																		BgL_fz00_926
																																																			=
																																																			BgL_fz00_5573;
																																																		goto
																																																			BgL_tagzd2154zd2_928;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5572);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1686z00_1254;
																																														BgL_arg1686z00_1254
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5577;
																																															{
																																																obj_t
																																																	BgL_argsz00_5579;
																																																obj_t
																																																	BgL_fz00_5578;
																																																BgL_fz00_5578
																																																	=
																																																	BgL_arg1686z00_1254;
																																																BgL_argsz00_5579
																																																	=
																																																	BgL_cdrzd26734zd2_1239;
																																																BgL_argsz00_927
																																																	=
																																																	BgL_argsz00_5579;
																																																BgL_fz00_926
																																																	=
																																																	BgL_fz00_5578;
																																																goto
																																																	BgL_tagzd2154zd2_928;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5577);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														if (
															(BgL_carzd23104zd2_992 ==
																BGl_symbol2612z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 319 */
																if (PAIRP(BgL_cdrzd2225zd2_934))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2225zd2_934)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1706z00_1276;

																				BgL_arg1706z00_1276 =
																					CAR(BgL_cdrzd2225zd2_934);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_5589;

																					{
																						obj_t BgL_ez00_5590;

																						BgL_ez00_5590 = BgL_arg1706z00_1276;
																						BgL_ez00_873 = BgL_ez00_5590;
																						goto BgL_tagzd2135zd2_874;
																					}
																					return ((obj_t) BgL_auxz00_5589);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1707z00_1277;
																				obj_t BgL_arg1708z00_1278;

																				BgL_arg1707z00_1277 = CAR(BgL_ez00_49);
																				BgL_arg1708z00_1278 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5594;

																					{
																						obj_t BgL_argsz00_5596;
																						obj_t BgL_fz00_5595;

																						BgL_fz00_5595 = BgL_arg1707z00_1277;
																						BgL_argsz00_5596 =
																							BgL_arg1708z00_1278;
																						BgL_argsz00_927 = BgL_argsz00_5596;
																						BgL_fz00_926 = BgL_fz00_5595;
																						goto BgL_tagzd2154zd2_928;
																					}
																					return ((obj_t) BgL_auxz00_5594);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_arg1710z00_1280;
																		obj_t BgL_arg1711z00_1281;

																		BgL_arg1710z00_1280 = CAR(BgL_ez00_49);
																		BgL_arg1711z00_1281 = CDR(BgL_ez00_49);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_5600;

																			{
																				obj_t BgL_argsz00_5602;
																				obj_t BgL_fz00_5601;

																				BgL_fz00_5601 = BgL_arg1710z00_1280;
																				BgL_argsz00_5602 = BgL_arg1711z00_1281;
																				BgL_argsz00_927 = BgL_argsz00_5602;
																				BgL_fz00_926 = BgL_fz00_5601;
																				goto BgL_tagzd2154zd2_928;
																			}
																			return ((obj_t) BgL_auxz00_5600);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_cdrzd27301zd2_1282;

																BgL_cdrzd27301zd2_1282 = CDR(BgL_ez00_49);
																if (
																	(CAR(BgL_ez00_49) ==
																		BGl_symbol2614z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd27301zd2_1282))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd27301zd2_1282)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1716z00_1286;

																						BgL_arg1716z00_1286 =
																							CAR(BgL_cdrzd27301zd2_1282);
																						{	/* Eval/evaluate.scm 319 */
																							BgL_ev_littz00_bglt
																								BgL_new1109z00_3427;
																							{	/* Eval/evaluate.scm 319 */
																								BgL_ev_littz00_bglt
																									BgL_new1108z00_3428;
																								BgL_new1108z00_3428 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 319 */
																									long BgL_arg1964z00_3429;

																									{	/* Eval/evaluate.scm 319 */
																										long BgL_res2502z00_3433;

																										{	/* Eval/evaluate.scm 319 */
																											obj_t BgL_classz00_3430;

																											BgL_classz00_3430 =
																												BGl_ev_littz00zz__evaluate_typesz00;
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_vectorz00_3431;
																												int BgL_kz00_3432;

																												BgL_vectorz00_3431 =
																													BgL_classz00_3430;
																												BgL_kz00_3432 =
																													(int) (((long) 1));
																												BgL_res2502z00_3433 =
																													(long)
																													CINT(VECTOR_REF
																													(BgL_vectorz00_3431,
																														BgL_kz00_3432));
																										}}
																										BgL_arg1964z00_3429 =
																											BgL_res2502z00_3433;
																									}
																									{	/* Eval/evaluate.scm 319 */
																										BgL_objectz00_bglt
																											BgL_objz00_3434;
																										BgL_objz00_3434 =
																											((BgL_objectz00_bglt)
																											BgL_new1108z00_3428);
																										BGL_OBJECT_CLASS_NUM_SET
																											(BgL_objz00_3434,
																											BgL_arg1964z00_3429);
																								}}
																								{	/* Eval/evaluate.scm 319 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5620;
																									BgL_auxz00_5620 =
																										((BgL_objectz00_bglt)
																										BgL_new1108z00_3428);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_5620, BFALSE);
																								}
																								BgL_new1109z00_3427 =
																									BgL_new1108z00_3428;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1109z00_3427))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1716z00_1286),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1109z00_3427);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1717z00_1287;

																						BgL_arg1717z00_1287 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5626;
																							{
																								obj_t BgL_argsz00_5628;
																								obj_t BgL_fz00_5627;

																								BgL_fz00_5627 =
																									BgL_arg1717z00_1287;
																								BgL_argsz00_5628 =
																									BgL_cdrzd27301zd2_1282;
																								BgL_argsz00_927 =
																									BgL_argsz00_5628;
																								BgL_fz00_926 = BgL_fz00_5627;
																								goto BgL_tagzd2154zd2_928;
																							}
																							return ((obj_t) BgL_auxz00_5626);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1721z00_1290;

																				BgL_arg1721z00_1290 = CAR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5631;

																					{
																						obj_t BgL_argsz00_5633;
																						obj_t BgL_fz00_5632;

																						BgL_fz00_5632 = BgL_arg1721z00_1290;
																						BgL_argsz00_5633 =
																							BgL_cdrzd27301zd2_1282;
																						BgL_argsz00_927 = BgL_argsz00_5633;
																						BgL_fz00_926 = BgL_fz00_5632;
																						goto BgL_tagzd2154zd2_928;
																					}
																					return ((obj_t) BgL_auxz00_5631);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2616z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd27301zd2_1282))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_cdrzd27778zd2_1295;

																						BgL_cdrzd27778zd2_1295 =
																							CDR(BgL_cdrzd27301zd2_1282);
																						if (PAIRP(BgL_cdrzd27778zd2_1295))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd27783zd2_1297;

																								BgL_cdrzd27783zd2_1297 =
																									CDR(BgL_cdrzd27778zd2_1295);
																								if (PAIRP
																									(BgL_cdrzd27783zd2_1297))
																									{	/* Eval/evaluate.scm 319 */
																										if (NULLP(CDR
																												(BgL_cdrzd27783zd2_1297)))
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1728z00_1300;
																												obj_t
																													BgL_arg1729z00_1301;
																												obj_t
																													BgL_arg1730z00_1302;
																												BgL_arg1728z00_1300 =
																													CAR
																													(BgL_cdrzd27301zd2_1282);
																												BgL_arg1729z00_1301 =
																													CAR
																													(BgL_cdrzd27778zd2_1295);
																												BgL_arg1730z00_1302 =
																													CAR
																													(BgL_cdrzd27783zd2_1297);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_5652;
																													{
																														obj_t BgL_oz00_5655;
																														obj_t BgL_tz00_5654;
																														obj_t BgL_pz00_5653;

																														BgL_pz00_5653 =
																															BgL_arg1728z00_1300;
																														BgL_tz00_5654 =
																															BgL_arg1729z00_1301;
																														BgL_oz00_5655 =
																															BgL_arg1730z00_1302;
																														BgL_oz00_879 =
																															BgL_oz00_5655;
																														BgL_tz00_878 =
																															BgL_tz00_5654;
																														BgL_pz00_877 =
																															BgL_pz00_5653;
																														goto
																															BgL_tagzd2137zd2_880;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5652);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1731z00_1303;
																												obj_t
																													BgL_arg1732z00_1304;
																												BgL_arg1731z00_1303 =
																													CAR(BgL_ez00_49);
																												BgL_arg1732z00_1304 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_5659;
																													{
																														obj_t
																															BgL_argsz00_5661;
																														obj_t BgL_fz00_5660;

																														BgL_fz00_5660 =
																															BgL_arg1731z00_1303;
																														BgL_argsz00_5661 =
																															BgL_arg1732z00_1304;
																														BgL_argsz00_927 =
																															BgL_argsz00_5661;
																														BgL_fz00_926 =
																															BgL_fz00_5660;
																														goto
																															BgL_tagzd2154zd2_928;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5659);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1734z00_1306;
																										obj_t BgL_arg1735z00_1307;

																										BgL_arg1734z00_1306 =
																											CAR(BgL_ez00_49);
																										BgL_arg1735z00_1307 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_5665;
																											{
																												obj_t BgL_argsz00_5667;
																												obj_t BgL_fz00_5666;

																												BgL_fz00_5666 =
																													BgL_arg1734z00_1306;
																												BgL_argsz00_5667 =
																													BgL_arg1735z00_1307;
																												BgL_argsz00_927 =
																													BgL_argsz00_5667;
																												BgL_fz00_926 =
																													BgL_fz00_5666;
																												goto
																													BgL_tagzd2154zd2_928;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_5665);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1736z00_1308;
																								obj_t BgL_arg1737z00_1309;

																								BgL_arg1736z00_1308 =
																									CAR(BgL_ez00_49);
																								BgL_arg1737z00_1309 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5671;
																									{
																										obj_t BgL_argsz00_5673;
																										obj_t BgL_fz00_5672;

																										BgL_fz00_5672 =
																											BgL_arg1736z00_1308;
																										BgL_argsz00_5673 =
																											BgL_arg1737z00_1309;
																										BgL_argsz00_927 =
																											BgL_argsz00_5673;
																										BgL_fz00_926 =
																											BgL_fz00_5672;
																										goto BgL_tagzd2154zd2_928;
																									}
																									return
																										((obj_t) BgL_auxz00_5671);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1738z00_1310;
																						obj_t BgL_arg1739z00_1311;

																						BgL_arg1738z00_1310 =
																							CAR(BgL_ez00_49);
																						BgL_arg1739z00_1311 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5677;
																							{
																								obj_t BgL_argsz00_5679;
																								obj_t BgL_fz00_5678;

																								BgL_fz00_5678 =
																									BgL_arg1738z00_1310;
																								BgL_argsz00_5679 =
																									BgL_arg1739z00_1311;
																								BgL_argsz00_927 =
																									BgL_argsz00_5679;
																								BgL_fz00_926 = BgL_fz00_5678;
																								goto BgL_tagzd2154zd2_928;
																							}
																							return ((obj_t) BgL_auxz00_5677);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2618z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1741z00_1313;

																						BgL_arg1741z00_1313 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_5685;

																							{
																								obj_t BgL_argsz00_5686;

																								BgL_argsz00_5686 =
																									BgL_arg1741z00_1313;
																								BgL_argsz00_881 =
																									BgL_argsz00_5686;
																								goto BgL_tagzd2138zd2_882;
																							}
																							return ((obj_t) BgL_auxz00_5685);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2620z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1744z00_1315;

																								BgL_arg1744z00_1315 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_5692;
																									{
																										obj_t BgL_argsz00_5693;

																										BgL_argsz00_5693 =
																											BgL_arg1744z00_1315;
																										BgL_argsz00_883 =
																											BgL_argsz00_5693;
																										goto BgL_tagzd2139zd2_884;
																									}
																									return
																										((obj_t) BgL_auxz00_5692);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2622z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_49),
																											BgL_localsz00_50,
																											BgL_globalsz00_51,
																											BgL_tailzf3zf3_52,
																											BgL_wherez00_53,
																											BgL_locz00_54,
																											BgL_topzf3zf3_55);
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd28672zd2_1318;
																										BgL_cdrzd28672zd2_1318 =
																											CDR(BgL_ez00_49);
																										if ((CAR(BgL_ez00_49) ==
																												BGl_symbol2624z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												if (PAIRP
																													(BgL_cdrzd28672zd2_1318))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1749z00_1321;
																														obj_t
																															BgL_arg1750z00_1322;
																														BgL_arg1749z00_1321
																															=
																															CAR
																															(BgL_cdrzd28672zd2_1318);
																														BgL_arg1750z00_1322
																															=
																															CDR
																															(BgL_cdrzd28672zd2_1318);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_5708;
																															{
																																obj_t
																																	BgL_bodyz00_5710;
																																obj_t
																																	BgL_bindsz00_5709;
																																BgL_bindsz00_5709
																																	=
																																	BgL_arg1749z00_1321;
																																BgL_bodyz00_5710
																																	=
																																	BgL_arg1750z00_1322;
																																BgL_bodyz00_888
																																	=
																																	BgL_bodyz00_5710;
																																BgL_bindsz00_887
																																	=
																																	BgL_bindsz00_5709;
																																goto
																																	BgL_tagzd2141zd2_889;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5708);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1751z00_1323;
																														BgL_arg1751z00_1323
																															=
																															CAR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5713;
																															{
																																obj_t
																																	BgL_argsz00_5715;
																																obj_t
																																	BgL_fz00_5714;
																																BgL_fz00_5714 =
																																	BgL_arg1751z00_1323;
																																BgL_argsz00_5715
																																	=
																																	BgL_cdrzd28672zd2_1318;
																																BgL_argsz00_927
																																	=
																																	BgL_argsz00_5715;
																																BgL_fz00_926 =
																																	BgL_fz00_5714;
																																goto
																																	BgL_tagzd2154zd2_928;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5713);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												if (
																													(CAR(BgL_ez00_49) ==
																														BGl_symbol2626z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd28672zd2_1318))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1755z00_1328;
																																obj_t
																																	BgL_arg1757z00_1329;
																																BgL_arg1755z00_1328
																																	=
																																	CAR
																																	(BgL_cdrzd28672zd2_1318);
																																BgL_arg1757z00_1329
																																	=
																																	CDR
																																	(BgL_cdrzd28672zd2_1318);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_5724;
																																	{
																																		obj_t
																																			BgL_bodyz00_5726;
																																		obj_t
																																			BgL_bindsz00_5725;
																																		BgL_bindsz00_5725
																																			=
																																			BgL_arg1755z00_1328;
																																		BgL_bodyz00_5726
																																			=
																																			BgL_arg1757z00_1329;
																																		BgL_bodyz00_891
																																			=
																																			BgL_bodyz00_5726;
																																		BgL_bindsz00_890
																																			=
																																			BgL_bindsz00_5725;
																																		goto
																																			BgL_tagzd2142zd2_892;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5724);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1758z00_1330;
																																obj_t
																																	BgL_arg1759z00_1331;
																																BgL_arg1758z00_1330
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																BgL_arg1759z00_1331
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5730;
																																	{
																																		obj_t
																																			BgL_argsz00_5732;
																																		obj_t
																																			BgL_fz00_5731;
																																		BgL_fz00_5731
																																			=
																																			BgL_arg1758z00_1330;
																																		BgL_argsz00_5732
																																			=
																																			BgL_arg1759z00_1331;
																																		BgL_argsz00_927
																																			=
																																			BgL_argsz00_5732;
																																		BgL_fz00_926
																																			=
																																			BgL_fz00_5731;
																																		goto
																																			BgL_tagzd2154zd2_928;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5730);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_cdrzd28988zd2_1332;
																														BgL_cdrzd28988zd2_1332
																															=
																															CDR(BgL_ez00_49);
																														if ((CAR
																																(BgL_ez00_49) ==
																																BGl_symbol2628z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd28988zd2_1332))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1762z00_1335;
																																		obj_t
																																			BgL_arg1763z00_1336;
																																		BgL_arg1762z00_1335
																																			=
																																			CAR
																																			(BgL_cdrzd28988zd2_1332);
																																		BgL_arg1763z00_1336
																																			=
																																			CDR
																																			(BgL_cdrzd28988zd2_1332);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_5742;
																																			{
																																				obj_t
																																					BgL_bodyz00_5744;
																																				obj_t
																																					BgL_bindsz00_5743;
																																				BgL_bindsz00_5743
																																					=
																																					BgL_arg1762z00_1335;
																																				BgL_bodyz00_5744
																																					=
																																					BgL_arg1763z00_1336;
																																				BgL_bodyz00_894
																																					=
																																					BgL_bodyz00_5744;
																																				BgL_bindsz00_893
																																					=
																																					BgL_bindsz00_5743;
																																				goto
																																					BgL_tagzd2143zd2_895;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5742);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1764z00_1337;
																																		BgL_arg1764z00_1337
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5747;
																																			{
																																				obj_t
																																					BgL_argsz00_5749;
																																				obj_t
																																					BgL_fz00_5748;
																																				BgL_fz00_5748
																																					=
																																					BgL_arg1764z00_1337;
																																				BgL_argsz00_5749
																																					=
																																					BgL_cdrzd28988zd2_1332;
																																				BgL_argsz00_927
																																					=
																																					BgL_argsz00_5749;
																																				BgL_fz00_926
																																					=
																																					BgL_fz00_5748;
																																				goto
																																					BgL_tagzd2154zd2_928;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5747);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																if (
																																	(CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2630z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd28988zd2_1332))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_carzd29126zd2_1342;
																																				obj_t
																																					BgL_cdrzd29127zd2_1343;
																																				BgL_carzd29126zd2_1342
																																					=
																																					CAR
																																					(BgL_cdrzd28988zd2_1332);
																																				BgL_cdrzd29127zd2_1343
																																					=
																																					CDR
																																					(BgL_cdrzd28988zd2_1332);
																																				if (PAIRP(BgL_carzd29126zd2_1342))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29131zd2_1345;
																																						BgL_cdrzd29131zd2_1345
																																							=
																																							CDR
																																							(BgL_carzd29126zd2_1342);
																																						if (
																																							(CAR
																																								(BgL_carzd29126zd2_1342)
																																								==
																																								BGl_symbol2608z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd29131zd2_1345))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd29134zd2_1348;
																																										obj_t
																																											BgL_cdrzd29135zd2_1349;
																																										BgL_carzd29134zd2_1348
																																											=
																																											CAR
																																											(BgL_cdrzd29131zd2_1345);
																																										BgL_cdrzd29135zd2_1349
																																											=
																																											CDR
																																											(BgL_cdrzd29131zd2_1345);
																																										if (SYMBOLP(BgL_carzd29134zd2_1348))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd29135zd2_1349))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_carzd29139zd2_1352;
																																														BgL_carzd29139zd2_1352
																																															=
																																															CAR
																																															(BgL_cdrzd29135zd2_1349);
																																														if (SYMBOLP(BgL_carzd29139zd2_1352))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd29135zd2_1349)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (PAIRP(BgL_cdrzd29127zd2_1343))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd29127zd2_1343)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1777z00_1357;
																																																						BgL_arg1777z00_1357
																																																							=
																																																							CAR
																																																							(BgL_cdrzd29127zd2_1343);
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_idz00_3525;
																																																							obj_t
																																																								BgL_modnamez00_3526;
																																																							BgL_idz00_3525
																																																								=
																																																								BgL_carzd29134zd2_1348;
																																																							BgL_modnamez00_3526
																																																								=
																																																								BgL_carzd29139zd2_1352;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1131z00_3528;
																																																								{	/* Eval/evaluate.scm 319 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1130z00_3529;
																																																									BgL_new1130z00_3529
																																																										=
																																																										(
																																																										(BgL_ev_setglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_setglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 319 */
																																																										long
																																																											BgL_arg2034z00_3530;
																																																										{	/* Eval/evaluate.scm 319 */
																																																											long
																																																												BgL_res2519z00_3534;
																																																											{	/* Eval/evaluate.scm 319 */
																																																												obj_t
																																																													BgL_classz00_3531;
																																																												BgL_classz00_3531
																																																													=
																																																													BGl_ev_setglobalz00zz__evaluate_typesz00;
																																																												{	/* Eval/evaluate.scm 319 */
																																																													obj_t
																																																														BgL_vectorz00_3532;
																																																													int
																																																														BgL_kz00_3533;
																																																													BgL_vectorz00_3532
																																																														=
																																																														BgL_classz00_3531;
																																																													BgL_kz00_3533
																																																														=
																																																														(int)
																																																														(
																																																														((long) 1));
																																																													BgL_res2519z00_3534
																																																														=
																																																														(long)
																																																														CINT
																																																														(VECTOR_REF
																																																														(BgL_vectorz00_3532,
																																																															BgL_kz00_3533));
																																																											}}
																																																											BgL_arg2034z00_3530
																																																												=
																																																												BgL_res2519z00_3534;
																																																										}
																																																										{	/* Eval/evaluate.scm 319 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3535;
																																																											BgL_objz00_3535
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1130z00_3529);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3535,
																																																												BgL_arg2034z00_3530);
																																																									}}
																																																									{	/* Eval/evaluate.scm 319 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5790;
																																																										BgL_auxz00_5790
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1130z00_3529);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5790,
																																																											BFALSE);
																																																									}
																																																									BgL_new1131z00_3528
																																																										=
																																																										BgL_new1130z00_3529;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5793;
																																																									{	/* Eval/evaluate.scm 319 */
																																																										obj_t
																																																											BgL_arg2072z00_3538;
																																																										BgL_arg2072z00_3538
																																																											=
																																																											BGl_getzd2locationzd2zz__evaluatez00
																																																											(BgL_arg1777z00_1357,
																																																											BgL_locz00_54);
																																																										BgL_auxz00_5793
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_uconvzf2loczf2zz__evaluatez00
																																																											(BgL_wherez00_53,
																																																												BgL_globalsz00_51,
																																																												BgL_localsz00_50,
																																																												BgL_arg1777z00_1357,
																																																												BgL_arg2072z00_3538));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1131z00_3528)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5793), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3528))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3528))->BgL_namez00) = ((obj_t) BgL_idz00_3525), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1131z00_3528))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3526)), BUNSPEC);
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_new1131z00_3528);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2596z00zz__evaluatez00,
																																																							BGl_string2602z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2596z00zz__evaluatez00,
																																																					BGl_string2602z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd29239zd2_1359;
																																																		BgL_cdrzd29239zd2_1359
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd29243zd2_1360;
																																																			BgL_cdrzd29243zd2_1360
																																																				=
																																																				CDR
																																																				(BgL_cdrzd29239zd2_1359);
																																																			if (PAIRP(BgL_cdrzd29243zd2_1360))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd29243zd2_1360)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1781z00_1363;
																																																							obj_t
																																																								BgL_arg1782z00_1364;
																																																							BgL_arg1781z00_1363
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29239zd2_1359);
																																																							BgL_arg1782z00_1364
																																																								=
																																																								CAR
																																																								(BgL_cdrzd29243zd2_1360);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5815;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5817;
																																																									obj_t
																																																										BgL_vz00_5816;
																																																									BgL_vz00_5816
																																																										=
																																																										BgL_arg1781z00_1363;
																																																									BgL_ez00_5817
																																																										=
																																																										BgL_arg1782z00_1364;
																																																									BgL_ez00_904
																																																										=
																																																										BgL_ez00_5817;
																																																									BgL_vz00_903
																																																										=
																																																										BgL_vz00_5816;
																																																									goto
																																																										BgL_tagzd2146zd2_905;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5815);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2596z00zz__evaluatez00,
																																																								BGl_string2602z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2596z00zz__evaluatez00,
																																																						BGl_string2602z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd29292zd2_1367;
																																																BgL_cdrzd29292zd2_1367
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd29296zd2_1368;
																																																	BgL_cdrzd29296zd2_1368
																																																		=
																																																		CDR
																																																		(BgL_cdrzd29292zd2_1367);
																																																	if (PAIRP(BgL_cdrzd29296zd2_1368))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd29296zd2_1368)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1787z00_1371;
																																																					obj_t
																																																						BgL_arg1788z00_1372;
																																																					BgL_arg1787z00_1371
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29292zd2_1367);
																																																					BgL_arg1788z00_1372
																																																						=
																																																						CAR
																																																						(BgL_cdrzd29296zd2_1368);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5830;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5832;
																																																							obj_t
																																																								BgL_vz00_5831;
																																																							BgL_vz00_5831
																																																								=
																																																								BgL_arg1787z00_1371;
																																																							BgL_ez00_5832
																																																								=
																																																								BgL_arg1788z00_1372;
																																																							BgL_ez00_904
																																																								=
																																																								BgL_ez00_5832;
																																																							BgL_vz00_903
																																																								=
																																																								BgL_vz00_5831;
																																																							goto
																																																								BgL_tagzd2146zd2_905;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5830);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2596z00zz__evaluatez00,
																																																						BGl_string2602z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2596z00zz__evaluatez00,
																																																				BGl_string2602z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29345zd2_1374;
																																														BgL_cdrzd29345zd2_1374
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd29349zd2_1375;
																																															BgL_cdrzd29349zd2_1375
																																																=
																																																CDR
																																																(BgL_cdrzd29345zd2_1374);
																																															if (PAIRP(BgL_cdrzd29349zd2_1375))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd29349zd2_1375)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1792z00_1378;
																																																			obj_t
																																																				BgL_arg1793z00_1379;
																																																			BgL_arg1792z00_1378
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29345zd2_1374);
																																																			BgL_arg1793z00_1379
																																																				=
																																																				CAR
																																																				(BgL_cdrzd29349zd2_1375);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5845;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5847;
																																																					obj_t
																																																						BgL_vz00_5846;
																																																					BgL_vz00_5846
																																																						=
																																																						BgL_arg1792z00_1378;
																																																					BgL_ez00_5847
																																																						=
																																																						BgL_arg1793z00_1379;
																																																					BgL_ez00_904
																																																						=
																																																						BgL_ez00_5847;
																																																					BgL_vz00_903
																																																						=
																																																						BgL_vz00_5846;
																																																					goto
																																																						BgL_tagzd2146zd2_905;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5845);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2596z00zz__evaluatez00,
																																																				BGl_string2602z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2596z00zz__evaluatez00,
																																																		BGl_string2602z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd29398zd2_1381;
																																												BgL_cdrzd29398zd2_1381
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd29402zd2_1382;
																																													BgL_cdrzd29402zd2_1382
																																														=
																																														CDR
																																														(BgL_cdrzd29398zd2_1381);
																																													if (PAIRP(BgL_cdrzd29402zd2_1382))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd29402zd2_1382)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1797z00_1385;
																																																	obj_t
																																																		BgL_arg1798z00_1386;
																																																	BgL_arg1797z00_1385
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29398zd2_1381);
																																																	BgL_arg1798z00_1386
																																																		=
																																																		CAR
																																																		(BgL_cdrzd29402zd2_1382);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5860;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5862;
																																																			obj_t
																																																				BgL_vz00_5861;
																																																			BgL_vz00_5861
																																																				=
																																																				BgL_arg1797z00_1385;
																																																			BgL_ez00_5862
																																																				=
																																																				BgL_arg1798z00_1386;
																																																			BgL_ez00_904
																																																				=
																																																				BgL_ez00_5862;
																																																			BgL_vz00_903
																																																				=
																																																				BgL_vz00_5861;
																																																			goto
																																																				BgL_tagzd2146zd2_905;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5860);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2596z00zz__evaluatez00,
																																																		BGl_string2602z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd29451zd2_1388;
																																										BgL_cdrzd29451zd2_1388
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd29455zd2_1389;
																																											BgL_cdrzd29455zd2_1389
																																												=
																																												CDR
																																												(BgL_cdrzd29451zd2_1388);
																																											if (PAIRP(BgL_cdrzd29455zd2_1389))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd29455zd2_1389)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1802z00_1392;
																																															obj_t
																																																BgL_arg1803z00_1393;
																																															BgL_arg1802z00_1392
																																																=
																																																CAR
																																																(BgL_cdrzd29451zd2_1388);
																																															BgL_arg1803z00_1393
																																																=
																																																CAR
																																																(BgL_cdrzd29455zd2_1389);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5875;
																																																{
																																																	obj_t
																																																		BgL_ez00_5877;
																																																	obj_t
																																																		BgL_vz00_5876;
																																																	BgL_vz00_5876
																																																		=
																																																		BgL_arg1802z00_1392;
																																																	BgL_ez00_5877
																																																		=
																																																		BgL_arg1803z00_1393;
																																																	BgL_ez00_904
																																																		=
																																																		BgL_ez00_5877;
																																																	BgL_vz00_903
																																																		=
																																																		BgL_vz00_5876;
																																																	goto
																																																		BgL_tagzd2146zd2_905;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5875);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2596z00zz__evaluatez00,
																																														BGl_string2602z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd29493zd2_1395;
																																								BgL_cdrzd29493zd2_1395
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_carzd29496zd2_1396;
																																									obj_t
																																										BgL_cdrzd29497zd2_1397;
																																									BgL_carzd29496zd2_1396
																																										=
																																										CAR
																																										(BgL_cdrzd29493zd2_1395);
																																									BgL_cdrzd29497zd2_1397
																																										=
																																										CDR
																																										(BgL_cdrzd29493zd2_1395);
																																									if ((CAR(BgL_carzd29496zd2_1396) == BGl_symbol2610z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (PAIRP(BgL_cdrzd29497zd2_1397))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd29497zd2_1397)))
																																														{
																																															obj_t
																																																BgL_e2z00_5894;
																																															obj_t
																																																BgL_lz00_5892;
																																															BgL_lz00_5892
																																																=
																																																CDR
																																																(BgL_carzd29496zd2_1396);
																																															BgL_e2z00_5894
																																																=
																																																CAR
																																																(BgL_cdrzd29497zd2_1397);
																																															BgL_e2z00_901
																																																=
																																																BgL_e2z00_5894;
																																															BgL_lz00_900
																																																=
																																																BgL_lz00_5892;
																																															goto
																																																BgL_tagzd2145zd2_902;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2596z00zz__evaluatez00,
																																														BGl_string2602z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd29563zd2_1405;
																																											BgL_cdrzd29563zd2_1405
																																												=
																																												CDR
																																												(BgL_cdrzd29493zd2_1395);
																																											if (PAIRP(BgL_cdrzd29563zd2_1405))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd29563zd2_1405)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1813z00_1408;
																																															obj_t
																																																BgL_arg1814z00_1409;
																																															BgL_arg1813z00_1408
																																																=
																																																CAR
																																																(BgL_cdrzd29493zd2_1395);
																																															BgL_arg1814z00_1409
																																																=
																																																CAR
																																																(BgL_cdrzd29563zd2_1405);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_5906;
																																																{
																																																	obj_t
																																																		BgL_ez00_5908;
																																																	obj_t
																																																		BgL_vz00_5907;
																																																	BgL_vz00_5907
																																																		=
																																																		BgL_arg1813z00_1408;
																																																	BgL_ez00_5908
																																																		=
																																																		BgL_arg1814z00_1409;
																																																	BgL_ez00_904
																																																		=
																																																		BgL_ez00_5908;
																																																	BgL_vz00_903
																																																		=
																																																		BgL_vz00_5907;
																																																	goto
																																																		BgL_tagzd2146zd2_905;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_5906);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2596z00zz__evaluatez00,
																																																BGl_string2602z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2596z00zz__evaluatez00,
																																														BGl_string2602z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29612zd2_1413;
																																						BgL_cdrzd29612zd2_1413
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						{	/* Eval/evaluate.scm 319 */
																																							obj_t
																																								BgL_cdrzd29616zd2_1414;
																																							BgL_cdrzd29616zd2_1414
																																								=
																																								CDR
																																								(BgL_cdrzd29612zd2_1413);
																																							if (PAIRP(BgL_cdrzd29616zd2_1414))
																																								{	/* Eval/evaluate.scm 319 */
																																									if (NULLP(CDR(BgL_cdrzd29616zd2_1414)))
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_arg1821z00_1417;
																																											obj_t
																																												BgL_arg1822z00_1418;
																																											BgL_arg1821z00_1417
																																												=
																																												CAR
																																												(BgL_cdrzd29612zd2_1413);
																																											BgL_arg1822z00_1418
																																												=
																																												CAR
																																												(BgL_cdrzd29616zd2_1414);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_5921;
																																												{
																																													obj_t
																																														BgL_ez00_5923;
																																													obj_t
																																														BgL_vz00_5922;
																																													BgL_vz00_5922
																																														=
																																														BgL_arg1821z00_1417;
																																													BgL_ez00_5923
																																														=
																																														BgL_arg1822z00_1418;
																																													BgL_ez00_904
																																														=
																																														BgL_ez00_5923;
																																													BgL_vz00_903
																																														=
																																														BgL_vz00_5922;
																																													goto
																																														BgL_tagzd2146zd2_905;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_5921);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2596z00zz__evaluatez00,
																																												BGl_string2602z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 319 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_54,
																																										BGl_string2596z00zz__evaluatez00,
																																										BGl_string2602z00zz__evaluatez00,
																																										BgL_ez00_49);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_54,
																																					BGl_string2596z00zz__evaluatez00,
																																					BGl_string2602z00zz__evaluatez00,
																																					BgL_ez00_49);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_cdrzd29719zd2_1420;
																																		BgL_cdrzd29719zd2_1420
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		if ((CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2632z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd29719zd2_1420))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd29724zd2_1423;
																																						BgL_cdrzd29724zd2_1423
																																							=
																																							CDR
																																							(BgL_cdrzd29719zd2_1420);
																																						if (PAIRP(BgL_cdrzd29724zd2_1423))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd29728zd2_1425;
																																								BgL_carzd29728zd2_1425
																																									=
																																									CAR
																																									(BgL_cdrzd29724zd2_1423);
																																								if (PAIRP(BgL_carzd29728zd2_1425))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd29733zd2_1427;
																																										BgL_cdrzd29733zd2_1427
																																											=
																																											CDR
																																											(BgL_carzd29728zd2_1425);
																																										if ((CAR(BgL_carzd29728zd2_1425) == BGl_symbol2634z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd29733zd2_1427))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29737zd2_1430;
																																														BgL_cdrzd29737zd2_1430
																																															=
																																															CDR
																																															(BgL_cdrzd29733zd2_1427);
																																														if (PAIRP(BgL_cdrzd29737zd2_1430))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd29737zd2_1430)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd29724zd2_1423)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1833z00_1434;
																																																				obj_t
																																																					BgL_arg1834z00_1435;
																																																				obj_t
																																																					BgL_arg1835z00_1436;
																																																				BgL_arg1833z00_1434
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29719zd2_1420);
																																																				BgL_arg1834z00_1435
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29733zd2_1427);
																																																				BgL_arg1835z00_1436
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29737zd2_1430);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5958;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_5961;
																																																						obj_t
																																																							BgL_formalsz00_5960;
																																																						obj_t
																																																							BgL_gvz00_5959;
																																																						BgL_gvz00_5959
																																																							=
																																																							BgL_arg1833z00_1434;
																																																						BgL_formalsz00_5960
																																																							=
																																																							BgL_arg1834z00_1435;
																																																						BgL_bodyz00_5961
																																																							=
																																																							BgL_arg1835z00_1436;
																																																						BgL_bodyz00_909
																																																							=
																																																							BgL_bodyz00_5961;
																																																						BgL_formalsz00_908
																																																							=
																																																							BgL_formalsz00_5960;
																																																						BgL_gvz00_907
																																																							=
																																																							BgL_gvz00_5959;
																																																						goto
																																																							BgL_tagzd2148zd2_910;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5958);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1836z00_1437;
																																																				BgL_arg1836z00_1437
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5964;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5966;
																																																						obj_t
																																																							BgL_fz00_5965;
																																																						BgL_fz00_5965
																																																							=
																																																							BgL_arg1836z00_1437;
																																																						BgL_argsz00_5966
																																																							=
																																																							BgL_cdrzd29719zd2_1420;
																																																						BgL_argsz00_927
																																																							=
																																																							BgL_argsz00_5966;
																																																						BgL_fz00_926
																																																							=
																																																							BgL_fz00_5965;
																																																						goto
																																																							BgL_tagzd2154zd2_928;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5964);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd29811zd2_1441;
																																																		BgL_cdrzd29811zd2_1441
																																																			=
																																																			CDR
																																																			(BgL_cdrzd29719zd2_1420);
																																																		if (NULLP(CDR(BgL_cdrzd29811zd2_1441)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1842z00_1443;
																																																				obj_t
																																																					BgL_arg1843z00_1444;
																																																				BgL_arg1842z00_1443
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29719zd2_1420);
																																																				BgL_arg1843z00_1444
																																																					=
																																																					CAR
																																																					(BgL_cdrzd29811zd2_1441);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5974;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5976;
																																																						obj_t
																																																							BgL_gvz00_5975;
																																																						BgL_gvz00_5975
																																																							=
																																																							BgL_arg1842z00_1443;
																																																						BgL_gez00_5976
																																																							=
																																																							BgL_arg1843z00_1444;
																																																						BgL_gez00_912
																																																							=
																																																							BgL_gez00_5976;
																																																						BgL_gvz00_911
																																																							=
																																																							BgL_gvz00_5975;
																																																						goto
																																																							BgL_tagzd2149zd2_913;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5974);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1844z00_1445;
																																																				obj_t
																																																					BgL_arg1845z00_1446;
																																																				BgL_arg1844z00_1445
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1845z00_1446
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5980;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5982;
																																																						obj_t
																																																							BgL_fz00_5981;
																																																						BgL_fz00_5981
																																																							=
																																																							BgL_arg1844z00_1445;
																																																						BgL_argsz00_5982
																																																							=
																																																							BgL_arg1845z00_1446;
																																																						BgL_argsz00_927
																																																							=
																																																							BgL_argsz00_5982;
																																																						BgL_fz00_926
																																																							=
																																																							BgL_fz00_5981;
																																																						goto
																																																							BgL_tagzd2154zd2_928;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5980);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd29874zd2_1450;
																																																BgL_cdrzd29874zd2_1450
																																																	=
																																																	CDR
																																																	(BgL_cdrzd29719zd2_1420);
																																																if (NULLP(CDR(BgL_cdrzd29874zd2_1450)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1850z00_1452;
																																																		obj_t
																																																			BgL_arg1851z00_1453;
																																																		BgL_arg1850z00_1452
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29719zd2_1420);
																																																		BgL_arg1851z00_1453
																																																			=
																																																			CAR
																																																			(BgL_cdrzd29874zd2_1450);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5990;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5992;
																																																				obj_t
																																																					BgL_gvz00_5991;
																																																				BgL_gvz00_5991
																																																					=
																																																					BgL_arg1850z00_1452;
																																																				BgL_gez00_5992
																																																					=
																																																					BgL_arg1851z00_1453;
																																																				BgL_gez00_912
																																																					=
																																																					BgL_gez00_5992;
																																																				BgL_gvz00_911
																																																					=
																																																					BgL_gvz00_5991;
																																																				goto
																																																					BgL_tagzd2149zd2_913;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5990);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1852z00_1454;
																																																		obj_t
																																																			BgL_arg1853z00_1455;
																																																		BgL_arg1852z00_1454
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1853z00_1455
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5996;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5998;
																																																				obj_t
																																																					BgL_fz00_5997;
																																																				BgL_fz00_5997
																																																					=
																																																					BgL_arg1852z00_1454;
																																																				BgL_argsz00_5998
																																																					=
																																																					BgL_arg1853z00_1455;
																																																				BgL_argsz00_927
																																																					=
																																																					BgL_argsz00_5998;
																																																				BgL_fz00_926
																																																					=
																																																					BgL_fz00_5997;
																																																				goto
																																																					BgL_tagzd2154zd2_928;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5996);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd29937zd2_1458;
																																														BgL_cdrzd29937zd2_1458
																																															=
																																															CDR
																																															(BgL_cdrzd29719zd2_1420);
																																														if (NULLP(CDR(BgL_cdrzd29937zd2_1458)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1856z00_1460;
																																																obj_t
																																																	BgL_arg1857z00_1461;
																																																BgL_arg1856z00_1460
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29719zd2_1420);
																																																BgL_arg1857z00_1461
																																																	=
																																																	CAR
																																																	(BgL_cdrzd29937zd2_1458);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6006;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6008;
																																																		obj_t
																																																			BgL_gvz00_6007;
																																																		BgL_gvz00_6007
																																																			=
																																																			BgL_arg1856z00_1460;
																																																		BgL_gez00_6008
																																																			=
																																																			BgL_arg1857z00_1461;
																																																		BgL_gez00_912
																																																			=
																																																			BgL_gez00_6008;
																																																		BgL_gvz00_911
																																																			=
																																																			BgL_gvz00_6007;
																																																		goto
																																																			BgL_tagzd2149zd2_913;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6006);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1858z00_1462;
																																																obj_t
																																																	BgL_arg1859z00_1463;
																																																BgL_arg1858z00_1462
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1859z00_1463
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6012;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6014;
																																																		obj_t
																																																			BgL_fz00_6013;
																																																		BgL_fz00_6013
																																																			=
																																																			BgL_arg1858z00_1462;
																																																		BgL_argsz00_6014
																																																			=
																																																			BgL_arg1859z00_1463;
																																																		BgL_argsz00_927
																																																			=
																																																			BgL_argsz00_6014;
																																																		BgL_fz00_926
																																																			=
																																																			BgL_fz00_6013;
																																																		goto
																																																			BgL_tagzd2154zd2_928;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6012);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd210000zd2_1466;
																																												BgL_cdrzd210000zd2_1466
																																													=
																																													CDR
																																													(BgL_cdrzd29719zd2_1420);
																																												if (NULLP(CDR(BgL_cdrzd210000zd2_1466)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1862z00_1468;
																																														obj_t
																																															BgL_arg1863z00_1469;
																																														BgL_arg1862z00_1468
																																															=
																																															CAR
																																															(BgL_cdrzd29719zd2_1420);
																																														BgL_arg1863z00_1469
																																															=
																																															CAR
																																															(BgL_cdrzd210000zd2_1466);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6022;
																																															{
																																																obj_t
																																																	BgL_gez00_6024;
																																																obj_t
																																																	BgL_gvz00_6023;
																																																BgL_gvz00_6023
																																																	=
																																																	BgL_arg1862z00_1468;
																																																BgL_gez00_6024
																																																	=
																																																	BgL_arg1863z00_1469;
																																																BgL_gez00_912
																																																	=
																																																	BgL_gez00_6024;
																																																BgL_gvz00_911
																																																	=
																																																	BgL_gvz00_6023;
																																																goto
																																																	BgL_tagzd2149zd2_913;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6022);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1864z00_1470;
																																														obj_t
																																															BgL_arg1865z00_1471;
																																														BgL_arg1864z00_1470
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1865z00_1471
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6028;
																																															{
																																																obj_t
																																																	BgL_argsz00_6030;
																																																obj_t
																																																	BgL_fz00_6029;
																																																BgL_fz00_6029
																																																	=
																																																	BgL_arg1864z00_1470;
																																																BgL_argsz00_6030
																																																	=
																																																	BgL_arg1865z00_1471;
																																																BgL_argsz00_927
																																																	=
																																																	BgL_argsz00_6030;
																																																BgL_fz00_926
																																																	=
																																																	BgL_fz00_6029;
																																																goto
																																																	BgL_tagzd2154zd2_928;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6028);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210063zd2_1475;
																																										BgL_cdrzd210063zd2_1475
																																											=
																																											CDR
																																											(BgL_cdrzd29719zd2_1420);
																																										if (NULLP(CDR(BgL_cdrzd210063zd2_1475)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1870z00_1477;
																																												obj_t
																																													BgL_arg1871z00_1478;
																																												BgL_arg1870z00_1477
																																													=
																																													CAR
																																													(BgL_cdrzd29719zd2_1420);
																																												BgL_arg1871z00_1478
																																													=
																																													CAR
																																													(BgL_cdrzd210063zd2_1475);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6038;
																																													{
																																														obj_t
																																															BgL_gez00_6040;
																																														obj_t
																																															BgL_gvz00_6039;
																																														BgL_gvz00_6039
																																															=
																																															BgL_arg1870z00_1477;
																																														BgL_gez00_6040
																																															=
																																															BgL_arg1871z00_1478;
																																														BgL_gez00_912
																																															=
																																															BgL_gez00_6040;
																																														BgL_gvz00_911
																																															=
																																															BgL_gvz00_6039;
																																														goto
																																															BgL_tagzd2149zd2_913;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6038);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1873z00_1479;
																																												obj_t
																																													BgL_arg1874z00_1480;
																																												BgL_arg1873z00_1479
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1874z00_1480
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6044;
																																													{
																																														obj_t
																																															BgL_argsz00_6046;
																																														obj_t
																																															BgL_fz00_6045;
																																														BgL_fz00_6045
																																															=
																																															BgL_arg1873z00_1479;
																																														BgL_argsz00_6046
																																															=
																																															BgL_arg1874z00_1480;
																																														BgL_argsz00_927
																																															=
																																															BgL_argsz00_6046;
																																														BgL_fz00_926
																																															=
																																															BgL_fz00_6045;
																																														goto
																																															BgL_tagzd2154zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6044);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1876z00_1482;
																																								BgL_arg1876z00_1482
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6049;
																																									{
																																										obj_t
																																											BgL_argsz00_6051;
																																										obj_t
																																											BgL_fz00_6050;
																																										BgL_fz00_6050
																																											=
																																											BgL_arg1876z00_1482;
																																										BgL_argsz00_6051
																																											=
																																											BgL_cdrzd29719zd2_1420;
																																										BgL_argsz00_927
																																											=
																																											BgL_argsz00_6051;
																																										BgL_fz00_926
																																											=
																																											BgL_fz00_6050;
																																										goto
																																											BgL_tagzd2154zd2_928;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6049);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_arg1878z00_1484;
																																						BgL_arg1878z00_1484
																																							=
																																							CAR
																																							(BgL_ez00_49);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6054;
																																							{
																																								obj_t
																																									BgL_argsz00_6056;
																																								obj_t
																																									BgL_fz00_6055;
																																								BgL_fz00_6055
																																									=
																																									BgL_arg1878z00_1484;
																																								BgL_argsz00_6056
																																									=
																																									BgL_cdrzd29719zd2_1420;
																																								BgL_argsz00_927
																																									=
																																									BgL_argsz00_6056;
																																								BgL_fz00_926
																																									=
																																									BgL_fz00_6055;
																																								goto
																																									BgL_tagzd2154zd2_928;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6054);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				if (
																																					(CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2636z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd29719zd2_1420))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd210231zd2_1489;
																																								BgL_carzd210231zd2_1489
																																									=
																																									CAR
																																									(BgL_cdrzd29719zd2_1420);
																																								if (PAIRP(BgL_carzd210231zd2_1489))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (NULLP(CDR(BgL_carzd210231zd2_1489)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1885z00_1492;
																																												obj_t
																																													BgL_arg1886z00_1493;
																																												BgL_arg1885z00_1492
																																													=
																																													CAR
																																													(BgL_carzd210231zd2_1489);
																																												BgL_arg1886z00_1493
																																													=
																																													CDR
																																													(BgL_cdrzd29719zd2_1420);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6071;
																																													{
																																														obj_t
																																															BgL_bodyz00_6073;
																																														obj_t
																																															BgL_vz00_6072;
																																														BgL_vz00_6072
																																															=
																																															BgL_arg1885z00_1492;
																																														BgL_bodyz00_6073
																																															=
																																															BgL_arg1886z00_1493;
																																														BgL_bodyz00_915
																																															=
																																															BgL_bodyz00_6073;
																																														BgL_vz00_914
																																															=
																																															BgL_vz00_6072;
																																														goto
																																															BgL_tagzd2150zd2_916;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6071);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1887z00_1494;
																																												obj_t
																																													BgL_arg1888z00_1495;
																																												BgL_arg1887z00_1494
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1888z00_1495
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6077;
																																													{
																																														obj_t
																																															BgL_argsz00_6079;
																																														obj_t
																																															BgL_fz00_6078;
																																														BgL_fz00_6078
																																															=
																																															BgL_arg1887z00_1494;
																																														BgL_argsz00_6079
																																															=
																																															BgL_arg1888z00_1495;
																																														BgL_argsz00_927
																																															=
																																															BgL_argsz00_6079;
																																														BgL_fz00_926
																																															=
																																															BgL_fz00_6078;
																																														goto
																																															BgL_tagzd2154zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6077);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1890z00_1497;
																																										obj_t
																																											BgL_arg1891z00_1498;
																																										BgL_arg1890z00_1497
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1891z00_1498
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6083;
																																											{
																																												obj_t
																																													BgL_argsz00_6085;
																																												obj_t
																																													BgL_fz00_6084;
																																												BgL_fz00_6084
																																													=
																																													BgL_arg1890z00_1497;
																																												BgL_argsz00_6085
																																													=
																																													BgL_arg1891z00_1498;
																																												BgL_argsz00_927
																																													=
																																													BgL_argsz00_6085;
																																												BgL_fz00_926
																																													=
																																													BgL_fz00_6084;
																																												goto
																																													BgL_tagzd2154zd2_928;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6083);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1892z00_1499;
																																								obj_t
																																									BgL_arg1894z00_1500;
																																								BgL_arg1892z00_1499
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								BgL_arg1894z00_1500
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6089;
																																									{
																																										obj_t
																																											BgL_argsz00_6091;
																																										obj_t
																																											BgL_fz00_6090;
																																										BgL_fz00_6090
																																											=
																																											BgL_arg1892z00_1499;
																																										BgL_argsz00_6091
																																											=
																																											BgL_arg1894z00_1500;
																																										BgL_argsz00_927
																																											=
																																											BgL_argsz00_6091;
																																										BgL_fz00_926
																																											=
																																											BgL_fz00_6090;
																																										goto
																																											BgL_tagzd2154zd2_928;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6089);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd210334zd2_1501;
																																						BgL_cdrzd210334zd2_1501
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2638z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd210334zd2_1501))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1897z00_1504;
																																										obj_t
																																											BgL_arg1898z00_1505;
																																										BgL_arg1897z00_1504
																																											=
																																											CAR
																																											(BgL_cdrzd210334zd2_1501);
																																										BgL_arg1898z00_1505
																																											=
																																											CDR
																																											(BgL_cdrzd210334zd2_1501);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6101;
																																											{
																																												obj_t
																																													BgL_bodyz00_6103;
																																												obj_t
																																													BgL_ez00_6102;
																																												BgL_ez00_6102
																																													=
																																													BgL_arg1897z00_1504;
																																												BgL_bodyz00_6103
																																													=
																																													BgL_arg1898z00_1505;
																																												BgL_bodyz00_918
																																													=
																																													BgL_bodyz00_6103;
																																												BgL_ez00_917
																																													=
																																													BgL_ez00_6102;
																																												goto
																																													BgL_tagzd2151zd2_919;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6101);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1899z00_1506;
																																										BgL_arg1899z00_1506
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6106;
																																											{
																																												obj_t
																																													BgL_argsz00_6108;
																																												obj_t
																																													BgL_fz00_6107;
																																												BgL_fz00_6107
																																													=
																																													BgL_arg1899z00_1506;
																																												BgL_argsz00_6108
																																													=
																																													BgL_cdrzd210334zd2_1501;
																																												BgL_argsz00_927
																																													=
																																													BgL_argsz00_6108;
																																												BgL_fz00_926
																																													=
																																													BgL_fz00_6107;
																																												goto
																																													BgL_tagzd2154zd2_928;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6106);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2640z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd210334zd2_1501))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1903z00_1511;
																																												obj_t
																																													BgL_arg1904z00_1512;
																																												BgL_arg1903z00_1511
																																													=
																																													CAR
																																													(BgL_cdrzd210334zd2_1501);
																																												BgL_arg1904z00_1512
																																													=
																																													CDR
																																													(BgL_cdrzd210334zd2_1501);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6117;
																																													{
																																														obj_t
																																															BgL_bodyz00_6119;
																																														obj_t
																																															BgL_hz00_6118;
																																														BgL_hz00_6118
																																															=
																																															BgL_arg1903z00_1511;
																																														BgL_bodyz00_6119
																																															=
																																															BgL_arg1904z00_1512;
																																														BgL_bodyz00_921
																																															=
																																															BgL_bodyz00_6119;
																																														BgL_hz00_920
																																															=
																																															BgL_hz00_6118;
																																														goto
																																															BgL_tagzd2152zd2_922;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6117);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1905z00_1513;
																																												obj_t
																																													BgL_arg1907z00_1514;
																																												BgL_arg1905z00_1513
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1907z00_1514
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6123;
																																													{
																																														obj_t
																																															BgL_argsz00_6125;
																																														obj_t
																																															BgL_fz00_6124;
																																														BgL_fz00_6124
																																															=
																																															BgL_arg1905z00_1513;
																																														BgL_argsz00_6125
																																															=
																																															BgL_arg1907z00_1514;
																																														BgL_argsz00_927
																																															=
																																															BgL_argsz00_6125;
																																														BgL_fz00_926
																																															=
																																															BgL_fz00_6124;
																																														goto
																																															BgL_tagzd2154zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6123);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd210398zd2_1515;
																																										BgL_cdrzd210398zd2_1515
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2634z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd210398zd2_1515))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd210402zd2_1518;
																																														BgL_cdrzd210402zd2_1518
																																															=
																																															CDR
																																															(BgL_cdrzd210398zd2_1515);
																																														if (PAIRP(BgL_cdrzd210402zd2_1518))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd210402zd2_1518)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1912z00_1521;
																																																		obj_t
																																																			BgL_arg1913z00_1522;
																																																		BgL_arg1912z00_1521
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210398zd2_1515);
																																																		BgL_arg1913z00_1522
																																																			=
																																																			CAR
																																																			(BgL_cdrzd210402zd2_1518);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg2062z00_3738;
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg2063z00_3739;
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg2064z00_3740;
																																																					obj_t
																																																						BgL_arg2065z00_3741;
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_res2556z00_3744;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_symbolz00_3742;
																																																							BgL_symbolz00_3742
																																																								=
																																																								BGl_symbol2642z00zz__evaluatez00;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2239z00_3743;
																																																								BgL_arg2239z00_3743
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3742);
																																																								BgL_res2556z00_3744
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2239z00_3743);
																																																							}
																																																						}
																																																						BgL_arg2064z00_3740
																																																							=
																																																							BgL_res2556z00_3744;
																																																					}
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_res2557z00_3747;
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_symbolz00_3745;
																																																							BgL_symbolz00_3745
																																																								=
																																																								BgL_wherez00_53;
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg2239z00_3746;
																																																								BgL_arg2239z00_3746
																																																									=
																																																									SYMBOL_TO_STRING
																																																									(BgL_symbolz00_3745);
																																																								BgL_res2557z00_3747
																																																									=
																																																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																									(BgL_arg2239z00_3746);
																																																							}
																																																						}
																																																						BgL_arg2065z00_3741
																																																							=
																																																							BgL_res2557z00_3747;
																																																					}
																																																					BgL_arg2063z00_3739
																																																						=
																																																						string_append
																																																						(BgL_arg2064z00_3740,
																																																						BgL_arg2065z00_3741);
																																																				}
																																																				BgL_arg2062z00_3738
																																																					=
																																																					string_to_symbol
																																																					(BSTRING_TO_STRING
																																																					(BgL_arg2063z00_3739));
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BGl_convzd2lambdazd2zz__evaluatez00
																																																				(BgL_globalsz00_51,
																																																					BgL_localsz00_50,
																																																					BgL_locz00_54,
																																																					BgL_ez00_49,
																																																					BgL_arg1912z00_1521,
																																																					BgL_arg1913z00_1522,
																																																					BgL_arg2062z00_3738));
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1914z00_1523;
																																																		BgL_arg1914z00_1523
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6151;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6153;
																																																				obj_t
																																																					BgL_fz00_6152;
																																																				BgL_fz00_6152
																																																					=
																																																					BgL_arg1914z00_1523;
																																																				BgL_argsz00_6153
																																																					=
																																																					BgL_cdrzd210398zd2_1515;
																																																				BgL_argsz00_927
																																																					=
																																																					BgL_argsz00_6153;
																																																				BgL_fz00_926
																																																					=
																																																					BgL_fz00_6152;
																																																				goto
																																																					BgL_tagzd2154zd2_928;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6151);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1917z00_1526;
																																																BgL_arg1917z00_1526
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6156;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6158;
																																																		obj_t
																																																			BgL_fz00_6157;
																																																		BgL_fz00_6157
																																																			=
																																																			BgL_arg1917z00_1526;
																																																		BgL_argsz00_6158
																																																			=
																																																			BgL_cdrzd210398zd2_1515;
																																																		BgL_argsz00_927
																																																			=
																																																			BgL_argsz00_6158;
																																																		BgL_fz00_926
																																																			=
																																																			BgL_fz00_6157;
																																																		goto
																																																			BgL_tagzd2154zd2_928;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6156);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1920z00_1528;
																																														BgL_arg1920z00_1528
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6161;
																																															{
																																																obj_t
																																																	BgL_argsz00_6163;
																																																obj_t
																																																	BgL_fz00_6162;
																																																BgL_fz00_6162
																																																	=
																																																	BgL_arg1920z00_1528;
																																																BgL_argsz00_6163
																																																	=
																																																	BgL_cdrzd210398zd2_1515;
																																																BgL_argsz00_927
																																																	=
																																																	BgL_argsz00_6163;
																																																BgL_fz00_926
																																																	=
																																																	BgL_fz00_6162;
																																																goto
																																																	BgL_tagzd2154zd2_928;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6161);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1922z00_1530;
																																												BgL_arg1922z00_1530
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6166;
																																													{
																																														obj_t
																																															BgL_argsz00_6168;
																																														obj_t
																																															BgL_fz00_6167;
																																														BgL_fz00_6167
																																															=
																																															BgL_arg1922z00_1530;
																																														BgL_argsz00_6168
																																															=
																																															BgL_cdrzd210398zd2_1515;
																																														BgL_argsz00_927
																																															=
																																															BgL_argsz00_6168;
																																														BgL_fz00_926
																																															=
																																															BgL_fz00_6167;
																																														goto
																																															BgL_tagzd2154zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6166);
																																												}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 319 */
						BgL_xz00_861 = BgL_ez00_49;
						if (SYMBOLP(BgL_xz00_861))
							{	/* Eval/evaluate.scm 322 */
								obj_t BgL__ortest_1096z00_1551;

								BgL__ortest_1096z00_1551 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_861,
									BgL_localsz00_50);
								if (CBOOL(BgL__ortest_1096z00_1551))
									{	/* Eval/evaluate.scm 322 */
										return BgL__ortest_1096z00_1551;
									}
								else
									{	/* Eval/evaluate.scm 323 */
										BgL_ev_globalz00_bglt BgL_new1098z00_1552;

										{	/* Eval/evaluate.scm 323 */
											BgL_ev_globalz00_bglt BgL_new1097z00_1554;

											BgL_new1097z00_1554 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 323 */
												long BgL_arg1946z00_1555;

												{	/* Eval/evaluate.scm 323 */
													long BgL_res2361z00_2443;

													{	/* Eval/evaluate.scm 323 */
														obj_t BgL_classz00_2440;

														BgL_classz00_2440 =
															BGl_ev_globalz00zz__evaluate_typesz00;
														{	/* Eval/evaluate.scm 323 */
															obj_t BgL_vectorz00_2441;
															int BgL_kz00_2442;

															BgL_vectorz00_2441 = BgL_classz00_2440;
															BgL_kz00_2442 = (int) (((long) 1));
															BgL_res2361z00_2443 =
																(long) CINT(VECTOR_REF(BgL_vectorz00_2441,
																	BgL_kz00_2442));
													}}
													BgL_arg1946z00_1555 = BgL_res2361z00_2443;
												}
												{	/* Eval/evaluate.scm 323 */
													BgL_objectz00_bglt BgL_objz00_2444;

													BgL_objz00_2444 =
														((BgL_objectz00_bglt) BgL_new1097z00_1554);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2444,
														BgL_arg1946z00_1555);
											}}
											{	/* Eval/evaluate.scm 323 */
												BgL_objectz00_bglt BgL_auxz00_6181;

												BgL_auxz00_6181 =
													((BgL_objectz00_bglt) BgL_new1097z00_1554);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_6181, BFALSE);
											}
											BgL_new1098z00_1552 = BgL_new1097z00_1554;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1552))->
												BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1552))->
												BgL_namez00) = ((obj_t) BgL_xz00_861), BUNSPEC);
										{
											obj_t BgL_auxz00_6186;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6186 = BgL_globalsz00_51;
												}
											else
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6186 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1098z00_1552))->
													BgL_modz00) = ((obj_t) BgL_auxz00_6186), BUNSPEC);
										}
										return ((obj_t) BgL_new1098z00_1552);
									}
							}
						else
							{	/* Eval/evaluate.scm 327 */
								BgL_ev_littz00_bglt BgL_new1100z00_1556;

								{	/* Eval/evaluate.scm 327 */
									BgL_ev_littz00_bglt BgL_new1099z00_1557;

									BgL_new1099z00_1557 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 327 */
										long BgL_arg1947z00_1558;

										{	/* Eval/evaluate.scm 327 */
											long BgL_res2362z00_2449;

											{	/* Eval/evaluate.scm 327 */
												obj_t BgL_classz00_2446;

												BgL_classz00_2446 = BGl_ev_littz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 327 */
													obj_t BgL_vectorz00_2447;
													int BgL_kz00_2448;

													BgL_vectorz00_2447 = BgL_classz00_2446;
													BgL_kz00_2448 = (int) (((long) 1));
													BgL_res2362z00_2449 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2447,
															BgL_kz00_2448));
											}}
											BgL_arg1947z00_1558 = BgL_res2362z00_2449;
										}
										{	/* Eval/evaluate.scm 327 */
											BgL_objectz00_bglt BgL_objz00_2450;

											BgL_objz00_2450 =
												((BgL_objectz00_bglt) BgL_new1099z00_1557);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2450,
												BgL_arg1947z00_1558);
									}}
									{	/* Eval/evaluate.scm 327 */
										BgL_objectz00_bglt BgL_auxz00_6198;

										BgL_auxz00_6198 =
											((BgL_objectz00_bglt) BgL_new1099z00_1557);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6198, BFALSE);
									}
									BgL_new1100z00_1556 = BgL_new1099z00_1557;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1100z00_1556))->
										BgL_valuez00) = ((obj_t) BgL_xz00_861), BUNSPEC);
								return ((obj_t) BgL_new1100z00_1556);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_3986,
		obj_t BgL_globalsz00_3985, obj_t BgL_localsz00_3984, obj_t BgL_locz00_3983,
		obj_t BgL_esz00_1797)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 283 */
			if (NULLP(BgL_esz00_1797))
				{	/* Eval/evaluate.scm 284 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 286 */
					obj_t BgL_ez00_1800;

					BgL_ez00_1800 = CAR(BgL_esz00_1797);
					{	/* Eval/evaluate.scm 287 */
						obj_t BgL_arg2076z00_1801;
						obj_t BgL_arg2077z00_1802;

						{	/* Eval/evaluate.scm 287 */
							obj_t BgL_arg2079z00_1803;

							{	/* Eval/evaluate.scm 287 */
								obj_t BgL__ortest_1067z00_2382;

								BgL__ortest_1067z00_2382 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_1800);
								if (CBOOL(BgL__ortest_1067z00_2382))
									{	/* Eval/evaluate.scm 287 */
										BgL_arg2079z00_1803 = BgL__ortest_1067z00_2382;
									}
								else
									{	/* Eval/evaluate.scm 287 */
										obj_t BgL__ortest_1068z00_2383;

										BgL__ortest_1068z00_2383 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_1797);
										if (CBOOL(BgL__ortest_1068z00_2383))
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2079z00_1803 = BgL__ortest_1068z00_2383;
											}
										else
											{	/* Eval/evaluate.scm 287 */
												BgL_arg2079z00_1803 = BgL_locz00_3983;
											}
									}
							}
							BgL_arg2076z00_1801 =
								BGl_convz00zz__evaluatez00(BgL_ez00_1800, BgL_localsz00_3984,
								BgL_globalsz00_3985, BFALSE, BgL_wherez00_3986,
								BgL_arg2079z00_1803, ((bool_t) 0));
						}
						BgL_arg2077z00_1802 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_3986, BgL_globalsz00_3985,
							BgL_localsz00_3984, BgL_locz00_3983, CDR(BgL_esz00_1797));
						return MAKE_PAIR(BgL_arg2076z00_1801, BgL_arg2077z00_1802);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_3988,
		obj_t BgL_globalsz00_3987, obj_t BgL_lz00_2755, obj_t BgL_varsz00_2756,
		obj_t BgL_localsz00_2757, obj_t BgL_locz00_2758)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 388 */
			if (NULLP(BgL_lz00_2755))
				{	/* Eval/evaluate.scm 398 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 398 */
					obj_t BgL_locz00_2769;

					{	/* Eval/evaluate.scm 398 */
						obj_t BgL__ortest_1066z00_2781;

						BgL__ortest_1066z00_2781 =
							BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_2755);
						if (CBOOL(BgL__ortest_1066z00_2781))
							{	/* Eval/evaluate.scm 398 */
								BgL_locz00_2769 = BgL__ortest_1066z00_2781;
							}
						else
							{	/* Eval/evaluate.scm 398 */
								BgL_locz00_2769 = BgL_locz00_2758;
							}
					}
					{	/* Eval/evaluate.scm 398 */
						obj_t BgL_arg2003z00_2770;
						obj_t BgL_arg2004z00_2771;

						{	/* Eval/evaluate.scm 398 */
							obj_t BgL_arg2005z00_2772;

							{	/* Eval/evaluate.scm 398 */
								obj_t BgL_pairz00_2782;

								BgL_pairz00_2782 = BgL_lz00_2755;
								BgL_arg2005z00_2772 = CAR(CDR(CAR(BgL_pairz00_2782)));
							}
							BgL_arg2003z00_2770 =
								BGl_convz00zz__evaluatez00(BgL_arg2005z00_2772,
								BgL_localsz00_2757, BgL_globalsz00_3987, BFALSE,
								BgL_wherez00_3988, BgL_locz00_2769, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 398 */
							obj_t BgL_arg2006z00_2773;
							obj_t BgL_arg2007z00_2774;
							obj_t BgL_arg2009z00_2775;

							BgL_arg2006z00_2773 = CDR(BgL_lz00_2755);
							BgL_arg2007z00_2774 = CDR(BgL_varsz00_2756);
							BgL_arg2009z00_2775 =
								MAKE_PAIR(CAR(BgL_varsz00_2756), BgL_localsz00_2757);
							BgL_arg2004z00_2771 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_3988,
								BgL_globalsz00_3987, BgL_arg2006z00_2773, BgL_arg2007z00_2774,
								BgL_arg2009z00_2775, BgL_locz00_2769);
						}
						return MAKE_PAIR(BgL_arg2003z00_2770, BgL_arg2004z00_2771);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_3992, obj_t BgL_localsz00_3991, obj_t BgL_locz00_3990,
		obj_t BgL_ez00_3989, obj_t BgL_formalsz00_1806, obj_t BgL_bodyz00_1807,
		obj_t BgL_wherez00_1808)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 301 */
			{
				obj_t BgL_lz00_1837;

				{	/* Eval/evaluate.scm 303 */
					obj_t BgL_varsz00_1811;

					BgL_lz00_1837 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_1806, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_1841;
						obj_t BgL_flatz00_1842;
						long BgL_arityz00_1843;

						BgL_rz00_1841 = BgL_lz00_1837;
						BgL_flatz00_1842 = BNIL;
						BgL_arityz00_1843 = ((long) 0);
					BgL_zc3anonymousza32095ze3z83_1844:
						if (NULLP(BgL_rz00_1841))
							{	/* Eval/evaluate.scm 296 */
								obj_t BgL_val0_1171z00_1846;

								BgL_val0_1171z00_1846 = bgl_reverse_bang(BgL_flatz00_1842);
								{	/* Eval/evaluate.scm 296 */
									int BgL_res2349z00_2388;

									{	/* Eval/evaluate.scm 296 */
										int BgL_auxz00_6234;

										BgL_auxz00_6234 = (int) (((long) 2));
										BgL_res2349z00_2388 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_6234);
									} BgL_res2349z00_2388;
								}
								{	/* Eval/evaluate.scm 296 */
									obj_t BgL_auxz00_6239;
									int BgL_auxz00_6237;

									BgL_auxz00_6239 = BINT(BgL_arityz00_1843);
									BgL_auxz00_6237 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_6237, BgL_auxz00_6239);
								}
								BgL_varsz00_1811 = BgL_val0_1171z00_1846;
							}
						else
							{	/* Eval/evaluate.scm 295 */
								if (PAIRP(BgL_rz00_1841))
									{	/* Eval/evaluate.scm 300 */
										obj_t BgL_arg2098z00_1849;
										obj_t BgL_arg2099z00_1850;
										long BgL_arg2100z00_1851;

										BgL_arg2098z00_1849 = CDR(BgL_rz00_1841);
										BgL_arg2099z00_1850 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_1841)), BgL_flatz00_1842);
										BgL_arg2100z00_1851 = (BgL_arityz00_1843 + ((long) 1));
										{
											long BgL_arityz00_6251;
											obj_t BgL_flatz00_6250;
											obj_t BgL_rz00_6249;

											BgL_rz00_6249 = BgL_arg2098z00_1849;
											BgL_flatz00_6250 = BgL_arg2099z00_1850;
											BgL_arityz00_6251 = BgL_arg2100z00_1851;
											BgL_arityz00_1843 = BgL_arityz00_6251;
											BgL_flatz00_1842 = BgL_flatz00_6250;
											BgL_rz00_1841 = BgL_rz00_6249;
											goto BgL_zc3anonymousza32095ze3z83_1844;
										}
									}
								else
									{	/* Eval/evaluate.scm 298 */
										obj_t BgL_val0_1173z00_1854;
										long BgL_val1_1174z00_1855;

										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_arg2104z00_1856;

											BgL_arg2104z00_1856 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_1841), BgL_flatz00_1842);
											BgL_val0_1173z00_1854 =
												bgl_reverse_bang(BgL_arg2104z00_1856);
										}
										BgL_val1_1174z00_1855 = (((long) -1) - BgL_arityz00_1843);
										{	/* Eval/evaluate.scm 298 */
											int BgL_res2353z00_2402;

											{	/* Eval/evaluate.scm 298 */
												int BgL_auxz00_6256;

												BgL_auxz00_6256 = (int) (((long) 2));
												BgL_res2353z00_2402 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_6256);
											} BgL_res2353z00_2402;
										}
										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_auxz00_6261;
											int BgL_auxz00_6259;

											BgL_auxz00_6261 = BINT(BgL_val1_1174z00_1855);
											BgL_auxz00_6259 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_6259, BgL_auxz00_6261);
										}
										BgL_varsz00_1811 = BgL_val0_1173z00_1854;
					}}}
					{	/* Eval/evaluate.scm 305 */
						obj_t BgL_arityz00_1812;

						{	/* Eval/evaluate.scm 305 */
							int BgL_auxz00_6265;

							BgL_auxz00_6265 = (int) (((long) 1));
							BgL_arityz00_1812 = BGL_MVALUES_VAL(BgL_auxz00_6265);
						}
						{	/* Eval/evaluate.scm 305 */
							obj_t BgL_varsz00_1813;
							obj_t BgL_bodyz00_1814;
							obj_t BgL_nlocz00_1815;

							if (NULLP(BgL_varsz00_1811))
								{	/* Eval/evaluate.scm 305 */
									BgL_varsz00_1813 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 305 */
									obj_t BgL_head1177z00_1822;

									{	/* Eval/evaluate.scm 305 */
										obj_t BgL_res2355z00_2410;

										BgL_res2355z00_2410 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1177z00_1822 = BgL_res2355z00_2410;
									}
									{
										obj_t BgL_l1175z00_1824;
										obj_t BgL_tail1178z00_1825;

										BgL_l1175z00_1824 = BgL_varsz00_1811;
										BgL_tail1178z00_1825 = BgL_head1177z00_1822;
									BgL_zc3anonymousza32086ze3z83_1826:
										if (NULLP(BgL_l1175z00_1824))
											{	/* Eval/evaluate.scm 305 */
												BgL_varsz00_1813 = CDR(BgL_head1177z00_1822);
											}
										else
											{	/* Eval/evaluate.scm 305 */
												obj_t BgL_newtail1179z00_1828;

												{	/* Eval/evaluate.scm 305 */
													BgL_ev_varz00_bglt BgL_arg2090z00_1830;

													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_vz00_1831;

														BgL_vz00_1831 = CAR(BgL_l1175z00_1824);
														{	/* Eval/evaluate.scm 306 */
															BgL_ev_varz00_bglt BgL_new1093z00_1832;

															{	/* Eval/evaluate.scm 306 */
																BgL_ev_varz00_bglt BgL_new1091z00_1833;

																BgL_new1091z00_1833 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 306 */
																	long BgL_arg2091z00_1834;

																	{	/* Eval/evaluate.scm 306 */
																		long BgL_res2357z00_2418;

																		{	/* Eval/evaluate.scm 306 */
																			obj_t BgL_classz00_2415;

																			BgL_classz00_2415 =
																				BGl_ev_varz00zz__evaluate_typesz00;
																			{	/* Eval/evaluate.scm 306 */
																				obj_t BgL_vectorz00_2416;
																				int BgL_kz00_2417;

																				BgL_vectorz00_2416 = BgL_classz00_2415;
																				BgL_kz00_2417 = (int) (((long) 1));
																				BgL_res2357z00_2418 =
																					(long)
																					CINT(VECTOR_REF(BgL_vectorz00_2416,
																						BgL_kz00_2417));
																		}}
																		BgL_arg2091z00_1834 = BgL_res2357z00_2418;
																	}
																	{	/* Eval/evaluate.scm 306 */
																		BgL_objectz00_bglt BgL_objz00_2419;

																		BgL_objz00_2419 =
																			((BgL_objectz00_bglt)
																			BgL_new1091z00_1833);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2419,
																			BgL_arg2091z00_1834);
																}}
																{	/* Eval/evaluate.scm 306 */
																	BgL_objectz00_bglt BgL_auxz00_6281;

																	BgL_auxz00_6281 =
																		((BgL_objectz00_bglt) BgL_new1091z00_1833);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_6281,
																		BFALSE);
																}
																BgL_new1093z00_1832 = BgL_new1091z00_1833;
															}
															{
																obj_t BgL_auxz00_6284;

																{	/* Eval/evaluate.scm 307 */
																	obj_t BgL_pairz00_2421;

																	BgL_pairz00_2421 = BgL_vz00_1831;
																	BgL_auxz00_6284 = CAR(BgL_pairz00_2421);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1832))->BgL_namez00) =
																	((obj_t) BgL_auxz00_6284), BUNSPEC);
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1093z00_1832))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																obj_t BgL_auxz00_6288;

																{	/* Eval/evaluate.scm 308 */
																	obj_t BgL_pairz00_2422;

																	BgL_pairz00_2422 = BgL_vz00_1831;
																	BgL_auxz00_6288 = CDR(BgL_pairz00_2422);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1093z00_1832))->BgL_typez00) =
																	((obj_t) BgL_auxz00_6288), BUNSPEC);
															}
															BgL_arg2090z00_1830 = BgL_new1093z00_1832;
													}}
													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_res2358z00_2425;

														{	/* Eval/evaluate.scm 305 */
															obj_t BgL_obj1z00_2423;

															BgL_obj1z00_2423 = ((obj_t) BgL_arg2090z00_1830);
															BgL_res2358z00_2425 =
																MAKE_PAIR(BgL_obj1z00_2423, BNIL);
														}
														BgL_newtail1179z00_1828 = BgL_res2358z00_2425;
												}}
												SET_CDR(BgL_tail1178z00_1825, BgL_newtail1179z00_1828);
												{
													obj_t BgL_tail1178z00_6296;
													obj_t BgL_l1175z00_6294;

													BgL_l1175z00_6294 = CDR(BgL_l1175z00_1824);
													BgL_tail1178z00_6296 = BgL_newtail1179z00_1828;
													BgL_tail1178z00_1825 = BgL_tail1178z00_6296;
													BgL_l1175z00_1824 = BgL_l1175z00_6294;
													goto BgL_zc3anonymousza32086ze3z83_1826;
												}
											}
									}
								}
							BgL_bodyz00_1814 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_3989, BgL_formalsz00_1806, BgL_bodyz00_1807,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 311 */
								obj_t BgL__ortest_1066z00_2431;

								BgL__ortest_1066z00_2431 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_1807);
								if (CBOOL(BgL__ortest_1066z00_2431))
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1815 = BgL__ortest_1066z00_2431;
									}
								else
									{	/* Eval/evaluate.scm 311 */
										BgL_nlocz00_1815 = BgL_locz00_3990;
									}
							}
							{	/* Eval/evaluate.scm 312 */
								BgL_ev_absz00_bglt BgL_new1095z00_1816;

								{	/* Eval/evaluate.scm 312 */
									BgL_ev_absz00_bglt BgL_new1094z00_1818;

									BgL_new1094z00_1818 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 312 */
										long BgL_arg2084z00_1819;

										{	/* Eval/evaluate.scm 312 */
											long BgL_res2359z00_2435;

											{	/* Eval/evaluate.scm 312 */
												obj_t BgL_classz00_2432;

												BgL_classz00_2432 = BGl_ev_absz00zz__evaluate_typesz00;
												{	/* Eval/evaluate.scm 312 */
													obj_t BgL_vectorz00_2433;
													int BgL_kz00_2434;

													BgL_vectorz00_2433 = BgL_classz00_2432;
													BgL_kz00_2434 = (int) (((long) 1));
													BgL_res2359z00_2435 =
														(long) CINT(VECTOR_REF(BgL_vectorz00_2433,
															BgL_kz00_2434));
											}}
											BgL_arg2084z00_1819 = BgL_res2359z00_2435;
										}
										{	/* Eval/evaluate.scm 312 */
											BgL_objectz00_bglt BgL_objz00_2436;

											BgL_objz00_2436 =
												((BgL_objectz00_bglt) BgL_new1094z00_1818);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2436,
												BgL_arg2084z00_1819);
									}}
									{	/* Eval/evaluate.scm 312 */
										BgL_objectz00_bglt BgL_auxz00_6307;

										BgL_auxz00_6307 =
											((BgL_objectz00_bglt) BgL_new1094z00_1818);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6307, BFALSE);
									}
									BgL_new1095z00_1816 = BgL_new1094z00_1818;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_locz00) = ((obj_t) BgL_locz00_3990), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_1808), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_1812), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_1813), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_6314;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg2083z00_1817;

										BgL_arg2083z00_1817 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_1813,
											BgL_localsz00_3991);
										BgL_auxz00_6314 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_1814,
												BgL_arg2083z00_1817, BgL_globalsz00_3992, BTRUE,
												BgL_wherez00_1808, BgL_nlocz00_1815, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_6314), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1095z00_1816))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1095z00_1816;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_3999,
		obj_t BgL_globalsz00_3998, obj_t BgL_localsz00_3997, obj_t BgL_ez00_1788,
		obj_t BgL_locz00_1789)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 277 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_1788, BgL_localsz00_3997,
				BgL_globalsz00_3998, BFALSE, BgL_wherez00_3999, BgL_locz00_1789,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2644z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
