/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza33668ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33579ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32922ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_z62main5491z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33546ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5493z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5495z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33279ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5497z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5499z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_letrec1662zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t BGl_zc3exitza33814ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33385ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_trap1636zb0zz__evaluate_compz00(obj_t,
		BgL_ev_trapz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62compzd2ev_if1650zb0zz__evaluate_compz00(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33211ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33849ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32941ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_zc3exitza32005ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33599ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33744ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33655ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33566ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33299ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32200ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33689ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33907ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5601z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33729ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5603z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5605z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5607z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5609z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_defglobal1646zb0zz__evaluate_compz00(obj_t,
		BgL_ev_defglobalz00_bglt, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1666z62zz__evaluate_compz00(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	static obj_t BGl_zc3exitza31980ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5611z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5613z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5615z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_setglobal1644zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setglobalz00_bglt, obj_t);
	static obj_t BGl_symbol5617z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33836ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_valzd2fromzd2exitzf3zf3zz__bexitz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33411ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33039ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32131ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol5647z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32343ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33201ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33960ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33251ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32522ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33308ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33113ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33929ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5662z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5664z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5666z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32701ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33430ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5668z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33130ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33059ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33220ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32169ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33207ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33877ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1652zb0zz__evaluate_compz00(obj_t,
		BgL_ev_orz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32811ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32722ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33451ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1638zb0zz__evaluate_compz00(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_zc3exitza32244ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62run5500z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5502z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5504z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5506z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5508z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33097ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33404ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33226ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33048ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5510z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5512z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5514z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5516z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5518z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32725ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33349ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	static obj_t BGl_zc3exitza33897ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33471ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33422ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33244ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32921ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33512ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33261ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	static obj_t BGl_zc3exitza33318ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33067ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern long bgl_list_length(obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32817ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33084ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33369ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33441ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33190ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_labels1670zb0zz__evaluate_compz00(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	static obj_t BGl_z62main5501z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5503z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza33531ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5505z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5507z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_zc3exitza32284ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5509z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32747ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5511z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5513z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5515z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62main5517z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33388ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33428ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32765ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32838ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33267ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62comp1633z62zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32944ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32928ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33640ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33462ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1640zb0zz__evaluate_compz00(obj_t,
		BgL_ev_setlocalz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1664z62zz__evaluate_compz00(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32961ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32694ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33552ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33447ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33285ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32203ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33942ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33820ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32395ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33359ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_withzd2handler1668z62zz__evaluate_compz00(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33482ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32965ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32698ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33750ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33661ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32932ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33572ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32061ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32134ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_letza21660z12zz__evaluate_compz00(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33468ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33379ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1648zb0zz__evaluate_compz00(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33115ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32135ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza32103ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33842ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33591ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5523z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5525z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5527z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_zc3exitza33770ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_zc3exitza33681ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33398ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5533z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza32032ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza32937ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol5541z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33488ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5543z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5545z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5548z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_symbol5551z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5553z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5555z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5557z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5559z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33152ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33879ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5561z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5563z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5565z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5567z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5569z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_zc3exitza33031ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5571z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_symbol5573z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5575z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32530ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5577z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5579z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33791ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33597ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5581z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5583z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5585z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5587z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32515ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5589z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33106ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_prog21656zb0zz__evaluate_compz00(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t BGl_zc3exitza33970ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33776ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33687ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_symbol5591z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol5593z00zz__evaluate_compz00 = BUNSPEC;
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32710ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5595z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5597z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5599z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33229ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33939ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33124ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33867ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33514ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32534ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32713ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33175ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32340ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33037ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza32641ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33192ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33305ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33143ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza32058ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33797ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33711ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_zc3exitza33055ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33801ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1658zb0zz__evaluate_compz00(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32287ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62compzd2ev_goto1672zb0zz__evaluate_compz00(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	static obj_t BGl_z62run5434z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5436z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5438z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32288ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33324ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33162ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33073ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32166ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza32077ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5440z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5442z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5444z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5446z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5448z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_zc3exitza33341ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33090ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62run5450z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5452z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5454z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5456z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5458z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62compzd2ev_global1642zb0zz__evaluate_compz00(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static obj_t BGl_z62run5460z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62run5462z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5464z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5466z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5468z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33732ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33643ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33238ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33149ze3z83zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62run5470z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5472z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5474z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5476z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33911ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5478z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33555ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32737ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33611ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33506ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5480z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5482z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5484z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5486z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33823ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5488z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_zc3exitza33701ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33289ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5490z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_app1674zb0zz__evaluate_compz00(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	static obj_t BGl_z62run5492z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5494z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5496z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5498z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62main5433z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5435z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33184ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5437z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33168ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5439z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32013ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5441z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5443z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33525ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5445z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_zc3exitza33347ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5447z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5449z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32862ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5451z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5453z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5455z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5457z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5459z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32685ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5461z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_z62main5463z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33365ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_and1654zb0zz__evaluate_compz00(obj_t,
		BgL_ev_andz00_bglt, obj_t);
	static obj_t BGl_z62main5465z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5467z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5469z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32775ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5471z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5473z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33617ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5475z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5477z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5479z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32106ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31958ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33723ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5481z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_zc3exitza33634ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33707ze3z83zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5483z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5485z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5487z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5489z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_abs1676zb0zz__evaluate_compz00(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza32971ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33757ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za75672z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_5673z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza75674za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5600z00zz__evaluate_compz00,
		BgL_bgl_string5600za700za7za7_5675za7, "/fl", 3);
	      DEFINE_STRING(BGl_string5602z00zz__evaluate_compz00,
		BgL_bgl_string5602za700za7za7_5676za7, "<fl", 3);
	      DEFINE_STRING(BGl_string5604z00zz__evaluate_compz00,
		BgL_bgl_string5604za700za7za7_5677za7, ">fl", 3);
	      DEFINE_STRING(BGl_string5606z00zz__evaluate_compz00,
		BgL_bgl_string5606za700za7za7_5678za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string5608z00zz__evaluate_compz00,
		BgL_bgl_string5608za700za7za7_5679za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string5610z00zz__evaluate_compz00,
		BgL_bgl_string5610za700za7za7_5680za7, "=fl", 3);
	      DEFINE_STRING(BGl_string5612z00zz__evaluate_compz00,
		BgL_bgl_string5612za700za7za7_5681za7, "car", 3);
	      DEFINE_STRING(BGl_string5614z00zz__evaluate_compz00,
		BgL_bgl_string5614za700za7za7_5682za7, "pair", 4);
	      DEFINE_STRING(BGl_string5616z00zz__evaluate_compz00,
		BgL_bgl_string5616za700za7za7_5683za7, "cdr", 3);
	      DEFINE_STRING(BGl_string5618z00zz__evaluate_compz00,
		BgL_bgl_string5618za700za7za7_5684za7, "cadr", 4);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string5620z00zz__evaluate_compz00,
		BgL_bgl_string5620za700za7za7_5685za7, "comp1633", 8);
	      DEFINE_STRING(BGl_string5621z00zz__evaluate_compz00,
		BgL_bgl_string5621za700za7za7_5686za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string5622z00zz__evaluate_compz00,
		BgL_bgl_string5622za700za7za7_5687za7, "&comp", 5);
	      DEFINE_STRING(BGl_string5624z00zz__evaluate_compz00,
		BgL_bgl_string5624za700za7za7_5688za7, "comp", 4);
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5645z00zz__evaluate_compz00,
		BgL_bgl_string5645za700za7za7_5689za7, "internal error", 14);
	      DEFINE_STRING(BGl_string5646z00zz__evaluate_compz00,
		BgL_bgl_string5646za700za7za7_5690za7, "must be dead code", 17);
	      DEFINE_STRING(BGl_string5648z00zz__evaluate_compz00,
		BgL_bgl_string5648za700za7za7_5691za7, "notyet", 6);
	      DEFINE_STRING(BGl_string5649z00zz__evaluate_compz00,
		BgL_bgl_string5649za700za7za7_5692za7, "set!", 4);
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5650z00zz__evaluate_compz00,
		BgL_bgl_string5650za700za7za7_5693za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string5651z00zz__evaluate_compz00,
		BgL_bgl_string5651za700za7za7_5694za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string5652z00zz__evaluate_compz00,
		BgL_bgl_string5652za700za7za7_5695za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string5653z00zz__evaluate_compz00,
		BgL_bgl_string5653za700za7za7_5696za7, "Uninitialized variable", 22);
	      DEFINE_STRING(BGl_string5663z00zz__evaluate_compz00,
		BgL_bgl_string5663za700za7za7_5697za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string5665z00zz__evaluate_compz00,
		BgL_bgl_string5665za700za7za7_5698za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string5667z00zz__evaluate_compz00,
		BgL_bgl_string5667za700za7za7_5699za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string5669z00zz__evaluate_compz00,
		BgL_bgl_string5669za700za7za7_5700za7, "reset_stack", 11);
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev5701z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5670z00zz__evaluate_compz00,
		BgL_bgl_string5670za700za7za7_5702za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string5671z00zz__evaluate_compz00,
		BgL_bgl_string5671za700za7za7_5703za7, "__evaluate_comp", 15);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string5524z00zz__evaluate_compz00,
		BgL_bgl_string5524za700za7za7_5704za7, "all", 3);
	      DEFINE_STRING(BGl_string5526z00zz__evaluate_compz00,
		BgL_bgl_string5526za700za7za7_5705za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5528z00zz__evaluate_compz00,
		BgL_bgl_string5528za700za7za7_5706za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5529z00zz__evaluate_compz00,
		BgL_bgl_string5529za700za7za7_5707za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5530z00zz__evaluate_compz00,
		BgL_bgl_string5530za700za7za7_5708za7, " in ", 4);
	      DEFINE_STRING(BGl_string5531z00zz__evaluate_compz00,
		BgL_bgl_string5531za700za7za7_5709za7, "eval", 4);
	      DEFINE_STRING(BGl_string5532z00zz__evaluate_compz00,
		BgL_bgl_string5532za700za7za7_5710za7, "internal error: not found", 25);
	      DEFINE_STRING(BGl_string5534z00zz__evaluate_compz00,
		BgL_bgl_string5534za700za7za7_5711za7, "at", 2);
	      DEFINE_STRING(BGl_string5535z00zz__evaluate_compz00,
		BgL_bgl_string5535za700za7za7_5712za7, "", 0);
	      DEFINE_STRING(BGl_string5536z00zz__evaluate_compz00,
		BgL_bgl_string5536za700za7za7_5713za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5537z00zz__evaluate_compz00,
		BgL_bgl_string5537za700za7za7_5714za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5538z00zz__evaluate_compz00,
		BgL_bgl_string5538za700za7za7_5715za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string5539z00zz__evaluate_compz00,
		BgL_bgl_string5539za700za7za7_5716za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5540z00zz__evaluate_compz00,
		BgL_bgl_string5540za700za7za7_5717za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5542z00zz__evaluate_compz00,
		BgL_bgl_string5542za700za7za7_5718za7, "mcell", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5619z00zz__evaluate_compz00,
		BgL_bgl_za762comp1633za762za7za75719z00,
		BGl_z62comp1633z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5544z00zz__evaluate_compz00,
		BgL_bgl_string5544za700za7za7_5720za7, "internal", 8);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string5546z00zz__evaluate_compz00,
		BgL_bgl_string5546za700za7za7_5721za7, "impossible", 10);
	      DEFINE_STRING(BGl_string5547z00zz__evaluate_compz00,
		BgL_bgl_string5547za700za7za7_5722za7, "procedure", 9);
	      DEFINE_STRING(BGl_string5549z00zz__evaluate_compz00,
		BgL_bgl_string5549za700za7za7_5723za7, "user", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5623z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra5724z00,
		BGl_z62compzd2ev_trap1636zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5625z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var5725z00,
		BGl_z62compzd2ev_var1638zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5550z00zz__evaluate_compz00,
		BgL_bgl_string5550za700za7za7_5726za7, "invalid byte code", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5626z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5727z00,
		BGl_z62compzd2ev_setlocal1640zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5627z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo5728z00,
		BGl_z62compzd2ev_global1642zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5552z00zz__evaluate_compz00,
		BgL_bgl_string5552za700za7za7_5729za7, "+", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5628z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set5730z00,
		BGl_z62compzd2ev_setglobal1644zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5629z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def5731z00,
		BGl_z62compzd2ev_defglobal1646zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5554z00zz__evaluate_compz00,
		BgL_bgl_string5554za700za7za7_5732za7, "number", 6);
	      DEFINE_STRING(BGl_string5556z00zz__evaluate_compz00,
		BgL_bgl_string5556za700za7za7_5733za7, "-", 1);
	      DEFINE_STRING(BGl_string5558z00zz__evaluate_compz00,
		BgL_bgl_string5558za700za7za7_5734za7, "*", 1);
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5630z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit5735z00,
		BGl_z62compzd2ev_litt1648zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5631z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if15736z00,
		BGl_z62compzd2ev_if1650zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5632z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or15737z00,
		BGl_z62compzd2ev_or1652zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5633z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and5738z00,
		BGl_z62compzd2ev_and1654zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5634z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro5739z00,
		BGl_z62compzd2ev_prog21656zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5635z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5740z00,
		BGl_z62compzd2ev_let1658zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5560z00zz__evaluate_compz00,
		BgL_bgl_string5560za700za7za7_5741za7, "/", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5636z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5742z00,
		BGl_z62compzd2ev_letza21660z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5637z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let5743z00,
		BGl_z62compzd2ev_letrec1662zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5562z00zz__evaluate_compz00,
		BgL_bgl_string5562za700za7za7_5744za7, "<", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5638z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin5745z00,
		BGl_z62compzd2ev_bindzd2exit1664z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5639z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw5746z00,
		BGl_z62compzd2ev_unwindzd2prote1666z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5564z00zz__evaluate_compz00,
		BgL_bgl_string5564za700za7za7_5747za7, ">", 1);
	      DEFINE_STRING(BGl_string5566z00zz__evaluate_compz00,
		BgL_bgl_string5566za700za7za7_5748za7, "<=", 2);
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5568z00zz__evaluate_compz00,
		BgL_bgl_string5568za700za7za7_5749za7, ">=", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5640z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit5750z00,
		BGl_z62compzd2ev_withzd2handler1668z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5641z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab5751z00,
		BGl_z62compzd2ev_labels1670zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5642z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got5752z00,
		BGl_z62compzd2ev_goto1672zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5643z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app5753z00,
		BGl_z62compzd2ev_app1674zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5644z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs5754z00,
		BGl_z62compzd2ev_abs1676zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5570z00zz__evaluate_compz00,
		BgL_bgl_string5570za700za7za7_5755za7, "=", 1);
	      DEFINE_STRING(BGl_string5572z00zz__evaluate_compz00,
		BgL_bgl_string5572za700za7za7_5756za7, "+fx", 3);
	      DEFINE_STRING(BGl_string5574z00zz__evaluate_compz00,
		BgL_bgl_string5574za700za7za7_5757za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string5576z00zz__evaluate_compz00,
		BgL_bgl_string5576za700za7za7_5758za7, "-fx", 3);
	      DEFINE_STRING(BGl_string5578z00zz__evaluate_compz00,
		BgL_bgl_string5578za700za7za7_5759za7, "*fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5654z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75760za7,
		BGl_z62zc3anonymousza32694ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5655z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75761za7,
		BGl_z62zc3anonymousza32698ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5580z00zz__evaluate_compz00,
		BgL_bgl_string5580za700za7za7_5762za7, "/fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5656z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75763za7,
		BGl_z62zc3anonymousza32701ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5657z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75764za7,
		BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5582z00zz__evaluate_compz00,
		BgL_bgl_string5582za700za7za7_5765za7, "<fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5658z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75766za7,
		BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5659z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75767za7,
		BGl_z62zc3anonymousza32710ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5584z00zz__evaluate_compz00,
		BgL_bgl_string5584za700za7za7_5768za7, ">fx", 3);
	      DEFINE_STRING(BGl_string5586z00zz__evaluate_compz00,
		BgL_bgl_string5586za700za7za7_5769za7, "<=fx", 4);
	      DEFINE_STRING(BGl_string5588z00zz__evaluate_compz00,
		BgL_bgl_string5588za700za7za7_5770za7, ">=fx", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5660z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75771za7,
		BGl_z62zc3anonymousza32713ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5661z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza75772za7,
		BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string5590z00zz__evaluate_compz00,
		BgL_bgl_string5590za700za7za7_5773za7, "=fx", 3);
	      DEFINE_STRING(BGl_string5592z00zz__evaluate_compz00,
		BgL_bgl_string5592za700za7za7_5774za7, "+fl", 3);
	      DEFINE_STRING(BGl_string5594z00zz__evaluate_compz00,
		BgL_bgl_string5594za700za7za7_5775za7, "flonum", 6);
	      DEFINE_STRING(BGl_string5596z00zz__evaluate_compz00,
		BgL_bgl_string5596za700za7za7_5776za7, "-fl", 3);
	      DEFINE_STRING(BGl_string5598z00zz__evaluate_compz00,
		BgL_bgl_string5598za700za7za7_5777za7, "*fl", 3);
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_17678, char *BgL_fromz00_17679)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5523z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5524z00zz__evaluate_compz00);
			BGl_symbol5525z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5526z00zz__evaluate_compz00);
			BGl_symbol5527z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5528z00zz__evaluate_compz00);
			BGl_symbol5533z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5534z00zz__evaluate_compz00);
			BGl_symbol5541z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5542z00zz__evaluate_compz00);
			BGl_symbol5543z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5544z00zz__evaluate_compz00);
			BGl_symbol5545z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5546z00zz__evaluate_compz00);
			BGl_symbol5548z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5549z00zz__evaluate_compz00);
			BGl_symbol5551z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5552z00zz__evaluate_compz00);
			BGl_symbol5553z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5554z00zz__evaluate_compz00);
			BGl_symbol5555z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5556z00zz__evaluate_compz00);
			BGl_symbol5557z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5558z00zz__evaluate_compz00);
			BGl_symbol5559z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5560z00zz__evaluate_compz00);
			BGl_symbol5561z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5562z00zz__evaluate_compz00);
			BGl_symbol5563z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5564z00zz__evaluate_compz00);
			BGl_symbol5565z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5566z00zz__evaluate_compz00);
			BGl_symbol5567z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5568z00zz__evaluate_compz00);
			BGl_symbol5569z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5570z00zz__evaluate_compz00);
			BGl_symbol5571z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5572z00zz__evaluate_compz00);
			BGl_symbol5573z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5574z00zz__evaluate_compz00);
			BGl_symbol5575z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5576z00zz__evaluate_compz00);
			BGl_symbol5577z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5578z00zz__evaluate_compz00);
			BGl_symbol5579z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5580z00zz__evaluate_compz00);
			BGl_symbol5581z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5582z00zz__evaluate_compz00);
			BGl_symbol5583z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5584z00zz__evaluate_compz00);
			BGl_symbol5585z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5586z00zz__evaluate_compz00);
			BGl_symbol5587z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5588z00zz__evaluate_compz00);
			BGl_symbol5589z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5590z00zz__evaluate_compz00);
			BGl_symbol5591z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5592z00zz__evaluate_compz00);
			BGl_symbol5593z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5594z00zz__evaluate_compz00);
			BGl_symbol5595z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5596z00zz__evaluate_compz00);
			BGl_symbol5597z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5598z00zz__evaluate_compz00);
			BGl_symbol5599z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5600z00zz__evaluate_compz00);
			BGl_symbol5601z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5602z00zz__evaluate_compz00);
			BGl_symbol5603z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5604z00zz__evaluate_compz00);
			BGl_symbol5605z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5606z00zz__evaluate_compz00);
			BGl_symbol5607z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5608z00zz__evaluate_compz00);
			BGl_symbol5609z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5610z00zz__evaluate_compz00);
			BGl_symbol5611z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5612z00zz__evaluate_compz00);
			BGl_symbol5613z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5614z00zz__evaluate_compz00);
			BGl_symbol5615z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5616z00zz__evaluate_compz00);
			BGl_symbol5617z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5618z00zz__evaluate_compz00);
			BGl_symbol5647z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5648z00zz__evaluate_compz00);
			BGl_symbol5662z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5663z00zz__evaluate_compz00);
			BGl_symbol5664z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5665z00zz__evaluate_compz00);
			BGl_symbol5666z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5667z00zz__evaluate_compz00);
			return (BGl_symbol5668z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5669z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 101 */
				BGL_LONGLONG_T BgL_arg1707z00_899;

				{	/* Eval/evaluate_comp.scm 101 */
					BGL_LONGLONG_T BgL_res4304z00_5734;

					BgL_res4304z00_5734 = LONG_TO_LLONG(((long) 0));
					BgL_arg1707z00_899 = BgL_res4304z00_5734;
				}
				{	/* Eval/evaluate_comp.scm 101 */
					obj_t BgL_list1708z00_900;

					{	/* Eval/evaluate_comp.scm 101 */
						obj_t BgL_arg1709z00_901;

						BgL_arg1709z00_901 =
							MAKE_PAIR(make_bllong(BgL_arg1707z00_899), BNIL);
						BgL_list1708z00_900 =
							MAKE_PAIR(BGl_symbol5523z00zz__evaluate_compz00,
							BgL_arg1709z00_901);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1708z00_900;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 =
				BGl_2za2za2zz__r4_numbers_6_5z00(BINT(((long) 8)), BINT(((long) 1024)));
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5525z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5527z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_902;

				BgL_headz00_902 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_5766;
					obj_t BgL_tailz00_5767;

					BgL_prevz00_5766 = BgL_headz00_902;
					BgL_tailz00_5767 = BgL_l1z00_1;
				BgL_loopz00_5765:
					if (PAIRP(BgL_tailz00_5767))
						{
							obj_t BgL_newzd2prevzd2_5773;

							BgL_newzd2prevzd2_5773 =
								MAKE_PAIR(CAR(BgL_tailz00_5767), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_5766, BgL_newzd2prevzd2_5773);
							{
								obj_t BgL_tailz00_17753;
								obj_t BgL_prevz00_17752;

								BgL_prevz00_17752 = BgL_newzd2prevzd2_5773;
								BgL_tailz00_17753 = CDR(BgL_tailz00_5767);
								BgL_tailz00_5767 = BgL_tailz00_17753;
								BgL_prevz00_5766 = BgL_prevz00_17752;
								goto BgL_loopz00_5765;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_902);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 119 */
			{	/* Eval/evaluate_comp.scm 120 */
				BGL_LONGLONG_T BgL_arg1731z00_930;

				{	/* Eval/evaluate_comp.scm 120 */
					BGL_LONGLONG_T BgL_res4313z00_5784;

					BgL_res4313z00_5784 = LONG_TO_LLONG(((long) 0));
					BgL_arg1731z00_930 = BgL_res4313z00_5784;
				}
				{	/* Eval/evaluate_comp.scm 120 */
					obj_t BgL_list1732z00_931;

					{	/* Eval/evaluate_comp.scm 120 */
						obj_t BgL_arg1733z00_932;

						BgL_arg1733z00_932 =
							MAKE_PAIR(make_bllong(BgL_arg1731z00_930), BNIL);
						BgL_list1732z00_931 =
							MAKE_PAIR(BGl_symbol5523z00zz__evaluate_compz00,
							BgL_arg1733z00_932);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1732z00_931, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			{	/* Eval/evaluate_comp.scm 129 */
				obj_t BgL_v1z00_934;
				obj_t BgL_v2z00_935;

				BgL_v1z00_934 = CAR(BgL_t1z00_4);
				BgL_v2z00_935 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 130 */
					bool_t BgL_testz00_17762;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_934))
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17762 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_935);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_17762 = ((bool_t) 0);
						}
					if (BgL_testz00_17762)
						{	/* Eval/evaluate_comp.scm 130 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_934, BgL_v2z00_935);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_934),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_935));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_940)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 128 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_940))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_940), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 125 */
					if (SYMBOLP(BgL_vz00_940))
						{	/* Eval/evaluate_comp.scm 126 */
							obj_t BgL_res4316z00_5791;

							{	/* Eval/evaluate_comp.scm 126 */
								obj_t BgL_symbolz00_5789;

								BgL_symbolz00_5789 = BgL_vz00_940;
								{	/* Eval/evaluate_comp.scm 126 */
									obj_t BgL_arg4116z00_5790;

									BgL_arg4116z00_5790 = SYMBOL_TO_STRING(BgL_symbolz00_5789);
									BgL_res4316z00_5791 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg4116z00_5790);
								}
							}
							return BgL_res4316z00_5791;
						}
					else
						{	/* Eval/evaluate_comp.scm 126 */
							if (STRINGP(BgL_vz00_940))
								{	/* Eval/evaluate_comp.scm 127 */
									return BgL_vz00_940;
								}
							else
								{	/* Eval/evaluate_comp.scm 127 */
									return BGl_string5529z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_15611,
		obj_t BgL_t1z00_15612, obj_t BgL_t2z00_15613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_15612,
					BgL_t2z00_15613));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 134 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_949)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 136 */
				obj_t BgL_arg1744z00_951;
				obj_t BgL_arg1745z00_952;

				BgL_arg1744z00_951 = CDR(BgL_tz00_949);
				{	/* Eval/evaluate_comp.scm 136 */
					obj_t BgL_arg1746z00_953;

					{	/* Eval/evaluate_comp.scm 136 */
						obj_t BgL_pairz00_5800;

						BgL_pairz00_5800 = BgL_tz00_949;
						BgL_arg1746z00_953 = CDR(CDR(BgL_pairz00_5800));
					}
					BgL_arg1745z00_952 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1746z00_953);
				}
				SET_CDR(BgL_arg1744z00_951, BgL_arg1745z00_952);
			}
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_g1539z00_954;

				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_pairz00_5806;

					BgL_pairz00_5806 = BgL_tz00_949;
					BgL_g1539z00_954 = CDR(CDR(BgL_pairz00_5806));
				}
				{
					obj_t BgL_l1537z00_5826;

					BgL_l1537z00_5826 = BgL_g1539z00_954;
				BgL_zc3anonymousza31747ze3z83_5825:
					if (PAIRP(BgL_l1537z00_5826))
						{	/* Eval/evaluate_comp.scm 137 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1537z00_5826));
							{
								obj_t BgL_l1537z00_17794;

								BgL_l1537z00_17794 = CDR(BgL_l1537z00_5826);
								BgL_l1537z00_5826 = BgL_l1537z00_17794;
								goto BgL_zc3anonymousza31747ze3z83_5825;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 137 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 143 */
			{
				obj_t BgL_lz00_5864;
				long BgL_nz00_5865;

				BgL_lz00_5864 = BgL_lz00_7;
				BgL_nz00_5865 = ((long) 0);
			BgL_walkz00_5863:
				if (NULLP(BgL_lz00_5864))
					{	/* Eval/evaluate_comp.scm 148 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 148 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_5864)))
							{	/* Eval/evaluate_comp.scm 148 */
								return BINT(BgL_nz00_5865);
							}
						else
							{
								long BgL_nz00_17804;
								obj_t BgL_lz00_17802;

								BgL_lz00_17802 = CDR(BgL_lz00_5864);
								BgL_nz00_17804 = (BgL_nz00_5865 + ((long) 1));
								BgL_nz00_5865 = BgL_nz00_17804;
								BgL_lz00_5864 = BgL_lz00_17802;
								goto BgL_walkz00_5863;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 150 */
			{	/* Eval/evaluate_comp.scm 151 */
				obj_t BgL__ortest_1073z00_973;

				BgL__ortest_1073z00_973 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1073z00_973))
					{	/* Eval/evaluate_comp.scm 151 */
						return BgL__ortest_1073z00_973;
					}
				else
					{	/* Eval/evaluate_comp.scm 151 */
						obj_t BgL_arg1757z00_974;

						{	/* Eval/evaluate_comp.scm 151 */
							obj_t BgL_arg1758z00_975;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 151 */
									BgL_arg1758z00_975 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_head1542z00_981;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1768z00_993;

										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_arg1769z00_994;

											BgL_arg1769z00_994 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1769z00_994,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1768z00_993 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1769z00_994)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1768z00_993 = BgL_arg1769z00_994;
												}
										}
										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_res4329z00_5891;

											BgL_res4329z00_5891 = MAKE_PAIR(BgL_arg1768z00_993, BNIL);
											BgL_head1542z00_981 = BgL_res4329z00_5891;
										}
									}
									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_g1545z00_982;

										BgL_g1545z00_982 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1540z00_5927;
											obj_t BgL_tail1543z00_5928;

											BgL_l1540z00_5927 = BgL_g1545z00_982;
											BgL_tail1543z00_5928 = BgL_head1542z00_981;
										BgL_zc3anonymousza31763ze3z83_5926:
											if (NULLP(BgL_l1540z00_5927))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1758z00_975 = BgL_head1542z00_981;
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													obj_t BgL_newtail1544z00_5935;

													{	/* Eval/evaluate_comp.scm 151 */
														obj_t BgL_arg1766z00_5936;

														BgL_arg1766z00_5936 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1540z00_5927));
														{	/* Eval/evaluate_comp.scm 151 */
															obj_t BgL_res4335z00_5944;

															BgL_res4335z00_5944 =
																MAKE_PAIR(BgL_arg1766z00_5936, BNIL);
															BgL_newtail1544z00_5935 = BgL_res4335z00_5944;
														}
													}
													SET_CDR(BgL_tail1543z00_5928,
														BgL_newtail1544z00_5935);
													{
														obj_t BgL_tail1543z00_17826;
														obj_t BgL_l1540z00_17824;

														BgL_l1540z00_17824 = CDR(BgL_l1540z00_5927);
														BgL_tail1543z00_17826 = BgL_newtail1544z00_5935;
														BgL_tail1543z00_5928 = BgL_tail1543z00_17826;
														BgL_l1540z00_5927 = BgL_l1540z00_17824;
														goto BgL_zc3anonymousza31763ze3z83_5926;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 151 */
								obj_t BgL_list1759z00_976;

								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_arg1760z00_977;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1761z00_978;

										BgL_arg1761z00_978 = MAKE_PAIR(BgL_arg1758z00_975, BNIL);
										BgL_arg1760z00_977 =
											MAKE_PAIR(BGl_string5530z00zz__evaluate_compz00,
											BgL_arg1761z00_978);
									}
									BgL_list1759z00_976 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1760z00_977);
								}
								BgL_arg1757z00_974 = BgL_list1759z00_976;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5531z00zz__evaluate_compz00,
							BGl_string5532z00zz__evaluate_compz00, BgL_arg1757z00_974);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 175 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 176 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 176 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 180 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 181 */
					obj_t BgL_cdrzd2177zd2_1020;

					BgL_cdrzd2177zd2_1020 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5533z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 181 */
							if (PAIRP(BgL_cdrzd2177zd2_1020))
								{	/* Eval/evaluate_comp.scm 181 */
									obj_t BgL_cdrzd2181zd2_1023;

									BgL_cdrzd2181zd2_1023 = CDR(BgL_cdrzd2177zd2_1020);
									if (PAIRP(BgL_cdrzd2181zd2_1023))
										{	/* Eval/evaluate_comp.scm 181 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1023)))
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1020),
														CAR(BgL_cdrzd2181zd2_1023));
												}
											else
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 181 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 181 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 181 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 181 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			{	/* Eval/evaluate_comp.scm 194 */
				obj_t BgL_stkz00_1037;

				BgL_stkz00_1037 =
					make_vector(CINT
					(BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00),
					BGl_string5535z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1037, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1037;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			{	/* Eval/evaluate_comp.scm 199 */
				obj_t BgL_sz00_1038;

				{	/* Eval/evaluate_comp.scm 199 */
					obj_t BgL_auxz00_17862;

					BgL_auxz00_17862 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1038 = BGL_ENV_EVSTATE(BgL_auxz00_17862);
				}
				if (VECTORP(BgL_sz00_1038))
					{	/* Eval/evaluate_comp.scm 200 */
						return BgL_sz00_1038;
					}
				else
					{	/* Eval/evaluate_comp.scm 201 */
						obj_t BgL_statez00_1040;

						BgL_statez00_1040 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_auxz00_17868;

							BgL_auxz00_17868 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_17868, BgL_statez00_1040);
						}
						return BgL_statez00_1040;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_15614)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_15615,
		obj_t BgL_ez00_15616)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			{	/* Eval/evaluate_comp.scm 262 */
				BgL_ev_exprz00_bglt BgL_auxz00_17873;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_15616,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 262 */
						BgL_auxz00_17873 = ((BgL_ev_exprz00_bglt) BgL_ez00_15616);
					}
				else
					{
						obj_t BgL_auxz00_17877;

						BgL_auxz00_17877 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5536z00zz__evaluate_compz00, BINT(((long) 6592)),
							BGl_string5537z00zz__evaluate_compz00,
							BGl_string5538z00zz__evaluate_compz00, BgL_ez00_15616);
						FAILURE(BgL_auxz00_17877, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_17873);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 320 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 322 */
					BgL_ev_globalz00_bglt BgL_i1088z00_1090;

					BgL_i1088z00_1090 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
					{	/* Eval/evaluate_comp.scm 323 */
						obj_t BgL_gz00_1091;

						BgL_gz00_1091 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1088z00_1090))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1088z00_1090))->BgL_namez00));
						if (CBOOL(BgL_gz00_1091))
							{	/* Eval/evaluate_comp.scm 324 */
								return VECTOR_REF(BgL_gz00_1091, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 324 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 321 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_80, obj_t BgL_argsz00_81, obj_t BgL_boxesz00_82, long BgL_spz00_83,
		obj_t BgL_locz00_84)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 588 */
			{
				obj_t BgL_lz00_1110;
				obj_t BgL_bsz00_1111;
				long BgL_spz00_1112;

				BgL_lz00_1110 = BgL_argsz00_81;
				BgL_bsz00_1111 = BgL_boxesz00_82;
				BgL_spz00_1112 = BgL_spz00_83;
			BgL_zc3anonymousza31852ze3z83_1113:
				if (NULLP(BgL_lz00_1110))
					{	/* Eval/evaluate_comp.scm 590 */
						if (NULLP(BgL_bsz00_1111))
							{	/* Eval/evaluate_comp.scm 591 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 594 */
								obj_t BgL_arg1855z00_1116;

								{	/* Eval/evaluate_comp.scm 594 */
									long BgL_arg1856z00_1117;
									long BgL_arg1857z00_1118;

									BgL_arg1856z00_1117 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1857z00_1118 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 593 */
										obj_t BgL_list1858z00_1119;

										{	/* Eval/evaluate_comp.scm 593 */
											obj_t BgL_arg1859z00_1120;

											BgL_arg1859z00_1120 =
												MAKE_PAIR(BINT(BgL_arg1857z00_1118), BNIL);
											BgL_list1858z00_1119 =
												MAKE_PAIR(BINT(BgL_arg1856z00_1117),
												BgL_arg1859z00_1120);
										}
										BgL_arg1855z00_1116 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5539z00zz__evaluate_compz00,
											BgL_list1858z00_1119);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5531z00zz__evaluate_compz00,
									BGl_string5540z00zz__evaluate_compz00, BgL_arg1855z00_1116);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 590 */
						if (NULLP(BgL_bsz00_1111))
							{	/* Eval/evaluate_comp.scm 598 */
								obj_t BgL_arg1861z00_1122;

								{	/* Eval/evaluate_comp.scm 598 */
									long BgL_arg1862z00_1123;
									long BgL_arg1863z00_1124;

									BgL_arg1862z00_1123 = bgl_list_length(BgL_boxesz00_82);
									BgL_arg1863z00_1124 = bgl_list_length(BgL_argsz00_81);
									{	/* Eval/evaluate_comp.scm 597 */
										obj_t BgL_list1864z00_1125;

										{	/* Eval/evaluate_comp.scm 597 */
											obj_t BgL_arg1865z00_1126;

											BgL_arg1865z00_1126 =
												MAKE_PAIR(BINT(BgL_arg1863z00_1124), BNIL);
											BgL_list1864z00_1125 =
												MAKE_PAIR(BINT(BgL_arg1862z00_1123),
												BgL_arg1865z00_1126);
										}
										BgL_arg1861z00_1122 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5539z00zz__evaluate_compz00,
											BgL_list1864z00_1125);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_84,
									BGl_string5531z00zz__evaluate_compz00,
									BGl_string5540z00zz__evaluate_compz00, BgL_arg1861z00_1122);
							}
						else
							{	/* Eval/evaluate_comp.scm 595 */
								{	/* Eval/evaluate_comp.scm 601 */
									obj_t BgL_arg1866z00_1127;

									{	/* Eval/evaluate_comp.scm 601 */
										obj_t BgL_vz00_1128;

										{	/* Eval/evaluate_comp.scm 601 */
											obj_t BgL_fun1869z00_1130;

											BgL_fun1869z00_1130 = CAR(BgL_lz00_1110);
											BgL_vz00_1128 =
												PROCEDURE_ENTRY(BgL_fun1869z00_1130)
												(BgL_fun1869z00_1130, BgL_sz00_80, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 602 */
											bool_t BgL_testz00_17920;

											{	/* Eval/evaluate_comp.scm 602 */
												obj_t BgL_pairz00_6019;

												BgL_pairz00_6019 = BgL_bsz00_1111;
												BgL_testz00_17920 = CBOOL(CAR(BgL_pairz00_6019));
											}
											if (BgL_testz00_17920)
												{	/* Eval/evaluate_comp.scm 603 */
													obj_t BgL_newz00_6021;

													BgL_newz00_6021 =
														create_struct(BGl_symbol5541z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 603 */
														int BgL_auxz00_17925;

														BgL_auxz00_17925 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6021, BgL_auxz00_17925,
															BgL_vz00_1128);
													}
													BgL_arg1866z00_1127 = BgL_newz00_6021;
												}
											else
												{	/* Eval/evaluate_comp.scm 602 */
													BgL_arg1866z00_1127 = BgL_vz00_1128;
												}
										}
									}
									VECTOR_SET(BgL_sz00_80,
										(int) (BgL_spz00_1112), BgL_arg1866z00_1127);
								}
								{
									long BgL_spz00_17934;
									obj_t BgL_bsz00_17932;
									obj_t BgL_lz00_17930;

									BgL_lz00_17930 = CDR(BgL_lz00_1110);
									BgL_bsz00_17932 = CDR(BgL_bsz00_1111);
									BgL_spz00_17934 = (BgL_spz00_1112 + ((long) 1));
									BgL_spz00_1112 = BgL_spz00_17934;
									BgL_bsz00_1111 = BgL_bsz00_17932;
									BgL_lz00_1110 = BgL_lz00_17930;
									goto BgL_zc3anonymousza31852ze3z83_1113;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_86,
		obj_t BgL_l2z00_87)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 610 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_86))
				{	/* Eval/evaluate_comp.scm 611 */
					return BgL_l2z00_87;
				}
			else
				{	/* Eval/evaluate_comp.scm 611 */
					if ((CAR(BgL_l1z00_86) == CAR(BgL_l2z00_87)))
						{
							obj_t BgL_l2z00_17944;
							obj_t BgL_l1z00_17942;

							BgL_l1z00_17942 = CDR(BgL_l1z00_86);
							BgL_l2z00_17944 = CDR(BgL_l2z00_87);
							BgL_l2z00_87 = BgL_l2z00_17944;
							BgL_l1z00_86 = BgL_l1z00_17942;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 612 */
							return
								BGl_errorz00zz__errorz00(BGl_string5531z00zz__evaluate_compz00,
								BGl_symbol5543z00zz__evaluate_compz00,
								BGl_symbol5545z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_91,
		obj_t BgL_sz00_92, obj_t BgL_bpz00_93)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 634 */
			{	/* Eval/evaluate_comp.scm 635 */
				obj_t BgL_savedzd2bpzd2_1148;

				BgL_savedzd2bpzd2_1148 = VECTOR_REF(BgL_sz00_92, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_92, (int) (((long) 0)), BgL_bpz00_93);
				{
					obj_t BgL_fz00_1150;

					BgL_fz00_1150 = BgL_fz00_91;
				BgL_zc3anonymousza31887ze3z83_1151:
					{	/* Eval/evaluate_comp.scm 638 */
						obj_t BgL_rz00_1152;

						BgL_rz00_1152 =
							PROCEDURE_ENTRY(BgL_fz00_1150) (BgL_fz00_1150, BgL_sz00_92, BEOA);
						{	/* Eval/evaluate_comp.scm 639 */
							bool_t BgL_testz00_17955;

							if (PROCEDUREP(BgL_rz00_1152))
								{	/* Eval/evaluate_comp.scm 639 */
									obj_t BgL_arg1890z00_1155;

									BgL_arg1890z00_1155 = PROCEDURE_ATTR(BgL_rz00_1152);
									if (STRUCTP(BgL_arg1890z00_1155))
										{	/* Eval/evaluate_comp.scm 639 */
											BgL_testz00_17955 =
												(STRUCT_KEY(BgL_arg1890z00_1155) ==
												BGl_symbol5527z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 639 */
											BgL_testz00_17955 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 639 */
									BgL_testz00_17955 = ((bool_t) 0);
								}
							if (BgL_testz00_17955)
								{
									obj_t BgL_fz00_17963;

									BgL_fz00_17963 = BgL_rz00_1152;
									BgL_fz00_1150 = BgL_fz00_17963;
									goto BgL_zc3anonymousza31887ze3z83_1151;
								}
							else
								{	/* Eval/evaluate_comp.scm 639 */
									VECTOR_SET(BgL_sz00_92,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1148);
									return BgL_rz00_1152;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_115,
		obj_t BgL_stkz00_116)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 653 */
			if (NULLP(BgL_eza2za2_115))
				{	/* Eval/evaluate_comp.scm 655 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 657 */
					obj_t BgL_arg1901z00_1167;
					obj_t BgL_arg1902z00_1168;

					{	/* Eval/evaluate_comp.scm 657 */
						obj_t BgL_arg1903z00_1169;

						BgL_arg1903z00_1169 = CAR(BgL_eza2za2_115);
						BgL_arg1901z00_1167 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1903z00_1169), BgL_stkz00_116);
					}
					{	/* Eval/evaluate_comp.scm 658 */
						obj_t BgL_arg1904z00_1170;
						obj_t BgL_arg1905z00_1171;

						BgL_arg1904z00_1170 = CDR(BgL_eza2za2_115);
						{	/* Eval/evaluate_comp.scm 658 */
							obj_t BgL_arg1907z00_1172;

							BgL_arg1907z00_1172 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1905z00_1171 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_116,
								BgL_arg1907z00_1172);
						}
						BgL_arg1902z00_1168 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1904z00_1170,
							BgL_arg1905z00_1171);
					}
					return MAKE_PAIR(BgL_arg1901z00_1167, BgL_arg1902z00_1168);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_17659,
		obj_t BgL_lz00_1174, long BgL_iz00_1175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 661 */
			if (NULLP(BgL_lz00_1174))
				{	/* Eval/evaluate_comp.scm 662 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 662 */
					if ((BgL_iz00_1175 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 663 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1174,
								BgL_stkz00_17659);
						}
					else
						{	/* Eval/evaluate_comp.scm 664 */
							obj_t BgL_arg1911z00_1179;
							obj_t BgL_arg1912z00_1180;

							{	/* Eval/evaluate_comp.scm 664 */
								obj_t BgL_arg1913z00_1181;

								BgL_arg1913z00_1181 = CAR(BgL_lz00_1174);
								BgL_arg1911z00_1179 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1913z00_1181),
									BgL_stkz00_17659);
							}
							BgL_arg1912z00_1180 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_17659,
								CDR(BgL_lz00_1174), (BgL_iz00_1175 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1911z00_1179, BgL_arg1912z00_1180);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_120,
		obj_t BgL_fz00_121, obj_t BgL_argsz00_122, obj_t BgL_bpz00_123,
		long BgL_siza7eza7_124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 667 */
			{	/* Eval/evaluate_comp.scm 669 */
				obj_t BgL_argsz00_1185;

				if (NULLP(BgL_argsz00_122))
					{	/* Eval/evaluate_comp.scm 669 */
						BgL_argsz00_1185 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 669 */
						obj_t BgL_head1591z00_1190;

						{	/* Eval/evaluate_comp.scm 669 */
							obj_t BgL_res4368z00_6140;

							BgL_res4368z00_6140 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1591z00_1190 = BgL_res4368z00_6140;
						}
						{
							obj_t BgL_l1589z00_6174;
							obj_t BgL_tail1592z00_6175;

							BgL_l1589z00_6174 = BgL_argsz00_122;
							BgL_tail1592z00_6175 = BgL_head1591z00_1190;
						BgL_zc3anonymousza31918ze3z83_6173:
							if (NULLP(BgL_l1589z00_6174))
								{	/* Eval/evaluate_comp.scm 669 */
									BgL_argsz00_1185 = CDR(BgL_head1591z00_1190);
								}
							else
								{	/* Eval/evaluate_comp.scm 669 */
									obj_t BgL_newtail1593z00_6182;

									{	/* Eval/evaluate_comp.scm 669 */
										obj_t BgL_arg1921z00_6183;

										{	/* Eval/evaluate_comp.scm 669 */
											obj_t BgL_az00_6184;

											BgL_az00_6184 = CAR(BgL_l1589z00_6174);
											BgL_arg1921z00_6183 =
												PROCEDURE_ENTRY(BgL_az00_6184) (BgL_az00_6184,
												BgL_sz00_120, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 669 */
											obj_t BgL_res4374z00_6192;

											BgL_res4374z00_6192 =
												MAKE_PAIR(BgL_arg1921z00_6183, BNIL);
											BgL_newtail1593z00_6182 = BgL_res4374z00_6192;
										}
									}
									SET_CDR(BgL_tail1592z00_6175, BgL_newtail1593z00_6182);
									{
										obj_t BgL_tail1592z00_18003;
										obj_t BgL_l1589z00_18001;

										BgL_l1589z00_18001 = CDR(BgL_l1589z00_6174);
										BgL_tail1592z00_18003 = BgL_newtail1593z00_6182;
										BgL_tail1592z00_6175 = BgL_tail1592z00_18003;
										BgL_l1589z00_6174 = BgL_l1589z00_18001;
										goto BgL_zc3anonymousza31918ze3z83_6173;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 670 */
					long BgL_arg1916z00_1186;

					BgL_arg1916z00_1186 =
						((long) CINT(BgL_bpz00_123) + BgL_siza7eza7_124);
					VECTOR_SET(BgL_sz00_120,
						(int) (((long) 0)), BINT(BgL_arg1916z00_1186));
				}
				{	/* Eval/evaluate_comp.scm 671 */
					obj_t BgL_za2za2resza2za2z00_1187;

					BgL_za2za2resza2za2z00_1187 = apply(BgL_fz00_121, BgL_argsz00_1185);
					VECTOR_SET(BgL_sz00_120, (int) (((long) 0)), BgL_bpz00_123);
					return BgL_za2za2resza2za2z00_1187;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_128, obj_t BgL_sz00_129, obj_t BgL_argsz00_130,
		obj_t BgL_spz00_131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 680 */
			{	/* Eval/evaluate_comp.scm 681 */
				long BgL_g1141z00_1211;

				BgL_g1141z00_1211 = (((long) -1) - (long) CINT(BgL_arityz00_128));
				{
					obj_t BgL_lz00_1213;
					obj_t BgL_spz00_1214;
					long BgL_nz00_1215;

					BgL_lz00_1213 = BgL_argsz00_130;
					BgL_spz00_1214 = BgL_spz00_131;
					BgL_nz00_1215 = BgL_g1141z00_1211;
				BgL_zc3anonymousza31928ze3z83_1216:
					if ((BgL_nz00_1215 == ((long) 0)))
						{
							obj_t BgL_lz00_6303;
							obj_t BgL_rz00_6304;

							BgL_lz00_6303 = BgL_lz00_1213;
							BgL_rz00_6304 = BNIL;
						BgL_rec2z00_6302:
							if (NULLP(BgL_lz00_6303))
								{	/* Eval/evaluate_comp.scm 683 */
									return
										VECTOR_SET(BgL_sz00_129,
										CINT(BgL_spz00_1214), bgl_reverse_bang(BgL_rz00_6304));
								}
							else
								{	/* Eval/evaluate_comp.scm 683 */
									obj_t BgL_arg1933z00_6313;
									obj_t BgL_arg1935z00_6314;

									BgL_arg1933z00_6313 = CDR(BgL_lz00_6303);
									{	/* Eval/evaluate_comp.scm 683 */
										obj_t BgL_arg1936z00_6315;

										{	/* Eval/evaluate_comp.scm 683 */
											obj_t BgL_fun1937z00_6316;

											BgL_fun1937z00_6316 = CAR(BgL_lz00_6303);
											BgL_arg1936z00_6315 =
												PROCEDURE_ENTRY(BgL_fun1937z00_6316)
												(BgL_fun1937z00_6316, BgL_sz00_129, BEOA);
										}
										BgL_arg1935z00_6314 =
											MAKE_PAIR(BgL_arg1936z00_6315, BgL_rz00_6304);
									}
									{
										obj_t BgL_rz00_18030;
										obj_t BgL_lz00_18029;

										BgL_lz00_18029 = BgL_arg1933z00_6313;
										BgL_rz00_18030 = BgL_arg1935z00_6314;
										BgL_rz00_6304 = BgL_rz00_18030;
										BgL_lz00_6303 = BgL_lz00_18029;
										goto BgL_rec2z00_6302;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 682 */
							{	/* Eval/evaluate_comp.scm 687 */
								obj_t BgL_arg1938z00_1230;

								{	/* Eval/evaluate_comp.scm 687 */
									obj_t BgL_fun1939z00_1231;

									BgL_fun1939z00_1231 = CAR(BgL_lz00_1213);
									BgL_arg1938z00_1230 =
										PROCEDURE_ENTRY(BgL_fun1939z00_1231) (BgL_fun1939z00_1231,
										BgL_sz00_129, BEOA);
								}
								VECTOR_SET(BgL_sz00_129,
									CINT(BgL_spz00_1214), BgL_arg1938z00_1230);
							}
							{	/* Eval/evaluate_comp.scm 688 */
								obj_t BgL_arg1940z00_1232;
								long BgL_arg1941z00_1233;
								long BgL_arg1943z00_1234;

								BgL_arg1940z00_1232 = CDR(BgL_lz00_1213);
								BgL_arg1941z00_1233 =
									((long) CINT(BgL_spz00_1214) + ((long) 1));
								BgL_arg1943z00_1234 = (BgL_nz00_1215 - ((long) 1));
								{
									long BgL_nz00_18045;
									obj_t BgL_spz00_18043;
									obj_t BgL_lz00_18042;

									BgL_lz00_18042 = BgL_arg1940z00_1232;
									BgL_spz00_18043 = BINT(BgL_arg1941z00_1233);
									BgL_nz00_18045 = BgL_arg1943z00_1234;
									BgL_nz00_1215 = BgL_nz00_18045;
									BgL_spz00_1214 = BgL_spz00_18043;
									BgL_lz00_1213 = BgL_lz00_18042;
									goto BgL_zc3anonymousza31928ze3z83_1216;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_132,
		obj_t BgL_stkz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 725 */
			{
				obj_t BgL_lz00_1237;
				obj_t BgL_stkz00_1238;

				BgL_lz00_1237 = BgL_argsz00_132;
				BgL_stkz00_1238 = BgL_stkz00_133;
			BgL_zc3anonymousza31944ze3z83_1239:
				{	/* Eval/evaluate_comp.scm 729 */
					bool_t BgL_testz00_18046;

					if (NULLP(BgL_lz00_1237))
						{	/* Eval/evaluate_comp.scm 729 */
							BgL_testz00_18046 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 729 */
							BgL_testz00_18046 = NULLP(BgL_stkz00_1238);
						}
					if (BgL_testz00_18046)
						{	/* Eval/evaluate_comp.scm 729 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 731 */
							bool_t BgL_testz00_18050;

							{	/* Eval/evaluate_comp.scm 731 */
								obj_t BgL_g1596z00_1244;

								BgL_g1596z00_1244 = CDR(BgL_lz00_1237);
								{
									obj_t BgL_l1594z00_1246;

									BgL_l1594z00_1246 = BgL_g1596z00_1244;
								BgL_zc3anonymousza31949ze3z83_1247:
									if (NULLP(BgL_l1594z00_1246))
										{	/* Eval/evaluate_comp.scm 731 */
											BgL_testz00_18050 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 731 */
											bool_t BgL_testz00_18054;

											{	/* Eval/evaluate_comp.scm 731 */
												obj_t BgL_ez00_1251;

												BgL_ez00_1251 = CAR(BgL_l1594z00_1246);
												{	/* Eval/evaluate_comp.scm 731 */
													obj_t BgL_arg1953z00_1252;
													obj_t BgL_arg1954z00_1253;

													BgL_arg1953z00_1252 = CAR(BgL_stkz00_1238);
													BgL_arg1954z00_1253 =
														BGl_usez00zz__evaluate_usez00(
														((BgL_ev_exprz00_bglt) BgL_ez00_1251), BNIL);
													BgL_testz00_18054 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1953z00_1252, BgL_arg1954z00_1253));
												}
											}
											if (BgL_testz00_18054)
												{	/* Eval/evaluate_comp.scm 731 */
													BgL_testz00_18050 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l1594z00_18061;

													BgL_l1594z00_18061 = CDR(BgL_l1594z00_1246);
													BgL_l1594z00_1246 = BgL_l1594z00_18061;
													goto BgL_zc3anonymousza31949ze3z83_1247;
												}
										}
								}
							}
							if (BgL_testz00_18050)
								{	/* Eval/evaluate_comp.scm 731 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_18065;
									obj_t BgL_lz00_18063;

									BgL_lz00_18063 = CDR(BgL_lz00_1237);
									BgL_stkz00_18065 = CDR(BgL_stkz00_1238);
									BgL_stkz00_1238 = BgL_stkz00_18065;
									BgL_lz00_1237 = BgL_lz00_18063;
									goto BgL_zc3anonymousza31944ze3z83_1239;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_134, obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 735 */
			{	/* Eval/evaluate_comp.scm 737 */
				long BgL_siza7eza7_1258;
				long BgL_nbargsz00_1259;
				obj_t BgL_fz00_1260;
				obj_t BgL_symbzd2funzd2_1261;

				BgL_siza7eza7_1258 = bgl_list_length(BgL_stkz00_135);
				BgL_nbargsz00_1259 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00));
				BgL_fz00_1260 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_funz00),
					BgL_stkz00_135);
				BgL_symbzd2funzd2_1261 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_134))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 739 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
								BgL_stkz00_135))
							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_argsz00_1264;

								BgL_argsz00_1264 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_stkz00_135);
								{	/* Eval/evaluate_comp.scm 746 */
									obj_t BgL_zc3anonymousza31958ze3z83_15617;

									BgL_zc3anonymousza31958ze3z83_15617 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31958ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza31958ze3z83_15617,
										(int) (((long) 0)), BgL_fz00_1260);
									PROCEDURE_SET(BgL_zc3anonymousza31958ze3z83_15617,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31958ze3z83_15617,
										(int) (((long) 2)), BgL_symbzd2funzd2_1261);
									PROCEDURE_SET(BgL_zc3anonymousza31958ze3z83_15617,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1259));
									PROCEDURE_SET(BgL_zc3anonymousza31958ze3z83_15617,
										(int) (((long) 4)), BgL_argsz00_1264);
									PROCEDURE_SET(BgL_zc3anonymousza31958ze3z83_15617,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1258));
									return BgL_zc3anonymousza31958ze3z83_15617;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_argsz00_1305;

								BgL_argsz00_1305 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_135,
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
									BgL_siza7eza7_1258);
								{	/* Eval/evaluate_comp.scm 754 */
									obj_t BgL_zc3anonymousza31986ze3z83_15618;

									BgL_zc3anonymousza31986ze3z83_15618 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_15618,
										(int) (((long) 0)), BgL_fz00_1260);
									PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_15618,
										(int) (((long) 1)), ((obj_t) BgL_ez00_134));
									PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_15618,
										(int) (((long) 2)), BgL_symbzd2funzd2_1261);
									PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_15618,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1259));
									PROCEDURE_SET(BgL_zc3anonymousza31986ze3z83_15618,
										(int) (((long) 4)), BgL_argsz00_1305);
									return BgL_zc3anonymousza31986ze3z83_15618;
								}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 740 */
						obj_t BgL_argsz00_1344;

						BgL_argsz00_1344 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_134))->BgL_argsz00),
							BgL_stkz00_135);
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_zc3anonymousza32013ze3z83_15619;

							BgL_zc3anonymousza32013ze3z83_15619 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32013ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 6)));
							PROCEDURE_SET(BgL_zc3anonymousza32013ze3z83_15619,
								(int) (((long) 0)), BgL_fz00_1260);
							PROCEDURE_SET(BgL_zc3anonymousza32013ze3z83_15619,
								(int) (((long) 1)), ((obj_t) BgL_ez00_134));
							PROCEDURE_SET(BgL_zc3anonymousza32013ze3z83_15619,
								(int) (((long) 2)), BgL_symbzd2funzd2_1261);
							PROCEDURE_SET(BgL_zc3anonymousza32013ze3z83_15619,
								(int) (((long) 3)), BINT(BgL_nbargsz00_1259));
							PROCEDURE_SET(BgL_zc3anonymousza32013ze3z83_15619,
								(int) (((long) 4)), BgL_argsz00_1344);
							PROCEDURE_SET(BgL_zc3anonymousza32013ze3z83_15619,
								(int) (((long) 5)), BINT(BgL_siza7eza7_1258));
							return BgL_zc3anonymousza32013ze3z83_15619;
						}
					}
			}
		}
	}



/* &<anonymous:1958> */
	obj_t BGl_z62zc3anonymousza31958ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15620, obj_t BgL_sz00_15627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 746 */
			{	/* Eval/evaluate_comp.scm 746 */
				obj_t BgL_fz00_15621;
				BgL_ev_appz00_bglt BgL_i1146z00_15622;
				obj_t BgL_symbzd2funzd2_15623;
				long BgL_nbargsz00_15624;
				obj_t BgL_argsz00_15625;
				long BgL_siza7eza7_15626;

				BgL_fz00_15621 = PROCEDURE_REF(BgL_envz00_15620, (int) (((long) 0)));
				BgL_i1146z00_15622 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15620, (int) (((long) 1))));
				BgL_symbzd2funzd2_15623 =
					PROCEDURE_REF(BgL_envz00_15620, (int) (((long) 2)));
				BgL_nbargsz00_15624 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15620, (int) (((long) 3))));
				BgL_argsz00_15625 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15620, (int) (((long) 4))));
				BgL_siza7eza7_15626 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15620, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1265;

					BgL_sz00_1265 = BgL_sz00_15627;
					{	/* Eval/evaluate_comp.scm 746 */
						obj_t BgL_bpz00_1267;

						BgL_bpz00_1267 = VECTOR_REF(BgL_sz00_1265, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 746 */
							obj_t BgL_fz00_1268;

							BgL_fz00_1268 =
								PROCEDURE_ENTRY(BgL_fz00_15621) (BgL_fz00_15621, BgL_sz00_1265,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1268))
								{	/* Eval/evaluate_comp.scm 746 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 746 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15622))->
											BgL_locz00), BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1268);
								}
							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_ufz00_1271;

								BgL_ufz00_1271 = PROCEDURE_ATTR(BgL_fz00_1268);
								{	/* Eval/evaluate_comp.scm 746 */
									bool_t BgL_testz00_18164;

									if (STRUCTP(BgL_ufz00_1271))
										{	/* Eval/evaluate_comp.scm 746 */
											BgL_testz00_18164 =
												(STRUCT_KEY(BgL_ufz00_1271) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 746 */
											BgL_testz00_18164 = ((bool_t) 0);
										}
									if (BgL_testz00_18164)
										{	/* Eval/evaluate_comp.scm 746 */
											obj_t BgL_arityz00_1273;
											obj_t BgL_runz00_1274;
											obj_t BgL_sfz00_1275;

											BgL_arityz00_1273 =
												STRUCT_REF(BgL_ufz00_1271, (int) (((long) 0)));
											BgL_runz00_1274 =
												STRUCT_REF(BgL_ufz00_1271, (int) (((long) 1)));
											BgL_sfz00_1275 =
												STRUCT_REF(BgL_ufz00_1271, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 746 */
												long BgL_spz00_1276;

												BgL_spz00_1276 =
													((long) CINT(BgL_bpz00_1267) + BgL_siza7eza7_15626);
												if (
													((long) CINT(BgL_arityz00_1273) ==
														BgL_nbargsz00_15624))
													{	/* Eval/evaluate_comp.scm 746 */
														{
															obj_t BgL_lz00_6378;
															long BgL_spz00_6379;

															BgL_lz00_6378 = BgL_argsz00_15625;
															BgL_spz00_6379 = BgL_spz00_1276;
														BgL_recz00_6377:
															if (NULLP(BgL_lz00_6378))
																{	/* Eval/evaluate_comp.scm 749 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 749 */
																	{	/* Eval/evaluate_comp.scm 749 */
																		obj_t BgL_arg1924z00_6386;

																		{	/* Eval/evaluate_comp.scm 749 */
																			obj_t BgL_fun1925z00_6387;

																			BgL_fun1925z00_6387 = CAR(BgL_lz00_6378);
																			BgL_arg1924z00_6386 =
																				PROCEDURE_ENTRY(BgL_fun1925z00_6387)
																				(BgL_fun1925z00_6387, BgL_sz00_1265,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1265,
																			(int) (BgL_spz00_6379),
																			BgL_arg1924z00_6386);
																	}
																	{
																		long BgL_spz00_18191;
																		obj_t BgL_lz00_18189;

																		BgL_lz00_18189 = CDR(BgL_lz00_6378);
																		BgL_spz00_18191 =
																			(BgL_spz00_6379 + ((long) 1));
																		BgL_spz00_6379 = BgL_spz00_18191;
																		BgL_lz00_6378 = BgL_lz00_18189;
																		goto BgL_recz00_6377;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 750 */
															long BgL_arg1964z00_1278;

															BgL_arg1964z00_1278 =
																(BgL_spz00_1276 + BgL_nbargsz00_15624);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1265, BgL_bpz00_1267, BgL_sz00_1265,
																BINT(BgL_spz00_1276),
																BINT(BgL_arg1964z00_1278));
													}}
												else
													{	/* Eval/evaluate_comp.scm 746 */
														bool_t BgL_testz00_18197;

														if (((long) CINT(BgL_arityz00_1273) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 746 */
																BgL_testz00_18197 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 746 */
																BgL_testz00_18197 =
																	(
																	(long) CINT(BgL_arityz00_1273) <
																	(((long) -1) - BgL_nbargsz00_15624));
															}
														if (BgL_testz00_18197)
															{	/* Eval/evaluate_comp.scm 746 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1146z00_15622))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1271,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15624),
																	CINT(BgL_arityz00_1273));
															}
														else
															{	/* Eval/evaluate_comp.scm 746 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1273, BgL_sz00_1265,
																	BgL_argsz00_15625, BINT(BgL_spz00_1276));
																{	/* Eval/evaluate_comp.scm 752 */
																	long BgL_arg1968z00_1282;

																	BgL_arg1968z00_1282 =
																		(BgL_spz00_1276 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1273)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1265, BgL_bpz00_1267,
																		BgL_sz00_1265, BINT(BgL_spz00_1276),
																		BINT(BgL_arg1968z00_1282));
													}}}
												{	/* Eval/evaluate_comp.scm 746 */
													obj_t BgL_auxz00_18220;
													obj_t BgL_auxz00_18218;

													BgL_auxz00_18220 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15622))->
														BgL_locz00);
													BgL_auxz00_18218 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18218,
														BgL_auxz00_18220);
												}
												{	/* Eval/evaluate_comp.scm 746 */
													bool_t BgL_testz00_18223;

													{	/* Eval/evaluate_comp.scm 746 */
														int BgL_arg1899z00_6426;

														BgL_arg1899z00_6426 = VECTOR_LENGTH(BgL_sz00_1265);
														BgL_testz00_18223 =
															(
															((long) CINT(BgL_bpz00_1267) +
																(long) CINT(BgL_sfz00_1275)) <
															(long) (BgL_arg1899z00_6426));
													}
													if (BgL_testz00_18223)
														{	/* Eval/evaluate_comp.scm 746 */
															return BgL_runz00_1274;
														}
													else
														{	/* Eval/evaluate_comp.scm 746 */
															obj_t BgL_nsz00_1289;

															BgL_nsz00_1289 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 746 */
																long BgL_arg1974z00_1291;

																BgL_arg1974z00_1291 =
																	(
																	(long) CINT(BgL_bpz00_1267) +
																	BgL_nbargsz00_15624);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1289, BINT(((long) 2)),
																	BgL_sz00_1265, BgL_bpz00_1267,
																	BINT(BgL_arg1974z00_1291));
															}
															VECTOR_SET(BgL_nsz00_1289,
																(int) (((long) 1)), BgL_sz00_1265);
															{	/* Eval/evaluate_comp.scm 746 */
																obj_t BgL_auxz00_18238;

																BgL_auxz00_18238 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18238,
																	BgL_nsz00_1289);
															}
															{	/* Eval/evaluate_comp.scm 746 */
																obj_t BgL_val1150z00_1293;

																BgL_val1150z00_1293 =
																	BGl_zc3exitza31980ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1289, BgL_runz00_1274);
																{	/* Eval/evaluate_comp.scm 746 */
																	obj_t BgL_auxz00_18242;

																	BgL_auxz00_18242 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18242,
																		BgL_sz00_1265);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1150z00_1293)))
																	{	/* Eval/evaluate_comp.scm 746 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1150z00_1293),
																			CDR(BgL_val1150z00_1293));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 746 */
																		return BgL_val1150z00_1293;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 746 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1268,
													(int) (BgL_nbargsz00_15624)))
												{	/* Eval/evaluate_comp.scm 746 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1265, BgL_fz00_1268, BgL_argsz00_15625,
														BgL_bpz00_1267, BgL_siza7eza7_15626);
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15622))->
															BgL_locz00), BgL_symbzd2funzd2_15623,
														(int) (BgL_nbargsz00_15624),
														PROCEDURE_ARITY(BgL_fz00_1268));
		}}}}}}}}}
	}



/* <exit:1980> */
	obj_t BGl_zc3exitza31980ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17658,
		obj_t BgL_runz00_17657)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 746 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1151z00_1299;

			if (SET_EXIT(BgL_an_exit1151z00_1299))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1151z00_1299 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 746 */

						PUSH_EXIT(BgL_an_exit1151z00_1299, ((long) 0));
						{	/* Eval/evaluate_comp.scm 746 */
							obj_t BgL_val1152z00_1300;

							{	/* Eval/evaluate_comp.scm 746 */
								obj_t BgL_savedzd2bpzd2_6445;

								BgL_savedzd2bpzd2_6445 =
									VECTOR_REF(BgL_nsz00_17658, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17658,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6452;

									BgL_fz00_6452 = BgL_runz00_17657;
								BgL_recz00_6451:
									{	/* Eval/evaluate_comp.scm 746 */
										obj_t BgL_rz00_6453;

										BgL_rz00_6453 =
											PROCEDURE_ENTRY(BgL_fz00_6452) (BgL_fz00_6452,
											BgL_nsz00_17658, BEOA);
										{	/* Eval/evaluate_comp.scm 746 */
											bool_t BgL_testz00_18271;

											if (PROCEDUREP(BgL_rz00_6453))
												{	/* Eval/evaluate_comp.scm 746 */
													obj_t BgL_arg1890z00_6458;

													BgL_arg1890z00_6458 = PROCEDURE_ATTR(BgL_rz00_6453);
													if (STRUCTP(BgL_arg1890z00_6458))
														{	/* Eval/evaluate_comp.scm 746 */
															BgL_testz00_18271 =
																(STRUCT_KEY(BgL_arg1890z00_6458) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 746 */
															BgL_testz00_18271 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													BgL_testz00_18271 = ((bool_t) 0);
												}
											if (BgL_testz00_18271)
												{
													obj_t BgL_fz00_18279;

													BgL_fz00_18279 = BgL_rz00_6453;
													BgL_fz00_6452 = BgL_fz00_18279;
													goto BgL_recz00_6451;
												}
											else
												{	/* Eval/evaluate_comp.scm 746 */
													VECTOR_SET(BgL_nsz00_17658,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6445);
													BgL_val1152z00_1300 = BgL_rz00_6453;
							}}}}}
							POP_EXIT();
							return BgL_val1152z00_1300;
						}
					}
				}
		}
	}



/* &<anonymous:1986> */
	obj_t BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15628, obj_t BgL_sz00_15634)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 754 */
			{	/* Eval/evaluate_comp.scm 754 */
				obj_t BgL_fz00_15629;
				BgL_ev_appz00_bglt BgL_i1146z00_15630;
				obj_t BgL_symbzd2funzd2_15631;
				long BgL_nbargsz00_15632;
				obj_t BgL_argsz00_15633;

				BgL_fz00_15629 = PROCEDURE_REF(BgL_envz00_15628, (int) (((long) 0)));
				BgL_i1146z00_15630 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15628, (int) (((long) 1))));
				BgL_symbzd2funzd2_15631 =
					PROCEDURE_REF(BgL_envz00_15628, (int) (((long) 2)));
				BgL_nbargsz00_15632 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15628, (int) (((long) 3))));
				BgL_argsz00_15633 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15628, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1306;

					BgL_sz00_1306 = BgL_sz00_15634;
					{	/* Eval/evaluate_comp.scm 754 */
						obj_t BgL_bpz00_1308;

						BgL_bpz00_1308 = VECTOR_REF(BgL_sz00_1306, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 754 */
							obj_t BgL_fz00_1309;

							BgL_fz00_1309 =
								PROCEDURE_ENTRY(BgL_fz00_15629) (BgL_fz00_15629, BgL_sz00_1306,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1309))
								{	/* Eval/evaluate_comp.scm 754 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 754 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15630))->
											BgL_locz00), BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1309);
								}
							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_ufz00_1312;

								BgL_ufz00_1312 = PROCEDURE_ATTR(BgL_fz00_1309);
								{	/* Eval/evaluate_comp.scm 754 */
									bool_t BgL_testz00_18307;

									if (STRUCTP(BgL_ufz00_1312))
										{	/* Eval/evaluate_comp.scm 754 */
											BgL_testz00_18307 =
												(STRUCT_KEY(BgL_ufz00_1312) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 754 */
											BgL_testz00_18307 = ((bool_t) 0);
										}
									if (BgL_testz00_18307)
										{	/* Eval/evaluate_comp.scm 754 */
											obj_t BgL_arityz00_1314;
											obj_t BgL_runz00_1315;
											obj_t BgL_sfz00_1316;

											BgL_arityz00_1314 =
												STRUCT_REF(BgL_ufz00_1312, (int) (((long) 0)));
											BgL_runz00_1315 =
												STRUCT_REF(BgL_ufz00_1312, (int) (((long) 1)));
											BgL_sfz00_1316 =
												STRUCT_REF(BgL_ufz00_1312, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1314) == BgL_nbargsz00_15632))
												{
													obj_t BgL_lz00_6504;
													obj_t BgL_spz00_6505;

													{	/* Eval/evaluate_comp.scm 757 */
														bool_t BgL_auxz00_18321;

														BgL_lz00_6504 = BgL_argsz00_15633;
														BgL_spz00_6505 = BgL_bpz00_1308;
													BgL_recz00_6503:
														if (NULLP(BgL_lz00_6504))
															{	/* Eval/evaluate_comp.scm 757 */
																BgL_auxz00_18321 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 757 */
																{	/* Eval/evaluate_comp.scm 757 */
																	obj_t BgL_arg1924z00_6512;

																	{	/* Eval/evaluate_comp.scm 757 */
																		obj_t BgL_fun1925z00_6513;

																		BgL_fun1925z00_6513 = CAR(BgL_lz00_6504);
																		BgL_arg1924z00_6512 =
																			PROCEDURE_ENTRY(BgL_fun1925z00_6513)
																			(BgL_fun1925z00_6513, BgL_sz00_1306,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1306,
																		CINT(BgL_spz00_6505), BgL_arg1924z00_6512);
																}
																{	/* Eval/evaluate_comp.scm 757 */
																	obj_t BgL_arg1926z00_6514;
																	long BgL_arg1927z00_6515;

																	BgL_arg1926z00_6514 = CDR(BgL_lz00_6504);
																	BgL_arg1927z00_6515 =
																		((long) CINT(BgL_spz00_6505) + ((long) 1));
																	{
																		obj_t BgL_spz00_18335;
																		obj_t BgL_lz00_18334;

																		BgL_lz00_18334 = BgL_arg1926z00_6514;
																		BgL_spz00_18335 = BINT(BgL_arg1927z00_6515);
																		BgL_spz00_6505 = BgL_spz00_18335;
																		BgL_lz00_6504 = BgL_lz00_18334;
																		goto BgL_recz00_6503;
																	}
																}
															}
														BBOOL(BgL_auxz00_18321);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													bool_t BgL_testz00_18338;

													if (((long) CINT(BgL_arityz00_1314) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18338 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18338 =
																(
																(long) CINT(BgL_arityz00_1314) <
																(((long) -1) - BgL_nbargsz00_15632));
														}
													if (BgL_testz00_18338)
														{	/* Eval/evaluate_comp.scm 754 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1146z00_15630))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1312, (int) (((long) 3))),
																(int) (BgL_nbargsz00_15632),
																CINT(BgL_arityz00_1314));
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1314, BgL_sz00_1306,
																BgL_argsz00_15633, BgL_bpz00_1308);
														}
												}
											{	/* Eval/evaluate_comp.scm 754 */
												obj_t BgL_auxz00_18354;
												obj_t BgL_auxz00_18352;

												BgL_auxz00_18354 =
													(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15630))->
													BgL_locz00);
												BgL_auxz00_18352 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18352,
													BgL_auxz00_18354);
											}
											{	/* Eval/evaluate_comp.scm 754 */
												bool_t BgL_testz00_18357;

												{	/* Eval/evaluate_comp.scm 754 */
													int BgL_arg1899z00_6543;

													BgL_arg1899z00_6543 = VECTOR_LENGTH(BgL_sz00_1306);
													BgL_testz00_18357 =
														(
														((long) CINT(BgL_bpz00_1308) +
															(long) CINT(BgL_sfz00_1316)) <
														(long) (BgL_arg1899z00_6543));
												}
												if (BgL_testz00_18357)
													{	/* Eval/evaluate_comp.scm 754 */
														return BgL_runz00_1315;
													}
												else
													{	/* Eval/evaluate_comp.scm 754 */
														obj_t BgL_nsz00_1327;

														BgL_nsz00_1327 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 754 */
															long BgL_arg1999z00_1329;

															BgL_arg1999z00_1329 =
																(
																(long) CINT(BgL_bpz00_1308) +
																BgL_nbargsz00_15632);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1327, BINT(((long) 2)),
																BgL_sz00_1306, BgL_bpz00_1308,
																BINT(BgL_arg1999z00_1329));
														}
														VECTOR_SET(BgL_nsz00_1327,
															(int) (((long) 1)), BgL_sz00_1306);
														{	/* Eval/evaluate_comp.scm 754 */
															obj_t BgL_auxz00_18372;

															BgL_auxz00_18372 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18372,
																BgL_nsz00_1327);
														}
														{	/* Eval/evaluate_comp.scm 754 */
															obj_t BgL_val1153z00_1331;

															BgL_val1153z00_1331 =
																BGl_zc3exitza32005ze3z83zz__evaluate_compz00
																(BgL_nsz00_1327, BgL_runz00_1315);
															{	/* Eval/evaluate_comp.scm 754 */
																obj_t BgL_auxz00_18376;

																BgL_auxz00_18376 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18376,
																	BgL_sz00_1306);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1153z00_1331)))
																{	/* Eval/evaluate_comp.scm 754 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1153z00_1331),
																		CDR(BgL_val1153z00_1331));
																}
															else
																{	/* Eval/evaluate_comp.scm 754 */
																	return BgL_val1153z00_1331;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 754 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1309,
													(int) (BgL_nbargsz00_15632)))
												{	/* Eval/evaluate_comp.scm 754 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1306, BgL_fz00_1309, BgL_argsz00_15633,
														BgL_bpz00_1308, BgL_nbargsz00_15632);
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15630))->
															BgL_locz00), BgL_symbzd2funzd2_15631,
														(int) (BgL_nbargsz00_15632),
														PROCEDURE_ARITY(BgL_fz00_1309));
		}}}}}}}}}
	}



/* <exit:2005> */
	obj_t BGl_zc3exitza32005ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17656,
		obj_t BgL_runz00_17655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 754 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1154z00_1337;

			if (SET_EXIT(BgL_an_exit1154z00_1337))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1154z00_1337 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 754 */

						PUSH_EXIT(BgL_an_exit1154z00_1337, ((long) 0));
						{	/* Eval/evaluate_comp.scm 754 */
							obj_t BgL_val1155z00_1338;

							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_savedzd2bpzd2_6562;

								BgL_savedzd2bpzd2_6562 =
									VECTOR_REF(BgL_nsz00_17656, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17656,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6569;

									BgL_fz00_6569 = BgL_runz00_17655;
								BgL_recz00_6568:
									{	/* Eval/evaluate_comp.scm 754 */
										obj_t BgL_rz00_6570;

										BgL_rz00_6570 =
											PROCEDURE_ENTRY(BgL_fz00_6569) (BgL_fz00_6569,
											BgL_nsz00_17656, BEOA);
										{	/* Eval/evaluate_comp.scm 754 */
											bool_t BgL_testz00_18405;

											if (PROCEDUREP(BgL_rz00_6570))
												{	/* Eval/evaluate_comp.scm 754 */
													obj_t BgL_arg1890z00_6575;

													BgL_arg1890z00_6575 = PROCEDURE_ATTR(BgL_rz00_6570);
													if (STRUCTP(BgL_arg1890z00_6575))
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18405 =
																(STRUCT_KEY(BgL_arg1890z00_6575) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 754 */
															BgL_testz00_18405 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													BgL_testz00_18405 = ((bool_t) 0);
												}
											if (BgL_testz00_18405)
												{
													obj_t BgL_fz00_18413;

													BgL_fz00_18413 = BgL_rz00_6570;
													BgL_fz00_6569 = BgL_fz00_18413;
													goto BgL_recz00_6568;
												}
											else
												{	/* Eval/evaluate_comp.scm 754 */
													VECTOR_SET(BgL_nsz00_17656,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6562);
													BgL_val1155z00_1338 = BgL_rz00_6570;
							}}}}}
							POP_EXIT();
							return BgL_val1155z00_1338;
						}
					}
				}
		}
	}



/* &<anonymous:2013> */
	obj_t BGl_z62zc3anonymousza32013ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15635, obj_t BgL_sz00_15642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 740 */
			{	/* Eval/evaluate_comp.scm 740 */
				obj_t BgL_fz00_15636;
				BgL_ev_appz00_bglt BgL_i1146z00_15637;
				obj_t BgL_symbzd2funzd2_15638;
				long BgL_nbargsz00_15639;
				obj_t BgL_argsz00_15640;
				long BgL_siza7eza7_15641;

				BgL_fz00_15636 = PROCEDURE_REF(BgL_envz00_15635, (int) (((long) 0)));
				BgL_i1146z00_15637 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_15635, (int) (((long) 1))));
				BgL_symbzd2funzd2_15638 =
					PROCEDURE_REF(BgL_envz00_15635, (int) (((long) 2)));
				BgL_nbargsz00_15639 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15635, (int) (((long) 3))));
				BgL_argsz00_15640 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15635, (int) (((long) 4))));
				BgL_siza7eza7_15641 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15635, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1345;

					BgL_sz00_1345 = BgL_sz00_15642;
					{	/* Eval/evaluate_comp.scm 740 */
						obj_t BgL_bpz00_1347;

						BgL_bpz00_1347 = VECTOR_REF(BgL_sz00_1345, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_fz00_1348;

							BgL_fz00_1348 =
								PROCEDURE_ENTRY(BgL_fz00_15636) (BgL_fz00_15636, BgL_sz00_1345,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1348))
								{	/* Eval/evaluate_comp.scm 740 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 740 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15637))->
											BgL_locz00), BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1348);
								}
							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_ufz00_1351;

								BgL_ufz00_1351 = PROCEDURE_ATTR(BgL_fz00_1348);
								{	/* Eval/evaluate_comp.scm 740 */
									bool_t BgL_testz00_18444;

									if (STRUCTP(BgL_ufz00_1351))
										{	/* Eval/evaluate_comp.scm 740 */
											BgL_testz00_18444 =
												(STRUCT_KEY(BgL_ufz00_1351) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 740 */
											BgL_testz00_18444 = ((bool_t) 0);
										}
									if (BgL_testz00_18444)
										{	/* Eval/evaluate_comp.scm 740 */
											obj_t BgL_arityz00_1353;
											obj_t BgL_runz00_1354;
											obj_t BgL_sfz00_1355;

											BgL_arityz00_1353 =
												STRUCT_REF(BgL_ufz00_1351, (int) (((long) 0)));
											BgL_runz00_1354 =
												STRUCT_REF(BgL_ufz00_1351, (int) (((long) 1)));
											BgL_sfz00_1355 =
												STRUCT_REF(BgL_ufz00_1351, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 740 */
												long BgL_spz00_1356;

												BgL_spz00_1356 =
													((long) CINT(BgL_bpz00_1347) + BgL_siza7eza7_15641);
												if (
													((long) CINT(BgL_arityz00_1353) ==
														BgL_nbargsz00_15639))
													{
														obj_t BgL_lz00_6621;
														long BgL_spz00_6622;

														{	/* Eval/evaluate_comp.scm 743 */
															bool_t BgL_auxz00_18460;

															BgL_lz00_6621 = BgL_argsz00_15640;
															BgL_spz00_6622 = BgL_spz00_1356;
														BgL_recz00_6620:
															if (NULLP(BgL_lz00_6621))
																{	/* Eval/evaluate_comp.scm 743 */
																	BgL_auxz00_18460 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 743 */
																	{	/* Eval/evaluate_comp.scm 743 */
																		obj_t BgL_arg1924z00_6629;

																		{	/* Eval/evaluate_comp.scm 743 */
																			obj_t BgL_fun1925z00_6630;

																			BgL_fun1925z00_6630 = CAR(BgL_lz00_6621);
																			BgL_arg1924z00_6629 =
																				PROCEDURE_ENTRY(BgL_fun1925z00_6630)
																				(BgL_fun1925z00_6630, BgL_sz00_1345,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1345,
																			(int) (BgL_spz00_6622),
																			BgL_arg1924z00_6629);
																	}
																	{
																		long BgL_spz00_18472;
																		obj_t BgL_lz00_18470;

																		BgL_lz00_18470 = CDR(BgL_lz00_6621);
																		BgL_spz00_18472 =
																			(BgL_spz00_6622 + ((long) 1));
																		BgL_spz00_6622 = BgL_spz00_18472;
																		BgL_lz00_6621 = BgL_lz00_18470;
																		goto BgL_recz00_6620;
																	}
																}
															BBOOL(BgL_auxz00_18460);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 740 */
														bool_t BgL_testz00_18475;

														if (((long) CINT(BgL_arityz00_1353) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 740 */
																BgL_testz00_18475 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 740 */
																BgL_testz00_18475 =
																	(
																	(long) CINT(BgL_arityz00_1353) <
																	(((long) -1) - BgL_nbargsz00_15639));
															}
														if (BgL_testz00_18475)
															{	/* Eval/evaluate_comp.scm 740 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1146z00_15637))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1351,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_15639),
																	CINT(BgL_arityz00_1353));
															}
														else
															{	/* Eval/evaluate_comp.scm 740 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1353, BgL_sz00_1345,
																	BgL_argsz00_15640, BINT(BgL_spz00_1356));
															}
													}
												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_auxz00_18492;
													obj_t BgL_auxz00_18490;

													BgL_auxz00_18492 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15637))->
														BgL_locz00);
													BgL_auxz00_18490 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18490,
														BgL_auxz00_18492);
												}
												{	/* Eval/evaluate_comp.scm 740 */
													bool_t BgL_testz00_18495;

													{	/* Eval/evaluate_comp.scm 740 */
														int BgL_arg1899z00_6660;

														BgL_arg1899z00_6660 = VECTOR_LENGTH(BgL_sz00_1345);
														BgL_testz00_18495 =
															(
															(BgL_spz00_1356 +
																(long) CINT(BgL_sfz00_1355)) <
															(long) (BgL_arg1899z00_6660));
													}
													if (BgL_testz00_18495)
														{	/* Eval/evaluate_comp.scm 740 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1354, BgL_sz00_1345,
																BINT(BgL_spz00_1356));
														}
													else
														{	/* Eval/evaluate_comp.scm 740 */
															obj_t BgL_nsz00_1366;

															BgL_nsz00_1366 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 740 */
																long BgL_arg2026z00_1368;

																BgL_arg2026z00_1368 =
																	(BgL_spz00_1356 + BgL_nbargsz00_15639);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1366, BINT(((long) 2)),
																	BgL_sz00_1345, BINT(BgL_spz00_1356),
																	BINT(BgL_arg2026z00_1368));
															}
															VECTOR_SET(BgL_nsz00_1366,
																(int) (((long) 1)), BgL_sz00_1345);
															{	/* Eval/evaluate_comp.scm 740 */
																obj_t BgL_auxz00_18511;

																BgL_auxz00_18511 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18511,
																	BgL_nsz00_1366);
															}
															{	/* Eval/evaluate_comp.scm 740 */
																obj_t BgL_val1147z00_1370;

																BgL_val1147z00_1370 =
																	BGl_zc3exitza32032ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1366, BgL_runz00_1354);
																{	/* Eval/evaluate_comp.scm 740 */
																	obj_t BgL_auxz00_18515;

																	BgL_auxz00_18515 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18515,
																		BgL_sz00_1345);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1147z00_1370)))
																	{	/* Eval/evaluate_comp.scm 740 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1147z00_1370),
																			CDR(BgL_val1147z00_1370));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 740 */
																		return BgL_val1147z00_1370;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 740 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1348,
													(int) (BgL_nbargsz00_15639)))
												{	/* Eval/evaluate_comp.scm 740 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1345, BgL_fz00_1348, BgL_argsz00_15640,
														BgL_bpz00_1347, BgL_siza7eza7_15641);
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1146z00_15637))->
															BgL_locz00), BgL_symbzd2funzd2_15638,
														(int) (BgL_nbargsz00_15639),
														PROCEDURE_ARITY(BgL_fz00_1348));
		}}}}}}}}}
	}



/* <exit:2032> */
	obj_t BGl_zc3exitza32032ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17654,
		obj_t BgL_runz00_17653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 740 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1148z00_1376;

			if (SET_EXIT(BgL_an_exit1148z00_1376))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1148z00_1376 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 740 */

						PUSH_EXIT(BgL_an_exit1148z00_1376, ((long) 0));
						{	/* Eval/evaluate_comp.scm 740 */
							obj_t BgL_val1149z00_1377;

							{	/* Eval/evaluate_comp.scm 740 */
								obj_t BgL_savedzd2bpzd2_6678;

								BgL_savedzd2bpzd2_6678 =
									VECTOR_REF(BgL_nsz00_17654, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17654,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6685;

									BgL_fz00_6685 = BgL_runz00_17653;
								BgL_recz00_6684:
									{	/* Eval/evaluate_comp.scm 740 */
										obj_t BgL_rz00_6686;

										BgL_rz00_6686 =
											PROCEDURE_ENTRY(BgL_fz00_6685) (BgL_fz00_6685,
											BgL_nsz00_17654, BEOA);
										{	/* Eval/evaluate_comp.scm 740 */
											bool_t BgL_testz00_18544;

											if (PROCEDUREP(BgL_rz00_6686))
												{	/* Eval/evaluate_comp.scm 740 */
													obj_t BgL_arg1890z00_6691;

													BgL_arg1890z00_6691 = PROCEDURE_ATTR(BgL_rz00_6686);
													if (STRUCTP(BgL_arg1890z00_6691))
														{	/* Eval/evaluate_comp.scm 740 */
															BgL_testz00_18544 =
																(STRUCT_KEY(BgL_arg1890z00_6691) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 740 */
															BgL_testz00_18544 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													BgL_testz00_18544 = ((bool_t) 0);
												}
											if (BgL_testz00_18544)
												{
													obj_t BgL_fz00_18552;

													BgL_fz00_18552 = BgL_rz00_6686;
													BgL_fz00_6685 = BgL_fz00_18552;
													goto BgL_recz00_6684;
												}
											else
												{	/* Eval/evaluate_comp.scm 740 */
													VECTOR_SET(BgL_nsz00_17654,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6678);
													BgL_val1149z00_1377 = BgL_rz00_6686;
							}}}}}
							POP_EXIT();
							return BgL_val1149z00_1377;
						}
					}
				}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_136,
		BgL_ev_exprz00_bglt BgL_vfunz00_137, obj_t BgL_symbzd2funzd2_138,
		obj_t BgL_funz00_139, obj_t BgL_tailzf3zf3_140, obj_t BgL_stkz00_141,
		long BgL_siza7eza7_142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1385;

				BgL_cfunz00_1385 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_137,
					((long) 0), BgL_locz00_136, BgL_symbzd2funzd2_138);
				if (CBOOL(BgL_cfunz00_1385))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32040ze3z83_15643;

						BgL_zc3anonymousza32040ze3z83_15643 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15643,
							(int) (((long) 0)), BINT(BgL_siza7eza7_142));
						PROCEDURE_SET(BgL_zc3anonymousza32040ze3z83_15643,
							(int) (((long) 1)), BgL_cfunz00_1385);
						return BgL_zc3anonymousza32040ze3z83_15643;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_140))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32041ze3z83_15644;

								BgL_zc3anonymousza32041ze3z83_15644 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15644,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15644,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15644,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32041ze3z83_15644,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32041ze3z83_15644;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32061ze3z83_15645;

								BgL_zc3anonymousza32061ze3z83_15645 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32061ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15645,
									(int) (((long) 0)), BgL_funz00_139);
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15645,
									(int) (((long) 1)), BgL_locz00_136);
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15645,
									(int) (((long) 2)), BgL_symbzd2funzd2_138);
								PROCEDURE_SET(BgL_zc3anonymousza32061ze3z83_15645,
									(int) (((long) 3)), BINT(BgL_siza7eza7_142));
								return BgL_zc3anonymousza32061ze3z83_15645;
							}
					}
			}
		}
	}



/* &<anonymous:2040> */
	obj_t BGl_z62zc3anonymousza32040ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15646, obj_t BgL_sz00_15649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				long BgL_siza7eza7_15647;
				obj_t BgL_cfunz00_15648;

				BgL_siza7eza7_15647 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15646, (int) (((long) 0))));
				BgL_cfunz00_15648 = PROCEDURE_REF(BgL_envz00_15646, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1386;

					BgL_sz00_1386 = BgL_sz00_15649;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1388;

						BgL_bpz00_1388 = VECTOR_REF(BgL_sz00_1386, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */

							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1389;

								BgL_nbpz00_1389 =
									((long) CINT(BgL_bpz00_1388) + BgL_siza7eza7_15647);
								VECTOR_SET(BgL_sz00_1386,
									(int) (((long) 0)), BINT(BgL_nbpz00_1389));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1390;

									BgL_rz00_1390 =
										PROCEDURE_ENTRY(BgL_cfunz00_15648) (BgL_cfunz00_15648,
										BEOA);
									VECTOR_SET(BgL_sz00_1386, (int) (((long) 0)), BgL_bpz00_1388);
									return BgL_rz00_1390;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2041> */
	obj_t BGl_z62zc3anonymousza32041ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15650, obj_t BgL_sz00_15655)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15651;
				obj_t BgL_locz00_15652;
				obj_t BgL_symbzd2funzd2_15653;
				long BgL_siza7eza7_15654;

				BgL_funz00_15651 = PROCEDURE_REF(BgL_envz00_15650, (int) (((long) 0)));
				BgL_locz00_15652 = PROCEDURE_REF(BgL_envz00_15650, (int) (((long) 1)));
				BgL_symbzd2funzd2_15653 =
					PROCEDURE_REF(BgL_envz00_15650, (int) (((long) 2)));
				BgL_siza7eza7_15654 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15650, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1391;

					BgL_sz00_1391 = BgL_sz00_15655;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1393;

						BgL_bpz00_1393 = VECTOR_REF(BgL_sz00_1391, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1394;

							BgL_fz00_1394 =
								PROCEDURE_ENTRY(BgL_funz00_15651) (BgL_funz00_15651,
								BgL_sz00_1391, BEOA);
							if (PROCEDUREP(BgL_fz00_1394))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15652,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1394);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1396;

								BgL_ufz00_1396 = PROCEDURE_ATTR(BgL_fz00_1394);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18629;

									if (STRUCTP(BgL_ufz00_1396))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18629 =
												(STRUCT_KEY(BgL_ufz00_1396) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18629 = ((bool_t) 0);
										}
									if (BgL_testz00_18629)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1398;
											obj_t BgL_runz00_1399;
											obj_t BgL_sfz00_1400;

											BgL_arityz00_1398 =
												STRUCT_REF(BgL_ufz00_1396, (int) (((long) 0)));
											BgL_runz00_1399 =
												STRUCT_REF(BgL_ufz00_1396, (int) (((long) 1)));
											BgL_sfz00_1400 =
												STRUCT_REF(BgL_ufz00_1396, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1398) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 842 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1398))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1398))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2046z00_1406;

																		BgL_arg2046z00_1406 =
																			(
																			(long) CINT(BgL_bpz00_1393) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1391,
																			(int) (BgL_arg2046z00_1406), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15652,
																		STRUCT_REF(BgL_ufz00_1396,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1398));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15652, STRUCT_REF(BgL_ufz00_1396,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1398));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_18661;

												BgL_auxz00_18661 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18661,
													BgL_locz00_15652);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_18664;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1899z00_6769;

													BgL_arg1899z00_6769 = VECTOR_LENGTH(BgL_sz00_1391);
													BgL_testz00_18664 =
														(
														((long) CINT(BgL_bpz00_1393) +
															(long) CINT(BgL_sfz00_1400)) <
														(long) (BgL_arg1899z00_6769));
												}
												if (BgL_testz00_18664)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1399;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1412;

														BgL_nsz00_1412 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2052z00_1414;

															BgL_arg2052z00_1414 =
																((long) CINT(BgL_bpz00_1393) + ((long) 0));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1412, BINT(((long) 2)),
																BgL_sz00_1391, BgL_bpz00_1393,
																BINT(BgL_arg2052z00_1414));
														}
														VECTOR_SET(BgL_nsz00_1412,
															(int) (((long) 1)), BgL_sz00_1391);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_18679;

															BgL_auxz00_18679 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_18679,
																BgL_nsz00_1412);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1167z00_1416;

															BgL_val1167z00_1416 =
																BGl_zc3exitza32058ze3z83zz__evaluate_compz00
																(BgL_nsz00_1412, BgL_runz00_1399);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_18683;

																BgL_auxz00_18683 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18683,
																	BgL_sz00_1391);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1167z00_1416)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1167z00_1416),
																		CDR(BgL_val1167z00_1416));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1167z00_1416;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1394,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1425;

													BgL_nbpz00_1425 =
														((long) CINT(BgL_bpz00_1393) + BgL_siza7eza7_15654);
													VECTOR_SET(BgL_sz00_1391,
														(int) (((long) 0)), BINT(BgL_nbpz00_1425));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1426;

														BgL_rz00_1426 =
															PROCEDURE_ENTRY(BgL_fz00_1394) (BgL_fz00_1394,
															BEOA);
														VECTOR_SET(BgL_sz00_1391, (int) (((long) 0)),
															BgL_bpz00_1393);
														return BgL_rz00_1426;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15652, BgL_symbzd2funzd2_15653,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1394));
		}}}}}}}}}
	}



/* <exit:2058> */
	obj_t BGl_zc3exitza32058ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17652,
		obj_t BgL_runz00_17651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1168z00_1422;

			if (SET_EXIT(BgL_an_exit1168z00_1422))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1168z00_1422 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1168z00_1422, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1169z00_1423;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_6788;

								BgL_savedzd2bpzd2_6788 =
									VECTOR_REF(BgL_nsz00_17652, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17652,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6795;

									BgL_fz00_6795 = BgL_runz00_17651;
								BgL_recz00_6794:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_6796;

										BgL_rz00_6796 =
											PROCEDURE_ENTRY(BgL_fz00_6795) (BgL_fz00_6795,
											BgL_nsz00_17652, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_18720;

											if (PROCEDUREP(BgL_rz00_6796))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_6801;

													BgL_arg1890z00_6801 = PROCEDURE_ATTR(BgL_rz00_6796);
													if (STRUCTP(BgL_arg1890z00_6801))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18720 =
																(STRUCT_KEY(BgL_arg1890z00_6801) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18720 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_18720 = ((bool_t) 0);
												}
											if (BgL_testz00_18720)
												{
													obj_t BgL_fz00_18728;

													BgL_fz00_18728 = BgL_rz00_6796;
													BgL_fz00_6795 = BgL_fz00_18728;
													goto BgL_recz00_6794;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17652,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6788);
													BgL_val1169z00_1423 = BgL_rz00_6796;
							}}}}}
							POP_EXIT();
							return BgL_val1169z00_1423;
						}
					}
				}
		}
	}



/* &<anonymous:2061> */
	obj_t BGl_z62zc3anonymousza32061ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15656, obj_t BgL_sz00_15661)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15657;
				obj_t BgL_locz00_15658;
				obj_t BgL_symbzd2funzd2_15659;
				long BgL_siza7eza7_15660;

				BgL_funz00_15657 = PROCEDURE_REF(BgL_envz00_15656, (int) (((long) 0)));
				BgL_locz00_15658 = PROCEDURE_REF(BgL_envz00_15656, (int) (((long) 1)));
				BgL_symbzd2funzd2_15659 =
					PROCEDURE_REF(BgL_envz00_15656, (int) (((long) 2)));
				BgL_siza7eza7_15660 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15656, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1428;

					BgL_sz00_1428 = BgL_sz00_15661;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1430;

						BgL_bpz00_1430 = VECTOR_REF(BgL_sz00_1428, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1431;

							BgL_fz00_1431 =
								PROCEDURE_ENTRY(BgL_funz00_15657) (BgL_funz00_15657,
								BgL_sz00_1428, BEOA);
							if (PROCEDUREP(BgL_fz00_1431))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15658,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1431);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1433;

								BgL_ufz00_1433 = PROCEDURE_ATTR(BgL_fz00_1431);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18751;

									if (STRUCTP(BgL_ufz00_1433))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18751 =
												(STRUCT_KEY(BgL_ufz00_1433) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18751 = ((bool_t) 0);
										}
									if (BgL_testz00_18751)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1435;
											obj_t BgL_runz00_1436;
											obj_t BgL_sfz00_1437;

											BgL_arityz00_1435 =
												STRUCT_REF(BgL_ufz00_1433, (int) (((long) 0)));
											BgL_runz00_1436 =
												STRUCT_REF(BgL_ufz00_1433, (int) (((long) 1)));
											BgL_sfz00_1437 =
												STRUCT_REF(BgL_ufz00_1433, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1438;

												BgL_spz00_1438 =
													((long) CINT(BgL_bpz00_1430) + BgL_siza7eza7_15660);
												if (((long) CINT(BgL_arityz00_1435) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 842 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1435))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1435))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2066z00_1443;

																			BgL_arg2066z00_1443 =
																				(BgL_spz00_1438 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1428,
																				(int) (BgL_arg2066z00_1443), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15658,
																			STRUCT_REF(BgL_ufz00_1433,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1435));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15658, STRUCT_REF(BgL_ufz00_1433,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1435));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_18784;

													BgL_auxz00_18784 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18784,
														BgL_locz00_15658);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_18787;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1899z00_6877;

														BgL_arg1899z00_6877 = VECTOR_LENGTH(BgL_sz00_1428);
														BgL_testz00_18787 =
															(
															(BgL_spz00_1438 +
																(long) CINT(BgL_sfz00_1437)) <
															(long) (BgL_arg1899z00_6877));
													}
													if (BgL_testz00_18787)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1436, BgL_sz00_1428,
																BINT(BgL_spz00_1438));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1449;

															BgL_nsz00_1449 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2071z00_1451;

																BgL_arg2071z00_1451 =
																	(BgL_spz00_1438 + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1449, BINT(((long) 2)),
																	BgL_sz00_1428, BINT(BgL_spz00_1438),
																	BINT(BgL_arg2071z00_1451));
															}
															VECTOR_SET(BgL_nsz00_1449,
																(int) (((long) 1)), BgL_sz00_1428);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_18803;

																BgL_auxz00_18803 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_18803,
																	BgL_nsz00_1449);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1172z00_1453;

																BgL_val1172z00_1453 =
																	BGl_zc3exitza32077ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1449, BgL_runz00_1436);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_18807;

																	BgL_auxz00_18807 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_18807,
																		BgL_sz00_1428);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1172z00_1453)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1172z00_1453),
																			CDR(BgL_val1172z00_1453));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1172z00_1453;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1431,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1462;

													BgL_nbpz00_1462 =
														((long) CINT(BgL_bpz00_1430) + BgL_siza7eza7_15660);
													VECTOR_SET(BgL_sz00_1428,
														(int) (((long) 0)), BINT(BgL_nbpz00_1462));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1463;

														BgL_rz00_1463 =
															PROCEDURE_ENTRY(BgL_fz00_1431) (BgL_fz00_1431,
															BEOA);
														VECTOR_SET(BgL_sz00_1428, (int) (((long) 0)),
															BgL_bpz00_1430);
														return BgL_rz00_1463;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15658, BgL_symbzd2funzd2_15659,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1431));
		}}}}}}}}}
	}



/* <exit:2077> */
	obj_t BGl_zc3exitza32077ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17650,
		obj_t BgL_runz00_17649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1173z00_1459;

			if (SET_EXIT(BgL_an_exit1173z00_1459))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1173z00_1459 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1173z00_1459, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1174z00_1460;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_6895;

								BgL_savedzd2bpzd2_6895 =
									VECTOR_REF(BgL_nsz00_17650, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17650,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_6902;

									BgL_fz00_6902 = BgL_runz00_17649;
								BgL_recz00_6901:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_6903;

										BgL_rz00_6903 =
											PROCEDURE_ENTRY(BgL_fz00_6902) (BgL_fz00_6902,
											BgL_nsz00_17650, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_18844;

											if (PROCEDUREP(BgL_rz00_6903))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_6908;

													BgL_arg1890z00_6908 = PROCEDURE_ATTR(BgL_rz00_6903);
													if (STRUCTP(BgL_arg1890z00_6908))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18844 =
																(STRUCT_KEY(BgL_arg1890z00_6908) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_18844 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_18844 = ((bool_t) 0);
												}
											if (BgL_testz00_18844)
												{
													obj_t BgL_fz00_18852;

													BgL_fz00_18852 = BgL_rz00_6903;
													BgL_fz00_6902 = BgL_fz00_18852;
													goto BgL_recz00_6901;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17650,
														(int) (((long) 0)), BgL_savedzd2bpzd2_6895);
													BgL_val1174z00_1460 = BgL_rz00_6903;
							}}}}}
							POP_EXIT();
							return BgL_val1174z00_1460;
						}
					}
				}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_143,
		BgL_ev_exprz00_bglt BgL_vfunz00_144, obj_t BgL_symbzd2funzd2_145,
		obj_t BgL_funz00_146, obj_t BgL_tailzf3zf3_147, obj_t BgL_stkz00_148,
		long BgL_siza7eza7_149, obj_t BgL_a1z00_150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1465;

				BgL_cfunz00_1465 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_144,
					((long) 1), BgL_locz00_143, BgL_symbzd2funzd2_145);
				if (CBOOL(BgL_cfunz00_1465))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32080ze3z83_15662;

						BgL_zc3anonymousza32080ze3z83_15662 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_15662,
							(int) (((long) 0)), BgL_a1z00_150);
						PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_15662,
							(int) (((long) 1)), BINT(BgL_siza7eza7_149));
						PROCEDURE_SET(BgL_zc3anonymousza32080ze3z83_15662,
							(int) (((long) 2)), BgL_cfunz00_1465);
						return BgL_zc3anonymousza32080ze3z83_15662;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_147))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32081ze3z83_15663;

								BgL_zc3anonymousza32081ze3z83_15663 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15663,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15663,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15663,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15663,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32081ze3z83_15663,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32081ze3z83_15663;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32106ze3z83_15664;

								BgL_zc3anonymousza32106ze3z83_15664 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32106ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15664,
									(int) (((long) 0)), BgL_funz00_146);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15664,
									(int) (((long) 1)), BgL_a1z00_150);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15664,
									(int) (((long) 2)), BgL_locz00_143);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15664,
									(int) (((long) 3)), BgL_symbzd2funzd2_145);
								PROCEDURE_SET(BgL_zc3anonymousza32106ze3z83_15664,
									(int) (((long) 4)), BINT(BgL_siza7eza7_149));
								return BgL_zc3anonymousza32106ze3z83_15664;
							}
					}
			}
		}
	}



/* &<anonymous:2080> */
	obj_t BGl_z62zc3anonymousza32080ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15665, obj_t BgL_sz00_15669)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15666;
				long BgL_siza7eza7_15667;
				obj_t BgL_cfunz00_15668;

				BgL_a1z00_15666 = PROCEDURE_REF(BgL_envz00_15665, (int) (((long) 0)));
				BgL_siza7eza7_15667 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15665, (int) (((long) 1))));
				BgL_cfunz00_15668 = PROCEDURE_REF(BgL_envz00_15665, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1466;

					BgL_sz00_1466 = BgL_sz00_15669;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1468;

						BgL_bpz00_1468 = VECTOR_REF(BgL_sz00_1466, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1469;

							BgL_a1z00_1469 =
								PROCEDURE_ENTRY(BgL_a1z00_15666) (BgL_a1z00_15666,
								BgL_sz00_1466, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1470;

								BgL_nbpz00_1470 =
									((long) CINT(BgL_bpz00_1468) + BgL_siza7eza7_15667);
								VECTOR_SET(BgL_sz00_1466,
									(int) (((long) 0)), BINT(BgL_nbpz00_1470));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1471;

									BgL_rz00_1471 =
										PROCEDURE_ENTRY(BgL_cfunz00_15668) (BgL_cfunz00_15668,
										BgL_a1z00_1469, BEOA);
									VECTOR_SET(BgL_sz00_1466, (int) (((long) 0)), BgL_bpz00_1468);
									return BgL_rz00_1471;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2081> */
	obj_t BGl_z62zc3anonymousza32081ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15670, obj_t BgL_sz00_15676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15671;
				obj_t BgL_a1z00_15672;
				obj_t BgL_locz00_15673;
				obj_t BgL_symbzd2funzd2_15674;
				long BgL_siza7eza7_15675;

				BgL_funz00_15671 = PROCEDURE_REF(BgL_envz00_15670, (int) (((long) 0)));
				BgL_a1z00_15672 = PROCEDURE_REF(BgL_envz00_15670, (int) (((long) 1)));
				BgL_locz00_15673 = PROCEDURE_REF(BgL_envz00_15670, (int) (((long) 2)));
				BgL_symbzd2funzd2_15674 =
					PROCEDURE_REF(BgL_envz00_15670, (int) (((long) 3)));
				BgL_siza7eza7_15675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15670, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1472;

					BgL_sz00_1472 = BgL_sz00_15676;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1474;

						BgL_bpz00_1474 = VECTOR_REF(BgL_sz00_1472, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1475;
							obj_t BgL_a1z00_1476;

							BgL_fz00_1475 =
								PROCEDURE_ENTRY(BgL_funz00_15671) (BgL_funz00_15671,
								BgL_sz00_1472, BEOA);
							BgL_a1z00_1476 =
								PROCEDURE_ENTRY(BgL_a1z00_15672) (BgL_a1z00_15672,
								BgL_sz00_1472, BEOA);
							if (PROCEDUREP(BgL_fz00_1475))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15673,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1475);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1478;

								BgL_ufz00_1478 = PROCEDURE_ATTR(BgL_fz00_1475);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_18948;

									if (STRUCTP(BgL_ufz00_1478))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18948 =
												(STRUCT_KEY(BgL_ufz00_1478) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_18948 = ((bool_t) 0);
										}
									if (BgL_testz00_18948)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1480;
											obj_t BgL_runz00_1481;
											obj_t BgL_sfz00_1482;

											BgL_arityz00_1480 =
												STRUCT_REF(BgL_ufz00_1478, (int) (((long) 0)));
											BgL_runz00_1481 =
												STRUCT_REF(BgL_ufz00_1478, (int) (((long) 1)));
											BgL_sfz00_1482 =
												STRUCT_REF(BgL_ufz00_1478, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1480) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_arg2085z00_1485;

													BgL_arg2085z00_1485 =
														((long) CINT(BgL_bpz00_1474) + ((long) 0));
													VECTOR_SET(BgL_sz00_1472,
														(int) (BgL_arg2085z00_1485), BgL_a1z00_1476);
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1480))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1480))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2087z00_1489;
																		obj_t BgL_arg2088z00_1490;

																		BgL_arg2087z00_1489 =
																			(
																			(long) CINT(BgL_bpz00_1474) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2089z00_1491;

																			BgL_list2089z00_1491 =
																				MAKE_PAIR(BgL_a1z00_1476, BNIL);
																			BgL_arg2088z00_1490 =
																				BgL_list2089z00_1491;
																		}
																		VECTOR_SET(BgL_sz00_1472,
																			(int) (BgL_arg2087z00_1489),
																			BgL_arg2088z00_1490);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2090z00_1492;

																		BgL_arg2090z00_1492 =
																			(
																			(long) CINT(BgL_bpz00_1474) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1472,
																			(int) (BgL_arg2090z00_1492),
																			BgL_a1z00_1476);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2091z00_1493;

																		BgL_arg2091z00_1493 =
																			(
																			(long) CINT(BgL_bpz00_1474) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1472,
																			(int) (BgL_arg2091z00_1493), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15673,
																		STRUCT_REF(BgL_ufz00_1478,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1480));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15673, STRUCT_REF(BgL_ufz00_1478,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1480));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_18993;

												BgL_auxz00_18993 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_18993,
													BgL_locz00_15673);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_18996;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1899z00_7015;

													BgL_arg1899z00_7015 = VECTOR_LENGTH(BgL_sz00_1472);
													BgL_testz00_18996 =
														(
														((long) CINT(BgL_bpz00_1474) +
															(long) CINT(BgL_sfz00_1482)) <
														(long) (BgL_arg1899z00_7015));
												}
												if (BgL_testz00_18996)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1481;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1499;

														BgL_nsz00_1499 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2097z00_1501;

															BgL_arg2097z00_1501 =
																((long) CINT(BgL_bpz00_1474) + ((long) 1));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1499, BINT(((long) 2)),
																BgL_sz00_1472, BgL_bpz00_1474,
																BINT(BgL_arg2097z00_1501));
														}
														VECTOR_SET(BgL_nsz00_1499,
															(int) (((long) 1)), BgL_sz00_1472);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19011;

															BgL_auxz00_19011 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19011,
																BgL_nsz00_1499);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1177z00_1503;

															BgL_val1177z00_1503 =
																BGl_zc3exitza32103ze3z83zz__evaluate_compz00
																(BgL_nsz00_1499, BgL_runz00_1481);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19015;

																BgL_auxz00_19015 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19015,
																	BgL_sz00_1472);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1177z00_1503)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1177z00_1503),
																		CDR(BgL_val1177z00_1503));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1177z00_1503;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1475,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1512;

													BgL_nbpz00_1512 =
														((long) CINT(BgL_bpz00_1474) + BgL_siza7eza7_15675);
													VECTOR_SET(BgL_sz00_1472,
														(int) (((long) 0)), BINT(BgL_nbpz00_1512));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1513;

														BgL_rz00_1513 =
															PROCEDURE_ENTRY(BgL_fz00_1475) (BgL_fz00_1475,
															BgL_a1z00_1476, BEOA);
														VECTOR_SET(BgL_sz00_1472, (int) (((long) 0)),
															BgL_bpz00_1474);
														return BgL_rz00_1513;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15673, BgL_symbzd2funzd2_15674,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1475));
		}}}}}}}}}
	}



/* <exit:2103> */
	obj_t BGl_zc3exitza32103ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17648,
		obj_t BgL_runz00_17647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1178z00_1509;

			if (SET_EXIT(BgL_an_exit1178z00_1509))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1178z00_1509 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1178z00_1509, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1179z00_1510;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7034;

								BgL_savedzd2bpzd2_7034 =
									VECTOR_REF(BgL_nsz00_17648, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17648,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7041;

									BgL_fz00_7041 = BgL_runz00_17647;
								BgL_recz00_7040:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7042;

										BgL_rz00_7042 =
											PROCEDURE_ENTRY(BgL_fz00_7041) (BgL_fz00_7041,
											BgL_nsz00_17648, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19053;

											if (PROCEDUREP(BgL_rz00_7042))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_7047;

													BgL_arg1890z00_7047 = PROCEDURE_ATTR(BgL_rz00_7042);
													if (STRUCTP(BgL_arg1890z00_7047))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19053 =
																(STRUCT_KEY(BgL_arg1890z00_7047) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19053 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19053 = ((bool_t) 0);
												}
											if (BgL_testz00_19053)
												{
													obj_t BgL_fz00_19061;

													BgL_fz00_19061 = BgL_rz00_7042;
													BgL_fz00_7041 = BgL_fz00_19061;
													goto BgL_recz00_7040;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17648,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7034);
													BgL_val1179z00_1510 = BgL_rz00_7042;
							}}}}}
							POP_EXIT();
							return BgL_val1179z00_1510;
						}
					}
				}
		}
	}



/* &<anonymous:2106> */
	obj_t BGl_z62zc3anonymousza32106ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15677, obj_t BgL_sz00_15683)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15678;
				obj_t BgL_a1z00_15679;
				obj_t BgL_locz00_15680;
				obj_t BgL_symbzd2funzd2_15681;
				long BgL_siza7eza7_15682;

				BgL_funz00_15678 = PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 0)));
				BgL_a1z00_15679 = PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 1)));
				BgL_locz00_15680 = PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 2)));
				BgL_symbzd2funzd2_15681 =
					PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 3)));
				BgL_siza7eza7_15682 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15677, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1515;

					BgL_sz00_1515 = BgL_sz00_15683;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1517;

						BgL_bpz00_1517 = VECTOR_REF(BgL_sz00_1515, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1518;
							obj_t BgL_a1z00_1519;

							BgL_fz00_1518 =
								PROCEDURE_ENTRY(BgL_funz00_15678) (BgL_funz00_15678,
								BgL_sz00_1515, BEOA);
							BgL_a1z00_1519 =
								PROCEDURE_ENTRY(BgL_a1z00_15679) (BgL_a1z00_15679,
								BgL_sz00_1515, BEOA);
							if (PROCEDUREP(BgL_fz00_1518))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15680,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1518);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1521;

								BgL_ufz00_1521 = PROCEDURE_ATTR(BgL_fz00_1518);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19090;

									if (STRUCTP(BgL_ufz00_1521))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19090 =
												(STRUCT_KEY(BgL_ufz00_1521) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19090 = ((bool_t) 0);
										}
									if (BgL_testz00_19090)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1523;
											obj_t BgL_runz00_1524;
											obj_t BgL_sfz00_1525;

											BgL_arityz00_1523 =
												STRUCT_REF(BgL_ufz00_1521, (int) (((long) 0)));
											BgL_runz00_1524 =
												STRUCT_REF(BgL_ufz00_1521, (int) (((long) 1)));
											BgL_sfz00_1525 =
												STRUCT_REF(BgL_ufz00_1521, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1526;

												BgL_spz00_1526 =
													((long) CINT(BgL_bpz00_1517) + BgL_siza7eza7_15682);
												if (((long) CINT(BgL_arityz00_1523) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2110z00_1528;

														BgL_arg2110z00_1528 = (BgL_spz00_1526 + ((long) 0));
														VECTOR_SET(BgL_sz00_1515,
															(int) (BgL_arg2110z00_1528), BgL_a1z00_1519);
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1523))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1523))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2113z00_1532;
																			obj_t BgL_arg2114z00_1533;

																			BgL_arg2113z00_1532 =
																				(BgL_spz00_1526 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2115z00_1534;

																				BgL_list2115z00_1534 =
																					MAKE_PAIR(BgL_a1z00_1519, BNIL);
																				BgL_arg2114z00_1533 =
																					BgL_list2115z00_1534;
																			}
																			VECTOR_SET(BgL_sz00_1515,
																				(int) (BgL_arg2113z00_1532),
																				BgL_arg2114z00_1533);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2116z00_1535;

																			BgL_arg2116z00_1535 =
																				(BgL_spz00_1526 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1515,
																				(int) (BgL_arg2116z00_1535),
																				BgL_a1z00_1519);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2117z00_1536;

																			BgL_arg2117z00_1536 =
																				(BgL_spz00_1526 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1515,
																				(int) (BgL_arg2117z00_1536), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15680,
																			STRUCT_REF(BgL_ufz00_1521,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1523));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15680, STRUCT_REF(BgL_ufz00_1521,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1523));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_19133;

													BgL_auxz00_19133 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19133,
														BgL_locz00_15680);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_19136;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1899z00_7143;

														BgL_arg1899z00_7143 = VECTOR_LENGTH(BgL_sz00_1515);
														BgL_testz00_19136 =
															(
															(BgL_spz00_1526 +
																(long) CINT(BgL_sfz00_1525)) <
															(long) (BgL_arg1899z00_7143));
													}
													if (BgL_testz00_19136)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1524, BgL_sz00_1515,
																BINT(BgL_spz00_1526));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1542;

															BgL_nsz00_1542 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2124z00_1544;

																BgL_arg2124z00_1544 =
																	(BgL_spz00_1526 + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1542, BINT(((long) 2)),
																	BgL_sz00_1515, BINT(BgL_spz00_1526),
																	BINT(BgL_arg2124z00_1544));
															}
															VECTOR_SET(BgL_nsz00_1542,
																(int) (((long) 1)), BgL_sz00_1515);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19152;

																BgL_auxz00_19152 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19152,
																	BgL_nsz00_1542);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1182z00_1546;

																BgL_val1182z00_1546 =
																	BGl_zc3exitza32131ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1542, BgL_runz00_1524);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_19156;

																	BgL_auxz00_19156 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19156,
																		BgL_sz00_1515);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1182z00_1546)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1182z00_1546),
																			CDR(BgL_val1182z00_1546));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1182z00_1546;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1518,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1555;

													BgL_nbpz00_1555 =
														((long) CINT(BgL_bpz00_1517) + BgL_siza7eza7_15682);
													VECTOR_SET(BgL_sz00_1515,
														(int) (((long) 0)), BINT(BgL_nbpz00_1555));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1556;

														BgL_rz00_1556 =
															PROCEDURE_ENTRY(BgL_fz00_1518) (BgL_fz00_1518,
															BgL_a1z00_1519, BEOA);
														VECTOR_SET(BgL_sz00_1515, (int) (((long) 0)),
															BgL_bpz00_1517);
														return BgL_rz00_1556;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15680, BgL_symbzd2funzd2_15681,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1518));
		}}}}}}}}}
	}



/* <exit:2131> */
	obj_t BGl_zc3exitza32131ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17646,
		obj_t BgL_runz00_17645)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1183z00_1552;

			if (SET_EXIT(BgL_an_exit1183z00_1552))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1183z00_1552 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1183z00_1552, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1184z00_1553;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7161;

								BgL_savedzd2bpzd2_7161 =
									VECTOR_REF(BgL_nsz00_17646, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17646,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7168;

									BgL_fz00_7168 = BgL_runz00_17645;
								BgL_recz00_7167:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7169;

										BgL_rz00_7169 =
											PROCEDURE_ENTRY(BgL_fz00_7168) (BgL_fz00_7168,
											BgL_nsz00_17646, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19194;

											if (PROCEDUREP(BgL_rz00_7169))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_7174;

													BgL_arg1890z00_7174 = PROCEDURE_ATTR(BgL_rz00_7169);
													if (STRUCTP(BgL_arg1890z00_7174))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19194 =
																(STRUCT_KEY(BgL_arg1890z00_7174) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19194 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19194 = ((bool_t) 0);
												}
											if (BgL_testz00_19194)
												{
													obj_t BgL_fz00_19202;

													BgL_fz00_19202 = BgL_rz00_7169;
													BgL_fz00_7168 = BgL_fz00_19202;
													goto BgL_recz00_7167;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17646,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7161);
													BgL_val1184z00_1553 = BgL_rz00_7169;
							}}}}}
							POP_EXIT();
							return BgL_val1184z00_1553;
						}
					}
				}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_151,
		BgL_ev_exprz00_bglt BgL_vfunz00_152, obj_t BgL_symbzd2funzd2_153,
		obj_t BgL_funz00_154, obj_t BgL_tailzf3zf3_155, obj_t BgL_stkz00_156,
		long BgL_siza7eza7_157, obj_t BgL_a1z00_158, obj_t BgL_a2z00_159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1558;

				BgL_cfunz00_1558 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_152,
					((long) 2), BgL_locz00_151, BgL_symbzd2funzd2_153);
				if (CBOOL(BgL_cfunz00_1558))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32134ze3z83_15684;

						BgL_zc3anonymousza32134ze3z83_15684 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32134ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15684,
							(int) (((long) 0)), BgL_a1z00_158);
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15684,
							(int) (((long) 1)), BgL_a2z00_159);
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15684,
							(int) (((long) 2)), BINT(BgL_siza7eza7_157));
						PROCEDURE_SET(BgL_zc3anonymousza32134ze3z83_15684,
							(int) (((long) 3)), BgL_cfunz00_1558);
						return BgL_zc3anonymousza32134ze3z83_15684;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_155))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32135ze3z83_15685;

								BgL_zc3anonymousza32135ze3z83_15685 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32135ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15685,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15685,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15685,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15685,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15685,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32135ze3z83_15685,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32135ze3z83_15685;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32169ze3z83_15686;

								BgL_zc3anonymousza32169ze3z83_15686 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32169ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_15686,
									(int) (((long) 0)), BgL_funz00_154);
								PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_15686,
									(int) (((long) 1)), BgL_a1z00_158);
								PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_15686,
									(int) (((long) 2)), BgL_a2z00_159);
								PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_15686,
									(int) (((long) 3)), BgL_locz00_151);
								PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_15686,
									(int) (((long) 4)), BgL_symbzd2funzd2_153);
								PROCEDURE_SET(BgL_zc3anonymousza32169ze3z83_15686,
									(int) (((long) 5)), BINT(BgL_siza7eza7_157));
								return BgL_zc3anonymousza32169ze3z83_15686;
							}
					}
			}
		}
	}



/* &<anonymous:2134> */
	obj_t BGl_z62zc3anonymousza32134ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15687, obj_t BgL_sz00_15692)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15688;
				obj_t BgL_a2z00_15689;
				long BgL_siza7eza7_15690;
				obj_t BgL_cfunz00_15691;

				BgL_a1z00_15688 = PROCEDURE_REF(BgL_envz00_15687, (int) (((long) 0)));
				BgL_a2z00_15689 = PROCEDURE_REF(BgL_envz00_15687, (int) (((long) 1)));
				BgL_siza7eza7_15690 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15687, (int) (((long) 2))));
				BgL_cfunz00_15691 = PROCEDURE_REF(BgL_envz00_15687, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1559;

					BgL_sz00_1559 = BgL_sz00_15692;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1561;

						BgL_bpz00_1561 = VECTOR_REF(BgL_sz00_1559, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1562;
							obj_t BgL_a2z00_1563;

							BgL_a1z00_1562 =
								PROCEDURE_ENTRY(BgL_a1z00_15688) (BgL_a1z00_15688,
								BgL_sz00_1559, BEOA);
							BgL_a2z00_1563 =
								PROCEDURE_ENTRY(BgL_a2z00_15689) (BgL_a2z00_15689,
								BgL_sz00_1559, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1564;

								BgL_nbpz00_1564 =
									((long) CINT(BgL_bpz00_1561) + BgL_siza7eza7_15690);
								VECTOR_SET(BgL_sz00_1559,
									(int) (((long) 0)), BINT(BgL_nbpz00_1564));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1565;

									BgL_rz00_1565 =
										PROCEDURE_ENTRY(BgL_cfunz00_15691) (BgL_cfunz00_15691,
										BgL_a1z00_1562, BgL_a2z00_1563, BEOA);
									VECTOR_SET(BgL_sz00_1559, (int) (((long) 0)), BgL_bpz00_1561);
									return BgL_rz00_1565;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2135> */
	obj_t BGl_z62zc3anonymousza32135ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15693, obj_t BgL_sz00_15700)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15694;
				obj_t BgL_a1z00_15695;
				obj_t BgL_a2z00_15696;
				obj_t BgL_locz00_15697;
				obj_t BgL_symbzd2funzd2_15698;
				long BgL_siza7eza7_15699;

				BgL_funz00_15694 = PROCEDURE_REF(BgL_envz00_15693, (int) (((long) 0)));
				BgL_a1z00_15695 = PROCEDURE_REF(BgL_envz00_15693, (int) (((long) 1)));
				BgL_a2z00_15696 = PROCEDURE_REF(BgL_envz00_15693, (int) (((long) 2)));
				BgL_locz00_15697 = PROCEDURE_REF(BgL_envz00_15693, (int) (((long) 3)));
				BgL_symbzd2funzd2_15698 =
					PROCEDURE_REF(BgL_envz00_15693, (int) (((long) 4)));
				BgL_siza7eza7_15699 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15693, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1566;

					BgL_sz00_1566 = BgL_sz00_15700;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1568;

						BgL_bpz00_1568 = VECTOR_REF(BgL_sz00_1566, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1569;
							obj_t BgL_a1z00_1570;
							obj_t BgL_a2z00_1571;

							BgL_fz00_1569 =
								PROCEDURE_ENTRY(BgL_funz00_15694) (BgL_funz00_15694,
								BgL_sz00_1566, BEOA);
							BgL_a1z00_1570 =
								PROCEDURE_ENTRY(BgL_a1z00_15695) (BgL_a1z00_15695,
								BgL_sz00_1566, BEOA);
							BgL_a2z00_1571 =
								PROCEDURE_ENTRY(BgL_a2z00_15696) (BgL_a2z00_15696,
								BgL_sz00_1566, BEOA);
							if (PROCEDUREP(BgL_fz00_1569))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15697,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1569);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1573;

								BgL_ufz00_1573 = PROCEDURE_ATTR(BgL_fz00_1569);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19317;

									if (STRUCTP(BgL_ufz00_1573))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19317 =
												(STRUCT_KEY(BgL_ufz00_1573) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19317 = ((bool_t) 0);
										}
									if (BgL_testz00_19317)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1575;
											obj_t BgL_runz00_1576;
											obj_t BgL_sfz00_1577;

											BgL_arityz00_1575 =
												STRUCT_REF(BgL_ufz00_1573, (int) (((long) 0)));
											BgL_runz00_1576 =
												STRUCT_REF(BgL_ufz00_1573, (int) (((long) 1)));
											BgL_sfz00_1577 =
												STRUCT_REF(BgL_ufz00_1573, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1575) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2139z00_1580;

														BgL_arg2139z00_1580 =
															((long) CINT(BgL_bpz00_1568) + ((long) 0));
														VECTOR_SET(BgL_sz00_1566,
															(int) (BgL_arg2139z00_1580), BgL_a1z00_1570);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2141z00_1581;

														BgL_arg2141z00_1581 =
															((long) CINT(BgL_bpz00_1568) + ((long) 1));
														VECTOR_SET(BgL_sz00_1566,
															(int) (BgL_arg2141z00_1581), BgL_a2z00_1571);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1575))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1575))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2143z00_1585;
																		obj_t BgL_arg2145z00_1586;

																		BgL_arg2143z00_1585 =
																			(
																			(long) CINT(BgL_bpz00_1568) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2146z00_1587;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2147z00_1588;

																				BgL_arg2147z00_1588 =
																					MAKE_PAIR(BgL_a2z00_1571, BNIL);
																				BgL_list2146z00_1587 =
																					MAKE_PAIR(BgL_a1z00_1570,
																					BgL_arg2147z00_1588);
																			}
																			BgL_arg2145z00_1586 =
																				BgL_list2146z00_1587;
																		}
																		VECTOR_SET(BgL_sz00_1566,
																			(int) (BgL_arg2143z00_1585),
																			BgL_arg2145z00_1586);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2148z00_1589;

																		BgL_arg2148z00_1589 =
																			(
																			(long) CINT(BgL_bpz00_1568) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1566,
																			(int) (BgL_arg2148z00_1589),
																			BgL_a1z00_1570);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2149z00_1590;
																		obj_t BgL_arg2151z00_1591;

																		BgL_arg2149z00_1590 =
																			(
																			(long) CINT(BgL_bpz00_1568) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2152z00_1592;

																			BgL_list2152z00_1592 =
																				MAKE_PAIR(BgL_a2z00_1571, BNIL);
																			BgL_arg2151z00_1591 =
																				BgL_list2152z00_1592;
																		}
																		VECTOR_SET(BgL_sz00_1566,
																			(int) (BgL_arg2149z00_1590),
																			BgL_arg2151z00_1591);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2153z00_1593;

																		BgL_arg2153z00_1593 =
																			(
																			(long) CINT(BgL_bpz00_1568) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1566,
																			(int) (BgL_arg2153z00_1593),
																			BgL_a1z00_1570);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2154z00_1594;

																		BgL_arg2154z00_1594 =
																			(
																			(long) CINT(BgL_bpz00_1568) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1566,
																			(int) (BgL_arg2154z00_1594),
																			BgL_a2z00_1571);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2155z00_1595;

																		BgL_arg2155z00_1595 =
																			(
																			(long) CINT(BgL_bpz00_1568) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1566,
																			(int) (BgL_arg2155z00_1595), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15697,
																		STRUCT_REF(BgL_ufz00_1573,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1575));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15697, STRUCT_REF(BgL_ufz00_1573,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1575));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19380;

												BgL_auxz00_19380 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19380,
													BgL_locz00_15697);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19383;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1899z00_7307;

													BgL_arg1899z00_7307 = VECTOR_LENGTH(BgL_sz00_1566);
													BgL_testz00_19383 =
														(
														((long) CINT(BgL_bpz00_1568) +
															(long) CINT(BgL_sfz00_1577)) <
														(long) (BgL_arg1899z00_7307));
												}
												if (BgL_testz00_19383)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1576;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1601;

														BgL_nsz00_1601 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2160z00_1603;

															BgL_arg2160z00_1603 =
																((long) CINT(BgL_bpz00_1568) + ((long) 2));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1601, BINT(((long) 2)),
																BgL_sz00_1566, BgL_bpz00_1568,
																BINT(BgL_arg2160z00_1603));
														}
														VECTOR_SET(BgL_nsz00_1601,
															(int) (((long) 1)), BgL_sz00_1566);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19398;

															BgL_auxz00_19398 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19398,
																BgL_nsz00_1601);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1187z00_1605;

															BgL_val1187z00_1605 =
																BGl_zc3exitza32166ze3z83zz__evaluate_compz00
																(BgL_nsz00_1601, BgL_runz00_1576);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19402;

																BgL_auxz00_19402 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19402,
																	BgL_sz00_1566);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1187z00_1605)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1187z00_1605),
																		CDR(BgL_val1187z00_1605));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1187z00_1605;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1569,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1614;

													BgL_nbpz00_1614 =
														((long) CINT(BgL_bpz00_1568) + BgL_siza7eza7_15699);
													VECTOR_SET(BgL_sz00_1566,
														(int) (((long) 0)), BINT(BgL_nbpz00_1614));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1615;

														BgL_rz00_1615 =
															PROCEDURE_ENTRY(BgL_fz00_1569) (BgL_fz00_1569,
															BgL_a1z00_1570, BgL_a2z00_1571, BEOA);
														VECTOR_SET(BgL_sz00_1566, (int) (((long) 0)),
															BgL_bpz00_1568);
														return BgL_rz00_1615;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15697, BgL_symbzd2funzd2_15698,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1569));
		}}}}}}}}}
	}



/* <exit:2166> */
	obj_t BGl_zc3exitza32166ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17644,
		obj_t BgL_runz00_17643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1188z00_1611;

			if (SET_EXIT(BgL_an_exit1188z00_1611))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1188z00_1611 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1188z00_1611, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1189z00_1612;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7326;

								BgL_savedzd2bpzd2_7326 =
									VECTOR_REF(BgL_nsz00_17644, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17644,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7333;

									BgL_fz00_7333 = BgL_runz00_17643;
								BgL_recz00_7332:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7334;

										BgL_rz00_7334 =
											PROCEDURE_ENTRY(BgL_fz00_7333) (BgL_fz00_7333,
											BgL_nsz00_17644, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19441;

											if (PROCEDUREP(BgL_rz00_7334))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_7339;

													BgL_arg1890z00_7339 = PROCEDURE_ATTR(BgL_rz00_7334);
													if (STRUCTP(BgL_arg1890z00_7339))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19441 =
																(STRUCT_KEY(BgL_arg1890z00_7339) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19441 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19441 = ((bool_t) 0);
												}
											if (BgL_testz00_19441)
												{
													obj_t BgL_fz00_19449;

													BgL_fz00_19449 = BgL_rz00_7334;
													BgL_fz00_7333 = BgL_fz00_19449;
													goto BgL_recz00_7332;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17644,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7326);
													BgL_val1189z00_1612 = BgL_rz00_7334;
							}}}}}
							POP_EXIT();
							return BgL_val1189z00_1612;
						}
					}
				}
		}
	}



/* &<anonymous:2169> */
	obj_t BGl_z62zc3anonymousza32169ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15701, obj_t BgL_sz00_15708)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15702;
				obj_t BgL_a1z00_15703;
				obj_t BgL_a2z00_15704;
				obj_t BgL_locz00_15705;
				obj_t BgL_symbzd2funzd2_15706;
				long BgL_siza7eza7_15707;

				BgL_funz00_15702 = PROCEDURE_REF(BgL_envz00_15701, (int) (((long) 0)));
				BgL_a1z00_15703 = PROCEDURE_REF(BgL_envz00_15701, (int) (((long) 1)));
				BgL_a2z00_15704 = PROCEDURE_REF(BgL_envz00_15701, (int) (((long) 2)));
				BgL_locz00_15705 = PROCEDURE_REF(BgL_envz00_15701, (int) (((long) 3)));
				BgL_symbzd2funzd2_15706 =
					PROCEDURE_REF(BgL_envz00_15701, (int) (((long) 4)));
				BgL_siza7eza7_15707 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15701, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1617;

					BgL_sz00_1617 = BgL_sz00_15708;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1619;

						BgL_bpz00_1619 = VECTOR_REF(BgL_sz00_1617, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1620;
							obj_t BgL_a1z00_1621;
							obj_t BgL_a2z00_1622;

							BgL_fz00_1620 =
								PROCEDURE_ENTRY(BgL_funz00_15702) (BgL_funz00_15702,
								BgL_sz00_1617, BEOA);
							BgL_a1z00_1621 =
								PROCEDURE_ENTRY(BgL_a1z00_15703) (BgL_a1z00_15703,
								BgL_sz00_1617, BEOA);
							BgL_a2z00_1622 =
								PROCEDURE_ENTRY(BgL_a2z00_15704) (BgL_a2z00_15704,
								BgL_sz00_1617, BEOA);
							if (PROCEDUREP(BgL_fz00_1620))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15705,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1620);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1624;

								BgL_ufz00_1624 = PROCEDURE_ATTR(BgL_fz00_1620);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19484;

									if (STRUCTP(BgL_ufz00_1624))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19484 =
												(STRUCT_KEY(BgL_ufz00_1624) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19484 = ((bool_t) 0);
										}
									if (BgL_testz00_19484)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1626;
											obj_t BgL_runz00_1627;
											obj_t BgL_sfz00_1628;

											BgL_arityz00_1626 =
												STRUCT_REF(BgL_ufz00_1624, (int) (((long) 0)));
											BgL_runz00_1627 =
												STRUCT_REF(BgL_ufz00_1624, (int) (((long) 1)));
											BgL_sfz00_1628 =
												STRUCT_REF(BgL_ufz00_1624, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1629;

												BgL_spz00_1629 =
													((long) CINT(BgL_bpz00_1619) + BgL_siza7eza7_15707);
												if (((long) CINT(BgL_arityz00_1626) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2173z00_1631;

															BgL_arg2173z00_1631 =
																(BgL_spz00_1629 + ((long) 0));
															VECTOR_SET(BgL_sz00_1617,
																(int) (BgL_arg2173z00_1631), BgL_a1z00_1621);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2176z00_1632;

															BgL_arg2176z00_1632 =
																(BgL_spz00_1629 + ((long) 1));
															VECTOR_SET(BgL_sz00_1617,
																(int) (BgL_arg2176z00_1632), BgL_a2z00_1622);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1626))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1626))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2178z00_1636;
																			obj_t BgL_arg2179z00_1637;

																			BgL_arg2178z00_1636 =
																				(BgL_spz00_1629 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2180z00_1638;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2181z00_1639;

																					BgL_arg2181z00_1639 =
																						MAKE_PAIR(BgL_a2z00_1622, BNIL);
																					BgL_list2180z00_1638 =
																						MAKE_PAIR(BgL_a1z00_1621,
																						BgL_arg2181z00_1639);
																				}
																				BgL_arg2179z00_1637 =
																					BgL_list2180z00_1638;
																			}
																			VECTOR_SET(BgL_sz00_1617,
																				(int) (BgL_arg2178z00_1636),
																				BgL_arg2179z00_1637);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2182z00_1640;

																			BgL_arg2182z00_1640 =
																				(BgL_spz00_1629 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1617,
																				(int) (BgL_arg2182z00_1640),
																				BgL_a1z00_1621);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2183z00_1641;
																			obj_t BgL_arg2184z00_1642;

																			BgL_arg2183z00_1641 =
																				(BgL_spz00_1629 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2185z00_1643;

																				BgL_list2185z00_1643 =
																					MAKE_PAIR(BgL_a2z00_1622, BNIL);
																				BgL_arg2184z00_1642 =
																					BgL_list2185z00_1643;
																			}
																			VECTOR_SET(BgL_sz00_1617,
																				(int) (BgL_arg2183z00_1641),
																				BgL_arg2184z00_1642);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2186z00_1644;

																			BgL_arg2186z00_1644 =
																				(BgL_spz00_1629 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1617,
																				(int) (BgL_arg2186z00_1644),
																				BgL_a1z00_1621);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2188z00_1645;

																			BgL_arg2188z00_1645 =
																				(BgL_spz00_1629 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1617,
																				(int) (BgL_arg2188z00_1645),
																				BgL_a2z00_1622);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2189z00_1646;

																			BgL_arg2189z00_1646 =
																				(BgL_spz00_1629 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1617,
																				(int) (BgL_arg2189z00_1646), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15705,
																			STRUCT_REF(BgL_ufz00_1624,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1626));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15705, STRUCT_REF(BgL_ufz00_1624,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1626));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_19541;

													BgL_auxz00_19541 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19541,
														BgL_locz00_15705);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_19544;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1899z00_7461;

														BgL_arg1899z00_7461 = VECTOR_LENGTH(BgL_sz00_1617);
														BgL_testz00_19544 =
															(
															(BgL_spz00_1629 +
																(long) CINT(BgL_sfz00_1628)) <
															(long) (BgL_arg1899z00_7461));
													}
													if (BgL_testz00_19544)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1627, BgL_sz00_1617,
																BINT(BgL_spz00_1629));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1652;

															BgL_nsz00_1652 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2194z00_1654;

																BgL_arg2194z00_1654 =
																	(BgL_spz00_1629 + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1652, BINT(((long) 2)),
																	BgL_sz00_1617, BINT(BgL_spz00_1629),
																	BINT(BgL_arg2194z00_1654));
															}
															VECTOR_SET(BgL_nsz00_1652,
																(int) (((long) 1)), BgL_sz00_1617);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19560;

																BgL_auxz00_19560 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19560,
																	BgL_nsz00_1652);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1192z00_1656;

																BgL_val1192z00_1656 =
																	BGl_zc3exitza32200ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1652, BgL_runz00_1627);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_19564;

																	BgL_auxz00_19564 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_19564,
																		BgL_sz00_1617);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1192z00_1656)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1192z00_1656),
																			CDR(BgL_val1192z00_1656));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1192z00_1656;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1620,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1665;

													BgL_nbpz00_1665 =
														((long) CINT(BgL_bpz00_1619) + BgL_siza7eza7_15707);
													VECTOR_SET(BgL_sz00_1617,
														(int) (((long) 0)), BINT(BgL_nbpz00_1665));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1666;

														BgL_rz00_1666 =
															PROCEDURE_ENTRY(BgL_fz00_1620) (BgL_fz00_1620,
															BgL_a1z00_1621, BgL_a2z00_1622, BEOA);
														VECTOR_SET(BgL_sz00_1617, (int) (((long) 0)),
															BgL_bpz00_1619);
														return BgL_rz00_1666;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15705, BgL_symbzd2funzd2_15706,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1620));
		}}}}}}}}}
	}



/* <exit:2200> */
	obj_t BGl_zc3exitza32200ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17642,
		obj_t BgL_runz00_17641)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1193z00_1662;

			if (SET_EXIT(BgL_an_exit1193z00_1662))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1193z00_1662 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1193z00_1662, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1194z00_1663;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7479;

								BgL_savedzd2bpzd2_7479 =
									VECTOR_REF(BgL_nsz00_17642, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17642,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7486;

									BgL_fz00_7486 = BgL_runz00_17641;
								BgL_recz00_7485:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7487;

										BgL_rz00_7487 =
											PROCEDURE_ENTRY(BgL_fz00_7486) (BgL_fz00_7486,
											BgL_nsz00_17642, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19603;

											if (PROCEDUREP(BgL_rz00_7487))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_7492;

													BgL_arg1890z00_7492 = PROCEDURE_ATTR(BgL_rz00_7487);
													if (STRUCTP(BgL_arg1890z00_7492))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19603 =
																(STRUCT_KEY(BgL_arg1890z00_7492) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19603 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19603 = ((bool_t) 0);
												}
											if (BgL_testz00_19603)
												{
													obj_t BgL_fz00_19611;

													BgL_fz00_19611 = BgL_rz00_7487;
													BgL_fz00_7486 = BgL_fz00_19611;
													goto BgL_recz00_7485;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17642,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7479);
													BgL_val1194z00_1663 = BgL_rz00_7487;
							}}}}}
							POP_EXIT();
							return BgL_val1194z00_1663;
						}
					}
				}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_160,
		BgL_ev_exprz00_bglt BgL_vfunz00_161, obj_t BgL_symbzd2funzd2_162,
		obj_t BgL_funz00_163, obj_t BgL_tailzf3zf3_164, obj_t BgL_stkz00_165,
		long BgL_siza7eza7_166, obj_t BgL_a1z00_167, obj_t BgL_a2z00_168,
		obj_t BgL_a3z00_169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1668;

				BgL_cfunz00_1668 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_161,
					((long) 3), BgL_locz00_160, BgL_symbzd2funzd2_162);
				if (CBOOL(BgL_cfunz00_1668))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32203ze3z83_15709;

						BgL_zc3anonymousza32203ze3z83_15709 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32203ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 5)));
						PROCEDURE_SET(BgL_zc3anonymousza32203ze3z83_15709,
							(int) (((long) 0)), BgL_a1z00_167);
						PROCEDURE_SET(BgL_zc3anonymousza32203ze3z83_15709,
							(int) (((long) 1)), BgL_a2z00_168);
						PROCEDURE_SET(BgL_zc3anonymousza32203ze3z83_15709,
							(int) (((long) 2)), BgL_a3z00_169);
						PROCEDURE_SET(BgL_zc3anonymousza32203ze3z83_15709,
							(int) (((long) 3)), BINT(BgL_siza7eza7_166));
						PROCEDURE_SET(BgL_zc3anonymousza32203ze3z83_15709,
							(int) (((long) 4)), BgL_cfunz00_1668);
						return BgL_zc3anonymousza32203ze3z83_15709;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_164))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32204ze3z83_15710;

								BgL_zc3anonymousza32204ze3z83_15710 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32204ze3z83_15710,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32204ze3z83_15710;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32247ze3z83_15711;

								BgL_zc3anonymousza32247ze3z83_15711 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 0)), BgL_funz00_163);
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 1)), BgL_a1z00_167);
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 2)), BgL_a2z00_168);
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 3)), BgL_a3z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 4)), BgL_locz00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 5)), BgL_symbzd2funzd2_162);
								PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_15711,
									(int) (((long) 6)), BINT(BgL_siza7eza7_166));
								return BgL_zc3anonymousza32247ze3z83_15711;
							}
					}
			}
		}
	}



/* &<anonymous:2203> */
	obj_t BGl_z62zc3anonymousza32203ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15712, obj_t BgL_sz00_15718)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15713;
				obj_t BgL_a2z00_15714;
				obj_t BgL_a3z00_15715;
				long BgL_siza7eza7_15716;
				obj_t BgL_cfunz00_15717;

				BgL_a1z00_15713 = PROCEDURE_REF(BgL_envz00_15712, (int) (((long) 0)));
				BgL_a2z00_15714 = PROCEDURE_REF(BgL_envz00_15712, (int) (((long) 1)));
				BgL_a3z00_15715 = PROCEDURE_REF(BgL_envz00_15712, (int) (((long) 2)));
				BgL_siza7eza7_15716 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15712, (int) (((long) 3))));
				BgL_cfunz00_15717 = PROCEDURE_REF(BgL_envz00_15712, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1669;

					BgL_sz00_1669 = BgL_sz00_15718;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1671;

						BgL_bpz00_1671 = VECTOR_REF(BgL_sz00_1669, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1672;
							obj_t BgL_a2z00_1673;
							obj_t BgL_a3z00_1674;

							BgL_a1z00_1672 =
								PROCEDURE_ENTRY(BgL_a1z00_15713) (BgL_a1z00_15713,
								BgL_sz00_1669, BEOA);
							BgL_a2z00_1673 =
								PROCEDURE_ENTRY(BgL_a2z00_15714) (BgL_a2z00_15714,
								BgL_sz00_1669, BEOA);
							BgL_a3z00_1674 =
								PROCEDURE_ENTRY(BgL_a3z00_15715) (BgL_a3z00_15715,
								BgL_sz00_1669, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1675;

								BgL_nbpz00_1675 =
									((long) CINT(BgL_bpz00_1671) + BgL_siza7eza7_15716);
								VECTOR_SET(BgL_sz00_1669,
									(int) (((long) 0)), BINT(BgL_nbpz00_1675));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1676;

									BgL_rz00_1676 =
										PROCEDURE_ENTRY(BgL_cfunz00_15717) (BgL_cfunz00_15717,
										BgL_a1z00_1672, BgL_a2z00_1673, BgL_a3z00_1674, BEOA);
									VECTOR_SET(BgL_sz00_1669, (int) (((long) 0)), BgL_bpz00_1671);
									return BgL_rz00_1676;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2204> */
	obj_t BGl_z62zc3anonymousza32204ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15719, obj_t BgL_sz00_15727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15720;
				obj_t BgL_a1z00_15721;
				obj_t BgL_a2z00_15722;
				obj_t BgL_a3z00_15723;
				obj_t BgL_locz00_15724;
				obj_t BgL_symbzd2funzd2_15725;
				long BgL_siza7eza7_15726;

				BgL_funz00_15720 = PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 0)));
				BgL_a1z00_15721 = PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 1)));
				BgL_a2z00_15722 = PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 2)));
				BgL_a3z00_15723 = PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 3)));
				BgL_locz00_15724 = PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 4)));
				BgL_symbzd2funzd2_15725 =
					PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 5)));
				BgL_siza7eza7_15726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15719, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1677;

					BgL_sz00_1677 = BgL_sz00_15727;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1679;

						BgL_bpz00_1679 = VECTOR_REF(BgL_sz00_1677, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1680;
							obj_t BgL_a1z00_1681;
							obj_t BgL_a2z00_1682;
							obj_t BgL_a3z00_1683;

							BgL_fz00_1680 =
								PROCEDURE_ENTRY(BgL_funz00_15720) (BgL_funz00_15720,
								BgL_sz00_1677, BEOA);
							BgL_a1z00_1681 =
								PROCEDURE_ENTRY(BgL_a1z00_15721) (BgL_a1z00_15721,
								BgL_sz00_1677, BEOA);
							BgL_a2z00_1682 =
								PROCEDURE_ENTRY(BgL_a2z00_15722) (BgL_a2z00_15722,
								BgL_sz00_1677, BEOA);
							BgL_a3z00_1683 =
								PROCEDURE_ENTRY(BgL_a3z00_15723) (BgL_a3z00_15723,
								BgL_sz00_1677, BEOA);
							if (PROCEDUREP(BgL_fz00_1680))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15724,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1680);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1685;

								BgL_ufz00_1685 = PROCEDURE_ATTR(BgL_fz00_1680);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19745;

									if (STRUCTP(BgL_ufz00_1685))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19745 =
												(STRUCT_KEY(BgL_ufz00_1685) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19745 = ((bool_t) 0);
										}
									if (BgL_testz00_19745)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1687;
											obj_t BgL_runz00_1688;
											obj_t BgL_sfz00_1689;

											BgL_arityz00_1687 =
												STRUCT_REF(BgL_ufz00_1685, (int) (((long) 0)));
											BgL_runz00_1688 =
												STRUCT_REF(BgL_ufz00_1685, (int) (((long) 1)));
											BgL_sfz00_1689 =
												STRUCT_REF(BgL_ufz00_1685, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1687) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2208z00_1692;

														BgL_arg2208z00_1692 =
															((long) CINT(BgL_bpz00_1679) + ((long) 0));
														VECTOR_SET(BgL_sz00_1677,
															(int) (BgL_arg2208z00_1692), BgL_a1z00_1681);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2209z00_1693;

														BgL_arg2209z00_1693 =
															((long) CINT(BgL_bpz00_1679) + ((long) 1));
														VECTOR_SET(BgL_sz00_1677,
															(int) (BgL_arg2209z00_1693), BgL_a2z00_1682);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2210z00_1694;

														BgL_arg2210z00_1694 =
															((long) CINT(BgL_bpz00_1679) + ((long) 2));
														VECTOR_SET(BgL_sz00_1677,
															(int) (BgL_arg2210z00_1694), BgL_a3z00_1683);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1687))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1687))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2212z00_1698;
																		obj_t BgL_arg2213z00_1699;

																		BgL_arg2212z00_1698 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2214z00_1700;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2215z00_1701;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2216z00_1702;

																					BgL_arg2216z00_1702 =
																						MAKE_PAIR(BgL_a3z00_1683, BNIL);
																					BgL_arg2215z00_1701 =
																						MAKE_PAIR(BgL_a2z00_1682,
																						BgL_arg2216z00_1702);
																				}
																				BgL_list2214z00_1700 =
																					MAKE_PAIR(BgL_a1z00_1681,
																					BgL_arg2215z00_1701);
																			}
																			BgL_arg2213z00_1699 =
																				BgL_list2214z00_1700;
																		}
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2212z00_1698),
																			BgL_arg2213z00_1699);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2217z00_1703;

																		BgL_arg2217z00_1703 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2217z00_1703),
																			BgL_a1z00_1681);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2218z00_1704;
																		obj_t BgL_arg2219z00_1705;

																		BgL_arg2218z00_1704 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2220z00_1706;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2221z00_1707;

																				BgL_arg2221z00_1707 =
																					MAKE_PAIR(BgL_a3z00_1683, BNIL);
																				BgL_list2220z00_1706 =
																					MAKE_PAIR(BgL_a2z00_1682,
																					BgL_arg2221z00_1707);
																			}
																			BgL_arg2219z00_1705 =
																				BgL_list2220z00_1706;
																		}
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2218z00_1704),
																			BgL_arg2219z00_1705);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2222z00_1708;

																		BgL_arg2222z00_1708 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2222z00_1708),
																			BgL_a1z00_1681);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2224z00_1709;

																		BgL_arg2224z00_1709 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2224z00_1709),
																			BgL_a2z00_1682);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2225z00_1710;
																		obj_t BgL_arg2226z00_1711;

																		BgL_arg2225z00_1710 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2227z00_1712;

																			BgL_list2227z00_1712 =
																				MAKE_PAIR(BgL_a3z00_1683, BNIL);
																			BgL_arg2226z00_1711 =
																				BgL_list2227z00_1712;
																		}
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2225z00_1710),
																			BgL_arg2226z00_1711);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2228z00_1713;

																		BgL_arg2228z00_1713 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2228z00_1713),
																			BgL_a1z00_1681);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2230z00_1714;

																		BgL_arg2230z00_1714 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2230z00_1714),
																			BgL_a2z00_1682);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2231z00_1715;

																		BgL_arg2231z00_1715 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2231z00_1715),
																			BgL_a3z00_1683);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2232z00_1716;

																		BgL_arg2232z00_1716 =
																			(
																			(long) CINT(BgL_bpz00_1679) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1677,
																			(int) (BgL_arg2232z00_1716), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15724,
																		STRUCT_REF(BgL_ufz00_1685,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_1687));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15724, STRUCT_REF(BgL_ufz00_1685,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_1687));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_19831;

												BgL_auxz00_19831 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_19831,
													BgL_locz00_15724);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_19834;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1899z00_7657;

													BgL_arg1899z00_7657 = VECTOR_LENGTH(BgL_sz00_1677);
													BgL_testz00_19834 =
														(
														((long) CINT(BgL_bpz00_1679) +
															(long) CINT(BgL_sfz00_1689)) <
														(long) (BgL_arg1899z00_7657));
												}
												if (BgL_testz00_19834)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1688;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1722;

														BgL_nsz00_1722 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2237z00_1724;

															BgL_arg2237z00_1724 =
																((long) CINT(BgL_bpz00_1679) + ((long) 3));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1722, BINT(((long) 2)),
																BgL_sz00_1677, BgL_bpz00_1679,
																BINT(BgL_arg2237z00_1724));
														}
														VECTOR_SET(BgL_nsz00_1722,
															(int) (((long) 1)), BgL_sz00_1677);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_19849;

															BgL_auxz00_19849 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_19849,
																BgL_nsz00_1722);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1197z00_1726;

															BgL_val1197z00_1726 =
																BGl_zc3exitza32244ze3z83zz__evaluate_compz00
																(BgL_nsz00_1722, BgL_runz00_1688);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_19853;

																BgL_auxz00_19853 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_19853,
																	BgL_sz00_1677);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1197z00_1726)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1197z00_1726),
																		CDR(BgL_val1197z00_1726));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1197z00_1726;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1680,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1735;

													BgL_nbpz00_1735 =
														((long) CINT(BgL_bpz00_1679) + BgL_siza7eza7_15726);
													VECTOR_SET(BgL_sz00_1677,
														(int) (((long) 0)), BINT(BgL_nbpz00_1735));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1736;

														BgL_rz00_1736 =
															PROCEDURE_ENTRY(BgL_fz00_1680) (BgL_fz00_1680,
															BgL_a1z00_1681, BgL_a2z00_1682, BgL_a3z00_1683,
															BEOA);
														VECTOR_SET(BgL_sz00_1677, (int) (((long) 0)),
															BgL_bpz00_1679);
														return BgL_rz00_1736;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15724, BgL_symbzd2funzd2_15725,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1680));
		}}}}}}}}}
	}



/* <exit:2244> */
	obj_t BGl_zc3exitza32244ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17640,
		obj_t BgL_runz00_17639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1198z00_1732;

			if (SET_EXIT(BgL_an_exit1198z00_1732))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1198z00_1732 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1198z00_1732, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1199z00_1733;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7676;

								BgL_savedzd2bpzd2_7676 =
									VECTOR_REF(BgL_nsz00_17640, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17640,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7683;

									BgL_fz00_7683 = BgL_runz00_17639;
								BgL_recz00_7682:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7684;

										BgL_rz00_7684 =
											PROCEDURE_ENTRY(BgL_fz00_7683) (BgL_fz00_7683,
											BgL_nsz00_17640, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_19893;

											if (PROCEDUREP(BgL_rz00_7684))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_7689;

													BgL_arg1890z00_7689 = PROCEDURE_ATTR(BgL_rz00_7684);
													if (STRUCTP(BgL_arg1890z00_7689))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19893 =
																(STRUCT_KEY(BgL_arg1890z00_7689) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_19893 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_19893 = ((bool_t) 0);
												}
											if (BgL_testz00_19893)
												{
													obj_t BgL_fz00_19901;

													BgL_fz00_19901 = BgL_rz00_7684;
													BgL_fz00_7683 = BgL_fz00_19901;
													goto BgL_recz00_7682;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17640,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7676);
													BgL_val1199z00_1733 = BgL_rz00_7684;
							}}}}}
							POP_EXIT();
							return BgL_val1199z00_1733;
						}
					}
				}
		}
	}



/* &<anonymous:2247> */
	obj_t BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15728, obj_t BgL_sz00_15736)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15729;
				obj_t BgL_a1z00_15730;
				obj_t BgL_a2z00_15731;
				obj_t BgL_a3z00_15732;
				obj_t BgL_locz00_15733;
				obj_t BgL_symbzd2funzd2_15734;
				long BgL_siza7eza7_15735;

				BgL_funz00_15729 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 0)));
				BgL_a1z00_15730 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 1)));
				BgL_a2z00_15731 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 2)));
				BgL_a3z00_15732 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 3)));
				BgL_locz00_15733 = PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 4)));
				BgL_symbzd2funzd2_15734 =
					PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 5)));
				BgL_siza7eza7_15735 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15728, (int) (((long) 6))));
				{
					obj_t BgL_sz00_1738;

					BgL_sz00_1738 = BgL_sz00_15736;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1740;

						BgL_bpz00_1740 = VECTOR_REF(BgL_sz00_1738, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1741;
							obj_t BgL_a1z00_1742;
							obj_t BgL_a2z00_1743;
							obj_t BgL_a3z00_1744;

							BgL_fz00_1741 =
								PROCEDURE_ENTRY(BgL_funz00_15729) (BgL_funz00_15729,
								BgL_sz00_1738, BEOA);
							BgL_a1z00_1742 =
								PROCEDURE_ENTRY(BgL_a1z00_15730) (BgL_a1z00_15730,
								BgL_sz00_1738, BEOA);
							BgL_a2z00_1743 =
								PROCEDURE_ENTRY(BgL_a2z00_15731) (BgL_a2z00_15731,
								BgL_sz00_1738, BEOA);
							BgL_a3z00_1744 =
								PROCEDURE_ENTRY(BgL_a3z00_15732) (BgL_a3z00_15732,
								BgL_sz00_1738, BEOA);
							if (PROCEDUREP(BgL_fz00_1741))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15733,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1741);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1746;

								BgL_ufz00_1746 = PROCEDURE_ATTR(BgL_fz00_1741);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_19942;

									if (STRUCTP(BgL_ufz00_1746))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19942 =
												(STRUCT_KEY(BgL_ufz00_1746) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_19942 = ((bool_t) 0);
										}
									if (BgL_testz00_19942)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1748;
											obj_t BgL_runz00_1749;
											obj_t BgL_sfz00_1750;

											BgL_arityz00_1748 =
												STRUCT_REF(BgL_ufz00_1746, (int) (((long) 0)));
											BgL_runz00_1749 =
												STRUCT_REF(BgL_ufz00_1746, (int) (((long) 1)));
											BgL_sfz00_1750 =
												STRUCT_REF(BgL_ufz00_1746, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1751;

												BgL_spz00_1751 =
													((long) CINT(BgL_bpz00_1740) + BgL_siza7eza7_15735);
												if (((long) CINT(BgL_arityz00_1748) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2251z00_1753;

															BgL_arg2251z00_1753 =
																(BgL_spz00_1751 + ((long) 0));
															VECTOR_SET(BgL_sz00_1738,
																(int) (BgL_arg2251z00_1753), BgL_a1z00_1742);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2252z00_1754;

															BgL_arg2252z00_1754 =
																(BgL_spz00_1751 + ((long) 1));
															VECTOR_SET(BgL_sz00_1738,
																(int) (BgL_arg2252z00_1754), BgL_a2z00_1743);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2253z00_1755;

															BgL_arg2253z00_1755 =
																(BgL_spz00_1751 + ((long) 2));
															VECTOR_SET(BgL_sz00_1738,
																(int) (BgL_arg2253z00_1755), BgL_a3z00_1744);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1748))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1748))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2255z00_1759;
																			obj_t BgL_arg2256z00_1760;

																			BgL_arg2255z00_1759 =
																				(BgL_spz00_1751 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2257z00_1761;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2258z00_1762;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2259z00_1763;

																						BgL_arg2259z00_1763 =
																							MAKE_PAIR(BgL_a3z00_1744, BNIL);
																						BgL_arg2258z00_1762 =
																							MAKE_PAIR(BgL_a2z00_1743,
																							BgL_arg2259z00_1763);
																					}
																					BgL_list2257z00_1761 =
																						MAKE_PAIR(BgL_a1z00_1742,
																						BgL_arg2258z00_1762);
																				}
																				BgL_arg2256z00_1760 =
																					BgL_list2257z00_1761;
																			}
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2255z00_1759),
																				BgL_arg2256z00_1760);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2260z00_1764;

																			BgL_arg2260z00_1764 =
																				(BgL_spz00_1751 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2260z00_1764),
																				BgL_a1z00_1742);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2261z00_1765;
																			obj_t BgL_arg2262z00_1766;

																			BgL_arg2261z00_1765 =
																				(BgL_spz00_1751 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2263z00_1767;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2264z00_1768;

																					BgL_arg2264z00_1768 =
																						MAKE_PAIR(BgL_a3z00_1744, BNIL);
																					BgL_list2263z00_1767 =
																						MAKE_PAIR(BgL_a2z00_1743,
																						BgL_arg2264z00_1768);
																				}
																				BgL_arg2262z00_1766 =
																					BgL_list2263z00_1767;
																			}
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2261z00_1765),
																				BgL_arg2262z00_1766);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2265z00_1769;

																			BgL_arg2265z00_1769 =
																				(BgL_spz00_1751 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2265z00_1769),
																				BgL_a1z00_1742);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2266z00_1770;

																			BgL_arg2266z00_1770 =
																				(BgL_spz00_1751 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2266z00_1770),
																				BgL_a2z00_1743);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2267z00_1771;
																			obj_t BgL_arg2268z00_1772;

																			BgL_arg2267z00_1771 =
																				(BgL_spz00_1751 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2269z00_1773;

																				BgL_list2269z00_1773 =
																					MAKE_PAIR(BgL_a3z00_1744, BNIL);
																				BgL_arg2268z00_1772 =
																					BgL_list2269z00_1773;
																			}
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2267z00_1771),
																				BgL_arg2268z00_1772);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2270z00_1774;

																			BgL_arg2270z00_1774 =
																				(BgL_spz00_1751 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2270z00_1774),
																				BgL_a1z00_1742);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2271z00_1775;

																			BgL_arg2271z00_1775 =
																				(BgL_spz00_1751 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2271z00_1775),
																				BgL_a2z00_1743);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2272z00_1776;

																			BgL_arg2272z00_1776 =
																				(BgL_spz00_1751 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2272z00_1776),
																				BgL_a3z00_1744);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2273z00_1777;

																			BgL_arg2273z00_1777 =
																				(BgL_spz00_1751 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1738,
																				(int) (BgL_arg2273z00_1777), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15733,
																			STRUCT_REF(BgL_ufz00_1746,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_1748));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15733, STRUCT_REF(BgL_ufz00_1746,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_1748));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_20017;

													BgL_auxz00_20017 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20017,
														BgL_locz00_15733);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_20020;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1899z00_7843;

														BgL_arg1899z00_7843 = VECTOR_LENGTH(BgL_sz00_1738);
														BgL_testz00_20020 =
															(
															(BgL_spz00_1751 +
																(long) CINT(BgL_sfz00_1750)) <
															(long) (BgL_arg1899z00_7843));
													}
													if (BgL_testz00_20020)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1749, BgL_sz00_1738,
																BINT(BgL_spz00_1751));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1783;

															BgL_nsz00_1783 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2278z00_1785;

																BgL_arg2278z00_1785 =
																	(BgL_spz00_1751 + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1783, BINT(((long) 2)),
																	BgL_sz00_1738, BINT(BgL_spz00_1751),
																	BINT(BgL_arg2278z00_1785));
															}
															VECTOR_SET(BgL_nsz00_1783,
																(int) (((long) 1)), BgL_sz00_1738);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20036;

																BgL_auxz00_20036 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20036,
																	BgL_nsz00_1783);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1202z00_1787;

																BgL_val1202z00_1787 =
																	BGl_zc3exitza32284ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1783, BgL_runz00_1749);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_20040;

																	BgL_auxz00_20040 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20040,
																		BgL_sz00_1738);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1202z00_1787)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1202z00_1787),
																			CDR(BgL_val1202z00_1787));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1202z00_1787;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1741,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1796;

													BgL_nbpz00_1796 =
														((long) CINT(BgL_bpz00_1740) + BgL_siza7eza7_15735);
													VECTOR_SET(BgL_sz00_1738,
														(int) (((long) 0)), BINT(BgL_nbpz00_1796));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1797;

														BgL_rz00_1797 =
															PROCEDURE_ENTRY(BgL_fz00_1741) (BgL_fz00_1741,
															BgL_a1z00_1742, BgL_a2z00_1743, BgL_a3z00_1744,
															BEOA);
														VECTOR_SET(BgL_sz00_1738, (int) (((long) 0)),
															BgL_bpz00_1740);
														return BgL_rz00_1797;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15733, BgL_symbzd2funzd2_15734,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_1741));
		}}}}}}}}}
	}



/* <exit:2284> */
	obj_t BGl_zc3exitza32284ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17638,
		obj_t BgL_runz00_17637)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1203z00_1793;

			if (SET_EXIT(BgL_an_exit1203z00_1793))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1203z00_1793 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1203z00_1793, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1204z00_1794;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_7861;

								BgL_savedzd2bpzd2_7861 =
									VECTOR_REF(BgL_nsz00_17638, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17638,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_7868;

									BgL_fz00_7868 = BgL_runz00_17637;
								BgL_recz00_7867:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_7869;

										BgL_rz00_7869 =
											PROCEDURE_ENTRY(BgL_fz00_7868) (BgL_fz00_7868,
											BgL_nsz00_17638, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20080;

											if (PROCEDUREP(BgL_rz00_7869))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_7874;

													BgL_arg1890z00_7874 = PROCEDURE_ATTR(BgL_rz00_7869);
													if (STRUCTP(BgL_arg1890z00_7874))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20080 =
																(STRUCT_KEY(BgL_arg1890z00_7874) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20080 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20080 = ((bool_t) 0);
												}
											if (BgL_testz00_20080)
												{
													obj_t BgL_fz00_20088;

													BgL_fz00_20088 = BgL_rz00_7869;
													BgL_fz00_7868 = BgL_fz00_20088;
													goto BgL_recz00_7867;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17638,
														(int) (((long) 0)), BgL_savedzd2bpzd2_7861);
													BgL_val1204z00_1794 = BgL_rz00_7869;
							}}}}}
							POP_EXIT();
							return BgL_val1204z00_1794;
						}
					}
				}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_170,
		BgL_ev_exprz00_bglt BgL_vfunz00_171, obj_t BgL_symbzd2funzd2_172,
		obj_t BgL_funz00_173, obj_t BgL_tailzf3zf3_174, obj_t BgL_stkz00_175,
		long BgL_siza7eza7_176, obj_t BgL_a1z00_177, obj_t BgL_a2z00_178,
		obj_t BgL_a3z00_179, obj_t BgL_a4z00_180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_cfunz00_1799;

				BgL_cfunz00_1799 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_171,
					((long) 4), BgL_locz00_170, BgL_symbzd2funzd2_172);
				if (CBOOL(BgL_cfunz00_1799))
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_zc3anonymousza32287ze3z83_15737;

						BgL_zc3anonymousza32287ze3z83_15737 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32287ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 6)));
						PROCEDURE_SET(BgL_zc3anonymousza32287ze3z83_15737,
							(int) (((long) 0)), BgL_a1z00_177);
						PROCEDURE_SET(BgL_zc3anonymousza32287ze3z83_15737,
							(int) (((long) 1)), BgL_a2z00_178);
						PROCEDURE_SET(BgL_zc3anonymousza32287ze3z83_15737,
							(int) (((long) 2)), BgL_a3z00_179);
						PROCEDURE_SET(BgL_zc3anonymousza32287ze3z83_15737,
							(int) (((long) 3)), BgL_a4z00_180);
						PROCEDURE_SET(BgL_zc3anonymousza32287ze3z83_15737,
							(int) (((long) 4)), BINT(BgL_siza7eza7_176));
						PROCEDURE_SET(BgL_zc3anonymousza32287ze3z83_15737,
							(int) (((long) 5)), BgL_cfunz00_1799);
						return BgL_zc3anonymousza32287ze3z83_15737;
					}
				else
					{	/* Eval/evaluate_comp.scm 842 */
						if (CBOOL(BgL_tailzf3zf3_174))
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32288ze3z83_15738;

								BgL_zc3anonymousza32288ze3z83_15738 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32288ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32288ze3z83_15738,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32288ze3z83_15738;
							}
						else
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_zc3anonymousza32343ze3z83_15739;

								BgL_zc3anonymousza32343ze3z83_15739 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32343ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 8)));
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 0)), BgL_funz00_173);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 1)), BgL_a1z00_177);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 2)), BgL_a2z00_178);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 3)), BgL_a3z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 4)), BgL_a4z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 5)), BgL_locz00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 6)), BgL_symbzd2funzd2_172);
								PROCEDURE_SET(BgL_zc3anonymousza32343ze3z83_15739,
									(int) (((long) 7)), BINT(BgL_siza7eza7_176));
								return BgL_zc3anonymousza32343ze3z83_15739;
							}
					}
			}
		}
	}



/* &<anonymous:2287> */
	obj_t BGl_z62zc3anonymousza32287ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15740, obj_t BgL_sz00_15747)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_a1z00_15741;
				obj_t BgL_a2z00_15742;
				obj_t BgL_a3z00_15743;
				obj_t BgL_a4z00_15744;
				long BgL_siza7eza7_15745;
				obj_t BgL_cfunz00_15746;

				BgL_a1z00_15741 = PROCEDURE_REF(BgL_envz00_15740, (int) (((long) 0)));
				BgL_a2z00_15742 = PROCEDURE_REF(BgL_envz00_15740, (int) (((long) 1)));
				BgL_a3z00_15743 = PROCEDURE_REF(BgL_envz00_15740, (int) (((long) 2)));
				BgL_a4z00_15744 = PROCEDURE_REF(BgL_envz00_15740, (int) (((long) 3)));
				BgL_siza7eza7_15745 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15740, (int) (((long) 4))));
				BgL_cfunz00_15746 = PROCEDURE_REF(BgL_envz00_15740, (int) (((long) 5)));
				{
					obj_t BgL_sz00_1800;

					BgL_sz00_1800 = BgL_sz00_15747;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1802;

						BgL_bpz00_1802 = VECTOR_REF(BgL_sz00_1800, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_a1z00_1803;
							obj_t BgL_a2z00_1804;
							obj_t BgL_a3z00_1805;
							obj_t BgL_a4z00_1806;

							BgL_a1z00_1803 =
								PROCEDURE_ENTRY(BgL_a1z00_15741) (BgL_a1z00_15741,
								BgL_sz00_1800, BEOA);
							BgL_a2z00_1804 =
								PROCEDURE_ENTRY(BgL_a2z00_15742) (BgL_a2z00_15742,
								BgL_sz00_1800, BEOA);
							BgL_a3z00_1805 =
								PROCEDURE_ENTRY(BgL_a3z00_15743) (BgL_a3z00_15743,
								BgL_sz00_1800, BEOA);
							BgL_a4z00_1806 =
								PROCEDURE_ENTRY(BgL_a4z00_15744) (BgL_a4z00_15744,
								BgL_sz00_1800, BEOA);
							{	/* Eval/evaluate_comp.scm 842 */
								long BgL_nbpz00_1807;

								BgL_nbpz00_1807 =
									((long) CINT(BgL_bpz00_1802) + BgL_siza7eza7_15745);
								VECTOR_SET(BgL_sz00_1800,
									(int) (((long) 0)), BINT(BgL_nbpz00_1807));
								{	/* Eval/evaluate_comp.scm 842 */
									obj_t BgL_rz00_1808;

									BgL_rz00_1808 =
										PROCEDURE_ENTRY(BgL_cfunz00_15746) (BgL_cfunz00_15746,
										BgL_a1z00_1803, BgL_a2z00_1804, BgL_a3z00_1805,
										BgL_a4z00_1806, BEOA);
									VECTOR_SET(BgL_sz00_1800, (int) (((long) 0)), BgL_bpz00_1802);
									return BgL_rz00_1808;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2288> */
	obj_t BGl_z62zc3anonymousza32288ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15748, obj_t BgL_sz00_15757)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15749;
				obj_t BgL_a1z00_15750;
				obj_t BgL_a2z00_15751;
				obj_t BgL_a3z00_15752;
				obj_t BgL_a4z00_15753;
				obj_t BgL_locz00_15754;
				obj_t BgL_symbzd2funzd2_15755;
				long BgL_siza7eza7_15756;

				BgL_funz00_15749 = PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 0)));
				BgL_a1z00_15750 = PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 1)));
				BgL_a2z00_15751 = PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 2)));
				BgL_a3z00_15752 = PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 3)));
				BgL_a4z00_15753 = PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 4)));
				BgL_locz00_15754 = PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 5)));
				BgL_symbzd2funzd2_15755 =
					PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 6)));
				BgL_siza7eza7_15756 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15748, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1809;

					BgL_sz00_1809 = BgL_sz00_15757;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1811;

						BgL_bpz00_1811 = VECTOR_REF(BgL_sz00_1809, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1812;
							obj_t BgL_a1z00_1813;
							obj_t BgL_a2z00_1814;
							obj_t BgL_a3z00_1815;
							obj_t BgL_a4z00_1816;

							BgL_fz00_1812 =
								PROCEDURE_ENTRY(BgL_funz00_15749) (BgL_funz00_15749,
								BgL_sz00_1809, BEOA);
							BgL_a1z00_1813 =
								PROCEDURE_ENTRY(BgL_a1z00_15750) (BgL_a1z00_15750,
								BgL_sz00_1809, BEOA);
							BgL_a2z00_1814 =
								PROCEDURE_ENTRY(BgL_a2z00_15751) (BgL_a2z00_15751,
								BgL_sz00_1809, BEOA);
							BgL_a3z00_1815 =
								PROCEDURE_ENTRY(BgL_a3z00_15752) (BgL_a3z00_15752,
								BgL_sz00_1809, BEOA);
							BgL_a4z00_1816 =
								PROCEDURE_ENTRY(BgL_a4z00_15753) (BgL_a4z00_15753,
								BgL_sz00_1809, BEOA);
							if (PROCEDUREP(BgL_fz00_1812))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15754,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1812);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1818;

								BgL_ufz00_1818 = PROCEDURE_ATTR(BgL_fz00_1812);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_20241;

									if (STRUCTP(BgL_ufz00_1818))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20241 =
												(STRUCT_KEY(BgL_ufz00_1818) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20241 = ((bool_t) 0);
										}
									if (BgL_testz00_20241)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1820;
											obj_t BgL_runz00_1821;
											obj_t BgL_sfz00_1822;

											BgL_arityz00_1820 =
												STRUCT_REF(BgL_ufz00_1818, (int) (((long) 0)));
											BgL_runz00_1821 =
												STRUCT_REF(BgL_ufz00_1818, (int) (((long) 1)));
											BgL_sfz00_1822 =
												STRUCT_REF(BgL_ufz00_1818, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1820) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 842 */
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2292z00_1825;

														BgL_arg2292z00_1825 =
															((long) CINT(BgL_bpz00_1811) + ((long) 0));
														VECTOR_SET(BgL_sz00_1809,
															(int) (BgL_arg2292z00_1825), BgL_a1z00_1813);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2293z00_1826;

														BgL_arg2293z00_1826 =
															((long) CINT(BgL_bpz00_1811) + ((long) 1));
														VECTOR_SET(BgL_sz00_1809,
															(int) (BgL_arg2293z00_1826), BgL_a2z00_1814);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2294z00_1827;

														BgL_arg2294z00_1827 =
															((long) CINT(BgL_bpz00_1811) + ((long) 2));
														VECTOR_SET(BgL_sz00_1809,
															(int) (BgL_arg2294z00_1827), BgL_a3z00_1815);
													}
													{	/* Eval/evaluate_comp.scm 842 */
														long BgL_arg2295z00_1828;

														BgL_arg2295z00_1828 =
															((long) CINT(BgL_bpz00_1811) + ((long) 3));
														VECTOR_SET(BgL_sz00_1809,
															(int) (BgL_arg2295z00_1828), BgL_a4z00_1816);
												}}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													if (INTEGERP(BgL_arityz00_1820))
														{	/* Eval/evaluate_comp.scm 842 */
															switch ((long) CINT(BgL_arityz00_1820))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2297z00_1832;
																		obj_t BgL_arg2298z00_1833;

																		BgL_arg2297z00_1832 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2299z00_1834;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2300z00_1835;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2301z00_1836;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2302z00_1837;

																						BgL_arg2302z00_1837 =
																							MAKE_PAIR(BgL_a4z00_1816, BNIL);
																						BgL_arg2301z00_1836 =
																							MAKE_PAIR(BgL_a3z00_1815,
																							BgL_arg2302z00_1837);
																					}
																					BgL_arg2300z00_1835 =
																						MAKE_PAIR(BgL_a2z00_1814,
																						BgL_arg2301z00_1836);
																				}
																				BgL_list2299z00_1834 =
																					MAKE_PAIR(BgL_a1z00_1813,
																					BgL_arg2300z00_1835);
																			}
																			BgL_arg2298z00_1833 =
																				BgL_list2299z00_1834;
																		}
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2297z00_1832),
																			BgL_arg2298z00_1833);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2303z00_1838;

																		BgL_arg2303z00_1838 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2303z00_1838),
																			BgL_a1z00_1813);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2304z00_1839;
																		obj_t BgL_arg2305z00_1840;

																		BgL_arg2304z00_1839 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2306z00_1841;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2307z00_1842;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2308z00_1843;

																					BgL_arg2308z00_1843 =
																						MAKE_PAIR(BgL_a4z00_1816, BNIL);
																					BgL_arg2307z00_1842 =
																						MAKE_PAIR(BgL_a3z00_1815,
																						BgL_arg2308z00_1843);
																				}
																				BgL_list2306z00_1841 =
																					MAKE_PAIR(BgL_a2z00_1814,
																					BgL_arg2307z00_1842);
																			}
																			BgL_arg2305z00_1840 =
																				BgL_list2306z00_1841;
																		}
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2304z00_1839),
																			BgL_arg2305z00_1840);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2309z00_1844;

																		BgL_arg2309z00_1844 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2309z00_1844),
																			BgL_a1z00_1813);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2310z00_1845;

																		BgL_arg2310z00_1845 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2310z00_1845),
																			BgL_a2z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2312z00_1846;
																		obj_t BgL_arg2313z00_1847;

																		BgL_arg2312z00_1846 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2314z00_1848;

																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_arg2315z00_1849;

																				BgL_arg2315z00_1849 =
																					MAKE_PAIR(BgL_a4z00_1816, BNIL);
																				BgL_list2314z00_1848 =
																					MAKE_PAIR(BgL_a3z00_1815,
																					BgL_arg2315z00_1849);
																			}
																			BgL_arg2313z00_1847 =
																				BgL_list2314z00_1848;
																		}
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2312z00_1846),
																			BgL_arg2313z00_1847);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2316z00_1850;

																		BgL_arg2316z00_1850 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2316z00_1850),
																			BgL_a1z00_1813);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2317z00_1851;

																		BgL_arg2317z00_1851 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2317z00_1851),
																			BgL_a2z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2318z00_1852;

																		BgL_arg2318z00_1852 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2318z00_1852),
																			BgL_a3z00_1815);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2319z00_1853;
																		obj_t BgL_arg2321z00_1854;

																		BgL_arg2319z00_1853 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 842 */
																			obj_t BgL_list2322z00_1855;

																			BgL_list2322z00_1855 =
																				MAKE_PAIR(BgL_a4z00_1816, BNIL);
																			BgL_arg2321z00_1854 =
																				BgL_list2322z00_1855;
																		}
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2319z00_1853),
																			BgL_arg2321z00_1854);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2323z00_1856;

																		BgL_arg2323z00_1856 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2323z00_1856),
																			BgL_a1z00_1813);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2324z00_1857;

																		BgL_arg2324z00_1857 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2324z00_1857),
																			BgL_a2z00_1814);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2325z00_1858;

																		BgL_arg2325z00_1858 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2325z00_1858),
																			BgL_a3z00_1815);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2326z00_1859;

																		BgL_arg2326z00_1859 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 3));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2326z00_1859),
																			BgL_a4z00_1816);
																	}
																	{	/* Eval/evaluate_comp.scm 842 */
																		long BgL_arg2327z00_1860;

																		BgL_arg2327z00_1860 =
																			(
																			(long) CINT(BgL_bpz00_1811) + ((long) 4));
																		VECTOR_SET(BgL_sz00_1809,
																			(int) (BgL_arg2327z00_1860), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_15754,
																		STRUCT_REF(BgL_ufz00_1818,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_1820));
														}}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_15754, STRUCT_REF(BgL_ufz00_1818,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_1820));
												}}
											{	/* Eval/evaluate_comp.scm 842 */
												obj_t BgL_auxz00_20355;

												BgL_auxz00_20355 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20355,
													BgL_locz00_15754);
											}
											{	/* Eval/evaluate_comp.scm 842 */
												bool_t BgL_testz00_20358;

												{	/* Eval/evaluate_comp.scm 842 */
													int BgL_arg1899z00_8077;

													BgL_arg1899z00_8077 = VECTOR_LENGTH(BgL_sz00_1809);
													BgL_testz00_20358 =
														(
														((long) CINT(BgL_bpz00_1811) +
															(long) CINT(BgL_sfz00_1822)) <
														(long) (BgL_arg1899z00_8077));
												}
												if (BgL_testz00_20358)
													{	/* Eval/evaluate_comp.scm 842 */
														return BgL_runz00_1821;
													}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_nsz00_1866;

														BgL_nsz00_1866 =
															BGl_makezd2statezd2zz__evaluate_compz00();
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2332z00_1868;

															BgL_arg2332z00_1868 =
																((long) CINT(BgL_bpz00_1811) + ((long) 4));
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_nsz00_1866, BINT(((long) 2)),
																BgL_sz00_1809, BgL_bpz00_1811,
																BINT(BgL_arg2332z00_1868));
														}
														VECTOR_SET(BgL_nsz00_1866,
															(int) (((long) 1)), BgL_sz00_1809);
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_auxz00_20373;

															BgL_auxz00_20373 = BGL_CURRENT_DYNAMIC_ENV();
															BGL_ENV_EVSTATE_SET(BgL_auxz00_20373,
																BgL_nsz00_1866);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_val1207z00_1870;

															BgL_val1207z00_1870 =
																BGl_zc3exitza32340ze3z83zz__evaluate_compz00
																(BgL_nsz00_1866, BgL_runz00_1821);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20377;

																BgL_auxz00_20377 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20377,
																	BgL_sz00_1809);
															}
															if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																	(BgL_val1207z00_1870)))
																{	/* Eval/evaluate_comp.scm 842 */
																	return
																		BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																		(BgL_val1207z00_1870),
																		CDR(BgL_val1207z00_1870));
																}
															else
																{	/* Eval/evaluate_comp.scm 842 */
																	return BgL_val1207z00_1870;
																}
														}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1812,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1879;

													BgL_nbpz00_1879 =
														((long) CINT(BgL_bpz00_1811) + BgL_siza7eza7_15756);
													VECTOR_SET(BgL_sz00_1809,
														(int) (((long) 0)), BINT(BgL_nbpz00_1879));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1880;

														BgL_rz00_1880 =
															PROCEDURE_ENTRY(BgL_fz00_1812) (BgL_fz00_1812,
															BgL_a1z00_1813, BgL_a2z00_1814, BgL_a3z00_1815,
															BgL_a4z00_1816, BEOA);
														VECTOR_SET(BgL_sz00_1809, (int) (((long) 0)),
															BgL_bpz00_1811);
														return BgL_rz00_1880;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15754, BgL_symbzd2funzd2_15755,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1812));
		}}}}}}}}}
	}



/* <exit:2340> */
	obj_t BGl_zc3exitza32340ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17636,
		obj_t BgL_runz00_17635)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1208z00_1876;

			if (SET_EXIT(BgL_an_exit1208z00_1876))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1208z00_1876 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1208z00_1876, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1209z00_1877;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_8096;

								BgL_savedzd2bpzd2_8096 =
									VECTOR_REF(BgL_nsz00_17636, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17636,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8103;

									BgL_fz00_8103 = BgL_runz00_17635;
								BgL_recz00_8102:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_8104;

										BgL_rz00_8104 =
											PROCEDURE_ENTRY(BgL_fz00_8103) (BgL_fz00_8103,
											BgL_nsz00_17636, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20418;

											if (PROCEDUREP(BgL_rz00_8104))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_8109;

													BgL_arg1890z00_8109 = PROCEDURE_ATTR(BgL_rz00_8104);
													if (STRUCTP(BgL_arg1890z00_8109))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20418 =
																(STRUCT_KEY(BgL_arg1890z00_8109) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20418 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20418 = ((bool_t) 0);
												}
											if (BgL_testz00_20418)
												{
													obj_t BgL_fz00_20426;

													BgL_fz00_20426 = BgL_rz00_8104;
													BgL_fz00_8103 = BgL_fz00_20426;
													goto BgL_recz00_8102;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17636,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8096);
													BgL_val1209z00_1877 = BgL_rz00_8104;
							}}}}}
							POP_EXIT();
							return BgL_val1209z00_1877;
						}
					}
				}
		}
	}



/* &<anonymous:2343> */
	obj_t BGl_z62zc3anonymousza32343ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15758, obj_t BgL_sz00_15767)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			{	/* Eval/evaluate_comp.scm 842 */
				obj_t BgL_funz00_15759;
				obj_t BgL_a1z00_15760;
				obj_t BgL_a2z00_15761;
				obj_t BgL_a3z00_15762;
				obj_t BgL_a4z00_15763;
				obj_t BgL_locz00_15764;
				obj_t BgL_symbzd2funzd2_15765;
				long BgL_siza7eza7_15766;

				BgL_funz00_15759 = PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 0)));
				BgL_a1z00_15760 = PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 1)));
				BgL_a2z00_15761 = PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 2)));
				BgL_a3z00_15762 = PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 3)));
				BgL_a4z00_15763 = PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 4)));
				BgL_locz00_15764 = PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 5)));
				BgL_symbzd2funzd2_15765 =
					PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 6)));
				BgL_siza7eza7_15766 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_15758, (int) (((long) 7))));
				{
					obj_t BgL_sz00_1882;

					BgL_sz00_1882 = BgL_sz00_15767;
					{	/* Eval/evaluate_comp.scm 842 */
						obj_t BgL_bpz00_1884;

						BgL_bpz00_1884 = VECTOR_REF(BgL_sz00_1882, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_fz00_1885;
							obj_t BgL_a1z00_1886;
							obj_t BgL_a2z00_1887;
							obj_t BgL_a3z00_1888;
							obj_t BgL_a4z00_1889;

							BgL_fz00_1885 =
								PROCEDURE_ENTRY(BgL_funz00_15759) (BgL_funz00_15759,
								BgL_sz00_1882, BEOA);
							BgL_a1z00_1886 =
								PROCEDURE_ENTRY(BgL_a1z00_15760) (BgL_a1z00_15760,
								BgL_sz00_1882, BEOA);
							BgL_a2z00_1887 =
								PROCEDURE_ENTRY(BgL_a2z00_15761) (BgL_a2z00_15761,
								BgL_sz00_1882, BEOA);
							BgL_a3z00_1888 =
								PROCEDURE_ENTRY(BgL_a3z00_15762) (BgL_a3z00_15762,
								BgL_sz00_1882, BEOA);
							BgL_a4z00_1889 =
								PROCEDURE_ENTRY(BgL_a4z00_15763) (BgL_a4z00_15763,
								BgL_sz00_1882, BEOA);
							if (PROCEDUREP(BgL_fz00_1885))
								{	/* Eval/evaluate_comp.scm 842 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 842 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_15764,
										BGl_string5531z00zz__evaluate_compz00,
										BGl_string5547z00zz__evaluate_compz00, BgL_fz00_1885);
								}
							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_ufz00_1891;

								BgL_ufz00_1891 = PROCEDURE_ATTR(BgL_fz00_1885);
								{	/* Eval/evaluate_comp.scm 842 */
									bool_t BgL_testz00_20473;

									if (STRUCTP(BgL_ufz00_1891))
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20473 =
												(STRUCT_KEY(BgL_ufz00_1891) ==
												BGl_symbol5548z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											BgL_testz00_20473 = ((bool_t) 0);
										}
									if (BgL_testz00_20473)
										{	/* Eval/evaluate_comp.scm 842 */
											obj_t BgL_arityz00_1893;
											obj_t BgL_runz00_1894;
											obj_t BgL_sfz00_1895;

											BgL_arityz00_1893 =
												STRUCT_REF(BgL_ufz00_1891, (int) (((long) 0)));
											BgL_runz00_1894 =
												STRUCT_REF(BgL_ufz00_1891, (int) (((long) 1)));
											BgL_sfz00_1895 =
												STRUCT_REF(BgL_ufz00_1891, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 842 */
												long BgL_spz00_1896;

												BgL_spz00_1896 =
													((long) CINT(BgL_bpz00_1884) + BgL_siza7eza7_15766);
												if (((long) CINT(BgL_arityz00_1893) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 842 */
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2347z00_1898;

															BgL_arg2347z00_1898 =
																(BgL_spz00_1896 + ((long) 0));
															VECTOR_SET(BgL_sz00_1882,
																(int) (BgL_arg2347z00_1898), BgL_a1z00_1886);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2348z00_1899;

															BgL_arg2348z00_1899 =
																(BgL_spz00_1896 + ((long) 1));
															VECTOR_SET(BgL_sz00_1882,
																(int) (BgL_arg2348z00_1899), BgL_a2z00_1887);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2349z00_1900;

															BgL_arg2349z00_1900 =
																(BgL_spz00_1896 + ((long) 2));
															VECTOR_SET(BgL_sz00_1882,
																(int) (BgL_arg2349z00_1900), BgL_a3z00_1888);
														}
														{	/* Eval/evaluate_comp.scm 842 */
															long BgL_arg2350z00_1901;

															BgL_arg2350z00_1901 =
																(BgL_spz00_1896 + ((long) 3));
															VECTOR_SET(BgL_sz00_1882,
																(int) (BgL_arg2350z00_1901), BgL_a4z00_1889);
													}}
												else
													{	/* Eval/evaluate_comp.scm 842 */
														if (INTEGERP(BgL_arityz00_1893))
															{	/* Eval/evaluate_comp.scm 842 */
																switch ((long) CINT(BgL_arityz00_1893))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2352z00_1905;
																			obj_t BgL_arg2353z00_1906;

																			BgL_arg2352z00_1905 =
																				(BgL_spz00_1896 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2354z00_1907;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2355z00_1908;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2357z00_1909;

																						{	/* Eval/evaluate_comp.scm 842 */
																							obj_t BgL_arg2358z00_1910;

																							BgL_arg2358z00_1910 =
																								MAKE_PAIR(BgL_a4z00_1889, BNIL);
																							BgL_arg2357z00_1909 =
																								MAKE_PAIR(BgL_a3z00_1888,
																								BgL_arg2358z00_1910);
																						}
																						BgL_arg2355z00_1908 =
																							MAKE_PAIR(BgL_a2z00_1887,
																							BgL_arg2357z00_1909);
																					}
																					BgL_list2354z00_1907 =
																						MAKE_PAIR(BgL_a1z00_1886,
																						BgL_arg2355z00_1908);
																				}
																				BgL_arg2353z00_1906 =
																					BgL_list2354z00_1907;
																			}
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2352z00_1905),
																				BgL_arg2353z00_1906);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2359z00_1911;

																			BgL_arg2359z00_1911 =
																				(BgL_spz00_1896 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2359z00_1911),
																				BgL_a1z00_1886);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2360z00_1912;
																			obj_t BgL_arg2361z00_1913;

																			BgL_arg2360z00_1912 =
																				(BgL_spz00_1896 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2362z00_1914;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2363z00_1915;

																					{	/* Eval/evaluate_comp.scm 842 */
																						obj_t BgL_arg2364z00_1916;

																						BgL_arg2364z00_1916 =
																							MAKE_PAIR(BgL_a4z00_1889, BNIL);
																						BgL_arg2363z00_1915 =
																							MAKE_PAIR(BgL_a3z00_1888,
																							BgL_arg2364z00_1916);
																					}
																					BgL_list2362z00_1914 =
																						MAKE_PAIR(BgL_a2z00_1887,
																						BgL_arg2363z00_1915);
																				}
																				BgL_arg2361z00_1913 =
																					BgL_list2362z00_1914;
																			}
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2360z00_1912),
																				BgL_arg2361z00_1913);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2365z00_1917;

																			BgL_arg2365z00_1917 =
																				(BgL_spz00_1896 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2365z00_1917),
																				BgL_a1z00_1886);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2366z00_1918;

																			BgL_arg2366z00_1918 =
																				(BgL_spz00_1896 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2366z00_1918),
																				BgL_a2z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2367z00_1919;
																			obj_t BgL_arg2368z00_1920;

																			BgL_arg2367z00_1919 =
																				(BgL_spz00_1896 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2369z00_1921;

																				{	/* Eval/evaluate_comp.scm 842 */
																					obj_t BgL_arg2370z00_1922;

																					BgL_arg2370z00_1922 =
																						MAKE_PAIR(BgL_a4z00_1889, BNIL);
																					BgL_list2369z00_1921 =
																						MAKE_PAIR(BgL_a3z00_1888,
																						BgL_arg2370z00_1922);
																				}
																				BgL_arg2368z00_1920 =
																					BgL_list2369z00_1921;
																			}
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2367z00_1919),
																				BgL_arg2368z00_1920);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2371z00_1923;

																			BgL_arg2371z00_1923 =
																				(BgL_spz00_1896 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2371z00_1923),
																				BgL_a1z00_1886);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2372z00_1924;

																			BgL_arg2372z00_1924 =
																				(BgL_spz00_1896 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2372z00_1924),
																				BgL_a2z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2373z00_1925;

																			BgL_arg2373z00_1925 =
																				(BgL_spz00_1896 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2373z00_1925),
																				BgL_a3z00_1888);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2374z00_1926;
																			obj_t BgL_arg2377z00_1927;

																			BgL_arg2374z00_1926 =
																				(BgL_spz00_1896 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 842 */
																				obj_t BgL_list2378z00_1928;

																				BgL_list2378z00_1928 =
																					MAKE_PAIR(BgL_a4z00_1889, BNIL);
																				BgL_arg2377z00_1927 =
																					BgL_list2378z00_1928;
																			}
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2374z00_1926),
																				BgL_arg2377z00_1927);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2379z00_1929;

																			BgL_arg2379z00_1929 =
																				(BgL_spz00_1896 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2379z00_1929),
																				BgL_a1z00_1886);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2380z00_1930;

																			BgL_arg2380z00_1930 =
																				(BgL_spz00_1896 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2380z00_1930),
																				BgL_a2z00_1887);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2381z00_1931;

																			BgL_arg2381z00_1931 =
																				(BgL_spz00_1896 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2381z00_1931),
																				BgL_a3z00_1888);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2382z00_1932;

																			BgL_arg2382z00_1932 =
																				(BgL_spz00_1896 + ((long) 3));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2382z00_1932),
																				BgL_a4z00_1889);
																		}
																		{	/* Eval/evaluate_comp.scm 842 */
																			long BgL_arg2383z00_1933;

																			BgL_arg2383z00_1933 =
																				(BgL_spz00_1896 + ((long) 4));
																			VECTOR_SET(BgL_sz00_1882,
																				(int) (BgL_arg2383z00_1933), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_15764,
																			STRUCT_REF(BgL_ufz00_1891,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_1893));
															}}
														else
															{	/* Eval/evaluate_comp.scm 842 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_15764, STRUCT_REF(BgL_ufz00_1891,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_1893));
													}}
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_auxz00_20570;

													BgL_auxz00_20570 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_20570,
														BgL_locz00_15764);
												}
												{	/* Eval/evaluate_comp.scm 842 */
													bool_t BgL_testz00_20573;

													{	/* Eval/evaluate_comp.scm 842 */
														int BgL_arg1899z00_8301;

														BgL_arg1899z00_8301 = VECTOR_LENGTH(BgL_sz00_1882);
														BgL_testz00_20573 =
															(
															(BgL_spz00_1896 +
																(long) CINT(BgL_sfz00_1895)) <
															(long) (BgL_arg1899z00_8301));
													}
													if (BgL_testz00_20573)
														{	/* Eval/evaluate_comp.scm 842 */
															return
																BGl_catchzd2trampolinezd2zz__evaluate_compz00
																(BgL_runz00_1894, BgL_sz00_1882,
																BINT(BgL_spz00_1896));
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															obj_t BgL_nsz00_1939;

															BgL_nsz00_1939 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 842 */
																long BgL_arg2388z00_1941;

																BgL_arg2388z00_1941 =
																	(BgL_spz00_1896 + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1939, BINT(((long) 2)),
																	BgL_sz00_1882, BINT(BgL_spz00_1896),
																	BINT(BgL_arg2388z00_1941));
															}
															VECTOR_SET(BgL_nsz00_1939,
																(int) (((long) 1)), BgL_sz00_1882);
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_auxz00_20589;

																BgL_auxz00_20589 = BGL_CURRENT_DYNAMIC_ENV();
																BGL_ENV_EVSTATE_SET(BgL_auxz00_20589,
																	BgL_nsz00_1939);
															}
															{	/* Eval/evaluate_comp.scm 842 */
																obj_t BgL_val1212z00_1943;

																BgL_val1212z00_1943 =
																	BGl_zc3exitza32395ze3z83zz__evaluate_compz00
																	(BgL_nsz00_1939, BgL_runz00_1894);
																{	/* Eval/evaluate_comp.scm 842 */
																	obj_t BgL_auxz00_20593;

																	BgL_auxz00_20593 = BGL_CURRENT_DYNAMIC_ENV();
																	BGL_ENV_EVSTATE_SET(BgL_auxz00_20593,
																		BgL_sz00_1882);
																}
																if (CBOOL
																	(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
																		(BgL_val1212z00_1943)))
																	{	/* Eval/evaluate_comp.scm 842 */
																		return
																			BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
																			(BgL_val1212z00_1943),
																			CDR(BgL_val1212z00_1943));
																	}
																else
																	{	/* Eval/evaluate_comp.scm 842 */
																		return BgL_val1212z00_1943;
																	}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 842 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1885,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 842 */
													long BgL_nbpz00_1952;

													BgL_nbpz00_1952 =
														((long) CINT(BgL_bpz00_1884) + BgL_siza7eza7_15766);
													VECTOR_SET(BgL_sz00_1882,
														(int) (((long) 0)), BINT(BgL_nbpz00_1952));
													{	/* Eval/evaluate_comp.scm 842 */
														obj_t BgL_rz00_1953;

														BgL_rz00_1953 =
															PROCEDURE_ENTRY(BgL_fz00_1885) (BgL_fz00_1885,
															BgL_a1z00_1886, BgL_a2z00_1887, BgL_a3z00_1888,
															BgL_a4z00_1889, BEOA);
														VECTOR_SET(BgL_sz00_1882, (int) (((long) 0)),
															BgL_bpz00_1884);
														return BgL_rz00_1953;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_15764, BgL_symbzd2funzd2_15765,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_1885));
		}}}}}}}}}
	}



/* <exit:2395> */
	obj_t BGl_zc3exitza32395ze3z83zz__evaluate_compz00(obj_t BgL_nsz00_17634,
		obj_t BgL_runz00_17633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 842 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1213z00_1949;

			if (SET_EXIT(BgL_an_exit1213z00_1949))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1213z00_1949 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 842 */

						PUSH_EXIT(BgL_an_exit1213z00_1949, ((long) 0));
						{	/* Eval/evaluate_comp.scm 842 */
							obj_t BgL_val1214z00_1950;

							{	/* Eval/evaluate_comp.scm 842 */
								obj_t BgL_savedzd2bpzd2_8319;

								BgL_savedzd2bpzd2_8319 =
									VECTOR_REF(BgL_nsz00_17634, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17634,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_8326;

									BgL_fz00_8326 = BgL_runz00_17633;
								BgL_recz00_8325:
									{	/* Eval/evaluate_comp.scm 842 */
										obj_t BgL_rz00_8327;

										BgL_rz00_8327 =
											PROCEDURE_ENTRY(BgL_fz00_8326) (BgL_fz00_8326,
											BgL_nsz00_17634, BEOA);
										{	/* Eval/evaluate_comp.scm 842 */
											bool_t BgL_testz00_20634;

											if (PROCEDUREP(BgL_rz00_8327))
												{	/* Eval/evaluate_comp.scm 842 */
													obj_t BgL_arg1890z00_8332;

													BgL_arg1890z00_8332 = PROCEDURE_ATTR(BgL_rz00_8327);
													if (STRUCTP(BgL_arg1890z00_8332))
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20634 =
																(STRUCT_KEY(BgL_arg1890z00_8332) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 842 */
															BgL_testz00_20634 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													BgL_testz00_20634 = ((bool_t) 0);
												}
											if (BgL_testz00_20634)
												{
													obj_t BgL_fz00_20642;

													BgL_fz00_20642 = BgL_rz00_8327;
													BgL_fz00_8326 = BgL_fz00_20642;
													goto BgL_recz00_8325;
												}
											else
												{	/* Eval/evaluate_comp.scm 842 */
													VECTOR_SET(BgL_nsz00_17634,
														(int) (((long) 0)), BgL_savedzd2bpzd2_8319);
													BgL_val1214z00_1950 = BgL_rz00_8327;
							}}}}}
							POP_EXIT();
							return BgL_val1214z00_1950;
						}
					}
				}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_181, long BgL_nbargsz00_182, obj_t BgL_locz00_183,
		obj_t BgL_symbzd2funzd2_184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 845 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_181), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 848 */
					BgL_ev_globalz00_bglt BgL_i1215z00_1956;

					BgL_i1215z00_1956 = ((BgL_ev_globalz00_bglt) BgL_funz00_181);
					{	/* Eval/evaluate_comp.scm 849 */
						obj_t BgL_gz00_1957;

						BgL_gz00_1957 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1215z00_1956))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1215z00_1956))->BgL_namez00));
						if (CBOOL(BgL_gz00_1957))
							{	/* Eval/evaluate_comp.scm 851 */
								bool_t BgL_testz00_20655;

								{	/* Eval/evaluate_comp.scm 851 */
									int BgL_arg2402z00_1962;

									{	/* Eval/evaluate_comp.scm 851 */
										int BgL_res4688z00_8359;

										{	/* Eval/evaluate_comp.scm 851 */
											obj_t BgL_evalzd2globalzd2_8356;

											BgL_evalzd2globalzd2_8356 = BgL_gz00_1957;
											{	/* Eval/evaluate_comp.scm 851 */
												int BgL_kz00_8358;

												BgL_kz00_8358 = (int) (((long) 0));
												BgL_res4688z00_8359 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_8356,
														BgL_kz00_8358));
										}}
										BgL_arg2402z00_1962 = BgL_res4688z00_8359;
									}
									BgL_testz00_20655 =
										((long) (BgL_arg2402z00_1962) == ((long) 0));
								}
								if (BgL_testz00_20655)
									{	/* Eval/evaluate_comp.scm 852 */
										obj_t BgL_valz00_1959;

										BgL_valz00_1959 =
											VECTOR_REF(BgL_gz00_1957, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 853 */
											bool_t BgL_testz00_20663;

											if (PROCEDUREP(BgL_valz00_1959))
												{	/* Eval/evaluate_comp.scm 853 */
													BgL_testz00_20663 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_1959,
														(int) (BgL_nbargsz00_182));
												}
											else
												{	/* Eval/evaluate_comp.scm 853 */
													BgL_testz00_20663 = ((bool_t) 0);
												}
											if (BgL_testz00_20663)
												{	/* Eval/evaluate_comp.scm 853 */
													return BgL_valz00_1959;
												}
											else
												{	/* Eval/evaluate_comp.scm 853 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 851 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 850 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 856 */
					bool_t BgL_testz00_20668;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_181), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 857 */
							obj_t BgL_auxz00_20672;

							BgL_auxz00_20672 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_181)))->BgL_valuez00);
							BgL_testz00_20668 = PROCEDUREP(BgL_auxz00_20672);
						}
					else
						{	/* Eval/evaluate_comp.scm 856 */
							BgL_testz00_20668 = ((bool_t) 0);
						}
					if (BgL_testz00_20668)
						{	/* Eval/evaluate_comp.scm 858 */
							BgL_ev_littz00_bglt BgL_i1217z00_1966;

							BgL_i1217z00_1966 = ((BgL_ev_littz00_bglt) BgL_funz00_181);
							if (PROCEDURE_CORRECT_ARITYP(
									(((BgL_ev_littz00_bglt) CREF(BgL_i1217z00_1966))->
										BgL_valuez00), (int) (BgL_nbargsz00_182)))
								{	/* Eval/evaluate_comp.scm 859 */
									return
										(((BgL_ev_littz00_bglt) CREF(BgL_i1217z00_1966))->
										BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 859 */
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_183,
										BgL_symbzd2funzd2_184, (int) (BgL_nbargsz00_182),
										PROCEDURE_ARITY((((BgL_ev_littz00_bglt)
													CREF(BgL_i1217z00_1966))->BgL_valuez00)));
						}}
					else
						{	/* Eval/evaluate_comp.scm 856 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_185, obj_t BgL_stkz00_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 864 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 869 */
					BgL_ev_littz00_bglt BgL_i1218z00_1976;

					BgL_i1218z00_1976 = ((BgL_ev_littz00_bglt) BgL_exprz00_185);
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1976))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 870 */
							obj_t BgL_v1597z00_1978;

							BgL_v1597z00_1978 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 870 */
								double BgL_arg2416z00_1979;

								BgL_arg2416z00_1979 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1976))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 870 */
									int BgL_kz00_8375;
									obj_t BgL_objz00_8376;

									BgL_kz00_8375 = (int) (((long) 1));
									BgL_objz00_8376 = DOUBLE_TO_REAL(BgL_arg2416z00_1979);
									VECTOR_SET(BgL_v1597z00_1978, BgL_kz00_8375, BgL_objz00_8376);
							}}
							VECTOR_SET(BgL_v1597z00_1978,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1597z00_1978;
						}
					else
						{	/* Eval/evaluate_comp.scm 871 */
							bool_t BgL_testz00_20703;

							{	/* Eval/evaluate_comp.scm 871 */
								obj_t BgL_auxz00_20704;

								BgL_auxz00_20704 =
									(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1976))->
									BgL_valuez00);
								BgL_testz00_20703 = REALP(BgL_auxz00_20704);
							}
							if (BgL_testz00_20703)
								{	/* Eval/evaluate_comp.scm 871 */
									obj_t BgL_v1598z00_1982;

									BgL_v1598z00_1982 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1598z00_1982,
										(int) (((long) 1)),
										(((BgL_ev_littz00_bglt) CREF(BgL_i1218z00_1976))->
											BgL_valuez00));
									VECTOR_SET(BgL_v1598z00_1982, (int) (((long) 0)),
										BINT(((long) 1)));
									return BgL_v1598z00_1982;
								}
							else
								{	/* Eval/evaluate_comp.scm 872 */
									obj_t BgL_v1599z00_1984;

									BgL_v1599z00_1984 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 872 */
										obj_t BgL_arg2421z00_1985;

										BgL_arg2421z00_1985 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_185)),
											BgL_stkz00_186);
										VECTOR_SET(BgL_v1599z00_1984, (int) (((long) 1)),
											BgL_arg2421z00_1985);
									}
									VECTOR_SET(BgL_v1599z00_1984,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1599z00_1984;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 868 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 874 */
							BgL_ev_varz00_bglt BgL_i1219z00_1989;

							BgL_i1219z00_1989 = ((BgL_ev_varz00_bglt) BgL_exprz00_185);
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(BgL_i1219z00_1989))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 876 */
									obj_t BgL_v1600z00_1991;

									BgL_v1600z00_1991 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1600z00_1991,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1600z00_1991, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1600z00_1991;
								}
							else
								{	/* Eval/evaluate_comp.scm 877 */
									obj_t BgL_v1601z00_1993;

									BgL_v1601z00_1993 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1601z00_1993,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_185,
											BgL_stkz00_186));
									VECTOR_SET(BgL_v1601z00_1993, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1601z00_1993;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 873 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 879 */
									BgL_ev_globalz00_bglt BgL_i1220z00_1996;

									BgL_i1220z00_1996 = ((BgL_ev_globalz00_bglt) BgL_exprz00_185);
									{	/* Eval/evaluate_comp.scm 880 */
										obj_t BgL_gz00_1997;

										BgL_gz00_1997 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1220z00_1996))->
												BgL_modz00),
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1220z00_1996))->
												BgL_namez00));
										if (CBOOL(BgL_gz00_1997))
											{	/* Eval/evaluate_comp.scm 882 */
												bool_t BgL_testz00_20755;

												{	/* Eval/evaluate_comp.scm 882 */
													int BgL_arg2430z00_2001;

													{	/* Eval/evaluate_comp.scm 882 */
														int BgL_res4695z00_8409;

														{	/* Eval/evaluate_comp.scm 882 */
															obj_t BgL_evalzd2globalzd2_8406;

															BgL_evalzd2globalzd2_8406 = BgL_gz00_1997;
															{	/* Eval/evaluate_comp.scm 882 */
																int BgL_kz00_8408;

																BgL_kz00_8408 = (int) (((long) 0));
																BgL_res4695z00_8409 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_8406,
																		BgL_kz00_8408));
														}}
														BgL_arg2430z00_2001 = BgL_res4695z00_8409;
													}
													BgL_testz00_20755 =
														(BINT(BgL_arg2430z00_2001) == BINT(((long) 1)));
												}
												if (BgL_testz00_20755)
													{	/* Eval/evaluate_comp.scm 883 */
														obj_t BgL_v1602z00_1999;

														BgL_v1602z00_1999 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1602z00_1999,
															(int) (((long) 1)), BgL_gz00_1997);
														VECTOR_SET(BgL_v1602z00_1999,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v1602z00_1999;
													}
												else
													{	/* Eval/evaluate_comp.scm 884 */
														obj_t BgL_v1603z00_2000;

														BgL_v1603z00_2000 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1603z00_2000,
															(int) (((long) 1)), BgL_gz00_1997);
														VECTOR_SET(BgL_v1603z00_2000,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v1603z00_2000;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 885 */
												obj_t BgL_v1604z00_2002;

												BgL_v1604z00_2002 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 885 */
													obj_t BgL_arg2431z00_2003;

													BgL_arg2431z00_2003 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_185)),
														BgL_stkz00_186);
													VECTOR_SET(BgL_v1604z00_2002, (int) (((long) 1)),
														BgL_arg2431z00_2003);
												}
												VECTOR_SET(BgL_v1604z00_2002,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v1604z00_2002;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 878 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_185,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 887 */
											BgL_ev_appz00_bglt BgL_i1221z00_2007;

											BgL_i1221z00_2007 =
												((BgL_ev_appz00_bglt) BgL_exprz00_185);
											{	/* Eval/evaluate_comp.scm 888 */
												obj_t BgL_fvalz00_2008;

												BgL_fvalz00_2008 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1221z00_2007))->
														BgL_funz00));
												if ((BgL_fvalz00_2008 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 891 */
														obj_t BgL_v1605z00_2010;

														BgL_v1605z00_2010 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 891 */
															obj_t BgL_arg2436z00_2011;

															{	/* Eval/evaluate_comp.scm 891 */
																obj_t BgL_arg2437z00_2012;

																{	/* Eval/evaluate_comp.scm 891 */
																	obj_t BgL_pairz00_8428;

																	BgL_pairz00_8428 =
																		(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1221z00_2007))->BgL_argsz00);
																	BgL_arg2437z00_2012 =
																		CAR(CDR(BgL_pairz00_8428));
																}
																BgL_arg2436z00_2011 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg2437z00_2012, BgL_stkz00_186);
															}
															VECTOR_SET(BgL_v1605z00_2010,
																(int) (((long) 2)), BgL_arg2436z00_2011);
														}
														VECTOR_SET(BgL_v1605z00_2010,
															(int) (((long) 1)),
															BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
															(CAR((((BgL_ev_appz00_bglt)
																			CREF(BgL_i1221z00_2007))->BgL_argsz00)),
																BgL_stkz00_186));
														VECTOR_SET(BgL_v1605z00_2010, (int) (((long) 0)),
															BINT(((long) 6)));
														return BgL_v1605z00_2010;
													}
												else
													{	/* Eval/evaluate_comp.scm 890 */
														if (
															(BgL_fvalz00_2008 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 893 */
																obj_t BgL_v1606z00_2018;

																BgL_v1606z00_2018 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 893 */
																	obj_t BgL_arg2443z00_2019;

																	{	/* Eval/evaluate_comp.scm 893 */
																		obj_t BgL_arg2444z00_2020;

																		{	/* Eval/evaluate_comp.scm 893 */
																			obj_t BgL_pairz00_8444;

																			BgL_pairz00_8444 =
																				(((BgL_ev_appz00_bglt)
																					CREF(BgL_i1221z00_2007))->
																				BgL_argsz00);
																			BgL_arg2444z00_2020 =
																				CAR(CDR(BgL_pairz00_8444));
																		}
																		BgL_arg2443z00_2019 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg2444z00_2020, BgL_stkz00_186);
																	}
																	VECTOR_SET(BgL_v1606z00_2018,
																		(int) (((long) 2)), BgL_arg2443z00_2019);
																}
																VECTOR_SET(BgL_v1606z00_2018,
																	(int) (((long) 1)),
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(CAR((((BgL_ev_appz00_bglt)
																					CREF(BgL_i1221z00_2007))->
																				BgL_argsz00)), BgL_stkz00_186));
																VECTOR_SET(BgL_v1606z00_2018,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v1606z00_2018;
															}
														else
															{	/* Eval/evaluate_comp.scm 892 */
																if (
																	(BgL_fvalz00_2008 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 895 */
																		obj_t BgL_v1607z00_2026;

																		BgL_v1607z00_2026 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 895 */
																			obj_t BgL_arg2450z00_2027;

																			{	/* Eval/evaluate_comp.scm 895 */
																				obj_t BgL_arg2451z00_2028;

																				{	/* Eval/evaluate_comp.scm 895 */
																					obj_t BgL_pairz00_8460;

																					BgL_pairz00_8460 =
																						(((BgL_ev_appz00_bglt)
																							CREF(BgL_i1221z00_2007))->
																						BgL_argsz00);
																					BgL_arg2451z00_2028 =
																						CAR(CDR(BgL_pairz00_8460));
																				}
																				BgL_arg2450z00_2027 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg2451z00_2028, BgL_stkz00_186);
																			}
																			VECTOR_SET(BgL_v1607z00_2026,
																				(int) (((long) 2)),
																				BgL_arg2450z00_2027);
																		}
																		VECTOR_SET(BgL_v1607z00_2026,
																			(int) (((long) 1)),
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(CAR((((BgL_ev_appz00_bglt)
																							CREF(BgL_i1221z00_2007))->
																						BgL_argsz00)), BgL_stkz00_186));
																		VECTOR_SET(BgL_v1607z00_2026,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v1607z00_2026;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 894 */
																		if (
																			(BgL_fvalz00_2008 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 897 */
																				obj_t BgL_v1608z00_2034;

																				BgL_v1608z00_2034 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 897 */
																					obj_t BgL_arg2457z00_2035;

																					{	/* Eval/evaluate_comp.scm 897 */
																						obj_t BgL_arg2458z00_2036;

																						{	/* Eval/evaluate_comp.scm 897 */
																							obj_t BgL_pairz00_8476;

																							BgL_pairz00_8476 =
																								(((BgL_ev_appz00_bglt)
																									CREF(BgL_i1221z00_2007))->
																								BgL_argsz00);
																							BgL_arg2458z00_2036 =
																								CAR(CDR(BgL_pairz00_8476));
																						}
																						BgL_arg2457z00_2035 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg2458z00_2036,
																							BgL_stkz00_186);
																					}
																					VECTOR_SET(BgL_v1608z00_2034,
																						(int) (((long) 2)),
																						BgL_arg2457z00_2035);
																				}
																				VECTOR_SET(BgL_v1608z00_2034,
																					(int) (((long) 1)),
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(CAR((((BgL_ev_appz00_bglt)
																									CREF(BgL_i1221z00_2007))->
																								BgL_argsz00)), BgL_stkz00_186));
																				VECTOR_SET(BgL_v1608z00_2034,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v1608z00_2034;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 896 */
																				if (
																					(BgL_fvalz00_2008 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 899 */
																						obj_t BgL_v1609z00_2042;

																						BgL_v1609z00_2042 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 899 */
																							obj_t BgL_arg2464z00_2043;

																							{	/* Eval/evaluate_comp.scm 899 */
																								obj_t BgL_arg2465z00_2044;

																								BgL_arg2465z00_2044 =
																									CAR(
																									(((BgL_ev_appz00_bglt)
																											CREF(BgL_i1221z00_2007))->
																										BgL_argsz00));
																								BgL_arg2464z00_2043 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2465z00_2044),
																									BgL_stkz00_186);
																							}
																							VECTOR_SET(BgL_v1609z00_2042,
																								(int) (((long) 1)),
																								BgL_arg2464z00_2043);
																						}
																						VECTOR_SET(BgL_v1609z00_2042,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v1609z00_2042;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 898 */
																						if (
																							(BgL_fvalz00_2008 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 901 */
																								obj_t BgL_v1610z00_2047;

																								BgL_v1610z00_2047 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 901 */
																									obj_t BgL_arg2468z00_2048;

																									{	/* Eval/evaluate_comp.scm 901 */
																										obj_t BgL_arg2469z00_2049;

																										{	/* Eval/evaluate_comp.scm 901 */
																											obj_t BgL_pairz00_8499;

																											BgL_pairz00_8499 =
																												(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1221z00_2007))->
																												BgL_argsz00);
																											BgL_arg2469z00_2049 =
																												CAR(CDR
																												(BgL_pairz00_8499));
																										}
																										BgL_arg2468z00_2048 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2469z00_2049),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1610z00_2047,
																										(int) (((long) 2)),
																										BgL_arg2468z00_2048);
																								}
																								{	/* Eval/evaluate_comp.scm 901 */
																									obj_t BgL_arg2471z00_2051;

																									{	/* Eval/evaluate_comp.scm 901 */
																										obj_t BgL_arg2472z00_2052;

																										BgL_arg2472z00_2052 =
																											CAR(
																											(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1221z00_2007))->
																												BgL_argsz00));
																										BgL_arg2471z00_2051 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2472z00_2052),
																											BgL_stkz00_186);
																									}
																									VECTOR_SET(BgL_v1610z00_2047,
																										(int) (((long) 1)),
																										BgL_arg2471z00_2051);
																								}
																								VECTOR_SET(BgL_v1610z00_2047,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v1610z00_2047;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 903 */
																								obj_t BgL_v1611z00_2054;

																								BgL_v1611z00_2054 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 903 */
																									obj_t BgL_arg2474z00_2055;

																									BgL_arg2474z00_2055 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_185)),
																										BgL_stkz00_186);
																									VECTOR_SET(BgL_v1611z00_2054,
																										(int) (((long) 1)),
																										BgL_arg2474z00_2055);
																								}
																								VECTOR_SET(BgL_v1611z00_2054,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v1611z00_2054;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 904 */
											obj_t BgL_v1612z00_2057;

											BgL_v1612z00_2057 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 904 */
												obj_t BgL_arg2476z00_2058;

												BgL_arg2476z00_2058 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_185),
													BgL_stkz00_186);
												VECTOR_SET(BgL_v1612z00_2057, (int) (((long) 1)),
													BgL_arg2476z00_2058);
											}
											VECTOR_SET(BgL_v1612z00_2057,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1612z00_2057;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_187,
		obj_t BgL_sz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 906 */
			return
				REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_188,
					BgL_bcz00_187));
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_17632, obj_t BgL_bcz00_2063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 921 */
			{	/* Eval/evaluate_comp.scm 908 */
				obj_t BgL_aux1223z00_2066;

				BgL_aux1223z00_2066 = VECTOR_REF(BgL_bcz00_2063, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1223z00_2066))
					{	/* Eval/evaluate_comp.scm 908 */
						switch ((long) CINT(BgL_aux1223z00_2066))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 909 */
									obj_t BgL_fun2480z00_2068;

									BgL_fun2480z00_2068 =
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2480z00_2068) (BgL_fun2480z00_2068,
										BgL_sz00_17632, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 911 */
									long BgL_arg2481z00_2069;

									{	/* Eval/evaluate_comp.scm 911 */
										obj_t BgL_arg2482z00_2070;
										obj_t BgL_arg2483z00_2071;

										BgL_arg2482z00_2070 =
											VECTOR_REF(BgL_sz00_17632, (int) (((long) 0)));
										BgL_arg2483z00_2071 =
											VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
										BgL_arg2481z00_2069 =
											(
											(long) CINT(BgL_arg2482z00_2070) +
											(long) CINT(BgL_arg2483z00_2071));
									}
									return
										VECTOR_REF(BgL_sz00_17632, (int) (BgL_arg2481z00_2069));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 912 */
									obj_t BgL_arg2484z00_2072;

									{	/* Eval/evaluate_comp.scm 912 */
										long BgL_arg2485z00_2073;

										{	/* Eval/evaluate_comp.scm 912 */
											obj_t BgL_arg2486z00_2074;
											obj_t BgL_arg2487z00_2075;

											BgL_arg2486z00_2074 =
												VECTOR_REF(BgL_sz00_17632, (int) (((long) 0)));
											BgL_arg2487z00_2075 =
												VECTOR_REF(BgL_sz00_17632, (int) (((long) 1)));
											BgL_arg2485z00_2073 =
												(
												(long) CINT(BgL_arg2486z00_2074) +
												(long) CINT(BgL_arg2487z00_2075));
										}
										BgL_arg2484z00_2072 =
											VECTOR_REF(BgL_sz00_17632, (int) (BgL_arg2485z00_2073));
									}
									return STRUCT_REF(BgL_arg2484z00_2072, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_arg2488z00_2076;

									{	/* Eval/evaluate_comp.scm 913 */
										obj_t BgL_arg2489z00_2077;

										BgL_arg2489z00_2077 =
											VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
										BgL_arg2488z00_2076 =
											VECTOR_REF(BgL_arg2489z00_2077, (int) (((long) 2)));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2488z00_2076);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 914 */
									obj_t BgL_arg2490z00_2078;

									BgL_arg2490z00_2078 =
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
									return VECTOR_REF(BgL_arg2490z00_2078, (int) (((long) 2)));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 915 */
									obj_t BgL_arg2491z00_2079;
									obj_t BgL_arg2492z00_2080;

									BgL_arg2491z00_2079 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1))));
									BgL_arg2492z00_2080 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2491z00_2079) +
											REAL_TO_DOUBLE(BgL_arg2492z00_2080)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 916 */
									obj_t BgL_arg2495z00_2083;
									obj_t BgL_arg2496z00_2084;

									BgL_arg2495z00_2083 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1))));
									BgL_arg2496z00_2084 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2495z00_2083) -
											REAL_TO_DOUBLE(BgL_arg2496z00_2084)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 917 */
									obj_t BgL_arg2499z00_2087;
									obj_t BgL_arg2500z00_2088;

									BgL_arg2499z00_2087 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1))));
									BgL_arg2500z00_2088 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2499z00_2087) *
											REAL_TO_DOUBLE(BgL_arg2500z00_2088)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 918 */
									obj_t BgL_arg2503z00_2091;
									obj_t BgL_arg2504z00_2092;

									BgL_arg2503z00_2091 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1))));
									BgL_arg2504z00_2092 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_17632,
										VECTOR_REF(BgL_bcz00_2063, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2503z00_2091) /
											REAL_TO_DOUBLE(BgL_arg2504z00_2092)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 919 */
									obj_t BgL_arg2507z00_2095;

									{	/* Eval/evaluate_comp.scm 919 */
										obj_t BgL_fun2508z00_2096;

										BgL_fun2508z00_2096 =
											VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
										BgL_arg2507z00_2095 =
											PROCEDURE_ENTRY(BgL_fun2508z00_2096) (BgL_fun2508z00_2096,
											BgL_sz00_17632, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2507z00_2095)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 920 */
									obj_t BgL_arg2509z00_2097;
									obj_t BgL_arg2510z00_2098;

									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2511z00_2099;

										BgL_fun2511z00_2099 =
											VECTOR_REF(BgL_bcz00_2063, (int) (((long) 1)));
										BgL_arg2509z00_2097 =
											PROCEDURE_ENTRY(BgL_fun2511z00_2099) (BgL_fun2511z00_2099,
											BgL_sz00_17632, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 920 */
										obj_t BgL_fun2512z00_2100;

										BgL_fun2512z00_2100 =
											VECTOR_REF(BgL_bcz00_2063, (int) (((long) 2)));
										BgL_arg2510z00_2098 =
											PROCEDURE_ENTRY(BgL_fun2512z00_2100) (BgL_fun2512z00_2100,
											BgL_sz00_17632, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 920 */
										double BgL_auxz00_21019;

										{	/* Eval/evaluate_comp.scm 920 */
											long BgL_auxz00_21020;

											BgL_auxz00_21020 = (long) CINT(BgL_arg2510z00_2098);
											BgL_auxz00_21019 =
												BGL_F64VREF(BgL_arg2509z00_2097, BgL_auxz00_21020);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_21019);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5531z00zz__evaluate_compz00,
									BGl_string5550z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2063, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 908 */
						return
							BGl_errorz00zz__errorz00(BGl_string5531z00zz__evaluate_compz00,
							BGl_string5550z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2063,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_189, obj_t BgL_stkz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 924 */
			{	/* Eval/evaluate_comp.scm 926 */
				obj_t BgL_fvalz00_2104;

				BgL_fvalz00_2104 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_189))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 927 */
					bool_t BgL_testz00_21034;

					if (
						(BgL_fvalz00_2104 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 927 */
							BgL_testz00_21034 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 927 */
							if (
								(BgL_fvalz00_2104 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 927 */
									BgL_testz00_21034 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 927 */
									if (
										(BgL_fvalz00_2104 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 927 */
											BgL_testz00_21034 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 927 */
											BgL_testz00_21034 =
												(BgL_fvalz00_2104 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_21034)
						{	/* Eval/evaluate_comp.scm 928 */
							obj_t BgL_bcz00_2106;

							BgL_bcz00_2106 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_189), BgL_stkz00_190);
							{	/* Eval/evaluate_comp.scm 929 */
								obj_t BgL_zc3anonymousza32515ze3z83_15785;

								BgL_zc3anonymousza32515ze3z83_15785 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32515ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32515ze3z83_15785,
									(int) (((long) 0)), BgL_bcz00_2106);
								return BgL_zc3anonymousza32515ze3z83_15785;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 927 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2515> */
	obj_t BGl_z62zc3anonymousza32515ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15786, obj_t BgL_sz00_15788)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 929 */
			{	/* Eval/evaluate_comp.scm 929 */
				obj_t BgL_bcz00_15787;

				BgL_bcz00_15787 =
					((obj_t) PROCEDURE_REF(BgL_envz00_15786, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2107;

					{	/* Eval/evaluate_comp.scm 929 */
						double BgL_auxz00_21052;

						BgL_sz00_2107 = BgL_sz00_15788;
						{	/* Eval/evaluate_comp.scm 929 */
							obj_t BgL_bpz00_8607;

							BgL_bpz00_8607 = VECTOR_REF(BgL_sz00_2107, (int) (((long) 0)));
							BgL_auxz00_21052 =
								BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_15787,
								BgL_sz00_2107);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_21052);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_191,
		BgL_ev_exprz00_bglt BgL_funz00_192, obj_t BgL_argsz00_193,
		obj_t BgL_stkz00_194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 955 */
			{	/* Eval/evaluate_comp.scm 956 */
				obj_t BgL_valz00_2114;

				BgL_valz00_2114 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_192);
				if (CBOOL(BgL_valz00_2114))
					{	/* Eval/evaluate_comp.scm 958 */
						long BgL_nz00_2115;

						BgL_nz00_2115 = bgl_list_length(BgL_argsz00_193);
						{	/* Eval/evaluate_comp.scm 959 */
							obj_t BgL__ortest_1229z00_2116;

							if ((BgL_nz00_2115 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 960 */
									obj_t BgL_a1z00_2407;

									BgL_a1z00_2407 = CAR(BgL_argsz00_193);
									if (
										(BgL_valz00_2114 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 961 */
											obj_t BgL_a1z00_2409;

											BgL_a1z00_2409 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_2407), BgL_stkz00_194);
											{	/* Eval/evaluate_comp.scm 961 */
												obj_t BgL_zc3anonymousza32635ze3z83_15818;

												BgL_zc3anonymousza32635ze3z83_15818 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_15818,
													(int) (((long) 0)), BgL_a1z00_2409);
												PROCEDURE_SET(BgL_zc3anonymousza32635ze3z83_15818,
													(int) (((long) 1)), BgL_locz00_191);
												BgL__ortest_1229z00_2116 =
													BgL_zc3anonymousza32635ze3z83_15818;
										}}
									else
										{	/* Eval/evaluate_comp.scm 961 */
											if (
												(BgL_valz00_2114 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 961 */
													obj_t BgL_a1z00_2416;

													BgL_a1z00_2416 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2407),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 961 */
														obj_t BgL_zc3anonymousza32638ze3z83_15819;

														BgL_zc3anonymousza32638ze3z83_15819 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza32638ze3z83_15819,
															(int) (((long) 0)), BgL_a1z00_2416);
														PROCEDURE_SET(BgL_zc3anonymousza32638ze3z83_15819,
															(int) (((long) 1)), BgL_locz00_191);
														BgL__ortest_1229z00_2116 =
															BgL_zc3anonymousza32638ze3z83_15819;
												}}
											else
												{	/* Eval/evaluate_comp.scm 961 */
													if (
														(BgL_valz00_2114 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 961 */
															obj_t BgL_a1z00_2423;

															BgL_a1z00_2423 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2407),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 961 */
																obj_t BgL_zc3anonymousza32641ze3z83_15820;

																BgL_zc3anonymousza32641ze3z83_15820 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32641ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32641ze3z83_15820,
																	(int) (((long) 0)), BgL_a1z00_2423);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32641ze3z83_15820,
																	(int) (((long) 1)), BgL_locz00_191);
																BgL__ortest_1229z00_2116 =
																	BgL_zc3anonymousza32641ze3z83_15820;
														}}
													else
														{	/* Eval/evaluate_comp.scm 961 */
															BgL__ortest_1229z00_2116 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 959 */
									BgL__ortest_1229z00_2116 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1229z00_2116))
								{	/* Eval/evaluate_comp.scm 959 */
									return BgL__ortest_1229z00_2116;
								}
							else
								{	/* Eval/evaluate_comp.scm 959 */
									if ((BgL_nz00_2115 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 963 */
											obj_t BgL_a1z00_2118;
											obj_t BgL_a2z00_2119;

											BgL_a1z00_2118 = CAR(BgL_argsz00_193);
											{	/* Eval/evaluate_comp.scm 963 */
												obj_t BgL_pairz00_8642;

												BgL_pairz00_8642 = BgL_argsz00_193;
												BgL_a2z00_2119 = CAR(CDR(BgL_pairz00_8642));
											}
											if (
												(BgL_valz00_2114 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 964 */
													obj_t BgL_a1z00_2121;
													obj_t BgL_a2z00_2122;

													BgL_a1z00_2121 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2118),
														BgL_stkz00_194);
													BgL_a2z00_2122 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2119),
														BgL_stkz00_194);
													{	/* Eval/evaluate_comp.scm 964 */
														obj_t BgL_zc3anonymousza32522ze3z83_15789;

														BgL_zc3anonymousza32522ze3z83_15789 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32522ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32522ze3z83_15789,
															(int) (((long) 0)), BgL_a1z00_2121);
														PROCEDURE_SET(BgL_zc3anonymousza32522ze3z83_15789,
															(int) (((long) 1)), BgL_a2z00_2122);
														PROCEDURE_SET(BgL_zc3anonymousza32522ze3z83_15789,
															(int) (((long) 2)), BgL_locz00_191);
														return BgL_zc3anonymousza32522ze3z83_15789;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 964 */
													if (
														(BgL_valz00_2114 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 964 */
															obj_t BgL_a1z00_2131;
															obj_t BgL_a2z00_2132;

															BgL_a1z00_2131 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2118),
																BgL_stkz00_194);
															BgL_a2z00_2132 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2119),
																BgL_stkz00_194);
															{	/* Eval/evaluate_comp.scm 964 */
																obj_t BgL_zc3anonymousza32526ze3z83_15790;

																BgL_zc3anonymousza32526ze3z83_15790 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32526ze3z83_15790,
																	(int) (((long) 0)), BgL_a1z00_2131);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32526ze3z83_15790,
																	(int) (((long) 1)), BgL_a2z00_2132);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32526ze3z83_15790,
																	(int) (((long) 2)), BgL_locz00_191);
																return BgL_zc3anonymousza32526ze3z83_15790;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 964 */
															if (
																(BgL_valz00_2114 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 964 */
																	obj_t BgL_a1z00_2141;
																	obj_t BgL_a2z00_2142;

																	BgL_a1z00_2141 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2118),
																		BgL_stkz00_194);
																	BgL_a2z00_2142 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2119),
																		BgL_stkz00_194);
																	{	/* Eval/evaluate_comp.scm 964 */
																		obj_t BgL_zc3anonymousza32530ze3z83_15791;

																		BgL_zc3anonymousza32530ze3z83_15791 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32530ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32530ze3z83_15791,
																			(int) (((long) 0)), BgL_a1z00_2141);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32530ze3z83_15791,
																			(int) (((long) 1)), BgL_a2z00_2142);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32530ze3z83_15791,
																			(int) (((long) 2)), BgL_locz00_191);
																		return BgL_zc3anonymousza32530ze3z83_15791;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 964 */
																	if (
																		(BgL_valz00_2114 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 964 */
																			obj_t BgL_a1z00_2151;
																			obj_t BgL_a2z00_2152;

																			BgL_a1z00_2151 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2118),
																				BgL_stkz00_194);
																			BgL_a2z00_2152 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2119),
																				BgL_stkz00_194);
																			{	/* Eval/evaluate_comp.scm 964 */
																				obj_t
																					BgL_zc3anonymousza32534ze3z83_15792;
																				BgL_zc3anonymousza32534ze3z83_15792 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32534ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32534ze3z83_15792,
																					(int) (((long) 0)), BgL_a1z00_2151);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32534ze3z83_15792,
																					(int) (((long) 1)), BgL_a2z00_2152);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32534ze3z83_15792,
																					(int) (((long) 2)), BgL_locz00_191);
																				return
																					BgL_zc3anonymousza32534ze3z83_15792;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 964 */
																			if (
																				(BgL_valz00_2114 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 964 */
																					obj_t BgL_a1z00_2161;
																					obj_t BgL_a2z00_2162;

																					BgL_a1z00_2161 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2118), BgL_stkz00_194);
																					BgL_a2z00_2162 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2119), BgL_stkz00_194);
																					{	/* Eval/evaluate_comp.scm 964 */
																						obj_t
																							BgL_zc3anonymousza32538ze3z83_15793;
																						BgL_zc3anonymousza32538ze3z83_15793
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32538ze3z83_15793,
																							(int) (((long) 0)),
																							BgL_a1z00_2161);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32538ze3z83_15793,
																							(int) (((long) 1)),
																							BgL_a2z00_2162);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32538ze3z83_15793,
																							(int) (((long) 2)),
																							BgL_locz00_191);
																						return
																							BgL_zc3anonymousza32538ze3z83_15793;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 964 */
																					if (
																						(BgL_valz00_2114 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 964 */
																							obj_t BgL_a1z00_2171;
																							obj_t BgL_a2z00_2172;

																							BgL_a1z00_2171 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2118),
																								BgL_stkz00_194);
																							BgL_a2z00_2172 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2119),
																								BgL_stkz00_194);
																							{	/* Eval/evaluate_comp.scm 964 */
																								obj_t
																									BgL_zc3anonymousza32542ze3z83_15794;
																								BgL_zc3anonymousza32542ze3z83_15794
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32542ze3z83_15794,
																									(int) (((long) 0)),
																									BgL_a1z00_2171);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32542ze3z83_15794,
																									(int) (((long) 1)),
																									BgL_a2z00_2172);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32542ze3z83_15794,
																									(int) (((long) 2)),
																									BgL_locz00_191);
																								return
																									BgL_zc3anonymousza32542ze3z83_15794;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 964 */
																							if (
																								(BgL_valz00_2114 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 964 */
																									obj_t BgL_a1z00_2181;
																									obj_t BgL_a2z00_2182;

																									BgL_a1z00_2181 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2118),
																										BgL_stkz00_194);
																									BgL_a2z00_2182 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2119),
																										BgL_stkz00_194);
																									{	/* Eval/evaluate_comp.scm 964 */
																										obj_t
																											BgL_zc3anonymousza32546ze3z83_15795;
																										BgL_zc3anonymousza32546ze3z83_15795
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32546ze3z83_15795,
																											(int) (((long) 0)),
																											BgL_a1z00_2181);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32546ze3z83_15795,
																											(int) (((long) 1)),
																											BgL_a2z00_2182);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32546ze3z83_15795,
																											(int) (((long) 2)),
																											BgL_locz00_191);
																										return
																											BgL_zc3anonymousza32546ze3z83_15795;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 964 */
																									if (
																										(BgL_valz00_2114 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 964 */
																											obj_t BgL_a1z00_2191;
																											obj_t BgL_a2z00_2192;

																											BgL_a1z00_2191 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2118),
																												BgL_stkz00_194);
																											BgL_a2z00_2192 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2119),
																												BgL_stkz00_194);
																											{	/* Eval/evaluate_comp.scm 964 */
																												obj_t
																													BgL_zc3anonymousza32550ze3z83_15796;
																												BgL_zc3anonymousza32550ze3z83_15796
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32550ze3z83_15796,
																													(int) (((long) 0)),
																													BgL_a1z00_2191);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32550ze3z83_15796,
																													(int) (((long) 1)),
																													BgL_a2z00_2192);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32550ze3z83_15796,
																													(int) (((long) 2)),
																													BgL_locz00_191);
																												return
																													BgL_zc3anonymousza32550ze3z83_15796;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 964 */
																											if (
																												(BgL_valz00_2114 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 964 */
																													obj_t BgL_a1z00_2201;
																													obj_t BgL_a2z00_2202;

																													BgL_a1z00_2201 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																													BgL_a2z00_2202 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																													{	/* Eval/evaluate_comp.scm 964 */
																														obj_t
																															BgL_zc3anonymousza32554ze3z83_15797;
																														BgL_zc3anonymousza32554ze3z83_15797
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32554ze3z83_15797,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2201);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32554ze3z83_15797,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2202);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32554ze3z83_15797,
																															(int) (((long)
																																	2)),
																															BgL_locz00_191);
																														return
																															BgL_zc3anonymousza32554ze3z83_15797;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 964 */
																													if (
																														(BgL_valz00_2114 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 964 */
																															obj_t
																																BgL_a1z00_2211;
																															obj_t
																																BgL_a2z00_2212;
																															BgL_a1z00_2211 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																															BgL_a2z00_2212 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																															{	/* Eval/evaluate_comp.scm 964 */
																																obj_t
																																	BgL_zc3anonymousza32558ze3z83_15798;
																																BgL_zc3anonymousza32558ze3z83_15798
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32558ze3z83_15798,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2211);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32558ze3z83_15798,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2212);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32558ze3z83_15798,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_191);
																																return
																																	BgL_zc3anonymousza32558ze3z83_15798;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 964 */
																															if (
																																(BgL_valz00_2114
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 964 */
																																	obj_t
																																		BgL_a1z00_2221;
																																	obj_t
																																		BgL_a2z00_2222;
																																	BgL_a1z00_2221
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																	BgL_a2z00_2222
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																	{	/* Eval/evaluate_comp.scm 964 */
																																		obj_t
																																			BgL_zc3anonymousza32562ze3z83_15799;
																																		BgL_zc3anonymousza32562ze3z83_15799
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32562ze3z83_15799,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2221);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32562ze3z83_15799,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2222);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32562ze3z83_15799,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_191);
																																		return
																																			BgL_zc3anonymousza32562ze3z83_15799;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 964 */
																																	if (
																																		(BgL_valz00_2114
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 964 */
																																			obj_t
																																				BgL_a1z00_2231;
																																			obj_t
																																				BgL_a2z00_2232;
																																			BgL_a1z00_2231
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																			BgL_a2z00_2232
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																			{	/* Eval/evaluate_comp.scm 964 */
																																				obj_t
																																					BgL_zc3anonymousza32566ze3z83_15800;
																																				BgL_zc3anonymousza32566ze3z83_15800
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32566ze3z83_15800,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2231);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32566ze3z83_15800,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2232);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32566ze3z83_15800,
																																					(int)
																																					(((long) 2)), BgL_locz00_191);
																																				return
																																					BgL_zc3anonymousza32566ze3z83_15800;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 964 */
																																			if (
																																				(BgL_valz00_2114
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 964 */
																																					obj_t
																																						BgL_a1z00_2241;
																																					obj_t
																																						BgL_a2z00_2242;
																																					BgL_a1z00_2241
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																					BgL_a2z00_2242
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																					{	/* Eval/evaluate_comp.scm 964 */
																																						obj_t
																																							BgL_zc3anonymousza32570ze3z83_15801;
																																						BgL_zc3anonymousza32570ze3z83_15801
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32570ze3z83_15801,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2241);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32570ze3z83_15801,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2242);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32570ze3z83_15801,
																																							(int)
																																							(((long) 2)), BgL_locz00_191);
																																						return
																																							BgL_zc3anonymousza32570ze3z83_15801;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 964 */
																																					if (
																																						(BgL_valz00_2114
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 964 */
																																							obj_t
																																								BgL_a1z00_2251;
																																							obj_t
																																								BgL_a2z00_2252;
																																							BgL_a1z00_2251
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																							BgL_a2z00_2252
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																							{	/* Eval/evaluate_comp.scm 964 */
																																								obj_t
																																									BgL_zc3anonymousza32574ze3z83_15802;
																																								BgL_zc3anonymousza32574ze3z83_15802
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32574ze3z83_15802,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2251);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32574ze3z83_15802,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2252);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32574ze3z83_15802,
																																									(int)
																																									(((long) 2)), BgL_locz00_191);
																																								return
																																									BgL_zc3anonymousza32574ze3z83_15802;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 964 */
																																							if ((BgL_valz00_2114 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 964 */
																																									obj_t
																																										BgL_a1z00_2261;
																																									obj_t
																																										BgL_a2z00_2262;
																																									BgL_a1z00_2261
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																									BgL_a2z00_2262
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																									{	/* Eval/evaluate_comp.scm 964 */
																																										obj_t
																																											BgL_zc3anonymousza32578ze3z83_15803;
																																										BgL_zc3anonymousza32578ze3z83_15803
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32578ze3z83_15803,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2261);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32578ze3z83_15803,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2262);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32578ze3z83_15803,
																																											(int)
																																											(((long) 2)), BgL_locz00_191);
																																										return
																																											BgL_zc3anonymousza32578ze3z83_15803;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 964 */
																																									if ((BgL_valz00_2114 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 964 */
																																											obj_t
																																												BgL_a1z00_2271;
																																											obj_t
																																												BgL_a2z00_2272;
																																											BgL_a1z00_2271
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																											BgL_a2z00_2272
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																											{	/* Eval/evaluate_comp.scm 964 */
																																												obj_t
																																													BgL_zc3anonymousza32582ze3z83_15804;
																																												BgL_zc3anonymousza32582ze3z83_15804
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32582ze3z83_15804,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2271);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32582ze3z83_15804,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2272);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32582ze3z83_15804,
																																													(int)
																																													(((long) 2)), BgL_locz00_191);
																																												return
																																													BgL_zc3anonymousza32582ze3z83_15804;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 964 */
																																											if ((BgL_valz00_2114 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 964 */
																																													obj_t
																																														BgL_a1z00_2281;
																																													obj_t
																																														BgL_a2z00_2282;
																																													BgL_a1z00_2281
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																													BgL_a2z00_2282
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																													{	/* Eval/evaluate_comp.scm 964 */
																																														obj_t
																																															BgL_zc3anonymousza32586ze3z83_15805;
																																														BgL_zc3anonymousza32586ze3z83_15805
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32586ze3z83_15805,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2281);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32586ze3z83_15805,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2282);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32586ze3z83_15805,
																																															(int)
																																															(((long) 2)), BgL_locz00_191);
																																														return
																																															BgL_zc3anonymousza32586ze3z83_15805;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 964 */
																																													if ((BgL_valz00_2114 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 964 */
																																															obj_t
																																																BgL_a1z00_2291;
																																															obj_t
																																																BgL_a2z00_2292;
																																															BgL_a1z00_2291
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																															BgL_a2z00_2292
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																															{	/* Eval/evaluate_comp.scm 964 */
																																																obj_t
																																																	BgL_zc3anonymousza32590ze3z83_15806;
																																																BgL_zc3anonymousza32590ze3z83_15806
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32590ze3z83_15806,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2291);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32590ze3z83_15806,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2292);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32590ze3z83_15806,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_191);
																																																return
																																																	BgL_zc3anonymousza32590ze3z83_15806;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 964 */
																																															if ((BgL_valz00_2114 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 964 */
																																																	obj_t
																																																		BgL_a1z00_2301;
																																																	obj_t
																																																		BgL_a2z00_2302;
																																																	BgL_a1z00_2301
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																	BgL_a2z00_2302
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																	{	/* Eval/evaluate_comp.scm 964 */
																																																		obj_t
																																																			BgL_zc3anonymousza32594ze3z83_15807;
																																																		BgL_zc3anonymousza32594ze3z83_15807
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32594ze3z83_15807,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2301);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32594ze3z83_15807,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2302);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32594ze3z83_15807,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_191);
																																																		return
																																																			BgL_zc3anonymousza32594ze3z83_15807;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 964 */
																																																	if ((BgL_valz00_2114 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																			obj_t
																																																				BgL_a1z00_2311;
																																																			obj_t
																																																				BgL_a2z00_2312;
																																																			BgL_a1z00_2311
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																			BgL_a2z00_2312
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																			{	/* Eval/evaluate_comp.scm 964 */
																																																				obj_t
																																																					BgL_zc3anonymousza32598ze3z83_15808;
																																																				BgL_zc3anonymousza32598ze3z83_15808
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32598ze3z83_15808,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2311);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32598ze3z83_15808,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2312);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza32598ze3z83_15808,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_191);
																																																				return
																																																					BgL_zc3anonymousza32598ze3z83_15808;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																			if ((BgL_valz00_2114 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																					obj_t
																																																						BgL_a1z00_2321;
																																																					obj_t
																																																						BgL_a2z00_2322;
																																																					BgL_a1z00_2321
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																					BgL_a2z00_2322
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																					{	/* Eval/evaluate_comp.scm 964 */
																																																						obj_t
																																																							BgL_zc3anonymousza32602ze3z83_15809;
																																																						BgL_zc3anonymousza32602ze3z83_15809
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32602ze3z83_15809,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2321);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32602ze3z83_15809,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2322);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza32602ze3z83_15809,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_191);
																																																						return
																																																							BgL_zc3anonymousza32602ze3z83_15809;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																					if ((BgL_valz00_2114 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 964 */
																																																							obj_t
																																																								BgL_a1z00_2331;
																																																							obj_t
																																																								BgL_a2z00_2332;
																																																							BgL_a1z00_2331
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																							BgL_a2z00_2332
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																							{	/* Eval/evaluate_comp.scm 964 */
																																																								obj_t
																																																									BgL_zc3anonymousza32606ze3z83_15810;
																																																								BgL_zc3anonymousza32606ze3z83_15810
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32606ze3z83_15810,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2331);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32606ze3z83_15810,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2332);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza32606ze3z83_15810,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_191);
																																																								return
																																																									BgL_zc3anonymousza32606ze3z83_15810;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 964 */
																																																							if ((BgL_valz00_2114 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 964 */
																																																									obj_t
																																																										BgL_a1z00_2341;
																																																									obj_t
																																																										BgL_a2z00_2342;
																																																									BgL_a1z00_2341
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																									BgL_a2z00_2342
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																									{	/* Eval/evaluate_comp.scm 964 */
																																																										obj_t
																																																											BgL_zc3anonymousza32610ze3z83_15811;
																																																										BgL_zc3anonymousza32610ze3z83_15811
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32610ze3z83_15811,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2341);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32610ze3z83_15811,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2342);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza32610ze3z83_15811,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_191);
																																																										return
																																																											BgL_zc3anonymousza32610ze3z83_15811;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 964 */
																																																									if ((BgL_valz00_2114 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 964 */
																																																											obj_t
																																																												BgL_a1z00_2351;
																																																											obj_t
																																																												BgL_a2z00_2352;
																																																											BgL_a1z00_2351
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																											BgL_a2z00_2352
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																											{	/* Eval/evaluate_comp.scm 964 */
																																																												obj_t
																																																													BgL_zc3anonymousza32614ze3z83_15812;
																																																												BgL_zc3anonymousza32614ze3z83_15812
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32614ze3z83_15812,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2351);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32614ze3z83_15812,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2352);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza32614ze3z83_15812,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_191);
																																																												return
																																																													BgL_zc3anonymousza32614ze3z83_15812;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 964 */
																																																											if ((BgL_valz00_2114 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 964 */
																																																													obj_t
																																																														BgL_a1z00_2361;
																																																													obj_t
																																																														BgL_a2z00_2362;
																																																													BgL_a1z00_2361
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																													BgL_a2z00_2362
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																													{	/* Eval/evaluate_comp.scm 964 */
																																																														obj_t
																																																															BgL_zc3anonymousza32618ze3z83_15813;
																																																														BgL_zc3anonymousza32618ze3z83_15813
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32618ze3z83_15813,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_2361);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32618ze3z83_15813,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_2362);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza32618ze3z83_15813,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_191);
																																																														return
																																																															BgL_zc3anonymousza32618ze3z83_15813;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 964 */
																																																													if ((BgL_valz00_2114 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 964 */
																																																															obj_t
																																																																BgL_a1z00_2371;
																																																															obj_t
																																																																BgL_a2z00_2372;
																																																															BgL_a1z00_2371
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																															BgL_a2z00_2372
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																															{	/* Eval/evaluate_comp.scm 964 */
																																																																obj_t
																																																																	BgL_zc3anonymousza32622ze3z83_15814;
																																																																BgL_zc3anonymousza32622ze3z83_15814
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32622ze3z83_15814,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_2371);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32622ze3z83_15814,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_2372);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza32622ze3z83_15814,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_191);
																																																																return
																																																																	BgL_zc3anonymousza32622ze3z83_15814;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 964 */
																																																															if ((BgL_valz00_2114 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 964 */
																																																																	obj_t
																																																																		BgL_a1z00_2381;
																																																																	obj_t
																																																																		BgL_a2z00_2382;
																																																																	BgL_a1z00_2381
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																																	BgL_a2z00_2382
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																																	{	/* Eval/evaluate_comp.scm 964 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza32626ze3z83_15815;
																																																																		BgL_zc3anonymousza32626ze3z83_15815
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32626ze3z83_15815,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_2381);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32626ze3z83_15815,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_2382);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza32626ze3z83_15815,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_191);
																																																																		return
																																																																			BgL_zc3anonymousza32626ze3z83_15815;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 964 */
																																																																	if ((BgL_valz00_2114 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																																			obj_t
																																																																				BgL_a1z00_2391;
																																																																			obj_t
																																																																				BgL_a2z00_2392;
																																																																			BgL_a1z00_2391
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																																			BgL_a2z00_2392
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																																			{	/* Eval/evaluate_comp.scm 964 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza32630ze3z83_15816;
																																																																				BgL_zc3anonymousza32630ze3z83_15816
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32630ze3z83_15816,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_2391);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza32630ze3z83_15816,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_2392);
																																																																				return
																																																																					BgL_zc3anonymousza32630ze3z83_15816;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 964 */
																																																																			if ((BgL_valz00_2114 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																																					obj_t
																																																																						BgL_a1z00_2399;
																																																																					obj_t
																																																																						BgL_a2z00_2400;
																																																																					BgL_a1z00_2399
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2118), BgL_stkz00_194);
																																																																					BgL_a2z00_2400
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2119), BgL_stkz00_194);
																																																																					{	/* Eval/evaluate_comp.scm 964 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza32632ze3z83_15817;
																																																																						BgL_zc3anonymousza32632ze3z83_15817
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32632ze3z83_15817,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_2399);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza32632ze3z83_15817,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_2400);
																																																																						return
																																																																							BgL_zc3anonymousza32632ze3z83_15817;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 964 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 962 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 957 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2522> */
	obj_t BGl_z62zc3anonymousza32522ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15821, obj_t BgL_sz00_15825)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15822;
				obj_t BgL_a2z00_15823;
				obj_t BgL_locz00_15824;

				BgL_a1z00_15822 = PROCEDURE_REF(BgL_envz00_15821, (int) (((long) 0)));
				BgL_a2z00_15823 = PROCEDURE_REF(BgL_envz00_15821, (int) (((long) 1)));
				BgL_locz00_15824 = PROCEDURE_REF(BgL_envz00_15821, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2123;

					BgL_sz00_2123 = BgL_sz00_15825;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2125;

						BgL_bpz00_2125 = VECTOR_REF(BgL_sz00_2123, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2126;
							obj_t BgL_a2z00_2127;

							BgL_a1z00_2126 =
								PROCEDURE_ENTRY(BgL_a1z00_15822) (BgL_a1z00_15822,
								BgL_sz00_2123, BEOA);
							BgL_a2z00_2127 =
								PROCEDURE_ENTRY(BgL_a2z00_15823) (BgL_a2z00_15823,
								BgL_sz00_2123, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2126))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5551z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2126,
										BgL_locz00_15824);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2127))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5551z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2127,
										BgL_locz00_15824);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2126,
								BgL_a2z00_2127);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2526> */
	obj_t BGl_z62zc3anonymousza32526ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15826, obj_t BgL_sz00_15830)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15827;
				obj_t BgL_a2z00_15828;
				obj_t BgL_locz00_15829;

				BgL_a1z00_15827 = PROCEDURE_REF(BgL_envz00_15826, (int) (((long) 0)));
				BgL_a2z00_15828 = PROCEDURE_REF(BgL_envz00_15826, (int) (((long) 1)));
				BgL_locz00_15829 = PROCEDURE_REF(BgL_envz00_15826, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2133;

					BgL_sz00_2133 = BgL_sz00_15830;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2135;

						BgL_bpz00_2135 = VECTOR_REF(BgL_sz00_2133, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2136;
							obj_t BgL_a2z00_2137;

							BgL_a1z00_2136 =
								PROCEDURE_ENTRY(BgL_a1z00_15827) (BgL_a1z00_15827,
								BgL_sz00_2133, BEOA);
							BgL_a2z00_2137 =
								PROCEDURE_ENTRY(BgL_a2z00_15828) (BgL_a2z00_15828,
								BgL_sz00_2133, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2136))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5555z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2136,
										BgL_locz00_15829);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2137))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5555z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2137,
										BgL_locz00_15829);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2136,
								BgL_a2z00_2137);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2530> */
	obj_t BGl_z62zc3anonymousza32530ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15831, obj_t BgL_sz00_15835)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15832;
				obj_t BgL_a2z00_15833;
				obj_t BgL_locz00_15834;

				BgL_a1z00_15832 = PROCEDURE_REF(BgL_envz00_15831, (int) (((long) 0)));
				BgL_a2z00_15833 = PROCEDURE_REF(BgL_envz00_15831, (int) (((long) 1)));
				BgL_locz00_15834 = PROCEDURE_REF(BgL_envz00_15831, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2143;

					BgL_sz00_2143 = BgL_sz00_15835;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2145;

						BgL_bpz00_2145 = VECTOR_REF(BgL_sz00_2143, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2146;
							obj_t BgL_a2z00_2147;

							BgL_a1z00_2146 =
								PROCEDURE_ENTRY(BgL_a1z00_15832) (BgL_a1z00_15832,
								BgL_sz00_2143, BEOA);
							BgL_a2z00_2147 =
								PROCEDURE_ENTRY(BgL_a2z00_15833) (BgL_a2z00_15833,
								BgL_sz00_2143, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2146))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5557z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2146,
										BgL_locz00_15834);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2147))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5557z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2147,
										BgL_locz00_15834);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2146,
								BgL_a2z00_2147);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2534> */
	obj_t BGl_z62zc3anonymousza32534ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15836, obj_t BgL_sz00_15840)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15837;
				obj_t BgL_a2z00_15838;
				obj_t BgL_locz00_15839;

				BgL_a1z00_15837 = PROCEDURE_REF(BgL_envz00_15836, (int) (((long) 0)));
				BgL_a2z00_15838 = PROCEDURE_REF(BgL_envz00_15836, (int) (((long) 1)));
				BgL_locz00_15839 = PROCEDURE_REF(BgL_envz00_15836, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2153;

					BgL_sz00_2153 = BgL_sz00_15840;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_2155;

						BgL_bpz00_2155 = VECTOR_REF(BgL_sz00_2153, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_2156;
							obj_t BgL_a2z00_2157;

							BgL_a1z00_2156 =
								PROCEDURE_ENTRY(BgL_a1z00_15837) (BgL_a1z00_15837,
								BgL_sz00_2153, BEOA);
							BgL_a2z00_2157 =
								PROCEDURE_ENTRY(BgL_a2z00_15838) (BgL_a2z00_15838,
								BgL_sz00_2153, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2156))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5559z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2156,
										BgL_locz00_15839);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2157))
								{	/* Eval/evaluate_comp.scm 964 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5559z00zz__evaluate_compz00,
										BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2157,
										BgL_locz00_15839);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2156,
								BgL_a2z00_2157);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2538> */
	obj_t BGl_z62zc3anonymousza32538ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15841, obj_t BgL_sz00_15845)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15842;
				obj_t BgL_a2z00_15843;
				obj_t BgL_locz00_15844;

				BgL_a1z00_15842 = PROCEDURE_REF(BgL_envz00_15841, (int) (((long) 0)));
				BgL_a2z00_15843 = PROCEDURE_REF(BgL_envz00_15841, (int) (((long) 1)));
				BgL_locz00_15844 = PROCEDURE_REF(BgL_envz00_15841, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2163;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21633;

						BgL_sz00_2163 = BgL_sz00_15845;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2165;

							BgL_bpz00_2165 = VECTOR_REF(BgL_sz00_2163, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2166;
								obj_t BgL_a2z00_2167;

								BgL_a1z00_2166 =
									PROCEDURE_ENTRY(BgL_a1z00_15842) (BgL_a1z00_15842,
									BgL_sz00_2163, BEOA);
								BgL_a2z00_2167 =
									PROCEDURE_ENTRY(BgL_a2z00_15843) (BgL_a2z00_15843,
									BgL_sz00_2163, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2166))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5561z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2166,
											BgL_locz00_15844);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2167))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5561z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2167,
											BgL_locz00_15844);
									}
								BgL_auxz00_21633 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2166,
									BgL_a2z00_2167);
							}
						}
						return BBOOL(BgL_auxz00_21633);
					}
				}
			}
		}
	}



/* &<anonymous:2542> */
	obj_t BGl_z62zc3anonymousza32542ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15846, obj_t BgL_sz00_15850)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15847;
				obj_t BgL_a2z00_15848;
				obj_t BgL_locz00_15849;

				BgL_a1z00_15847 = PROCEDURE_REF(BgL_envz00_15846, (int) (((long) 0)));
				BgL_a2z00_15848 = PROCEDURE_REF(BgL_envz00_15846, (int) (((long) 1)));
				BgL_locz00_15849 = PROCEDURE_REF(BgL_envz00_15846, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2173;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21658;

						BgL_sz00_2173 = BgL_sz00_15850;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2175;

							BgL_bpz00_2175 = VECTOR_REF(BgL_sz00_2173, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2176;
								obj_t BgL_a2z00_2177;

								BgL_a1z00_2176 =
									PROCEDURE_ENTRY(BgL_a1z00_15847) (BgL_a1z00_15847,
									BgL_sz00_2173, BEOA);
								BgL_a2z00_2177 =
									PROCEDURE_ENTRY(BgL_a2z00_15848) (BgL_a2z00_15848,
									BgL_sz00_2173, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2176))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5563z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2176,
											BgL_locz00_15849);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2177))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5563z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2177,
											BgL_locz00_15849);
									}
								BgL_auxz00_21658 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2176,
									BgL_a2z00_2177);
							}
						}
						return BBOOL(BgL_auxz00_21658);
					}
				}
			}
		}
	}



/* &<anonymous:2546> */
	obj_t BGl_z62zc3anonymousza32546ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15851, obj_t BgL_sz00_15855)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15852;
				obj_t BgL_a2z00_15853;
				obj_t BgL_locz00_15854;

				BgL_a1z00_15852 = PROCEDURE_REF(BgL_envz00_15851, (int) (((long) 0)));
				BgL_a2z00_15853 = PROCEDURE_REF(BgL_envz00_15851, (int) (((long) 1)));
				BgL_locz00_15854 = PROCEDURE_REF(BgL_envz00_15851, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2183;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21683;

						BgL_sz00_2183 = BgL_sz00_15855;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2185;

							BgL_bpz00_2185 = VECTOR_REF(BgL_sz00_2183, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2186;
								obj_t BgL_a2z00_2187;

								BgL_a1z00_2186 =
									PROCEDURE_ENTRY(BgL_a1z00_15852) (BgL_a1z00_15852,
									BgL_sz00_2183, BEOA);
								BgL_a2z00_2187 =
									PROCEDURE_ENTRY(BgL_a2z00_15853) (BgL_a2z00_15853,
									BgL_sz00_2183, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2186))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5565z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2186,
											BgL_locz00_15854);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2187))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5565z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2187,
											BgL_locz00_15854);
									}
								BgL_auxz00_21683 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2186,
									BgL_a2z00_2187);
							}
						}
						return BBOOL(BgL_auxz00_21683);
					}
				}
			}
		}
	}



/* &<anonymous:2550> */
	obj_t BGl_z62zc3anonymousza32550ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15856, obj_t BgL_sz00_15860)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15857;
				obj_t BgL_a2z00_15858;
				obj_t BgL_locz00_15859;

				BgL_a1z00_15857 = PROCEDURE_REF(BgL_envz00_15856, (int) (((long) 0)));
				BgL_a2z00_15858 = PROCEDURE_REF(BgL_envz00_15856, (int) (((long) 1)));
				BgL_locz00_15859 = PROCEDURE_REF(BgL_envz00_15856, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2193;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21708;

						BgL_sz00_2193 = BgL_sz00_15860;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2195;

							BgL_bpz00_2195 = VECTOR_REF(BgL_sz00_2193, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2196;
								obj_t BgL_a2z00_2197;

								BgL_a1z00_2196 =
									PROCEDURE_ENTRY(BgL_a1z00_15857) (BgL_a1z00_15857,
									BgL_sz00_2193, BEOA);
								BgL_a2z00_2197 =
									PROCEDURE_ENTRY(BgL_a2z00_15858) (BgL_a2z00_15858,
									BgL_sz00_2193, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2196))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5567z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2196,
											BgL_locz00_15859);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2197))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5567z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2197,
											BgL_locz00_15859);
									}
								BgL_auxz00_21708 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2196,
									BgL_a2z00_2197);
							}
						}
						return BBOOL(BgL_auxz00_21708);
					}
				}
			}
		}
	}



/* &<anonymous:2554> */
	obj_t BGl_z62zc3anonymousza32554ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15861, obj_t BgL_sz00_15865)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15862;
				obj_t BgL_a2z00_15863;
				obj_t BgL_locz00_15864;

				BgL_a1z00_15862 = PROCEDURE_REF(BgL_envz00_15861, (int) (((long) 0)));
				BgL_a2z00_15863 = PROCEDURE_REF(BgL_envz00_15861, (int) (((long) 1)));
				BgL_locz00_15864 = PROCEDURE_REF(BgL_envz00_15861, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2203;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21733;

						BgL_sz00_2203 = BgL_sz00_15865;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2205;

							BgL_bpz00_2205 = VECTOR_REF(BgL_sz00_2203, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2206;
								obj_t BgL_a2z00_2207;

								BgL_a1z00_2206 =
									PROCEDURE_ENTRY(BgL_a1z00_15862) (BgL_a1z00_15862,
									BgL_sz00_2203, BEOA);
								BgL_a2z00_2207 =
									PROCEDURE_ENTRY(BgL_a2z00_15863) (BgL_a2z00_15863,
									BgL_sz00_2203, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2206))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5569z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a1z00_2206,
											BgL_locz00_15864);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2207))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5569z00zz__evaluate_compz00,
											BGl_symbol5553z00zz__evaluate_compz00, BgL_a2z00_2207,
											BgL_locz00_15864);
									}
								BgL_auxz00_21733 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2206,
									BgL_a2z00_2207);
							}
						}
						return BBOOL(BgL_auxz00_21733);
					}
				}
			}
		}
	}



/* &<anonymous:2558> */
	obj_t BGl_z62zc3anonymousza32558ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15866, obj_t BgL_sz00_15870)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15867;
				obj_t BgL_a2z00_15868;
				obj_t BgL_locz00_15869;

				BgL_a1z00_15867 = PROCEDURE_REF(BgL_envz00_15866, (int) (((long) 0)));
				BgL_a2z00_15868 = PROCEDURE_REF(BgL_envz00_15866, (int) (((long) 1)));
				BgL_locz00_15869 = PROCEDURE_REF(BgL_envz00_15866, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2213;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21758;

						BgL_sz00_2213 = BgL_sz00_15870;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2215;

							BgL_bpz00_2215 = VECTOR_REF(BgL_sz00_2213, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2216;
								obj_t BgL_a2z00_2217;

								BgL_a1z00_2216 =
									PROCEDURE_ENTRY(BgL_a1z00_15867) (BgL_a1z00_15867,
									BgL_sz00_2213, BEOA);
								BgL_a2z00_2217 =
									PROCEDURE_ENTRY(BgL_a2z00_15868) (BgL_a2z00_15868,
									BgL_sz00_2213, BEOA);
								if (INTEGERP(BgL_a1z00_2216))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5571z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2216,
											BgL_locz00_15869);
									}
								if (INTEGERP(BgL_a2z00_2217))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5571z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2217,
											BgL_locz00_15869);
									}
								BgL_auxz00_21758 =
									((long) CINT(BgL_a1z00_2216) + (long) CINT(BgL_a2z00_2217));
						}}
						return BINT(BgL_auxz00_21758);
					}
				}
			}
		}
	}



/* &<anonymous:2562> */
	obj_t BGl_z62zc3anonymousza32562ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15871, obj_t BgL_sz00_15875)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15872;
				obj_t BgL_a2z00_15873;
				obj_t BgL_locz00_15874;

				BgL_a1z00_15872 = PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 0)));
				BgL_a2z00_15873 = PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 1)));
				BgL_locz00_15874 = PROCEDURE_REF(BgL_envz00_15871, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2223;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21785;

						BgL_sz00_2223 = BgL_sz00_15875;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2225;

							BgL_bpz00_2225 = VECTOR_REF(BgL_sz00_2223, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2226;
								obj_t BgL_a2z00_2227;

								BgL_a1z00_2226 =
									PROCEDURE_ENTRY(BgL_a1z00_15872) (BgL_a1z00_15872,
									BgL_sz00_2223, BEOA);
								BgL_a2z00_2227 =
									PROCEDURE_ENTRY(BgL_a2z00_15873) (BgL_a2z00_15873,
									BgL_sz00_2223, BEOA);
								if (INTEGERP(BgL_a1z00_2226))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5575z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2226,
											BgL_locz00_15874);
									}
								if (INTEGERP(BgL_a2z00_2227))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5575z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2227,
											BgL_locz00_15874);
									}
								BgL_auxz00_21785 =
									((long) CINT(BgL_a1z00_2226) - (long) CINT(BgL_a2z00_2227));
						}}
						return BINT(BgL_auxz00_21785);
					}
				}
			}
		}
	}



/* &<anonymous:2566> */
	obj_t BGl_z62zc3anonymousza32566ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15876, obj_t BgL_sz00_15880)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15877;
				obj_t BgL_a2z00_15878;
				obj_t BgL_locz00_15879;

				BgL_a1z00_15877 = PROCEDURE_REF(BgL_envz00_15876, (int) (((long) 0)));
				BgL_a2z00_15878 = PROCEDURE_REF(BgL_envz00_15876, (int) (((long) 1)));
				BgL_locz00_15879 = PROCEDURE_REF(BgL_envz00_15876, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2233;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21812;

						BgL_sz00_2233 = BgL_sz00_15880;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2235;

							BgL_bpz00_2235 = VECTOR_REF(BgL_sz00_2233, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2236;
								obj_t BgL_a2z00_2237;

								BgL_a1z00_2236 =
									PROCEDURE_ENTRY(BgL_a1z00_15877) (BgL_a1z00_15877,
									BgL_sz00_2233, BEOA);
								BgL_a2z00_2237 =
									PROCEDURE_ENTRY(BgL_a2z00_15878) (BgL_a2z00_15878,
									BgL_sz00_2233, BEOA);
								if (INTEGERP(BgL_a1z00_2236))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5577z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2236,
											BgL_locz00_15879);
									}
								if (INTEGERP(BgL_a2z00_2237))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5577z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2237,
											BgL_locz00_15879);
									}
								BgL_auxz00_21812 =
									((long) CINT(BgL_a1z00_2236) * (long) CINT(BgL_a2z00_2237));
						}}
						return BINT(BgL_auxz00_21812);
					}
				}
			}
		}
	}



/* &<anonymous:2570> */
	obj_t BGl_z62zc3anonymousza32570ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15881, obj_t BgL_sz00_15885)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15882;
				obj_t BgL_a2z00_15883;
				obj_t BgL_locz00_15884;

				BgL_a1z00_15882 = PROCEDURE_REF(BgL_envz00_15881, (int) (((long) 0)));
				BgL_a2z00_15883 = PROCEDURE_REF(BgL_envz00_15881, (int) (((long) 1)));
				BgL_locz00_15884 = PROCEDURE_REF(BgL_envz00_15881, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2243;

					{	/* Eval/evaluate_comp.scm 964 */
						long BgL_auxz00_21839;

						BgL_sz00_2243 = BgL_sz00_15885;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2245;

							BgL_bpz00_2245 = VECTOR_REF(BgL_sz00_2243, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2246;
								obj_t BgL_a2z00_2247;

								BgL_a1z00_2246 =
									PROCEDURE_ENTRY(BgL_a1z00_15882) (BgL_a1z00_15882,
									BgL_sz00_2243, BEOA);
								BgL_a2z00_2247 =
									PROCEDURE_ENTRY(BgL_a2z00_15883) (BgL_a2z00_15883,
									BgL_sz00_2243, BEOA);
								if (INTEGERP(BgL_a1z00_2246))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5579z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2246,
											BgL_locz00_15884);
									}
								if (INTEGERP(BgL_a2z00_2247))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5579z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2247,
											BgL_locz00_15884);
									}
								BgL_auxz00_21839 =
									((long) CINT(BgL_a1z00_2246) / (long) CINT(BgL_a2z00_2247));
						}}
						return BINT(BgL_auxz00_21839);
					}
				}
			}
		}
	}



/* &<anonymous:2574> */
	obj_t BGl_z62zc3anonymousza32574ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15886, obj_t BgL_sz00_15890)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15887;
				obj_t BgL_a2z00_15888;
				obj_t BgL_locz00_15889;

				BgL_a1z00_15887 = PROCEDURE_REF(BgL_envz00_15886, (int) (((long) 0)));
				BgL_a2z00_15888 = PROCEDURE_REF(BgL_envz00_15886, (int) (((long) 1)));
				BgL_locz00_15889 = PROCEDURE_REF(BgL_envz00_15886, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2253;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21866;

						BgL_sz00_2253 = BgL_sz00_15890;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2255;

							BgL_bpz00_2255 = VECTOR_REF(BgL_sz00_2253, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2256;
								obj_t BgL_a2z00_2257;

								BgL_a1z00_2256 =
									PROCEDURE_ENTRY(BgL_a1z00_15887) (BgL_a1z00_15887,
									BgL_sz00_2253, BEOA);
								BgL_a2z00_2257 =
									PROCEDURE_ENTRY(BgL_a2z00_15888) (BgL_a2z00_15888,
									BgL_sz00_2253, BEOA);
								if (INTEGERP(BgL_a1z00_2256))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5581z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2256,
											BgL_locz00_15889);
									}
								if (INTEGERP(BgL_a2z00_2257))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5581z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2257,
											BgL_locz00_15889);
									}
								BgL_auxz00_21866 =
									((long) CINT(BgL_a1z00_2256) < (long) CINT(BgL_a2z00_2257));
						}}
						return BBOOL(BgL_auxz00_21866);
					}
				}
			}
		}
	}



/* &<anonymous:2578> */
	obj_t BGl_z62zc3anonymousza32578ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15891, obj_t BgL_sz00_15895)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15892;
				obj_t BgL_a2z00_15893;
				obj_t BgL_locz00_15894;

				BgL_a1z00_15892 = PROCEDURE_REF(BgL_envz00_15891, (int) (((long) 0)));
				BgL_a2z00_15893 = PROCEDURE_REF(BgL_envz00_15891, (int) (((long) 1)));
				BgL_locz00_15894 = PROCEDURE_REF(BgL_envz00_15891, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2263;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21893;

						BgL_sz00_2263 = BgL_sz00_15895;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2265;

							BgL_bpz00_2265 = VECTOR_REF(BgL_sz00_2263, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2266;
								obj_t BgL_a2z00_2267;

								BgL_a1z00_2266 =
									PROCEDURE_ENTRY(BgL_a1z00_15892) (BgL_a1z00_15892,
									BgL_sz00_2263, BEOA);
								BgL_a2z00_2267 =
									PROCEDURE_ENTRY(BgL_a2z00_15893) (BgL_a2z00_15893,
									BgL_sz00_2263, BEOA);
								if (INTEGERP(BgL_a1z00_2266))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5583z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2266,
											BgL_locz00_15894);
									}
								if (INTEGERP(BgL_a2z00_2267))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5583z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2267,
											BgL_locz00_15894);
									}
								BgL_auxz00_21893 =
									((long) CINT(BgL_a1z00_2266) > (long) CINT(BgL_a2z00_2267));
						}}
						return BBOOL(BgL_auxz00_21893);
					}
				}
			}
		}
	}



/* &<anonymous:2582> */
	obj_t BGl_z62zc3anonymousza32582ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15896, obj_t BgL_sz00_15900)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15897;
				obj_t BgL_a2z00_15898;
				obj_t BgL_locz00_15899;

				BgL_a1z00_15897 = PROCEDURE_REF(BgL_envz00_15896, (int) (((long) 0)));
				BgL_a2z00_15898 = PROCEDURE_REF(BgL_envz00_15896, (int) (((long) 1)));
				BgL_locz00_15899 = PROCEDURE_REF(BgL_envz00_15896, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2273;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21920;

						BgL_sz00_2273 = BgL_sz00_15900;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2275;

							BgL_bpz00_2275 = VECTOR_REF(BgL_sz00_2273, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2276;
								obj_t BgL_a2z00_2277;

								BgL_a1z00_2276 =
									PROCEDURE_ENTRY(BgL_a1z00_15897) (BgL_a1z00_15897,
									BgL_sz00_2273, BEOA);
								BgL_a2z00_2277 =
									PROCEDURE_ENTRY(BgL_a2z00_15898) (BgL_a2z00_15898,
									BgL_sz00_2273, BEOA);
								if (INTEGERP(BgL_a1z00_2276))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5585z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2276,
											BgL_locz00_15899);
									}
								if (INTEGERP(BgL_a2z00_2277))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5585z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2277,
											BgL_locz00_15899);
									}
								BgL_auxz00_21920 =
									((long) CINT(BgL_a1z00_2276) <= (long) CINT(BgL_a2z00_2277));
						}}
						return BBOOL(BgL_auxz00_21920);
					}
				}
			}
		}
	}



/* &<anonymous:2586> */
	obj_t BGl_z62zc3anonymousza32586ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15901, obj_t BgL_sz00_15905)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15902;
				obj_t BgL_a2z00_15903;
				obj_t BgL_locz00_15904;

				BgL_a1z00_15902 = PROCEDURE_REF(BgL_envz00_15901, (int) (((long) 0)));
				BgL_a2z00_15903 = PROCEDURE_REF(BgL_envz00_15901, (int) (((long) 1)));
				BgL_locz00_15904 = PROCEDURE_REF(BgL_envz00_15901, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2283;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21947;

						BgL_sz00_2283 = BgL_sz00_15905;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2285;

							BgL_bpz00_2285 = VECTOR_REF(BgL_sz00_2283, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2286;
								obj_t BgL_a2z00_2287;

								BgL_a1z00_2286 =
									PROCEDURE_ENTRY(BgL_a1z00_15902) (BgL_a1z00_15902,
									BgL_sz00_2283, BEOA);
								BgL_a2z00_2287 =
									PROCEDURE_ENTRY(BgL_a2z00_15903) (BgL_a2z00_15903,
									BgL_sz00_2283, BEOA);
								if (INTEGERP(BgL_a1z00_2286))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5587z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2286,
											BgL_locz00_15904);
									}
								if (INTEGERP(BgL_a2z00_2287))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5587z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2287,
											BgL_locz00_15904);
									}
								BgL_auxz00_21947 =
									((long) CINT(BgL_a1z00_2286) >= (long) CINT(BgL_a2z00_2287));
						}}
						return BBOOL(BgL_auxz00_21947);
					}
				}
			}
		}
	}



/* &<anonymous:2590> */
	obj_t BGl_z62zc3anonymousza32590ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15906, obj_t BgL_sz00_15910)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15907;
				obj_t BgL_a2z00_15908;
				obj_t BgL_locz00_15909;

				BgL_a1z00_15907 = PROCEDURE_REF(BgL_envz00_15906, (int) (((long) 0)));
				BgL_a2z00_15908 = PROCEDURE_REF(BgL_envz00_15906, (int) (((long) 1)));
				BgL_locz00_15909 = PROCEDURE_REF(BgL_envz00_15906, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2293;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_21974;

						BgL_sz00_2293 = BgL_sz00_15910;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2295;

							BgL_bpz00_2295 = VECTOR_REF(BgL_sz00_2293, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2296;
								obj_t BgL_a2z00_2297;

								BgL_a1z00_2296 =
									PROCEDURE_ENTRY(BgL_a1z00_15907) (BgL_a1z00_15907,
									BgL_sz00_2293, BEOA);
								BgL_a2z00_2297 =
									PROCEDURE_ENTRY(BgL_a2z00_15908) (BgL_a2z00_15908,
									BgL_sz00_2293, BEOA);
								if (INTEGERP(BgL_a1z00_2296))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5589z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a1z00_2296,
											BgL_locz00_15909);
									}
								if (INTEGERP(BgL_a2z00_2297))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5589z00zz__evaluate_compz00,
											BGl_symbol5573z00zz__evaluate_compz00, BgL_a2z00_2297,
											BgL_locz00_15909);
									}
								BgL_auxz00_21974 =
									((long) CINT(BgL_a1z00_2296) == (long) CINT(BgL_a2z00_2297));
						}}
						return BBOOL(BgL_auxz00_21974);
					}
				}
			}
		}
	}



/* &<anonymous:2594> */
	obj_t BGl_z62zc3anonymousza32594ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15911, obj_t BgL_sz00_15915)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15912;
				obj_t BgL_a2z00_15913;
				obj_t BgL_locz00_15914;

				BgL_a1z00_15912 = PROCEDURE_REF(BgL_envz00_15911, (int) (((long) 0)));
				BgL_a2z00_15913 = PROCEDURE_REF(BgL_envz00_15911, (int) (((long) 1)));
				BgL_locz00_15914 = PROCEDURE_REF(BgL_envz00_15911, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2303;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22001;

						BgL_sz00_2303 = BgL_sz00_15915;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2305;

							BgL_bpz00_2305 = VECTOR_REF(BgL_sz00_2303, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2306;
								obj_t BgL_a2z00_2307;

								BgL_a1z00_2306 =
									PROCEDURE_ENTRY(BgL_a1z00_15912) (BgL_a1z00_15912,
									BgL_sz00_2303, BEOA);
								BgL_a2z00_2307 =
									PROCEDURE_ENTRY(BgL_a2z00_15913) (BgL_a2z00_15913,
									BgL_sz00_2303, BEOA);
								if (REALP(BgL_a1z00_2306))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5591z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2306,
											BgL_locz00_15914);
									}
								if (REALP(BgL_a2z00_2307))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5591z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2307,
											BgL_locz00_15914);
									}
								BgL_auxz00_22001 =
									(REAL_TO_DOUBLE(BgL_a1z00_2306) +
									REAL_TO_DOUBLE(BgL_a2z00_2307));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22001);
					}
				}
			}
		}
	}



/* &<anonymous:2598> */
	obj_t BGl_z62zc3anonymousza32598ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15916, obj_t BgL_sz00_15920)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15917;
				obj_t BgL_a2z00_15918;
				obj_t BgL_locz00_15919;

				BgL_a1z00_15917 = PROCEDURE_REF(BgL_envz00_15916, (int) (((long) 0)));
				BgL_a2z00_15918 = PROCEDURE_REF(BgL_envz00_15916, (int) (((long) 1)));
				BgL_locz00_15919 = PROCEDURE_REF(BgL_envz00_15916, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2313;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22028;

						BgL_sz00_2313 = BgL_sz00_15920;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2315;

							BgL_bpz00_2315 = VECTOR_REF(BgL_sz00_2313, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2316;
								obj_t BgL_a2z00_2317;

								BgL_a1z00_2316 =
									PROCEDURE_ENTRY(BgL_a1z00_15917) (BgL_a1z00_15917,
									BgL_sz00_2313, BEOA);
								BgL_a2z00_2317 =
									PROCEDURE_ENTRY(BgL_a2z00_15918) (BgL_a2z00_15918,
									BgL_sz00_2313, BEOA);
								if (REALP(BgL_a1z00_2316))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5595z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2316,
											BgL_locz00_15919);
									}
								if (REALP(BgL_a2z00_2317))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5595z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2317,
											BgL_locz00_15919);
									}
								BgL_auxz00_22028 =
									(REAL_TO_DOUBLE(BgL_a1z00_2316) -
									REAL_TO_DOUBLE(BgL_a2z00_2317));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22028);
					}
				}
			}
		}
	}



/* &<anonymous:2602> */
	obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15921, obj_t BgL_sz00_15925)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15922;
				obj_t BgL_a2z00_15923;
				obj_t BgL_locz00_15924;

				BgL_a1z00_15922 = PROCEDURE_REF(BgL_envz00_15921, (int) (((long) 0)));
				BgL_a2z00_15923 = PROCEDURE_REF(BgL_envz00_15921, (int) (((long) 1)));
				BgL_locz00_15924 = PROCEDURE_REF(BgL_envz00_15921, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2323;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22055;

						BgL_sz00_2323 = BgL_sz00_15925;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2325;

							BgL_bpz00_2325 = VECTOR_REF(BgL_sz00_2323, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2326;
								obj_t BgL_a2z00_2327;

								BgL_a1z00_2326 =
									PROCEDURE_ENTRY(BgL_a1z00_15922) (BgL_a1z00_15922,
									BgL_sz00_2323, BEOA);
								BgL_a2z00_2327 =
									PROCEDURE_ENTRY(BgL_a2z00_15923) (BgL_a2z00_15923,
									BgL_sz00_2323, BEOA);
								if (REALP(BgL_a1z00_2326))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5597z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2326,
											BgL_locz00_15924);
									}
								if (REALP(BgL_a2z00_2327))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5597z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2327,
											BgL_locz00_15924);
									}
								BgL_auxz00_22055 =
									(REAL_TO_DOUBLE(BgL_a1z00_2326) *
									REAL_TO_DOUBLE(BgL_a2z00_2327));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22055);
					}
				}
			}
		}
	}



/* &<anonymous:2606> */
	obj_t BGl_z62zc3anonymousza32606ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15926, obj_t BgL_sz00_15930)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15927;
				obj_t BgL_a2z00_15928;
				obj_t BgL_locz00_15929;

				BgL_a1z00_15927 = PROCEDURE_REF(BgL_envz00_15926, (int) (((long) 0)));
				BgL_a2z00_15928 = PROCEDURE_REF(BgL_envz00_15926, (int) (((long) 1)));
				BgL_locz00_15929 = PROCEDURE_REF(BgL_envz00_15926, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2333;

					{	/* Eval/evaluate_comp.scm 964 */
						double BgL_auxz00_22082;

						BgL_sz00_2333 = BgL_sz00_15930;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2335;

							BgL_bpz00_2335 = VECTOR_REF(BgL_sz00_2333, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2336;
								obj_t BgL_a2z00_2337;

								BgL_a1z00_2336 =
									PROCEDURE_ENTRY(BgL_a1z00_15927) (BgL_a1z00_15927,
									BgL_sz00_2333, BEOA);
								BgL_a2z00_2337 =
									PROCEDURE_ENTRY(BgL_a2z00_15928) (BgL_a2z00_15928,
									BgL_sz00_2333, BEOA);
								if (REALP(BgL_a1z00_2336))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5599z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2336,
											BgL_locz00_15929);
									}
								if (REALP(BgL_a2z00_2337))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5599z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2337,
											BgL_locz00_15929);
									}
								BgL_auxz00_22082 =
									(REAL_TO_DOUBLE(BgL_a1z00_2336) /
									REAL_TO_DOUBLE(BgL_a2z00_2337));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_22082);
					}
				}
			}
		}
	}



/* &<anonymous:2610> */
	obj_t BGl_z62zc3anonymousza32610ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15931, obj_t BgL_sz00_15935)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15932;
				obj_t BgL_a2z00_15933;
				obj_t BgL_locz00_15934;

				BgL_a1z00_15932 = PROCEDURE_REF(BgL_envz00_15931, (int) (((long) 0)));
				BgL_a2z00_15933 = PROCEDURE_REF(BgL_envz00_15931, (int) (((long) 1)));
				BgL_locz00_15934 = PROCEDURE_REF(BgL_envz00_15931, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2343;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22109;

						BgL_sz00_2343 = BgL_sz00_15935;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2345;

							BgL_bpz00_2345 = VECTOR_REF(BgL_sz00_2343, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2346;
								obj_t BgL_a2z00_2347;

								BgL_a1z00_2346 =
									PROCEDURE_ENTRY(BgL_a1z00_15932) (BgL_a1z00_15932,
									BgL_sz00_2343, BEOA);
								BgL_a2z00_2347 =
									PROCEDURE_ENTRY(BgL_a2z00_15933) (BgL_a2z00_15933,
									BgL_sz00_2343, BEOA);
								if (REALP(BgL_a1z00_2346))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5601z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2346,
											BgL_locz00_15934);
									}
								if (REALP(BgL_a2z00_2347))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5601z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2347,
											BgL_locz00_15934);
									}
								BgL_auxz00_22109 =
									(REAL_TO_DOUBLE(BgL_a1z00_2346) <
									REAL_TO_DOUBLE(BgL_a2z00_2347));
							}
						}
						return BBOOL(BgL_auxz00_22109);
					}
				}
			}
		}
	}



/* &<anonymous:2614> */
	obj_t BGl_z62zc3anonymousza32614ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15936, obj_t BgL_sz00_15940)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15937;
				obj_t BgL_a2z00_15938;
				obj_t BgL_locz00_15939;

				BgL_a1z00_15937 = PROCEDURE_REF(BgL_envz00_15936, (int) (((long) 0)));
				BgL_a2z00_15938 = PROCEDURE_REF(BgL_envz00_15936, (int) (((long) 1)));
				BgL_locz00_15939 = PROCEDURE_REF(BgL_envz00_15936, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2353;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22136;

						BgL_sz00_2353 = BgL_sz00_15940;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2355;

							BgL_bpz00_2355 = VECTOR_REF(BgL_sz00_2353, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2356;
								obj_t BgL_a2z00_2357;

								BgL_a1z00_2356 =
									PROCEDURE_ENTRY(BgL_a1z00_15937) (BgL_a1z00_15937,
									BgL_sz00_2353, BEOA);
								BgL_a2z00_2357 =
									PROCEDURE_ENTRY(BgL_a2z00_15938) (BgL_a2z00_15938,
									BgL_sz00_2353, BEOA);
								if (REALP(BgL_a1z00_2356))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5603z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2356,
											BgL_locz00_15939);
									}
								if (REALP(BgL_a2z00_2357))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5603z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2357,
											BgL_locz00_15939);
									}
								BgL_auxz00_22136 =
									(REAL_TO_DOUBLE(BgL_a1z00_2356) >
									REAL_TO_DOUBLE(BgL_a2z00_2357));
							}
						}
						return BBOOL(BgL_auxz00_22136);
					}
				}
			}
		}
	}



/* &<anonymous:2618> */
	obj_t BGl_z62zc3anonymousza32618ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15941, obj_t BgL_sz00_15945)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15942;
				obj_t BgL_a2z00_15943;
				obj_t BgL_locz00_15944;

				BgL_a1z00_15942 = PROCEDURE_REF(BgL_envz00_15941, (int) (((long) 0)));
				BgL_a2z00_15943 = PROCEDURE_REF(BgL_envz00_15941, (int) (((long) 1)));
				BgL_locz00_15944 = PROCEDURE_REF(BgL_envz00_15941, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2363;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22163;

						BgL_sz00_2363 = BgL_sz00_15945;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2365;

							BgL_bpz00_2365 = VECTOR_REF(BgL_sz00_2363, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2366;
								obj_t BgL_a2z00_2367;

								BgL_a1z00_2366 =
									PROCEDURE_ENTRY(BgL_a1z00_15942) (BgL_a1z00_15942,
									BgL_sz00_2363, BEOA);
								BgL_a2z00_2367 =
									PROCEDURE_ENTRY(BgL_a2z00_15943) (BgL_a2z00_15943,
									BgL_sz00_2363, BEOA);
								if (REALP(BgL_a1z00_2366))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5605z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2366,
											BgL_locz00_15944);
									}
								if (REALP(BgL_a2z00_2367))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5605z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2367,
											BgL_locz00_15944);
									}
								BgL_auxz00_22163 =
									(REAL_TO_DOUBLE(BgL_a1z00_2366) <=
									REAL_TO_DOUBLE(BgL_a2z00_2367));
							}
						}
						return BBOOL(BgL_auxz00_22163);
					}
				}
			}
		}
	}



/* &<anonymous:2622> */
	obj_t BGl_z62zc3anonymousza32622ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15946, obj_t BgL_sz00_15950)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15947;
				obj_t BgL_a2z00_15948;
				obj_t BgL_locz00_15949;

				BgL_a1z00_15947 = PROCEDURE_REF(BgL_envz00_15946, (int) (((long) 0)));
				BgL_a2z00_15948 = PROCEDURE_REF(BgL_envz00_15946, (int) (((long) 1)));
				BgL_locz00_15949 = PROCEDURE_REF(BgL_envz00_15946, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2373;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22190;

						BgL_sz00_2373 = BgL_sz00_15950;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2375;

							BgL_bpz00_2375 = VECTOR_REF(BgL_sz00_2373, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2376;
								obj_t BgL_a2z00_2377;

								BgL_a1z00_2376 =
									PROCEDURE_ENTRY(BgL_a1z00_15947) (BgL_a1z00_15947,
									BgL_sz00_2373, BEOA);
								BgL_a2z00_2377 =
									PROCEDURE_ENTRY(BgL_a2z00_15948) (BgL_a2z00_15948,
									BgL_sz00_2373, BEOA);
								if (REALP(BgL_a1z00_2376))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5607z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2376,
											BgL_locz00_15949);
									}
								if (REALP(BgL_a2z00_2377))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5607z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2377,
											BgL_locz00_15949);
									}
								BgL_auxz00_22190 =
									(REAL_TO_DOUBLE(BgL_a1z00_2376) >=
									REAL_TO_DOUBLE(BgL_a2z00_2377));
							}
						}
						return BBOOL(BgL_auxz00_22190);
					}
				}
			}
		}
	}



/* &<anonymous:2626> */
	obj_t BGl_z62zc3anonymousza32626ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15951, obj_t BgL_sz00_15955)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15952;
				obj_t BgL_a2z00_15953;
				obj_t BgL_locz00_15954;

				BgL_a1z00_15952 = PROCEDURE_REF(BgL_envz00_15951, (int) (((long) 0)));
				BgL_a2z00_15953 = PROCEDURE_REF(BgL_envz00_15951, (int) (((long) 1)));
				BgL_locz00_15954 = PROCEDURE_REF(BgL_envz00_15951, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2383;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22217;

						BgL_sz00_2383 = BgL_sz00_15955;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_2385;

							BgL_bpz00_2385 = VECTOR_REF(BgL_sz00_2383, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_2386;
								obj_t BgL_a2z00_2387;

								BgL_a1z00_2386 =
									PROCEDURE_ENTRY(BgL_a1z00_15952) (BgL_a1z00_15952,
									BgL_sz00_2383, BEOA);
								BgL_a2z00_2387 =
									PROCEDURE_ENTRY(BgL_a2z00_15953) (BgL_a2z00_15953,
									BgL_sz00_2383, BEOA);
								if (REALP(BgL_a1z00_2386))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5609z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a1z00_2386,
											BgL_locz00_15954);
									}
								if (REALP(BgL_a2z00_2387))
									{	/* Eval/evaluate_comp.scm 964 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 964 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5609z00zz__evaluate_compz00,
											BGl_symbol5593z00zz__evaluate_compz00, BgL_a2z00_2387,
											BgL_locz00_15954);
									}
								BgL_auxz00_22217 =
									(REAL_TO_DOUBLE(BgL_a1z00_2386) ==
									REAL_TO_DOUBLE(BgL_a2z00_2387));
							}
						}
						return BBOOL(BgL_auxz00_22217);
					}
				}
			}
		}
	}



/* &<anonymous:2630> */
	obj_t BGl_z62zc3anonymousza32630ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15956, obj_t BgL_sz00_15959)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15957;
				obj_t BgL_a2z00_15958;

				BgL_a1z00_15957 = PROCEDURE_REF(BgL_envz00_15956, (int) (((long) 0)));
				BgL_a2z00_15958 = PROCEDURE_REF(BgL_envz00_15956, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2393;

					{	/* Eval/evaluate_comp.scm 964 */
						bool_t BgL_auxz00_22242;

						BgL_sz00_2393 = BgL_sz00_15959;
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_bpz00_8826;

							BgL_bpz00_8826 = VECTOR_REF(BgL_sz00_2393, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 964 */
								obj_t BgL_a1z00_8827;
								obj_t BgL_a2z00_8828;

								BgL_a1z00_8827 =
									PROCEDURE_ENTRY(BgL_a1z00_15957) (BgL_a1z00_15957,
									BgL_sz00_2393, BEOA);
								BgL_a2z00_8828 =
									PROCEDURE_ENTRY(BgL_a2z00_15958) (BgL_a2z00_15958,
									BgL_sz00_2393, BEOA);
								BgL_auxz00_22242 = (BgL_a1z00_8827 == BgL_a2z00_8828);
						}}
						return BBOOL(BgL_auxz00_22242);
					}
				}
			}
		}
	}



/* &<anonymous:2632> */
	obj_t BGl_z62zc3anonymousza32632ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15960, obj_t BgL_sz00_15963)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 964 */
			{	/* Eval/evaluate_comp.scm 964 */
				obj_t BgL_a1z00_15961;
				obj_t BgL_a2z00_15962;

				BgL_a1z00_15961 = PROCEDURE_REF(BgL_envz00_15960, (int) (((long) 0)));
				BgL_a2z00_15962 = PROCEDURE_REF(BgL_envz00_15960, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2401;

					BgL_sz00_2401 = BgL_sz00_15963;
					{	/* Eval/evaluate_comp.scm 964 */
						obj_t BgL_bpz00_8831;

						BgL_bpz00_8831 = VECTOR_REF(BgL_sz00_2401, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 964 */
							obj_t BgL_a1z00_8832;
							obj_t BgL_a2z00_8833;

							BgL_a1z00_8832 =
								PROCEDURE_ENTRY(BgL_a1z00_15961) (BgL_a1z00_15961,
								BgL_sz00_2401, BEOA);
							BgL_a2z00_8833 =
								PROCEDURE_ENTRY(BgL_a2z00_15962) (BgL_a2z00_15962,
								BgL_sz00_2401, BEOA);
							return MAKE_PAIR(BgL_a1z00_8832, BgL_a2z00_8833);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2635> */
	obj_t BGl_z62zc3anonymousza32635ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15964, obj_t BgL_sz00_15967)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_15965;
				obj_t BgL_locz00_15966;

				BgL_a1z00_15965 = PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 0)));
				BgL_locz00_15966 = PROCEDURE_REF(BgL_envz00_15964, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2410;

					BgL_sz00_2410 = BgL_sz00_15967;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2412;

						BgL_bpz00_2412 = VECTOR_REF(BgL_sz00_2410, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2413;

							BgL_a1z00_2413 =
								PROCEDURE_ENTRY(BgL_a1z00_15965) (BgL_a1z00_15965,
								BgL_sz00_2410, BEOA);
							if (PAIRP(BgL_a1z00_2413))
								{	/* Eval/evaluate_comp.scm 961 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 961 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5611z00zz__evaluate_compz00,
										BGl_symbol5613z00zz__evaluate_compz00, BgL_a1z00_2413,
										BgL_locz00_15966);
								}
							return CAR(BgL_a1z00_2413);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2638> */
	obj_t BGl_z62zc3anonymousza32638ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15968, obj_t BgL_sz00_15971)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_15969;
				obj_t BgL_locz00_15970;

				BgL_a1z00_15969 = PROCEDURE_REF(BgL_envz00_15968, (int) (((long) 0)));
				BgL_locz00_15970 = PROCEDURE_REF(BgL_envz00_15968, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2417;

					BgL_sz00_2417 = BgL_sz00_15971;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2419;

						BgL_bpz00_2419 = VECTOR_REF(BgL_sz00_2417, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2420;

							BgL_a1z00_2420 =
								PROCEDURE_ENTRY(BgL_a1z00_15969) (BgL_a1z00_15969,
								BgL_sz00_2417, BEOA);
							if (PAIRP(BgL_a1z00_2420))
								{	/* Eval/evaluate_comp.scm 961 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 961 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol5615z00zz__evaluate_compz00,
										BGl_symbol5613z00zz__evaluate_compz00, BgL_a1z00_2420,
										BgL_locz00_15970);
								}
							return CDR(BgL_a1z00_2420);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2641> */
	obj_t BGl_z62zc3anonymousza32641ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_15972, obj_t BgL_sz00_15975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 961 */
				obj_t BgL_a1z00_15973;
				obj_t BgL_locz00_15974;

				BgL_a1z00_15973 = PROCEDURE_REF(BgL_envz00_15972, (int) (((long) 0)));
				BgL_locz00_15974 = PROCEDURE_REF(BgL_envz00_15972, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2424;

					BgL_sz00_2424 = BgL_sz00_15975;
					{	/* Eval/evaluate_comp.scm 961 */
						obj_t BgL_bpz00_2426;

						BgL_bpz00_2426 = VECTOR_REF(BgL_sz00_2424, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 961 */
							obj_t BgL_a1z00_2427;

							BgL_a1z00_2427 =
								PROCEDURE_ENTRY(BgL_a1z00_15973) (BgL_a1z00_15973,
								BgL_sz00_2424, BEOA);
							{	/* Eval/evaluate_comp.scm 961 */
								bool_t BgL_testz00_22308;

								if (PAIRP(BgL_a1z00_2427))
									{	/* Eval/evaluate_comp.scm 961 */
										obj_t BgL_auxz00_22311;

										BgL_auxz00_22311 = CDR(BgL_a1z00_2427);
										BgL_testz00_22308 = PAIRP(BgL_auxz00_22311);
									}
								else
									{	/* Eval/evaluate_comp.scm 961 */
										BgL_testz00_22308 = ((bool_t) 0);
									}
								if (BgL_testz00_22308)
									{	/* Eval/evaluate_comp.scm 961 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 961 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol5617z00zz__evaluate_compz00,
											BGl_symbol5613z00zz__evaluate_compz00, BgL_a1z00_2427,
											BgL_locz00_15974);
									}
							}
							{	/* Eval/evaluate_comp.scm 961 */
								obj_t BgL_pairz00_8634;

								BgL_pairz00_8634 = BgL_a1z00_2427;
								return CAR(CDR(BgL_pairz00_8634));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_200,
		obj_t BgL_wherez00_201, long BgL_spz00_202, long BgL_arityz00_203,
		obj_t BgL_valsz00_204, obj_t BgL_locz00_205)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1003 */
			if ((BgL_arityz00_203 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1005 */
					long BgL_g1239z00_2433;

					BgL_g1239z00_2433 = (((long) -1) - BgL_arityz00_203);
					{
						long BgL_rz00_2435;
						long BgL_spz00_2436;
						obj_t BgL_lz00_2437;

						BgL_rz00_2435 = BgL_g1239z00_2433;
						BgL_spz00_2436 = BgL_spz00_202;
						BgL_lz00_2437 = BgL_valsz00_204;
					BgL_zc3anonymousza32646ze3z83_2438:
						if ((BgL_rz00_2435 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1007 */
								return
									VECTOR_SET(BgL_sz00_200,
									(int) (BgL_spz00_2436), BgL_lz00_2437);
							}
						else
							{	/* Eval/evaluate_comp.scm 1007 */
								if (PAIRP(BgL_lz00_2437))
									{	/* Eval/evaluate_comp.scm 1009 */
										VECTOR_SET(BgL_sz00_200,
											(int) (BgL_spz00_2436), CAR(BgL_lz00_2437));
										{
											obj_t BgL_lz00_22333;
											long BgL_spz00_22331;
											long BgL_rz00_22329;

											BgL_rz00_22329 = (BgL_rz00_2435 - ((long) 1));
											BgL_spz00_22331 = (BgL_spz00_2436 + ((long) 1));
											BgL_lz00_22333 = CDR(BgL_lz00_2437);
											BgL_lz00_2437 = BgL_lz00_22333;
											BgL_spz00_2436 = BgL_spz00_22331;
											BgL_rz00_2435 = BgL_rz00_22329;
											goto BgL_zc3anonymousza32646ze3z83_2438;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1010 */
										long BgL_arg2653z00_2445;

										BgL_arg2653z00_2445 = bgl_list_length(BgL_valsz00_204);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
											BgL_wherez00_201, (int) (BgL_arityz00_203),
											(int) (BgL_arg2653z00_2445));
				}}}}
			else
				{
					long BgL_rz00_2448;
					long BgL_spz00_2449;
					obj_t BgL_lz00_2450;

					BgL_rz00_2448 = BgL_arityz00_203;
					BgL_spz00_2449 = BgL_spz00_202;
					BgL_lz00_2450 = BgL_valsz00_204;
				BgL_zc3anonymousza32654ze3z83_2451:
					if ((BgL_rz00_2448 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1016 */
							if (NULLP(BgL_lz00_2450))
								{	/* Eval/evaluate_comp.scm 1017 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1018 */
									long BgL_arg2657z00_2454;

									BgL_arg2657z00_2454 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2657z00_2454));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1016 */
							if (PAIRP(BgL_lz00_2450))
								{	/* Eval/evaluate_comp.scm 1019 */
									VECTOR_SET(BgL_sz00_200,
										(int) (BgL_spz00_2449), CAR(BgL_lz00_2450));
									{
										obj_t BgL_lz00_22356;
										long BgL_spz00_22354;
										long BgL_rz00_22352;

										BgL_rz00_22352 = (BgL_rz00_2448 - ((long) 1));
										BgL_spz00_22354 = (BgL_spz00_2449 + ((long) 1));
										BgL_lz00_22356 = CDR(BgL_lz00_2450);
										BgL_lz00_2450 = BgL_lz00_22356;
										BgL_spz00_2449 = BgL_spz00_22354;
										BgL_rz00_2448 = BgL_rz00_22352;
										goto BgL_zc3anonymousza32654ze3z83_2451;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1020 */
									long BgL_arg2664z00_2460;

									BgL_arg2664z00_2460 = bgl_list_length(BgL_valsz00_204);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_205,
										BgL_wherez00_201, (int) (BgL_arityz00_203),
										(int) (BgL_arg2664z00_2460));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_208,
		obj_t BgL_ibza2za2_209, obj_t BgL_bpz00_210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1118 */
			{	/* Eval/evaluate_comp.scm 1119 */
				int BgL_nz00_2462;

				BgL_nz00_2462 = VECTOR_LENGTH(BgL_ibza2za2_209);
				{
					long BgL_iz00_2464;

					BgL_iz00_2464 = ((long) 0);
				BgL_zc3anonymousza32665ze3z83_2465:
					{	/* Eval/evaluate_comp.scm 1121 */
						long BgL_spz00_2466;

						{	/* Eval/evaluate_comp.scm 1121 */
							obj_t BgL_arg2669z00_2471;

							BgL_arg2669z00_2471 =
								VECTOR_REF(BgL_ibza2za2_209, (int) (BgL_iz00_2464));
							BgL_spz00_2466 =
								((long) CINT(BgL_bpz00_210) + (long) CINT(BgL_arg2669z00_2471));
						}
						{	/* Eval/evaluate_comp.scm 1122 */
							obj_t BgL_arg2666z00_2467;

							{	/* Eval/evaluate_comp.scm 1122 */
								obj_t BgL_arg2667z00_2468;

								BgL_arg2667z00_2468 =
									VECTOR_REF(BgL_sz00_208, (int) (BgL_spz00_2466));
								{	/* Eval/evaluate_comp.scm 1122 */
									obj_t BgL_newz00_8905;

									BgL_newz00_8905 =
										create_struct(BGl_symbol5541z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 1122 */
										int BgL_auxz00_22372;

										BgL_auxz00_22372 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_8905, BgL_auxz00_22372,
											BgL_arg2667z00_2468);
									}
									BgL_arg2666z00_2467 = BgL_newz00_8905;
							}}
							VECTOR_SET(BgL_sz00_208,
								(int) (BgL_spz00_2466), BgL_arg2666z00_2467);
						}
						{	/* Eval/evaluate_comp.scm 1123 */
							long BgL_niz00_2469;

							BgL_niz00_2469 = (BgL_iz00_2464 + ((long) 1));
							if ((BgL_niz00_2469 < (long) (BgL_nz00_2462)))
								{
									long BgL_iz00_22381;

									BgL_iz00_22381 = BgL_niz00_2469;
									BgL_iz00_2464 = BgL_iz00_22381;
									goto BgL_zc3anonymousza32665ze3z83_2465;
								}
							else
								{	/* Eval/evaluate_comp.scm 1124 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_211,
		obj_t BgL_bpz00_212, obj_t BgL_iza2za2_213)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1126 */
			{	/* Eval/evaluate_comp.scm 1127 */
				int BgL_nz00_2473;

				BgL_nz00_2473 = VECTOR_LENGTH(BgL_iza2za2_213);
				{	/* Eval/evaluate_comp.scm 1127 */
					obj_t BgL_rz00_2474;

					BgL_rz00_2474 = make_vector(BgL_nz00_2473, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1127 */

						{
							long BgL_iz00_2476;

							BgL_iz00_2476 = ((long) 0);
						BgL_zc3anonymousza32670ze3z83_2477:
							if ((BgL_iz00_2476 >= (long) (BgL_nz00_2473)))
								{	/* Eval/evaluate_comp.scm 1129 */
									return BgL_rz00_2474;
								}
							else
								{	/* Eval/evaluate_comp.scm 1129 */
									{	/* Eval/evaluate_comp.scm 1132 */
										obj_t BgL_arg2672z00_2479;

										{	/* Eval/evaluate_comp.scm 1132 */
											long BgL_arg2673z00_2480;

											{	/* Eval/evaluate_comp.scm 1132 */
												obj_t BgL_arg2674z00_2481;

												BgL_arg2674z00_2481 =
													VECTOR_REF(BgL_iza2za2_213, (int) (BgL_iz00_2476));
												BgL_arg2673z00_2480 =
													(
													(long) CINT(BgL_bpz00_212) +
													(long) CINT(BgL_arg2674z00_2481));
											}
											BgL_arg2672z00_2479 =
												VECTOR_REF(BgL_sz00_211, (int) (BgL_arg2673z00_2480));
										}
										VECTOR_SET(BgL_rz00_2474,
											(int) (BgL_iz00_2476), BgL_arg2672z00_2479);
									}
									{
										long BgL_iz00_22396;

										BgL_iz00_22396 = (BgL_iz00_2476 + ((long) 1));
										BgL_iz00_2476 = BgL_iz00_22396;
										goto BgL_zc3anonymousza32670ze3z83_2477;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_214,
		obj_t BgL_valza2za2_215, long BgL_spz00_216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1135 */
			{	/* Eval/evaluate_comp.scm 1136 */
				long BgL_stopz00_2485;

				{	/* Eval/evaluate_comp.scm 1136 */
					int BgL_arg2682z00_2495;

					BgL_arg2682z00_2495 = VECTOR_LENGTH(BgL_valza2za2_215);
					BgL_stopz00_2485 = (BgL_spz00_216 + (long) (BgL_arg2682z00_2495));
				}
				{
					long BgL_iz00_8981;
					long BgL_spz00_8982;

					BgL_iz00_8981 = ((long) 0);
					BgL_spz00_8982 = BgL_spz00_216;
				BgL_recz00_8980:
					if ((BgL_spz00_8982 < BgL_stopz00_2485))
						{	/* Eval/evaluate_comp.scm 1137 */
							VECTOR_SET(BgL_sz00_214,
								(int) (BgL_spz00_8982),
								VECTOR_REF(BgL_valza2za2_215, (int) (BgL_iz00_8981)));
							{
								long BgL_spz00_22409;
								long BgL_iz00_22407;

								BgL_iz00_22407 = (BgL_iz00_8981 + ((long) 1));
								BgL_spz00_22409 = (BgL_spz00_8982 + ((long) 1));
								BgL_spz00_8982 = BgL_spz00_22409;
								BgL_iz00_8981 = BgL_iz00_22407;
								goto BgL_recz00_8980;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1137 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc5619z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string5620z00zz__evaluate_compz00);
		}
	}



/* &comp1633 */
	obj_t BGl_z62comp1633z62zz__evaluate_compz00(obj_t BgL_envz00_16061,
		BgL_ev_exprz00_bglt BgL_ez00_16062, obj_t BgL_stkz00_16063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_2497;
				obj_t BgL_stkz00_2498;

				BgL_ez00_2497 = BgL_ez00_16062;
				BgL_stkz00_2498 = BgL_stkz00_16063;
				return
					BGl_errorz00zz__errorz00(BGl_string5531z00zz__evaluate_compz00,
					BGl_string5621z00zz__evaluate_compz00, ((obj_t) BgL_ez00_2497));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				obj_t BgL_method1634z00_2501;

				{	/* Eval/evaluate_comp.scm 264 */
					obj_t BgL_res4802z00_9033;

					{	/* Eval/evaluate_comp.scm 264 */
						BgL_objectz00_bglt BgL_objz00_9005;

						BgL_objz00_9005 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 264 */
							long BgL_objzd2classzd2numz00_9006;

							{	/* Eval/evaluate_comp.scm 264 */
								long BgL_res4796z00_9009;

								BgL_res4796z00_9009 = BGL_OBJECT_CLASS_NUM(BgL_objz00_9005);
								BgL_objzd2classzd2numz00_9006 = BgL_res4796z00_9009;
							}
							{	/* Eval/evaluate_comp.scm 264 */
								obj_t BgL_arg4298z00_9007;

								BgL_arg4298z00_9007 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 264 */
									obj_t BgL_arrayz00_9010;
									int BgL_offsetz00_9011;

									BgL_arrayz00_9010 = BgL_arg4298z00_9007;
									BgL_offsetz00_9011 = (int) (BgL_objzd2classzd2numz00_9006);
									{	/* Eval/evaluate_comp.scm 264 */
										long BgL_offsetz00_9012;

										BgL_offsetz00_9012 =
											((long) (BgL_offsetz00_9011) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 264 */
											long BgL_modz00_9013;

											{	/* Eval/evaluate_comp.scm 264 */
												int BgL_arg4300z00_9014;

												BgL_arg4300z00_9014 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_res4799z00_9024;

													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_auxz00_22422;

														BgL_auxz00_22422 = (long) (BgL_arg4300z00_9014);
														BgL_res4799z00_9024 =
															(BgL_offsetz00_9012 / BgL_auxz00_22422);
													}
													BgL_modz00_9013 = BgL_res4799z00_9024;
											}}
											{	/* Eval/evaluate_comp.scm 264 */
												long BgL_restz00_9015;

												{	/* Eval/evaluate_comp.scm 264 */
													int BgL_arg4299z00_9016;

													BgL_arg4299z00_9016 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_res4801z00_9028;

														{	/* Eval/evaluate_comp.scm 264 */
															long BgL_auxz00_22426;

															BgL_auxz00_22426 = (long) (BgL_arg4299z00_9016);
															BgL_res4801z00_9028 =
																(BgL_offsetz00_9012 % BgL_auxz00_22426);
														}
														BgL_restz00_9015 = BgL_res4801z00_9028;
												}}
												{	/* Eval/evaluate_comp.scm 264 */

													BgL_res4802z00_9033 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_9010,
															(int) (BgL_modz00_9013)),
														(int) (BgL_restz00_9015));
					}}}}}}}}
					BgL_method1634z00_2501 = BgL_res4802z00_9033;
				}
				return
					PROCEDURE_ENTRY(BgL_method1634z00_2501) (BgL_method1634z00_2501,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_16064,
		obj_t BgL_ez00_16065, obj_t BgL_stkz00_16066)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				BgL_ev_exprz00_bglt BgL_auxz00_22439;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_16065,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 264 */
						BgL_auxz00_22439 = ((BgL_ev_exprz00_bglt) BgL_ez00_16065);
					}
				else
					{
						obj_t BgL_auxz00_22443;

						BgL_auxz00_22443 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5536z00zz__evaluate_compz00, BINT(((long) 6608)),
							BGl_string5622z00zz__evaluate_compz00,
							BGl_string5538z00zz__evaluate_compz00, BgL_ez00_16065);
						FAILURE(BgL_auxz00_22443, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_22439, BgL_stkz00_16066);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc5623z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5625z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc5626z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc5627z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc5628z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc5629z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc5630z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5631z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5632z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5633z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc5634z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5635z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc5636z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc5637z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc5638z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc5639z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc5640z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc5641z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc5642z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5643z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5644z00zz__evaluate_compz00,
				BGl_string5624z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1676 */
	obj_t BGl_z62compzd2ev_abs1676zb0zz__evaluate_compz00(obj_t BgL_envz00_16257,
		BgL_ev_absz00_bglt BgL_ez00_16258, obj_t BgL_stkz00_16259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1106 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3253;
				obj_t BgL_stkz00_3254;

				BgL_ez00_3253 = BgL_ez00_16258;
				BgL_stkz00_3254 = BgL_stkz00_16259;
				{	/* Eval/evaluate_comp.scm 1108 */
					obj_t BgL_ifreesz00_3258;
					obj_t BgL_iboxesz00_3259;
					long BgL_siza7eza7_3260;
					long BgL_siza7ezd2framez75_3261;
					obj_t BgL_nstkz00_3262;

					{	/* Eval/evaluate_comp.scm 1108 */
						obj_t BgL_arg3976z00_5282;

						{	/* Eval/evaluate_comp.scm 1108 */
							obj_t BgL_l1613z00_5283;

							BgL_l1613z00_5283 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_freez00);
							if (NULLP(BgL_l1613z00_5283))
								{	/* Eval/evaluate_comp.scm 1108 */
									BgL_arg3976z00_5282 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1108 */
									obj_t BgL_head1615z00_5285;

									{	/* Eval/evaluate_comp.scm 1108 */
										obj_t BgL_res4939z00_10290;

										BgL_res4939z00_10290 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1615z00_5285 = BgL_res4939z00_10290;
									}
									{
										obj_t BgL_l1613z00_10324;
										obj_t BgL_tail1616z00_10325;

										BgL_l1613z00_10324 = BgL_l1613z00_5283;
										BgL_tail1616z00_10325 = BgL_head1615z00_5285;
									BgL_zc3anonymousza33978ze3z83_10323:
										if (NULLP(BgL_l1613z00_10324))
											{	/* Eval/evaluate_comp.scm 1108 */
												BgL_arg3976z00_5282 = CDR(BgL_head1615z00_5285);
											}
										else
											{	/* Eval/evaluate_comp.scm 1108 */
												obj_t BgL_newtail1617z00_10332;

												{	/* Eval/evaluate_comp.scm 1108 */
													obj_t BgL_arg3981z00_10333;

													BgL_arg3981z00_10333 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1613z00_10324), BgL_stkz00_3254);
													{	/* Eval/evaluate_comp.scm 1108 */
														obj_t BgL_res4945z00_10342;

														BgL_res4945z00_10342 =
															MAKE_PAIR(BgL_arg3981z00_10333, BNIL);
														BgL_newtail1617z00_10332 = BgL_res4945z00_10342;
													}
												}
												SET_CDR(BgL_tail1616z00_10325,
													BgL_newtail1617z00_10332);
												{
													obj_t BgL_tail1616z00_22482;
													obj_t BgL_l1613z00_22480;

													BgL_l1613z00_22480 = CDR(BgL_l1613z00_10324);
													BgL_tail1616z00_22482 = BgL_newtail1617z00_10332;
													BgL_tail1616z00_10325 = BgL_tail1616z00_22482;
													BgL_l1613z00_10324 = BgL_l1613z00_22480;
													goto BgL_zc3anonymousza33978ze3z83_10323;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3258 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3976z00_5282);
					}
					{	/* Eval/evaluate_comp.scm 1109 */
						obj_t BgL_arg3982z00_5296;

						{	/* Eval/evaluate_comp.scm 1109 */
							obj_t BgL_l1618z00_5297;

							BgL_l1618z00_5297 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_boxesz00);
							if (NULLP(BgL_l1618z00_5297))
								{	/* Eval/evaluate_comp.scm 1109 */
									BgL_arg3982z00_5296 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1109 */
									obj_t BgL_head1620z00_5299;

									{	/* Eval/evaluate_comp.scm 1109 */
										obj_t BgL_res4947z00_10350;

										BgL_res4947z00_10350 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1620z00_5299 = BgL_res4947z00_10350;
									}
									{
										obj_t BgL_l1618z00_5301;
										obj_t BgL_tail1621z00_5302;

										BgL_l1618z00_5301 = BgL_l1618z00_5297;
										BgL_tail1621z00_5302 = BgL_head1620z00_5299;
									BgL_zc3anonymousza33984ze3z83_5303:
										if (NULLP(BgL_l1618z00_5301))
											{	/* Eval/evaluate_comp.scm 1109 */
												BgL_arg3982z00_5296 = CDR(BgL_head1620z00_5299);
											}
										else
											{	/* Eval/evaluate_comp.scm 1109 */
												obj_t BgL_newtail1622z00_5305;

												{	/* Eval/evaluate_comp.scm 1109 */
													obj_t BgL_arg3987z00_5307;

													BgL_arg3987z00_5307 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1618z00_5301),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1109 */
														obj_t BgL_res4949z00_10357;

														BgL_res4949z00_10357 =
															MAKE_PAIR(BgL_arg3987z00_5307, BNIL);
														BgL_newtail1622z00_5305 = BgL_res4949z00_10357;
													}
												}
												SET_CDR(BgL_tail1621z00_5302, BgL_newtail1622z00_5305);
												{
													obj_t BgL_tail1621z00_22498;
													obj_t BgL_l1618z00_22496;

													BgL_l1618z00_22496 = CDR(BgL_l1618z00_5301);
													BgL_tail1621z00_22498 = BgL_newtail1622z00_5305;
													BgL_tail1621z00_5302 = BgL_tail1621z00_22498;
													BgL_l1618z00_5301 = BgL_l1618z00_22496;
													goto BgL_zc3anonymousza33984ze3z83_5303;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3259 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3982z00_5296);
					}
					BgL_siza7eza7_3260 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_varsz00));
					BgL_siza7ezd2framez75_3261 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_freez00)));
					BgL_nstkz00_3262 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1113 */
						obj_t BgL_bodyz00_3263;

						BgL_bodyz00_3263 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_bodyz00),
							BgL_nstkz00_3262);
						{

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_aux1275z00_3265;

								BgL_aux1275z00_3265 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3253))->BgL_arityz00);
								if (INTEGERP(BgL_aux1275z00_3265))
									{	/* Eval/evaluate_comp.scm 1115 */
										switch ((long) CINT(BgL_aux1275z00_3265))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22515;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3094z00_3424;

														BgL_arg3094z00_3424 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22515 =
															((long) (BgL_arg3094z00_3424) == ((long) 0));
													}
													if (BgL_testz00_22515)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22519;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3057z00_3343;

																BgL_arg3057z00_3343 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22519 =
																	((long) (BgL_arg3057z00_3343) == ((long) 0));
															}
															if (BgL_testz00_22519)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33023ze3z83_16078;

																	BgL_zc3anonymousza33023ze3z83_16078 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33023ze3z83_16078,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33023ze3z83_16078,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33023ze3z83_16078,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33023ze3z83_16078;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33039ze3z83_16075;

																	BgL_zc3anonymousza33039ze3z83_16075 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33039ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33039ze3z83_16075,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33039ze3z83_16075,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33039ze3z83_16075,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33039ze3z83_16075,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33039ze3z83_16075;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22547;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3093z00_3423;

																BgL_arg3093z00_3423 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22547 =
																	((long) (BgL_arg3093z00_3423) == ((long) 0));
															}
															if (BgL_testz00_22547)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33059ze3z83_16072;

																	BgL_zc3anonymousza33059ze3z83_16072 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33059ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33059ze3z83_16072,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33059ze3z83_16072,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33059ze3z83_16072,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33059ze3z83_16072,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33059ze3z83_16072,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33059ze3z83_16072;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33076ze3z83_16069;

																	BgL_zc3anonymousza33076ze3z83_16069 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33076ze3z83_16069,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33076ze3z83_16069,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33076ze3z83_16069,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33076ze3z83_16069,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33076ze3z83_16069,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33076ze3z83_16069,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33076ze3z83_16069;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22585;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3172z00_3590;

														BgL_arg3172z00_3590 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22585 =
															((long) (BgL_arg3172z00_3590) == ((long) 0));
													}
													if (BgL_testz00_22585)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22589;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3132z00_3505;

																BgL_arg3132z00_3505 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22589 =
																	((long) (BgL_arg3132z00_3505) == ((long) 0));
															}
															if (BgL_testz00_22589)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33097ze3z83_16090;

																	BgL_zc3anonymousza33097ze3z83_16090 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33097ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33097ze3z83_16090,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33097ze3z83_16090,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33097ze3z83_16090,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33097ze3z83_16090;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33115ze3z83_16087;

																	BgL_zc3anonymousza33115ze3z83_16087 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33115ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33115ze3z83_16087,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33115ze3z83_16087,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33115ze3z83_16087,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33115ze3z83_16087,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33115ze3z83_16087;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22617;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3171z00_3589;

																BgL_arg3171z00_3589 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22617 =
																	((long) (BgL_arg3171z00_3589) == ((long) 0));
															}
															if (BgL_testz00_22617)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33134ze3z83_16084;

																	BgL_zc3anonymousza33134ze3z83_16084 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33134ze3z83_16084,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33134ze3z83_16084,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33134ze3z83_16084,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33134ze3z83_16084,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33134ze3z83_16084,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33134ze3z83_16084;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33152ze3z83_16081;

																	BgL_zc3anonymousza33152ze3z83_16081 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33152ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33152ze3z83_16081,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33152ze3z83_16081,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33152ze3z83_16081,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33152ze3z83_16081,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33152ze3z83_16081,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33152ze3z83_16081,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33152ze3z83_16081;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22655;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3248z00_3756;

														BgL_arg3248z00_3756 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22655 =
															((long) (BgL_arg3248z00_3756) == ((long) 0));
													}
													if (BgL_testz00_22655)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22659;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3209z00_3671;

																BgL_arg3209z00_3671 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22659 =
																	((long) (BgL_arg3209z00_3671) == ((long) 0));
															}
															if (BgL_testz00_22659)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33175ze3z83_16102;

																	BgL_zc3anonymousza33175ze3z83_16102 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33175ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33175ze3z83_16102,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33175ze3z83_16102,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33175ze3z83_16102,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33175ze3z83_16102;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33192ze3z83_16099;

																	BgL_zc3anonymousza33192ze3z83_16099 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33192ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33192ze3z83_16099,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33192ze3z83_16099,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33192ze3z83_16099,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33192ze3z83_16099,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33192ze3z83_16099;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22687;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3247z00_3755;

																BgL_arg3247z00_3755 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22687 =
																	((long) (BgL_arg3247z00_3755) == ((long) 0));
															}
															if (BgL_testz00_22687)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33211ze3z83_16096;

																	BgL_zc3anonymousza33211ze3z83_16096 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33211ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33211ze3z83_16096,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33211ze3z83_16096,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33211ze3z83_16096,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33211ze3z83_16096,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33211ze3z83_16096,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33211ze3z83_16096;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33229ze3z83_16093;

																	BgL_zc3anonymousza33229ze3z83_16093 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33229ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33229ze3z83_16093,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33229ze3z83_16093,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33229ze3z83_16093,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33229ze3z83_16093,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33229ze3z83_16093,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33229ze3z83_16093,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33229ze3z83_16093;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22725;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3328z00_3930;

														BgL_arg3328z00_3930 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22725 =
															((long) (BgL_arg3328z00_3930) == ((long) 0));
													}
													if (BgL_testz00_22725)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22729;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3287z00_3841;

																BgL_arg3287z00_3841 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22729 =
																	((long) (BgL_arg3287z00_3841) == ((long) 0));
															}
															if (BgL_testz00_22729)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33251ze3z83_16114;

																	BgL_zc3anonymousza33251ze3z83_16114 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33251ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33251ze3z83_16114,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33251ze3z83_16114,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33251ze3z83_16114,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33251ze3z83_16114;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33269ze3z83_16111;

																	BgL_zc3anonymousza33269ze3z83_16111 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33269ze3z83_16111,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33269ze3z83_16111,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33269ze3z83_16111,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33269ze3z83_16111,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33269ze3z83_16111;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22757;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3327z00_3929;

																BgL_arg3327z00_3929 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22757 =
																	((long) (BgL_arg3327z00_3929) == ((long) 0));
															}
															if (BgL_testz00_22757)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33289ze3z83_16108;

																	BgL_zc3anonymousza33289ze3z83_16108 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33289ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33289ze3z83_16108,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33289ze3z83_16108,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33289ze3z83_16108,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33289ze3z83_16108,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33289ze3z83_16108,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33289ze3z83_16108;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33308ze3z83_16105;

																	BgL_zc3anonymousza33308ze3z83_16105 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33308ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33308ze3z83_16105,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33308ze3z83_16105,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33308ze3z83_16105,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33308ze3z83_16105,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33308ze3z83_16105,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33308ze3z83_16105,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33308ze3z83_16105;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22795;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3408z00_4104;

														BgL_arg3408z00_4104 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22795 =
															((long) (BgL_arg3408z00_4104) == ((long) 0));
													}
													if (BgL_testz00_22795)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22799;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3367z00_4015;

																BgL_arg3367z00_4015 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22799 =
																	((long) (BgL_arg3367z00_4015) == ((long) 0));
															}
															if (BgL_testz00_22799)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33331ze3z83_16126;

																	BgL_zc3anonymousza33331ze3z83_16126 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33331ze3z83_16126,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33331ze3z83_16126,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33331ze3z83_16126,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33331ze3z83_16126;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33349ze3z83_16123;

																	BgL_zc3anonymousza33349ze3z83_16123 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33349ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33349ze3z83_16123,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33349ze3z83_16123,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33349ze3z83_16123,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33349ze3z83_16123,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33349ze3z83_16123;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22827;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3407z00_4103;

																BgL_arg3407z00_4103 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22827 =
																	((long) (BgL_arg3407z00_4103) == ((long) 0));
															}
															if (BgL_testz00_22827)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33369ze3z83_16120;

																	BgL_zc3anonymousza33369ze3z83_16120 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33369ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33369ze3z83_16120,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33369ze3z83_16120,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33369ze3z83_16120,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33369ze3z83_16120,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33369ze3z83_16120,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33369ze3z83_16120;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33388ze3z83_16117;

																	BgL_zc3anonymousza33388ze3z83_16117 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33388ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33388ze3z83_16117,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33388ze3z83_16117,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33388ze3z83_16117,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33388ze3z83_16117,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33388ze3z83_16117,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33388ze3z83_16117,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33388ze3z83_16117;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22865;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3492z00_4286;

														BgL_arg3492z00_4286 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22865 =
															((long) (BgL_arg3492z00_4286) == ((long) 0));
													}
													if (BgL_testz00_22865)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22869;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3449z00_4193;

																BgL_arg3449z00_4193 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22869 =
																	((long) (BgL_arg3449z00_4193) == ((long) 0));
															}
															if (BgL_testz00_22869)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33411ze3z83_16138;

																	BgL_zc3anonymousza33411ze3z83_16138 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33411ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33411ze3z83_16138,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33411ze3z83_16138,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33411ze3z83_16138,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33411ze3z83_16138;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33430ze3z83_16135;

																	BgL_zc3anonymousza33430ze3z83_16135 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33430ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33430ze3z83_16135,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33430ze3z83_16135,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33430ze3z83_16135,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33430ze3z83_16135,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33430ze3z83_16135;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22897;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3491z00_4285;

																BgL_arg3491z00_4285 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22897 =
																	((long) (BgL_arg3491z00_4285) == ((long) 0));
															}
															if (BgL_testz00_22897)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33451ze3z83_16132;

																	BgL_zc3anonymousza33451ze3z83_16132 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33451ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33451ze3z83_16132,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33451ze3z83_16132,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33451ze3z83_16132,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33451ze3z83_16132,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33451ze3z83_16132,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33451ze3z83_16132;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33471ze3z83_16129;

																	BgL_zc3anonymousza33471ze3z83_16129 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33471ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33471ze3z83_16129,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33471ze3z83_16129,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33471ze3z83_16129,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33471ze3z83_16129,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33471ze3z83_16129,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33471ze3z83_16129,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33471ze3z83_16129;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_22935;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3576z00_4468;

														BgL_arg3576z00_4468 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_22935 =
															((long) (BgL_arg3576z00_4468) == ((long) 0));
													}
													if (BgL_testz00_22935)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22939;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3533z00_4375;

																BgL_arg3533z00_4375 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22939 =
																	((long) (BgL_arg3533z00_4375) == ((long) 0));
															}
															if (BgL_testz00_22939)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33495ze3z83_16150;

																	BgL_zc3anonymousza33495ze3z83_16150 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33495ze3z83_16150,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33495ze3z83_16150,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33495ze3z83_16150,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33495ze3z83_16150;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33514ze3z83_16147;

																	BgL_zc3anonymousza33514ze3z83_16147 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33514ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33514ze3z83_16147,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33514ze3z83_16147,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33514ze3z83_16147,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33514ze3z83_16147,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33514ze3z83_16147;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_22967;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3575z00_4467;

																BgL_arg3575z00_4467 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_22967 =
																	((long) (BgL_arg3575z00_4467) == ((long) 0));
															}
															if (BgL_testz00_22967)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33535ze3z83_16144;

																	BgL_zc3anonymousza33535ze3z83_16144 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33535ze3z83_16144,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33535ze3z83_16144,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33535ze3z83_16144,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33535ze3z83_16144,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33535ze3z83_16144,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33535ze3z83_16144;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33555ze3z83_16141;

																	BgL_zc3anonymousza33555ze3z83_16141 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33555ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33555ze3z83_16141,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33555ze3z83_16141,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33555ze3z83_16141,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33555ze3z83_16141,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33555ze3z83_16141,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33555ze3z83_16141,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33555ze3z83_16141;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23005;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3665z00_4658;

														BgL_arg3665z00_4658 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_23005 =
															((long) (BgL_arg3665z00_4658) == ((long) 0));
													}
													if (BgL_testz00_23005)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23009;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3619z00_4561;

																BgL_arg3619z00_4561 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23009 =
																	((long) (BgL_arg3619z00_4561) == ((long) 0));
															}
															if (BgL_testz00_23009)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33579ze3z83_16162;

																	BgL_zc3anonymousza33579ze3z83_16162 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33579ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33579ze3z83_16162,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33579ze3z83_16162,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33579ze3z83_16162,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33579ze3z83_16162;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33599ze3z83_16159;

																	BgL_zc3anonymousza33599ze3z83_16159 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33599ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33599ze3z83_16159,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33599ze3z83_16159,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33599ze3z83_16159,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33599ze3z83_16159,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33599ze3z83_16159;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23037;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3664z00_4657;

																BgL_arg3664z00_4657 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23037 =
																	((long) (BgL_arg3664z00_4657) == ((long) 0));
															}
															if (BgL_testz00_23037)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33621ze3z83_16156;

																	BgL_zc3anonymousza33621ze3z83_16156 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33621ze3z83_16156,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33621ze3z83_16156,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33621ze3z83_16156,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33621ze3z83_16156,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33621ze3z83_16156,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33621ze3z83_16156;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33643ze3z83_16153;

																	BgL_zc3anonymousza33643ze3z83_16153 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33643ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33643ze3z83_16153,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33643ze3z83_16153,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33643ze3z83_16153,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33643ze3z83_16153,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33643ze3z83_16153,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33643ze3z83_16153,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33643ze3z83_16153;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23075;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3754z00_4848;

														BgL_arg3754z00_4848 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_23075 =
															((long) (BgL_arg3754z00_4848) == ((long) 0));
													}
													if (BgL_testz00_23075)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23079;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3709z00_4751;

																BgL_arg3709z00_4751 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23079 =
																	((long) (BgL_arg3709z00_4751) == ((long) 0));
															}
															if (BgL_testz00_23079)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33668ze3z83_16174;

																	BgL_zc3anonymousza33668ze3z83_16174 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33668ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33668ze3z83_16174,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33668ze3z83_16174,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33668ze3z83_16174,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33668ze3z83_16174;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33689ze3z83_16171;

																	BgL_zc3anonymousza33689ze3z83_16171 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33689ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33689ze3z83_16171,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33689ze3z83_16171,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33689ze3z83_16171,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33689ze3z83_16171,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33689ze3z83_16171;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23107;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3753z00_4847;

																BgL_arg3753z00_4847 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23107 =
																	((long) (BgL_arg3753z00_4847) == ((long) 0));
															}
															if (BgL_testz00_23107)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33711ze3z83_16168;

																	BgL_zc3anonymousza33711ze3z83_16168 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33711ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33711ze3z83_16168,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33711ze3z83_16168,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33711ze3z83_16168,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33711ze3z83_16168,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33711ze3z83_16168,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33711ze3z83_16168;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33732ze3z83_16165;

																	BgL_zc3anonymousza33732ze3z83_16165 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33732ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33732ze3z83_16165,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33732ze3z83_16165,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33732ze3z83_16165,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33732ze3z83_16165,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33732ze3z83_16165,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33732ze3z83_16165,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33732ze3z83_16165;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23145;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3846z00_5046;

														BgL_arg3846z00_5046 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_23145 =
															((long) (BgL_arg3846z00_5046) == ((long) 0));
													}
													if (BgL_testz00_23145)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23149;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3799z00_4945;

																BgL_arg3799z00_4945 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23149 =
																	((long) (BgL_arg3799z00_4945) == ((long) 0));
															}
															if (BgL_testz00_23149)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33757ze3z83_16186;

																	BgL_zc3anonymousza33757ze3z83_16186 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33757ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33757ze3z83_16186,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33757ze3z83_16186,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33757ze3z83_16186,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33757ze3z83_16186;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33778ze3z83_16183;

																	BgL_zc3anonymousza33778ze3z83_16183 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33778ze3z83_16183,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33778ze3z83_16183,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33778ze3z83_16183,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33778ze3z83_16183,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33778ze3z83_16183;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23177;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3845z00_5045;

																BgL_arg3845z00_5045 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23177 =
																	((long) (BgL_arg3845z00_5045) == ((long) 0));
															}
															if (BgL_testz00_23177)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33801ze3z83_16180;

																	BgL_zc3anonymousza33801ze3z83_16180 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33801ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33801ze3z83_16180,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33801ze3z83_16180,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33801ze3z83_16180,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33801ze3z83_16180,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33801ze3z83_16180,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33801ze3z83_16180;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33823ze3z83_16177;

																	BgL_zc3anonymousza33823ze3z83_16177 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33823ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33823ze3z83_16177,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33823ze3z83_16177,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33823ze3z83_16177,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33823ze3z83_16177,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33823ze3z83_16177,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33823ze3z83_16177,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33823ze3z83_16177;
																}
														}
												}
												break;
											default:
											BgL_case_else1274z00_3264:
												{	/* Eval/evaluate_comp.scm 1115 */
													bool_t BgL_testz00_23215;

													{	/* Eval/evaluate_comp.scm 1115 */
														int BgL_arg3974z00_5280;

														BgL_arg3974z00_5280 =
															VECTOR_LENGTH(BgL_ifreesz00_3258);
														BgL_testz00_23215 =
															((long) (BgL_arg3974z00_5280) == ((long) 0));
													}
													if (BgL_testz00_23215)
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23219;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3909z00_5161;

																BgL_arg3909z00_5161 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23219 =
																	((long) (BgL_arg3909z00_5161) == ((long) 0));
															}
															if (BgL_testz00_23219)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33849ze3z83_16198;

																	BgL_zc3anonymousza33849ze3z83_16198 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33849ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33849ze3z83_16198,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33849ze3z83_16198,
																		(int) (((long) 1)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33849ze3z83_16198,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33849ze3z83_16198;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33879ze3z83_16195;

																	BgL_zc3anonymousza33879ze3z83_16195 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33879ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33879ze3z83_16195,
																		(int) (((long) 0)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33879ze3z83_16195,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33879ze3z83_16195,
																		(int) (((long) 2)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33879ze3z83_16195,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33879ze3z83_16195;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															bool_t BgL_testz00_23247;

															{	/* Eval/evaluate_comp.scm 1115 */
																int BgL_arg3973z00_5279;

																BgL_arg3973z00_5279 =
																	VECTOR_LENGTH(BgL_iboxesz00_3259);
																BgL_testz00_23247 =
																	((long) (BgL_arg3973z00_5279) == ((long) 0));
															}
															if (BgL_testz00_23247)
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33911ze3z83_16192;

																	BgL_zc3anonymousza33911ze3z83_16192 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33911ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_16192,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_16192,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_16192,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_16192,
																		(int) (((long) 3)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_16192,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33911ze3z83_16192;
																}
															else
																{	/* Eval/evaluate_comp.scm 1115 */
																	obj_t BgL_zc3anonymousza33942ze3z83_16189;

																	BgL_zc3anonymousza33942ze3z83_16189 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33942ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33942ze3z83_16189,
																		(int) (((long) 0)), BgL_ifreesz00_3258);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33942ze3z83_16189,
																		(int) (((long) 1)), BgL_iboxesz00_3259);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33942ze3z83_16189,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3260));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33942ze3z83_16189,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3253));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33942ze3z83_16189,
																		(int) (((long) 4)), BgL_bodyz00_3263);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33942ze3z83_16189,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3261));
																	return BgL_zc3anonymousza33942ze3z83_16189;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										goto BgL_case_else1274z00_3264;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3757> */
	obj_t BGl_z62zc3anonymousza33757ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16260, obj_t BgL_sz00_16264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16261;
				obj_t BgL_bodyz00_16262;
				long BgL_siza7ezd2framez75_16263;

				BgL_i1249z00_16261 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16260, (int) (((long) 0))));
				BgL_bodyz00_16262 = PROCEDURE_REF(BgL_envz00_16260, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16263 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16260, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4851;

					BgL_sz00_4851 = BgL_sz00_16264;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4853;

						BgL_bpz00_4853 = VECTOR_REF(BgL_sz00_4851, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16184;

								BgL_runz00_16184 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16184,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16261));
								PROCEDURE_SET(BgL_runz00_16184,
									(int) (((long) 1)), BgL_bodyz00_16262);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16185;

									BgL_mainz00_16185 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16261));
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 1)), BgL_bodyz00_16262);
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 2)), BgL_runz00_16184);
									PROCEDURE_SET(BgL_mainz00_16185,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16263));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14907;

										BgL_objz00_14907 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16184, BgL_objz00_14907);
										BgL_objz00_14907;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3758z00_4856;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3759z00_4857;

											BgL_arg3759z00_4857 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16261))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14911;

												BgL_newz00_14911 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23322;

													BgL_auxz00_23322 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14911, BgL_auxz00_23322,
														BgL_arg3759z00_4857);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23327;
													int BgL_auxz00_23325;

													BgL_auxz00_23327 = BINT(BgL_siza7ezd2framez75_16263);
													BgL_auxz00_23325 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14911, BgL_auxz00_23325,
														BgL_auxz00_23327);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23330;

													BgL_auxz00_23330 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14911, BgL_auxz00_23330,
														BgL_runz00_16184);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23335;
													int BgL_auxz00_23333;

													BgL_auxz00_23335 = BINT(((long) -5));
													BgL_auxz00_23333 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14911, BgL_auxz00_23333,
														BgL_auxz00_23335);
												}
												BgL_arg3758z00_4856 = BgL_newz00_14911;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16185, BgL_arg3758z00_4856);
										BgL_arg3758z00_4856;
									}
									return BgL_mainz00_16185;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_16265,
		obj_t BgL_az00_16270, obj_t BgL_bz00_16271, obj_t BgL_cz00_16272,
		obj_t BgL_dz00_16273, obj_t BgL_lastz00_16274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16268;
				long BgL_siza7ezd2framez75_16269;

				BgL_runz00_16268 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16265, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16269 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16265, (int) (((long) 3))));
				{
					obj_t BgL_az00_4858;
					obj_t BgL_bz00_4859;
					obj_t BgL_cz00_4860;
					obj_t BgL_dz00_4861;
					obj_t BgL_lastz00_4862;

					BgL_az00_4858 = BgL_az00_16270;
					BgL_bz00_4859 = BgL_bz00_16271;
					BgL_cz00_4860 = BgL_cz00_16272;
					BgL_dz00_4861 = BgL_dz00_16273;
					BgL_lastz00_4862 = BgL_lastz00_16274;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4864;

						BgL_sz00_4864 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4865;

							BgL_bpz00_4865 = VECTOR_REF(BgL_sz00_4864, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23348;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14815;

									BgL_arg1899z00_14815 = VECTOR_LENGTH(BgL_sz00_4864);
									BgL_testz00_23348 =
										(
										((long) CINT(BgL_bpz00_4865) +
											BgL_siza7ezd2framez75_16269) <
										(long) (BgL_arg1899z00_14815));
								}
								if (BgL_testz00_23348)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3762z00_4867;

											BgL_arg3762z00_4867 =
												((long) CINT(BgL_bpz00_4865) + ((long) 0));
											VECTOR_SET(BgL_sz00_4864,
												(int) (BgL_arg3762z00_4867), BgL_az00_4858);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3763z00_4868;

											BgL_arg3763z00_4868 =
												((long) CINT(BgL_bpz00_4865) + ((long) 1));
											VECTOR_SET(BgL_sz00_4864,
												(int) (BgL_arg3763z00_4868), BgL_bz00_4859);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3764z00_4869;

											BgL_arg3764z00_4869 =
												((long) CINT(BgL_bpz00_4865) + ((long) 2));
											VECTOR_SET(BgL_sz00_4864,
												(int) (BgL_arg3764z00_4869), BgL_cz00_4860);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3765z00_4870;

											BgL_arg3765z00_4870 =
												((long) CINT(BgL_bpz00_4865) + ((long) 3));
											VECTOR_SET(BgL_sz00_4864,
												(int) (BgL_arg3765z00_4870), BgL_dz00_4861);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3766z00_4871;

											BgL_arg3766z00_4871 =
												((long) CINT(BgL_bpz00_4865) + ((long) 4));
											VECTOR_SET(BgL_sz00_4864,
												(int) (BgL_arg3766z00_4871), BgL_lastz00_4862);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1492z00_4872;

											BgL_val1492z00_4872 =
												BGl_zc3exitza33770ze3z83zz__evaluate_compz00
												(BgL_bpz00_4865, BgL_sz00_4864, BgL_runz00_16268);
											VECTOR_SET(BgL_sz00_4864, (int) (((long) 0)),
												BgL_bpz00_4865);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1492z00_4872)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1492z00_4872), CDR(BgL_val1492z00_4872));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1492z00_4872;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4879;

										BgL_nsz00_4879 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4879,
											(int) (((long) 1)), BgL_sz00_4864);
										VECTOR_SET(BgL_nsz00_4879,
											(int) (((long) 2)), BgL_az00_4858);
										VECTOR_SET(BgL_nsz00_4879,
											(int) (((long) 3)), BgL_bz00_4859);
										VECTOR_SET(BgL_nsz00_4879,
											(int) (((long) 4)), BgL_cz00_4860);
										VECTOR_SET(BgL_nsz00_4879,
											(int) (((long) 5)), BgL_dz00_4861);
										VECTOR_SET(BgL_nsz00_4879,
											(int) (((long) 6)), BgL_lastz00_4862);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23396;

											BgL_auxz00_23396 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23396, BgL_nsz00_4879);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1495z00_4881;

											BgL_val1495z00_4881 =
												BGl_zc3exitza33776ze3z83zz__evaluate_compz00
												(BgL_runz00_16268, BgL_nsz00_4879);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23400;

												BgL_auxz00_23400 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23400, BgL_sz00_4864);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1495z00_4881)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1495z00_4881), CDR(BgL_val1495z00_4881));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1495z00_4881;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3776> */
	obj_t BGl_zc3exitza33776ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17628,
		obj_t BgL_nsz00_17627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1496z00_4887;

			if (SET_EXIT(BgL_an_exit1496z00_4887))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1496z00_4887 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1496z00_4887, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1497z00_4888;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14879;

								BgL_savedzd2bpzd2_14879 =
									VECTOR_REF(BgL_nsz00_17627, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17627,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14886;

									BgL_fz00_14886 = BgL_runz00_17628;
								BgL_recz00_14885:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14887;

										BgL_rz00_14887 =
											PROCEDURE_ENTRY(BgL_fz00_14886) (BgL_fz00_14886,
											BgL_nsz00_17627, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23421;

											if (PROCEDUREP(BgL_rz00_14887))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14892;

													BgL_arg1890z00_14892 = PROCEDURE_ATTR(BgL_rz00_14887);
													if (STRUCTP(BgL_arg1890z00_14892))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23421 =
																(STRUCT_KEY(BgL_arg1890z00_14892) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23421 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23421 = ((bool_t) 0);
												}
											if (BgL_testz00_23421)
												{
													obj_t BgL_fz00_23429;

													BgL_fz00_23429 = BgL_rz00_14887;
													BgL_fz00_14886 = BgL_fz00_23429;
													goto BgL_recz00_14885;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17627,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14879);
													BgL_val1497z00_4888 = BgL_rz00_14887;
							}}}}}
							POP_EXIT();
							return BgL_val1497z00_4888;
						}
					}
				}
		}
	}



/* <exit:3770> */
	obj_t BGl_zc3exitza33770ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17631,
		obj_t BgL_sz00_17630, obj_t BgL_runz00_17629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1493z00_4877;

			if (SET_EXIT(BgL_an_exit1493z00_4877))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1493z00_4877 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1493z00_4877, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1494z00_4878;

							BgL_val1494z00_4878 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17629,
								BgL_sz00_17630, BgL_bpz00_17631);
							POP_EXIT();
							return BgL_val1494z00_4878;
						}
					}
				}
		}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_16275,
		obj_t BgL_sz00_16278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16276;
				obj_t BgL_bodyz00_16277;

				BgL_i1249z00_16276 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16275, (int) (((long) 0))));
				BgL_bodyz00_16277 = PROCEDURE_REF(BgL_envz00_16275, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4890;

					BgL_sz00_4890 = BgL_sz00_16278;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4892;

						BgL_bpz00_4892 = VECTOR_REF(BgL_sz00_4890, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4893;
							obj_t BgL_wherez00_4894;
							obj_t BgL_locz00_4895;

							BgL_z12denvz12_4893 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4894 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16276))->BgL_wherez00);
							BgL_locz00_4895 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16276))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4893, BgL_wherez00_4894,
									BgL_locz00_4895);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4896;

									BgL_za2za2resza2za2z00_4896 =
										PROCEDURE_ENTRY(BgL_bodyz00_16277) (BgL_bodyz00_16277,
										BgL_sz00_4890, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4893);
									return BgL_za2za2resza2za2z00_4896;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3778> */
	obj_t BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16279, obj_t BgL_sz00_16284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16280;
				BgL_ev_absz00_bglt BgL_i1249z00_16281;
				obj_t BgL_bodyz00_16282;
				long BgL_siza7ezd2framez75_16283;

				BgL_iboxesz00_16280 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16279, (int) (((long) 0))));
				BgL_i1249z00_16281 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16279, (int) (((long) 1))));
				BgL_bodyz00_16282 = PROCEDURE_REF(BgL_envz00_16279, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16283 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16279, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4898;

					BgL_sz00_4898 = BgL_sz00_16284;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4900;

						BgL_bpz00_4900 = VECTOR_REF(BgL_sz00_4898, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16181;

								BgL_runz00_16181 =
									MAKE_FX_PROCEDURE(BGl_z62run5434z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 0)), BgL_iboxesz00_16280);
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16281));
								PROCEDURE_SET(BgL_runz00_16181,
									(int) (((long) 2)), BgL_bodyz00_16282);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16182;

									BgL_mainz00_16182 =
										MAKE_VA_PROCEDURE(BGl_z62main5433z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 0)), BgL_iboxesz00_16280);
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16281));
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 2)), BgL_bodyz00_16282);
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 3)), BgL_runz00_16181);
									PROCEDURE_SET(BgL_mainz00_16182,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16283));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15034;

										BgL_objz00_15034 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16181, BgL_objz00_15034);
										BgL_objz00_15034;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3779z00_4903;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3780z00_4904;

											BgL_arg3780z00_4904 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16281))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15038;

												BgL_newz00_15038 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23496;

													BgL_auxz00_23496 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15038, BgL_auxz00_23496,
														BgL_arg3780z00_4904);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23501;
													int BgL_auxz00_23499;

													BgL_auxz00_23501 = BINT(BgL_siza7ezd2framez75_16283);
													BgL_auxz00_23499 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15038, BgL_auxz00_23499,
														BgL_auxz00_23501);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23504;

													BgL_auxz00_23504 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15038, BgL_auxz00_23504,
														BgL_runz00_16181);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23509;
													int BgL_auxz00_23507;

													BgL_auxz00_23509 = BINT(((long) -5));
													BgL_auxz00_23507 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15038, BgL_auxz00_23507,
														BgL_auxz00_23509);
												}
												BgL_arg3779z00_4903 = BgL_newz00_15038;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16182, BgL_arg3779z00_4903);
										BgL_arg3779z00_4903;
									}
									return BgL_mainz00_16182;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5433 */
	obj_t BGl_z62main5433z62zz__evaluate_compz00(obj_t BgL_envz00_16285,
		obj_t BgL_az00_16291, obj_t BgL_bz00_16292, obj_t BgL_cz00_16293,
		obj_t BgL_dz00_16294, obj_t BgL_lastz00_16295)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16289;
				long BgL_siza7ezd2framez75_16290;

				BgL_runz00_16289 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16285, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16290 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16285, (int) (((long) 4))));
				{
					obj_t BgL_az00_4905;
					obj_t BgL_bz00_4906;
					obj_t BgL_cz00_4907;
					obj_t BgL_dz00_4908;
					obj_t BgL_lastz00_4909;

					BgL_az00_4905 = BgL_az00_16291;
					BgL_bz00_4906 = BgL_bz00_16292;
					BgL_cz00_4907 = BgL_cz00_16293;
					BgL_dz00_4908 = BgL_dz00_16294;
					BgL_lastz00_4909 = BgL_lastz00_16295;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4911;

						BgL_sz00_4911 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4912;

							BgL_bpz00_4912 = VECTOR_REF(BgL_sz00_4911, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23522;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14942;

									BgL_arg1899z00_14942 = VECTOR_LENGTH(BgL_sz00_4911);
									BgL_testz00_23522 =
										(
										((long) CINT(BgL_bpz00_4912) +
											BgL_siza7ezd2framez75_16290) <
										(long) (BgL_arg1899z00_14942));
								}
								if (BgL_testz00_23522)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3783z00_4914;

											BgL_arg3783z00_4914 =
												((long) CINT(BgL_bpz00_4912) + ((long) 0));
											VECTOR_SET(BgL_sz00_4911,
												(int) (BgL_arg3783z00_4914), BgL_az00_4905);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3784z00_4915;

											BgL_arg3784z00_4915 =
												((long) CINT(BgL_bpz00_4912) + ((long) 1));
											VECTOR_SET(BgL_sz00_4911,
												(int) (BgL_arg3784z00_4915), BgL_bz00_4906);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3785z00_4916;

											BgL_arg3785z00_4916 =
												((long) CINT(BgL_bpz00_4912) + ((long) 2));
											VECTOR_SET(BgL_sz00_4911,
												(int) (BgL_arg3785z00_4916), BgL_cz00_4907);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3786z00_4917;

											BgL_arg3786z00_4917 =
												((long) CINT(BgL_bpz00_4912) + ((long) 3));
											VECTOR_SET(BgL_sz00_4911,
												(int) (BgL_arg3786z00_4917), BgL_dz00_4908);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3787z00_4918;

											BgL_arg3787z00_4918 =
												((long) CINT(BgL_bpz00_4912) + ((long) 4));
											VECTOR_SET(BgL_sz00_4911,
												(int) (BgL_arg3787z00_4918), BgL_lastz00_4909);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1498z00_4919;

											BgL_val1498z00_4919 =
												BGl_zc3exitza33791ze3z83zz__evaluate_compz00
												(BgL_bpz00_4912, BgL_sz00_4911, BgL_runz00_16289);
											VECTOR_SET(BgL_sz00_4911, (int) (((long) 0)),
												BgL_bpz00_4912);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1498z00_4919)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1498z00_4919), CDR(BgL_val1498z00_4919));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1498z00_4919;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4926;

										BgL_nsz00_4926 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4926,
											(int) (((long) 1)), BgL_sz00_4911);
										VECTOR_SET(BgL_nsz00_4926,
											(int) (((long) 2)), BgL_az00_4905);
										VECTOR_SET(BgL_nsz00_4926,
											(int) (((long) 3)), BgL_bz00_4906);
										VECTOR_SET(BgL_nsz00_4926,
											(int) (((long) 4)), BgL_cz00_4907);
										VECTOR_SET(BgL_nsz00_4926,
											(int) (((long) 5)), BgL_dz00_4908);
										VECTOR_SET(BgL_nsz00_4926,
											(int) (((long) 6)), BgL_lastz00_4909);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23570;

											BgL_auxz00_23570 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23570, BgL_nsz00_4926);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1501z00_4928;

											BgL_val1501z00_4928 =
												BGl_zc3exitza33797ze3z83zz__evaluate_compz00
												(BgL_runz00_16289, BgL_nsz00_4926);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23574;

												BgL_auxz00_23574 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23574, BgL_sz00_4911);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1501z00_4928)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1501z00_4928), CDR(BgL_val1501z00_4928));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1501z00_4928;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3797> */
	obj_t BGl_zc3exitza33797ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17623,
		obj_t BgL_nsz00_17622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1502z00_4934;

			if (SET_EXIT(BgL_an_exit1502z00_4934))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1502z00_4934 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1502z00_4934, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1503z00_4935;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15006;

								BgL_savedzd2bpzd2_15006 =
									VECTOR_REF(BgL_nsz00_17622, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17622,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15013;

									BgL_fz00_15013 = BgL_runz00_17623;
								BgL_recz00_15012:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15014;

										BgL_rz00_15014 =
											PROCEDURE_ENTRY(BgL_fz00_15013) (BgL_fz00_15013,
											BgL_nsz00_17622, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23595;

											if (PROCEDUREP(BgL_rz00_15014))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_15019;

													BgL_arg1890z00_15019 = PROCEDURE_ATTR(BgL_rz00_15014);
													if (STRUCTP(BgL_arg1890z00_15019))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23595 =
																(STRUCT_KEY(BgL_arg1890z00_15019) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23595 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23595 = ((bool_t) 0);
												}
											if (BgL_testz00_23595)
												{
													obj_t BgL_fz00_23603;

													BgL_fz00_23603 = BgL_rz00_15014;
													BgL_fz00_15013 = BgL_fz00_23603;
													goto BgL_recz00_15012;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17622,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15006);
													BgL_val1503z00_4935 = BgL_rz00_15014;
							}}}}}
							POP_EXIT();
							return BgL_val1503z00_4935;
						}
					}
				}
		}
	}



/* <exit:3791> */
	obj_t BGl_zc3exitza33791ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17626,
		obj_t BgL_sz00_17625, obj_t BgL_runz00_17624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1499z00_4924;

			if (SET_EXIT(BgL_an_exit1499z00_4924))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1499z00_4924 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1499z00_4924, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1500z00_4925;

							BgL_val1500z00_4925 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17624,
								BgL_sz00_17625, BgL_bpz00_17626);
							POP_EXIT();
							return BgL_val1500z00_4925;
						}
					}
				}
		}
	}



/* &run5434 */
	obj_t BGl_z62run5434z62zz__evaluate_compz00(obj_t BgL_envz00_16296,
		obj_t BgL_sz00_16300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16297;
				BgL_ev_absz00_bglt BgL_i1249z00_16298;
				obj_t BgL_bodyz00_16299;

				BgL_iboxesz00_16297 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16296, (int) (((long) 0))));
				BgL_i1249z00_16298 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16296, (int) (((long) 1))));
				BgL_bodyz00_16299 = PROCEDURE_REF(BgL_envz00_16296, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4937;

					BgL_sz00_4937 = BgL_sz00_16300;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4939;

						BgL_bpz00_4939 = VECTOR_REF(BgL_sz00_4937, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4937,
							BgL_iboxesz00_16297, BgL_bpz00_4939);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4940;
							obj_t BgL_wherez00_4941;
							obj_t BgL_locz00_4942;

							BgL_z12denvz12_4940 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4941 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16298))->BgL_wherez00);
							BgL_locz00_4942 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16298))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4940, BgL_wherez00_4941,
									BgL_locz00_4942);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4943;

									BgL_za2za2resza2za2z00_4943 =
										PROCEDURE_ENTRY(BgL_bodyz00_16299) (BgL_bodyz00_16299,
										BgL_sz00_4937, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4940);
									return BgL_za2za2resza2za2z00_4943;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3801> */
	obj_t BGl_z62zc3anonymousza33801ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16301, obj_t BgL_sz00_16307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16302;
				long BgL_siza7eza7_16303;
				BgL_ev_absz00_bglt BgL_i1249z00_16304;
				obj_t BgL_bodyz00_16305;
				long BgL_siza7ezd2framez75_16306;

				BgL_ifreesz00_16302 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16301, (int) (((long) 0))));
				BgL_siza7eza7_16303 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16301, (int) (((long) 1))));
				BgL_i1249z00_16304 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16301, (int) (((long) 2))));
				BgL_bodyz00_16305 = PROCEDURE_REF(BgL_envz00_16301, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16306 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16301, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4947;

					BgL_sz00_4947 = BgL_sz00_16307;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4949;

						BgL_bpz00_4949 = VECTOR_REF(BgL_sz00_4947, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4950;

							BgL_valza2za2_4950 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4947,
								BgL_bpz00_4949, BgL_ifreesz00_16302);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16178;

								BgL_runz00_16178 =
									MAKE_FX_PROCEDURE(BGl_z62run5436z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16303));
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 1)), BgL_valza2za2_4950);
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16304));
								PROCEDURE_SET(BgL_runz00_16178,
									(int) (((long) 3)), BgL_bodyz00_16305);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16179;

									BgL_mainz00_16179 =
										MAKE_VA_PROCEDURE(BGl_z62main5435z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16303));
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 1)), BgL_valza2za2_4950);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16304));
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 3)), BgL_bodyz00_16305);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 4)), BgL_runz00_16178);
									PROCEDURE_SET(BgL_mainz00_16179,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16306));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15168;

										BgL_objz00_15168 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16178, BgL_objz00_15168);
										BgL_objz00_15168;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3802z00_4953;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3803z00_4954;

											BgL_arg3803z00_4954 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16304))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15172;

												BgL_newz00_15172 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23684;

													BgL_auxz00_23684 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15172, BgL_auxz00_23684,
														BgL_arg3803z00_4954);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23689;
													int BgL_auxz00_23687;

													BgL_auxz00_23689 = BINT(BgL_siza7ezd2framez75_16306);
													BgL_auxz00_23687 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15172, BgL_auxz00_23687,
														BgL_auxz00_23689);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23692;

													BgL_auxz00_23692 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15172, BgL_auxz00_23692,
														BgL_runz00_16178);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23697;
													int BgL_auxz00_23695;

													BgL_auxz00_23697 = BINT(((long) -5));
													BgL_auxz00_23695 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15172, BgL_auxz00_23695,
														BgL_auxz00_23697);
												}
												BgL_arg3802z00_4953 = BgL_newz00_15172;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16179, BgL_arg3802z00_4953);
										BgL_arg3802z00_4953;
									}
									return BgL_mainz00_16179;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5435 */
	obj_t BGl_z62main5435z62zz__evaluate_compz00(obj_t BgL_envz00_16308,
		obj_t BgL_az00_16315, obj_t BgL_bz00_16316, obj_t BgL_cz00_16317,
		obj_t BgL_dz00_16318, obj_t BgL_lastz00_16319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16313;
				long BgL_siza7ezd2framez75_16314;

				BgL_runz00_16313 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16308, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16314 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16308, (int) (((long) 5))));
				{
					obj_t BgL_az00_4955;
					obj_t BgL_bz00_4956;
					obj_t BgL_cz00_4957;
					obj_t BgL_dz00_4958;
					obj_t BgL_lastz00_4959;

					BgL_az00_4955 = BgL_az00_16315;
					BgL_bz00_4956 = BgL_bz00_16316;
					BgL_cz00_4957 = BgL_cz00_16317;
					BgL_dz00_4958 = BgL_dz00_16318;
					BgL_lastz00_4959 = BgL_lastz00_16319;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4961;

						BgL_sz00_4961 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4962;

							BgL_bpz00_4962 = VECTOR_REF(BgL_sz00_4961, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23710;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_15076;

									BgL_arg1899z00_15076 = VECTOR_LENGTH(BgL_sz00_4961);
									BgL_testz00_23710 =
										(
										((long) CINT(BgL_bpz00_4962) +
											BgL_siza7ezd2framez75_16314) <
										(long) (BgL_arg1899z00_15076));
								}
								if (BgL_testz00_23710)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3806z00_4964;

											BgL_arg3806z00_4964 =
												((long) CINT(BgL_bpz00_4962) + ((long) 0));
											VECTOR_SET(BgL_sz00_4961,
												(int) (BgL_arg3806z00_4964), BgL_az00_4955);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3807z00_4965;

											BgL_arg3807z00_4965 =
												((long) CINT(BgL_bpz00_4962) + ((long) 1));
											VECTOR_SET(BgL_sz00_4961,
												(int) (BgL_arg3807z00_4965), BgL_bz00_4956);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3808z00_4966;

											BgL_arg3808z00_4966 =
												((long) CINT(BgL_bpz00_4962) + ((long) 2));
											VECTOR_SET(BgL_sz00_4961,
												(int) (BgL_arg3808z00_4966), BgL_cz00_4957);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3809z00_4967;

											BgL_arg3809z00_4967 =
												((long) CINT(BgL_bpz00_4962) + ((long) 3));
											VECTOR_SET(BgL_sz00_4961,
												(int) (BgL_arg3809z00_4967), BgL_dz00_4958);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3810z00_4968;

											BgL_arg3810z00_4968 =
												((long) CINT(BgL_bpz00_4962) + ((long) 4));
											VECTOR_SET(BgL_sz00_4961,
												(int) (BgL_arg3810z00_4968), BgL_lastz00_4959);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1504z00_4969;

											BgL_val1504z00_4969 =
												BGl_zc3exitza33814ze3z83zz__evaluate_compz00
												(BgL_bpz00_4962, BgL_sz00_4961, BgL_runz00_16313);
											VECTOR_SET(BgL_sz00_4961, (int) (((long) 0)),
												BgL_bpz00_4962);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1504z00_4969)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1504z00_4969), CDR(BgL_val1504z00_4969));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1504z00_4969;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4976;

										BgL_nsz00_4976 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4976,
											(int) (((long) 1)), BgL_sz00_4961);
										VECTOR_SET(BgL_nsz00_4976,
											(int) (((long) 2)), BgL_az00_4955);
										VECTOR_SET(BgL_nsz00_4976,
											(int) (((long) 3)), BgL_bz00_4956);
										VECTOR_SET(BgL_nsz00_4976,
											(int) (((long) 4)), BgL_cz00_4957);
										VECTOR_SET(BgL_nsz00_4976,
											(int) (((long) 5)), BgL_dz00_4958);
										VECTOR_SET(BgL_nsz00_4976,
											(int) (((long) 6)), BgL_lastz00_4959);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23758;

											BgL_auxz00_23758 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23758, BgL_nsz00_4976);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1507z00_4978;

											BgL_val1507z00_4978 =
												BGl_zc3exitza33820ze3z83zz__evaluate_compz00
												(BgL_runz00_16313, BgL_nsz00_4976);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23762;

												BgL_auxz00_23762 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23762, BgL_sz00_4961);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1507z00_4978)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1507z00_4978), CDR(BgL_val1507z00_4978));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1507z00_4978;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3820> */
	obj_t BGl_zc3exitza33820ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17618,
		obj_t BgL_nsz00_17617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1508z00_4984;

			if (SET_EXIT(BgL_an_exit1508z00_4984))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1508z00_4984 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1508z00_4984, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1509z00_4985;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15140;

								BgL_savedzd2bpzd2_15140 =
									VECTOR_REF(BgL_nsz00_17617, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17617,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15147;

									BgL_fz00_15147 = BgL_runz00_17618;
								BgL_recz00_15146:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15148;

										BgL_rz00_15148 =
											PROCEDURE_ENTRY(BgL_fz00_15147) (BgL_fz00_15147,
											BgL_nsz00_17617, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23783;

											if (PROCEDUREP(BgL_rz00_15148))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_15153;

													BgL_arg1890z00_15153 = PROCEDURE_ATTR(BgL_rz00_15148);
													if (STRUCTP(BgL_arg1890z00_15153))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23783 =
																(STRUCT_KEY(BgL_arg1890z00_15153) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23783 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23783 = ((bool_t) 0);
												}
											if (BgL_testz00_23783)
												{
													obj_t BgL_fz00_23791;

													BgL_fz00_23791 = BgL_rz00_15148;
													BgL_fz00_15147 = BgL_fz00_23791;
													goto BgL_recz00_15146;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17617,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15140);
													BgL_val1509z00_4985 = BgL_rz00_15148;
							}}}}}
							POP_EXIT();
							return BgL_val1509z00_4985;
						}
					}
				}
		}
	}



/* <exit:3814> */
	obj_t BGl_zc3exitza33814ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17621,
		obj_t BgL_sz00_17620, obj_t BgL_runz00_17619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1505z00_4974;

			if (SET_EXIT(BgL_an_exit1505z00_4974))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1505z00_4974 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1505z00_4974, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1506z00_4975;

							BgL_val1506z00_4975 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17619,
								BgL_sz00_17620, BgL_bpz00_17621);
							POP_EXIT();
							return BgL_val1506z00_4975;
						}
					}
				}
		}
	}



/* &run5436 */
	obj_t BGl_z62run5436z62zz__evaluate_compz00(obj_t BgL_envz00_16320,
		obj_t BgL_sz00_16325)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16321;
				obj_t BgL_valza2za2_16322;
				BgL_ev_absz00_bglt BgL_i1249z00_16323;
				obj_t BgL_bodyz00_16324;

				BgL_siza7eza7_16321 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16320, (int) (((long) 0))));
				BgL_valza2za2_16322 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16320, (int) (((long) 1))));
				BgL_i1249z00_16323 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16320, (int) (((long) 2))));
				BgL_bodyz00_16324 = PROCEDURE_REF(BgL_envz00_16320, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4987;

					BgL_sz00_4987 = BgL_sz00_16325;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4989;

						BgL_bpz00_4989 = VECTOR_REF(BgL_sz00_4987, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4987,
							BgL_valza2za2_16322,
							((long) CINT(BgL_bpz00_4989) + BgL_siza7eza7_16321));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4991;
							obj_t BgL_wherez00_4992;
							obj_t BgL_locz00_4993;

							BgL_z12denvz12_4991 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4992 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16323))->BgL_wherez00);
							BgL_locz00_4993 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16323))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4991, BgL_wherez00_4992,
									BgL_locz00_4993);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4994;

									BgL_za2za2resza2za2z00_4994 =
										PROCEDURE_ENTRY(BgL_bodyz00_16324) (BgL_bodyz00_16324,
										BgL_sz00_4987, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4991);
									return BgL_za2za2resza2za2z00_4994;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3823> */
	obj_t BGl_z62zc3anonymousza33823ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16326, obj_t BgL_sz00_16333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16327;
				obj_t BgL_iboxesz00_16328;
				long BgL_siza7eza7_16329;
				BgL_ev_absz00_bglt BgL_i1249z00_16330;
				obj_t BgL_bodyz00_16331;
				long BgL_siza7ezd2framez75_16332;

				BgL_ifreesz00_16327 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16326, (int) (((long) 0))));
				BgL_iboxesz00_16328 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16326, (int) (((long) 1))));
				BgL_siza7eza7_16329 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16326, (int) (((long) 2))));
				BgL_i1249z00_16330 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16326, (int) (((long) 3))));
				BgL_bodyz00_16331 = PROCEDURE_REF(BgL_envz00_16326, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16332 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16326, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4996;

					BgL_sz00_4996 = BgL_sz00_16333;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4998;

						BgL_bpz00_4998 = VECTOR_REF(BgL_sz00_4996, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4999;

							BgL_valza2za2_4999 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4996,
								BgL_bpz00_4998, BgL_ifreesz00_16327);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16175;

								BgL_runz00_16175 =
									MAKE_FX_PROCEDURE(BGl_z62run5438z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 0)), BgL_iboxesz00_16328);
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16329));
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 2)), BgL_valza2za2_4999);
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16330));
								PROCEDURE_SET(BgL_runz00_16175,
									(int) (((long) 4)), BgL_bodyz00_16331);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16176;

									BgL_mainz00_16176 =
										MAKE_VA_PROCEDURE(BGl_z62main5437z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 0)), BgL_iboxesz00_16328);
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16329));
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 2)), BgL_valza2za2_4999);
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16330));
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 4)), BgL_bodyz00_16331);
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 5)), BgL_runz00_16175);
									PROCEDURE_SET(BgL_mainz00_16176,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16332));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_15298;

										BgL_objz00_15298 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16175, BgL_objz00_15298);
										BgL_objz00_15298;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3824z00_5002;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3825z00_5003;

											BgL_arg3825z00_5003 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16330))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_15302;

												BgL_newz00_15302 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23884;

													BgL_auxz00_23884 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15302, BgL_auxz00_23884,
														BgL_arg3825z00_5003);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23889;
													int BgL_auxz00_23887;

													BgL_auxz00_23889 = BINT(BgL_siza7ezd2framez75_16332);
													BgL_auxz00_23887 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15302, BgL_auxz00_23887,
														BgL_auxz00_23889);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_23892;

													BgL_auxz00_23892 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15302, BgL_auxz00_23892,
														BgL_runz00_16175);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_23897;
													int BgL_auxz00_23895;

													BgL_auxz00_23897 = BINT(((long) -5));
													BgL_auxz00_23895 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15302, BgL_auxz00_23895,
														BgL_auxz00_23897);
												}
												BgL_arg3824z00_5002 = BgL_newz00_15302;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16176, BgL_arg3824z00_5002);
										BgL_arg3824z00_5002;
									}
									return BgL_mainz00_16176;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5437 */
	obj_t BGl_z62main5437z62zz__evaluate_compz00(obj_t BgL_envz00_16334,
		obj_t BgL_az00_16342, obj_t BgL_bz00_16343, obj_t BgL_cz00_16344,
		obj_t BgL_dz00_16345, obj_t BgL_lastz00_16346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16340;
				long BgL_siza7ezd2framez75_16341;

				BgL_runz00_16340 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16334, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16341 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16334, (int) (((long) 6))));
				{
					obj_t BgL_az00_5004;
					obj_t BgL_bz00_5005;
					obj_t BgL_cz00_5006;
					obj_t BgL_dz00_5007;
					obj_t BgL_lastz00_5008;

					BgL_az00_5004 = BgL_az00_16342;
					BgL_bz00_5005 = BgL_bz00_16343;
					BgL_cz00_5006 = BgL_cz00_16344;
					BgL_dz00_5007 = BgL_dz00_16345;
					BgL_lastz00_5008 = BgL_lastz00_16346;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5010;

						BgL_sz00_5010 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5011;

							BgL_bpz00_5011 = VECTOR_REF(BgL_sz00_5010, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_23910;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_15206;

									BgL_arg1899z00_15206 = VECTOR_LENGTH(BgL_sz00_5010);
									BgL_testz00_23910 =
										(
										((long) CINT(BgL_bpz00_5011) +
											BgL_siza7ezd2framez75_16341) <
										(long) (BgL_arg1899z00_15206));
								}
								if (BgL_testz00_23910)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3828z00_5013;

											BgL_arg3828z00_5013 =
												((long) CINT(BgL_bpz00_5011) + ((long) 0));
											VECTOR_SET(BgL_sz00_5010,
												(int) (BgL_arg3828z00_5013), BgL_az00_5004);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3829z00_5014;

											BgL_arg3829z00_5014 =
												((long) CINT(BgL_bpz00_5011) + ((long) 1));
											VECTOR_SET(BgL_sz00_5010,
												(int) (BgL_arg3829z00_5014), BgL_bz00_5005);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3830z00_5015;

											BgL_arg3830z00_5015 =
												((long) CINT(BgL_bpz00_5011) + ((long) 2));
											VECTOR_SET(BgL_sz00_5010,
												(int) (BgL_arg3830z00_5015), BgL_cz00_5006);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3831z00_5016;

											BgL_arg3831z00_5016 =
												((long) CINT(BgL_bpz00_5011) + ((long) 3));
											VECTOR_SET(BgL_sz00_5010,
												(int) (BgL_arg3831z00_5016), BgL_dz00_5007);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3832z00_5017;

											BgL_arg3832z00_5017 =
												((long) CINT(BgL_bpz00_5011) + ((long) 4));
											VECTOR_SET(BgL_sz00_5010,
												(int) (BgL_arg3832z00_5017), BgL_lastz00_5008);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1510z00_5018;

											BgL_val1510z00_5018 =
												BGl_zc3exitza33836ze3z83zz__evaluate_compz00
												(BgL_bpz00_5011, BgL_sz00_5010, BgL_runz00_16340);
											VECTOR_SET(BgL_sz00_5010, (int) (((long) 0)),
												BgL_bpz00_5011);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1510z00_5018)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1510z00_5018), CDR(BgL_val1510z00_5018));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1510z00_5018;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5025;

										BgL_nsz00_5025 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5025,
											(int) (((long) 1)), BgL_sz00_5010);
										VECTOR_SET(BgL_nsz00_5025,
											(int) (((long) 2)), BgL_az00_5004);
										VECTOR_SET(BgL_nsz00_5025,
											(int) (((long) 3)), BgL_bz00_5005);
										VECTOR_SET(BgL_nsz00_5025,
											(int) (((long) 4)), BgL_cz00_5006);
										VECTOR_SET(BgL_nsz00_5025,
											(int) (((long) 5)), BgL_dz00_5007);
										VECTOR_SET(BgL_nsz00_5025,
											(int) (((long) 6)), BgL_lastz00_5008);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_23958;

											BgL_auxz00_23958 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_23958, BgL_nsz00_5025);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1513z00_5027;

											BgL_val1513z00_5027 =
												BGl_zc3exitza33842ze3z83zz__evaluate_compz00
												(BgL_runz00_16340, BgL_nsz00_5025);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_23962;

												BgL_auxz00_23962 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_23962, BgL_sz00_5010);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1513z00_5027)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1513z00_5027), CDR(BgL_val1513z00_5027));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1513z00_5027;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3842> */
	obj_t BGl_zc3exitza33842ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17613,
		obj_t BgL_nsz00_17612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1514z00_5033;

			if (SET_EXIT(BgL_an_exit1514z00_5033))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1514z00_5033 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1514z00_5033, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1515z00_5034;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_15270;

								BgL_savedzd2bpzd2_15270 =
									VECTOR_REF(BgL_nsz00_17612, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17612,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_15277;

									BgL_fz00_15277 = BgL_runz00_17613;
								BgL_recz00_15276:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_15278;

										BgL_rz00_15278 =
											PROCEDURE_ENTRY(BgL_fz00_15277) (BgL_fz00_15277,
											BgL_nsz00_17612, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_23983;

											if (PROCEDUREP(BgL_rz00_15278))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_15283;

													BgL_arg1890z00_15283 = PROCEDURE_ATTR(BgL_rz00_15278);
													if (STRUCTP(BgL_arg1890z00_15283))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23983 =
																(STRUCT_KEY(BgL_arg1890z00_15283) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_23983 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_23983 = ((bool_t) 0);
												}
											if (BgL_testz00_23983)
												{
													obj_t BgL_fz00_23991;

													BgL_fz00_23991 = BgL_rz00_15278;
													BgL_fz00_15277 = BgL_fz00_23991;
													goto BgL_recz00_15276;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17612,
														(int) (((long) 0)), BgL_savedzd2bpzd2_15270);
													BgL_val1515z00_5034 = BgL_rz00_15278;
							}}}}}
							POP_EXIT();
							return BgL_val1515z00_5034;
						}
					}
				}
		}
	}



/* <exit:3836> */
	obj_t BGl_zc3exitza33836ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17616,
		obj_t BgL_sz00_17615, obj_t BgL_runz00_17614)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1511z00_5023;

			if (SET_EXIT(BgL_an_exit1511z00_5023))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1511z00_5023 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1511z00_5023, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1512z00_5024;

							BgL_val1512z00_5024 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17614,
								BgL_sz00_17615, BgL_bpz00_17616);
							POP_EXIT();
							return BgL_val1512z00_5024;
						}
					}
				}
		}
	}



/* &run5438 */
	obj_t BGl_z62run5438z62zz__evaluate_compz00(obj_t BgL_envz00_16347,
		obj_t BgL_sz00_16353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16348;
				long BgL_siza7eza7_16349;
				obj_t BgL_valza2za2_16350;
				BgL_ev_absz00_bglt BgL_i1249z00_16351;
				obj_t BgL_bodyz00_16352;

				BgL_iboxesz00_16348 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16347, (int) (((long) 0))));
				BgL_siza7eza7_16349 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16347, (int) (((long) 1))));
				BgL_valza2za2_16350 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16347, (int) (((long) 2))));
				BgL_i1249z00_16351 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16347, (int) (((long) 3))));
				BgL_bodyz00_16352 = PROCEDURE_REF(BgL_envz00_16347, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5036;

					BgL_sz00_5036 = BgL_sz00_16353;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5038;

						BgL_bpz00_5038 = VECTOR_REF(BgL_sz00_5036, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5036,
							BgL_iboxesz00_16348, BgL_bpz00_5038);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5036,
							BgL_valza2za2_16350,
							((long) CINT(BgL_bpz00_5038) + BgL_siza7eza7_16349));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5040;
							obj_t BgL_wherez00_5041;
							obj_t BgL_locz00_5042;

							BgL_z12denvz12_5040 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5041 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16351))->BgL_wherez00);
							BgL_locz00_5042 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16351))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5040, BgL_wherez00_5041,
									BgL_locz00_5042);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5043;

									BgL_za2za2resza2za2z00_5043 =
										PROCEDURE_ENTRY(BgL_bodyz00_16352) (BgL_bodyz00_16352,
										BgL_sz00_5036, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5040);
									return BgL_za2za2resza2za2z00_5043;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3668> */
	obj_t BGl_z62zc3anonymousza33668ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16354, obj_t BgL_sz00_16358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16355;
				obj_t BgL_bodyz00_16356;
				long BgL_siza7ezd2framez75_16357;

				BgL_i1249z00_16355 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16354, (int) (((long) 0))));
				BgL_bodyz00_16356 = PROCEDURE_REF(BgL_envz00_16354, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16357 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16354, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4661;

					BgL_sz00_4661 = BgL_sz00_16358;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4663;

						BgL_bpz00_4663 = VECTOR_REF(BgL_sz00_4661, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16172;

								BgL_runz00_16172 =
									MAKE_FX_PROCEDURE(BGl_z62run5440z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16172,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16355));
								PROCEDURE_SET(BgL_runz00_16172,
									(int) (((long) 1)), BgL_bodyz00_16356);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16173;

									BgL_mainz00_16173 =
										MAKE_FX_PROCEDURE(BGl_z62main5439z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16355));
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 1)), BgL_bodyz00_16356);
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 2)), BgL_runz00_16172);
									PROCEDURE_SET(BgL_mainz00_16173,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16357));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14408;

										BgL_objz00_14408 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16172, BgL_objz00_14408);
										BgL_objz00_14408;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3669z00_4666;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3670z00_4667;

											BgL_arg3670z00_4667 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16355))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14412;

												BgL_newz00_14412 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24064;

													BgL_auxz00_24064 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14412, BgL_auxz00_24064,
														BgL_arg3670z00_4667);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24069;
													int BgL_auxz00_24067;

													BgL_auxz00_24069 = BINT(BgL_siza7ezd2framez75_16357);
													BgL_auxz00_24067 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14412, BgL_auxz00_24067,
														BgL_auxz00_24069);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24072;

													BgL_auxz00_24072 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14412, BgL_auxz00_24072,
														BgL_runz00_16172);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24077;
													int BgL_auxz00_24075;

													BgL_auxz00_24077 = BINT(((long) 4));
													BgL_auxz00_24075 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14412, BgL_auxz00_24075,
														BgL_auxz00_24077);
												}
												BgL_arg3669z00_4666 = BgL_newz00_14412;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16173, BgL_arg3669z00_4666);
										BgL_arg3669z00_4666;
									}
									return BgL_mainz00_16173;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5439 */
	obj_t BGl_z62main5439z62zz__evaluate_compz00(obj_t BgL_envz00_16359,
		obj_t BgL_az00_16364, obj_t BgL_bz00_16365, obj_t BgL_cz00_16366,
		obj_t BgL_dz00_16367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16362;
				long BgL_siza7ezd2framez75_16363;

				BgL_runz00_16362 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16359, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16363 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16359, (int) (((long) 3))));
				{
					obj_t BgL_az00_4668;
					obj_t BgL_bz00_4669;
					obj_t BgL_cz00_4670;
					obj_t BgL_dz00_4671;

					BgL_az00_4668 = BgL_az00_16364;
					BgL_bz00_4669 = BgL_bz00_16365;
					BgL_cz00_4670 = BgL_cz00_16366;
					BgL_dz00_4671 = BgL_dz00_16367;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4673;

						BgL_sz00_4673 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4674;

							BgL_bpz00_4674 = VECTOR_REF(BgL_sz00_4673, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24090;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14325;

									BgL_arg1899z00_14325 = VECTOR_LENGTH(BgL_sz00_4673);
									BgL_testz00_24090 =
										(
										((long) CINT(BgL_bpz00_4674) +
											BgL_siza7ezd2framez75_16363) <
										(long) (BgL_arg1899z00_14325));
								}
								if (BgL_testz00_24090)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3674z00_4676;

											BgL_arg3674z00_4676 =
												((long) CINT(BgL_bpz00_4674) + ((long) 0));
											VECTOR_SET(BgL_sz00_4673,
												(int) (BgL_arg3674z00_4676), BgL_az00_4668);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3675z00_4677;

											BgL_arg3675z00_4677 =
												((long) CINT(BgL_bpz00_4674) + ((long) 1));
											VECTOR_SET(BgL_sz00_4673,
												(int) (BgL_arg3675z00_4677), BgL_bz00_4669);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3676z00_4678;

											BgL_arg3676z00_4678 =
												((long) CINT(BgL_bpz00_4674) + ((long) 2));
											VECTOR_SET(BgL_sz00_4673,
												(int) (BgL_arg3676z00_4678), BgL_cz00_4670);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3677z00_4679;

											BgL_arg3677z00_4679 =
												((long) CINT(BgL_bpz00_4674) + ((long) 3));
											VECTOR_SET(BgL_sz00_4673,
												(int) (BgL_arg3677z00_4679), BgL_dz00_4671);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1468z00_4680;

											BgL_val1468z00_4680 =
												BGl_zc3exitza33681ze3z83zz__evaluate_compz00
												(BgL_bpz00_4674, BgL_sz00_4673, BgL_runz00_16362);
											VECTOR_SET(BgL_sz00_4673, (int) (((long) 0)),
												BgL_bpz00_4674);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1468z00_4680)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1468z00_4680), CDR(BgL_val1468z00_4680));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1468z00_4680;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4687;

										BgL_nsz00_4687 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4687,
											(int) (((long) 1)), BgL_sz00_4673);
										VECTOR_SET(BgL_nsz00_4687,
											(int) (((long) 2)), BgL_az00_4668);
										VECTOR_SET(BgL_nsz00_4687,
											(int) (((long) 3)), BgL_bz00_4669);
										VECTOR_SET(BgL_nsz00_4687,
											(int) (((long) 4)), BgL_cz00_4670);
										VECTOR_SET(BgL_nsz00_4687,
											(int) (((long) 5)), BgL_dz00_4671);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24132;

											BgL_auxz00_24132 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24132, BgL_nsz00_4687);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1471z00_4689;

											BgL_val1471z00_4689 =
												BGl_zc3exitza33687ze3z83zz__evaluate_compz00
												(BgL_runz00_16362, BgL_nsz00_4687);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24136;

												BgL_auxz00_24136 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24136, BgL_sz00_4673);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1471z00_4689)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1471z00_4689), CDR(BgL_val1471z00_4689));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1471z00_4689;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3687> */
	obj_t BGl_zc3exitza33687ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17608,
		obj_t BgL_nsz00_17607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1472z00_4695;

			if (SET_EXIT(BgL_an_exit1472z00_4695))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1472z00_4695 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1472z00_4695, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1473z00_4696;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14380;

								BgL_savedzd2bpzd2_14380 =
									VECTOR_REF(BgL_nsz00_17607, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17607,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14387;

									BgL_fz00_14387 = BgL_runz00_17608;
								BgL_recz00_14386:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14388;

										BgL_rz00_14388 =
											PROCEDURE_ENTRY(BgL_fz00_14387) (BgL_fz00_14387,
											BgL_nsz00_17607, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24157;

											if (PROCEDUREP(BgL_rz00_14388))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14393;

													BgL_arg1890z00_14393 = PROCEDURE_ATTR(BgL_rz00_14388);
													if (STRUCTP(BgL_arg1890z00_14393))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24157 =
																(STRUCT_KEY(BgL_arg1890z00_14393) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24157 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24157 = ((bool_t) 0);
												}
											if (BgL_testz00_24157)
												{
													obj_t BgL_fz00_24165;

													BgL_fz00_24165 = BgL_rz00_14388;
													BgL_fz00_14387 = BgL_fz00_24165;
													goto BgL_recz00_14386;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17607,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14380);
													BgL_val1473z00_4696 = BgL_rz00_14388;
							}}}}}
							POP_EXIT();
							return BgL_val1473z00_4696;
						}
					}
				}
		}
	}



/* <exit:3681> */
	obj_t BGl_zc3exitza33681ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17611,
		obj_t BgL_sz00_17610, obj_t BgL_runz00_17609)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1469z00_4685;

			if (SET_EXIT(BgL_an_exit1469z00_4685))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1469z00_4685 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1469z00_4685, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1470z00_4686;

							BgL_val1470z00_4686 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17609,
								BgL_sz00_17610, BgL_bpz00_17611);
							POP_EXIT();
							return BgL_val1470z00_4686;
						}
					}
				}
		}
	}



/* &run5440 */
	obj_t BGl_z62run5440z62zz__evaluate_compz00(obj_t BgL_envz00_16368,
		obj_t BgL_sz00_16371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16369;
				obj_t BgL_bodyz00_16370;

				BgL_i1249z00_16369 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16368, (int) (((long) 0))));
				BgL_bodyz00_16370 = PROCEDURE_REF(BgL_envz00_16368, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4698;

					BgL_sz00_4698 = BgL_sz00_16371;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4700;

						BgL_bpz00_4700 = VECTOR_REF(BgL_sz00_4698, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4701;
							obj_t BgL_wherez00_4702;
							obj_t BgL_locz00_4703;

							BgL_z12denvz12_4701 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4702 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16369))->BgL_wherez00);
							BgL_locz00_4703 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16369))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4701, BgL_wherez00_4702,
									BgL_locz00_4703);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4704;

									BgL_za2za2resza2za2z00_4704 =
										PROCEDURE_ENTRY(BgL_bodyz00_16370) (BgL_bodyz00_16370,
										BgL_sz00_4698, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4701);
									return BgL_za2za2resza2za2z00_4704;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3689> */
	obj_t BGl_z62zc3anonymousza33689ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16372, obj_t BgL_sz00_16377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16373;
				BgL_ev_absz00_bglt BgL_i1249z00_16374;
				obj_t BgL_bodyz00_16375;
				long BgL_siza7ezd2framez75_16376;

				BgL_iboxesz00_16373 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16372, (int) (((long) 0))));
				BgL_i1249z00_16374 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16372, (int) (((long) 1))));
				BgL_bodyz00_16375 = PROCEDURE_REF(BgL_envz00_16372, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16376 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16372, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4706;

					BgL_sz00_4706 = BgL_sz00_16377;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4708;

						BgL_bpz00_4708 = VECTOR_REF(BgL_sz00_4706, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16169;

								BgL_runz00_16169 =
									MAKE_FX_PROCEDURE(BGl_z62run5442z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 0)), BgL_iboxesz00_16373);
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16374));
								PROCEDURE_SET(BgL_runz00_16169,
									(int) (((long) 2)), BgL_bodyz00_16375);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16170;

									BgL_mainz00_16170 =
										MAKE_FX_PROCEDURE(BGl_z62main5441z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 0)), BgL_iboxesz00_16373);
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16374));
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 2)), BgL_bodyz00_16375);
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 3)), BgL_runz00_16169);
									PROCEDURE_SET(BgL_mainz00_16170,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16376));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14526;

										BgL_objz00_14526 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16169, BgL_objz00_14526);
										BgL_objz00_14526;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3690z00_4711;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3691z00_4712;

											BgL_arg3691z00_4712 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16374))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14530;

												BgL_newz00_14530 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24232;

													BgL_auxz00_24232 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14530, BgL_auxz00_24232,
														BgL_arg3691z00_4712);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24237;
													int BgL_auxz00_24235;

													BgL_auxz00_24237 = BINT(BgL_siza7ezd2framez75_16376);
													BgL_auxz00_24235 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14530, BgL_auxz00_24235,
														BgL_auxz00_24237);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24240;

													BgL_auxz00_24240 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14530, BgL_auxz00_24240,
														BgL_runz00_16169);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24245;
													int BgL_auxz00_24243;

													BgL_auxz00_24245 = BINT(((long) 4));
													BgL_auxz00_24243 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14530, BgL_auxz00_24243,
														BgL_auxz00_24245);
												}
												BgL_arg3690z00_4711 = BgL_newz00_14530;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16170, BgL_arg3690z00_4711);
										BgL_arg3690z00_4711;
									}
									return BgL_mainz00_16170;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5441 */
	obj_t BGl_z62main5441z62zz__evaluate_compz00(obj_t BgL_envz00_16378,
		obj_t BgL_az00_16384, obj_t BgL_bz00_16385, obj_t BgL_cz00_16386,
		obj_t BgL_dz00_16387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16382;
				long BgL_siza7ezd2framez75_16383;

				BgL_runz00_16382 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16378, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16383 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16378, (int) (((long) 4))));
				{
					obj_t BgL_az00_4713;
					obj_t BgL_bz00_4714;
					obj_t BgL_cz00_4715;
					obj_t BgL_dz00_4716;

					BgL_az00_4713 = BgL_az00_16384;
					BgL_bz00_4714 = BgL_bz00_16385;
					BgL_cz00_4715 = BgL_cz00_16386;
					BgL_dz00_4716 = BgL_dz00_16387;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4718;

						BgL_sz00_4718 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4719;

							BgL_bpz00_4719 = VECTOR_REF(BgL_sz00_4718, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24258;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14443;

									BgL_arg1899z00_14443 = VECTOR_LENGTH(BgL_sz00_4718);
									BgL_testz00_24258 =
										(
										((long) CINT(BgL_bpz00_4719) +
											BgL_siza7ezd2framez75_16383) <
										(long) (BgL_arg1899z00_14443));
								}
								if (BgL_testz00_24258)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3694z00_4721;

											BgL_arg3694z00_4721 =
												((long) CINT(BgL_bpz00_4719) + ((long) 0));
											VECTOR_SET(BgL_sz00_4718,
												(int) (BgL_arg3694z00_4721), BgL_az00_4713);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3695z00_4722;

											BgL_arg3695z00_4722 =
												((long) CINT(BgL_bpz00_4719) + ((long) 1));
											VECTOR_SET(BgL_sz00_4718,
												(int) (BgL_arg3695z00_4722), BgL_bz00_4714);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3696z00_4723;

											BgL_arg3696z00_4723 =
												((long) CINT(BgL_bpz00_4719) + ((long) 2));
											VECTOR_SET(BgL_sz00_4718,
												(int) (BgL_arg3696z00_4723), BgL_cz00_4715);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3697z00_4724;

											BgL_arg3697z00_4724 =
												((long) CINT(BgL_bpz00_4719) + ((long) 3));
											VECTOR_SET(BgL_sz00_4718,
												(int) (BgL_arg3697z00_4724), BgL_dz00_4716);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1474z00_4725;

											BgL_val1474z00_4725 =
												BGl_zc3exitza33701ze3z83zz__evaluate_compz00
												(BgL_bpz00_4719, BgL_sz00_4718, BgL_runz00_16382);
											VECTOR_SET(BgL_sz00_4718, (int) (((long) 0)),
												BgL_bpz00_4719);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1474z00_4725)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1474z00_4725), CDR(BgL_val1474z00_4725));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1474z00_4725;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4732;

										BgL_nsz00_4732 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4732,
											(int) (((long) 1)), BgL_sz00_4718);
										VECTOR_SET(BgL_nsz00_4732,
											(int) (((long) 2)), BgL_az00_4713);
										VECTOR_SET(BgL_nsz00_4732,
											(int) (((long) 3)), BgL_bz00_4714);
										VECTOR_SET(BgL_nsz00_4732,
											(int) (((long) 4)), BgL_cz00_4715);
										VECTOR_SET(BgL_nsz00_4732,
											(int) (((long) 5)), BgL_dz00_4716);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24300;

											BgL_auxz00_24300 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24300, BgL_nsz00_4732);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1477z00_4734;

											BgL_val1477z00_4734 =
												BGl_zc3exitza33707ze3z83zz__evaluate_compz00
												(BgL_runz00_16382, BgL_nsz00_4732);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24304;

												BgL_auxz00_24304 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24304, BgL_sz00_4718);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1477z00_4734)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1477z00_4734), CDR(BgL_val1477z00_4734));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1477z00_4734;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3707> */
	obj_t BGl_zc3exitza33707ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17603,
		obj_t BgL_nsz00_17602)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1478z00_4740;

			if (SET_EXIT(BgL_an_exit1478z00_4740))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1478z00_4740 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1478z00_4740, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1479z00_4741;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14498;

								BgL_savedzd2bpzd2_14498 =
									VECTOR_REF(BgL_nsz00_17602, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17602,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14505;

									BgL_fz00_14505 = BgL_runz00_17603;
								BgL_recz00_14504:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14506;

										BgL_rz00_14506 =
											PROCEDURE_ENTRY(BgL_fz00_14505) (BgL_fz00_14505,
											BgL_nsz00_17602, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24325;

											if (PROCEDUREP(BgL_rz00_14506))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14511;

													BgL_arg1890z00_14511 = PROCEDURE_ATTR(BgL_rz00_14506);
													if (STRUCTP(BgL_arg1890z00_14511))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24325 =
																(STRUCT_KEY(BgL_arg1890z00_14511) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24325 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24325 = ((bool_t) 0);
												}
											if (BgL_testz00_24325)
												{
													obj_t BgL_fz00_24333;

													BgL_fz00_24333 = BgL_rz00_14506;
													BgL_fz00_14505 = BgL_fz00_24333;
													goto BgL_recz00_14504;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17602,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14498);
													BgL_val1479z00_4741 = BgL_rz00_14506;
							}}}}}
							POP_EXIT();
							return BgL_val1479z00_4741;
						}
					}
				}
		}
	}



/* <exit:3701> */
	obj_t BGl_zc3exitza33701ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17606,
		obj_t BgL_sz00_17605, obj_t BgL_runz00_17604)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1475z00_4730;

			if (SET_EXIT(BgL_an_exit1475z00_4730))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1475z00_4730 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1475z00_4730, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1476z00_4731;

							BgL_val1476z00_4731 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17604,
								BgL_sz00_17605, BgL_bpz00_17606);
							POP_EXIT();
							return BgL_val1476z00_4731;
						}
					}
				}
		}
	}



/* &run5442 */
	obj_t BGl_z62run5442z62zz__evaluate_compz00(obj_t BgL_envz00_16388,
		obj_t BgL_sz00_16392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16389;
				BgL_ev_absz00_bglt BgL_i1249z00_16390;
				obj_t BgL_bodyz00_16391;

				BgL_iboxesz00_16389 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16388, (int) (((long) 0))));
				BgL_i1249z00_16390 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16388, (int) (((long) 1))));
				BgL_bodyz00_16391 = PROCEDURE_REF(BgL_envz00_16388, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4743;

					BgL_sz00_4743 = BgL_sz00_16392;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4745;

						BgL_bpz00_4745 = VECTOR_REF(BgL_sz00_4743, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4743,
							BgL_iboxesz00_16389, BgL_bpz00_4745);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4746;
							obj_t BgL_wherez00_4747;
							obj_t BgL_locz00_4748;

							BgL_z12denvz12_4746 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4747 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16390))->BgL_wherez00);
							BgL_locz00_4748 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16390))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4746, BgL_wherez00_4747,
									BgL_locz00_4748);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4749;

									BgL_za2za2resza2za2z00_4749 =
										PROCEDURE_ENTRY(BgL_bodyz00_16391) (BgL_bodyz00_16391,
										BgL_sz00_4743, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4746);
									return BgL_za2za2resza2za2z00_4749;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3711> */
	obj_t BGl_z62zc3anonymousza33711ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16393, obj_t BgL_sz00_16399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16394;
				long BgL_siza7eza7_16395;
				BgL_ev_absz00_bglt BgL_i1249z00_16396;
				obj_t BgL_bodyz00_16397;
				long BgL_siza7ezd2framez75_16398;

				BgL_ifreesz00_16394 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16393, (int) (((long) 0))));
				BgL_siza7eza7_16395 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16393, (int) (((long) 1))));
				BgL_i1249z00_16396 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16393, (int) (((long) 2))));
				BgL_bodyz00_16397 = PROCEDURE_REF(BgL_envz00_16393, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16398 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16393, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4753;

					BgL_sz00_4753 = BgL_sz00_16399;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4755;

						BgL_bpz00_4755 = VECTOR_REF(BgL_sz00_4753, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4756;

							BgL_valza2za2_4756 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4753,
								BgL_bpz00_4755, BgL_ifreesz00_16394);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16166;

								BgL_runz00_16166 =
									MAKE_FX_PROCEDURE(BGl_z62run5444z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16395));
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 1)), BgL_valza2za2_4756);
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16396));
								PROCEDURE_SET(BgL_runz00_16166,
									(int) (((long) 3)), BgL_bodyz00_16397);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16167;

									BgL_mainz00_16167 =
										MAKE_FX_PROCEDURE(BGl_z62main5443z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16395));
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 1)), BgL_valza2za2_4756);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16396));
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 3)), BgL_bodyz00_16397);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 4)), BgL_runz00_16166);
									PROCEDURE_SET(BgL_mainz00_16167,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16398));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14651;

										BgL_objz00_14651 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16166, BgL_objz00_14651);
										BgL_objz00_14651;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3712z00_4759;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3713z00_4760;

											BgL_arg3713z00_4760 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16396))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14655;

												BgL_newz00_14655 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24414;

													BgL_auxz00_24414 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14655, BgL_auxz00_24414,
														BgL_arg3713z00_4760);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24419;
													int BgL_auxz00_24417;

													BgL_auxz00_24419 = BINT(BgL_siza7ezd2framez75_16398);
													BgL_auxz00_24417 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14655, BgL_auxz00_24417,
														BgL_auxz00_24419);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24422;

													BgL_auxz00_24422 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14655, BgL_auxz00_24422,
														BgL_runz00_16166);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24427;
													int BgL_auxz00_24425;

													BgL_auxz00_24427 = BINT(((long) 4));
													BgL_auxz00_24425 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14655, BgL_auxz00_24425,
														BgL_auxz00_24427);
												}
												BgL_arg3712z00_4759 = BgL_newz00_14655;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16167, BgL_arg3712z00_4759);
										BgL_arg3712z00_4759;
									}
									return BgL_mainz00_16167;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5443 */
	obj_t BGl_z62main5443z62zz__evaluate_compz00(obj_t BgL_envz00_16400,
		obj_t BgL_az00_16407, obj_t BgL_bz00_16408, obj_t BgL_cz00_16409,
		obj_t BgL_dz00_16410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16405;
				long BgL_siza7ezd2framez75_16406;

				BgL_runz00_16405 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16400, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16406 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16400, (int) (((long) 5))));
				{
					obj_t BgL_az00_4761;
					obj_t BgL_bz00_4762;
					obj_t BgL_cz00_4763;
					obj_t BgL_dz00_4764;

					BgL_az00_4761 = BgL_az00_16407;
					BgL_bz00_4762 = BgL_bz00_16408;
					BgL_cz00_4763 = BgL_cz00_16409;
					BgL_dz00_4764 = BgL_dz00_16410;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4766;

						BgL_sz00_4766 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4767;

							BgL_bpz00_4767 = VECTOR_REF(BgL_sz00_4766, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24440;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14568;

									BgL_arg1899z00_14568 = VECTOR_LENGTH(BgL_sz00_4766);
									BgL_testz00_24440 =
										(
										((long) CINT(BgL_bpz00_4767) +
											BgL_siza7ezd2framez75_16406) <
										(long) (BgL_arg1899z00_14568));
								}
								if (BgL_testz00_24440)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3716z00_4769;

											BgL_arg3716z00_4769 =
												((long) CINT(BgL_bpz00_4767) + ((long) 0));
											VECTOR_SET(BgL_sz00_4766,
												(int) (BgL_arg3716z00_4769), BgL_az00_4761);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3717z00_4770;

											BgL_arg3717z00_4770 =
												((long) CINT(BgL_bpz00_4767) + ((long) 1));
											VECTOR_SET(BgL_sz00_4766,
												(int) (BgL_arg3717z00_4770), BgL_bz00_4762);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3718z00_4771;

											BgL_arg3718z00_4771 =
												((long) CINT(BgL_bpz00_4767) + ((long) 2));
											VECTOR_SET(BgL_sz00_4766,
												(int) (BgL_arg3718z00_4771), BgL_cz00_4763);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3719z00_4772;

											BgL_arg3719z00_4772 =
												((long) CINT(BgL_bpz00_4767) + ((long) 3));
											VECTOR_SET(BgL_sz00_4766,
												(int) (BgL_arg3719z00_4772), BgL_dz00_4764);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1480z00_4773;

											BgL_val1480z00_4773 =
												BGl_zc3exitza33723ze3z83zz__evaluate_compz00
												(BgL_bpz00_4767, BgL_sz00_4766, BgL_runz00_16405);
											VECTOR_SET(BgL_sz00_4766, (int) (((long) 0)),
												BgL_bpz00_4767);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1480z00_4773)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1480z00_4773), CDR(BgL_val1480z00_4773));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1480z00_4773;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4780;

										BgL_nsz00_4780 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4780,
											(int) (((long) 1)), BgL_sz00_4766);
										VECTOR_SET(BgL_nsz00_4780,
											(int) (((long) 2)), BgL_az00_4761);
										VECTOR_SET(BgL_nsz00_4780,
											(int) (((long) 3)), BgL_bz00_4762);
										VECTOR_SET(BgL_nsz00_4780,
											(int) (((long) 4)), BgL_cz00_4763);
										VECTOR_SET(BgL_nsz00_4780,
											(int) (((long) 5)), BgL_dz00_4764);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24482;

											BgL_auxz00_24482 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24482, BgL_nsz00_4780);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1483z00_4782;

											BgL_val1483z00_4782 =
												BGl_zc3exitza33729ze3z83zz__evaluate_compz00
												(BgL_runz00_16405, BgL_nsz00_4780);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24486;

												BgL_auxz00_24486 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24486, BgL_sz00_4766);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1483z00_4782)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1483z00_4782), CDR(BgL_val1483z00_4782));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1483z00_4782;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3729> */
	obj_t BGl_zc3exitza33729ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17598,
		obj_t BgL_nsz00_17597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1484z00_4788;

			if (SET_EXIT(BgL_an_exit1484z00_4788))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1484z00_4788 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1484z00_4788, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1485z00_4789;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14623;

								BgL_savedzd2bpzd2_14623 =
									VECTOR_REF(BgL_nsz00_17597, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17597,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14630;

									BgL_fz00_14630 = BgL_runz00_17598;
								BgL_recz00_14629:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14631;

										BgL_rz00_14631 =
											PROCEDURE_ENTRY(BgL_fz00_14630) (BgL_fz00_14630,
											BgL_nsz00_17597, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24507;

											if (PROCEDUREP(BgL_rz00_14631))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14636;

													BgL_arg1890z00_14636 = PROCEDURE_ATTR(BgL_rz00_14631);
													if (STRUCTP(BgL_arg1890z00_14636))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24507 =
																(STRUCT_KEY(BgL_arg1890z00_14636) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24507 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24507 = ((bool_t) 0);
												}
											if (BgL_testz00_24507)
												{
													obj_t BgL_fz00_24515;

													BgL_fz00_24515 = BgL_rz00_14631;
													BgL_fz00_14630 = BgL_fz00_24515;
													goto BgL_recz00_14629;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17597,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14623);
													BgL_val1485z00_4789 = BgL_rz00_14631;
							}}}}}
							POP_EXIT();
							return BgL_val1485z00_4789;
						}
					}
				}
		}
	}



/* <exit:3723> */
	obj_t BGl_zc3exitza33723ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17601,
		obj_t BgL_sz00_17600, obj_t BgL_runz00_17599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1481z00_4778;

			if (SET_EXIT(BgL_an_exit1481z00_4778))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1481z00_4778 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1481z00_4778, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1482z00_4779;

							BgL_val1482z00_4779 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17599,
								BgL_sz00_17600, BgL_bpz00_17601);
							POP_EXIT();
							return BgL_val1482z00_4779;
						}
					}
				}
		}
	}



/* &run5444 */
	obj_t BGl_z62run5444z62zz__evaluate_compz00(obj_t BgL_envz00_16411,
		obj_t BgL_sz00_16416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16412;
				obj_t BgL_valza2za2_16413;
				BgL_ev_absz00_bglt BgL_i1249z00_16414;
				obj_t BgL_bodyz00_16415;

				BgL_siza7eza7_16412 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16411, (int) (((long) 0))));
				BgL_valza2za2_16413 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16411, (int) (((long) 1))));
				BgL_i1249z00_16414 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16411, (int) (((long) 2))));
				BgL_bodyz00_16415 = PROCEDURE_REF(BgL_envz00_16411, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4791;

					BgL_sz00_4791 = BgL_sz00_16416;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4793;

						BgL_bpz00_4793 = VECTOR_REF(BgL_sz00_4791, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4791,
							BgL_valza2za2_16413,
							((long) CINT(BgL_bpz00_4793) + BgL_siza7eza7_16412));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4795;
							obj_t BgL_wherez00_4796;
							obj_t BgL_locz00_4797;

							BgL_z12denvz12_4795 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4796 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16414))->BgL_wherez00);
							BgL_locz00_4797 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16414))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4795, BgL_wherez00_4796,
									BgL_locz00_4797);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4798;

									BgL_za2za2resza2za2z00_4798 =
										PROCEDURE_ENTRY(BgL_bodyz00_16415) (BgL_bodyz00_16415,
										BgL_sz00_4791, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4795);
									return BgL_za2za2resza2za2z00_4798;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3732> */
	obj_t BGl_z62zc3anonymousza33732ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16417, obj_t BgL_sz00_16424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16418;
				obj_t BgL_iboxesz00_16419;
				long BgL_siza7eza7_16420;
				BgL_ev_absz00_bglt BgL_i1249z00_16421;
				obj_t BgL_bodyz00_16422;
				long BgL_siza7ezd2framez75_16423;

				BgL_ifreesz00_16418 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 0))));
				BgL_iboxesz00_16419 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 1))));
				BgL_siza7eza7_16420 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 2))));
				BgL_i1249z00_16421 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 3))));
				BgL_bodyz00_16422 = PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16423 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16417, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4800;

					BgL_sz00_4800 = BgL_sz00_16424;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4802;

						BgL_bpz00_4802 = VECTOR_REF(BgL_sz00_4800, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4803;

							BgL_valza2za2_4803 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4800,
								BgL_bpz00_4802, BgL_ifreesz00_16418);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16163;

								BgL_runz00_16163 =
									MAKE_FX_PROCEDURE(BGl_z62run5446z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 0)), BgL_iboxesz00_16419);
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16420));
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 2)), BgL_valza2za2_4803);
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16421));
								PROCEDURE_SET(BgL_runz00_16163,
									(int) (((long) 4)), BgL_bodyz00_16422);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16164;

									BgL_mainz00_16164 =
										MAKE_FX_PROCEDURE(BGl_z62main5445z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 0)), BgL_iboxesz00_16419);
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16420));
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 2)), BgL_valza2za2_4803);
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16421));
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 4)), BgL_bodyz00_16422);
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 5)), BgL_runz00_16163);
									PROCEDURE_SET(BgL_mainz00_16164,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16423));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14772;

										BgL_objz00_14772 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16163, BgL_objz00_14772);
										BgL_objz00_14772;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3733z00_4806;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3734z00_4807;

											BgL_arg3734z00_4807 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16421))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14776;

												BgL_newz00_14776 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24608;

													BgL_auxz00_24608 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14776, BgL_auxz00_24608,
														BgL_arg3734z00_4807);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24613;
													int BgL_auxz00_24611;

													BgL_auxz00_24613 = BINT(BgL_siza7ezd2framez75_16423);
													BgL_auxz00_24611 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14776, BgL_auxz00_24611,
														BgL_auxz00_24613);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24616;

													BgL_auxz00_24616 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14776, BgL_auxz00_24616,
														BgL_runz00_16163);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24621;
													int BgL_auxz00_24619;

													BgL_auxz00_24621 = BINT(((long) 4));
													BgL_auxz00_24619 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14776, BgL_auxz00_24619,
														BgL_auxz00_24621);
												}
												BgL_arg3733z00_4806 = BgL_newz00_14776;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16164, BgL_arg3733z00_4806);
										BgL_arg3733z00_4806;
									}
									return BgL_mainz00_16164;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5445 */
	obj_t BGl_z62main5445z62zz__evaluate_compz00(obj_t BgL_envz00_16425,
		obj_t BgL_az00_16433, obj_t BgL_bz00_16434, obj_t BgL_cz00_16435,
		obj_t BgL_dz00_16436)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16431;
				long BgL_siza7ezd2framez75_16432;

				BgL_runz00_16431 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16425, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16432 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16425, (int) (((long) 6))));
				{
					obj_t BgL_az00_4808;
					obj_t BgL_bz00_4809;
					obj_t BgL_cz00_4810;
					obj_t BgL_dz00_4811;

					BgL_az00_4808 = BgL_az00_16433;
					BgL_bz00_4809 = BgL_bz00_16434;
					BgL_cz00_4810 = BgL_cz00_16435;
					BgL_dz00_4811 = BgL_dz00_16436;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4813;

						BgL_sz00_4813 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4814;

							BgL_bpz00_4814 = VECTOR_REF(BgL_sz00_4813, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24634;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14689;

									BgL_arg1899z00_14689 = VECTOR_LENGTH(BgL_sz00_4813);
									BgL_testz00_24634 =
										(
										((long) CINT(BgL_bpz00_4814) +
											BgL_siza7ezd2framez75_16432) <
										(long) (BgL_arg1899z00_14689));
								}
								if (BgL_testz00_24634)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3737z00_4816;

											BgL_arg3737z00_4816 =
												((long) CINT(BgL_bpz00_4814) + ((long) 0));
											VECTOR_SET(BgL_sz00_4813,
												(int) (BgL_arg3737z00_4816), BgL_az00_4808);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3738z00_4817;

											BgL_arg3738z00_4817 =
												((long) CINT(BgL_bpz00_4814) + ((long) 1));
											VECTOR_SET(BgL_sz00_4813,
												(int) (BgL_arg3738z00_4817), BgL_bz00_4809);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3739z00_4818;

											BgL_arg3739z00_4818 =
												((long) CINT(BgL_bpz00_4814) + ((long) 2));
											VECTOR_SET(BgL_sz00_4813,
												(int) (BgL_arg3739z00_4818), BgL_cz00_4810);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3740z00_4819;

											BgL_arg3740z00_4819 =
												((long) CINT(BgL_bpz00_4814) + ((long) 3));
											VECTOR_SET(BgL_sz00_4813,
												(int) (BgL_arg3740z00_4819), BgL_dz00_4811);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1486z00_4820;

											BgL_val1486z00_4820 =
												BGl_zc3exitza33744ze3z83zz__evaluate_compz00
												(BgL_bpz00_4814, BgL_sz00_4813, BgL_runz00_16431);
											VECTOR_SET(BgL_sz00_4813, (int) (((long) 0)),
												BgL_bpz00_4814);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1486z00_4820)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1486z00_4820), CDR(BgL_val1486z00_4820));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1486z00_4820;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4827;

										BgL_nsz00_4827 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4827,
											(int) (((long) 1)), BgL_sz00_4813);
										VECTOR_SET(BgL_nsz00_4827,
											(int) (((long) 2)), BgL_az00_4808);
										VECTOR_SET(BgL_nsz00_4827,
											(int) (((long) 3)), BgL_bz00_4809);
										VECTOR_SET(BgL_nsz00_4827,
											(int) (((long) 4)), BgL_cz00_4810);
										VECTOR_SET(BgL_nsz00_4827,
											(int) (((long) 5)), BgL_dz00_4811);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24676;

											BgL_auxz00_24676 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24676, BgL_nsz00_4827);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1489z00_4829;

											BgL_val1489z00_4829 =
												BGl_zc3exitza33750ze3z83zz__evaluate_compz00
												(BgL_runz00_16431, BgL_nsz00_4827);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24680;

												BgL_auxz00_24680 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24680, BgL_sz00_4813);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1489z00_4829)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1489z00_4829), CDR(BgL_val1489z00_4829));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1489z00_4829;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3750> */
	obj_t BGl_zc3exitza33750ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17593,
		obj_t BgL_nsz00_17592)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1490z00_4835;

			if (SET_EXIT(BgL_an_exit1490z00_4835))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1490z00_4835 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1490z00_4835, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1491z00_4836;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14744;

								BgL_savedzd2bpzd2_14744 =
									VECTOR_REF(BgL_nsz00_17592, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17592,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14751;

									BgL_fz00_14751 = BgL_runz00_17593;
								BgL_recz00_14750:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14752;

										BgL_rz00_14752 =
											PROCEDURE_ENTRY(BgL_fz00_14751) (BgL_fz00_14751,
											BgL_nsz00_17592, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24701;

											if (PROCEDUREP(BgL_rz00_14752))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14757;

													BgL_arg1890z00_14757 = PROCEDURE_ATTR(BgL_rz00_14752);
													if (STRUCTP(BgL_arg1890z00_14757))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24701 =
																(STRUCT_KEY(BgL_arg1890z00_14757) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24701 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24701 = ((bool_t) 0);
												}
											if (BgL_testz00_24701)
												{
													obj_t BgL_fz00_24709;

													BgL_fz00_24709 = BgL_rz00_14752;
													BgL_fz00_14751 = BgL_fz00_24709;
													goto BgL_recz00_14750;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17592,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14744);
													BgL_val1491z00_4836 = BgL_rz00_14752;
							}}}}}
							POP_EXIT();
							return BgL_val1491z00_4836;
						}
					}
				}
		}
	}



/* <exit:3744> */
	obj_t BGl_zc3exitza33744ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17596,
		obj_t BgL_sz00_17595, obj_t BgL_runz00_17594)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1487z00_4825;

			if (SET_EXIT(BgL_an_exit1487z00_4825))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1487z00_4825 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1487z00_4825, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1488z00_4826;

							BgL_val1488z00_4826 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17594,
								BgL_sz00_17595, BgL_bpz00_17596);
							POP_EXIT();
							return BgL_val1488z00_4826;
						}
					}
				}
		}
	}



/* &run5446 */
	obj_t BGl_z62run5446z62zz__evaluate_compz00(obj_t BgL_envz00_16437,
		obj_t BgL_sz00_16443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16438;
				long BgL_siza7eza7_16439;
				obj_t BgL_valza2za2_16440;
				BgL_ev_absz00_bglt BgL_i1249z00_16441;
				obj_t BgL_bodyz00_16442;

				BgL_iboxesz00_16438 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 0))));
				BgL_siza7eza7_16439 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 1))));
				BgL_valza2za2_16440 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 2))));
				BgL_i1249z00_16441 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 3))));
				BgL_bodyz00_16442 = PROCEDURE_REF(BgL_envz00_16437, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4838;

					BgL_sz00_4838 = BgL_sz00_16443;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4840;

						BgL_bpz00_4840 = VECTOR_REF(BgL_sz00_4838, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4838,
							BgL_iboxesz00_16438, BgL_bpz00_4840);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4838,
							BgL_valza2za2_16440,
							((long) CINT(BgL_bpz00_4840) + BgL_siza7eza7_16439));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4842;
							obj_t BgL_wherez00_4843;
							obj_t BgL_locz00_4844;

							BgL_z12denvz12_4842 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4843 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16441))->BgL_wherez00);
							BgL_locz00_4844 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16441))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4842, BgL_wherez00_4843,
									BgL_locz00_4844);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4845;

									BgL_za2za2resza2za2z00_4845 =
										PROCEDURE_ENTRY(BgL_bodyz00_16442) (BgL_bodyz00_16442,
										BgL_sz00_4838, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4842);
									return BgL_za2za2resza2za2z00_4845;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3579> */
	obj_t BGl_z62zc3anonymousza33579ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16444, obj_t BgL_sz00_16448)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16445;
				obj_t BgL_bodyz00_16446;
				long BgL_siza7ezd2framez75_16447;

				BgL_i1249z00_16445 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16444, (int) (((long) 0))));
				BgL_bodyz00_16446 = PROCEDURE_REF(BgL_envz00_16444, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16447 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16444, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4471;

					BgL_sz00_4471 = BgL_sz00_16448;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4473;

						BgL_bpz00_4473 = VECTOR_REF(BgL_sz00_4471, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16160;

								BgL_runz00_16160 =
									MAKE_FX_PROCEDURE(BGl_z62run5448z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16160,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16445));
								PROCEDURE_SET(BgL_runz00_16160,
									(int) (((long) 1)), BgL_bodyz00_16446);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16161;

									BgL_mainz00_16161 =
										MAKE_VA_PROCEDURE(BGl_z62main5447z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16445));
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 1)), BgL_bodyz00_16446);
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 2)), BgL_runz00_16160);
									PROCEDURE_SET(BgL_mainz00_16161,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16447));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13918;

										BgL_objz00_13918 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16160, BgL_objz00_13918);
										BgL_objz00_13918;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3580z00_4476;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3581z00_4477;

											BgL_arg3581z00_4477 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16445))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13922;

												BgL_newz00_13922 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24782;

													BgL_auxz00_24782 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13922, BgL_auxz00_24782,
														BgL_arg3581z00_4477);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24787;
													int BgL_auxz00_24785;

													BgL_auxz00_24787 = BINT(BgL_siza7ezd2framez75_16447);
													BgL_auxz00_24785 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13922, BgL_auxz00_24785,
														BgL_auxz00_24787);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24790;

													BgL_auxz00_24790 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13922, BgL_auxz00_24790,
														BgL_runz00_16160);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24795;
													int BgL_auxz00_24793;

													BgL_auxz00_24795 = BINT(((long) -4));
													BgL_auxz00_24793 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13922, BgL_auxz00_24793,
														BgL_auxz00_24795);
												}
												BgL_arg3580z00_4476 = BgL_newz00_13922;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16161, BgL_arg3580z00_4476);
										BgL_arg3580z00_4476;
									}
									return BgL_mainz00_16161;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5447 */
	obj_t BGl_z62main5447z62zz__evaluate_compz00(obj_t BgL_envz00_16449,
		obj_t BgL_bz00_16454, obj_t BgL_cz00_16455, obj_t BgL_dz00_16456,
		obj_t BgL_lastz00_16457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16452;
				long BgL_siza7ezd2framez75_16453;

				BgL_runz00_16452 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16449, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16453 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16449, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4478;
					obj_t BgL_cz00_4479;
					obj_t BgL_dz00_4480;
					obj_t BgL_lastz00_4481;

					BgL_bz00_4478 = BgL_bz00_16454;
					BgL_cz00_4479 = BgL_cz00_16455;
					BgL_dz00_4480 = BgL_dz00_16456;
					BgL_lastz00_4481 = BgL_lastz00_16457;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4483;

						BgL_sz00_4483 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4484;

							BgL_bpz00_4484 = VECTOR_REF(BgL_sz00_4483, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24808;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13835;

									BgL_arg1899z00_13835 = VECTOR_LENGTH(BgL_sz00_4483);
									BgL_testz00_24808 =
										(
										((long) CINT(BgL_bpz00_4484) +
											BgL_siza7ezd2framez75_16453) <
										(long) (BgL_arg1899z00_13835));
								}
								if (BgL_testz00_24808)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3584z00_4486;

											BgL_arg3584z00_4486 =
												((long) CINT(BgL_bpz00_4484) + ((long) 0));
											VECTOR_SET(BgL_sz00_4483,
												(int) (BgL_arg3584z00_4486), BgL_bz00_4478);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3585z00_4487;

											BgL_arg3585z00_4487 =
												((long) CINT(BgL_bpz00_4484) + ((long) 1));
											VECTOR_SET(BgL_sz00_4483,
												(int) (BgL_arg3585z00_4487), BgL_cz00_4479);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3586z00_4488;

											BgL_arg3586z00_4488 =
												((long) CINT(BgL_bpz00_4484) + ((long) 2));
											VECTOR_SET(BgL_sz00_4483,
												(int) (BgL_arg3586z00_4488), BgL_dz00_4480);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3587z00_4489;

											BgL_arg3587z00_4489 =
												((long) CINT(BgL_bpz00_4484) + ((long) 3));
											VECTOR_SET(BgL_sz00_4483,
												(int) (BgL_arg3587z00_4489), BgL_lastz00_4481);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1444z00_4490;

											BgL_val1444z00_4490 =
												BGl_zc3exitza33591ze3z83zz__evaluate_compz00
												(BgL_bpz00_4484, BgL_sz00_4483, BgL_runz00_16452);
											VECTOR_SET(BgL_sz00_4483, (int) (((long) 0)),
												BgL_bpz00_4484);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1444z00_4490)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1444z00_4490), CDR(BgL_val1444z00_4490));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1444z00_4490;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4497;

										BgL_nsz00_4497 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4497,
											(int) (((long) 1)), BgL_sz00_4483);
										VECTOR_SET(BgL_nsz00_4497,
											(int) (((long) 2)), BgL_bz00_4478);
										VECTOR_SET(BgL_nsz00_4497,
											(int) (((long) 3)), BgL_cz00_4479);
										VECTOR_SET(BgL_nsz00_4497,
											(int) (((long) 4)), BgL_dz00_4480);
										VECTOR_SET(BgL_nsz00_4497,
											(int) (((long) 5)), BgL_lastz00_4481);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_24850;

											BgL_auxz00_24850 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_24850, BgL_nsz00_4497);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1447z00_4499;

											BgL_val1447z00_4499 =
												BGl_zc3exitza33597ze3z83zz__evaluate_compz00
												(BgL_runz00_16452, BgL_nsz00_4497);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_24854;

												BgL_auxz00_24854 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_24854, BgL_sz00_4483);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1447z00_4499)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1447z00_4499), CDR(BgL_val1447z00_4499));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1447z00_4499;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3597> */
	obj_t BGl_zc3exitza33597ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17588,
		obj_t BgL_nsz00_17587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1448z00_4505;

			if (SET_EXIT(BgL_an_exit1448z00_4505))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1448z00_4505 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1448z00_4505, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1449z00_4506;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13890;

								BgL_savedzd2bpzd2_13890 =
									VECTOR_REF(BgL_nsz00_17587, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17587,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13897;

									BgL_fz00_13897 = BgL_runz00_17588;
								BgL_recz00_13896:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13898;

										BgL_rz00_13898 =
											PROCEDURE_ENTRY(BgL_fz00_13897) (BgL_fz00_13897,
											BgL_nsz00_17587, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_24875;

											if (PROCEDUREP(BgL_rz00_13898))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13903;

													BgL_arg1890z00_13903 = PROCEDURE_ATTR(BgL_rz00_13898);
													if (STRUCTP(BgL_arg1890z00_13903))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24875 =
																(STRUCT_KEY(BgL_arg1890z00_13903) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_24875 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_24875 = ((bool_t) 0);
												}
											if (BgL_testz00_24875)
												{
													obj_t BgL_fz00_24883;

													BgL_fz00_24883 = BgL_rz00_13898;
													BgL_fz00_13897 = BgL_fz00_24883;
													goto BgL_recz00_13896;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17587,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13890);
													BgL_val1449z00_4506 = BgL_rz00_13898;
							}}}}}
							POP_EXIT();
							return BgL_val1449z00_4506;
						}
					}
				}
		}
	}



/* <exit:3591> */
	obj_t BGl_zc3exitza33591ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17591,
		obj_t BgL_sz00_17590, obj_t BgL_runz00_17589)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1445z00_4495;

			if (SET_EXIT(BgL_an_exit1445z00_4495))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1445z00_4495 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1445z00_4495, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1446z00_4496;

							BgL_val1446z00_4496 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17589,
								BgL_sz00_17590, BgL_bpz00_17591);
							POP_EXIT();
							return BgL_val1446z00_4496;
						}
					}
				}
		}
	}



/* &run5448 */
	obj_t BGl_z62run5448z62zz__evaluate_compz00(obj_t BgL_envz00_16458,
		obj_t BgL_sz00_16461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16459;
				obj_t BgL_bodyz00_16460;

				BgL_i1249z00_16459 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16458, (int) (((long) 0))));
				BgL_bodyz00_16460 = PROCEDURE_REF(BgL_envz00_16458, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4508;

					BgL_sz00_4508 = BgL_sz00_16461;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4510;

						BgL_bpz00_4510 = VECTOR_REF(BgL_sz00_4508, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4511;
							obj_t BgL_wherez00_4512;
							obj_t BgL_locz00_4513;

							BgL_z12denvz12_4511 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4512 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16459))->BgL_wherez00);
							BgL_locz00_4513 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16459))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4511, BgL_wherez00_4512,
									BgL_locz00_4513);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4514;

									BgL_za2za2resza2za2z00_4514 =
										PROCEDURE_ENTRY(BgL_bodyz00_16460) (BgL_bodyz00_16460,
										BgL_sz00_4508, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4511);
									return BgL_za2za2resza2za2z00_4514;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3599> */
	obj_t BGl_z62zc3anonymousza33599ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16462, obj_t BgL_sz00_16467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16463;
				BgL_ev_absz00_bglt BgL_i1249z00_16464;
				obj_t BgL_bodyz00_16465;
				long BgL_siza7ezd2framez75_16466;

				BgL_iboxesz00_16463 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 0))));
				BgL_i1249z00_16464 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 1))));
				BgL_bodyz00_16465 = PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16466 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16462, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4516;

					BgL_sz00_4516 = BgL_sz00_16467;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4518;

						BgL_bpz00_4518 = VECTOR_REF(BgL_sz00_4516, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16157;

								BgL_runz00_16157 =
									MAKE_FX_PROCEDURE(BGl_z62run5450z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 0)), BgL_iboxesz00_16463);
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16464));
								PROCEDURE_SET(BgL_runz00_16157,
									(int) (((long) 2)), BgL_bodyz00_16465);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16158;

									BgL_mainz00_16158 =
										MAKE_VA_PROCEDURE(BGl_z62main5449z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 0)), BgL_iboxesz00_16463);
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16464));
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 2)), BgL_bodyz00_16465);
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 3)), BgL_runz00_16157);
									PROCEDURE_SET(BgL_mainz00_16158,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16466));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14036;

										BgL_objz00_14036 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16157, BgL_objz00_14036);
										BgL_objz00_14036;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3600z00_4521;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3601z00_4522;

											BgL_arg3601z00_4522 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16464))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14040;

												BgL_newz00_14040 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24950;

													BgL_auxz00_24950 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14040, BgL_auxz00_24950,
														BgL_arg3601z00_4522);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24955;
													int BgL_auxz00_24953;

													BgL_auxz00_24955 = BINT(BgL_siza7ezd2framez75_16466);
													BgL_auxz00_24953 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14040, BgL_auxz00_24953,
														BgL_auxz00_24955);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_24958;

													BgL_auxz00_24958 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14040, BgL_auxz00_24958,
														BgL_runz00_16157);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_24963;
													int BgL_auxz00_24961;

													BgL_auxz00_24963 = BINT(((long) -4));
													BgL_auxz00_24961 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14040, BgL_auxz00_24961,
														BgL_auxz00_24963);
												}
												BgL_arg3600z00_4521 = BgL_newz00_14040;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16158, BgL_arg3600z00_4521);
										BgL_arg3600z00_4521;
									}
									return BgL_mainz00_16158;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5449 */
	obj_t BGl_z62main5449z62zz__evaluate_compz00(obj_t BgL_envz00_16468,
		obj_t BgL_bz00_16474, obj_t BgL_cz00_16475, obj_t BgL_dz00_16476,
		obj_t BgL_lastz00_16477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16472;
				long BgL_siza7ezd2framez75_16473;

				BgL_runz00_16472 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16468, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16473 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16468, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4523;
					obj_t BgL_cz00_4524;
					obj_t BgL_dz00_4525;
					obj_t BgL_lastz00_4526;

					BgL_bz00_4523 = BgL_bz00_16474;
					BgL_cz00_4524 = BgL_cz00_16475;
					BgL_dz00_4525 = BgL_dz00_16476;
					BgL_lastz00_4526 = BgL_lastz00_16477;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4528;

						BgL_sz00_4528 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4529;

							BgL_bpz00_4529 = VECTOR_REF(BgL_sz00_4528, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_24976;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13953;

									BgL_arg1899z00_13953 = VECTOR_LENGTH(BgL_sz00_4528);
									BgL_testz00_24976 =
										(
										((long) CINT(BgL_bpz00_4529) +
											BgL_siza7ezd2framez75_16473) <
										(long) (BgL_arg1899z00_13953));
								}
								if (BgL_testz00_24976)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3604z00_4531;

											BgL_arg3604z00_4531 =
												((long) CINT(BgL_bpz00_4529) + ((long) 0));
											VECTOR_SET(BgL_sz00_4528,
												(int) (BgL_arg3604z00_4531), BgL_bz00_4523);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3605z00_4532;

											BgL_arg3605z00_4532 =
												((long) CINT(BgL_bpz00_4529) + ((long) 1));
											VECTOR_SET(BgL_sz00_4528,
												(int) (BgL_arg3605z00_4532), BgL_cz00_4524);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3606z00_4533;

											BgL_arg3606z00_4533 =
												((long) CINT(BgL_bpz00_4529) + ((long) 2));
											VECTOR_SET(BgL_sz00_4528,
												(int) (BgL_arg3606z00_4533), BgL_dz00_4525);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3607z00_4534;

											BgL_arg3607z00_4534 =
												((long) CINT(BgL_bpz00_4529) + ((long) 3));
											VECTOR_SET(BgL_sz00_4528,
												(int) (BgL_arg3607z00_4534), BgL_lastz00_4526);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1450z00_4535;

											BgL_val1450z00_4535 =
												BGl_zc3exitza33611ze3z83zz__evaluate_compz00
												(BgL_bpz00_4529, BgL_sz00_4528, BgL_runz00_16472);
											VECTOR_SET(BgL_sz00_4528, (int) (((long) 0)),
												BgL_bpz00_4529);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1450z00_4535)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1450z00_4535), CDR(BgL_val1450z00_4535));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1450z00_4535;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4542;

										BgL_nsz00_4542 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4542,
											(int) (((long) 1)), BgL_sz00_4528);
										VECTOR_SET(BgL_nsz00_4542,
											(int) (((long) 2)), BgL_bz00_4523);
										VECTOR_SET(BgL_nsz00_4542,
											(int) (((long) 3)), BgL_cz00_4524);
										VECTOR_SET(BgL_nsz00_4542,
											(int) (((long) 4)), BgL_dz00_4525);
										VECTOR_SET(BgL_nsz00_4542,
											(int) (((long) 5)), BgL_lastz00_4526);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25018;

											BgL_auxz00_25018 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25018, BgL_nsz00_4542);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1453z00_4544;

											BgL_val1453z00_4544 =
												BGl_zc3exitza33617ze3z83zz__evaluate_compz00
												(BgL_runz00_16472, BgL_nsz00_4542);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25022;

												BgL_auxz00_25022 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25022, BgL_sz00_4528);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1453z00_4544)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1453z00_4544), CDR(BgL_val1453z00_4544));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1453z00_4544;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3617> */
	obj_t BGl_zc3exitza33617ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17583,
		obj_t BgL_nsz00_17582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1454z00_4550;

			if (SET_EXIT(BgL_an_exit1454z00_4550))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1454z00_4550 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1454z00_4550, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1455z00_4551;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14008;

								BgL_savedzd2bpzd2_14008 =
									VECTOR_REF(BgL_nsz00_17582, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17582,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14015;

									BgL_fz00_14015 = BgL_runz00_17583;
								BgL_recz00_14014:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14016;

										BgL_rz00_14016 =
											PROCEDURE_ENTRY(BgL_fz00_14015) (BgL_fz00_14015,
											BgL_nsz00_17582, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25043;

											if (PROCEDUREP(BgL_rz00_14016))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14021;

													BgL_arg1890z00_14021 = PROCEDURE_ATTR(BgL_rz00_14016);
													if (STRUCTP(BgL_arg1890z00_14021))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25043 =
																(STRUCT_KEY(BgL_arg1890z00_14021) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25043 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25043 = ((bool_t) 0);
												}
											if (BgL_testz00_25043)
												{
													obj_t BgL_fz00_25051;

													BgL_fz00_25051 = BgL_rz00_14016;
													BgL_fz00_14015 = BgL_fz00_25051;
													goto BgL_recz00_14014;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17582,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14008);
													BgL_val1455z00_4551 = BgL_rz00_14016;
							}}}}}
							POP_EXIT();
							return BgL_val1455z00_4551;
						}
					}
				}
		}
	}



/* <exit:3611> */
	obj_t BGl_zc3exitza33611ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17586,
		obj_t BgL_sz00_17585, obj_t BgL_runz00_17584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1451z00_4540;

			if (SET_EXIT(BgL_an_exit1451z00_4540))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1451z00_4540 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1451z00_4540, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1452z00_4541;

							BgL_val1452z00_4541 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17584,
								BgL_sz00_17585, BgL_bpz00_17586);
							POP_EXIT();
							return BgL_val1452z00_4541;
						}
					}
				}
		}
	}



/* &run5450 */
	obj_t BGl_z62run5450z62zz__evaluate_compz00(obj_t BgL_envz00_16478,
		obj_t BgL_sz00_16482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16479;
				BgL_ev_absz00_bglt BgL_i1249z00_16480;
				obj_t BgL_bodyz00_16481;

				BgL_iboxesz00_16479 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16478, (int) (((long) 0))));
				BgL_i1249z00_16480 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16478, (int) (((long) 1))));
				BgL_bodyz00_16481 = PROCEDURE_REF(BgL_envz00_16478, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4553;

					BgL_sz00_4553 = BgL_sz00_16482;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4555;

						BgL_bpz00_4555 = VECTOR_REF(BgL_sz00_4553, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4553,
							BgL_iboxesz00_16479, BgL_bpz00_4555);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4556;
							obj_t BgL_wherez00_4557;
							obj_t BgL_locz00_4558;

							BgL_z12denvz12_4556 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4557 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16480))->BgL_wherez00);
							BgL_locz00_4558 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16480))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4556, BgL_wherez00_4557,
									BgL_locz00_4558);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4559;

									BgL_za2za2resza2za2z00_4559 =
										PROCEDURE_ENTRY(BgL_bodyz00_16481) (BgL_bodyz00_16481,
										BgL_sz00_4553, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4556);
									return BgL_za2za2resza2za2z00_4559;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3621> */
	obj_t BGl_z62zc3anonymousza33621ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16483, obj_t BgL_sz00_16489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16484;
				long BgL_siza7eza7_16485;
				BgL_ev_absz00_bglt BgL_i1249z00_16486;
				obj_t BgL_bodyz00_16487;
				long BgL_siza7ezd2framez75_16488;

				BgL_ifreesz00_16484 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 0))));
				BgL_siza7eza7_16485 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 1))));
				BgL_i1249z00_16486 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 2))));
				BgL_bodyz00_16487 = PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16488 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16483, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4563;

					BgL_sz00_4563 = BgL_sz00_16489;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4565;

						BgL_bpz00_4565 = VECTOR_REF(BgL_sz00_4563, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4566;

							BgL_valza2za2_4566 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4563,
								BgL_bpz00_4565, BgL_ifreesz00_16484);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16154;

								BgL_runz00_16154 =
									MAKE_FX_PROCEDURE(BGl_z62run5452z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16485));
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 1)), BgL_valza2za2_4566);
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16486));
								PROCEDURE_SET(BgL_runz00_16154,
									(int) (((long) 3)), BgL_bodyz00_16487);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16155;

									BgL_mainz00_16155 =
										MAKE_VA_PROCEDURE(BGl_z62main5451z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16485));
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 1)), BgL_valza2za2_4566);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16486));
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 3)), BgL_bodyz00_16487);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 4)), BgL_runz00_16154);
									PROCEDURE_SET(BgL_mainz00_16155,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16488));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14161;

										BgL_objz00_14161 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16154, BgL_objz00_14161);
										BgL_objz00_14161;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3622z00_4569;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3623z00_4570;

											BgL_arg3623z00_4570 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16486))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14165;

												BgL_newz00_14165 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25132;

													BgL_auxz00_25132 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14165, BgL_auxz00_25132,
														BgL_arg3623z00_4570);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25137;
													int BgL_auxz00_25135;

													BgL_auxz00_25137 = BINT(BgL_siza7ezd2framez75_16488);
													BgL_auxz00_25135 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14165, BgL_auxz00_25135,
														BgL_auxz00_25137);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25140;

													BgL_auxz00_25140 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14165, BgL_auxz00_25140,
														BgL_runz00_16154);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25145;
													int BgL_auxz00_25143;

													BgL_auxz00_25145 = BINT(((long) -4));
													BgL_auxz00_25143 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14165, BgL_auxz00_25143,
														BgL_auxz00_25145);
												}
												BgL_arg3622z00_4569 = BgL_newz00_14165;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16155, BgL_arg3622z00_4569);
										BgL_arg3622z00_4569;
									}
									return BgL_mainz00_16155;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5451 */
	obj_t BGl_z62main5451z62zz__evaluate_compz00(obj_t BgL_envz00_16490,
		obj_t BgL_bz00_16497, obj_t BgL_cz00_16498, obj_t BgL_dz00_16499,
		obj_t BgL_lastz00_16500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16495;
				long BgL_siza7ezd2framez75_16496;

				BgL_runz00_16495 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16490, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16496 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16490, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4571;
					obj_t BgL_cz00_4572;
					obj_t BgL_dz00_4573;
					obj_t BgL_lastz00_4574;

					BgL_bz00_4571 = BgL_bz00_16497;
					BgL_cz00_4572 = BgL_cz00_16498;
					BgL_dz00_4573 = BgL_dz00_16499;
					BgL_lastz00_4574 = BgL_lastz00_16500;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4576;

						BgL_sz00_4576 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4577;

							BgL_bpz00_4577 = VECTOR_REF(BgL_sz00_4576, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25158;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14078;

									BgL_arg1899z00_14078 = VECTOR_LENGTH(BgL_sz00_4576);
									BgL_testz00_25158 =
										(
										((long) CINT(BgL_bpz00_4577) +
											BgL_siza7ezd2framez75_16496) <
										(long) (BgL_arg1899z00_14078));
								}
								if (BgL_testz00_25158)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3626z00_4579;

											BgL_arg3626z00_4579 =
												((long) CINT(BgL_bpz00_4577) + ((long) 0));
											VECTOR_SET(BgL_sz00_4576,
												(int) (BgL_arg3626z00_4579), BgL_bz00_4571);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3627z00_4580;

											BgL_arg3627z00_4580 =
												((long) CINT(BgL_bpz00_4577) + ((long) 1));
											VECTOR_SET(BgL_sz00_4576,
												(int) (BgL_arg3627z00_4580), BgL_cz00_4572);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3629z00_4581;

											BgL_arg3629z00_4581 =
												((long) CINT(BgL_bpz00_4577) + ((long) 2));
											VECTOR_SET(BgL_sz00_4576,
												(int) (BgL_arg3629z00_4581), BgL_dz00_4573);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3630z00_4582;

											BgL_arg3630z00_4582 =
												((long) CINT(BgL_bpz00_4577) + ((long) 3));
											VECTOR_SET(BgL_sz00_4576,
												(int) (BgL_arg3630z00_4582), BgL_lastz00_4574);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1456z00_4583;

											BgL_val1456z00_4583 =
												BGl_zc3exitza33634ze3z83zz__evaluate_compz00
												(BgL_bpz00_4577, BgL_sz00_4576, BgL_runz00_16495);
											VECTOR_SET(BgL_sz00_4576, (int) (((long) 0)),
												BgL_bpz00_4577);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1456z00_4583)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1456z00_4583), CDR(BgL_val1456z00_4583));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1456z00_4583;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4590;

										BgL_nsz00_4590 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4590,
											(int) (((long) 1)), BgL_sz00_4576);
										VECTOR_SET(BgL_nsz00_4590,
											(int) (((long) 2)), BgL_bz00_4571);
										VECTOR_SET(BgL_nsz00_4590,
											(int) (((long) 3)), BgL_cz00_4572);
										VECTOR_SET(BgL_nsz00_4590,
											(int) (((long) 4)), BgL_dz00_4573);
										VECTOR_SET(BgL_nsz00_4590,
											(int) (((long) 5)), BgL_lastz00_4574);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25200;

											BgL_auxz00_25200 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25200, BgL_nsz00_4590);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1459z00_4592;

											BgL_val1459z00_4592 =
												BGl_zc3exitza33640ze3z83zz__evaluate_compz00
												(BgL_runz00_16495, BgL_nsz00_4590);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25204;

												BgL_auxz00_25204 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25204, BgL_sz00_4576);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1459z00_4592)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1459z00_4592), CDR(BgL_val1459z00_4592));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1459z00_4592;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3640> */
	obj_t BGl_zc3exitza33640ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17578,
		obj_t BgL_nsz00_17577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1460z00_4598;

			if (SET_EXIT(BgL_an_exit1460z00_4598))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1460z00_4598 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1460z00_4598, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1461z00_4599;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14133;

								BgL_savedzd2bpzd2_14133 =
									VECTOR_REF(BgL_nsz00_17577, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17577,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14140;

									BgL_fz00_14140 = BgL_runz00_17578;
								BgL_recz00_14139:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14141;

										BgL_rz00_14141 =
											PROCEDURE_ENTRY(BgL_fz00_14140) (BgL_fz00_14140,
											BgL_nsz00_17577, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25225;

											if (PROCEDUREP(BgL_rz00_14141))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14146;

													BgL_arg1890z00_14146 = PROCEDURE_ATTR(BgL_rz00_14141);
													if (STRUCTP(BgL_arg1890z00_14146))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25225 =
																(STRUCT_KEY(BgL_arg1890z00_14146) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25225 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25225 = ((bool_t) 0);
												}
											if (BgL_testz00_25225)
												{
													obj_t BgL_fz00_25233;

													BgL_fz00_25233 = BgL_rz00_14141;
													BgL_fz00_14140 = BgL_fz00_25233;
													goto BgL_recz00_14139;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17577,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14133);
													BgL_val1461z00_4599 = BgL_rz00_14141;
							}}}}}
							POP_EXIT();
							return BgL_val1461z00_4599;
						}
					}
				}
		}
	}



/* <exit:3634> */
	obj_t BGl_zc3exitza33634ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17581,
		obj_t BgL_sz00_17580, obj_t BgL_runz00_17579)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1457z00_4588;

			if (SET_EXIT(BgL_an_exit1457z00_4588))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1457z00_4588 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1457z00_4588, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1458z00_4589;

							BgL_val1458z00_4589 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17579,
								BgL_sz00_17580, BgL_bpz00_17581);
							POP_EXIT();
							return BgL_val1458z00_4589;
						}
					}
				}
		}
	}



/* &run5452 */
	obj_t BGl_z62run5452z62zz__evaluate_compz00(obj_t BgL_envz00_16501,
		obj_t BgL_sz00_16506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16502;
				obj_t BgL_valza2za2_16503;
				BgL_ev_absz00_bglt BgL_i1249z00_16504;
				obj_t BgL_bodyz00_16505;

				BgL_siza7eza7_16502 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16501, (int) (((long) 0))));
				BgL_valza2za2_16503 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16501, (int) (((long) 1))));
				BgL_i1249z00_16504 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16501, (int) (((long) 2))));
				BgL_bodyz00_16505 = PROCEDURE_REF(BgL_envz00_16501, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4601;

					BgL_sz00_4601 = BgL_sz00_16506;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4603;

						BgL_bpz00_4603 = VECTOR_REF(BgL_sz00_4601, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4601,
							BgL_valza2za2_16503,
							((long) CINT(BgL_bpz00_4603) + BgL_siza7eza7_16502));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4605;
							obj_t BgL_wherez00_4606;
							obj_t BgL_locz00_4607;

							BgL_z12denvz12_4605 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4606 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16504))->BgL_wherez00);
							BgL_locz00_4607 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16504))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4605, BgL_wherez00_4606,
									BgL_locz00_4607);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4608;

									BgL_za2za2resza2za2z00_4608 =
										PROCEDURE_ENTRY(BgL_bodyz00_16505) (BgL_bodyz00_16505,
										BgL_sz00_4601, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4605);
									return BgL_za2za2resza2za2z00_4608;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3643> */
	obj_t BGl_z62zc3anonymousza33643ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16507, obj_t BgL_sz00_16514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16508;
				obj_t BgL_iboxesz00_16509;
				long BgL_siza7eza7_16510;
				BgL_ev_absz00_bglt BgL_i1249z00_16511;
				obj_t BgL_bodyz00_16512;
				long BgL_siza7ezd2framez75_16513;

				BgL_ifreesz00_16508 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 0))));
				BgL_iboxesz00_16509 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 1))));
				BgL_siza7eza7_16510 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 2))));
				BgL_i1249z00_16511 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 3))));
				BgL_bodyz00_16512 = PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16513 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16507, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4610;

					BgL_sz00_4610 = BgL_sz00_16514;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4612;

						BgL_bpz00_4612 = VECTOR_REF(BgL_sz00_4610, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4613;

							BgL_valza2za2_4613 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4610,
								BgL_bpz00_4612, BgL_ifreesz00_16508);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16151;

								BgL_runz00_16151 =
									MAKE_FX_PROCEDURE(BGl_z62run5454z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 0)), BgL_iboxesz00_16509);
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16510));
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 2)), BgL_valza2za2_4613);
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16511));
								PROCEDURE_SET(BgL_runz00_16151,
									(int) (((long) 4)), BgL_bodyz00_16512);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16152;

									BgL_mainz00_16152 =
										MAKE_VA_PROCEDURE(BGl_z62main5453z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 0)), BgL_iboxesz00_16509);
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16510));
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 2)), BgL_valza2za2_4613);
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16511));
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 4)), BgL_bodyz00_16512);
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 5)), BgL_runz00_16151);
									PROCEDURE_SET(BgL_mainz00_16152,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16513));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_14282;

										BgL_objz00_14282 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16151, BgL_objz00_14282);
										BgL_objz00_14282;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3644z00_4616;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3645z00_4617;

											BgL_arg3645z00_4617 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16511))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_14286;

												BgL_newz00_14286 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25326;

													BgL_auxz00_25326 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14286, BgL_auxz00_25326,
														BgL_arg3645z00_4617);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25331;
													int BgL_auxz00_25329;

													BgL_auxz00_25331 = BINT(BgL_siza7ezd2framez75_16513);
													BgL_auxz00_25329 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14286, BgL_auxz00_25329,
														BgL_auxz00_25331);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25334;

													BgL_auxz00_25334 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14286, BgL_auxz00_25334,
														BgL_runz00_16151);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25339;
													int BgL_auxz00_25337;

													BgL_auxz00_25339 = BINT(((long) -4));
													BgL_auxz00_25337 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14286, BgL_auxz00_25337,
														BgL_auxz00_25339);
												}
												BgL_arg3644z00_4616 = BgL_newz00_14286;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16152, BgL_arg3644z00_4616);
										BgL_arg3644z00_4616;
									}
									return BgL_mainz00_16152;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5453 */
	obj_t BGl_z62main5453z62zz__evaluate_compz00(obj_t BgL_envz00_16515,
		obj_t BgL_bz00_16523, obj_t BgL_cz00_16524, obj_t BgL_dz00_16525,
		obj_t BgL_lastz00_16526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16521;
				long BgL_siza7ezd2framez75_16522;

				BgL_runz00_16521 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16515, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16522 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16515, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4618;
					obj_t BgL_cz00_4619;
					obj_t BgL_dz00_4620;
					obj_t BgL_lastz00_4621;

					BgL_bz00_4618 = BgL_bz00_16523;
					BgL_cz00_4619 = BgL_cz00_16524;
					BgL_dz00_4620 = BgL_dz00_16525;
					BgL_lastz00_4621 = BgL_lastz00_16526;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4623;

						BgL_sz00_4623 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4624;

							BgL_bpz00_4624 = VECTOR_REF(BgL_sz00_4623, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25352;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_14199;

									BgL_arg1899z00_14199 = VECTOR_LENGTH(BgL_sz00_4623);
									BgL_testz00_25352 =
										(
										((long) CINT(BgL_bpz00_4624) +
											BgL_siza7ezd2framez75_16522) <
										(long) (BgL_arg1899z00_14199));
								}
								if (BgL_testz00_25352)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3648z00_4626;

											BgL_arg3648z00_4626 =
												((long) CINT(BgL_bpz00_4624) + ((long) 0));
											VECTOR_SET(BgL_sz00_4623,
												(int) (BgL_arg3648z00_4626), BgL_bz00_4618);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3649z00_4627;

											BgL_arg3649z00_4627 =
												((long) CINT(BgL_bpz00_4624) + ((long) 1));
											VECTOR_SET(BgL_sz00_4623,
												(int) (BgL_arg3649z00_4627), BgL_cz00_4619);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3650z00_4628;

											BgL_arg3650z00_4628 =
												((long) CINT(BgL_bpz00_4624) + ((long) 2));
											VECTOR_SET(BgL_sz00_4623,
												(int) (BgL_arg3650z00_4628), BgL_dz00_4620);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3651z00_4629;

											BgL_arg3651z00_4629 =
												((long) CINT(BgL_bpz00_4624) + ((long) 3));
											VECTOR_SET(BgL_sz00_4623,
												(int) (BgL_arg3651z00_4629), BgL_lastz00_4621);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1462z00_4630;

											BgL_val1462z00_4630 =
												BGl_zc3exitza33655ze3z83zz__evaluate_compz00
												(BgL_bpz00_4624, BgL_sz00_4623, BgL_runz00_16521);
											VECTOR_SET(BgL_sz00_4623, (int) (((long) 0)),
												BgL_bpz00_4624);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1462z00_4630)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1462z00_4630), CDR(BgL_val1462z00_4630));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1462z00_4630;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4637;

										BgL_nsz00_4637 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4637,
											(int) (((long) 1)), BgL_sz00_4623);
										VECTOR_SET(BgL_nsz00_4637,
											(int) (((long) 2)), BgL_bz00_4618);
										VECTOR_SET(BgL_nsz00_4637,
											(int) (((long) 3)), BgL_cz00_4619);
										VECTOR_SET(BgL_nsz00_4637,
											(int) (((long) 4)), BgL_dz00_4620);
										VECTOR_SET(BgL_nsz00_4637,
											(int) (((long) 5)), BgL_lastz00_4621);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25394;

											BgL_auxz00_25394 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25394, BgL_nsz00_4637);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1465z00_4639;

											BgL_val1465z00_4639 =
												BGl_zc3exitza33661ze3z83zz__evaluate_compz00
												(BgL_runz00_16521, BgL_nsz00_4637);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25398;

												BgL_auxz00_25398 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25398, BgL_sz00_4623);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1465z00_4639)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1465z00_4639), CDR(BgL_val1465z00_4639));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1465z00_4639;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3661> */
	obj_t BGl_zc3exitza33661ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17573,
		obj_t BgL_nsz00_17572)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1466z00_4645;

			if (SET_EXIT(BgL_an_exit1466z00_4645))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1466z00_4645 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1466z00_4645, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1467z00_4646;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_14254;

								BgL_savedzd2bpzd2_14254 =
									VECTOR_REF(BgL_nsz00_17572, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17572,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_14261;

									BgL_fz00_14261 = BgL_runz00_17573;
								BgL_recz00_14260:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_14262;

										BgL_rz00_14262 =
											PROCEDURE_ENTRY(BgL_fz00_14261) (BgL_fz00_14261,
											BgL_nsz00_17572, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25419;

											if (PROCEDUREP(BgL_rz00_14262))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_14267;

													BgL_arg1890z00_14267 = PROCEDURE_ATTR(BgL_rz00_14262);
													if (STRUCTP(BgL_arg1890z00_14267))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25419 =
																(STRUCT_KEY(BgL_arg1890z00_14267) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25419 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25419 = ((bool_t) 0);
												}
											if (BgL_testz00_25419)
												{
													obj_t BgL_fz00_25427;

													BgL_fz00_25427 = BgL_rz00_14262;
													BgL_fz00_14261 = BgL_fz00_25427;
													goto BgL_recz00_14260;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17572,
														(int) (((long) 0)), BgL_savedzd2bpzd2_14254);
													BgL_val1467z00_4646 = BgL_rz00_14262;
							}}}}}
							POP_EXIT();
							return BgL_val1467z00_4646;
						}
					}
				}
		}
	}



/* <exit:3655> */
	obj_t BGl_zc3exitza33655ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17576,
		obj_t BgL_sz00_17575, obj_t BgL_runz00_17574)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1463z00_4635;

			if (SET_EXIT(BgL_an_exit1463z00_4635))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1463z00_4635 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1463z00_4635, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1464z00_4636;

							BgL_val1464z00_4636 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17574,
								BgL_sz00_17575, BgL_bpz00_17576);
							POP_EXIT();
							return BgL_val1464z00_4636;
						}
					}
				}
		}
	}



/* &run5454 */
	obj_t BGl_z62run5454z62zz__evaluate_compz00(obj_t BgL_envz00_16527,
		obj_t BgL_sz00_16533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16528;
				long BgL_siza7eza7_16529;
				obj_t BgL_valza2za2_16530;
				BgL_ev_absz00_bglt BgL_i1249z00_16531;
				obj_t BgL_bodyz00_16532;

				BgL_iboxesz00_16528 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16527, (int) (((long) 0))));
				BgL_siza7eza7_16529 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16527, (int) (((long) 1))));
				BgL_valza2za2_16530 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16527, (int) (((long) 2))));
				BgL_i1249z00_16531 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16527, (int) (((long) 3))));
				BgL_bodyz00_16532 = PROCEDURE_REF(BgL_envz00_16527, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4648;

					BgL_sz00_4648 = BgL_sz00_16533;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4650;

						BgL_bpz00_4650 = VECTOR_REF(BgL_sz00_4648, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4648,
							BgL_iboxesz00_16528, BgL_bpz00_4650);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4648,
							BgL_valza2za2_16530,
							((long) CINT(BgL_bpz00_4650) + BgL_siza7eza7_16529));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4652;
							obj_t BgL_wherez00_4653;
							obj_t BgL_locz00_4654;

							BgL_z12denvz12_4652 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4653 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16531))->BgL_wherez00);
							BgL_locz00_4654 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16531))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4652, BgL_wherez00_4653,
									BgL_locz00_4654);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4655;

									BgL_za2za2resza2za2z00_4655 =
										PROCEDURE_ENTRY(BgL_bodyz00_16532) (BgL_bodyz00_16532,
										BgL_sz00_4648, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4652);
									return BgL_za2za2resza2za2z00_4655;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3495> */
	obj_t BGl_z62zc3anonymousza33495ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16534, obj_t BgL_sz00_16538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16535;
				obj_t BgL_bodyz00_16536;
				long BgL_siza7ezd2framez75_16537;

				BgL_i1249z00_16535 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16534, (int) (((long) 0))));
				BgL_bodyz00_16536 = PROCEDURE_REF(BgL_envz00_16534, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16537 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16534, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4289;

					BgL_sz00_4289 = BgL_sz00_16538;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4291;

						BgL_bpz00_4291 = VECTOR_REF(BgL_sz00_4289, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16148;

								BgL_runz00_16148 =
									MAKE_FX_PROCEDURE(BGl_z62run5456z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16148,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16535));
								PROCEDURE_SET(BgL_runz00_16148,
									(int) (((long) 1)), BgL_bodyz00_16536);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16149;

									BgL_mainz00_16149 =
										MAKE_FX_PROCEDURE(BGl_z62main5455z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16535));
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 1)), BgL_bodyz00_16536);
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 2)), BgL_runz00_16148);
									PROCEDURE_SET(BgL_mainz00_16149,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16537));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13455;

										BgL_objz00_13455 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16148, BgL_objz00_13455);
										BgL_objz00_13455;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3496z00_4294;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3497z00_4295;

											BgL_arg3497z00_4295 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16535))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13459;

												BgL_newz00_13459 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25500;

													BgL_auxz00_25500 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13459, BgL_auxz00_25500,
														BgL_arg3497z00_4295);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25505;
													int BgL_auxz00_25503;

													BgL_auxz00_25505 = BINT(BgL_siza7ezd2framez75_16537);
													BgL_auxz00_25503 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13459, BgL_auxz00_25503,
														BgL_auxz00_25505);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25508;

													BgL_auxz00_25508 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13459, BgL_auxz00_25508,
														BgL_runz00_16148);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25513;
													int BgL_auxz00_25511;

													BgL_auxz00_25513 = BINT(((long) 3));
													BgL_auxz00_25511 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13459, BgL_auxz00_25511,
														BgL_auxz00_25513);
												}
												BgL_arg3496z00_4294 = BgL_newz00_13459;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16149, BgL_arg3496z00_4294);
										BgL_arg3496z00_4294;
									}
									return BgL_mainz00_16149;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5455 */
	obj_t BGl_z62main5455z62zz__evaluate_compz00(obj_t BgL_envz00_16539,
		obj_t BgL_bz00_16544, obj_t BgL_cz00_16545, obj_t BgL_dz00_16546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16542;
				long BgL_siza7ezd2framez75_16543;

				BgL_runz00_16542 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16539, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16543 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16539, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4296;
					obj_t BgL_cz00_4297;
					obj_t BgL_dz00_4298;

					BgL_bz00_4296 = BgL_bz00_16544;
					BgL_cz00_4297 = BgL_cz00_16545;
					BgL_dz00_4298 = BgL_dz00_16546;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4300;

						BgL_sz00_4300 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4301;

							BgL_bpz00_4301 = VECTOR_REF(BgL_sz00_4300, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25526;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13381;

									BgL_arg1899z00_13381 = VECTOR_LENGTH(BgL_sz00_4300);
									BgL_testz00_25526 =
										(
										((long) CINT(BgL_bpz00_4301) +
											BgL_siza7ezd2framez75_16543) <
										(long) (BgL_arg1899z00_13381));
								}
								if (BgL_testz00_25526)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3500z00_4303;

											BgL_arg3500z00_4303 =
												((long) CINT(BgL_bpz00_4301) + ((long) 0));
											VECTOR_SET(BgL_sz00_4300,
												(int) (BgL_arg3500z00_4303), BgL_bz00_4296);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3501z00_4304;

											BgL_arg3501z00_4304 =
												((long) CINT(BgL_bpz00_4301) + ((long) 1));
											VECTOR_SET(BgL_sz00_4300,
												(int) (BgL_arg3501z00_4304), BgL_cz00_4297);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3502z00_4305;

											BgL_arg3502z00_4305 =
												((long) CINT(BgL_bpz00_4301) + ((long) 2));
											VECTOR_SET(BgL_sz00_4300,
												(int) (BgL_arg3502z00_4305), BgL_dz00_4298);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1420z00_4306;

											BgL_val1420z00_4306 =
												BGl_zc3exitza33506ze3z83zz__evaluate_compz00
												(BgL_bpz00_4301, BgL_sz00_4300, BgL_runz00_16542);
											VECTOR_SET(BgL_sz00_4300, (int) (((long) 0)),
												BgL_bpz00_4301);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1420z00_4306)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1420z00_4306), CDR(BgL_val1420z00_4306));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1420z00_4306;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4313;

										BgL_nsz00_4313 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4313,
											(int) (((long) 1)), BgL_sz00_4300);
										VECTOR_SET(BgL_nsz00_4313,
											(int) (((long) 2)), BgL_bz00_4296);
										VECTOR_SET(BgL_nsz00_4313,
											(int) (((long) 3)), BgL_cz00_4297);
										VECTOR_SET(BgL_nsz00_4313,
											(int) (((long) 4)), BgL_dz00_4298);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25562;

											BgL_auxz00_25562 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25562, BgL_nsz00_4313);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1423z00_4315;

											BgL_val1423z00_4315 =
												BGl_zc3exitza33512ze3z83zz__evaluate_compz00
												(BgL_runz00_16542, BgL_nsz00_4313);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25566;

												BgL_auxz00_25566 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25566, BgL_sz00_4300);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1423z00_4315)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1423z00_4315), CDR(BgL_val1423z00_4315));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1423z00_4315;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3512> */
	obj_t BGl_zc3exitza33512ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17568,
		obj_t BgL_nsz00_17567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1424z00_4321;

			if (SET_EXIT(BgL_an_exit1424z00_4321))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1424z00_4321 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1424z00_4321, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1425z00_4322;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13427;

								BgL_savedzd2bpzd2_13427 =
									VECTOR_REF(BgL_nsz00_17567, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17567,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13434;

									BgL_fz00_13434 = BgL_runz00_17568;
								BgL_recz00_13433:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13435;

										BgL_rz00_13435 =
											PROCEDURE_ENTRY(BgL_fz00_13434) (BgL_fz00_13434,
											BgL_nsz00_17567, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25587;

											if (PROCEDUREP(BgL_rz00_13435))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13440;

													BgL_arg1890z00_13440 = PROCEDURE_ATTR(BgL_rz00_13435);
													if (STRUCTP(BgL_arg1890z00_13440))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25587 =
																(STRUCT_KEY(BgL_arg1890z00_13440) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25587 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25587 = ((bool_t) 0);
												}
											if (BgL_testz00_25587)
												{
													obj_t BgL_fz00_25595;

													BgL_fz00_25595 = BgL_rz00_13435;
													BgL_fz00_13434 = BgL_fz00_25595;
													goto BgL_recz00_13433;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17567,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13427);
													BgL_val1425z00_4322 = BgL_rz00_13435;
							}}}}}
							POP_EXIT();
							return BgL_val1425z00_4322;
						}
					}
				}
		}
	}



/* <exit:3506> */
	obj_t BGl_zc3exitza33506ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17571,
		obj_t BgL_sz00_17570, obj_t BgL_runz00_17569)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1421z00_4311;

			if (SET_EXIT(BgL_an_exit1421z00_4311))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1421z00_4311 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1421z00_4311, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1422z00_4312;

							BgL_val1422z00_4312 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17569,
								BgL_sz00_17570, BgL_bpz00_17571);
							POP_EXIT();
							return BgL_val1422z00_4312;
						}
					}
				}
		}
	}



/* &run5456 */
	obj_t BGl_z62run5456z62zz__evaluate_compz00(obj_t BgL_envz00_16547,
		obj_t BgL_sz00_16550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16548;
				obj_t BgL_bodyz00_16549;

				BgL_i1249z00_16548 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16547, (int) (((long) 0))));
				BgL_bodyz00_16549 = PROCEDURE_REF(BgL_envz00_16547, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4324;

					BgL_sz00_4324 = BgL_sz00_16550;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4326;

						BgL_bpz00_4326 = VECTOR_REF(BgL_sz00_4324, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4327;
							obj_t BgL_wherez00_4328;
							obj_t BgL_locz00_4329;

							BgL_z12denvz12_4327 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4328 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16548))->BgL_wherez00);
							BgL_locz00_4329 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16548))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4327, BgL_wherez00_4328,
									BgL_locz00_4329);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4330;

									BgL_za2za2resza2za2z00_4330 =
										PROCEDURE_ENTRY(BgL_bodyz00_16549) (BgL_bodyz00_16549,
										BgL_sz00_4324, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4327);
									return BgL_za2za2resza2za2z00_4330;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3514> */
	obj_t BGl_z62zc3anonymousza33514ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16551, obj_t BgL_sz00_16556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16552;
				BgL_ev_absz00_bglt BgL_i1249z00_16553;
				obj_t BgL_bodyz00_16554;
				long BgL_siza7ezd2framez75_16555;

				BgL_iboxesz00_16552 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16551, (int) (((long) 0))));
				BgL_i1249z00_16553 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16551, (int) (((long) 1))));
				BgL_bodyz00_16554 = PROCEDURE_REF(BgL_envz00_16551, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16555 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16551, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4332;

					BgL_sz00_4332 = BgL_sz00_16556;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4334;

						BgL_bpz00_4334 = VECTOR_REF(BgL_sz00_4332, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16145;

								BgL_runz00_16145 =
									MAKE_FX_PROCEDURE(BGl_z62run5458z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 0)), BgL_iboxesz00_16552);
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16553));
								PROCEDURE_SET(BgL_runz00_16145,
									(int) (((long) 2)), BgL_bodyz00_16554);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16146;

									BgL_mainz00_16146 =
										MAKE_FX_PROCEDURE(BGl_z62main5457z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 0)), BgL_iboxesz00_16552);
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16553));
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 2)), BgL_bodyz00_16554);
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 3)), BgL_runz00_16145);
									PROCEDURE_SET(BgL_mainz00_16146,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16555));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13564;

										BgL_objz00_13564 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16145, BgL_objz00_13564);
										BgL_objz00_13564;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3515z00_4337;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3516z00_4338;

											BgL_arg3516z00_4338 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16553))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13568;

												BgL_newz00_13568 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25662;

													BgL_auxz00_25662 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13568, BgL_auxz00_25662,
														BgL_arg3516z00_4338);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25667;
													int BgL_auxz00_25665;

													BgL_auxz00_25667 = BINT(BgL_siza7ezd2framez75_16555);
													BgL_auxz00_25665 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13568, BgL_auxz00_25665,
														BgL_auxz00_25667);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25670;

													BgL_auxz00_25670 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13568, BgL_auxz00_25670,
														BgL_runz00_16145);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25675;
													int BgL_auxz00_25673;

													BgL_auxz00_25675 = BINT(((long) 3));
													BgL_auxz00_25673 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13568, BgL_auxz00_25673,
														BgL_auxz00_25675);
												}
												BgL_arg3515z00_4337 = BgL_newz00_13568;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16146, BgL_arg3515z00_4337);
										BgL_arg3515z00_4337;
									}
									return BgL_mainz00_16146;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5457 */
	obj_t BGl_z62main5457z62zz__evaluate_compz00(obj_t BgL_envz00_16557,
		obj_t BgL_bz00_16563, obj_t BgL_cz00_16564, obj_t BgL_dz00_16565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16561;
				long BgL_siza7ezd2framez75_16562;

				BgL_runz00_16561 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16557, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16562 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16557, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4339;
					obj_t BgL_cz00_4340;
					obj_t BgL_dz00_4341;

					BgL_bz00_4339 = BgL_bz00_16563;
					BgL_cz00_4340 = BgL_cz00_16564;
					BgL_dz00_4341 = BgL_dz00_16565;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4343;

						BgL_sz00_4343 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4344;

							BgL_bpz00_4344 = VECTOR_REF(BgL_sz00_4343, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25688;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13490;

									BgL_arg1899z00_13490 = VECTOR_LENGTH(BgL_sz00_4343);
									BgL_testz00_25688 =
										(
										((long) CINT(BgL_bpz00_4344) +
											BgL_siza7ezd2framez75_16562) <
										(long) (BgL_arg1899z00_13490));
								}
								if (BgL_testz00_25688)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3519z00_4346;

											BgL_arg3519z00_4346 =
												((long) CINT(BgL_bpz00_4344) + ((long) 0));
											VECTOR_SET(BgL_sz00_4343,
												(int) (BgL_arg3519z00_4346), BgL_bz00_4339);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3520z00_4347;

											BgL_arg3520z00_4347 =
												((long) CINT(BgL_bpz00_4344) + ((long) 1));
											VECTOR_SET(BgL_sz00_4343,
												(int) (BgL_arg3520z00_4347), BgL_cz00_4340);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3521z00_4348;

											BgL_arg3521z00_4348 =
												((long) CINT(BgL_bpz00_4344) + ((long) 2));
											VECTOR_SET(BgL_sz00_4343,
												(int) (BgL_arg3521z00_4348), BgL_dz00_4341);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1426z00_4349;

											BgL_val1426z00_4349 =
												BGl_zc3exitza33525ze3z83zz__evaluate_compz00
												(BgL_bpz00_4344, BgL_sz00_4343, BgL_runz00_16561);
											VECTOR_SET(BgL_sz00_4343, (int) (((long) 0)),
												BgL_bpz00_4344);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1426z00_4349)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1426z00_4349), CDR(BgL_val1426z00_4349));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1426z00_4349;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4356;

										BgL_nsz00_4356 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4356,
											(int) (((long) 1)), BgL_sz00_4343);
										VECTOR_SET(BgL_nsz00_4356,
											(int) (((long) 2)), BgL_bz00_4339);
										VECTOR_SET(BgL_nsz00_4356,
											(int) (((long) 3)), BgL_cz00_4340);
										VECTOR_SET(BgL_nsz00_4356,
											(int) (((long) 4)), BgL_dz00_4341);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25724;

											BgL_auxz00_25724 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25724, BgL_nsz00_4356);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1429z00_4358;

											BgL_val1429z00_4358 =
												BGl_zc3exitza33531ze3z83zz__evaluate_compz00
												(BgL_runz00_16561, BgL_nsz00_4356);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25728;

												BgL_auxz00_25728 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25728, BgL_sz00_4343);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1429z00_4358)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1429z00_4358), CDR(BgL_val1429z00_4358));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1429z00_4358;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3531> */
	obj_t BGl_zc3exitza33531ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17563,
		obj_t BgL_nsz00_17562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1430z00_4364;

			if (SET_EXIT(BgL_an_exit1430z00_4364))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1430z00_4364 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1430z00_4364, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1431z00_4365;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13536;

								BgL_savedzd2bpzd2_13536 =
									VECTOR_REF(BgL_nsz00_17562, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17562,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13543;

									BgL_fz00_13543 = BgL_runz00_17563;
								BgL_recz00_13542:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13544;

										BgL_rz00_13544 =
											PROCEDURE_ENTRY(BgL_fz00_13543) (BgL_fz00_13543,
											BgL_nsz00_17562, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25749;

											if (PROCEDUREP(BgL_rz00_13544))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13549;

													BgL_arg1890z00_13549 = PROCEDURE_ATTR(BgL_rz00_13544);
													if (STRUCTP(BgL_arg1890z00_13549))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25749 =
																(STRUCT_KEY(BgL_arg1890z00_13549) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25749 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25749 = ((bool_t) 0);
												}
											if (BgL_testz00_25749)
												{
													obj_t BgL_fz00_25757;

													BgL_fz00_25757 = BgL_rz00_13544;
													BgL_fz00_13543 = BgL_fz00_25757;
													goto BgL_recz00_13542;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17562,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13536);
													BgL_val1431z00_4365 = BgL_rz00_13544;
							}}}}}
							POP_EXIT();
							return BgL_val1431z00_4365;
						}
					}
				}
		}
	}



/* <exit:3525> */
	obj_t BGl_zc3exitza33525ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17566,
		obj_t BgL_sz00_17565, obj_t BgL_runz00_17564)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1427z00_4354;

			if (SET_EXIT(BgL_an_exit1427z00_4354))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1427z00_4354 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1427z00_4354, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1428z00_4355;

							BgL_val1428z00_4355 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17564,
								BgL_sz00_17565, BgL_bpz00_17566);
							POP_EXIT();
							return BgL_val1428z00_4355;
						}
					}
				}
		}
	}



/* &run5458 */
	obj_t BGl_z62run5458z62zz__evaluate_compz00(obj_t BgL_envz00_16566,
		obj_t BgL_sz00_16570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16567;
				BgL_ev_absz00_bglt BgL_i1249z00_16568;
				obj_t BgL_bodyz00_16569;

				BgL_iboxesz00_16567 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16566, (int) (((long) 0))));
				BgL_i1249z00_16568 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16566, (int) (((long) 1))));
				BgL_bodyz00_16569 = PROCEDURE_REF(BgL_envz00_16566, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4367;

					BgL_sz00_4367 = BgL_sz00_16570;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4369;

						BgL_bpz00_4369 = VECTOR_REF(BgL_sz00_4367, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4367,
							BgL_iboxesz00_16567, BgL_bpz00_4369);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4370;
							obj_t BgL_wherez00_4371;
							obj_t BgL_locz00_4372;

							BgL_z12denvz12_4370 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4371 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16568))->BgL_wherez00);
							BgL_locz00_4372 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16568))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4370, BgL_wherez00_4371,
									BgL_locz00_4372);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4373;

									BgL_za2za2resza2za2z00_4373 =
										PROCEDURE_ENTRY(BgL_bodyz00_16569) (BgL_bodyz00_16569,
										BgL_sz00_4367, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4370);
									return BgL_za2za2resza2za2z00_4373;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3535> */
	obj_t BGl_z62zc3anonymousza33535ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16571, obj_t BgL_sz00_16577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16572;
				long BgL_siza7eza7_16573;
				BgL_ev_absz00_bglt BgL_i1249z00_16574;
				obj_t BgL_bodyz00_16575;
				long BgL_siza7ezd2framez75_16576;

				BgL_ifreesz00_16572 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16571, (int) (((long) 0))));
				BgL_siza7eza7_16573 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16571, (int) (((long) 1))));
				BgL_i1249z00_16574 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16571, (int) (((long) 2))));
				BgL_bodyz00_16575 = PROCEDURE_REF(BgL_envz00_16571, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16576 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16571, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4377;

					BgL_sz00_4377 = BgL_sz00_16577;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4379;

						BgL_bpz00_4379 = VECTOR_REF(BgL_sz00_4377, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4380;

							BgL_valza2za2_4380 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4377,
								BgL_bpz00_4379, BgL_ifreesz00_16572);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16142;

								BgL_runz00_16142 =
									MAKE_FX_PROCEDURE(BGl_z62run5460z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16573));
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 1)), BgL_valza2za2_4380);
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16574));
								PROCEDURE_SET(BgL_runz00_16142,
									(int) (((long) 3)), BgL_bodyz00_16575);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16143;

									BgL_mainz00_16143 =
										MAKE_FX_PROCEDURE(BGl_z62main5459z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16573));
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 1)), BgL_valza2za2_4380);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16574));
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 3)), BgL_bodyz00_16575);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 4)), BgL_runz00_16142);
									PROCEDURE_SET(BgL_mainz00_16143,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16576));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13680;

										BgL_objz00_13680 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16142, BgL_objz00_13680);
										BgL_objz00_13680;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3536z00_4383;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3537z00_4384;

											BgL_arg3537z00_4384 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16574))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13684;

												BgL_newz00_13684 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25838;

													BgL_auxz00_25838 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13684, BgL_auxz00_25838,
														BgL_arg3537z00_4384);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25843;
													int BgL_auxz00_25841;

													BgL_auxz00_25843 = BINT(BgL_siza7ezd2framez75_16576);
													BgL_auxz00_25841 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13684, BgL_auxz00_25841,
														BgL_auxz00_25843);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_25846;

													BgL_auxz00_25846 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13684, BgL_auxz00_25846,
														BgL_runz00_16142);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_25851;
													int BgL_auxz00_25849;

													BgL_auxz00_25851 = BINT(((long) 3));
													BgL_auxz00_25849 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13684, BgL_auxz00_25849,
														BgL_auxz00_25851);
												}
												BgL_arg3536z00_4383 = BgL_newz00_13684;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16143, BgL_arg3536z00_4383);
										BgL_arg3536z00_4383;
									}
									return BgL_mainz00_16143;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5459 */
	obj_t BGl_z62main5459z62zz__evaluate_compz00(obj_t BgL_envz00_16578,
		obj_t BgL_bz00_16585, obj_t BgL_cz00_16586, obj_t BgL_dz00_16587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16583;
				long BgL_siza7ezd2framez75_16584;

				BgL_runz00_16583 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16578, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16584 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16578, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4385;
					obj_t BgL_cz00_4386;
					obj_t BgL_dz00_4387;

					BgL_bz00_4385 = BgL_bz00_16585;
					BgL_cz00_4386 = BgL_cz00_16586;
					BgL_dz00_4387 = BgL_dz00_16587;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4389;

						BgL_sz00_4389 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4390;

							BgL_bpz00_4390 = VECTOR_REF(BgL_sz00_4389, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_25864;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13606;

									BgL_arg1899z00_13606 = VECTOR_LENGTH(BgL_sz00_4389);
									BgL_testz00_25864 =
										(
										((long) CINT(BgL_bpz00_4390) +
											BgL_siza7ezd2framez75_16584) <
										(long) (BgL_arg1899z00_13606));
								}
								if (BgL_testz00_25864)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3540z00_4392;

											BgL_arg3540z00_4392 =
												((long) CINT(BgL_bpz00_4390) + ((long) 0));
											VECTOR_SET(BgL_sz00_4389,
												(int) (BgL_arg3540z00_4392), BgL_bz00_4385);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3541z00_4393;

											BgL_arg3541z00_4393 =
												((long) CINT(BgL_bpz00_4390) + ((long) 1));
											VECTOR_SET(BgL_sz00_4389,
												(int) (BgL_arg3541z00_4393), BgL_cz00_4386);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3542z00_4394;

											BgL_arg3542z00_4394 =
												((long) CINT(BgL_bpz00_4390) + ((long) 2));
											VECTOR_SET(BgL_sz00_4389,
												(int) (BgL_arg3542z00_4394), BgL_dz00_4387);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1432z00_4395;

											BgL_val1432z00_4395 =
												BGl_zc3exitza33546ze3z83zz__evaluate_compz00
												(BgL_bpz00_4390, BgL_sz00_4389, BgL_runz00_16583);
											VECTOR_SET(BgL_sz00_4389, (int) (((long) 0)),
												BgL_bpz00_4390);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1432z00_4395)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1432z00_4395), CDR(BgL_val1432z00_4395));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1432z00_4395;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4402;

										BgL_nsz00_4402 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4402,
											(int) (((long) 1)), BgL_sz00_4389);
										VECTOR_SET(BgL_nsz00_4402,
											(int) (((long) 2)), BgL_bz00_4385);
										VECTOR_SET(BgL_nsz00_4402,
											(int) (((long) 3)), BgL_cz00_4386);
										VECTOR_SET(BgL_nsz00_4402,
											(int) (((long) 4)), BgL_dz00_4387);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_25900;

											BgL_auxz00_25900 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_25900, BgL_nsz00_4402);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1435z00_4404;

											BgL_val1435z00_4404 =
												BGl_zc3exitza33552ze3z83zz__evaluate_compz00
												(BgL_runz00_16583, BgL_nsz00_4402);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_25904;

												BgL_auxz00_25904 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_25904, BgL_sz00_4389);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1435z00_4404)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1435z00_4404), CDR(BgL_val1435z00_4404));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1435z00_4404;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3552> */
	obj_t BGl_zc3exitza33552ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17558,
		obj_t BgL_nsz00_17557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1436z00_4410;

			if (SET_EXIT(BgL_an_exit1436z00_4410))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1436z00_4410 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1436z00_4410, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1437z00_4411;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13652;

								BgL_savedzd2bpzd2_13652 =
									VECTOR_REF(BgL_nsz00_17557, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17557,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13659;

									BgL_fz00_13659 = BgL_runz00_17558;
								BgL_recz00_13658:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13660;

										BgL_rz00_13660 =
											PROCEDURE_ENTRY(BgL_fz00_13659) (BgL_fz00_13659,
											BgL_nsz00_17557, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_25925;

											if (PROCEDUREP(BgL_rz00_13660))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13665;

													BgL_arg1890z00_13665 = PROCEDURE_ATTR(BgL_rz00_13660);
													if (STRUCTP(BgL_arg1890z00_13665))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25925 =
																(STRUCT_KEY(BgL_arg1890z00_13665) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_25925 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_25925 = ((bool_t) 0);
												}
											if (BgL_testz00_25925)
												{
													obj_t BgL_fz00_25933;

													BgL_fz00_25933 = BgL_rz00_13660;
													BgL_fz00_13659 = BgL_fz00_25933;
													goto BgL_recz00_13658;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17557,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13652);
													BgL_val1437z00_4411 = BgL_rz00_13660;
							}}}}}
							POP_EXIT();
							return BgL_val1437z00_4411;
						}
					}
				}
		}
	}



/* <exit:3546> */
	obj_t BGl_zc3exitza33546ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17561,
		obj_t BgL_sz00_17560, obj_t BgL_runz00_17559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1433z00_4400;

			if (SET_EXIT(BgL_an_exit1433z00_4400))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1433z00_4400 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1433z00_4400, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1434z00_4401;

							BgL_val1434z00_4401 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17559,
								BgL_sz00_17560, BgL_bpz00_17561);
							POP_EXIT();
							return BgL_val1434z00_4401;
						}
					}
				}
		}
	}



/* &run5460 */
	obj_t BGl_z62run5460z62zz__evaluate_compz00(obj_t BgL_envz00_16588,
		obj_t BgL_sz00_16593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16589;
				obj_t BgL_valza2za2_16590;
				BgL_ev_absz00_bglt BgL_i1249z00_16591;
				obj_t BgL_bodyz00_16592;

				BgL_siza7eza7_16589 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 0))));
				BgL_valza2za2_16590 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 1))));
				BgL_i1249z00_16591 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 2))));
				BgL_bodyz00_16592 = PROCEDURE_REF(BgL_envz00_16588, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4413;

					BgL_sz00_4413 = BgL_sz00_16593;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4415;

						BgL_bpz00_4415 = VECTOR_REF(BgL_sz00_4413, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4413,
							BgL_valza2za2_16590,
							((long) CINT(BgL_bpz00_4415) + BgL_siza7eza7_16589));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4417;
							obj_t BgL_wherez00_4418;
							obj_t BgL_locz00_4419;

							BgL_z12denvz12_4417 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4418 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16591))->BgL_wherez00);
							BgL_locz00_4419 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16591))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4417, BgL_wherez00_4418,
									BgL_locz00_4419);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4420;

									BgL_za2za2resza2za2z00_4420 =
										PROCEDURE_ENTRY(BgL_bodyz00_16592) (BgL_bodyz00_16592,
										BgL_sz00_4413, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4417);
									return BgL_za2za2resza2za2z00_4420;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3555> */
	obj_t BGl_z62zc3anonymousza33555ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16594, obj_t BgL_sz00_16601)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16595;
				obj_t BgL_iboxesz00_16596;
				long BgL_siza7eza7_16597;
				BgL_ev_absz00_bglt BgL_i1249z00_16598;
				obj_t BgL_bodyz00_16599;
				long BgL_siza7ezd2framez75_16600;

				BgL_ifreesz00_16595 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 0))));
				BgL_iboxesz00_16596 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 1))));
				BgL_siza7eza7_16597 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 2))));
				BgL_i1249z00_16598 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 3))));
				BgL_bodyz00_16599 = PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16600 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16594, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4422;

					BgL_sz00_4422 = BgL_sz00_16601;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4424;

						BgL_bpz00_4424 = VECTOR_REF(BgL_sz00_4422, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4425;

							BgL_valza2za2_4425 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4422,
								BgL_bpz00_4424, BgL_ifreesz00_16595);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16139;

								BgL_runz00_16139 =
									MAKE_FX_PROCEDURE(BGl_z62run5462z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 0)), BgL_iboxesz00_16596);
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16597));
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 2)), BgL_valza2za2_4425);
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16598));
								PROCEDURE_SET(BgL_runz00_16139,
									(int) (((long) 4)), BgL_bodyz00_16599);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16140;

									BgL_mainz00_16140 =
										MAKE_FX_PROCEDURE(BGl_z62main5461z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 0)), BgL_iboxesz00_16596);
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16597));
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 2)), BgL_valza2za2_4425);
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16598));
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 4)), BgL_bodyz00_16599);
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 5)), BgL_runz00_16139);
									PROCEDURE_SET(BgL_mainz00_16140,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16600));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13792;

										BgL_objz00_13792 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16139, BgL_objz00_13792);
										BgL_objz00_13792;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3556z00_4428;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3557z00_4429;

											BgL_arg3557z00_4429 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16598))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13796;

												BgL_newz00_13796 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26026;

													BgL_auxz00_26026 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13796, BgL_auxz00_26026,
														BgL_arg3557z00_4429);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26031;
													int BgL_auxz00_26029;

													BgL_auxz00_26031 = BINT(BgL_siza7ezd2framez75_16600);
													BgL_auxz00_26029 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13796, BgL_auxz00_26029,
														BgL_auxz00_26031);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26034;

													BgL_auxz00_26034 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13796, BgL_auxz00_26034,
														BgL_runz00_16139);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26039;
													int BgL_auxz00_26037;

													BgL_auxz00_26039 = BINT(((long) 3));
													BgL_auxz00_26037 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13796, BgL_auxz00_26037,
														BgL_auxz00_26039);
												}
												BgL_arg3556z00_4428 = BgL_newz00_13796;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16140, BgL_arg3556z00_4428);
										BgL_arg3556z00_4428;
									}
									return BgL_mainz00_16140;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5461 */
	obj_t BGl_z62main5461z62zz__evaluate_compz00(obj_t BgL_envz00_16602,
		obj_t BgL_bz00_16610, obj_t BgL_cz00_16611, obj_t BgL_dz00_16612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16608;
				long BgL_siza7ezd2framez75_16609;

				BgL_runz00_16608 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16602, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16609 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16602, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4430;
					obj_t BgL_cz00_4431;
					obj_t BgL_dz00_4432;

					BgL_bz00_4430 = BgL_bz00_16610;
					BgL_cz00_4431 = BgL_cz00_16611;
					BgL_dz00_4432 = BgL_dz00_16612;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4434;

						BgL_sz00_4434 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4435;

							BgL_bpz00_4435 = VECTOR_REF(BgL_sz00_4434, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26052;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13718;

									BgL_arg1899z00_13718 = VECTOR_LENGTH(BgL_sz00_4434);
									BgL_testz00_26052 =
										(
										((long) CINT(BgL_bpz00_4435) +
											BgL_siza7ezd2framez75_16609) <
										(long) (BgL_arg1899z00_13718));
								}
								if (BgL_testz00_26052)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3560z00_4437;

											BgL_arg3560z00_4437 =
												((long) CINT(BgL_bpz00_4435) + ((long) 0));
											VECTOR_SET(BgL_sz00_4434,
												(int) (BgL_arg3560z00_4437), BgL_bz00_4430);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3561z00_4438;

											BgL_arg3561z00_4438 =
												((long) CINT(BgL_bpz00_4435) + ((long) 1));
											VECTOR_SET(BgL_sz00_4434,
												(int) (BgL_arg3561z00_4438), BgL_cz00_4431);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3562z00_4439;

											BgL_arg3562z00_4439 =
												((long) CINT(BgL_bpz00_4435) + ((long) 2));
											VECTOR_SET(BgL_sz00_4434,
												(int) (BgL_arg3562z00_4439), BgL_dz00_4432);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1438z00_4440;

											BgL_val1438z00_4440 =
												BGl_zc3exitza33566ze3z83zz__evaluate_compz00
												(BgL_bpz00_4435, BgL_sz00_4434, BgL_runz00_16608);
											VECTOR_SET(BgL_sz00_4434, (int) (((long) 0)),
												BgL_bpz00_4435);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1438z00_4440)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1438z00_4440), CDR(BgL_val1438z00_4440));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1438z00_4440;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4447;

										BgL_nsz00_4447 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4447,
											(int) (((long) 1)), BgL_sz00_4434);
										VECTOR_SET(BgL_nsz00_4447,
											(int) (((long) 2)), BgL_bz00_4430);
										VECTOR_SET(BgL_nsz00_4447,
											(int) (((long) 3)), BgL_cz00_4431);
										VECTOR_SET(BgL_nsz00_4447,
											(int) (((long) 4)), BgL_dz00_4432);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26088;

											BgL_auxz00_26088 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26088, BgL_nsz00_4447);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1441z00_4449;

											BgL_val1441z00_4449 =
												BGl_zc3exitza33572ze3z83zz__evaluate_compz00
												(BgL_runz00_16608, BgL_nsz00_4447);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26092;

												BgL_auxz00_26092 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26092, BgL_sz00_4434);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1441z00_4449)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1441z00_4449), CDR(BgL_val1441z00_4449));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1441z00_4449;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3572> */
	obj_t BGl_zc3exitza33572ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17553,
		obj_t BgL_nsz00_17552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1442z00_4455;

			if (SET_EXIT(BgL_an_exit1442z00_4455))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1442z00_4455 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1442z00_4455, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1443z00_4456;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13764;

								BgL_savedzd2bpzd2_13764 =
									VECTOR_REF(BgL_nsz00_17552, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17552,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13771;

									BgL_fz00_13771 = BgL_runz00_17553;
								BgL_recz00_13770:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13772;

										BgL_rz00_13772 =
											PROCEDURE_ENTRY(BgL_fz00_13771) (BgL_fz00_13771,
											BgL_nsz00_17552, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26113;

											if (PROCEDUREP(BgL_rz00_13772))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13777;

													BgL_arg1890z00_13777 = PROCEDURE_ATTR(BgL_rz00_13772);
													if (STRUCTP(BgL_arg1890z00_13777))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26113 =
																(STRUCT_KEY(BgL_arg1890z00_13777) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26113 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26113 = ((bool_t) 0);
												}
											if (BgL_testz00_26113)
												{
													obj_t BgL_fz00_26121;

													BgL_fz00_26121 = BgL_rz00_13772;
													BgL_fz00_13771 = BgL_fz00_26121;
													goto BgL_recz00_13770;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17552,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13764);
													BgL_val1443z00_4456 = BgL_rz00_13772;
							}}}}}
							POP_EXIT();
							return BgL_val1443z00_4456;
						}
					}
				}
		}
	}



/* <exit:3566> */
	obj_t BGl_zc3exitza33566ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17556,
		obj_t BgL_sz00_17555, obj_t BgL_runz00_17554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1439z00_4445;

			if (SET_EXIT(BgL_an_exit1439z00_4445))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1439z00_4445 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1439z00_4445, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1440z00_4446;

							BgL_val1440z00_4446 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17554,
								BgL_sz00_17555, BgL_bpz00_17556);
							POP_EXIT();
							return BgL_val1440z00_4446;
						}
					}
				}
		}
	}



/* &run5462 */
	obj_t BGl_z62run5462z62zz__evaluate_compz00(obj_t BgL_envz00_16613,
		obj_t BgL_sz00_16619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16614;
				long BgL_siza7eza7_16615;
				obj_t BgL_valza2za2_16616;
				BgL_ev_absz00_bglt BgL_i1249z00_16617;
				obj_t BgL_bodyz00_16618;

				BgL_iboxesz00_16614 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16613, (int) (((long) 0))));
				BgL_siza7eza7_16615 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16613, (int) (((long) 1))));
				BgL_valza2za2_16616 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16613, (int) (((long) 2))));
				BgL_i1249z00_16617 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16613, (int) (((long) 3))));
				BgL_bodyz00_16618 = PROCEDURE_REF(BgL_envz00_16613, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4458;

					BgL_sz00_4458 = BgL_sz00_16619;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4460;

						BgL_bpz00_4460 = VECTOR_REF(BgL_sz00_4458, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4458,
							BgL_iboxesz00_16614, BgL_bpz00_4460);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4458,
							BgL_valza2za2_16616,
							((long) CINT(BgL_bpz00_4460) + BgL_siza7eza7_16615));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4462;
							obj_t BgL_wherez00_4463;
							obj_t BgL_locz00_4464;

							BgL_z12denvz12_4462 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4463 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16617))->BgL_wherez00);
							BgL_locz00_4464 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16617))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4462, BgL_wherez00_4463,
									BgL_locz00_4464);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4465;

									BgL_za2za2resza2za2z00_4465 =
										PROCEDURE_ENTRY(BgL_bodyz00_16618) (BgL_bodyz00_16618,
										BgL_sz00_4458, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4462);
									return BgL_za2za2resza2za2z00_4465;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3411> */
	obj_t BGl_z62zc3anonymousza33411ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16620, obj_t BgL_sz00_16624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16621;
				obj_t BgL_bodyz00_16622;
				long BgL_siza7ezd2framez75_16623;

				BgL_i1249z00_16621 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16620, (int) (((long) 0))));
				BgL_bodyz00_16622 = PROCEDURE_REF(BgL_envz00_16620, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16623 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16620, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4107;

					BgL_sz00_4107 = BgL_sz00_16624;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4109;

						BgL_bpz00_4109 = VECTOR_REF(BgL_sz00_4107, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16136;

								BgL_runz00_16136 =
									MAKE_FX_PROCEDURE(BGl_z62run5464z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16136,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16621));
								PROCEDURE_SET(BgL_runz00_16136,
									(int) (((long) 1)), BgL_bodyz00_16622);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16137;

									BgL_mainz00_16137 =
										MAKE_VA_PROCEDURE(BGl_z62main5463z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16621));
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 1)), BgL_bodyz00_16622);
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 2)), BgL_runz00_16136);
									PROCEDURE_SET(BgL_mainz00_16137,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16623));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13001;

										BgL_objz00_13001 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16136, BgL_objz00_13001);
										BgL_objz00_13001;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3412z00_4112;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3413z00_4113;

											BgL_arg3413z00_4113 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16621))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13005;

												BgL_newz00_13005 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26194;

													BgL_auxz00_26194 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13005, BgL_auxz00_26194,
														BgL_arg3413z00_4113);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26199;
													int BgL_auxz00_26197;

													BgL_auxz00_26199 = BINT(BgL_siza7ezd2framez75_16623);
													BgL_auxz00_26197 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13005, BgL_auxz00_26197,
														BgL_auxz00_26199);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26202;

													BgL_auxz00_26202 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13005, BgL_auxz00_26202,
														BgL_runz00_16136);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26207;
													int BgL_auxz00_26205;

													BgL_auxz00_26207 = BINT(((long) -3));
													BgL_auxz00_26205 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13005, BgL_auxz00_26205,
														BgL_auxz00_26207);
												}
												BgL_arg3412z00_4112 = BgL_newz00_13005;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16137, BgL_arg3412z00_4112);
										BgL_arg3412z00_4112;
									}
									return BgL_mainz00_16137;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5463 */
	obj_t BGl_z62main5463z62zz__evaluate_compz00(obj_t BgL_envz00_16625,
		obj_t BgL_cz00_16630, obj_t BgL_dz00_16631, obj_t BgL_lastz00_16632)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16628;
				long BgL_siza7ezd2framez75_16629;

				BgL_runz00_16628 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16625, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16629 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16625, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4114;
					obj_t BgL_dz00_4115;
					obj_t BgL_lastz00_4116;

					BgL_cz00_4114 = BgL_cz00_16630;
					BgL_dz00_4115 = BgL_dz00_16631;
					BgL_lastz00_4116 = BgL_lastz00_16632;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4118;

						BgL_sz00_4118 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4119;

							BgL_bpz00_4119 = VECTOR_REF(BgL_sz00_4118, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26220;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12927;

									BgL_arg1899z00_12927 = VECTOR_LENGTH(BgL_sz00_4118);
									BgL_testz00_26220 =
										(
										((long) CINT(BgL_bpz00_4119) +
											BgL_siza7ezd2framez75_16629) <
										(long) (BgL_arg1899z00_12927));
								}
								if (BgL_testz00_26220)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3416z00_4121;

											BgL_arg3416z00_4121 =
												((long) CINT(BgL_bpz00_4119) + ((long) 0));
											VECTOR_SET(BgL_sz00_4118,
												(int) (BgL_arg3416z00_4121), BgL_cz00_4114);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3417z00_4122;

											BgL_arg3417z00_4122 =
												((long) CINT(BgL_bpz00_4119) + ((long) 1));
											VECTOR_SET(BgL_sz00_4118,
												(int) (BgL_arg3417z00_4122), BgL_dz00_4115);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3418z00_4123;

											BgL_arg3418z00_4123 =
												((long) CINT(BgL_bpz00_4119) + ((long) 2));
											VECTOR_SET(BgL_sz00_4118,
												(int) (BgL_arg3418z00_4123), BgL_lastz00_4116);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1396z00_4124;

											BgL_val1396z00_4124 =
												BGl_zc3exitza33422ze3z83zz__evaluate_compz00
												(BgL_bpz00_4119, BgL_sz00_4118, BgL_runz00_16628);
											VECTOR_SET(BgL_sz00_4118, (int) (((long) 0)),
												BgL_bpz00_4119);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1396z00_4124)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1396z00_4124), CDR(BgL_val1396z00_4124));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1396z00_4124;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4131;

										BgL_nsz00_4131 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4131,
											(int) (((long) 1)), BgL_sz00_4118);
										VECTOR_SET(BgL_nsz00_4131,
											(int) (((long) 2)), BgL_cz00_4114);
										VECTOR_SET(BgL_nsz00_4131,
											(int) (((long) 3)), BgL_dz00_4115);
										VECTOR_SET(BgL_nsz00_4131,
											(int) (((long) 4)), BgL_lastz00_4116);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26256;

											BgL_auxz00_26256 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26256, BgL_nsz00_4131);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1399z00_4133;

											BgL_val1399z00_4133 =
												BGl_zc3exitza33428ze3z83zz__evaluate_compz00
												(BgL_runz00_16628, BgL_nsz00_4131);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26260;

												BgL_auxz00_26260 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26260, BgL_sz00_4118);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1399z00_4133)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1399z00_4133), CDR(BgL_val1399z00_4133));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1399z00_4133;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3428> */
	obj_t BGl_zc3exitza33428ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17548,
		obj_t BgL_nsz00_17547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1400z00_4139;

			if (SET_EXIT(BgL_an_exit1400z00_4139))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1400z00_4139 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1400z00_4139, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1401z00_4140;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12973;

								BgL_savedzd2bpzd2_12973 =
									VECTOR_REF(BgL_nsz00_17547, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17547,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12980;

									BgL_fz00_12980 = BgL_runz00_17548;
								BgL_recz00_12979:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12981;

										BgL_rz00_12981 =
											PROCEDURE_ENTRY(BgL_fz00_12980) (BgL_fz00_12980,
											BgL_nsz00_17547, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26281;

											if (PROCEDUREP(BgL_rz00_12981))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12986;

													BgL_arg1890z00_12986 = PROCEDURE_ATTR(BgL_rz00_12981);
													if (STRUCTP(BgL_arg1890z00_12986))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26281 =
																(STRUCT_KEY(BgL_arg1890z00_12986) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26281 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26281 = ((bool_t) 0);
												}
											if (BgL_testz00_26281)
												{
													obj_t BgL_fz00_26289;

													BgL_fz00_26289 = BgL_rz00_12981;
													BgL_fz00_12980 = BgL_fz00_26289;
													goto BgL_recz00_12979;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17547,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12973);
													BgL_val1401z00_4140 = BgL_rz00_12981;
							}}}}}
							POP_EXIT();
							return BgL_val1401z00_4140;
						}
					}
				}
		}
	}



/* <exit:3422> */
	obj_t BGl_zc3exitza33422ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17551,
		obj_t BgL_sz00_17550, obj_t BgL_runz00_17549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1397z00_4129;

			if (SET_EXIT(BgL_an_exit1397z00_4129))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1397z00_4129 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1397z00_4129, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1398z00_4130;

							BgL_val1398z00_4130 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17549,
								BgL_sz00_17550, BgL_bpz00_17551);
							POP_EXIT();
							return BgL_val1398z00_4130;
						}
					}
				}
		}
	}



/* &run5464 */
	obj_t BGl_z62run5464z62zz__evaluate_compz00(obj_t BgL_envz00_16633,
		obj_t BgL_sz00_16636)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16634;
				obj_t BgL_bodyz00_16635;

				BgL_i1249z00_16634 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16633, (int) (((long) 0))));
				BgL_bodyz00_16635 = PROCEDURE_REF(BgL_envz00_16633, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4142;

					BgL_sz00_4142 = BgL_sz00_16636;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4144;

						BgL_bpz00_4144 = VECTOR_REF(BgL_sz00_4142, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4145;
							obj_t BgL_wherez00_4146;
							obj_t BgL_locz00_4147;

							BgL_z12denvz12_4145 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4146 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16634))->BgL_wherez00);
							BgL_locz00_4147 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16634))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4145, BgL_wherez00_4146,
									BgL_locz00_4147);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4148;

									BgL_za2za2resza2za2z00_4148 =
										PROCEDURE_ENTRY(BgL_bodyz00_16635) (BgL_bodyz00_16635,
										BgL_sz00_4142, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4145);
									return BgL_za2za2resza2za2z00_4148;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3430> */
	obj_t BGl_z62zc3anonymousza33430ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16637, obj_t BgL_sz00_16642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16638;
				BgL_ev_absz00_bglt BgL_i1249z00_16639;
				obj_t BgL_bodyz00_16640;
				long BgL_siza7ezd2framez75_16641;

				BgL_iboxesz00_16638 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16637, (int) (((long) 0))));
				BgL_i1249z00_16639 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16637, (int) (((long) 1))));
				BgL_bodyz00_16640 = PROCEDURE_REF(BgL_envz00_16637, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16641 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16637, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4150;

					BgL_sz00_4150 = BgL_sz00_16642;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4152;

						BgL_bpz00_4152 = VECTOR_REF(BgL_sz00_4150, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16133;

								BgL_runz00_16133 =
									MAKE_FX_PROCEDURE(BGl_z62run5466z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 0)), BgL_iboxesz00_16638);
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16639));
								PROCEDURE_SET(BgL_runz00_16133,
									(int) (((long) 2)), BgL_bodyz00_16640);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16134;

									BgL_mainz00_16134 =
										MAKE_VA_PROCEDURE(BGl_z62main5465z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 0)), BgL_iboxesz00_16638);
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16639));
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 2)), BgL_bodyz00_16640);
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 3)), BgL_runz00_16133);
									PROCEDURE_SET(BgL_mainz00_16134,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16641));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13110;

										BgL_objz00_13110 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16133, BgL_objz00_13110);
										BgL_objz00_13110;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3431z00_4155;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3432z00_4156;

											BgL_arg3432z00_4156 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16639))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13114;

												BgL_newz00_13114 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26356;

													BgL_auxz00_26356 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13114, BgL_auxz00_26356,
														BgL_arg3432z00_4156);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26361;
													int BgL_auxz00_26359;

													BgL_auxz00_26361 = BINT(BgL_siza7ezd2framez75_16641);
													BgL_auxz00_26359 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13114, BgL_auxz00_26359,
														BgL_auxz00_26361);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26364;

													BgL_auxz00_26364 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13114, BgL_auxz00_26364,
														BgL_runz00_16133);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26369;
													int BgL_auxz00_26367;

													BgL_auxz00_26369 = BINT(((long) -3));
													BgL_auxz00_26367 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13114, BgL_auxz00_26367,
														BgL_auxz00_26369);
												}
												BgL_arg3431z00_4155 = BgL_newz00_13114;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16134, BgL_arg3431z00_4155);
										BgL_arg3431z00_4155;
									}
									return BgL_mainz00_16134;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5465 */
	obj_t BGl_z62main5465z62zz__evaluate_compz00(obj_t BgL_envz00_16643,
		obj_t BgL_cz00_16649, obj_t BgL_dz00_16650, obj_t BgL_lastz00_16651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16647;
				long BgL_siza7ezd2framez75_16648;

				BgL_runz00_16647 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16643, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16648 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16643, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4157;
					obj_t BgL_dz00_4158;
					obj_t BgL_lastz00_4159;

					BgL_cz00_4157 = BgL_cz00_16649;
					BgL_dz00_4158 = BgL_dz00_16650;
					BgL_lastz00_4159 = BgL_lastz00_16651;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4161;

						BgL_sz00_4161 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4162;

							BgL_bpz00_4162 = VECTOR_REF(BgL_sz00_4161, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26382;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13036;

									BgL_arg1899z00_13036 = VECTOR_LENGTH(BgL_sz00_4161);
									BgL_testz00_26382 =
										(
										((long) CINT(BgL_bpz00_4162) +
											BgL_siza7ezd2framez75_16648) <
										(long) (BgL_arg1899z00_13036));
								}
								if (BgL_testz00_26382)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3435z00_4164;

											BgL_arg3435z00_4164 =
												((long) CINT(BgL_bpz00_4162) + ((long) 0));
											VECTOR_SET(BgL_sz00_4161,
												(int) (BgL_arg3435z00_4164), BgL_cz00_4157);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3436z00_4165;

											BgL_arg3436z00_4165 =
												((long) CINT(BgL_bpz00_4162) + ((long) 1));
											VECTOR_SET(BgL_sz00_4161,
												(int) (BgL_arg3436z00_4165), BgL_dz00_4158);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3437z00_4166;

											BgL_arg3437z00_4166 =
												((long) CINT(BgL_bpz00_4162) + ((long) 2));
											VECTOR_SET(BgL_sz00_4161,
												(int) (BgL_arg3437z00_4166), BgL_lastz00_4159);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1402z00_4167;

											BgL_val1402z00_4167 =
												BGl_zc3exitza33441ze3z83zz__evaluate_compz00
												(BgL_bpz00_4162, BgL_sz00_4161, BgL_runz00_16647);
											VECTOR_SET(BgL_sz00_4161, (int) (((long) 0)),
												BgL_bpz00_4162);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1402z00_4167)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1402z00_4167), CDR(BgL_val1402z00_4167));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1402z00_4167;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4174;

										BgL_nsz00_4174 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4174,
											(int) (((long) 1)), BgL_sz00_4161);
										VECTOR_SET(BgL_nsz00_4174,
											(int) (((long) 2)), BgL_cz00_4157);
										VECTOR_SET(BgL_nsz00_4174,
											(int) (((long) 3)), BgL_dz00_4158);
										VECTOR_SET(BgL_nsz00_4174,
											(int) (((long) 4)), BgL_lastz00_4159);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26418;

											BgL_auxz00_26418 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26418, BgL_nsz00_4174);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1405z00_4176;

											BgL_val1405z00_4176 =
												BGl_zc3exitza33447ze3z83zz__evaluate_compz00
												(BgL_runz00_16647, BgL_nsz00_4174);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26422;

												BgL_auxz00_26422 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26422, BgL_sz00_4161);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1405z00_4176)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1405z00_4176), CDR(BgL_val1405z00_4176));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1405z00_4176;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3447> */
	obj_t BGl_zc3exitza33447ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17543,
		obj_t BgL_nsz00_17542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1406z00_4182;

			if (SET_EXIT(BgL_an_exit1406z00_4182))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1406z00_4182 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1406z00_4182, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1407z00_4183;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13082;

								BgL_savedzd2bpzd2_13082 =
									VECTOR_REF(BgL_nsz00_17542, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17542,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13089;

									BgL_fz00_13089 = BgL_runz00_17543;
								BgL_recz00_13088:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13090;

										BgL_rz00_13090 =
											PROCEDURE_ENTRY(BgL_fz00_13089) (BgL_fz00_13089,
											BgL_nsz00_17542, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26443;

											if (PROCEDUREP(BgL_rz00_13090))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13095;

													BgL_arg1890z00_13095 = PROCEDURE_ATTR(BgL_rz00_13090);
													if (STRUCTP(BgL_arg1890z00_13095))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26443 =
																(STRUCT_KEY(BgL_arg1890z00_13095) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26443 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26443 = ((bool_t) 0);
												}
											if (BgL_testz00_26443)
												{
													obj_t BgL_fz00_26451;

													BgL_fz00_26451 = BgL_rz00_13090;
													BgL_fz00_13089 = BgL_fz00_26451;
													goto BgL_recz00_13088;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17542,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13082);
													BgL_val1407z00_4183 = BgL_rz00_13090;
							}}}}}
							POP_EXIT();
							return BgL_val1407z00_4183;
						}
					}
				}
		}
	}



/* <exit:3441> */
	obj_t BGl_zc3exitza33441ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17546,
		obj_t BgL_sz00_17545, obj_t BgL_runz00_17544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1403z00_4172;

			if (SET_EXIT(BgL_an_exit1403z00_4172))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1403z00_4172 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1403z00_4172, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1404z00_4173;

							BgL_val1404z00_4173 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17544,
								BgL_sz00_17545, BgL_bpz00_17546);
							POP_EXIT();
							return BgL_val1404z00_4173;
						}
					}
				}
		}
	}



/* &run5466 */
	obj_t BGl_z62run5466z62zz__evaluate_compz00(obj_t BgL_envz00_16652,
		obj_t BgL_sz00_16656)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16653;
				BgL_ev_absz00_bglt BgL_i1249z00_16654;
				obj_t BgL_bodyz00_16655;

				BgL_iboxesz00_16653 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16652, (int) (((long) 0))));
				BgL_i1249z00_16654 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16652, (int) (((long) 1))));
				BgL_bodyz00_16655 = PROCEDURE_REF(BgL_envz00_16652, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4185;

					BgL_sz00_4185 = BgL_sz00_16656;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4187;

						BgL_bpz00_4187 = VECTOR_REF(BgL_sz00_4185, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4185,
							BgL_iboxesz00_16653, BgL_bpz00_4187);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4188;
							obj_t BgL_wherez00_4189;
							obj_t BgL_locz00_4190;

							BgL_z12denvz12_4188 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4189 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16654))->BgL_wherez00);
							BgL_locz00_4190 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16654))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4188, BgL_wherez00_4189,
									BgL_locz00_4190);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4191;

									BgL_za2za2resza2za2z00_4191 =
										PROCEDURE_ENTRY(BgL_bodyz00_16655) (BgL_bodyz00_16655,
										BgL_sz00_4185, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4188);
									return BgL_za2za2resza2za2z00_4191;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3451> */
	obj_t BGl_z62zc3anonymousza33451ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16657, obj_t BgL_sz00_16663)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16658;
				long BgL_siza7eza7_16659;
				BgL_ev_absz00_bglt BgL_i1249z00_16660;
				obj_t BgL_bodyz00_16661;
				long BgL_siza7ezd2framez75_16662;

				BgL_ifreesz00_16658 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16657, (int) (((long) 0))));
				BgL_siza7eza7_16659 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16657, (int) (((long) 1))));
				BgL_i1249z00_16660 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16657, (int) (((long) 2))));
				BgL_bodyz00_16661 = PROCEDURE_REF(BgL_envz00_16657, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16662 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16657, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4195;

					BgL_sz00_4195 = BgL_sz00_16663;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4197;

						BgL_bpz00_4197 = VECTOR_REF(BgL_sz00_4195, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4198;

							BgL_valza2za2_4198 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4195,
								BgL_bpz00_4197, BgL_ifreesz00_16658);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16130;

								BgL_runz00_16130 =
									MAKE_FX_PROCEDURE(BGl_z62run5468z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16659));
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 1)), BgL_valza2za2_4198);
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16660));
								PROCEDURE_SET(BgL_runz00_16130,
									(int) (((long) 3)), BgL_bodyz00_16661);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16131;

									BgL_mainz00_16131 =
										MAKE_VA_PROCEDURE(BGl_z62main5467z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16659));
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 1)), BgL_valza2za2_4198);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16660));
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 3)), BgL_bodyz00_16661);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 4)), BgL_runz00_16130);
									PROCEDURE_SET(BgL_mainz00_16131,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16662));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13226;

										BgL_objz00_13226 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16130, BgL_objz00_13226);
										BgL_objz00_13226;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3452z00_4201;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3453z00_4202;

											BgL_arg3453z00_4202 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16660))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13230;

												BgL_newz00_13230 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26532;

													BgL_auxz00_26532 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13230, BgL_auxz00_26532,
														BgL_arg3453z00_4202);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26537;
													int BgL_auxz00_26535;

													BgL_auxz00_26537 = BINT(BgL_siza7ezd2framez75_16662);
													BgL_auxz00_26535 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13230, BgL_auxz00_26535,
														BgL_auxz00_26537);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26540;

													BgL_auxz00_26540 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13230, BgL_auxz00_26540,
														BgL_runz00_16130);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26545;
													int BgL_auxz00_26543;

													BgL_auxz00_26545 = BINT(((long) -3));
													BgL_auxz00_26543 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13230, BgL_auxz00_26543,
														BgL_auxz00_26545);
												}
												BgL_arg3452z00_4201 = BgL_newz00_13230;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16131, BgL_arg3452z00_4201);
										BgL_arg3452z00_4201;
									}
									return BgL_mainz00_16131;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5467 */
	obj_t BGl_z62main5467z62zz__evaluate_compz00(obj_t BgL_envz00_16664,
		obj_t BgL_cz00_16671, obj_t BgL_dz00_16672, obj_t BgL_lastz00_16673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16669;
				long BgL_siza7ezd2framez75_16670;

				BgL_runz00_16669 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16664, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16670 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16664, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4203;
					obj_t BgL_dz00_4204;
					obj_t BgL_lastz00_4205;

					BgL_cz00_4203 = BgL_cz00_16671;
					BgL_dz00_4204 = BgL_dz00_16672;
					BgL_lastz00_4205 = BgL_lastz00_16673;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4207;

						BgL_sz00_4207 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4208;

							BgL_bpz00_4208 = VECTOR_REF(BgL_sz00_4207, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26558;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13152;

									BgL_arg1899z00_13152 = VECTOR_LENGTH(BgL_sz00_4207);
									BgL_testz00_26558 =
										(
										((long) CINT(BgL_bpz00_4208) +
											BgL_siza7ezd2framez75_16670) <
										(long) (BgL_arg1899z00_13152));
								}
								if (BgL_testz00_26558)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3456z00_4210;

											BgL_arg3456z00_4210 =
												((long) CINT(BgL_bpz00_4208) + ((long) 0));
											VECTOR_SET(BgL_sz00_4207,
												(int) (BgL_arg3456z00_4210), BgL_cz00_4203);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3457z00_4211;

											BgL_arg3457z00_4211 =
												((long) CINT(BgL_bpz00_4208) + ((long) 1));
											VECTOR_SET(BgL_sz00_4207,
												(int) (BgL_arg3457z00_4211), BgL_dz00_4204);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3458z00_4212;

											BgL_arg3458z00_4212 =
												((long) CINT(BgL_bpz00_4208) + ((long) 2));
											VECTOR_SET(BgL_sz00_4207,
												(int) (BgL_arg3458z00_4212), BgL_lastz00_4205);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1408z00_4213;

											BgL_val1408z00_4213 =
												BGl_zc3exitza33462ze3z83zz__evaluate_compz00
												(BgL_bpz00_4208, BgL_sz00_4207, BgL_runz00_16669);
											VECTOR_SET(BgL_sz00_4207, (int) (((long) 0)),
												BgL_bpz00_4208);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1408z00_4213)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1408z00_4213), CDR(BgL_val1408z00_4213));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1408z00_4213;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4220;

										BgL_nsz00_4220 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4220,
											(int) (((long) 1)), BgL_sz00_4207);
										VECTOR_SET(BgL_nsz00_4220,
											(int) (((long) 2)), BgL_cz00_4203);
										VECTOR_SET(BgL_nsz00_4220,
											(int) (((long) 3)), BgL_dz00_4204);
										VECTOR_SET(BgL_nsz00_4220,
											(int) (((long) 4)), BgL_lastz00_4205);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26594;

											BgL_auxz00_26594 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26594, BgL_nsz00_4220);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1411z00_4222;

											BgL_val1411z00_4222 =
												BGl_zc3exitza33468ze3z83zz__evaluate_compz00
												(BgL_runz00_16669, BgL_nsz00_4220);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26598;

												BgL_auxz00_26598 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26598, BgL_sz00_4207);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1411z00_4222)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1411z00_4222), CDR(BgL_val1411z00_4222));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1411z00_4222;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3468> */
	obj_t BGl_zc3exitza33468ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17538,
		obj_t BgL_nsz00_17537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1412z00_4228;

			if (SET_EXIT(BgL_an_exit1412z00_4228))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1412z00_4228 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1412z00_4228, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1413z00_4229;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13198;

								BgL_savedzd2bpzd2_13198 =
									VECTOR_REF(BgL_nsz00_17537, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17537,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13205;

									BgL_fz00_13205 = BgL_runz00_17538;
								BgL_recz00_13204:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13206;

										BgL_rz00_13206 =
											PROCEDURE_ENTRY(BgL_fz00_13205) (BgL_fz00_13205,
											BgL_nsz00_17537, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26619;

											if (PROCEDUREP(BgL_rz00_13206))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13211;

													BgL_arg1890z00_13211 = PROCEDURE_ATTR(BgL_rz00_13206);
													if (STRUCTP(BgL_arg1890z00_13211))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26619 =
																(STRUCT_KEY(BgL_arg1890z00_13211) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26619 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26619 = ((bool_t) 0);
												}
											if (BgL_testz00_26619)
												{
													obj_t BgL_fz00_26627;

													BgL_fz00_26627 = BgL_rz00_13206;
													BgL_fz00_13205 = BgL_fz00_26627;
													goto BgL_recz00_13204;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17537,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13198);
													BgL_val1413z00_4229 = BgL_rz00_13206;
							}}}}}
							POP_EXIT();
							return BgL_val1413z00_4229;
						}
					}
				}
		}
	}



/* <exit:3462> */
	obj_t BGl_zc3exitza33462ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17541,
		obj_t BgL_sz00_17540, obj_t BgL_runz00_17539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1409z00_4218;

			if (SET_EXIT(BgL_an_exit1409z00_4218))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1409z00_4218 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1409z00_4218, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1410z00_4219;

							BgL_val1410z00_4219 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17539,
								BgL_sz00_17540, BgL_bpz00_17541);
							POP_EXIT();
							return BgL_val1410z00_4219;
						}
					}
				}
		}
	}



/* &run5468 */
	obj_t BGl_z62run5468z62zz__evaluate_compz00(obj_t BgL_envz00_16674,
		obj_t BgL_sz00_16679)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16675;
				obj_t BgL_valza2za2_16676;
				BgL_ev_absz00_bglt BgL_i1249z00_16677;
				obj_t BgL_bodyz00_16678;

				BgL_siza7eza7_16675 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16674, (int) (((long) 0))));
				BgL_valza2za2_16676 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16674, (int) (((long) 1))));
				BgL_i1249z00_16677 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16674, (int) (((long) 2))));
				BgL_bodyz00_16678 = PROCEDURE_REF(BgL_envz00_16674, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4231;

					BgL_sz00_4231 = BgL_sz00_16679;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4233;

						BgL_bpz00_4233 = VECTOR_REF(BgL_sz00_4231, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4231,
							BgL_valza2za2_16676,
							((long) CINT(BgL_bpz00_4233) + BgL_siza7eza7_16675));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4235;
							obj_t BgL_wherez00_4236;
							obj_t BgL_locz00_4237;

							BgL_z12denvz12_4235 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4236 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16677))->BgL_wherez00);
							BgL_locz00_4237 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16677))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4235, BgL_wherez00_4236,
									BgL_locz00_4237);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4238;

									BgL_za2za2resza2za2z00_4238 =
										PROCEDURE_ENTRY(BgL_bodyz00_16678) (BgL_bodyz00_16678,
										BgL_sz00_4231, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4235);
									return BgL_za2za2resza2za2z00_4238;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3471> */
	obj_t BGl_z62zc3anonymousza33471ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16680, obj_t BgL_sz00_16687)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16681;
				obj_t BgL_iboxesz00_16682;
				long BgL_siza7eza7_16683;
				BgL_ev_absz00_bglt BgL_i1249z00_16684;
				obj_t BgL_bodyz00_16685;
				long BgL_siza7ezd2framez75_16686;

				BgL_ifreesz00_16681 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16680, (int) (((long) 0))));
				BgL_iboxesz00_16682 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16680, (int) (((long) 1))));
				BgL_siza7eza7_16683 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16680, (int) (((long) 2))));
				BgL_i1249z00_16684 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16680, (int) (((long) 3))));
				BgL_bodyz00_16685 = PROCEDURE_REF(BgL_envz00_16680, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16686 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16680, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4240;

					BgL_sz00_4240 = BgL_sz00_16687;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4242;

						BgL_bpz00_4242 = VECTOR_REF(BgL_sz00_4240, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4243;

							BgL_valza2za2_4243 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4240,
								BgL_bpz00_4242, BgL_ifreesz00_16681);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16127;

								BgL_runz00_16127 =
									MAKE_FX_PROCEDURE(BGl_z62run5470z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 0)), BgL_iboxesz00_16682);
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16683));
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 2)), BgL_valza2za2_4243);
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16684));
								PROCEDURE_SET(BgL_runz00_16127,
									(int) (((long) 4)), BgL_bodyz00_16685);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16128;

									BgL_mainz00_16128 =
										MAKE_VA_PROCEDURE(BGl_z62main5469z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 0)), BgL_iboxesz00_16682);
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16683));
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 2)), BgL_valza2za2_4243);
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16684));
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 4)), BgL_bodyz00_16685);
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 5)), BgL_runz00_16127);
									PROCEDURE_SET(BgL_mainz00_16128,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16686));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_13338;

										BgL_objz00_13338 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16127, BgL_objz00_13338);
										BgL_objz00_13338;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3472z00_4246;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3473z00_4247;

											BgL_arg3473z00_4247 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16684))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_13342;

												BgL_newz00_13342 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26720;

													BgL_auxz00_26720 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13342, BgL_auxz00_26720,
														BgL_arg3473z00_4247);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26725;
													int BgL_auxz00_26723;

													BgL_auxz00_26725 = BINT(BgL_siza7ezd2framez75_16686);
													BgL_auxz00_26723 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13342, BgL_auxz00_26723,
														BgL_auxz00_26725);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26728;

													BgL_auxz00_26728 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13342, BgL_auxz00_26728,
														BgL_runz00_16127);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26733;
													int BgL_auxz00_26731;

													BgL_auxz00_26733 = BINT(((long) -3));
													BgL_auxz00_26731 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13342, BgL_auxz00_26731,
														BgL_auxz00_26733);
												}
												BgL_arg3472z00_4246 = BgL_newz00_13342;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16128, BgL_arg3472z00_4246);
										BgL_arg3472z00_4246;
									}
									return BgL_mainz00_16128;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5469 */
	obj_t BGl_z62main5469z62zz__evaluate_compz00(obj_t BgL_envz00_16688,
		obj_t BgL_cz00_16696, obj_t BgL_dz00_16697, obj_t BgL_lastz00_16698)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16694;
				long BgL_siza7ezd2framez75_16695;

				BgL_runz00_16694 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16688, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16695 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16688, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4248;
					obj_t BgL_dz00_4249;
					obj_t BgL_lastz00_4250;

					BgL_cz00_4248 = BgL_cz00_16696;
					BgL_dz00_4249 = BgL_dz00_16697;
					BgL_lastz00_4250 = BgL_lastz00_16698;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4252;

						BgL_sz00_4252 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4253;

							BgL_bpz00_4253 = VECTOR_REF(BgL_sz00_4252, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26746;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_13264;

									BgL_arg1899z00_13264 = VECTOR_LENGTH(BgL_sz00_4252);
									BgL_testz00_26746 =
										(
										((long) CINT(BgL_bpz00_4253) +
											BgL_siza7ezd2framez75_16695) <
										(long) (BgL_arg1899z00_13264));
								}
								if (BgL_testz00_26746)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3476z00_4255;

											BgL_arg3476z00_4255 =
												((long) CINT(BgL_bpz00_4253) + ((long) 0));
											VECTOR_SET(BgL_sz00_4252,
												(int) (BgL_arg3476z00_4255), BgL_cz00_4248);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3477z00_4256;

											BgL_arg3477z00_4256 =
												((long) CINT(BgL_bpz00_4253) + ((long) 1));
											VECTOR_SET(BgL_sz00_4252,
												(int) (BgL_arg3477z00_4256), BgL_dz00_4249);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3478z00_4257;

											BgL_arg3478z00_4257 =
												((long) CINT(BgL_bpz00_4253) + ((long) 2));
											VECTOR_SET(BgL_sz00_4252,
												(int) (BgL_arg3478z00_4257), BgL_lastz00_4250);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1414z00_4258;

											BgL_val1414z00_4258 =
												BGl_zc3exitza33482ze3z83zz__evaluate_compz00
												(BgL_bpz00_4253, BgL_sz00_4252, BgL_runz00_16694);
											VECTOR_SET(BgL_sz00_4252, (int) (((long) 0)),
												BgL_bpz00_4253);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1414z00_4258)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1414z00_4258), CDR(BgL_val1414z00_4258));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1414z00_4258;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4265;

										BgL_nsz00_4265 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4265,
											(int) (((long) 1)), BgL_sz00_4252);
										VECTOR_SET(BgL_nsz00_4265,
											(int) (((long) 2)), BgL_cz00_4248);
										VECTOR_SET(BgL_nsz00_4265,
											(int) (((long) 3)), BgL_dz00_4249);
										VECTOR_SET(BgL_nsz00_4265,
											(int) (((long) 4)), BgL_lastz00_4250);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26782;

											BgL_auxz00_26782 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26782, BgL_nsz00_4265);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1417z00_4267;

											BgL_val1417z00_4267 =
												BGl_zc3exitza33488ze3z83zz__evaluate_compz00
												(BgL_runz00_16694, BgL_nsz00_4265);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26786;

												BgL_auxz00_26786 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26786, BgL_sz00_4252);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1417z00_4267)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1417z00_4267), CDR(BgL_val1417z00_4267));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1417z00_4267;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3488> */
	obj_t BGl_zc3exitza33488ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17533,
		obj_t BgL_nsz00_17532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1418z00_4273;

			if (SET_EXIT(BgL_an_exit1418z00_4273))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1418z00_4273 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1418z00_4273, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1419z00_4274;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_13310;

								BgL_savedzd2bpzd2_13310 =
									VECTOR_REF(BgL_nsz00_17532, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17532,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_13317;

									BgL_fz00_13317 = BgL_runz00_17533;
								BgL_recz00_13316:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_13318;

										BgL_rz00_13318 =
											PROCEDURE_ENTRY(BgL_fz00_13317) (BgL_fz00_13317,
											BgL_nsz00_17532, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26807;

											if (PROCEDUREP(BgL_rz00_13318))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_13323;

													BgL_arg1890z00_13323 = PROCEDURE_ATTR(BgL_rz00_13318);
													if (STRUCTP(BgL_arg1890z00_13323))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26807 =
																(STRUCT_KEY(BgL_arg1890z00_13323) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26807 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26807 = ((bool_t) 0);
												}
											if (BgL_testz00_26807)
												{
													obj_t BgL_fz00_26815;

													BgL_fz00_26815 = BgL_rz00_13318;
													BgL_fz00_13317 = BgL_fz00_26815;
													goto BgL_recz00_13316;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17532,
														(int) (((long) 0)), BgL_savedzd2bpzd2_13310);
													BgL_val1419z00_4274 = BgL_rz00_13318;
							}}}}}
							POP_EXIT();
							return BgL_val1419z00_4274;
						}
					}
				}
		}
	}



/* <exit:3482> */
	obj_t BGl_zc3exitza33482ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17536,
		obj_t BgL_sz00_17535, obj_t BgL_runz00_17534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1415z00_4263;

			if (SET_EXIT(BgL_an_exit1415z00_4263))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1415z00_4263 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1415z00_4263, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1416z00_4264;

							BgL_val1416z00_4264 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17534,
								BgL_sz00_17535, BgL_bpz00_17536);
							POP_EXIT();
							return BgL_val1416z00_4264;
						}
					}
				}
		}
	}



/* &run5470 */
	obj_t BGl_z62run5470z62zz__evaluate_compz00(obj_t BgL_envz00_16699,
		obj_t BgL_sz00_16705)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16700;
				long BgL_siza7eza7_16701;
				obj_t BgL_valza2za2_16702;
				BgL_ev_absz00_bglt BgL_i1249z00_16703;
				obj_t BgL_bodyz00_16704;

				BgL_iboxesz00_16700 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16699, (int) (((long) 0))));
				BgL_siza7eza7_16701 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16699, (int) (((long) 1))));
				BgL_valza2za2_16702 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16699, (int) (((long) 2))));
				BgL_i1249z00_16703 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16699, (int) (((long) 3))));
				BgL_bodyz00_16704 = PROCEDURE_REF(BgL_envz00_16699, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4276;

					BgL_sz00_4276 = BgL_sz00_16705;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4278;

						BgL_bpz00_4278 = VECTOR_REF(BgL_sz00_4276, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4276,
							BgL_iboxesz00_16700, BgL_bpz00_4278);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4276,
							BgL_valza2za2_16702,
							((long) CINT(BgL_bpz00_4278) + BgL_siza7eza7_16701));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4280;
							obj_t BgL_wherez00_4281;
							obj_t BgL_locz00_4282;

							BgL_z12denvz12_4280 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4281 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16703))->BgL_wherez00);
							BgL_locz00_4282 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16703))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4280, BgL_wherez00_4281,
									BgL_locz00_4282);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4283;

									BgL_za2za2resza2za2z00_4283 =
										PROCEDURE_ENTRY(BgL_bodyz00_16704) (BgL_bodyz00_16704,
										BgL_sz00_4276, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4280);
									return BgL_za2za2resza2za2z00_4283;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3331> */
	obj_t BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16706, obj_t BgL_sz00_16710)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16707;
				obj_t BgL_bodyz00_16708;
				long BgL_siza7ezd2framez75_16709;

				BgL_i1249z00_16707 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16706, (int) (((long) 0))));
				BgL_bodyz00_16708 = PROCEDURE_REF(BgL_envz00_16706, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16709 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16706, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3933;

					BgL_sz00_3933 = BgL_sz00_16710;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3935;

						BgL_bpz00_3935 = VECTOR_REF(BgL_sz00_3933, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16124;

								BgL_runz00_16124 =
									MAKE_FX_PROCEDURE(BGl_z62run5472z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16124,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16707));
								PROCEDURE_SET(BgL_runz00_16124,
									(int) (((long) 1)), BgL_bodyz00_16708);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16125;

									BgL_mainz00_16125 =
										MAKE_FX_PROCEDURE(BGl_z62main5471z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16707));
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 1)), BgL_bodyz00_16708);
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 2)), BgL_runz00_16124);
									PROCEDURE_SET(BgL_mainz00_16125,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16709));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12574;

										BgL_objz00_12574 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16124, BgL_objz00_12574);
										BgL_objz00_12574;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3332z00_3938;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3333z00_3939;

											BgL_arg3333z00_3939 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16707))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12578;

												BgL_newz00_12578 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26888;

													BgL_auxz00_26888 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12578, BgL_auxz00_26888,
														BgL_arg3333z00_3939);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26893;
													int BgL_auxz00_26891;

													BgL_auxz00_26893 = BINT(BgL_siza7ezd2framez75_16709);
													BgL_auxz00_26891 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12578, BgL_auxz00_26891,
														BgL_auxz00_26893);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_26896;

													BgL_auxz00_26896 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12578, BgL_auxz00_26896,
														BgL_runz00_16124);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_26901;
													int BgL_auxz00_26899;

													BgL_auxz00_26901 = BINT(((long) 2));
													BgL_auxz00_26899 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12578, BgL_auxz00_26899,
														BgL_auxz00_26901);
												}
												BgL_arg3332z00_3938 = BgL_newz00_12578;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16125, BgL_arg3332z00_3938);
										BgL_arg3332z00_3938;
									}
									return BgL_mainz00_16125;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5471 */
	obj_t BGl_z62main5471z62zz__evaluate_compz00(obj_t BgL_envz00_16711,
		obj_t BgL_cz00_16716, obj_t BgL_dz00_16717)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16714;
				long BgL_siza7ezd2framez75_16715;

				BgL_runz00_16714 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16711, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16715 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16711, (int) (((long) 3))));
				{
					obj_t BgL_cz00_3940;
					obj_t BgL_dz00_3941;

					BgL_cz00_3940 = BgL_cz00_16716;
					BgL_dz00_3941 = BgL_dz00_16717;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3943;

						BgL_sz00_3943 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3944;

							BgL_bpz00_3944 = VECTOR_REF(BgL_sz00_3943, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_26914;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12509;

									BgL_arg1899z00_12509 = VECTOR_LENGTH(BgL_sz00_3943);
									BgL_testz00_26914 =
										(
										((long) CINT(BgL_bpz00_3944) +
											BgL_siza7ezd2framez75_16715) <
										(long) (BgL_arg1899z00_12509));
								}
								if (BgL_testz00_26914)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3336z00_3946;

											BgL_arg3336z00_3946 =
												((long) CINT(BgL_bpz00_3944) + ((long) 0));
											VECTOR_SET(BgL_sz00_3943,
												(int) (BgL_arg3336z00_3946), BgL_cz00_3940);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3337z00_3947;

											BgL_arg3337z00_3947 =
												((long) CINT(BgL_bpz00_3944) + ((long) 1));
											VECTOR_SET(BgL_sz00_3943,
												(int) (BgL_arg3337z00_3947), BgL_dz00_3941);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1372z00_3948;

											BgL_val1372z00_3948 =
												BGl_zc3exitza33341ze3z83zz__evaluate_compz00
												(BgL_bpz00_3944, BgL_sz00_3943, BgL_runz00_16714);
											VECTOR_SET(BgL_sz00_3943, (int) (((long) 0)),
												BgL_bpz00_3944);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1372z00_3948)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1372z00_3948), CDR(BgL_val1372z00_3948));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1372z00_3948;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3955;

										BgL_nsz00_3955 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3955,
											(int) (((long) 1)), BgL_sz00_3943);
										VECTOR_SET(BgL_nsz00_3955,
											(int) (((long) 2)), BgL_cz00_3940);
										VECTOR_SET(BgL_nsz00_3955,
											(int) (((long) 3)), BgL_dz00_3941);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_26944;

											BgL_auxz00_26944 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_26944, BgL_nsz00_3955);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1375z00_3957;

											BgL_val1375z00_3957 =
												BGl_zc3exitza33347ze3z83zz__evaluate_compz00
												(BgL_runz00_16714, BgL_nsz00_3955);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_26948;

												BgL_auxz00_26948 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_26948, BgL_sz00_3943);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1375z00_3957)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1375z00_3957), CDR(BgL_val1375z00_3957));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1375z00_3957;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3347> */
	obj_t BGl_zc3exitza33347ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17528,
		obj_t BgL_nsz00_17527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1376z00_3963;

			if (SET_EXIT(BgL_an_exit1376z00_3963))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1376z00_3963 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1376z00_3963, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1377z00_3964;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12546;

								BgL_savedzd2bpzd2_12546 =
									VECTOR_REF(BgL_nsz00_17527, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17527,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12553;

									BgL_fz00_12553 = BgL_runz00_17528;
								BgL_recz00_12552:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12554;

										BgL_rz00_12554 =
											PROCEDURE_ENTRY(BgL_fz00_12553) (BgL_fz00_12553,
											BgL_nsz00_17527, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_26969;

											if (PROCEDUREP(BgL_rz00_12554))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12559;

													BgL_arg1890z00_12559 = PROCEDURE_ATTR(BgL_rz00_12554);
													if (STRUCTP(BgL_arg1890z00_12559))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26969 =
																(STRUCT_KEY(BgL_arg1890z00_12559) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_26969 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_26969 = ((bool_t) 0);
												}
											if (BgL_testz00_26969)
												{
													obj_t BgL_fz00_26977;

													BgL_fz00_26977 = BgL_rz00_12554;
													BgL_fz00_12553 = BgL_fz00_26977;
													goto BgL_recz00_12552;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17527,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12546);
													BgL_val1377z00_3964 = BgL_rz00_12554;
							}}}}}
							POP_EXIT();
							return BgL_val1377z00_3964;
						}
					}
				}
		}
	}



/* <exit:3341> */
	obj_t BGl_zc3exitza33341ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17531,
		obj_t BgL_sz00_17530, obj_t BgL_runz00_17529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1373z00_3953;

			if (SET_EXIT(BgL_an_exit1373z00_3953))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1373z00_3953 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1373z00_3953, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1374z00_3954;

							BgL_val1374z00_3954 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17529,
								BgL_sz00_17530, BgL_bpz00_17531);
							POP_EXIT();
							return BgL_val1374z00_3954;
						}
					}
				}
		}
	}



/* &run5472 */
	obj_t BGl_z62run5472z62zz__evaluate_compz00(obj_t BgL_envz00_16718,
		obj_t BgL_sz00_16721)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16719;
				obj_t BgL_bodyz00_16720;

				BgL_i1249z00_16719 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 0))));
				BgL_bodyz00_16720 = PROCEDURE_REF(BgL_envz00_16718, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3966;

					BgL_sz00_3966 = BgL_sz00_16721;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3968;

						BgL_bpz00_3968 = VECTOR_REF(BgL_sz00_3966, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3969;
							obj_t BgL_wherez00_3970;
							obj_t BgL_locz00_3971;

							BgL_z12denvz12_3969 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3970 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16719))->BgL_wherez00);
							BgL_locz00_3971 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16719))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3969, BgL_wherez00_3970,
									BgL_locz00_3971);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3972;

									BgL_za2za2resza2za2z00_3972 =
										PROCEDURE_ENTRY(BgL_bodyz00_16720) (BgL_bodyz00_16720,
										BgL_sz00_3966, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3969);
									return BgL_za2za2resza2za2z00_3972;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3349> */
	obj_t BGl_z62zc3anonymousza33349ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16722, obj_t BgL_sz00_16727)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16723;
				BgL_ev_absz00_bglt BgL_i1249z00_16724;
				obj_t BgL_bodyz00_16725;
				long BgL_siza7ezd2framez75_16726;

				BgL_iboxesz00_16723 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16722, (int) (((long) 0))));
				BgL_i1249z00_16724 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16722, (int) (((long) 1))));
				BgL_bodyz00_16725 = PROCEDURE_REF(BgL_envz00_16722, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16726 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16722, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3974;

					BgL_sz00_3974 = BgL_sz00_16727;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3976;

						BgL_bpz00_3976 = VECTOR_REF(BgL_sz00_3974, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16121;

								BgL_runz00_16121 =
									MAKE_FX_PROCEDURE(BGl_z62run5474z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 0)), BgL_iboxesz00_16723);
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16724));
								PROCEDURE_SET(BgL_runz00_16121,
									(int) (((long) 2)), BgL_bodyz00_16725);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16122;

									BgL_mainz00_16122 =
										MAKE_FX_PROCEDURE(BGl_z62main5473z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 0)), BgL_iboxesz00_16723);
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16724));
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 2)), BgL_bodyz00_16725);
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 3)), BgL_runz00_16121);
									PROCEDURE_SET(BgL_mainz00_16122,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16726));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12674;

										BgL_objz00_12674 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16121, BgL_objz00_12674);
										BgL_objz00_12674;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3350z00_3979;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3351z00_3980;

											BgL_arg3351z00_3980 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16724))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12678;

												BgL_newz00_12678 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27044;

													BgL_auxz00_27044 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12678, BgL_auxz00_27044,
														BgL_arg3351z00_3980);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27049;
													int BgL_auxz00_27047;

													BgL_auxz00_27049 = BINT(BgL_siza7ezd2framez75_16726);
													BgL_auxz00_27047 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12678, BgL_auxz00_27047,
														BgL_auxz00_27049);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27052;

													BgL_auxz00_27052 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12678, BgL_auxz00_27052,
														BgL_runz00_16121);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27057;
													int BgL_auxz00_27055;

													BgL_auxz00_27057 = BINT(((long) 2));
													BgL_auxz00_27055 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12678, BgL_auxz00_27055,
														BgL_auxz00_27057);
												}
												BgL_arg3350z00_3979 = BgL_newz00_12678;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16122, BgL_arg3350z00_3979);
										BgL_arg3350z00_3979;
									}
									return BgL_mainz00_16122;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5473 */
	obj_t BGl_z62main5473z62zz__evaluate_compz00(obj_t BgL_envz00_16728,
		obj_t BgL_cz00_16734, obj_t BgL_dz00_16735)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16732;
				long BgL_siza7ezd2framez75_16733;

				BgL_runz00_16732 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16733 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16728, (int) (((long) 4))));
				{
					obj_t BgL_cz00_3981;
					obj_t BgL_dz00_3982;

					BgL_cz00_3981 = BgL_cz00_16734;
					BgL_dz00_3982 = BgL_dz00_16735;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3984;

						BgL_sz00_3984 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3985;

							BgL_bpz00_3985 = VECTOR_REF(BgL_sz00_3984, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27070;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12609;

									BgL_arg1899z00_12609 = VECTOR_LENGTH(BgL_sz00_3984);
									BgL_testz00_27070 =
										(
										((long) CINT(BgL_bpz00_3985) +
											BgL_siza7ezd2framez75_16733) <
										(long) (BgL_arg1899z00_12609));
								}
								if (BgL_testz00_27070)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3354z00_3987;

											BgL_arg3354z00_3987 =
												((long) CINT(BgL_bpz00_3985) + ((long) 0));
											VECTOR_SET(BgL_sz00_3984,
												(int) (BgL_arg3354z00_3987), BgL_cz00_3981);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3355z00_3988;

											BgL_arg3355z00_3988 =
												((long) CINT(BgL_bpz00_3985) + ((long) 1));
											VECTOR_SET(BgL_sz00_3984,
												(int) (BgL_arg3355z00_3988), BgL_dz00_3982);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1378z00_3989;

											BgL_val1378z00_3989 =
												BGl_zc3exitza33359ze3z83zz__evaluate_compz00
												(BgL_bpz00_3985, BgL_sz00_3984, BgL_runz00_16732);
											VECTOR_SET(BgL_sz00_3984, (int) (((long) 0)),
												BgL_bpz00_3985);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1378z00_3989)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1378z00_3989), CDR(BgL_val1378z00_3989));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1378z00_3989;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3996;

										BgL_nsz00_3996 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3996,
											(int) (((long) 1)), BgL_sz00_3984);
										VECTOR_SET(BgL_nsz00_3996,
											(int) (((long) 2)), BgL_cz00_3981);
										VECTOR_SET(BgL_nsz00_3996,
											(int) (((long) 3)), BgL_dz00_3982);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27100;

											BgL_auxz00_27100 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27100, BgL_nsz00_3996);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1381z00_3998;

											BgL_val1381z00_3998 =
												BGl_zc3exitza33365ze3z83zz__evaluate_compz00
												(BgL_runz00_16732, BgL_nsz00_3996);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27104;

												BgL_auxz00_27104 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27104, BgL_sz00_3984);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1381z00_3998)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1381z00_3998), CDR(BgL_val1381z00_3998));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1381z00_3998;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3365> */
	obj_t BGl_zc3exitza33365ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17523,
		obj_t BgL_nsz00_17522)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1382z00_4004;

			if (SET_EXIT(BgL_an_exit1382z00_4004))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1382z00_4004 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1382z00_4004, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1383z00_4005;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12646;

								BgL_savedzd2bpzd2_12646 =
									VECTOR_REF(BgL_nsz00_17522, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17522,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12653;

									BgL_fz00_12653 = BgL_runz00_17523;
								BgL_recz00_12652:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12654;

										BgL_rz00_12654 =
											PROCEDURE_ENTRY(BgL_fz00_12653) (BgL_fz00_12653,
											BgL_nsz00_17522, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27125;

											if (PROCEDUREP(BgL_rz00_12654))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12659;

													BgL_arg1890z00_12659 = PROCEDURE_ATTR(BgL_rz00_12654);
													if (STRUCTP(BgL_arg1890z00_12659))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27125 =
																(STRUCT_KEY(BgL_arg1890z00_12659) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27125 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27125 = ((bool_t) 0);
												}
											if (BgL_testz00_27125)
												{
													obj_t BgL_fz00_27133;

													BgL_fz00_27133 = BgL_rz00_12654;
													BgL_fz00_12653 = BgL_fz00_27133;
													goto BgL_recz00_12652;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17522,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12646);
													BgL_val1383z00_4005 = BgL_rz00_12654;
							}}}}}
							POP_EXIT();
							return BgL_val1383z00_4005;
						}
					}
				}
		}
	}



/* <exit:3359> */
	obj_t BGl_zc3exitza33359ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17526,
		obj_t BgL_sz00_17525, obj_t BgL_runz00_17524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1379z00_3994;

			if (SET_EXIT(BgL_an_exit1379z00_3994))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1379z00_3994 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1379z00_3994, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1380z00_3995;

							BgL_val1380z00_3995 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17524,
								BgL_sz00_17525, BgL_bpz00_17526);
							POP_EXIT();
							return BgL_val1380z00_3995;
						}
					}
				}
		}
	}



/* &run5474 */
	obj_t BGl_z62run5474z62zz__evaluate_compz00(obj_t BgL_envz00_16736,
		obj_t BgL_sz00_16740)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16737;
				BgL_ev_absz00_bglt BgL_i1249z00_16738;
				obj_t BgL_bodyz00_16739;

				BgL_iboxesz00_16737 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16736, (int) (((long) 0))));
				BgL_i1249z00_16738 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16736, (int) (((long) 1))));
				BgL_bodyz00_16739 = PROCEDURE_REF(BgL_envz00_16736, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4007;

					BgL_sz00_4007 = BgL_sz00_16740;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4009;

						BgL_bpz00_4009 = VECTOR_REF(BgL_sz00_4007, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4007,
							BgL_iboxesz00_16737, BgL_bpz00_4009);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_4010;
							obj_t BgL_wherez00_4011;
							obj_t BgL_locz00_4012;

							BgL_z12denvz12_4010 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4011 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16738))->BgL_wherez00);
							BgL_locz00_4012 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16738))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4010, BgL_wherez00_4011,
									BgL_locz00_4012);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_4013;

									BgL_za2za2resza2za2z00_4013 =
										PROCEDURE_ENTRY(BgL_bodyz00_16739) (BgL_bodyz00_16739,
										BgL_sz00_4007, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4010);
									return BgL_za2za2resza2za2z00_4013;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3369> */
	obj_t BGl_z62zc3anonymousza33369ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16741, obj_t BgL_sz00_16747)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16742;
				long BgL_siza7eza7_16743;
				BgL_ev_absz00_bglt BgL_i1249z00_16744;
				obj_t BgL_bodyz00_16745;
				long BgL_siza7ezd2framez75_16746;

				BgL_ifreesz00_16742 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16741, (int) (((long) 0))));
				BgL_siza7eza7_16743 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16741, (int) (((long) 1))));
				BgL_i1249z00_16744 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16741, (int) (((long) 2))));
				BgL_bodyz00_16745 = PROCEDURE_REF(BgL_envz00_16741, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16746 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16741, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4017;

					BgL_sz00_4017 = BgL_sz00_16747;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4019;

						BgL_bpz00_4019 = VECTOR_REF(BgL_sz00_4017, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4020;

							BgL_valza2za2_4020 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4017,
								BgL_bpz00_4019, BgL_ifreesz00_16742);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16118;

								BgL_runz00_16118 =
									MAKE_FX_PROCEDURE(BGl_z62run5476z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16743));
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 1)), BgL_valza2za2_4020);
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16744));
								PROCEDURE_SET(BgL_runz00_16118,
									(int) (((long) 3)), BgL_bodyz00_16745);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16119;

									BgL_mainz00_16119 =
										MAKE_FX_PROCEDURE(BGl_z62main5475z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16743));
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 1)), BgL_valza2za2_4020);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16744));
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 3)), BgL_bodyz00_16745);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 4)), BgL_runz00_16118);
									PROCEDURE_SET(BgL_mainz00_16119,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16746));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12781;

										BgL_objz00_12781 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16118, BgL_objz00_12781);
										BgL_objz00_12781;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3370z00_4023;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3371z00_4024;

											BgL_arg3371z00_4024 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16744))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12785;

												BgL_newz00_12785 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27214;

													BgL_auxz00_27214 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12785, BgL_auxz00_27214,
														BgL_arg3371z00_4024);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27219;
													int BgL_auxz00_27217;

													BgL_auxz00_27219 = BINT(BgL_siza7ezd2framez75_16746);
													BgL_auxz00_27217 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12785, BgL_auxz00_27217,
														BgL_auxz00_27219);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27222;

													BgL_auxz00_27222 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12785, BgL_auxz00_27222,
														BgL_runz00_16118);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27227;
													int BgL_auxz00_27225;

													BgL_auxz00_27227 = BINT(((long) 2));
													BgL_auxz00_27225 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12785, BgL_auxz00_27225,
														BgL_auxz00_27227);
												}
												BgL_arg3370z00_4023 = BgL_newz00_12785;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16119, BgL_arg3370z00_4023);
										BgL_arg3370z00_4023;
									}
									return BgL_mainz00_16119;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5475 */
	obj_t BGl_z62main5475z62zz__evaluate_compz00(obj_t BgL_envz00_16748,
		obj_t BgL_cz00_16755, obj_t BgL_dz00_16756)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16753;
				long BgL_siza7ezd2framez75_16754;

				BgL_runz00_16753 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16748, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16754 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16748, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4025;
					obj_t BgL_dz00_4026;

					BgL_cz00_4025 = BgL_cz00_16755;
					BgL_dz00_4026 = BgL_dz00_16756;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4028;

						BgL_sz00_4028 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4029;

							BgL_bpz00_4029 = VECTOR_REF(BgL_sz00_4028, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27240;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12716;

									BgL_arg1899z00_12716 = VECTOR_LENGTH(BgL_sz00_4028);
									BgL_testz00_27240 =
										(
										((long) CINT(BgL_bpz00_4029) +
											BgL_siza7ezd2framez75_16754) <
										(long) (BgL_arg1899z00_12716));
								}
								if (BgL_testz00_27240)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3374z00_4031;

											BgL_arg3374z00_4031 =
												((long) CINT(BgL_bpz00_4029) + ((long) 0));
											VECTOR_SET(BgL_sz00_4028,
												(int) (BgL_arg3374z00_4031), BgL_cz00_4025);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3375z00_4032;

											BgL_arg3375z00_4032 =
												((long) CINT(BgL_bpz00_4029) + ((long) 1));
											VECTOR_SET(BgL_sz00_4028,
												(int) (BgL_arg3375z00_4032), BgL_dz00_4026);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1384z00_4033;

											BgL_val1384z00_4033 =
												BGl_zc3exitza33379ze3z83zz__evaluate_compz00
												(BgL_bpz00_4029, BgL_sz00_4028, BgL_runz00_16753);
											VECTOR_SET(BgL_sz00_4028, (int) (((long) 0)),
												BgL_bpz00_4029);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1384z00_4033)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1384z00_4033), CDR(BgL_val1384z00_4033));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1384z00_4033;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4040;

										BgL_nsz00_4040 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4040,
											(int) (((long) 1)), BgL_sz00_4028);
										VECTOR_SET(BgL_nsz00_4040,
											(int) (((long) 2)), BgL_cz00_4025);
										VECTOR_SET(BgL_nsz00_4040,
											(int) (((long) 3)), BgL_dz00_4026);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27270;

											BgL_auxz00_27270 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27270, BgL_nsz00_4040);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1387z00_4042;

											BgL_val1387z00_4042 =
												BGl_zc3exitza33385ze3z83zz__evaluate_compz00
												(BgL_runz00_16753, BgL_nsz00_4040);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27274;

												BgL_auxz00_27274 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27274, BgL_sz00_4028);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1387z00_4042)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1387z00_4042), CDR(BgL_val1387z00_4042));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1387z00_4042;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3385> */
	obj_t BGl_zc3exitza33385ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17518,
		obj_t BgL_nsz00_17517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1388z00_4048;

			if (SET_EXIT(BgL_an_exit1388z00_4048))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1388z00_4048 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1388z00_4048, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1389z00_4049;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12753;

								BgL_savedzd2bpzd2_12753 =
									VECTOR_REF(BgL_nsz00_17517, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17517,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12760;

									BgL_fz00_12760 = BgL_runz00_17518;
								BgL_recz00_12759:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12761;

										BgL_rz00_12761 =
											PROCEDURE_ENTRY(BgL_fz00_12760) (BgL_fz00_12760,
											BgL_nsz00_17517, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27295;

											if (PROCEDUREP(BgL_rz00_12761))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12766;

													BgL_arg1890z00_12766 = PROCEDURE_ATTR(BgL_rz00_12761);
													if (STRUCTP(BgL_arg1890z00_12766))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27295 =
																(STRUCT_KEY(BgL_arg1890z00_12766) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27295 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27295 = ((bool_t) 0);
												}
											if (BgL_testz00_27295)
												{
													obj_t BgL_fz00_27303;

													BgL_fz00_27303 = BgL_rz00_12761;
													BgL_fz00_12760 = BgL_fz00_27303;
													goto BgL_recz00_12759;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17517,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12753);
													BgL_val1389z00_4049 = BgL_rz00_12761;
							}}}}}
							POP_EXIT();
							return BgL_val1389z00_4049;
						}
					}
				}
		}
	}



/* <exit:3379> */
	obj_t BGl_zc3exitza33379ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17521,
		obj_t BgL_sz00_17520, obj_t BgL_runz00_17519)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1385z00_4038;

			if (SET_EXIT(BgL_an_exit1385z00_4038))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1385z00_4038 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1385z00_4038, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1386z00_4039;

							BgL_val1386z00_4039 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17519,
								BgL_sz00_17520, BgL_bpz00_17521);
							POP_EXIT();
							return BgL_val1386z00_4039;
						}
					}
				}
		}
	}



/* &run5476 */
	obj_t BGl_z62run5476z62zz__evaluate_compz00(obj_t BgL_envz00_16757,
		obj_t BgL_sz00_16762)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16758;
				obj_t BgL_valza2za2_16759;
				BgL_ev_absz00_bglt BgL_i1249z00_16760;
				obj_t BgL_bodyz00_16761;

				BgL_siza7eza7_16758 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16757, (int) (((long) 0))));
				BgL_valza2za2_16759 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16757, (int) (((long) 1))));
				BgL_i1249z00_16760 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16757, (int) (((long) 2))));
				BgL_bodyz00_16761 = PROCEDURE_REF(BgL_envz00_16757, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4051;

					BgL_sz00_4051 = BgL_sz00_16762;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4053;

						BgL_bpz00_4053 = VECTOR_REF(BgL_sz00_4051, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4051,
							BgL_valza2za2_16759,
							((long) CINT(BgL_bpz00_4053) + BgL_siza7eza7_16758));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4055;
							obj_t BgL_wherez00_4056;
							obj_t BgL_locz00_4057;

							BgL_z12denvz12_4055 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4056 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16760))->BgL_wherez00);
							BgL_locz00_4057 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16760))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4055, BgL_wherez00_4056,
									BgL_locz00_4057);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4058;

									BgL_za2za2resza2za2z00_4058 =
										PROCEDURE_ENTRY(BgL_bodyz00_16761) (BgL_bodyz00_16761,
										BgL_sz00_4051, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4055);
									return BgL_za2za2resza2za2z00_4058;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3388> */
	obj_t BGl_z62zc3anonymousza33388ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16763, obj_t BgL_sz00_16770)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16764;
				obj_t BgL_iboxesz00_16765;
				long BgL_siza7eza7_16766;
				BgL_ev_absz00_bglt BgL_i1249z00_16767;
				obj_t BgL_bodyz00_16768;
				long BgL_siza7ezd2framez75_16769;

				BgL_ifreesz00_16764 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16763, (int) (((long) 0))));
				BgL_iboxesz00_16765 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16763, (int) (((long) 1))));
				BgL_siza7eza7_16766 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16763, (int) (((long) 2))));
				BgL_i1249z00_16767 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16763, (int) (((long) 3))));
				BgL_bodyz00_16768 = PROCEDURE_REF(BgL_envz00_16763, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16769 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16763, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4060;

					BgL_sz00_4060 = BgL_sz00_16770;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4062;

						BgL_bpz00_4062 = VECTOR_REF(BgL_sz00_4060, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_4063;

							BgL_valza2za2_4063 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4060,
								BgL_bpz00_4062, BgL_ifreesz00_16764);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16115;

								BgL_runz00_16115 =
									MAKE_FX_PROCEDURE(BGl_z62run5478z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 0)), BgL_iboxesz00_16765);
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16766));
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 2)), BgL_valza2za2_4063);
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16767));
								PROCEDURE_SET(BgL_runz00_16115,
									(int) (((long) 4)), BgL_bodyz00_16768);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16116;

									BgL_mainz00_16116 =
										MAKE_FX_PROCEDURE(BGl_z62main5477z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 0)), BgL_iboxesz00_16765);
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16766));
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 2)), BgL_valza2za2_4063);
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16767));
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 4)), BgL_bodyz00_16768);
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 5)), BgL_runz00_16115);
									PROCEDURE_SET(BgL_mainz00_16116,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16769));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12884;

										BgL_objz00_12884 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16115, BgL_objz00_12884);
										BgL_objz00_12884;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3389z00_4066;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3390z00_4067;

											BgL_arg3390z00_4067 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16767))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12888;

												BgL_newz00_12888 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27396;

													BgL_auxz00_27396 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12888, BgL_auxz00_27396,
														BgL_arg3390z00_4067);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27401;
													int BgL_auxz00_27399;

													BgL_auxz00_27401 = BINT(BgL_siza7ezd2framez75_16769);
													BgL_auxz00_27399 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12888, BgL_auxz00_27399,
														BgL_auxz00_27401);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27404;

													BgL_auxz00_27404 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12888, BgL_auxz00_27404,
														BgL_runz00_16115);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27409;
													int BgL_auxz00_27407;

													BgL_auxz00_27409 = BINT(((long) 2));
													BgL_auxz00_27407 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12888, BgL_auxz00_27407,
														BgL_auxz00_27409);
												}
												BgL_arg3389z00_4066 = BgL_newz00_12888;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16116, BgL_arg3389z00_4066);
										BgL_arg3389z00_4066;
									}
									return BgL_mainz00_16116;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5477 */
	obj_t BGl_z62main5477z62zz__evaluate_compz00(obj_t BgL_envz00_16771,
		obj_t BgL_cz00_16779, obj_t BgL_dz00_16780)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16777;
				long BgL_siza7ezd2framez75_16778;

				BgL_runz00_16777 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16771, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16778 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16771, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4068;
					obj_t BgL_dz00_4069;

					BgL_cz00_4068 = BgL_cz00_16779;
					BgL_dz00_4069 = BgL_dz00_16780;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_4071;

						BgL_sz00_4071 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_4072;

							BgL_bpz00_4072 = VECTOR_REF(BgL_sz00_4071, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27422;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12819;

									BgL_arg1899z00_12819 = VECTOR_LENGTH(BgL_sz00_4071);
									BgL_testz00_27422 =
										(
										((long) CINT(BgL_bpz00_4072) +
											BgL_siza7ezd2framez75_16778) <
										(long) (BgL_arg1899z00_12819));
								}
								if (BgL_testz00_27422)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3393z00_4074;

											BgL_arg3393z00_4074 =
												((long) CINT(BgL_bpz00_4072) + ((long) 0));
											VECTOR_SET(BgL_sz00_4071,
												(int) (BgL_arg3393z00_4074), BgL_cz00_4068);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3394z00_4075;

											BgL_arg3394z00_4075 =
												((long) CINT(BgL_bpz00_4072) + ((long) 1));
											VECTOR_SET(BgL_sz00_4071,
												(int) (BgL_arg3394z00_4075), BgL_dz00_4069);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1390z00_4076;

											BgL_val1390z00_4076 =
												BGl_zc3exitza33398ze3z83zz__evaluate_compz00
												(BgL_bpz00_4072, BgL_sz00_4071, BgL_runz00_16777);
											VECTOR_SET(BgL_sz00_4071, (int) (((long) 0)),
												BgL_bpz00_4072);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1390z00_4076)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1390z00_4076), CDR(BgL_val1390z00_4076));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1390z00_4076;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_4083;

										BgL_nsz00_4083 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4083,
											(int) (((long) 1)), BgL_sz00_4071);
										VECTOR_SET(BgL_nsz00_4083,
											(int) (((long) 2)), BgL_cz00_4068);
										VECTOR_SET(BgL_nsz00_4083,
											(int) (((long) 3)), BgL_dz00_4069);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27452;

											BgL_auxz00_27452 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27452, BgL_nsz00_4083);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1393z00_4085;

											BgL_val1393z00_4085 =
												BGl_zc3exitza33404ze3z83zz__evaluate_compz00
												(BgL_runz00_16777, BgL_nsz00_4083);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27456;

												BgL_auxz00_27456 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27456, BgL_sz00_4071);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1393z00_4085)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1393z00_4085), CDR(BgL_val1393z00_4085));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1393z00_4085;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3404> */
	obj_t BGl_zc3exitza33404ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17513,
		obj_t BgL_nsz00_17512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1394z00_4091;

			if (SET_EXIT(BgL_an_exit1394z00_4091))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1394z00_4091 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1394z00_4091, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1395z00_4092;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12856;

								BgL_savedzd2bpzd2_12856 =
									VECTOR_REF(BgL_nsz00_17512, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17512,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12863;

									BgL_fz00_12863 = BgL_runz00_17513;
								BgL_recz00_12862:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12864;

										BgL_rz00_12864 =
											PROCEDURE_ENTRY(BgL_fz00_12863) (BgL_fz00_12863,
											BgL_nsz00_17512, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27477;

											if (PROCEDUREP(BgL_rz00_12864))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12869;

													BgL_arg1890z00_12869 = PROCEDURE_ATTR(BgL_rz00_12864);
													if (STRUCTP(BgL_arg1890z00_12869))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27477 =
																(STRUCT_KEY(BgL_arg1890z00_12869) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27477 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27477 = ((bool_t) 0);
												}
											if (BgL_testz00_27477)
												{
													obj_t BgL_fz00_27485;

													BgL_fz00_27485 = BgL_rz00_12864;
													BgL_fz00_12863 = BgL_fz00_27485;
													goto BgL_recz00_12862;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17512,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12856);
													BgL_val1395z00_4092 = BgL_rz00_12864;
							}}}}}
							POP_EXIT();
							return BgL_val1395z00_4092;
						}
					}
				}
		}
	}



/* <exit:3398> */
	obj_t BGl_zc3exitza33398ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17516,
		obj_t BgL_sz00_17515, obj_t BgL_runz00_17514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1391z00_4081;

			if (SET_EXIT(BgL_an_exit1391z00_4081))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1391z00_4081 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1391z00_4081, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1392z00_4082;

							BgL_val1392z00_4082 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17514,
								BgL_sz00_17515, BgL_bpz00_17516);
							POP_EXIT();
							return BgL_val1392z00_4082;
						}
					}
				}
		}
	}



/* &run5478 */
	obj_t BGl_z62run5478z62zz__evaluate_compz00(obj_t BgL_envz00_16781,
		obj_t BgL_sz00_16787)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16782;
				long BgL_siza7eza7_16783;
				obj_t BgL_valza2za2_16784;
				BgL_ev_absz00_bglt BgL_i1249z00_16785;
				obj_t BgL_bodyz00_16786;

				BgL_iboxesz00_16782 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16781, (int) (((long) 0))));
				BgL_siza7eza7_16783 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16781, (int) (((long) 1))));
				BgL_valza2za2_16784 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16781, (int) (((long) 2))));
				BgL_i1249z00_16785 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16781, (int) (((long) 3))));
				BgL_bodyz00_16786 = PROCEDURE_REF(BgL_envz00_16781, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4094;

					BgL_sz00_4094 = BgL_sz00_16787;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_4096;

						BgL_bpz00_4096 = VECTOR_REF(BgL_sz00_4094, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4094,
							BgL_iboxesz00_16782, BgL_bpz00_4096);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4094,
							BgL_valza2za2_16784,
							((long) CINT(BgL_bpz00_4096) + BgL_siza7eza7_16783));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_4098;
							obj_t BgL_wherez00_4099;
							obj_t BgL_locz00_4100;

							BgL_z12denvz12_4098 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4099 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16785))->BgL_wherez00);
							BgL_locz00_4100 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16785))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4098, BgL_wherez00_4099,
									BgL_locz00_4100);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_4101;

									BgL_za2za2resza2za2z00_4101 =
										PROCEDURE_ENTRY(BgL_bodyz00_16786) (BgL_bodyz00_16786,
										BgL_sz00_4094, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4098);
									return BgL_za2za2resza2za2z00_4101;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3251> */
	obj_t BGl_z62zc3anonymousza33251ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16788, obj_t BgL_sz00_16792)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16789;
				obj_t BgL_bodyz00_16790;
				long BgL_siza7ezd2framez75_16791;

				BgL_i1249z00_16789 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16788, (int) (((long) 0))));
				BgL_bodyz00_16790 = PROCEDURE_REF(BgL_envz00_16788, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16791 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16788, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3759;

					BgL_sz00_3759 = BgL_sz00_16792;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3761;

						BgL_bpz00_3761 = VECTOR_REF(BgL_sz00_3759, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16112;

								BgL_runz00_16112 =
									MAKE_FX_PROCEDURE(BGl_z62run5480z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16112,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16789));
								PROCEDURE_SET(BgL_runz00_16112,
									(int) (((long) 1)), BgL_bodyz00_16790);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16113;

									BgL_mainz00_16113 =
										MAKE_VA_PROCEDURE(BGl_z62main5479z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16789));
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 1)), BgL_bodyz00_16790);
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 2)), BgL_runz00_16112);
									PROCEDURE_SET(BgL_mainz00_16113,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16791));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12156;

										BgL_objz00_12156 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16112, BgL_objz00_12156);
										BgL_objz00_12156;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3252z00_3764;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3253z00_3765;

											BgL_arg3253z00_3765 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16789))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12160;

												BgL_newz00_12160 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27558;

													BgL_auxz00_27558 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12160, BgL_auxz00_27558,
														BgL_arg3253z00_3765);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27563;
													int BgL_auxz00_27561;

													BgL_auxz00_27563 = BINT(BgL_siza7ezd2framez75_16791);
													BgL_auxz00_27561 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12160, BgL_auxz00_27561,
														BgL_auxz00_27563);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27566;

													BgL_auxz00_27566 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12160, BgL_auxz00_27566,
														BgL_runz00_16112);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27571;
													int BgL_auxz00_27569;

													BgL_auxz00_27571 = BINT(((long) -2));
													BgL_auxz00_27569 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12160, BgL_auxz00_27569,
														BgL_auxz00_27571);
												}
												BgL_arg3252z00_3764 = BgL_newz00_12160;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16113, BgL_arg3252z00_3764);
										BgL_arg3252z00_3764;
									}
									return BgL_mainz00_16113;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5479 */
	obj_t BGl_z62main5479z62zz__evaluate_compz00(obj_t BgL_envz00_16793,
		obj_t BgL_dz00_16798, obj_t BgL_lastz00_16799)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16796;
				long BgL_siza7ezd2framez75_16797;

				BgL_runz00_16796 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16793, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16797 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16793, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3766;
					obj_t BgL_lastz00_3767;

					BgL_dz00_3766 = BgL_dz00_16798;
					BgL_lastz00_3767 = BgL_lastz00_16799;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3769;

						BgL_sz00_3769 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3770;

							BgL_bpz00_3770 = VECTOR_REF(BgL_sz00_3769, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27584;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12091;

									BgL_arg1899z00_12091 = VECTOR_LENGTH(BgL_sz00_3769);
									BgL_testz00_27584 =
										(
										((long) CINT(BgL_bpz00_3770) +
											BgL_siza7ezd2framez75_16797) <
										(long) (BgL_arg1899z00_12091));
								}
								if (BgL_testz00_27584)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3256z00_3772;

											BgL_arg3256z00_3772 =
												((long) CINT(BgL_bpz00_3770) + ((long) 0));
											VECTOR_SET(BgL_sz00_3769,
												(int) (BgL_arg3256z00_3772), BgL_dz00_3766);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3257z00_3773;

											BgL_arg3257z00_3773 =
												((long) CINT(BgL_bpz00_3770) + ((long) 1));
											VECTOR_SET(BgL_sz00_3769,
												(int) (BgL_arg3257z00_3773), BgL_lastz00_3767);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1348z00_3774;

											BgL_val1348z00_3774 =
												BGl_zc3exitza33261ze3z83zz__evaluate_compz00
												(BgL_bpz00_3770, BgL_sz00_3769, BgL_runz00_16796);
											VECTOR_SET(BgL_sz00_3769, (int) (((long) 0)),
												BgL_bpz00_3770);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1348z00_3774)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1348z00_3774), CDR(BgL_val1348z00_3774));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1348z00_3774;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3781;

										BgL_nsz00_3781 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3781,
											(int) (((long) 1)), BgL_sz00_3769);
										VECTOR_SET(BgL_nsz00_3781,
											(int) (((long) 2)), BgL_dz00_3766);
										VECTOR_SET(BgL_nsz00_3781,
											(int) (((long) 3)), BgL_lastz00_3767);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27614;

											BgL_auxz00_27614 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27614, BgL_nsz00_3781);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1351z00_3783;

											BgL_val1351z00_3783 =
												BGl_zc3exitza33267ze3z83zz__evaluate_compz00
												(BgL_runz00_16796, BgL_nsz00_3781);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27618;

												BgL_auxz00_27618 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27618, BgL_sz00_3769);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1351z00_3783)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1351z00_3783), CDR(BgL_val1351z00_3783));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1351z00_3783;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3267> */
	obj_t BGl_zc3exitza33267ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17508,
		obj_t BgL_nsz00_17507)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1352z00_3789;

			if (SET_EXIT(BgL_an_exit1352z00_3789))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1352z00_3789 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1352z00_3789, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1353z00_3790;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12128;

								BgL_savedzd2bpzd2_12128 =
									VECTOR_REF(BgL_nsz00_17507, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17507,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12135;

									BgL_fz00_12135 = BgL_runz00_17508;
								BgL_recz00_12134:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12136;

										BgL_rz00_12136 =
											PROCEDURE_ENTRY(BgL_fz00_12135) (BgL_fz00_12135,
											BgL_nsz00_17507, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27639;

											if (PROCEDUREP(BgL_rz00_12136))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12141;

													BgL_arg1890z00_12141 = PROCEDURE_ATTR(BgL_rz00_12136);
													if (STRUCTP(BgL_arg1890z00_12141))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27639 =
																(STRUCT_KEY(BgL_arg1890z00_12141) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27639 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27639 = ((bool_t) 0);
												}
											if (BgL_testz00_27639)
												{
													obj_t BgL_fz00_27647;

													BgL_fz00_27647 = BgL_rz00_12136;
													BgL_fz00_12135 = BgL_fz00_27647;
													goto BgL_recz00_12134;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17507,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12128);
													BgL_val1353z00_3790 = BgL_rz00_12136;
							}}}}}
							POP_EXIT();
							return BgL_val1353z00_3790;
						}
					}
				}
		}
	}



/* <exit:3261> */
	obj_t BGl_zc3exitza33261ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17511,
		obj_t BgL_sz00_17510, obj_t BgL_runz00_17509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1349z00_3779;

			if (SET_EXIT(BgL_an_exit1349z00_3779))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1349z00_3779 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1349z00_3779, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1350z00_3780;

							BgL_val1350z00_3780 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17509,
								BgL_sz00_17510, BgL_bpz00_17511);
							POP_EXIT();
							return BgL_val1350z00_3780;
						}
					}
				}
		}
	}



/* &run5480 */
	obj_t BGl_z62run5480z62zz__evaluate_compz00(obj_t BgL_envz00_16800,
		obj_t BgL_sz00_16803)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16801;
				obj_t BgL_bodyz00_16802;

				BgL_i1249z00_16801 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16800, (int) (((long) 0))));
				BgL_bodyz00_16802 = PROCEDURE_REF(BgL_envz00_16800, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3792;

					BgL_sz00_3792 = BgL_sz00_16803;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3794;

						BgL_bpz00_3794 = VECTOR_REF(BgL_sz00_3792, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3795;
							obj_t BgL_wherez00_3796;
							obj_t BgL_locz00_3797;

							BgL_z12denvz12_3795 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3796 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16801))->BgL_wherez00);
							BgL_locz00_3797 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16801))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3795, BgL_wherez00_3796,
									BgL_locz00_3797);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3798;

									BgL_za2za2resza2za2z00_3798 =
										PROCEDURE_ENTRY(BgL_bodyz00_16802) (BgL_bodyz00_16802,
										BgL_sz00_3792, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3795);
									return BgL_za2za2resza2za2z00_3798;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3269> */
	obj_t BGl_z62zc3anonymousza33269ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16804, obj_t BgL_sz00_16809)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16805;
				BgL_ev_absz00_bglt BgL_i1249z00_16806;
				obj_t BgL_bodyz00_16807;
				long BgL_siza7ezd2framez75_16808;

				BgL_iboxesz00_16805 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16804, (int) (((long) 0))));
				BgL_i1249z00_16806 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16804, (int) (((long) 1))));
				BgL_bodyz00_16807 = PROCEDURE_REF(BgL_envz00_16804, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16808 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16804, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3800;

					BgL_sz00_3800 = BgL_sz00_16809;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3802;

						BgL_bpz00_3802 = VECTOR_REF(BgL_sz00_3800, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16109;

								BgL_runz00_16109 =
									MAKE_FX_PROCEDURE(BGl_z62run5482z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 0)), BgL_iboxesz00_16805);
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16806));
								PROCEDURE_SET(BgL_runz00_16109,
									(int) (((long) 2)), BgL_bodyz00_16807);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16110;

									BgL_mainz00_16110 =
										MAKE_VA_PROCEDURE(BGl_z62main5481z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 0)), BgL_iboxesz00_16805);
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16806));
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 2)), BgL_bodyz00_16807);
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 3)), BgL_runz00_16109);
									PROCEDURE_SET(BgL_mainz00_16110,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16808));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12256;

										BgL_objz00_12256 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16109, BgL_objz00_12256);
										BgL_objz00_12256;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3270z00_3805;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3271z00_3806;

											BgL_arg3271z00_3806 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16806))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12260;

												BgL_newz00_12260 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27714;

													BgL_auxz00_27714 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12260, BgL_auxz00_27714,
														BgL_arg3271z00_3806);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27719;
													int BgL_auxz00_27717;

													BgL_auxz00_27719 = BINT(BgL_siza7ezd2framez75_16808);
													BgL_auxz00_27717 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12260, BgL_auxz00_27717,
														BgL_auxz00_27719);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27722;

													BgL_auxz00_27722 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12260, BgL_auxz00_27722,
														BgL_runz00_16109);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27727;
													int BgL_auxz00_27725;

													BgL_auxz00_27727 = BINT(((long) -2));
													BgL_auxz00_27725 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12260, BgL_auxz00_27725,
														BgL_auxz00_27727);
												}
												BgL_arg3270z00_3805 = BgL_newz00_12260;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16110, BgL_arg3270z00_3805);
										BgL_arg3270z00_3805;
									}
									return BgL_mainz00_16110;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5481 */
	obj_t BGl_z62main5481z62zz__evaluate_compz00(obj_t BgL_envz00_16810,
		obj_t BgL_dz00_16816, obj_t BgL_lastz00_16817)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16814;
				long BgL_siza7ezd2framez75_16815;

				BgL_runz00_16814 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16815 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16810, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3807;
					obj_t BgL_lastz00_3808;

					BgL_dz00_3807 = BgL_dz00_16816;
					BgL_lastz00_3808 = BgL_lastz00_16817;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3810;

						BgL_sz00_3810 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3811;

							BgL_bpz00_3811 = VECTOR_REF(BgL_sz00_3810, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27740;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12191;

									BgL_arg1899z00_12191 = VECTOR_LENGTH(BgL_sz00_3810);
									BgL_testz00_27740 =
										(
										((long) CINT(BgL_bpz00_3811) +
											BgL_siza7ezd2framez75_16815) <
										(long) (BgL_arg1899z00_12191));
								}
								if (BgL_testz00_27740)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3274z00_3813;

											BgL_arg3274z00_3813 =
												((long) CINT(BgL_bpz00_3811) + ((long) 0));
											VECTOR_SET(BgL_sz00_3810,
												(int) (BgL_arg3274z00_3813), BgL_dz00_3807);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3275z00_3814;

											BgL_arg3275z00_3814 =
												((long) CINT(BgL_bpz00_3811) + ((long) 1));
											VECTOR_SET(BgL_sz00_3810,
												(int) (BgL_arg3275z00_3814), BgL_lastz00_3808);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1354z00_3815;

											BgL_val1354z00_3815 =
												BGl_zc3exitza33279ze3z83zz__evaluate_compz00
												(BgL_bpz00_3811, BgL_sz00_3810, BgL_runz00_16814);
											VECTOR_SET(BgL_sz00_3810, (int) (((long) 0)),
												BgL_bpz00_3811);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1354z00_3815)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1354z00_3815), CDR(BgL_val1354z00_3815));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1354z00_3815;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3822;

										BgL_nsz00_3822 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3822,
											(int) (((long) 1)), BgL_sz00_3810);
										VECTOR_SET(BgL_nsz00_3822,
											(int) (((long) 2)), BgL_dz00_3807);
										VECTOR_SET(BgL_nsz00_3822,
											(int) (((long) 3)), BgL_lastz00_3808);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27770;

											BgL_auxz00_27770 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27770, BgL_nsz00_3822);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1357z00_3824;

											BgL_val1357z00_3824 =
												BGl_zc3exitza33285ze3z83zz__evaluate_compz00
												(BgL_runz00_16814, BgL_nsz00_3822);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27774;

												BgL_auxz00_27774 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27774, BgL_sz00_3810);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1357z00_3824)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1357z00_3824), CDR(BgL_val1357z00_3824));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1357z00_3824;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3285> */
	obj_t BGl_zc3exitza33285ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17503,
		obj_t BgL_nsz00_17502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1358z00_3830;

			if (SET_EXIT(BgL_an_exit1358z00_3830))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1358z00_3830 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1358z00_3830, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1359z00_3831;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12228;

								BgL_savedzd2bpzd2_12228 =
									VECTOR_REF(BgL_nsz00_17502, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17502,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12235;

									BgL_fz00_12235 = BgL_runz00_17503;
								BgL_recz00_12234:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12236;

										BgL_rz00_12236 =
											PROCEDURE_ENTRY(BgL_fz00_12235) (BgL_fz00_12235,
											BgL_nsz00_17502, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27795;

											if (PROCEDUREP(BgL_rz00_12236))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12241;

													BgL_arg1890z00_12241 = PROCEDURE_ATTR(BgL_rz00_12236);
													if (STRUCTP(BgL_arg1890z00_12241))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27795 =
																(STRUCT_KEY(BgL_arg1890z00_12241) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27795 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27795 = ((bool_t) 0);
												}
											if (BgL_testz00_27795)
												{
													obj_t BgL_fz00_27803;

													BgL_fz00_27803 = BgL_rz00_12236;
													BgL_fz00_12235 = BgL_fz00_27803;
													goto BgL_recz00_12234;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17502,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12228);
													BgL_val1359z00_3831 = BgL_rz00_12236;
							}}}}}
							POP_EXIT();
							return BgL_val1359z00_3831;
						}
					}
				}
		}
	}



/* <exit:3279> */
	obj_t BGl_zc3exitza33279ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17506,
		obj_t BgL_sz00_17505, obj_t BgL_runz00_17504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1355z00_3820;

			if (SET_EXIT(BgL_an_exit1355z00_3820))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1355z00_3820 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1355z00_3820, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1356z00_3821;

							BgL_val1356z00_3821 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17504,
								BgL_sz00_17505, BgL_bpz00_17506);
							POP_EXIT();
							return BgL_val1356z00_3821;
						}
					}
				}
		}
	}



/* &run5482 */
	obj_t BGl_z62run5482z62zz__evaluate_compz00(obj_t BgL_envz00_16818,
		obj_t BgL_sz00_16822)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16819;
				BgL_ev_absz00_bglt BgL_i1249z00_16820;
				obj_t BgL_bodyz00_16821;

				BgL_iboxesz00_16819 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16818, (int) (((long) 0))));
				BgL_i1249z00_16820 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16818, (int) (((long) 1))));
				BgL_bodyz00_16821 = PROCEDURE_REF(BgL_envz00_16818, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3833;

					BgL_sz00_3833 = BgL_sz00_16822;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3835;

						BgL_bpz00_3835 = VECTOR_REF(BgL_sz00_3833, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3833,
							BgL_iboxesz00_16819, BgL_bpz00_3835);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3836;
							obj_t BgL_wherez00_3837;
							obj_t BgL_locz00_3838;

							BgL_z12denvz12_3836 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3837 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16820))->BgL_wherez00);
							BgL_locz00_3838 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16820))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3836, BgL_wherez00_3837,
									BgL_locz00_3838);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3839;

									BgL_za2za2resza2za2z00_3839 =
										PROCEDURE_ENTRY(BgL_bodyz00_16821) (BgL_bodyz00_16821,
										BgL_sz00_3833, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3836);
									return BgL_za2za2resza2za2z00_3839;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3289> */
	obj_t BGl_z62zc3anonymousza33289ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16823, obj_t BgL_sz00_16829)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16824;
				long BgL_siza7eza7_16825;
				BgL_ev_absz00_bglt BgL_i1249z00_16826;
				obj_t BgL_bodyz00_16827;
				long BgL_siza7ezd2framez75_16828;

				BgL_ifreesz00_16824 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16823, (int) (((long) 0))));
				BgL_siza7eza7_16825 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16823, (int) (((long) 1))));
				BgL_i1249z00_16826 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16823, (int) (((long) 2))));
				BgL_bodyz00_16827 = PROCEDURE_REF(BgL_envz00_16823, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16828 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16823, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3843;

					BgL_sz00_3843 = BgL_sz00_16829;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3845;

						BgL_bpz00_3845 = VECTOR_REF(BgL_sz00_3843, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3846;

							BgL_valza2za2_3846 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3843,
								BgL_bpz00_3845, BgL_ifreesz00_16824);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16106;

								BgL_runz00_16106 =
									MAKE_FX_PROCEDURE(BGl_z62run5484z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16825));
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 1)), BgL_valza2za2_3846);
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16826));
								PROCEDURE_SET(BgL_runz00_16106,
									(int) (((long) 3)), BgL_bodyz00_16827);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16107;

									BgL_mainz00_16107 =
										MAKE_VA_PROCEDURE(BGl_z62main5483z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16825));
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 1)), BgL_valza2za2_3846);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16826));
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 3)), BgL_bodyz00_16827);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 4)), BgL_runz00_16106);
									PROCEDURE_SET(BgL_mainz00_16107,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16828));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12363;

										BgL_objz00_12363 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16106, BgL_objz00_12363);
										BgL_objz00_12363;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3290z00_3849;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3291z00_3850;

											BgL_arg3291z00_3850 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16826))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12367;

												BgL_newz00_12367 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27884;

													BgL_auxz00_27884 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12367, BgL_auxz00_27884,
														BgL_arg3291z00_3850);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27889;
													int BgL_auxz00_27887;

													BgL_auxz00_27889 = BINT(BgL_siza7ezd2framez75_16828);
													BgL_auxz00_27887 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12367, BgL_auxz00_27887,
														BgL_auxz00_27889);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_27892;

													BgL_auxz00_27892 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12367, BgL_auxz00_27892,
														BgL_runz00_16106);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_27897;
													int BgL_auxz00_27895;

													BgL_auxz00_27897 = BINT(((long) -2));
													BgL_auxz00_27895 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12367, BgL_auxz00_27895,
														BgL_auxz00_27897);
												}
												BgL_arg3290z00_3849 = BgL_newz00_12367;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16107, BgL_arg3290z00_3849);
										BgL_arg3290z00_3849;
									}
									return BgL_mainz00_16107;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5483 */
	obj_t BGl_z62main5483z62zz__evaluate_compz00(obj_t BgL_envz00_16830,
		obj_t BgL_dz00_16837, obj_t BgL_lastz00_16838)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16835;
				long BgL_siza7ezd2framez75_16836;

				BgL_runz00_16835 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16830, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16836 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16830, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3851;
					obj_t BgL_lastz00_3852;

					BgL_dz00_3851 = BgL_dz00_16837;
					BgL_lastz00_3852 = BgL_lastz00_16838;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3854;

						BgL_sz00_3854 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3855;

							BgL_bpz00_3855 = VECTOR_REF(BgL_sz00_3854, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_27910;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12298;

									BgL_arg1899z00_12298 = VECTOR_LENGTH(BgL_sz00_3854);
									BgL_testz00_27910 =
										(
										((long) CINT(BgL_bpz00_3855) +
											BgL_siza7ezd2framez75_16836) <
										(long) (BgL_arg1899z00_12298));
								}
								if (BgL_testz00_27910)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3294z00_3857;

											BgL_arg3294z00_3857 =
												((long) CINT(BgL_bpz00_3855) + ((long) 0));
											VECTOR_SET(BgL_sz00_3854,
												(int) (BgL_arg3294z00_3857), BgL_dz00_3851);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3295z00_3858;

											BgL_arg3295z00_3858 =
												((long) CINT(BgL_bpz00_3855) + ((long) 1));
											VECTOR_SET(BgL_sz00_3854,
												(int) (BgL_arg3295z00_3858), BgL_lastz00_3852);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1360z00_3859;

											BgL_val1360z00_3859 =
												BGl_zc3exitza33299ze3z83zz__evaluate_compz00
												(BgL_bpz00_3855, BgL_sz00_3854, BgL_runz00_16835);
											VECTOR_SET(BgL_sz00_3854, (int) (((long) 0)),
												BgL_bpz00_3855);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1360z00_3859)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1360z00_3859), CDR(BgL_val1360z00_3859));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1360z00_3859;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3866;

										BgL_nsz00_3866 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3866,
											(int) (((long) 1)), BgL_sz00_3854);
										VECTOR_SET(BgL_nsz00_3866,
											(int) (((long) 2)), BgL_dz00_3851);
										VECTOR_SET(BgL_nsz00_3866,
											(int) (((long) 3)), BgL_lastz00_3852);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_27940;

											BgL_auxz00_27940 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_27940, BgL_nsz00_3866);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1363z00_3868;

											BgL_val1363z00_3868 =
												BGl_zc3exitza33305ze3z83zz__evaluate_compz00
												(BgL_runz00_16835, BgL_nsz00_3866);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_27944;

												BgL_auxz00_27944 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_27944, BgL_sz00_3854);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1363z00_3868)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1363z00_3868), CDR(BgL_val1363z00_3868));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1363z00_3868;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3305> */
	obj_t BGl_zc3exitza33305ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17498,
		obj_t BgL_nsz00_17497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1364z00_3874;

			if (SET_EXIT(BgL_an_exit1364z00_3874))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1364z00_3874 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1364z00_3874, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1365z00_3875;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12335;

								BgL_savedzd2bpzd2_12335 =
									VECTOR_REF(BgL_nsz00_17497, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17497,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12342;

									BgL_fz00_12342 = BgL_runz00_17498;
								BgL_recz00_12341:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12343;

										BgL_rz00_12343 =
											PROCEDURE_ENTRY(BgL_fz00_12342) (BgL_fz00_12342,
											BgL_nsz00_17497, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_27965;

											if (PROCEDUREP(BgL_rz00_12343))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12348;

													BgL_arg1890z00_12348 = PROCEDURE_ATTR(BgL_rz00_12343);
													if (STRUCTP(BgL_arg1890z00_12348))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27965 =
																(STRUCT_KEY(BgL_arg1890z00_12348) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_27965 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_27965 = ((bool_t) 0);
												}
											if (BgL_testz00_27965)
												{
													obj_t BgL_fz00_27973;

													BgL_fz00_27973 = BgL_rz00_12343;
													BgL_fz00_12342 = BgL_fz00_27973;
													goto BgL_recz00_12341;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17497,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12335);
													BgL_val1365z00_3875 = BgL_rz00_12343;
							}}}}}
							POP_EXIT();
							return BgL_val1365z00_3875;
						}
					}
				}
		}
	}



/* <exit:3299> */
	obj_t BGl_zc3exitza33299ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17501,
		obj_t BgL_sz00_17500, obj_t BgL_runz00_17499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1361z00_3864;

			if (SET_EXIT(BgL_an_exit1361z00_3864))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1361z00_3864 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1361z00_3864, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1362z00_3865;

							BgL_val1362z00_3865 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17499,
								BgL_sz00_17500, BgL_bpz00_17501);
							POP_EXIT();
							return BgL_val1362z00_3865;
						}
					}
				}
		}
	}



/* &run5484 */
	obj_t BGl_z62run5484z62zz__evaluate_compz00(obj_t BgL_envz00_16839,
		obj_t BgL_sz00_16844)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16840;
				obj_t BgL_valza2za2_16841;
				BgL_ev_absz00_bglt BgL_i1249z00_16842;
				obj_t BgL_bodyz00_16843;

				BgL_siza7eza7_16840 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16839, (int) (((long) 0))));
				BgL_valza2za2_16841 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16839, (int) (((long) 1))));
				BgL_i1249z00_16842 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16839, (int) (((long) 2))));
				BgL_bodyz00_16843 = PROCEDURE_REF(BgL_envz00_16839, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3877;

					BgL_sz00_3877 = BgL_sz00_16844;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3879;

						BgL_bpz00_3879 = VECTOR_REF(BgL_sz00_3877, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3877,
							BgL_valza2za2_16841,
							((long) CINT(BgL_bpz00_3879) + BgL_siza7eza7_16840));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3881;
							obj_t BgL_wherez00_3882;
							obj_t BgL_locz00_3883;

							BgL_z12denvz12_3881 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3882 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16842))->BgL_wherez00);
							BgL_locz00_3883 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16842))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3881, BgL_wherez00_3882,
									BgL_locz00_3883);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3884;

									BgL_za2za2resza2za2z00_3884 =
										PROCEDURE_ENTRY(BgL_bodyz00_16843) (BgL_bodyz00_16843,
										BgL_sz00_3877, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3881);
									return BgL_za2za2resza2za2z00_3884;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3308> */
	obj_t BGl_z62zc3anonymousza33308ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16845, obj_t BgL_sz00_16852)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16846;
				obj_t BgL_iboxesz00_16847;
				long BgL_siza7eza7_16848;
				BgL_ev_absz00_bglt BgL_i1249z00_16849;
				obj_t BgL_bodyz00_16850;
				long BgL_siza7ezd2framez75_16851;

				BgL_ifreesz00_16846 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16845, (int) (((long) 0))));
				BgL_iboxesz00_16847 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16845, (int) (((long) 1))));
				BgL_siza7eza7_16848 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16845, (int) (((long) 2))));
				BgL_i1249z00_16849 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16845, (int) (((long) 3))));
				BgL_bodyz00_16850 = PROCEDURE_REF(BgL_envz00_16845, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16851 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16845, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3886;

					BgL_sz00_3886 = BgL_sz00_16852;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3888;

						BgL_bpz00_3888 = VECTOR_REF(BgL_sz00_3886, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3889;

							BgL_valza2za2_3889 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3886,
								BgL_bpz00_3888, BgL_ifreesz00_16846);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16103;

								BgL_runz00_16103 =
									MAKE_FX_PROCEDURE(BGl_z62run5486z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 0)), BgL_iboxesz00_16847);
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16848));
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 2)), BgL_valza2za2_3889);
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16849));
								PROCEDURE_SET(BgL_runz00_16103,
									(int) (((long) 4)), BgL_bodyz00_16850);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16104;

									BgL_mainz00_16104 =
										MAKE_VA_PROCEDURE(BGl_z62main5485z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 0)), BgL_iboxesz00_16847);
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16848));
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 2)), BgL_valza2za2_3889);
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16849));
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 4)), BgL_bodyz00_16850);
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 5)), BgL_runz00_16103);
									PROCEDURE_SET(BgL_mainz00_16104,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16851));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12466;

										BgL_objz00_12466 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16103, BgL_objz00_12466);
										BgL_objz00_12466;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3309z00_3892;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3310z00_3893;

											BgL_arg3310z00_3893 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16849))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12470;

												BgL_newz00_12470 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28066;

													BgL_auxz00_28066 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12470, BgL_auxz00_28066,
														BgL_arg3310z00_3893);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28071;
													int BgL_auxz00_28069;

													BgL_auxz00_28071 = BINT(BgL_siza7ezd2framez75_16851);
													BgL_auxz00_28069 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12470, BgL_auxz00_28069,
														BgL_auxz00_28071);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28074;

													BgL_auxz00_28074 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12470, BgL_auxz00_28074,
														BgL_runz00_16103);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28079;
													int BgL_auxz00_28077;

													BgL_auxz00_28079 = BINT(((long) -2));
													BgL_auxz00_28077 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12470, BgL_auxz00_28077,
														BgL_auxz00_28079);
												}
												BgL_arg3309z00_3892 = BgL_newz00_12470;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16104, BgL_arg3309z00_3892);
										BgL_arg3309z00_3892;
									}
									return BgL_mainz00_16104;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5485 */
	obj_t BGl_z62main5485z62zz__evaluate_compz00(obj_t BgL_envz00_16853,
		obj_t BgL_dz00_16861, obj_t BgL_lastz00_16862)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16859;
				long BgL_siza7ezd2framez75_16860;

				BgL_runz00_16859 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16853, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16860 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16853, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3894;
					obj_t BgL_lastz00_3895;

					BgL_dz00_3894 = BgL_dz00_16861;
					BgL_lastz00_3895 = BgL_lastz00_16862;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3897;

						BgL_sz00_3897 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3898;

							BgL_bpz00_3898 = VECTOR_REF(BgL_sz00_3897, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28092;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_12401;

									BgL_arg1899z00_12401 = VECTOR_LENGTH(BgL_sz00_3897);
									BgL_testz00_28092 =
										(
										((long) CINT(BgL_bpz00_3898) +
											BgL_siza7ezd2framez75_16860) <
										(long) (BgL_arg1899z00_12401));
								}
								if (BgL_testz00_28092)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3313z00_3900;

											BgL_arg3313z00_3900 =
												((long) CINT(BgL_bpz00_3898) + ((long) 0));
											VECTOR_SET(BgL_sz00_3897,
												(int) (BgL_arg3313z00_3900), BgL_dz00_3894);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3314z00_3901;

											BgL_arg3314z00_3901 =
												((long) CINT(BgL_bpz00_3898) + ((long) 1));
											VECTOR_SET(BgL_sz00_3897,
												(int) (BgL_arg3314z00_3901), BgL_lastz00_3895);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1366z00_3902;

											BgL_val1366z00_3902 =
												BGl_zc3exitza33318ze3z83zz__evaluate_compz00
												(BgL_bpz00_3898, BgL_sz00_3897, BgL_runz00_16859);
											VECTOR_SET(BgL_sz00_3897, (int) (((long) 0)),
												BgL_bpz00_3898);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1366z00_3902)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1366z00_3902), CDR(BgL_val1366z00_3902));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1366z00_3902;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3909;

										BgL_nsz00_3909 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3909,
											(int) (((long) 1)), BgL_sz00_3897);
										VECTOR_SET(BgL_nsz00_3909,
											(int) (((long) 2)), BgL_dz00_3894);
										VECTOR_SET(BgL_nsz00_3909,
											(int) (((long) 3)), BgL_lastz00_3895);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28122;

											BgL_auxz00_28122 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28122, BgL_nsz00_3909);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1369z00_3911;

											BgL_val1369z00_3911 =
												BGl_zc3exitza33324ze3z83zz__evaluate_compz00
												(BgL_runz00_16859, BgL_nsz00_3909);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28126;

												BgL_auxz00_28126 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28126, BgL_sz00_3897);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1369z00_3911)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1369z00_3911), CDR(BgL_val1369z00_3911));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1369z00_3911;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3324> */
	obj_t BGl_zc3exitza33324ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17493,
		obj_t BgL_nsz00_17492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1370z00_3917;

			if (SET_EXIT(BgL_an_exit1370z00_3917))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1370z00_3917 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1370z00_3917, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1371z00_3918;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12438;

								BgL_savedzd2bpzd2_12438 =
									VECTOR_REF(BgL_nsz00_17492, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17492,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12445;

									BgL_fz00_12445 = BgL_runz00_17493;
								BgL_recz00_12444:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12446;

										BgL_rz00_12446 =
											PROCEDURE_ENTRY(BgL_fz00_12445) (BgL_fz00_12445,
											BgL_nsz00_17492, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28147;

											if (PROCEDUREP(BgL_rz00_12446))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12451;

													BgL_arg1890z00_12451 = PROCEDURE_ATTR(BgL_rz00_12446);
													if (STRUCTP(BgL_arg1890z00_12451))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28147 =
																(STRUCT_KEY(BgL_arg1890z00_12451) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28147 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28147 = ((bool_t) 0);
												}
											if (BgL_testz00_28147)
												{
													obj_t BgL_fz00_28155;

													BgL_fz00_28155 = BgL_rz00_12446;
													BgL_fz00_12445 = BgL_fz00_28155;
													goto BgL_recz00_12444;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17492,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12438);
													BgL_val1371z00_3918 = BgL_rz00_12446;
							}}}}}
							POP_EXIT();
							return BgL_val1371z00_3918;
						}
					}
				}
		}
	}



/* <exit:3318> */
	obj_t BGl_zc3exitza33318ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17496,
		obj_t BgL_sz00_17495, obj_t BgL_runz00_17494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1367z00_3907;

			if (SET_EXIT(BgL_an_exit1367z00_3907))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1367z00_3907 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1367z00_3907, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1368z00_3908;

							BgL_val1368z00_3908 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17494,
								BgL_sz00_17495, BgL_bpz00_17496);
							POP_EXIT();
							return BgL_val1368z00_3908;
						}
					}
				}
		}
	}



/* &run5486 */
	obj_t BGl_z62run5486z62zz__evaluate_compz00(obj_t BgL_envz00_16863,
		obj_t BgL_sz00_16869)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16864;
				long BgL_siza7eza7_16865;
				obj_t BgL_valza2za2_16866;
				BgL_ev_absz00_bglt BgL_i1249z00_16867;
				obj_t BgL_bodyz00_16868;

				BgL_iboxesz00_16864 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16863, (int) (((long) 0))));
				BgL_siza7eza7_16865 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16863, (int) (((long) 1))));
				BgL_valza2za2_16866 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16863, (int) (((long) 2))));
				BgL_i1249z00_16867 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16863, (int) (((long) 3))));
				BgL_bodyz00_16868 = PROCEDURE_REF(BgL_envz00_16863, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3920;

					BgL_sz00_3920 = BgL_sz00_16869;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3922;

						BgL_bpz00_3922 = VECTOR_REF(BgL_sz00_3920, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3920,
							BgL_iboxesz00_16864, BgL_bpz00_3922);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3920,
							BgL_valza2za2_16866,
							((long) CINT(BgL_bpz00_3922) + BgL_siza7eza7_16865));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3924;
							obj_t BgL_wherez00_3925;
							obj_t BgL_locz00_3926;

							BgL_z12denvz12_3924 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3925 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16867))->BgL_wherez00);
							BgL_locz00_3926 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16867))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3924, BgL_wherez00_3925,
									BgL_locz00_3926);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3927;

									BgL_za2za2resza2za2z00_3927 =
										PROCEDURE_ENTRY(BgL_bodyz00_16868) (BgL_bodyz00_16868,
										BgL_sz00_3920, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3924);
									return BgL_za2za2resza2za2z00_3927;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3175> */
	obj_t BGl_z62zc3anonymousza33175ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16870, obj_t BgL_sz00_16874)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16871;
				obj_t BgL_bodyz00_16872;
				long BgL_siza7ezd2framez75_16873;

				BgL_i1249z00_16871 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 0))));
				BgL_bodyz00_16872 = PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16873 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16870, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3593;

					BgL_sz00_3593 = BgL_sz00_16874;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3595;

						BgL_bpz00_3595 = VECTOR_REF(BgL_sz00_3593, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16100;

								BgL_runz00_16100 =
									MAKE_FX_PROCEDURE(BGl_z62run5488z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16100,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16871));
								PROCEDURE_SET(BgL_runz00_16100,
									(int) (((long) 1)), BgL_bodyz00_16872);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16101;

									BgL_mainz00_16101 =
										MAKE_FX_PROCEDURE(BGl_z62main5487z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16871));
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 1)), BgL_bodyz00_16872);
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 2)), BgL_runz00_16100);
									PROCEDURE_SET(BgL_mainz00_16101,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16873));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11765;

										BgL_objz00_11765 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16100, BgL_objz00_11765);
										BgL_objz00_11765;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3176z00_3598;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3177z00_3599;

											BgL_arg3177z00_3599 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16871))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11769;

												BgL_newz00_11769 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28228;

													BgL_auxz00_28228 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11769, BgL_auxz00_28228,
														BgL_arg3177z00_3599);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28233;
													int BgL_auxz00_28231;

													BgL_auxz00_28233 = BINT(BgL_siza7ezd2framez75_16873);
													BgL_auxz00_28231 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11769, BgL_auxz00_28231,
														BgL_auxz00_28233);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28236;

													BgL_auxz00_28236 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11769, BgL_auxz00_28236,
														BgL_runz00_16100);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28241;
													int BgL_auxz00_28239;

													BgL_auxz00_28241 = BINT(((long) 1));
													BgL_auxz00_28239 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11769, BgL_auxz00_28239,
														BgL_auxz00_28241);
												}
												BgL_arg3176z00_3598 = BgL_newz00_11769;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16101, BgL_arg3176z00_3598);
										BgL_arg3176z00_3598;
									}
									return BgL_mainz00_16101;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5487 */
	obj_t BGl_z62main5487z62zz__evaluate_compz00(obj_t BgL_envz00_16875,
		obj_t BgL_dz00_16880)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16878;
				long BgL_siza7ezd2framez75_16879;

				BgL_runz00_16878 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16875, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16879 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16875, (int) (((long) 3))));
				{
					obj_t BgL_dz00_3600;

					BgL_dz00_3600 = BgL_dz00_16880;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3602;

						BgL_sz00_3602 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3603;

							BgL_bpz00_3603 = VECTOR_REF(BgL_sz00_3602, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28254;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11709;

									BgL_arg1899z00_11709 = VECTOR_LENGTH(BgL_sz00_3602);
									BgL_testz00_28254 =
										(
										((long) CINT(BgL_bpz00_3603) +
											BgL_siza7ezd2framez75_16879) <
										(long) (BgL_arg1899z00_11709));
								}
								if (BgL_testz00_28254)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3180z00_3605;

											BgL_arg3180z00_3605 =
												((long) CINT(BgL_bpz00_3603) + ((long) 0));
											VECTOR_SET(BgL_sz00_3602,
												(int) (BgL_arg3180z00_3605), BgL_dz00_3600);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1324z00_3606;

											BgL_val1324z00_3606 =
												BGl_zc3exitza33184ze3z83zz__evaluate_compz00
												(BgL_bpz00_3603, BgL_sz00_3602, BgL_runz00_16878);
											VECTOR_SET(BgL_sz00_3602, (int) (((long) 0)),
												BgL_bpz00_3603);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1324z00_3606)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1324z00_3606), CDR(BgL_val1324z00_3606));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1324z00_3606;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3613;

										BgL_nsz00_3613 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3613,
											(int) (((long) 1)), BgL_sz00_3602);
										VECTOR_SET(BgL_nsz00_3613,
											(int) (((long) 2)), BgL_dz00_3600);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28278;

											BgL_auxz00_28278 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28278, BgL_nsz00_3613);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1327z00_3615;

											BgL_val1327z00_3615 =
												BGl_zc3exitza33190ze3z83zz__evaluate_compz00
												(BgL_runz00_16878, BgL_nsz00_3613);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28282;

												BgL_auxz00_28282 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28282, BgL_sz00_3602);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1327z00_3615)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1327z00_3615), CDR(BgL_val1327z00_3615));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1327z00_3615;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3190> */
	obj_t BGl_zc3exitza33190ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17488,
		obj_t BgL_nsz00_17487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1328z00_3621;

			if (SET_EXIT(BgL_an_exit1328z00_3621))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1328z00_3621 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1328z00_3621, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1329z00_3622;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11737;

								BgL_savedzd2bpzd2_11737 =
									VECTOR_REF(BgL_nsz00_17487, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17487,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11744;

									BgL_fz00_11744 = BgL_runz00_17488;
								BgL_recz00_11743:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11745;

										BgL_rz00_11745 =
											PROCEDURE_ENTRY(BgL_fz00_11744) (BgL_fz00_11744,
											BgL_nsz00_17487, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28303;

											if (PROCEDUREP(BgL_rz00_11745))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11750;

													BgL_arg1890z00_11750 = PROCEDURE_ATTR(BgL_rz00_11745);
													if (STRUCTP(BgL_arg1890z00_11750))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28303 =
																(STRUCT_KEY(BgL_arg1890z00_11750) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28303 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28303 = ((bool_t) 0);
												}
											if (BgL_testz00_28303)
												{
													obj_t BgL_fz00_28311;

													BgL_fz00_28311 = BgL_rz00_11745;
													BgL_fz00_11744 = BgL_fz00_28311;
													goto BgL_recz00_11743;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17487,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11737);
													BgL_val1329z00_3622 = BgL_rz00_11745;
							}}}}}
							POP_EXIT();
							return BgL_val1329z00_3622;
						}
					}
				}
		}
	}



/* <exit:3184> */
	obj_t BGl_zc3exitza33184ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17491,
		obj_t BgL_sz00_17490, obj_t BgL_runz00_17489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1325z00_3611;

			if (SET_EXIT(BgL_an_exit1325z00_3611))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1325z00_3611 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1325z00_3611, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1326z00_3612;

							BgL_val1326z00_3612 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17489,
								BgL_sz00_17490, BgL_bpz00_17491);
							POP_EXIT();
							return BgL_val1326z00_3612;
						}
					}
				}
		}
	}



/* &run5488 */
	obj_t BGl_z62run5488z62zz__evaluate_compz00(obj_t BgL_envz00_16881,
		obj_t BgL_sz00_16884)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16882;
				obj_t BgL_bodyz00_16883;

				BgL_i1249z00_16882 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16881, (int) (((long) 0))));
				BgL_bodyz00_16883 = PROCEDURE_REF(BgL_envz00_16881, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3624;

					BgL_sz00_3624 = BgL_sz00_16884;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3626;

						BgL_bpz00_3626 = VECTOR_REF(BgL_sz00_3624, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3627;
							obj_t BgL_wherez00_3628;
							obj_t BgL_locz00_3629;

							BgL_z12denvz12_3627 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3628 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16882))->BgL_wherez00);
							BgL_locz00_3629 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16882))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3627, BgL_wherez00_3628,
									BgL_locz00_3629);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3630;

									BgL_za2za2resza2za2z00_3630 =
										PROCEDURE_ENTRY(BgL_bodyz00_16883) (BgL_bodyz00_16883,
										BgL_sz00_3624, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3627);
									return BgL_za2za2resza2za2z00_3630;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3192> */
	obj_t BGl_z62zc3anonymousza33192ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16885, obj_t BgL_sz00_16890)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16886;
				BgL_ev_absz00_bglt BgL_i1249z00_16887;
				obj_t BgL_bodyz00_16888;
				long BgL_siza7ezd2framez75_16889;

				BgL_iboxesz00_16886 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16885, (int) (((long) 0))));
				BgL_i1249z00_16887 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16885, (int) (((long) 1))));
				BgL_bodyz00_16888 = PROCEDURE_REF(BgL_envz00_16885, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16889 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16885, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3632;

					BgL_sz00_3632 = BgL_sz00_16890;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3634;

						BgL_bpz00_3634 = VECTOR_REF(BgL_sz00_3632, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16097;

								BgL_runz00_16097 =
									MAKE_FX_PROCEDURE(BGl_z62run5490z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 0)), BgL_iboxesz00_16886);
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16887));
								PROCEDURE_SET(BgL_runz00_16097,
									(int) (((long) 2)), BgL_bodyz00_16888);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16098;

									BgL_mainz00_16098 =
										MAKE_FX_PROCEDURE(BGl_z62main5489z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 0)), BgL_iboxesz00_16886);
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16887));
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 2)), BgL_bodyz00_16888);
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 3)), BgL_runz00_16097);
									PROCEDURE_SET(BgL_mainz00_16098,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16889));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11856;

										BgL_objz00_11856 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16097, BgL_objz00_11856);
										BgL_objz00_11856;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3193z00_3637;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3194z00_3638;

											BgL_arg3194z00_3638 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16887))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11860;

												BgL_newz00_11860 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28378;

													BgL_auxz00_28378 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11860, BgL_auxz00_28378,
														BgL_arg3194z00_3638);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28383;
													int BgL_auxz00_28381;

													BgL_auxz00_28383 = BINT(BgL_siza7ezd2framez75_16889);
													BgL_auxz00_28381 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11860, BgL_auxz00_28381,
														BgL_auxz00_28383);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28386;

													BgL_auxz00_28386 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11860, BgL_auxz00_28386,
														BgL_runz00_16097);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28391;
													int BgL_auxz00_28389;

													BgL_auxz00_28391 = BINT(((long) 1));
													BgL_auxz00_28389 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11860, BgL_auxz00_28389,
														BgL_auxz00_28391);
												}
												BgL_arg3193z00_3637 = BgL_newz00_11860;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16098, BgL_arg3193z00_3637);
										BgL_arg3193z00_3637;
									}
									return BgL_mainz00_16098;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5489 */
	obj_t BGl_z62main5489z62zz__evaluate_compz00(obj_t BgL_envz00_16891,
		obj_t BgL_dz00_16897)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16895;
				long BgL_siza7ezd2framez75_16896;

				BgL_runz00_16895 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16891, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16896 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16891, (int) (((long) 4))));
				{
					obj_t BgL_dz00_3639;

					BgL_dz00_3639 = BgL_dz00_16897;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3641;

						BgL_sz00_3641 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3642;

							BgL_bpz00_3642 = VECTOR_REF(BgL_sz00_3641, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28404;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11800;

									BgL_arg1899z00_11800 = VECTOR_LENGTH(BgL_sz00_3641);
									BgL_testz00_28404 =
										(
										((long) CINT(BgL_bpz00_3642) +
											BgL_siza7ezd2framez75_16896) <
										(long) (BgL_arg1899z00_11800));
								}
								if (BgL_testz00_28404)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3197z00_3644;

											BgL_arg3197z00_3644 =
												((long) CINT(BgL_bpz00_3642) + ((long) 0));
											VECTOR_SET(BgL_sz00_3641,
												(int) (BgL_arg3197z00_3644), BgL_dz00_3639);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1330z00_3645;

											BgL_val1330z00_3645 =
												BGl_zc3exitza33201ze3z83zz__evaluate_compz00
												(BgL_bpz00_3642, BgL_sz00_3641, BgL_runz00_16895);
											VECTOR_SET(BgL_sz00_3641, (int) (((long) 0)),
												BgL_bpz00_3642);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1330z00_3645)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1330z00_3645), CDR(BgL_val1330z00_3645));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1330z00_3645;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3652;

										BgL_nsz00_3652 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3652,
											(int) (((long) 1)), BgL_sz00_3641);
										VECTOR_SET(BgL_nsz00_3652,
											(int) (((long) 2)), BgL_dz00_3639);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28428;

											BgL_auxz00_28428 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28428, BgL_nsz00_3652);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1333z00_3654;

											BgL_val1333z00_3654 =
												BGl_zc3exitza33207ze3z83zz__evaluate_compz00
												(BgL_runz00_16895, BgL_nsz00_3652);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28432;

												BgL_auxz00_28432 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28432, BgL_sz00_3641);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1333z00_3654)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1333z00_3654), CDR(BgL_val1333z00_3654));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1333z00_3654;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3207> */
	obj_t BGl_zc3exitza33207ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17483,
		obj_t BgL_nsz00_17482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1334z00_3660;

			if (SET_EXIT(BgL_an_exit1334z00_3660))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1334z00_3660 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1334z00_3660, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1335z00_3661;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11828;

								BgL_savedzd2bpzd2_11828 =
									VECTOR_REF(BgL_nsz00_17482, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17482,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11835;

									BgL_fz00_11835 = BgL_runz00_17483;
								BgL_recz00_11834:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11836;

										BgL_rz00_11836 =
											PROCEDURE_ENTRY(BgL_fz00_11835) (BgL_fz00_11835,
											BgL_nsz00_17482, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28453;

											if (PROCEDUREP(BgL_rz00_11836))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11841;

													BgL_arg1890z00_11841 = PROCEDURE_ATTR(BgL_rz00_11836);
													if (STRUCTP(BgL_arg1890z00_11841))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28453 =
																(STRUCT_KEY(BgL_arg1890z00_11841) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28453 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28453 = ((bool_t) 0);
												}
											if (BgL_testz00_28453)
												{
													obj_t BgL_fz00_28461;

													BgL_fz00_28461 = BgL_rz00_11836;
													BgL_fz00_11835 = BgL_fz00_28461;
													goto BgL_recz00_11834;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17482,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11828);
													BgL_val1335z00_3661 = BgL_rz00_11836;
							}}}}}
							POP_EXIT();
							return BgL_val1335z00_3661;
						}
					}
				}
		}
	}



/* <exit:3201> */
	obj_t BGl_zc3exitza33201ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17486,
		obj_t BgL_sz00_17485, obj_t BgL_runz00_17484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1331z00_3650;

			if (SET_EXIT(BgL_an_exit1331z00_3650))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1331z00_3650 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1331z00_3650, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1332z00_3651;

							BgL_val1332z00_3651 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17484,
								BgL_sz00_17485, BgL_bpz00_17486);
							POP_EXIT();
							return BgL_val1332z00_3651;
						}
					}
				}
		}
	}



/* &run5490 */
	obj_t BGl_z62run5490z62zz__evaluate_compz00(obj_t BgL_envz00_16898,
		obj_t BgL_sz00_16902)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16899;
				BgL_ev_absz00_bglt BgL_i1249z00_16900;
				obj_t BgL_bodyz00_16901;

				BgL_iboxesz00_16899 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16898, (int) (((long) 0))));
				BgL_i1249z00_16900 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16898, (int) (((long) 1))));
				BgL_bodyz00_16901 = PROCEDURE_REF(BgL_envz00_16898, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3663;

					BgL_sz00_3663 = BgL_sz00_16902;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3665;

						BgL_bpz00_3665 = VECTOR_REF(BgL_sz00_3663, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3663,
							BgL_iboxesz00_16899, BgL_bpz00_3665);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3666;
							obj_t BgL_wherez00_3667;
							obj_t BgL_locz00_3668;

							BgL_z12denvz12_3666 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3667 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16900))->BgL_wherez00);
							BgL_locz00_3668 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16900))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3666, BgL_wherez00_3667,
									BgL_locz00_3668);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3669;

									BgL_za2za2resza2za2z00_3669 =
										PROCEDURE_ENTRY(BgL_bodyz00_16901) (BgL_bodyz00_16901,
										BgL_sz00_3663, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3666);
									return BgL_za2za2resza2za2z00_3669;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3211> */
	obj_t BGl_z62zc3anonymousza33211ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16903, obj_t BgL_sz00_16909)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16904;
				long BgL_siza7eza7_16905;
				BgL_ev_absz00_bglt BgL_i1249z00_16906;
				obj_t BgL_bodyz00_16907;
				long BgL_siza7ezd2framez75_16908;

				BgL_ifreesz00_16904 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16903, (int) (((long) 0))));
				BgL_siza7eza7_16905 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16903, (int) (((long) 1))));
				BgL_i1249z00_16906 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16903, (int) (((long) 2))));
				BgL_bodyz00_16907 = PROCEDURE_REF(BgL_envz00_16903, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16908 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16903, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3673;

					BgL_sz00_3673 = BgL_sz00_16909;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3675;

						BgL_bpz00_3675 = VECTOR_REF(BgL_sz00_3673, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3676;

							BgL_valza2za2_3676 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3673,
								BgL_bpz00_3675, BgL_ifreesz00_16904);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16094;

								BgL_runz00_16094 =
									MAKE_FX_PROCEDURE(BGl_z62run5492z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16905));
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 1)), BgL_valza2za2_3676);
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16906));
								PROCEDURE_SET(BgL_runz00_16094,
									(int) (((long) 3)), BgL_bodyz00_16907);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16095;

									BgL_mainz00_16095 =
										MAKE_FX_PROCEDURE(BGl_z62main5491z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16905));
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 1)), BgL_valza2za2_3676);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16906));
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 3)), BgL_bodyz00_16907);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 4)), BgL_runz00_16094);
									PROCEDURE_SET(BgL_mainz00_16095,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16908));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11954;

										BgL_objz00_11954 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16094, BgL_objz00_11954);
										BgL_objz00_11954;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3212z00_3679;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3213z00_3680;

											BgL_arg3213z00_3680 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16906))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11958;

												BgL_newz00_11958 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28542;

													BgL_auxz00_28542 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11958, BgL_auxz00_28542,
														BgL_arg3213z00_3680);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28547;
													int BgL_auxz00_28545;

													BgL_auxz00_28547 = BINT(BgL_siza7ezd2framez75_16908);
													BgL_auxz00_28545 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11958, BgL_auxz00_28545,
														BgL_auxz00_28547);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28550;

													BgL_auxz00_28550 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11958, BgL_auxz00_28550,
														BgL_runz00_16094);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28555;
													int BgL_auxz00_28553;

													BgL_auxz00_28555 = BINT(((long) 1));
													BgL_auxz00_28553 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11958, BgL_auxz00_28553,
														BgL_auxz00_28555);
												}
												BgL_arg3212z00_3679 = BgL_newz00_11958;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16095, BgL_arg3212z00_3679);
										BgL_arg3212z00_3679;
									}
									return BgL_mainz00_16095;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5491 */
	obj_t BGl_z62main5491z62zz__evaluate_compz00(obj_t BgL_envz00_16910,
		obj_t BgL_dz00_16917)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16915;
				long BgL_siza7ezd2framez75_16916;

				BgL_runz00_16915 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16910, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16916 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16910, (int) (((long) 5))));
				{
					obj_t BgL_dz00_3681;

					BgL_dz00_3681 = BgL_dz00_16917;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3683;

						BgL_sz00_3683 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3684;

							BgL_bpz00_3684 = VECTOR_REF(BgL_sz00_3683, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28568;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11898;

									BgL_arg1899z00_11898 = VECTOR_LENGTH(BgL_sz00_3683);
									BgL_testz00_28568 =
										(
										((long) CINT(BgL_bpz00_3684) +
											BgL_siza7ezd2framez75_16916) <
										(long) (BgL_arg1899z00_11898));
								}
								if (BgL_testz00_28568)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3216z00_3686;

											BgL_arg3216z00_3686 =
												((long) CINT(BgL_bpz00_3684) + ((long) 0));
											VECTOR_SET(BgL_sz00_3683,
												(int) (BgL_arg3216z00_3686), BgL_dz00_3681);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1336z00_3687;

											BgL_val1336z00_3687 =
												BGl_zc3exitza33220ze3z83zz__evaluate_compz00
												(BgL_bpz00_3684, BgL_sz00_3683, BgL_runz00_16915);
											VECTOR_SET(BgL_sz00_3683, (int) (((long) 0)),
												BgL_bpz00_3684);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1336z00_3687)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1336z00_3687), CDR(BgL_val1336z00_3687));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1336z00_3687;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3694;

										BgL_nsz00_3694 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3694,
											(int) (((long) 1)), BgL_sz00_3683);
										VECTOR_SET(BgL_nsz00_3694,
											(int) (((long) 2)), BgL_dz00_3681);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28592;

											BgL_auxz00_28592 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28592, BgL_nsz00_3694);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1339z00_3696;

											BgL_val1339z00_3696 =
												BGl_zc3exitza33226ze3z83zz__evaluate_compz00
												(BgL_runz00_16915, BgL_nsz00_3694);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28596;

												BgL_auxz00_28596 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28596, BgL_sz00_3683);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1339z00_3696)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1339z00_3696), CDR(BgL_val1339z00_3696));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1339z00_3696;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3226> */
	obj_t BGl_zc3exitza33226ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17478,
		obj_t BgL_nsz00_17477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1340z00_3702;

			if (SET_EXIT(BgL_an_exit1340z00_3702))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1340z00_3702 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1340z00_3702, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1341z00_3703;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11926;

								BgL_savedzd2bpzd2_11926 =
									VECTOR_REF(BgL_nsz00_17477, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17477,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11933;

									BgL_fz00_11933 = BgL_runz00_17478;
								BgL_recz00_11932:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11934;

										BgL_rz00_11934 =
											PROCEDURE_ENTRY(BgL_fz00_11933) (BgL_fz00_11933,
											BgL_nsz00_17477, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28617;

											if (PROCEDUREP(BgL_rz00_11934))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11939;

													BgL_arg1890z00_11939 = PROCEDURE_ATTR(BgL_rz00_11934);
													if (STRUCTP(BgL_arg1890z00_11939))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28617 =
																(STRUCT_KEY(BgL_arg1890z00_11939) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28617 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28617 = ((bool_t) 0);
												}
											if (BgL_testz00_28617)
												{
													obj_t BgL_fz00_28625;

													BgL_fz00_28625 = BgL_rz00_11934;
													BgL_fz00_11933 = BgL_fz00_28625;
													goto BgL_recz00_11932;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17477,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11926);
													BgL_val1341z00_3703 = BgL_rz00_11934;
							}}}}}
							POP_EXIT();
							return BgL_val1341z00_3703;
						}
					}
				}
		}
	}



/* <exit:3220> */
	obj_t BGl_zc3exitza33220ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17481,
		obj_t BgL_sz00_17480, obj_t BgL_runz00_17479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1337z00_3692;

			if (SET_EXIT(BgL_an_exit1337z00_3692))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1337z00_3692 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1337z00_3692, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1338z00_3693;

							BgL_val1338z00_3693 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17479,
								BgL_sz00_17480, BgL_bpz00_17481);
							POP_EXIT();
							return BgL_val1338z00_3693;
						}
					}
				}
		}
	}



/* &run5492 */
	obj_t BGl_z62run5492z62zz__evaluate_compz00(obj_t BgL_envz00_16918,
		obj_t BgL_sz00_16923)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16919;
				obj_t BgL_valza2za2_16920;
				BgL_ev_absz00_bglt BgL_i1249z00_16921;
				obj_t BgL_bodyz00_16922;

				BgL_siza7eza7_16919 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16918, (int) (((long) 0))));
				BgL_valza2za2_16920 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16918, (int) (((long) 1))));
				BgL_i1249z00_16921 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16918, (int) (((long) 2))));
				BgL_bodyz00_16922 = PROCEDURE_REF(BgL_envz00_16918, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3705;

					BgL_sz00_3705 = BgL_sz00_16923;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3707;

						BgL_bpz00_3707 = VECTOR_REF(BgL_sz00_3705, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3705,
							BgL_valza2za2_16920,
							((long) CINT(BgL_bpz00_3707) + BgL_siza7eza7_16919));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3709;
							obj_t BgL_wherez00_3710;
							obj_t BgL_locz00_3711;

							BgL_z12denvz12_3709 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3710 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16921))->BgL_wherez00);
							BgL_locz00_3711 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16921))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3709, BgL_wherez00_3710,
									BgL_locz00_3711);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3712;

									BgL_za2za2resza2za2z00_3712 =
										PROCEDURE_ENTRY(BgL_bodyz00_16922) (BgL_bodyz00_16922,
										BgL_sz00_3705, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3709);
									return BgL_za2za2resza2za2z00_3712;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3229> */
	obj_t BGl_z62zc3anonymousza33229ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16924, obj_t BgL_sz00_16931)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16925;
				obj_t BgL_iboxesz00_16926;
				long BgL_siza7eza7_16927;
				BgL_ev_absz00_bglt BgL_i1249z00_16928;
				obj_t BgL_bodyz00_16929;
				long BgL_siza7ezd2framez75_16930;

				BgL_ifreesz00_16925 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16924, (int) (((long) 0))));
				BgL_iboxesz00_16926 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16924, (int) (((long) 1))));
				BgL_siza7eza7_16927 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16924, (int) (((long) 2))));
				BgL_i1249z00_16928 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16924, (int) (((long) 3))));
				BgL_bodyz00_16929 = PROCEDURE_REF(BgL_envz00_16924, (int) (((long) 4)));
				BgL_siza7ezd2framez75_16930 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16924, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3714;

					BgL_sz00_3714 = BgL_sz00_16931;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3716;

						BgL_bpz00_3716 = VECTOR_REF(BgL_sz00_3714, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3717;

							BgL_valza2za2_3717 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3714,
								BgL_bpz00_3716, BgL_ifreesz00_16925);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16091;

								BgL_runz00_16091 =
									MAKE_FX_PROCEDURE(BGl_z62run5494z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16091,
									(int) (((long) 0)), BgL_iboxesz00_16926);
								PROCEDURE_SET(BgL_runz00_16091,
									(int) (((long) 1)), BINT(BgL_siza7eza7_16927));
								PROCEDURE_SET(BgL_runz00_16091,
									(int) (((long) 2)), BgL_valza2za2_3717);
								PROCEDURE_SET(BgL_runz00_16091,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_16928));
								PROCEDURE_SET(BgL_runz00_16091,
									(int) (((long) 4)), BgL_bodyz00_16929);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16092;

									BgL_mainz00_16092 =
										MAKE_FX_PROCEDURE(BGl_z62main5493z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 0)), BgL_iboxesz00_16926);
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 1)), BINT(BgL_siza7eza7_16927));
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 2)), BgL_valza2za2_3717);
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_16928));
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 4)), BgL_bodyz00_16929);
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 5)), BgL_runz00_16091);
									PROCEDURE_SET(BgL_mainz00_16092,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_16930));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_12048;

										BgL_objz00_12048 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16091, BgL_objz00_12048);
										BgL_objz00_12048;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3230z00_3720;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3231z00_3721;

											BgL_arg3231z00_3721 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16928))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_12052;

												BgL_newz00_12052 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28718;

													BgL_auxz00_28718 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12052, BgL_auxz00_28718,
														BgL_arg3231z00_3721);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28723;
													int BgL_auxz00_28721;

													BgL_auxz00_28723 = BINT(BgL_siza7ezd2framez75_16930);
													BgL_auxz00_28721 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12052, BgL_auxz00_28721,
														BgL_auxz00_28723);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28726;

													BgL_auxz00_28726 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12052, BgL_auxz00_28726,
														BgL_runz00_16091);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28731;
													int BgL_auxz00_28729;

													BgL_auxz00_28731 = BINT(((long) 1));
													BgL_auxz00_28729 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12052, BgL_auxz00_28729,
														BgL_auxz00_28731);
												}
												BgL_arg3230z00_3720 = BgL_newz00_12052;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16092, BgL_arg3230z00_3720);
										BgL_arg3230z00_3720;
									}
									return BgL_mainz00_16092;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5493 */
	obj_t BGl_z62main5493z62zz__evaluate_compz00(obj_t BgL_envz00_16932,
		obj_t BgL_dz00_16940)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16938;
				long BgL_siza7ezd2framez75_16939;

				BgL_runz00_16938 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 5))));
				BgL_siza7ezd2framez75_16939 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16932, (int) (((long) 6))));
				{
					obj_t BgL_dz00_3722;

					BgL_dz00_3722 = BgL_dz00_16940;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3724;

						BgL_sz00_3724 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3725;

							BgL_bpz00_3725 = VECTOR_REF(BgL_sz00_3724, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28744;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11992;

									BgL_arg1899z00_11992 = VECTOR_LENGTH(BgL_sz00_3724);
									BgL_testz00_28744 =
										(
										((long) CINT(BgL_bpz00_3725) +
											BgL_siza7ezd2framez75_16939) <
										(long) (BgL_arg1899z00_11992));
								}
								if (BgL_testz00_28744)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3234z00_3727;

											BgL_arg3234z00_3727 =
												((long) CINT(BgL_bpz00_3725) + ((long) 0));
											VECTOR_SET(BgL_sz00_3724,
												(int) (BgL_arg3234z00_3727), BgL_dz00_3722);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1342z00_3728;

											BgL_val1342z00_3728 =
												BGl_zc3exitza33238ze3z83zz__evaluate_compz00
												(BgL_bpz00_3725, BgL_sz00_3724, BgL_runz00_16938);
											VECTOR_SET(BgL_sz00_3724, (int) (((long) 0)),
												BgL_bpz00_3725);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1342z00_3728)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1342z00_3728), CDR(BgL_val1342z00_3728));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1342z00_3728;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3735;

										BgL_nsz00_3735 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3735,
											(int) (((long) 1)), BgL_sz00_3724);
										VECTOR_SET(BgL_nsz00_3735,
											(int) (((long) 2)), BgL_dz00_3722);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28768;

											BgL_auxz00_28768 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28768, BgL_nsz00_3735);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1345z00_3737;

											BgL_val1345z00_3737 =
												BGl_zc3exitza33244ze3z83zz__evaluate_compz00
												(BgL_runz00_16938, BgL_nsz00_3735);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28772;

												BgL_auxz00_28772 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28772, BgL_sz00_3724);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1345z00_3737)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1345z00_3737), CDR(BgL_val1345z00_3737));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1345z00_3737;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3244> */
	obj_t BGl_zc3exitza33244ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17473,
		obj_t BgL_nsz00_17472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1346z00_3743;

			if (SET_EXIT(BgL_an_exit1346z00_3743))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1346z00_3743 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1346z00_3743, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1347z00_3744;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_12020;

								BgL_savedzd2bpzd2_12020 =
									VECTOR_REF(BgL_nsz00_17472, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17472,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_12027;

									BgL_fz00_12027 = BgL_runz00_17473;
								BgL_recz00_12026:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_12028;

										BgL_rz00_12028 =
											PROCEDURE_ENTRY(BgL_fz00_12027) (BgL_fz00_12027,
											BgL_nsz00_17472, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28793;

											if (PROCEDUREP(BgL_rz00_12028))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_12033;

													BgL_arg1890z00_12033 = PROCEDURE_ATTR(BgL_rz00_12028);
													if (STRUCTP(BgL_arg1890z00_12033))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28793 =
																(STRUCT_KEY(BgL_arg1890z00_12033) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28793 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28793 = ((bool_t) 0);
												}
											if (BgL_testz00_28793)
												{
													obj_t BgL_fz00_28801;

													BgL_fz00_28801 = BgL_rz00_12028;
													BgL_fz00_12027 = BgL_fz00_28801;
													goto BgL_recz00_12026;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17472,
														(int) (((long) 0)), BgL_savedzd2bpzd2_12020);
													BgL_val1347z00_3744 = BgL_rz00_12028;
							}}}}}
							POP_EXIT();
							return BgL_val1347z00_3744;
						}
					}
				}
		}
	}



/* <exit:3238> */
	obj_t BGl_zc3exitza33238ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17476,
		obj_t BgL_sz00_17475, obj_t BgL_runz00_17474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1343z00_3733;

			if (SET_EXIT(BgL_an_exit1343z00_3733))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1343z00_3733 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1343z00_3733, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1344z00_3734;

							BgL_val1344z00_3734 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17474,
								BgL_sz00_17475, BgL_bpz00_17476);
							POP_EXIT();
							return BgL_val1344z00_3734;
						}
					}
				}
		}
	}



/* &run5494 */
	obj_t BGl_z62run5494z62zz__evaluate_compz00(obj_t BgL_envz00_16941,
		obj_t BgL_sz00_16947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16942;
				long BgL_siza7eza7_16943;
				obj_t BgL_valza2za2_16944;
				BgL_ev_absz00_bglt BgL_i1249z00_16945;
				obj_t BgL_bodyz00_16946;

				BgL_iboxesz00_16942 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 0))));
				BgL_siza7eza7_16943 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 1))));
				BgL_valza2za2_16944 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 2))));
				BgL_i1249z00_16945 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 3))));
				BgL_bodyz00_16946 = PROCEDURE_REF(BgL_envz00_16941, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3746;

					BgL_sz00_3746 = BgL_sz00_16947;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3748;

						BgL_bpz00_3748 = VECTOR_REF(BgL_sz00_3746, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3746,
							BgL_iboxesz00_16942, BgL_bpz00_3748);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3746,
							BgL_valza2za2_16944,
							((long) CINT(BgL_bpz00_3748) + BgL_siza7eza7_16943));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3750;
							obj_t BgL_wherez00_3751;
							obj_t BgL_locz00_3752;

							BgL_z12denvz12_3750 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3751 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16945))->BgL_wherez00);
							BgL_locz00_3752 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16945))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3750, BgL_wherez00_3751,
									BgL_locz00_3752);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3753;

									BgL_za2za2resza2za2z00_3753 =
										PROCEDURE_ENTRY(BgL_bodyz00_16946) (BgL_bodyz00_16946,
										BgL_sz00_3746, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3750);
									return BgL_za2za2resza2za2z00_3753;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3097> */
	obj_t BGl_z62zc3anonymousza33097ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16948, obj_t BgL_sz00_16952)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16949;
				obj_t BgL_bodyz00_16950;
				long BgL_siza7ezd2framez75_16951;

				BgL_i1249z00_16949 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16948, (int) (((long) 0))));
				BgL_bodyz00_16950 = PROCEDURE_REF(BgL_envz00_16948, (int) (((long) 1)));
				BgL_siza7ezd2framez75_16951 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16948, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3427;

					BgL_sz00_3427 = BgL_sz00_16952;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3429;

						BgL_bpz00_3429 = VECTOR_REF(BgL_sz00_3427, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16088;

								BgL_runz00_16088 =
									MAKE_FX_PROCEDURE(BGl_z62run5496z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16088,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_16949));
								PROCEDURE_SET(BgL_runz00_16088,
									(int) (((long) 1)), BgL_bodyz00_16950);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16089;

									BgL_mainz00_16089 =
										MAKE_VA_PROCEDURE(BGl_z62main5495z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16089,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_16949));
									PROCEDURE_SET(BgL_mainz00_16089,
										(int) (((long) 1)), BgL_bodyz00_16950);
									PROCEDURE_SET(BgL_mainz00_16089,
										(int) (((long) 2)), BgL_runz00_16088);
									PROCEDURE_SET(BgL_mainz00_16089,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_16951));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11383;

										BgL_objz00_11383 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16088, BgL_objz00_11383);
										BgL_objz00_11383;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3098z00_3432;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3099z00_3433;

											BgL_arg3099z00_3433 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16949))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11387;

												BgL_newz00_11387 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28874;

													BgL_auxz00_28874 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11387, BgL_auxz00_28874,
														BgL_arg3099z00_3433);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28879;
													int BgL_auxz00_28877;

													BgL_auxz00_28879 = BINT(BgL_siza7ezd2framez75_16951);
													BgL_auxz00_28877 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11387, BgL_auxz00_28877,
														BgL_auxz00_28879);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_28882;

													BgL_auxz00_28882 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11387, BgL_auxz00_28882,
														BgL_runz00_16088);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_28887;
													int BgL_auxz00_28885;

													BgL_auxz00_28887 = BINT(((long) -1));
													BgL_auxz00_28885 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11387, BgL_auxz00_28885,
														BgL_auxz00_28887);
												}
												BgL_arg3098z00_3432 = BgL_newz00_11387;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16089, BgL_arg3098z00_3432);
										BgL_arg3098z00_3432;
									}
									return BgL_mainz00_16089;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5495 */
	obj_t BGl_z62main5495z62zz__evaluate_compz00(obj_t BgL_envz00_16953,
		obj_t BgL_lastz00_16958)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16956;
				long BgL_siza7ezd2framez75_16957;

				BgL_runz00_16956 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 2))));
				BgL_siza7ezd2framez75_16957 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16953, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_3434;

					BgL_lastz00_3434 = BgL_lastz00_16958;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3436;

						BgL_sz00_3436 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3437;

							BgL_bpz00_3437 = VECTOR_REF(BgL_sz00_3436, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_28900;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11327;

									BgL_arg1899z00_11327 = VECTOR_LENGTH(BgL_sz00_3436);
									BgL_testz00_28900 =
										(
										((long) CINT(BgL_bpz00_3437) +
											BgL_siza7ezd2framez75_16957) <
										(long) (BgL_arg1899z00_11327));
								}
								if (BgL_testz00_28900)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3102z00_3439;

											BgL_arg3102z00_3439 =
												((long) CINT(BgL_bpz00_3437) + ((long) 0));
											VECTOR_SET(BgL_sz00_3436,
												(int) (BgL_arg3102z00_3439), BgL_lastz00_3434);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1300z00_3440;

											BgL_val1300z00_3440 =
												BGl_zc3exitza33106ze3z83zz__evaluate_compz00
												(BgL_bpz00_3437, BgL_sz00_3436, BgL_runz00_16956);
											VECTOR_SET(BgL_sz00_3436, (int) (((long) 0)),
												BgL_bpz00_3437);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1300z00_3440)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1300z00_3440), CDR(BgL_val1300z00_3440));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1300z00_3440;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3447;

										BgL_nsz00_3447 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3447,
											(int) (((long) 1)), BgL_sz00_3436);
										VECTOR_SET(BgL_nsz00_3447,
											(int) (((long) 2)), BgL_lastz00_3434);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_28924;

											BgL_auxz00_28924 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28924, BgL_nsz00_3447);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1303z00_3449;

											BgL_val1303z00_3449 =
												BGl_zc3exitza33113ze3z83zz__evaluate_compz00
												(BgL_runz00_16956, BgL_nsz00_3447);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_28928;

												BgL_auxz00_28928 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_28928, BgL_sz00_3436);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1303z00_3449)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1303z00_3449), CDR(BgL_val1303z00_3449));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1303z00_3449;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3113> */
	obj_t BGl_zc3exitza33113ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17468,
		obj_t BgL_nsz00_17467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1304z00_3455;

			if (SET_EXIT(BgL_an_exit1304z00_3455))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1304z00_3455 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1304z00_3455, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1305z00_3456;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11355;

								BgL_savedzd2bpzd2_11355 =
									VECTOR_REF(BgL_nsz00_17467, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17467,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11362;

									BgL_fz00_11362 = BgL_runz00_17468;
								BgL_recz00_11361:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11363;

										BgL_rz00_11363 =
											PROCEDURE_ENTRY(BgL_fz00_11362) (BgL_fz00_11362,
											BgL_nsz00_17467, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_28949;

											if (PROCEDUREP(BgL_rz00_11363))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11368;

													BgL_arg1890z00_11368 = PROCEDURE_ATTR(BgL_rz00_11363);
													if (STRUCTP(BgL_arg1890z00_11368))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28949 =
																(STRUCT_KEY(BgL_arg1890z00_11368) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_28949 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_28949 = ((bool_t) 0);
												}
											if (BgL_testz00_28949)
												{
													obj_t BgL_fz00_28957;

													BgL_fz00_28957 = BgL_rz00_11363;
													BgL_fz00_11362 = BgL_fz00_28957;
													goto BgL_recz00_11361;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17467,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11355);
													BgL_val1305z00_3456 = BgL_rz00_11363;
							}}}}}
							POP_EXIT();
							return BgL_val1305z00_3456;
						}
					}
				}
		}
	}



/* <exit:3106> */
	obj_t BGl_zc3exitza33106ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17471,
		obj_t BgL_sz00_17470, obj_t BgL_runz00_17469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1301z00_3445;

			if (SET_EXIT(BgL_an_exit1301z00_3445))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1301z00_3445 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1301z00_3445, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1302z00_3446;

							BgL_val1302z00_3446 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17469,
								BgL_sz00_17470, BgL_bpz00_17471);
							POP_EXIT();
							return BgL_val1302z00_3446;
						}
					}
				}
		}
	}



/* &run5496 */
	obj_t BGl_z62run5496z62zz__evaluate_compz00(obj_t BgL_envz00_16959,
		obj_t BgL_sz00_16962)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_16960;
				obj_t BgL_bodyz00_16961;

				BgL_i1249z00_16960 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16959, (int) (((long) 0))));
				BgL_bodyz00_16961 = PROCEDURE_REF(BgL_envz00_16959, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3458;

					BgL_sz00_3458 = BgL_sz00_16962;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3460;

						BgL_bpz00_3460 = VECTOR_REF(BgL_sz00_3458, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3461;
							obj_t BgL_wherez00_3462;
							obj_t BgL_locz00_3463;

							BgL_z12denvz12_3461 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3462 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16960))->BgL_wherez00);
							BgL_locz00_3463 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16960))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3461, BgL_wherez00_3462,
									BgL_locz00_3463);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3464;

									BgL_za2za2resza2za2z00_3464 =
										PROCEDURE_ENTRY(BgL_bodyz00_16961) (BgL_bodyz00_16961,
										BgL_sz00_3458, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3461);
									return BgL_za2za2resza2za2z00_3464;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3115> */
	obj_t BGl_z62zc3anonymousza33115ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16963, obj_t BgL_sz00_16968)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16964;
				BgL_ev_absz00_bglt BgL_i1249z00_16965;
				obj_t BgL_bodyz00_16966;
				long BgL_siza7ezd2framez75_16967;

				BgL_iboxesz00_16964 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16963, (int) (((long) 0))));
				BgL_i1249z00_16965 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16963, (int) (((long) 1))));
				BgL_bodyz00_16966 = PROCEDURE_REF(BgL_envz00_16963, (int) (((long) 2)));
				BgL_siza7ezd2framez75_16967 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16963, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3466;

					BgL_sz00_3466 = BgL_sz00_16968;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3468;

						BgL_bpz00_3468 = VECTOR_REF(BgL_sz00_3466, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16085;

								BgL_runz00_16085 =
									MAKE_FX_PROCEDURE(BGl_z62run5498z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16085,
									(int) (((long) 0)), BgL_iboxesz00_16964);
								PROCEDURE_SET(BgL_runz00_16085,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_16965));
								PROCEDURE_SET(BgL_runz00_16085,
									(int) (((long) 2)), BgL_bodyz00_16966);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16086;

									BgL_mainz00_16086 =
										MAKE_VA_PROCEDURE(BGl_z62main5497z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16086,
										(int) (((long) 0)), BgL_iboxesz00_16964);
									PROCEDURE_SET(BgL_mainz00_16086,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_16965));
									PROCEDURE_SET(BgL_mainz00_16086,
										(int) (((long) 2)), BgL_bodyz00_16966);
									PROCEDURE_SET(BgL_mainz00_16086,
										(int) (((long) 3)), BgL_runz00_16085);
									PROCEDURE_SET(BgL_mainz00_16086,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_16967));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11474;

										BgL_objz00_11474 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16085, BgL_objz00_11474);
										BgL_objz00_11474;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3116z00_3471;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3117z00_3472;

											BgL_arg3117z00_3472 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16965))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11478;

												BgL_newz00_11478 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29024;

													BgL_auxz00_29024 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11478, BgL_auxz00_29024,
														BgL_arg3117z00_3472);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29029;
													int BgL_auxz00_29027;

													BgL_auxz00_29029 = BINT(BgL_siza7ezd2framez75_16967);
													BgL_auxz00_29027 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11478, BgL_auxz00_29027,
														BgL_auxz00_29029);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29032;

													BgL_auxz00_29032 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11478, BgL_auxz00_29032,
														BgL_runz00_16085);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29037;
													int BgL_auxz00_29035;

													BgL_auxz00_29037 = BINT(((long) -1));
													BgL_auxz00_29035 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11478, BgL_auxz00_29035,
														BgL_auxz00_29037);
												}
												BgL_arg3116z00_3471 = BgL_newz00_11478;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16086, BgL_arg3116z00_3471);
										BgL_arg3116z00_3471;
									}
									return BgL_mainz00_16086;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5497 */
	obj_t BGl_z62main5497z62zz__evaluate_compz00(obj_t BgL_envz00_16969,
		obj_t BgL_lastz00_16975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16973;
				long BgL_siza7ezd2framez75_16974;

				BgL_runz00_16973 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16969, (int) (((long) 3))));
				BgL_siza7ezd2framez75_16974 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16969, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_3473;

					BgL_lastz00_3473 = BgL_lastz00_16975;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3475;

						BgL_sz00_3475 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3476;

							BgL_bpz00_3476 = VECTOR_REF(BgL_sz00_3475, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29050;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11418;

									BgL_arg1899z00_11418 = VECTOR_LENGTH(BgL_sz00_3475);
									BgL_testz00_29050 =
										(
										((long) CINT(BgL_bpz00_3476) +
											BgL_siza7ezd2framez75_16974) <
										(long) (BgL_arg1899z00_11418));
								}
								if (BgL_testz00_29050)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3120z00_3478;

											BgL_arg3120z00_3478 =
												((long) CINT(BgL_bpz00_3476) + ((long) 0));
											VECTOR_SET(BgL_sz00_3475,
												(int) (BgL_arg3120z00_3478), BgL_lastz00_3473);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1306z00_3479;

											BgL_val1306z00_3479 =
												BGl_zc3exitza33124ze3z83zz__evaluate_compz00
												(BgL_bpz00_3476, BgL_sz00_3475, BgL_runz00_16973);
											VECTOR_SET(BgL_sz00_3475, (int) (((long) 0)),
												BgL_bpz00_3476);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1306z00_3479)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1306z00_3479), CDR(BgL_val1306z00_3479));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1306z00_3479;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3486;

										BgL_nsz00_3486 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3486,
											(int) (((long) 1)), BgL_sz00_3475);
										VECTOR_SET(BgL_nsz00_3486,
											(int) (((long) 2)), BgL_lastz00_3473);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29074;

											BgL_auxz00_29074 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29074, BgL_nsz00_3486);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1309z00_3488;

											BgL_val1309z00_3488 =
												BGl_zc3exitza33130ze3z83zz__evaluate_compz00
												(BgL_runz00_16973, BgL_nsz00_3486);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29078;

												BgL_auxz00_29078 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29078, BgL_sz00_3475);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1309z00_3488)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1309z00_3488), CDR(BgL_val1309z00_3488));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1309z00_3488;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3130> */
	obj_t BGl_zc3exitza33130ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17463,
		obj_t BgL_nsz00_17462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1310z00_3494;

			if (SET_EXIT(BgL_an_exit1310z00_3494))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1310z00_3494 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1310z00_3494, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1311z00_3495;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11446;

								BgL_savedzd2bpzd2_11446 =
									VECTOR_REF(BgL_nsz00_17462, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17462,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11453;

									BgL_fz00_11453 = BgL_runz00_17463;
								BgL_recz00_11452:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11454;

										BgL_rz00_11454 =
											PROCEDURE_ENTRY(BgL_fz00_11453) (BgL_fz00_11453,
											BgL_nsz00_17462, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29099;

											if (PROCEDUREP(BgL_rz00_11454))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11459;

													BgL_arg1890z00_11459 = PROCEDURE_ATTR(BgL_rz00_11454);
													if (STRUCTP(BgL_arg1890z00_11459))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29099 =
																(STRUCT_KEY(BgL_arg1890z00_11459) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29099 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29099 = ((bool_t) 0);
												}
											if (BgL_testz00_29099)
												{
													obj_t BgL_fz00_29107;

													BgL_fz00_29107 = BgL_rz00_11454;
													BgL_fz00_11453 = BgL_fz00_29107;
													goto BgL_recz00_11452;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17462,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11446);
													BgL_val1311z00_3495 = BgL_rz00_11454;
							}}}}}
							POP_EXIT();
							return BgL_val1311z00_3495;
						}
					}
				}
		}
	}



/* <exit:3124> */
	obj_t BGl_zc3exitza33124ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17466,
		obj_t BgL_sz00_17465, obj_t BgL_runz00_17464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1307z00_3484;

			if (SET_EXIT(BgL_an_exit1307z00_3484))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1307z00_3484 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1307z00_3484, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1308z00_3485;

							BgL_val1308z00_3485 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17464,
								BgL_sz00_17465, BgL_bpz00_17466);
							POP_EXIT();
							return BgL_val1308z00_3485;
						}
					}
				}
		}
	}



/* &run5498 */
	obj_t BGl_z62run5498z62zz__evaluate_compz00(obj_t BgL_envz00_16976,
		obj_t BgL_sz00_16980)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_16977;
				BgL_ev_absz00_bglt BgL_i1249z00_16978;
				obj_t BgL_bodyz00_16979;

				BgL_iboxesz00_16977 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16976, (int) (((long) 0))));
				BgL_i1249z00_16978 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16976, (int) (((long) 1))));
				BgL_bodyz00_16979 = PROCEDURE_REF(BgL_envz00_16976, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3497;

					BgL_sz00_3497 = BgL_sz00_16980;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3499;

						BgL_bpz00_3499 = VECTOR_REF(BgL_sz00_3497, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3497,
							BgL_iboxesz00_16977, BgL_bpz00_3499);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3500;
							obj_t BgL_wherez00_3501;
							obj_t BgL_locz00_3502;

							BgL_z12denvz12_3500 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3501 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16978))->BgL_wherez00);
							BgL_locz00_3502 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16978))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3500, BgL_wherez00_3501,
									BgL_locz00_3502);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3503;

									BgL_za2za2resza2za2z00_3503 =
										PROCEDURE_ENTRY(BgL_bodyz00_16979) (BgL_bodyz00_16979,
										BgL_sz00_3497, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3500);
									return BgL_za2za2resza2za2z00_3503;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3134> */
	obj_t BGl_z62zc3anonymousza33134ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_16981, obj_t BgL_sz00_16987)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_16982;
				long BgL_siza7eza7_16983;
				BgL_ev_absz00_bglt BgL_i1249z00_16984;
				obj_t BgL_bodyz00_16985;
				long BgL_siza7ezd2framez75_16986;

				BgL_ifreesz00_16982 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16981, (int) (((long) 0))));
				BgL_siza7eza7_16983 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16981, (int) (((long) 1))));
				BgL_i1249z00_16984 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16981, (int) (((long) 2))));
				BgL_bodyz00_16985 = PROCEDURE_REF(BgL_envz00_16981, (int) (((long) 3)));
				BgL_siza7ezd2framez75_16986 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16981, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3507;

					BgL_sz00_3507 = BgL_sz00_16987;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3509;

						BgL_bpz00_3509 = VECTOR_REF(BgL_sz00_3507, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3510;

							BgL_valza2za2_3510 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3507,
								BgL_bpz00_3509, BgL_ifreesz00_16982);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16082;

								BgL_runz00_16082 =
									MAKE_FX_PROCEDURE(BGl_z62run5500z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16082,
									(int) (((long) 0)), BINT(BgL_siza7eza7_16983));
								PROCEDURE_SET(BgL_runz00_16082,
									(int) (((long) 1)), BgL_valza2za2_3510);
								PROCEDURE_SET(BgL_runz00_16082,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_16984));
								PROCEDURE_SET(BgL_runz00_16082,
									(int) (((long) 3)), BgL_bodyz00_16985);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16083;

									BgL_mainz00_16083 =
										MAKE_VA_PROCEDURE(BGl_z62main5499z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16083,
										(int) (((long) 0)), BINT(BgL_siza7eza7_16983));
									PROCEDURE_SET(BgL_mainz00_16083,
										(int) (((long) 1)), BgL_valza2za2_3510);
									PROCEDURE_SET(BgL_mainz00_16083,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_16984));
									PROCEDURE_SET(BgL_mainz00_16083,
										(int) (((long) 3)), BgL_bodyz00_16985);
									PROCEDURE_SET(BgL_mainz00_16083,
										(int) (((long) 4)), BgL_runz00_16082);
									PROCEDURE_SET(BgL_mainz00_16083,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_16986));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11572;

										BgL_objz00_11572 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16082, BgL_objz00_11572);
										BgL_objz00_11572;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3135z00_3513;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3136z00_3514;

											BgL_arg3136z00_3514 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16984))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11576;

												BgL_newz00_11576 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29188;

													BgL_auxz00_29188 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11576, BgL_auxz00_29188,
														BgL_arg3136z00_3514);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29193;
													int BgL_auxz00_29191;

													BgL_auxz00_29193 = BINT(BgL_siza7ezd2framez75_16986);
													BgL_auxz00_29191 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11576, BgL_auxz00_29191,
														BgL_auxz00_29193);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29196;

													BgL_auxz00_29196 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11576, BgL_auxz00_29196,
														BgL_runz00_16082);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29201;
													int BgL_auxz00_29199;

													BgL_auxz00_29201 = BINT(((long) -1));
													BgL_auxz00_29199 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11576, BgL_auxz00_29199,
														BgL_auxz00_29201);
												}
												BgL_arg3135z00_3513 = BgL_newz00_11576;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16083, BgL_arg3135z00_3513);
										BgL_arg3135z00_3513;
									}
									return BgL_mainz00_16083;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5499 */
	obj_t BGl_z62main5499z62zz__evaluate_compz00(obj_t BgL_envz00_16988,
		obj_t BgL_lastz00_16995)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_16993;
				long BgL_siza7ezd2framez75_16994;

				BgL_runz00_16993 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16988, (int) (((long) 4))));
				BgL_siza7ezd2framez75_16994 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16988, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_3515;

					BgL_lastz00_3515 = BgL_lastz00_16995;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3517;

						BgL_sz00_3517 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3518;

							BgL_bpz00_3518 = VECTOR_REF(BgL_sz00_3517, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29214;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11516;

									BgL_arg1899z00_11516 = VECTOR_LENGTH(BgL_sz00_3517);
									BgL_testz00_29214 =
										(
										((long) CINT(BgL_bpz00_3518) +
											BgL_siza7ezd2framez75_16994) <
										(long) (BgL_arg1899z00_11516));
								}
								if (BgL_testz00_29214)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3139z00_3520;

											BgL_arg3139z00_3520 =
												((long) CINT(BgL_bpz00_3518) + ((long) 0));
											VECTOR_SET(BgL_sz00_3517,
												(int) (BgL_arg3139z00_3520), BgL_lastz00_3515);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1312z00_3521;

											BgL_val1312z00_3521 =
												BGl_zc3exitza33143ze3z83zz__evaluate_compz00
												(BgL_bpz00_3518, BgL_sz00_3517, BgL_runz00_16993);
											VECTOR_SET(BgL_sz00_3517, (int) (((long) 0)),
												BgL_bpz00_3518);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1312z00_3521)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1312z00_3521), CDR(BgL_val1312z00_3521));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1312z00_3521;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3528;

										BgL_nsz00_3528 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3528,
											(int) (((long) 1)), BgL_sz00_3517);
										VECTOR_SET(BgL_nsz00_3528,
											(int) (((long) 2)), BgL_lastz00_3515);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29238;

											BgL_auxz00_29238 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29238, BgL_nsz00_3528);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1315z00_3530;

											BgL_val1315z00_3530 =
												BGl_zc3exitza33149ze3z83zz__evaluate_compz00
												(BgL_runz00_16993, BgL_nsz00_3528);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29242;

												BgL_auxz00_29242 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29242, BgL_sz00_3517);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1315z00_3530)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1315z00_3530), CDR(BgL_val1315z00_3530));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1315z00_3530;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3149> */
	obj_t BGl_zc3exitza33149ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17458,
		obj_t BgL_nsz00_17457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1316z00_3536;

			if (SET_EXIT(BgL_an_exit1316z00_3536))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1316z00_3536 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1316z00_3536, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1317z00_3537;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11544;

								BgL_savedzd2bpzd2_11544 =
									VECTOR_REF(BgL_nsz00_17457, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17457,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11551;

									BgL_fz00_11551 = BgL_runz00_17458;
								BgL_recz00_11550:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11552;

										BgL_rz00_11552 =
											PROCEDURE_ENTRY(BgL_fz00_11551) (BgL_fz00_11551,
											BgL_nsz00_17457, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29263;

											if (PROCEDUREP(BgL_rz00_11552))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11557;

													BgL_arg1890z00_11557 = PROCEDURE_ATTR(BgL_rz00_11552);
													if (STRUCTP(BgL_arg1890z00_11557))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29263 =
																(STRUCT_KEY(BgL_arg1890z00_11557) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29263 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29263 = ((bool_t) 0);
												}
											if (BgL_testz00_29263)
												{
													obj_t BgL_fz00_29271;

													BgL_fz00_29271 = BgL_rz00_11552;
													BgL_fz00_11551 = BgL_fz00_29271;
													goto BgL_recz00_11550;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17457,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11544);
													BgL_val1317z00_3537 = BgL_rz00_11552;
							}}}}}
							POP_EXIT();
							return BgL_val1317z00_3537;
						}
					}
				}
		}
	}



/* <exit:3143> */
	obj_t BGl_zc3exitza33143ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17461,
		obj_t BgL_sz00_17460, obj_t BgL_runz00_17459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1313z00_3526;

			if (SET_EXIT(BgL_an_exit1313z00_3526))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1313z00_3526 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1313z00_3526, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1314z00_3527;

							BgL_val1314z00_3527 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17459,
								BgL_sz00_17460, BgL_bpz00_17461);
							POP_EXIT();
							return BgL_val1314z00_3527;
						}
					}
				}
		}
	}



/* &run5500 */
	obj_t BGl_z62run5500z62zz__evaluate_compz00(obj_t BgL_envz00_16996,
		obj_t BgL_sz00_17001)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_16997;
				obj_t BgL_valza2za2_16998;
				BgL_ev_absz00_bglt BgL_i1249z00_16999;
				obj_t BgL_bodyz00_17000;

				BgL_siza7eza7_16997 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_16996, (int) (((long) 0))));
				BgL_valza2za2_16998 =
					((obj_t) PROCEDURE_REF(BgL_envz00_16996, (int) (((long) 1))));
				BgL_i1249z00_16999 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_16996, (int) (((long) 2))));
				BgL_bodyz00_17000 = PROCEDURE_REF(BgL_envz00_16996, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3539;

					BgL_sz00_3539 = BgL_sz00_17001;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3541;

						BgL_bpz00_3541 = VECTOR_REF(BgL_sz00_3539, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3539,
							BgL_valza2za2_16998,
							((long) CINT(BgL_bpz00_3541) + BgL_siza7eza7_16997));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3543;
							obj_t BgL_wherez00_3544;
							obj_t BgL_locz00_3545;

							BgL_z12denvz12_3543 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3544 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16999))->BgL_wherez00);
							BgL_locz00_3545 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_16999))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3543, BgL_wherez00_3544,
									BgL_locz00_3545);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3546;

									BgL_za2za2resza2za2z00_3546 =
										PROCEDURE_ENTRY(BgL_bodyz00_17000) (BgL_bodyz00_17000,
										BgL_sz00_3539, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3543);
									return BgL_za2za2resza2za2z00_3546;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3152> */
	obj_t BGl_z62zc3anonymousza33152ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17002, obj_t BgL_sz00_17009)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17003;
				obj_t BgL_iboxesz00_17004;
				long BgL_siza7eza7_17005;
				BgL_ev_absz00_bglt BgL_i1249z00_17006;
				obj_t BgL_bodyz00_17007;
				long BgL_siza7ezd2framez75_17008;

				BgL_ifreesz00_17003 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17002, (int) (((long) 0))));
				BgL_iboxesz00_17004 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17002, (int) (((long) 1))));
				BgL_siza7eza7_17005 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17002, (int) (((long) 2))));
				BgL_i1249z00_17006 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17002, (int) (((long) 3))));
				BgL_bodyz00_17007 = PROCEDURE_REF(BgL_envz00_17002, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17008 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17002, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3548;

					BgL_sz00_3548 = BgL_sz00_17009;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3550;

						BgL_bpz00_3550 = VECTOR_REF(BgL_sz00_3548, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3551;

							BgL_valza2za2_3551 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3548,
								BgL_bpz00_3550, BgL_ifreesz00_17003);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16079;

								BgL_runz00_16079 =
									MAKE_FX_PROCEDURE(BGl_z62run5502z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16079,
									(int) (((long) 0)), BgL_iboxesz00_17004);
								PROCEDURE_SET(BgL_runz00_16079,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17005));
								PROCEDURE_SET(BgL_runz00_16079,
									(int) (((long) 2)), BgL_valza2za2_3551);
								PROCEDURE_SET(BgL_runz00_16079,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_17006));
								PROCEDURE_SET(BgL_runz00_16079,
									(int) (((long) 4)), BgL_bodyz00_17007);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16080;

									BgL_mainz00_16080 =
										MAKE_VA_PROCEDURE(BGl_z62main5501z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 0)), BgL_iboxesz00_17004);
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17005));
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 2)), BgL_valza2za2_3551);
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_17006));
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 4)), BgL_bodyz00_17007);
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 5)), BgL_runz00_16079);
									PROCEDURE_SET(BgL_mainz00_16080,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17008));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11666;

										BgL_objz00_11666 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16079, BgL_objz00_11666);
										BgL_objz00_11666;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3154z00_3554;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3155z00_3555;

											BgL_arg3155z00_3555 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17006))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11670;

												BgL_newz00_11670 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29364;

													BgL_auxz00_29364 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11670, BgL_auxz00_29364,
														BgL_arg3155z00_3555);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29369;
													int BgL_auxz00_29367;

													BgL_auxz00_29369 = BINT(BgL_siza7ezd2framez75_17008);
													BgL_auxz00_29367 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11670, BgL_auxz00_29367,
														BgL_auxz00_29369);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29372;

													BgL_auxz00_29372 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11670, BgL_auxz00_29372,
														BgL_runz00_16079);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29377;
													int BgL_auxz00_29375;

													BgL_auxz00_29377 = BINT(((long) -1));
													BgL_auxz00_29375 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11670, BgL_auxz00_29375,
														BgL_auxz00_29377);
												}
												BgL_arg3154z00_3554 = BgL_newz00_11670;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16080, BgL_arg3154z00_3554);
										BgL_arg3154z00_3554;
									}
									return BgL_mainz00_16080;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5501 */
	obj_t BGl_z62main5501z62zz__evaluate_compz00(obj_t BgL_envz00_17010,
		obj_t BgL_lastz00_17018)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17016;
				long BgL_siza7ezd2framez75_17017;

				BgL_runz00_17016 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17017 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17010, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_3556;

					BgL_lastz00_3556 = BgL_lastz00_17018;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3558;

						BgL_sz00_3558 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3559;

							BgL_bpz00_3559 = VECTOR_REF(BgL_sz00_3558, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29390;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11610;

									BgL_arg1899z00_11610 = VECTOR_LENGTH(BgL_sz00_3558);
									BgL_testz00_29390 =
										(
										((long) CINT(BgL_bpz00_3559) +
											BgL_siza7ezd2framez75_17017) <
										(long) (BgL_arg1899z00_11610));
								}
								if (BgL_testz00_29390)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3158z00_3561;

											BgL_arg3158z00_3561 =
												((long) CINT(BgL_bpz00_3559) + ((long) 0));
											VECTOR_SET(BgL_sz00_3558,
												(int) (BgL_arg3158z00_3561), BgL_lastz00_3556);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1318z00_3562;

											BgL_val1318z00_3562 =
												BGl_zc3exitza33162ze3z83zz__evaluate_compz00
												(BgL_bpz00_3559, BgL_sz00_3558, BgL_runz00_17016);
											VECTOR_SET(BgL_sz00_3558, (int) (((long) 0)),
												BgL_bpz00_3559);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1318z00_3562)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1318z00_3562), CDR(BgL_val1318z00_3562));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1318z00_3562;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3569;

										BgL_nsz00_3569 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3569,
											(int) (((long) 1)), BgL_sz00_3558);
										VECTOR_SET(BgL_nsz00_3569,
											(int) (((long) 2)), BgL_lastz00_3556);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29414;

											BgL_auxz00_29414 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29414, BgL_nsz00_3569);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1321z00_3571;

											BgL_val1321z00_3571 =
												BGl_zc3exitza33168ze3z83zz__evaluate_compz00
												(BgL_runz00_17016, BgL_nsz00_3569);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29418;

												BgL_auxz00_29418 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29418, BgL_sz00_3558);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1321z00_3571)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1321z00_3571), CDR(BgL_val1321z00_3571));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1321z00_3571;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3168> */
	obj_t BGl_zc3exitza33168ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17453,
		obj_t BgL_nsz00_17452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1322z00_3577;

			if (SET_EXIT(BgL_an_exit1322z00_3577))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1322z00_3577 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1322z00_3577, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1323z00_3578;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11638;

								BgL_savedzd2bpzd2_11638 =
									VECTOR_REF(BgL_nsz00_17452, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17452,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11645;

									BgL_fz00_11645 = BgL_runz00_17453;
								BgL_recz00_11644:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11646;

										BgL_rz00_11646 =
											PROCEDURE_ENTRY(BgL_fz00_11645) (BgL_fz00_11645,
											BgL_nsz00_17452, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29439;

											if (PROCEDUREP(BgL_rz00_11646))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11651;

													BgL_arg1890z00_11651 = PROCEDURE_ATTR(BgL_rz00_11646);
													if (STRUCTP(BgL_arg1890z00_11651))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29439 =
																(STRUCT_KEY(BgL_arg1890z00_11651) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29439 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29439 = ((bool_t) 0);
												}
											if (BgL_testz00_29439)
												{
													obj_t BgL_fz00_29447;

													BgL_fz00_29447 = BgL_rz00_11646;
													BgL_fz00_11645 = BgL_fz00_29447;
													goto BgL_recz00_11644;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17452,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11638);
													BgL_val1323z00_3578 = BgL_rz00_11646;
							}}}}}
							POP_EXIT();
							return BgL_val1323z00_3578;
						}
					}
				}
		}
	}



/* <exit:3162> */
	obj_t BGl_zc3exitza33162ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17456,
		obj_t BgL_sz00_17455, obj_t BgL_runz00_17454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1319z00_3567;

			if (SET_EXIT(BgL_an_exit1319z00_3567))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1319z00_3567 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1319z00_3567, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1320z00_3568;

							BgL_val1320z00_3568 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17454,
								BgL_sz00_17455, BgL_bpz00_17456);
							POP_EXIT();
							return BgL_val1320z00_3568;
						}
					}
				}
		}
	}



/* &run5502 */
	obj_t BGl_z62run5502z62zz__evaluate_compz00(obj_t BgL_envz00_17019,
		obj_t BgL_sz00_17025)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17020;
				long BgL_siza7eza7_17021;
				obj_t BgL_valza2za2_17022;
				BgL_ev_absz00_bglt BgL_i1249z00_17023;
				obj_t BgL_bodyz00_17024;

				BgL_iboxesz00_17020 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 0))));
				BgL_siza7eza7_17021 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 1))));
				BgL_valza2za2_17022 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 2))));
				BgL_i1249z00_17023 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 3))));
				BgL_bodyz00_17024 = PROCEDURE_REF(BgL_envz00_17019, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3580;

					BgL_sz00_3580 = BgL_sz00_17025;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3582;

						BgL_bpz00_3582 = VECTOR_REF(BgL_sz00_3580, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3580,
							BgL_iboxesz00_17020, BgL_bpz00_3582);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3580,
							BgL_valza2za2_17022,
							((long) CINT(BgL_bpz00_3582) + BgL_siza7eza7_17021));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3584;
							obj_t BgL_wherez00_3585;
							obj_t BgL_locz00_3586;

							BgL_z12denvz12_3584 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3585 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17023))->BgL_wherez00);
							BgL_locz00_3586 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17023))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3584, BgL_wherez00_3585,
									BgL_locz00_3586);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3587;

									BgL_za2za2resza2za2z00_3587 =
										PROCEDURE_ENTRY(BgL_bodyz00_17024) (BgL_bodyz00_17024,
										BgL_sz00_3580, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3584);
									return BgL_za2za2resza2za2z00_3587;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3023> */
	obj_t BGl_z62zc3anonymousza33023ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17026, obj_t BgL_sz00_17030)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17027;
				obj_t BgL_bodyz00_17028;
				long BgL_siza7ezd2framez75_17029;

				BgL_i1249z00_17027 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17026, (int) (((long) 0))));
				BgL_bodyz00_17028 = PROCEDURE_REF(BgL_envz00_17026, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17029 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17026, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3269;

					BgL_sz00_3269 = BgL_sz00_17030;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3271;

						BgL_bpz00_3271 = VECTOR_REF(BgL_sz00_3269, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16076;

								BgL_runz00_16076 =
									MAKE_FX_PROCEDURE(BGl_z62run5504z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16076,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_17027));
								PROCEDURE_SET(BgL_runz00_16076,
									(int) (((long) 1)), BgL_bodyz00_17028);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16077;

									BgL_mainz00_16077 =
										MAKE_FX_PROCEDURE(BGl_z62main5503z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16077,
										(int) (((long) 0)), ((obj_t) BgL_i1249z00_17027));
									PROCEDURE_SET(BgL_mainz00_16077,
										(int) (((long) 1)), BgL_bodyz00_17028);
									PROCEDURE_SET(BgL_mainz00_16077,
										(int) (((long) 2)), BgL_runz00_16076);
									PROCEDURE_SET(BgL_mainz00_16077,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17029));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11028;

										BgL_objz00_11028 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16076, BgL_objz00_11028);
										BgL_objz00_11028;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3024z00_3274;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3025z00_3275;

											BgL_arg3025z00_3275 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17027))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11032;

												BgL_newz00_11032 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29520;

													BgL_auxz00_29520 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11032, BgL_auxz00_29520,
														BgL_arg3025z00_3275);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29525;
													int BgL_auxz00_29523;

													BgL_auxz00_29525 = BINT(BgL_siza7ezd2framez75_17029);
													BgL_auxz00_29523 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11032, BgL_auxz00_29523,
														BgL_auxz00_29525);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29528;

													BgL_auxz00_29528 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11032, BgL_auxz00_29528,
														BgL_runz00_16076);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29533;
													int BgL_auxz00_29531;

													BgL_auxz00_29533 = BINT(((long) 0));
													BgL_auxz00_29531 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11032, BgL_auxz00_29531,
														BgL_auxz00_29533);
												}
												BgL_arg3024z00_3274 = BgL_newz00_11032;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16077, BgL_arg3024z00_3274);
										BgL_arg3024z00_3274;
									}
									return BgL_mainz00_16077;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5503 */
	obj_t BGl_z62main5503z62zz__evaluate_compz00(obj_t BgL_envz00_17031)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17034;
				long BgL_siza7ezd2framez75_17035;

				BgL_runz00_17034 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17035 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17031, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3277;

						BgL_sz00_3277 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3278;

							BgL_bpz00_3278 = VECTOR_REF(BgL_sz00_3277, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29546;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_10981;

									BgL_arg1899z00_10981 = VECTOR_LENGTH(BgL_sz00_3277);
									BgL_testz00_29546 =
										(
										((long) CINT(BgL_bpz00_3278) +
											BgL_siza7ezd2framez75_17035) <
										(long) (BgL_arg1899z00_10981));
								}
								if (BgL_testz00_29546)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1276z00_3280;

										BgL_val1276z00_3280 =
											BGl_zc3exitza33031ze3z83zz__evaluate_compz00
											(BgL_bpz00_3278, BgL_sz00_3277, BgL_runz00_17034);
										VECTOR_SET(BgL_sz00_3277, (int) (((long) 0)),
											BgL_bpz00_3278);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1276z00_3280)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1276z00_3280), CDR(BgL_val1276z00_3280));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1276z00_3280;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3287;

										BgL_nsz00_3287 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3287,
											(int) (((long) 1)), BgL_sz00_3277);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29564;

											BgL_auxz00_29564 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29564, BgL_nsz00_3287);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1279z00_3289;

											BgL_val1279z00_3289 =
												BGl_zc3exitza33037ze3z83zz__evaluate_compz00
												(BgL_runz00_17034, BgL_nsz00_3287);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29568;

												BgL_auxz00_29568 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29568, BgL_sz00_3277);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1279z00_3289)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1279z00_3289), CDR(BgL_val1279z00_3289));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1279z00_3289;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3037> */
	obj_t BGl_zc3exitza33037ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17448,
		obj_t BgL_nsz00_17447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1280z00_3295;

			if (SET_EXIT(BgL_an_exit1280z00_3295))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1280z00_3295 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1280z00_3295, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1281z00_3296;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11000;

								BgL_savedzd2bpzd2_11000 =
									VECTOR_REF(BgL_nsz00_17447, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17447,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11007;

									BgL_fz00_11007 = BgL_runz00_17448;
								BgL_recz00_11006:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11008;

										BgL_rz00_11008 =
											PROCEDURE_ENTRY(BgL_fz00_11007) (BgL_fz00_11007,
											BgL_nsz00_17447, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29589;

											if (PROCEDUREP(BgL_rz00_11008))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11013;

													BgL_arg1890z00_11013 = PROCEDURE_ATTR(BgL_rz00_11008);
													if (STRUCTP(BgL_arg1890z00_11013))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29589 =
																(STRUCT_KEY(BgL_arg1890z00_11013) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29589 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29589 = ((bool_t) 0);
												}
											if (BgL_testz00_29589)
												{
													obj_t BgL_fz00_29597;

													BgL_fz00_29597 = BgL_rz00_11008;
													BgL_fz00_11007 = BgL_fz00_29597;
													goto BgL_recz00_11006;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17447,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11000);
													BgL_val1281z00_3296 = BgL_rz00_11008;
							}}}}}
							POP_EXIT();
							return BgL_val1281z00_3296;
						}
					}
				}
		}
	}



/* <exit:3031> */
	obj_t BGl_zc3exitza33031ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17451,
		obj_t BgL_sz00_17450, obj_t BgL_runz00_17449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1277z00_3285;

			if (SET_EXIT(BgL_an_exit1277z00_3285))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1277z00_3285 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1277z00_3285, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1278z00_3286;

							BgL_val1278z00_3286 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17449,
								BgL_sz00_17450, BgL_bpz00_17451);
							POP_EXIT();
							return BgL_val1278z00_3286;
						}
					}
				}
		}
	}



/* &run5504 */
	obj_t BGl_z62run5504z62zz__evaluate_compz00(obj_t BgL_envz00_17036,
		obj_t BgL_sz00_17039)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17037;
				obj_t BgL_bodyz00_17038;

				BgL_i1249z00_17037 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17036, (int) (((long) 0))));
				BgL_bodyz00_17038 = PROCEDURE_REF(BgL_envz00_17036, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3298;

					BgL_sz00_3298 = BgL_sz00_17039;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3300;

						BgL_bpz00_3300 = VECTOR_REF(BgL_sz00_3298, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3301;
							obj_t BgL_wherez00_3302;
							obj_t BgL_locz00_3303;

							BgL_z12denvz12_3301 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3302 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17037))->BgL_wherez00);
							BgL_locz00_3303 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17037))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3301, BgL_wherez00_3302,
									BgL_locz00_3303);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3304;

									BgL_za2za2resza2za2z00_3304 =
										PROCEDURE_ENTRY(BgL_bodyz00_17038) (BgL_bodyz00_17038,
										BgL_sz00_3298, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3301);
									return BgL_za2za2resza2za2z00_3304;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3039> */
	obj_t BGl_z62zc3anonymousza33039ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17040, obj_t BgL_sz00_17045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17041;
				BgL_ev_absz00_bglt BgL_i1249z00_17042;
				obj_t BgL_bodyz00_17043;
				long BgL_siza7ezd2framez75_17044;

				BgL_iboxesz00_17041 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 0))));
				BgL_i1249z00_17042 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 1))));
				BgL_bodyz00_17043 = PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17044 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17040, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3306;

					BgL_sz00_3306 = BgL_sz00_17045;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3308;

						BgL_bpz00_3308 = VECTOR_REF(BgL_sz00_3306, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16073;

								BgL_runz00_16073 =
									MAKE_FX_PROCEDURE(BGl_z62run5506z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16073,
									(int) (((long) 0)), BgL_iboxesz00_17041);
								PROCEDURE_SET(BgL_runz00_16073,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_17042));
								PROCEDURE_SET(BgL_runz00_16073,
									(int) (((long) 2)), BgL_bodyz00_17043);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16074;

									BgL_mainz00_16074 =
										MAKE_FX_PROCEDURE(BGl_z62main5505z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16074,
										(int) (((long) 0)), BgL_iboxesz00_17041);
									PROCEDURE_SET(BgL_mainz00_16074,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_17042));
									PROCEDURE_SET(BgL_mainz00_16074,
										(int) (((long) 2)), BgL_bodyz00_17043);
									PROCEDURE_SET(BgL_mainz00_16074,
										(int) (((long) 3)), BgL_runz00_16073);
									PROCEDURE_SET(BgL_mainz00_16074,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17044));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11110;

										BgL_objz00_11110 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16073, BgL_objz00_11110);
										BgL_objz00_11110;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3040z00_3311;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3041z00_3312;

											BgL_arg3041z00_3312 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17042))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11114;

												BgL_newz00_11114 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29664;

													BgL_auxz00_29664 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11114, BgL_auxz00_29664,
														BgL_arg3041z00_3312);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29669;
													int BgL_auxz00_29667;

													BgL_auxz00_29669 = BINT(BgL_siza7ezd2framez75_17044);
													BgL_auxz00_29667 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11114, BgL_auxz00_29667,
														BgL_auxz00_29669);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29672;

													BgL_auxz00_29672 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11114, BgL_auxz00_29672,
														BgL_runz00_16073);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29677;
													int BgL_auxz00_29675;

													BgL_auxz00_29677 = BINT(((long) 0));
													BgL_auxz00_29675 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11114, BgL_auxz00_29675,
														BgL_auxz00_29677);
												}
												BgL_arg3040z00_3311 = BgL_newz00_11114;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16074, BgL_arg3040z00_3311);
										BgL_arg3040z00_3311;
									}
									return BgL_mainz00_16074;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5505 */
	obj_t BGl_z62main5505z62zz__evaluate_compz00(obj_t BgL_envz00_17046)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17050;
				long BgL_siza7ezd2framez75_17051;

				BgL_runz00_17050 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17046, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17051 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17046, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3314;

						BgL_sz00_3314 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3315;

							BgL_bpz00_3315 = VECTOR_REF(BgL_sz00_3314, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29690;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11063;

									BgL_arg1899z00_11063 = VECTOR_LENGTH(BgL_sz00_3314);
									BgL_testz00_29690 =
										(
										((long) CINT(BgL_bpz00_3315) +
											BgL_siza7ezd2framez75_17051) <
										(long) (BgL_arg1899z00_11063));
								}
								if (BgL_testz00_29690)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1282z00_3317;

										BgL_val1282z00_3317 =
											BGl_zc3exitza33048ze3z83zz__evaluate_compz00
											(BgL_bpz00_3315, BgL_sz00_3314, BgL_runz00_17050);
										VECTOR_SET(BgL_sz00_3314, (int) (((long) 0)),
											BgL_bpz00_3315);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1282z00_3317)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1282z00_3317), CDR(BgL_val1282z00_3317));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1282z00_3317;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3324;

										BgL_nsz00_3324 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3324,
											(int) (((long) 1)), BgL_sz00_3314);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29708;

											BgL_auxz00_29708 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29708, BgL_nsz00_3324);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1285z00_3326;

											BgL_val1285z00_3326 =
												BGl_zc3exitza33055ze3z83zz__evaluate_compz00
												(BgL_runz00_17050, BgL_nsz00_3324);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29712;

												BgL_auxz00_29712 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29712, BgL_sz00_3314);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1285z00_3326)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1285z00_3326), CDR(BgL_val1285z00_3326));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1285z00_3326;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3055> */
	obj_t BGl_zc3exitza33055ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17443,
		obj_t BgL_nsz00_17442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1286z00_3332;

			if (SET_EXIT(BgL_an_exit1286z00_3332))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1286z00_3332 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1286z00_3332, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1287z00_3333;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11082;

								BgL_savedzd2bpzd2_11082 =
									VECTOR_REF(BgL_nsz00_17442, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17442,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11089;

									BgL_fz00_11089 = BgL_runz00_17443;
								BgL_recz00_11088:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11090;

										BgL_rz00_11090 =
											PROCEDURE_ENTRY(BgL_fz00_11089) (BgL_fz00_11089,
											BgL_nsz00_17442, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29733;

											if (PROCEDUREP(BgL_rz00_11090))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11095;

													BgL_arg1890z00_11095 = PROCEDURE_ATTR(BgL_rz00_11090);
													if (STRUCTP(BgL_arg1890z00_11095))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29733 =
																(STRUCT_KEY(BgL_arg1890z00_11095) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29733 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29733 = ((bool_t) 0);
												}
											if (BgL_testz00_29733)
												{
													obj_t BgL_fz00_29741;

													BgL_fz00_29741 = BgL_rz00_11090;
													BgL_fz00_11089 = BgL_fz00_29741;
													goto BgL_recz00_11088;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17442,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11082);
													BgL_val1287z00_3333 = BgL_rz00_11090;
							}}}}}
							POP_EXIT();
							return BgL_val1287z00_3333;
						}
					}
				}
		}
	}



/* <exit:3048> */
	obj_t BGl_zc3exitza33048ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17446,
		obj_t BgL_sz00_17445, obj_t BgL_runz00_17444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1283z00_3322;

			if (SET_EXIT(BgL_an_exit1283z00_3322))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1283z00_3322 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1283z00_3322, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1284z00_3323;

							BgL_val1284z00_3323 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17444,
								BgL_sz00_17445, BgL_bpz00_17446);
							POP_EXIT();
							return BgL_val1284z00_3323;
						}
					}
				}
		}
	}



/* &run5506 */
	obj_t BGl_z62run5506z62zz__evaluate_compz00(obj_t BgL_envz00_17052,
		obj_t BgL_sz00_17056)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17053;
				BgL_ev_absz00_bglt BgL_i1249z00_17054;
				obj_t BgL_bodyz00_17055;

				BgL_iboxesz00_17053 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17052, (int) (((long) 0))));
				BgL_i1249z00_17054 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17052, (int) (((long) 1))));
				BgL_bodyz00_17055 = PROCEDURE_REF(BgL_envz00_17052, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3335;

					BgL_sz00_3335 = BgL_sz00_17056;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3337;

						BgL_bpz00_3337 = VECTOR_REF(BgL_sz00_3335, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3335,
							BgL_iboxesz00_17053, BgL_bpz00_3337);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_3338;
							obj_t BgL_wherez00_3339;
							obj_t BgL_locz00_3340;

							BgL_z12denvz12_3338 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3339 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17054))->BgL_wherez00);
							BgL_locz00_3340 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17054))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3338, BgL_wherez00_3339,
									BgL_locz00_3340);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_3341;

									BgL_za2za2resza2za2z00_3341 =
										PROCEDURE_ENTRY(BgL_bodyz00_17055) (BgL_bodyz00_17055,
										BgL_sz00_3335, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3338);
									return BgL_za2za2resza2za2z00_3341;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3059> */
	obj_t BGl_z62zc3anonymousza33059ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17057, obj_t BgL_sz00_17063)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17058;
				long BgL_siza7eza7_17059;
				BgL_ev_absz00_bglt BgL_i1249z00_17060;
				obj_t BgL_bodyz00_17061;
				long BgL_siza7ezd2framez75_17062;

				BgL_ifreesz00_17058 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 0))));
				BgL_siza7eza7_17059 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 1))));
				BgL_i1249z00_17060 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 2))));
				BgL_bodyz00_17061 = PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17062 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17057, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3345;

					BgL_sz00_3345 = BgL_sz00_17063;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3347;

						BgL_bpz00_3347 = VECTOR_REF(BgL_sz00_3345, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3348;

							BgL_valza2za2_3348 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3345,
								BgL_bpz00_3347, BgL_ifreesz00_17058);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16070;

								BgL_runz00_16070 =
									MAKE_FX_PROCEDURE(BGl_z62run5508z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16070,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17059));
								PROCEDURE_SET(BgL_runz00_16070,
									(int) (((long) 1)), BgL_valza2za2_3348);
								PROCEDURE_SET(BgL_runz00_16070,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_17060));
								PROCEDURE_SET(BgL_runz00_16070,
									(int) (((long) 3)), BgL_bodyz00_17061);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16071;

									BgL_mainz00_16071 =
										MAKE_FX_PROCEDURE(BGl_z62main5507z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16071,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17059));
									PROCEDURE_SET(BgL_mainz00_16071,
										(int) (((long) 1)), BgL_valza2za2_3348);
									PROCEDURE_SET(BgL_mainz00_16071,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_17060));
									PROCEDURE_SET(BgL_mainz00_16071,
										(int) (((long) 3)), BgL_bodyz00_17061);
									PROCEDURE_SET(BgL_mainz00_16071,
										(int) (((long) 4)), BgL_runz00_16070);
									PROCEDURE_SET(BgL_mainz00_16071,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17062));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11199;

										BgL_objz00_11199 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16070, BgL_objz00_11199);
										BgL_objz00_11199;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3060z00_3351;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3061z00_3352;

											BgL_arg3061z00_3352 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17060))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11203;

												BgL_newz00_11203 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29822;

													BgL_auxz00_29822 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11203, BgL_auxz00_29822,
														BgL_arg3061z00_3352);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29827;
													int BgL_auxz00_29825;

													BgL_auxz00_29827 = BINT(BgL_siza7ezd2framez75_17062);
													BgL_auxz00_29825 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11203, BgL_auxz00_29825,
														BgL_auxz00_29827);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29830;

													BgL_auxz00_29830 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11203, BgL_auxz00_29830,
														BgL_runz00_16070);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29835;
													int BgL_auxz00_29833;

													BgL_auxz00_29835 = BINT(((long) 0));
													BgL_auxz00_29833 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11203, BgL_auxz00_29833,
														BgL_auxz00_29835);
												}
												BgL_arg3060z00_3351 = BgL_newz00_11203;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16071, BgL_arg3060z00_3351);
										BgL_arg3060z00_3351;
									}
									return BgL_mainz00_16071;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5507 */
	obj_t BGl_z62main5507z62zz__evaluate_compz00(obj_t BgL_envz00_17064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17069;
				long BgL_siza7ezd2framez75_17070;

				BgL_runz00_17069 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17064, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17070 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17064, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3354;

						BgL_sz00_3354 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3355;

							BgL_bpz00_3355 = VECTOR_REF(BgL_sz00_3354, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_29848;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11152;

									BgL_arg1899z00_11152 = VECTOR_LENGTH(BgL_sz00_3354);
									BgL_testz00_29848 =
										(
										((long) CINT(BgL_bpz00_3355) +
											BgL_siza7ezd2framez75_17070) <
										(long) (BgL_arg1899z00_11152));
								}
								if (BgL_testz00_29848)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1288z00_3357;

										BgL_val1288z00_3357 =
											BGl_zc3exitza33067ze3z83zz__evaluate_compz00
											(BgL_bpz00_3355, BgL_sz00_3354, BgL_runz00_17069);
										VECTOR_SET(BgL_sz00_3354, (int) (((long) 0)),
											BgL_bpz00_3355);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1288z00_3357)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1288z00_3357), CDR(BgL_val1288z00_3357));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1288z00_3357;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3364;

										BgL_nsz00_3364 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3364,
											(int) (((long) 1)), BgL_sz00_3354);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_29866;

											BgL_auxz00_29866 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29866, BgL_nsz00_3364);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1291z00_3366;

											BgL_val1291z00_3366 =
												BGl_zc3exitza33073ze3z83zz__evaluate_compz00
												(BgL_runz00_17069, BgL_nsz00_3364);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_29870;

												BgL_auxz00_29870 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_29870, BgL_sz00_3354);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1291z00_3366)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1291z00_3366), CDR(BgL_val1291z00_3366));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1291z00_3366;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3073> */
	obj_t BGl_zc3exitza33073ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17438,
		obj_t BgL_nsz00_17437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1292z00_3372;

			if (SET_EXIT(BgL_an_exit1292z00_3372))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1292z00_3372 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1292z00_3372, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1293z00_3373;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11171;

								BgL_savedzd2bpzd2_11171 =
									VECTOR_REF(BgL_nsz00_17437, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17437,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11178;

									BgL_fz00_11178 = BgL_runz00_17438;
								BgL_recz00_11177:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11179;

										BgL_rz00_11179 =
											PROCEDURE_ENTRY(BgL_fz00_11178) (BgL_fz00_11178,
											BgL_nsz00_17437, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_29891;

											if (PROCEDUREP(BgL_rz00_11179))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11184;

													BgL_arg1890z00_11184 = PROCEDURE_ATTR(BgL_rz00_11179);
													if (STRUCTP(BgL_arg1890z00_11184))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29891 =
																(STRUCT_KEY(BgL_arg1890z00_11184) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_29891 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_29891 = ((bool_t) 0);
												}
											if (BgL_testz00_29891)
												{
													obj_t BgL_fz00_29899;

													BgL_fz00_29899 = BgL_rz00_11179;
													BgL_fz00_11178 = BgL_fz00_29899;
													goto BgL_recz00_11177;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17437,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11171);
													BgL_val1293z00_3373 = BgL_rz00_11179;
							}}}}}
							POP_EXIT();
							return BgL_val1293z00_3373;
						}
					}
				}
		}
	}



/* <exit:3067> */
	obj_t BGl_zc3exitza33067ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17441,
		obj_t BgL_sz00_17440, obj_t BgL_runz00_17439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1289z00_3362;

			if (SET_EXIT(BgL_an_exit1289z00_3362))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1289z00_3362 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1289z00_3362, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1290z00_3363;

							BgL_val1290z00_3363 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17439,
								BgL_sz00_17440, BgL_bpz00_17441);
							POP_EXIT();
							return BgL_val1290z00_3363;
						}
					}
				}
		}
	}



/* &run5508 */
	obj_t BGl_z62run5508z62zz__evaluate_compz00(obj_t BgL_envz00_17071,
		obj_t BgL_sz00_17076)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17072;
				obj_t BgL_valza2za2_17073;
				BgL_ev_absz00_bglt BgL_i1249z00_17074;
				obj_t BgL_bodyz00_17075;

				BgL_siza7eza7_17072 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17071, (int) (((long) 0))));
				BgL_valza2za2_17073 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17071, (int) (((long) 1))));
				BgL_i1249z00_17074 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17071, (int) (((long) 2))));
				BgL_bodyz00_17075 = PROCEDURE_REF(BgL_envz00_17071, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3375;

					BgL_sz00_3375 = BgL_sz00_17076;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3377;

						BgL_bpz00_3377 = VECTOR_REF(BgL_sz00_3375, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3375,
							BgL_valza2za2_17073,
							((long) CINT(BgL_bpz00_3377) + BgL_siza7eza7_17072));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3379;
							obj_t BgL_wherez00_3380;
							obj_t BgL_locz00_3381;

							BgL_z12denvz12_3379 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3380 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17074))->BgL_wherez00);
							BgL_locz00_3381 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17074))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3379, BgL_wherez00_3380,
									BgL_locz00_3381);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3382;

									BgL_za2za2resza2za2z00_3382 =
										PROCEDURE_ENTRY(BgL_bodyz00_17075) (BgL_bodyz00_17075,
										BgL_sz00_3375, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3379);
									return BgL_za2za2resza2za2z00_3382;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3076> */
	obj_t BGl_z62zc3anonymousza33076ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17077, obj_t BgL_sz00_17084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17078;
				obj_t BgL_iboxesz00_17079;
				long BgL_siza7eza7_17080;
				BgL_ev_absz00_bglt BgL_i1249z00_17081;
				obj_t BgL_bodyz00_17082;
				long BgL_siza7ezd2framez75_17083;

				BgL_ifreesz00_17078 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17077, (int) (((long) 0))));
				BgL_iboxesz00_17079 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17077, (int) (((long) 1))));
				BgL_siza7eza7_17080 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17077, (int) (((long) 2))));
				BgL_i1249z00_17081 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17077, (int) (((long) 3))));
				BgL_bodyz00_17082 = PROCEDURE_REF(BgL_envz00_17077, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17083 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17077, (int) (((long) 5))));
				{
					obj_t BgL_sz00_3384;

					BgL_sz00_3384 = BgL_sz00_17084;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3386;

						BgL_bpz00_3386 = VECTOR_REF(BgL_sz00_3384, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_3387;

							BgL_valza2za2_3387 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3384,
								BgL_bpz00_3386, BgL_ifreesz00_17078);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16067;

								BgL_runz00_16067 =
									MAKE_FX_PROCEDURE(BGl_z62run5510z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16067,
									(int) (((long) 0)), BgL_iboxesz00_17079);
								PROCEDURE_SET(BgL_runz00_16067,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17080));
								PROCEDURE_SET(BgL_runz00_16067,
									(int) (((long) 2)), BgL_valza2za2_3387);
								PROCEDURE_SET(BgL_runz00_16067,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_17081));
								PROCEDURE_SET(BgL_runz00_16067,
									(int) (((long) 4)), BgL_bodyz00_17082);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16068;

									BgL_mainz00_16068 =
										MAKE_FX_PROCEDURE(BGl_z62main5509z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 0)), BgL_iboxesz00_17079);
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17080));
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 2)), BgL_valza2za2_3387);
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_17081));
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 4)), BgL_bodyz00_17082);
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 5)), BgL_runz00_16067);
									PROCEDURE_SET(BgL_mainz00_16068,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17083));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_11284;

										BgL_objz00_11284 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16067, BgL_objz00_11284);
										BgL_objz00_11284;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3077z00_3390;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3078z00_3391;

											BgL_arg3078z00_3391 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17081))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_11288;

												BgL_newz00_11288 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_29992;

													BgL_auxz00_29992 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_11288, BgL_auxz00_29992,
														BgL_arg3078z00_3391);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_29997;
													int BgL_auxz00_29995;

													BgL_auxz00_29997 = BINT(BgL_siza7ezd2framez75_17083);
													BgL_auxz00_29995 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_11288, BgL_auxz00_29995,
														BgL_auxz00_29997);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30000;

													BgL_auxz00_30000 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_11288, BgL_auxz00_30000,
														BgL_runz00_16067);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30005;
													int BgL_auxz00_30003;

													BgL_auxz00_30005 = BINT(((long) 0));
													BgL_auxz00_30003 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_11288, BgL_auxz00_30003,
														BgL_auxz00_30005);
												}
												BgL_arg3077z00_3390 = BgL_newz00_11288;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16068, BgL_arg3077z00_3390);
										BgL_arg3077z00_3390;
									}
									return BgL_mainz00_16068;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5509 */
	obj_t BGl_z62main5509z62zz__evaluate_compz00(obj_t BgL_envz00_17085)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_runz00_17091;
				long BgL_siza7ezd2framez75_17092;

				BgL_runz00_17091 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17085, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17092 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17085, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_3393;

						BgL_sz00_3393 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_3394;

							BgL_bpz00_3394 = VECTOR_REF(BgL_sz00_3393, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30018;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_11237;

									BgL_arg1899z00_11237 = VECTOR_LENGTH(BgL_sz00_3393);
									BgL_testz00_30018 =
										(
										((long) CINT(BgL_bpz00_3394) +
											BgL_siza7ezd2framez75_17092) <
										(long) (BgL_arg1899z00_11237));
								}
								if (BgL_testz00_30018)
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_val1294z00_3396;

										BgL_val1294z00_3396 =
											BGl_zc3exitza33084ze3z83zz__evaluate_compz00
											(BgL_bpz00_3394, BgL_sz00_3393, BgL_runz00_17091);
										VECTOR_SET(BgL_sz00_3393, (int) (((long) 0)),
											BgL_bpz00_3394);
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1294z00_3396)))
											{	/* Eval/evaluate_comp.scm 1115 */
												return
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1294z00_3396), CDR(BgL_val1294z00_3396));
											}
										else
											{	/* Eval/evaluate_comp.scm 1115 */
												return BgL_val1294z00_3396;
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_3403;

										BgL_nsz00_3403 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3403,
											(int) (((long) 1)), BgL_sz00_3393);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30036;

											BgL_auxz00_30036 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30036, BgL_nsz00_3403);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1297z00_3405;

											BgL_val1297z00_3405 =
												BGl_zc3exitza33090ze3z83zz__evaluate_compz00
												(BgL_runz00_17091, BgL_nsz00_3403);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30040;

												BgL_auxz00_30040 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30040, BgL_sz00_3393);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1297z00_3405)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1297z00_3405), CDR(BgL_val1297z00_3405));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1297z00_3405;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3090> */
	obj_t BGl_zc3exitza33090ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17433,
		obj_t BgL_nsz00_17432)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1298z00_3411;

			if (SET_EXIT(BgL_an_exit1298z00_3411))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1298z00_3411 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1298z00_3411, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1299z00_3412;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_11256;

								BgL_savedzd2bpzd2_11256 =
									VECTOR_REF(BgL_nsz00_17432, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17432,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_11263;

									BgL_fz00_11263 = BgL_runz00_17433;
								BgL_recz00_11262:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_11264;

										BgL_rz00_11264 =
											PROCEDURE_ENTRY(BgL_fz00_11263) (BgL_fz00_11263,
											BgL_nsz00_17432, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30061;

											if (PROCEDUREP(BgL_rz00_11264))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_11269;

													BgL_arg1890z00_11269 = PROCEDURE_ATTR(BgL_rz00_11264);
													if (STRUCTP(BgL_arg1890z00_11269))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30061 =
																(STRUCT_KEY(BgL_arg1890z00_11269) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30061 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30061 = ((bool_t) 0);
												}
											if (BgL_testz00_30061)
												{
													obj_t BgL_fz00_30069;

													BgL_fz00_30069 = BgL_rz00_11264;
													BgL_fz00_11263 = BgL_fz00_30069;
													goto BgL_recz00_11262;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17432,
														(int) (((long) 0)), BgL_savedzd2bpzd2_11256);
													BgL_val1299z00_3412 = BgL_rz00_11264;
							}}}}}
							POP_EXIT();
							return BgL_val1299z00_3412;
						}
					}
				}
		}
	}



/* <exit:3084> */
	obj_t BGl_zc3exitza33084ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17436,
		obj_t BgL_sz00_17435, obj_t BgL_runz00_17434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1295z00_3401;

			if (SET_EXIT(BgL_an_exit1295z00_3401))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1295z00_3401 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1295z00_3401, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1296z00_3402;

							BgL_val1296z00_3402 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17434,
								BgL_sz00_17435, BgL_bpz00_17436);
							POP_EXIT();
							return BgL_val1296z00_3402;
						}
					}
				}
		}
	}



/* &run5510 */
	obj_t BGl_z62run5510z62zz__evaluate_compz00(obj_t BgL_envz00_17093,
		obj_t BgL_sz00_17099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17094;
				long BgL_siza7eza7_17095;
				obj_t BgL_valza2za2_17096;
				BgL_ev_absz00_bglt BgL_i1249z00_17097;
				obj_t BgL_bodyz00_17098;

				BgL_iboxesz00_17094 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 0))));
				BgL_siza7eza7_17095 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 1))));
				BgL_valza2za2_17096 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 2))));
				BgL_i1249z00_17097 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 3))));
				BgL_bodyz00_17098 = PROCEDURE_REF(BgL_envz00_17093, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3414;

					BgL_sz00_3414 = BgL_sz00_17099;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_3416;

						BgL_bpz00_3416 = VECTOR_REF(BgL_sz00_3414, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3414,
							BgL_iboxesz00_17094, BgL_bpz00_3416);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_3414,
							BgL_valza2za2_17096,
							((long) CINT(BgL_bpz00_3416) + BgL_siza7eza7_17095));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_3418;
							obj_t BgL_wherez00_3419;
							obj_t BgL_locz00_3420;

							BgL_z12denvz12_3418 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3419 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17097))->BgL_wherez00);
							BgL_locz00_3420 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17097))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3418, BgL_wherez00_3419,
									BgL_locz00_3420);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_3421;

									BgL_za2za2resza2za2z00_3421 =
										PROCEDURE_ENTRY(BgL_bodyz00_17098) (BgL_bodyz00_17098,
										BgL_sz00_3414, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3418);
									return BgL_za2za2resza2za2z00_3421;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3849> */
	obj_t BGl_z62zc3anonymousza33849ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17100, obj_t BgL_sz00_17104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17101;
				obj_t BgL_bodyz00_17102;
				long BgL_siza7ezd2framez75_17103;

				BgL_i1249z00_17101 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 0))));
				BgL_bodyz00_17102 = PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 1)));
				BgL_siza7ezd2framez75_17103 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17100, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5049;

					BgL_sz00_5049 = BgL_sz00_17104;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5051;

						BgL_bpz00_5051 = VECTOR_REF(BgL_sz00_5049, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16196;

								BgL_runz00_16196 =
									MAKE_FX_PROCEDURE(BGl_z62run5512z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_16196,
									(int) (((long) 0)), ((obj_t) BgL_i1249z00_17101));
								PROCEDURE_SET(BgL_runz00_16196,
									(int) (((long) 1)), BgL_bodyz00_17102);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16197;

									BgL_mainz00_16197 =
										MAKE_VA_PROCEDURE(BGl_z62main5511z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 0)), BgL_bodyz00_17102);
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 1)), ((obj_t) BgL_i1249z00_17101));
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 2)), BgL_runz00_16196);
									PROCEDURE_SET(BgL_mainz00_16197,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_17103));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10493;

										BgL_objz00_10493 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16196, BgL_objz00_10493);
										BgL_objz00_10493;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3850z00_5054;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3851z00_5055;
											obj_t BgL_arg3852z00_5056;

											BgL_arg3851z00_5055 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17101))->
												BgL_arityz00);
											BgL_arg3852z00_5056 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17101))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10497;

												BgL_newz00_10497 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30143;

													BgL_auxz00_30143 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10497, BgL_auxz00_30143,
														BgL_arg3852z00_5056);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30148;
													int BgL_auxz00_30146;

													BgL_auxz00_30148 = BINT(BgL_siza7ezd2framez75_17103);
													BgL_auxz00_30146 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10497, BgL_auxz00_30146,
														BgL_auxz00_30148);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30151;

													BgL_auxz00_30151 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10497, BgL_auxz00_30151,
														BgL_runz00_16196);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30154;

													BgL_auxz00_30154 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10497, BgL_auxz00_30154,
														BgL_arg3851z00_5055);
												}
												BgL_arg3850z00_5054 = BgL_newz00_10497;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16197, BgL_arg3850z00_5054);
										BgL_arg3850z00_5054;
									}
									return BgL_mainz00_16197;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5511 */
	obj_t BGl_z62main5511z62zz__evaluate_compz00(obj_t BgL_envz00_17105,
		obj_t BgL_az00_17110, obj_t BgL_bz00_17111, obj_t BgL_cz00_17112,
		obj_t BgL_dz00_17113, obj_t BgL_restz00_17114)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17107;
				obj_t BgL_runz00_17108;
				long BgL_siza7ezd2framez75_17109;

				BgL_i1249z00_17107 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17105, (int) (((long) 1))));
				BgL_runz00_17108 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17105, (int) (((long) 2))));
				BgL_siza7ezd2framez75_17109 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17105, (int) (((long) 3))));
				{
					obj_t BgL_az00_5057;
					obj_t BgL_bz00_5058;
					obj_t BgL_cz00_5059;
					obj_t BgL_dz00_5060;
					obj_t BgL_restz00_5061;

					BgL_az00_5057 = BgL_az00_17110;
					BgL_bz00_5058 = BgL_bz00_17111;
					BgL_cz00_5059 = BgL_cz00_17112;
					BgL_dz00_5060 = BgL_dz00_17113;
					BgL_restz00_5061 = BgL_restz00_17114;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5063;

						BgL_sz00_5063 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5064;

							BgL_bpz00_5064 = VECTOR_REF(BgL_sz00_5063, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30170;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_10383;

									BgL_arg1899z00_10383 = VECTOR_LENGTH(BgL_sz00_5063);
									BgL_testz00_30170 =
										(
										((long) CINT(BgL_bpz00_5064) +
											BgL_siza7ezd2framez75_17109) <
										(long) (BgL_arg1899z00_10383));
								}
								if (BgL_testz00_30170)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3855z00_5066;

											BgL_arg3855z00_5066 =
												((long) CINT(BgL_bpz00_5064) + ((long) 0));
											VECTOR_SET(BgL_sz00_5063,
												(int) (BgL_arg3855z00_5066), BgL_az00_5057);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3856z00_5067;

											BgL_arg3856z00_5067 =
												((long) CINT(BgL_bpz00_5064) + ((long) 1));
											VECTOR_SET(BgL_sz00_5063,
												(int) (BgL_arg3856z00_5067), BgL_bz00_5058);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3857z00_5068;

											BgL_arg3857z00_5068 =
												((long) CINT(BgL_bpz00_5064) + ((long) 2));
											VECTOR_SET(BgL_sz00_5063,
												(int) (BgL_arg3857z00_5068), BgL_cz00_5059);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3858z00_5069;

											BgL_arg3858z00_5069 =
												((long) CINT(BgL_bpz00_5064) + ((long) 3));
											VECTOR_SET(BgL_sz00_5063,
												(int) (BgL_arg3858z00_5069), BgL_dz00_5060);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3859z00_5070;
											long BgL_arg3860z00_5071;
											long BgL_arg3861z00_5072;
											obj_t BgL_arg3862z00_5073;

											BgL_arg3859z00_5070 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17107))->
												BgL_wherez00);
											BgL_arg3860z00_5071 =
												((long) CINT(BgL_bpz00_5064) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10418;

												BgL_nz00_10418 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17107))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10418) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3861z00_5072 =
															((long) CINT(BgL_nz00_10418) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3861z00_5072 =
															((long) CINT(BgL_nz00_10418) - ((long) 4));
											}}
											BgL_arg3862z00_5073 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17107))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5063,
												BgL_arg3859z00_5070, BgL_arg3860z00_5071,
												BgL_arg3861z00_5072, BgL_restz00_5061,
												BgL_arg3862z00_5073);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1250z00_5075;

											BgL_val1250z00_5075 =
												BGl_zc3exitza33867ze3z83zz__evaluate_compz00
												(BgL_bpz00_5064, BgL_sz00_5063, BgL_runz00_17108);
											VECTOR_SET(BgL_sz00_5063, (int) (((long) 0)),
												BgL_bpz00_5064);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1250z00_5075)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1250z00_5075), CDR(BgL_val1250z00_5075));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1250z00_5075;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5082;

										BgL_nsz00_5082 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 1)), BgL_sz00_5063);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 2)), BgL_az00_5057);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 3)), BgL_bz00_5058);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 4)), BgL_cz00_5059);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 5)), BgL_dz00_5060);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3868z00_5083;
											long BgL_arg3869z00_5084;
											obj_t BgL_arg3870z00_5085;

											BgL_arg3868z00_5083 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17107))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10450;

												BgL_nz00_10450 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17107))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10450) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3869z00_5084 =
															((long) CINT(BgL_nz00_10450) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3869z00_5084 =
															((long) CINT(BgL_nz00_10450) - ((long) 4));
											}}
											BgL_arg3870z00_5085 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17107))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5082,
												BgL_arg3868z00_5083, ((long) 6), BgL_arg3869z00_5084,
												BgL_restz00_5061, BgL_arg3870z00_5085);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30236;

											BgL_auxz00_30236 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30236, BgL_nsz00_5082);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1253z00_5088;

											BgL_val1253z00_5088 =
												BGl_zc3exitza33877ze3z83zz__evaluate_compz00
												(BgL_runz00_17108, BgL_nsz00_5082);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30240;

												BgL_auxz00_30240 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30240, BgL_sz00_5063);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1253z00_5088)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1253z00_5088), CDR(BgL_val1253z00_5088));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1253z00_5088;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3877> */
	obj_t BGl_zc3exitza33877ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17428,
		obj_t BgL_nsz00_17427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1254z00_5094;

			if (SET_EXIT(BgL_an_exit1254z00_5094))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1254z00_5094 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1254z00_5094, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1255z00_5095;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10465;

								BgL_savedzd2bpzd2_10465 =
									VECTOR_REF(BgL_nsz00_17427, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17427,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10472;

									BgL_fz00_10472 = BgL_runz00_17428;
								BgL_recz00_10471:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10473;

										BgL_rz00_10473 =
											PROCEDURE_ENTRY(BgL_fz00_10472) (BgL_fz00_10472,
											BgL_nsz00_17427, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30261;

											if (PROCEDUREP(BgL_rz00_10473))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_10478;

													BgL_arg1890z00_10478 = PROCEDURE_ATTR(BgL_rz00_10473);
													if (STRUCTP(BgL_arg1890z00_10478))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30261 =
																(STRUCT_KEY(BgL_arg1890z00_10478) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30261 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30261 = ((bool_t) 0);
												}
											if (BgL_testz00_30261)
												{
													obj_t BgL_fz00_30269;

													BgL_fz00_30269 = BgL_rz00_10473;
													BgL_fz00_10472 = BgL_fz00_30269;
													goto BgL_recz00_10471;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17427,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10465);
													BgL_val1255z00_5095 = BgL_rz00_10473;
							}}}}}
							POP_EXIT();
							return BgL_val1255z00_5095;
						}
					}
				}
		}
	}



/* <exit:3867> */
	obj_t BGl_zc3exitza33867ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17431,
		obj_t BgL_sz00_17430, obj_t BgL_runz00_17429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1251z00_5080;

			if (SET_EXIT(BgL_an_exit1251z00_5080))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1251z00_5080 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1251z00_5080, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1252z00_5081;

							BgL_val1252z00_5081 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17429,
								BgL_sz00_17430, BgL_bpz00_17431);
							POP_EXIT();
							return BgL_val1252z00_5081;
						}
					}
				}
		}
	}



/* &run5512 */
	obj_t BGl_z62run5512z62zz__evaluate_compz00(obj_t BgL_envz00_17115,
		obj_t BgL_sz00_17118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17116;
				obj_t BgL_bodyz00_17117;

				BgL_i1249z00_17116 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 0))));
				BgL_bodyz00_17117 = PROCEDURE_REF(BgL_envz00_17115, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5097;

					BgL_sz00_5097 = BgL_sz00_17118;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5099;

						BgL_bpz00_5099 = VECTOR_REF(BgL_sz00_5097, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_5100;
							obj_t BgL_wherez00_5101;
							obj_t BgL_locz00_5102;

							BgL_z12denvz12_5100 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5101 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17116))->BgL_wherez00);
							BgL_locz00_5102 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17116))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5100, BgL_wherez00_5101,
									BgL_locz00_5102);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_5103;

									BgL_za2za2resza2za2z00_5103 =
										PROCEDURE_ENTRY(BgL_bodyz00_17117) (BgL_bodyz00_17117,
										BgL_sz00_5097, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5100);
									return BgL_za2za2resza2za2z00_5103;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3879> */
	obj_t BGl_z62zc3anonymousza33879ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17119, obj_t BgL_sz00_17124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17120;
				BgL_ev_absz00_bglt BgL_i1249z00_17121;
				obj_t BgL_bodyz00_17122;
				long BgL_siza7ezd2framez75_17123;

				BgL_iboxesz00_17120 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17119, (int) (((long) 0))));
				BgL_i1249z00_17121 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17119, (int) (((long) 1))));
				BgL_bodyz00_17122 = PROCEDURE_REF(BgL_envz00_17119, (int) (((long) 2)));
				BgL_siza7ezd2framez75_17123 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17119, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5105;

					BgL_sz00_5105 = BgL_sz00_17124;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5107;

						BgL_bpz00_5107 = VECTOR_REF(BgL_sz00_5105, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16193;

								BgL_runz00_16193 =
									MAKE_FX_PROCEDURE(BGl_z62run5514z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 0)), BgL_iboxesz00_17120);
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 1)), ((obj_t) BgL_i1249z00_17121));
								PROCEDURE_SET(BgL_runz00_16193,
									(int) (((long) 2)), BgL_bodyz00_17122);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16194;

									BgL_mainz00_16194 =
										MAKE_VA_PROCEDURE(BGl_z62main5513z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 0)), BgL_iboxesz00_17120);
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 1)), BgL_bodyz00_17122);
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 2)), ((obj_t) BgL_i1249z00_17121));
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 3)), BgL_runz00_16193);
									PROCEDURE_SET(BgL_mainz00_16194,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_17123));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10638;

										BgL_objz00_10638 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16193, BgL_objz00_10638);
										BgL_objz00_10638;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3880z00_5110;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3881z00_5111;
											obj_t BgL_arg3882z00_5112;

											BgL_arg3881z00_5111 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17121))->
												BgL_arityz00);
											BgL_arg3882z00_5112 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17121))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10642;

												BgL_newz00_10642 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30337;

													BgL_auxz00_30337 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10642, BgL_auxz00_30337,
														BgL_arg3882z00_5112);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30342;
													int BgL_auxz00_30340;

													BgL_auxz00_30342 = BINT(BgL_siza7ezd2framez75_17123);
													BgL_auxz00_30340 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10642, BgL_auxz00_30340,
														BgL_auxz00_30342);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30345;

													BgL_auxz00_30345 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10642, BgL_auxz00_30345,
														BgL_runz00_16193);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30348;

													BgL_auxz00_30348 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10642, BgL_auxz00_30348,
														BgL_arg3881z00_5111);
												}
												BgL_arg3880z00_5110 = BgL_newz00_10642;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16194, BgL_arg3880z00_5110);
										BgL_arg3880z00_5110;
									}
									return BgL_mainz00_16194;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5513 */
	obj_t BGl_z62main5513z62zz__evaluate_compz00(obj_t BgL_envz00_17125,
		obj_t BgL_az00_17131, obj_t BgL_bz00_17132, obj_t BgL_cz00_17133,
		obj_t BgL_dz00_17134, obj_t BgL_restz00_17135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17128;
				obj_t BgL_runz00_17129;
				long BgL_siza7ezd2framez75_17130;

				BgL_i1249z00_17128 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17125, (int) (((long) 2))));
				BgL_runz00_17129 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17125, (int) (((long) 3))));
				BgL_siza7ezd2framez75_17130 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17125, (int) (((long) 4))));
				{
					obj_t BgL_az00_5113;
					obj_t BgL_bz00_5114;
					obj_t BgL_cz00_5115;
					obj_t BgL_dz00_5116;
					obj_t BgL_restz00_5117;

					BgL_az00_5113 = BgL_az00_17131;
					BgL_bz00_5114 = BgL_bz00_17132;
					BgL_cz00_5115 = BgL_cz00_17133;
					BgL_dz00_5116 = BgL_dz00_17134;
					BgL_restz00_5117 = BgL_restz00_17135;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5119;

						BgL_sz00_5119 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5120;

							BgL_bpz00_5120 = VECTOR_REF(BgL_sz00_5119, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30364;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_10528;

									BgL_arg1899z00_10528 = VECTOR_LENGTH(BgL_sz00_5119);
									BgL_testz00_30364 =
										(
										((long) CINT(BgL_bpz00_5120) +
											BgL_siza7ezd2framez75_17130) <
										(long) (BgL_arg1899z00_10528));
								}
								if (BgL_testz00_30364)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3885z00_5122;

											BgL_arg3885z00_5122 =
												((long) CINT(BgL_bpz00_5120) + ((long) 0));
											VECTOR_SET(BgL_sz00_5119,
												(int) (BgL_arg3885z00_5122), BgL_az00_5113);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3886z00_5123;

											BgL_arg3886z00_5123 =
												((long) CINT(BgL_bpz00_5120) + ((long) 1));
											VECTOR_SET(BgL_sz00_5119,
												(int) (BgL_arg3886z00_5123), BgL_bz00_5114);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3887z00_5124;

											BgL_arg3887z00_5124 =
												((long) CINT(BgL_bpz00_5120) + ((long) 2));
											VECTOR_SET(BgL_sz00_5119,
												(int) (BgL_arg3887z00_5124), BgL_cz00_5115);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3888z00_5125;

											BgL_arg3888z00_5125 =
												((long) CINT(BgL_bpz00_5120) + ((long) 3));
											VECTOR_SET(BgL_sz00_5119,
												(int) (BgL_arg3888z00_5125), BgL_dz00_5116);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3889z00_5126;
											long BgL_arg3890z00_5127;
											long BgL_arg3891z00_5128;
											obj_t BgL_arg3892z00_5129;

											BgL_arg3889z00_5126 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17128))->
												BgL_wherez00);
											BgL_arg3890z00_5127 =
												((long) CINT(BgL_bpz00_5120) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10563;

												BgL_nz00_10563 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17128))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10563) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3891z00_5128 =
															((long) CINT(BgL_nz00_10563) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3891z00_5128 =
															((long) CINT(BgL_nz00_10563) - ((long) 4));
											}}
											BgL_arg3892z00_5129 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17128))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5119,
												BgL_arg3889z00_5126, BgL_arg3890z00_5127,
												BgL_arg3891z00_5128, BgL_restz00_5117,
												BgL_arg3892z00_5129);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1256z00_5131;

											BgL_val1256z00_5131 =
												BGl_zc3exitza33897ze3z83zz__evaluate_compz00
												(BgL_bpz00_5120, BgL_sz00_5119, BgL_runz00_17129);
											VECTOR_SET(BgL_sz00_5119, (int) (((long) 0)),
												BgL_bpz00_5120);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1256z00_5131)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1256z00_5131), CDR(BgL_val1256z00_5131));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1256z00_5131;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5138;

										BgL_nsz00_5138 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5138,
											(int) (((long) 1)), BgL_sz00_5119);
										VECTOR_SET(BgL_nsz00_5138,
											(int) (((long) 2)), BgL_az00_5113);
										VECTOR_SET(BgL_nsz00_5138,
											(int) (((long) 3)), BgL_bz00_5114);
										VECTOR_SET(BgL_nsz00_5138,
											(int) (((long) 4)), BgL_cz00_5115);
										VECTOR_SET(BgL_nsz00_5138,
											(int) (((long) 5)), BgL_dz00_5116);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3898z00_5139;
											long BgL_arg3899z00_5140;
											obj_t BgL_arg3900z00_5141;

											BgL_arg3898z00_5139 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17128))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10595;

												BgL_nz00_10595 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17128))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10595) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3899z00_5140 =
															((long) CINT(BgL_nz00_10595) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3899z00_5140 =
															((long) CINT(BgL_nz00_10595) - ((long) 4));
											}}
											BgL_arg3900z00_5141 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17128))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5138,
												BgL_arg3898z00_5139, ((long) 6), BgL_arg3899z00_5140,
												BgL_restz00_5117, BgL_arg3900z00_5141);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30430;

											BgL_auxz00_30430 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30430, BgL_nsz00_5138);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1259z00_5144;

											BgL_val1259z00_5144 =
												BGl_zc3exitza33907ze3z83zz__evaluate_compz00
												(BgL_runz00_17129, BgL_nsz00_5138);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30434;

												BgL_auxz00_30434 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30434, BgL_sz00_5119);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1259z00_5144)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1259z00_5144), CDR(BgL_val1259z00_5144));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1259z00_5144;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3907> */
	obj_t BGl_zc3exitza33907ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17423,
		obj_t BgL_nsz00_17422)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1260z00_5150;

			if (SET_EXIT(BgL_an_exit1260z00_5150))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1260z00_5150 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1260z00_5150, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1261z00_5151;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10610;

								BgL_savedzd2bpzd2_10610 =
									VECTOR_REF(BgL_nsz00_17422, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17422,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10617;

									BgL_fz00_10617 = BgL_runz00_17423;
								BgL_recz00_10616:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10618;

										BgL_rz00_10618 =
											PROCEDURE_ENTRY(BgL_fz00_10617) (BgL_fz00_10617,
											BgL_nsz00_17422, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30455;

											if (PROCEDUREP(BgL_rz00_10618))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_10623;

													BgL_arg1890z00_10623 = PROCEDURE_ATTR(BgL_rz00_10618);
													if (STRUCTP(BgL_arg1890z00_10623))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30455 =
																(STRUCT_KEY(BgL_arg1890z00_10623) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30455 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30455 = ((bool_t) 0);
												}
											if (BgL_testz00_30455)
												{
													obj_t BgL_fz00_30463;

													BgL_fz00_30463 = BgL_rz00_10618;
													BgL_fz00_10617 = BgL_fz00_30463;
													goto BgL_recz00_10616;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17422,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10610);
													BgL_val1261z00_5151 = BgL_rz00_10618;
							}}}}}
							POP_EXIT();
							return BgL_val1261z00_5151;
						}
					}
				}
		}
	}



/* <exit:3897> */
	obj_t BGl_zc3exitza33897ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17426,
		obj_t BgL_sz00_17425, obj_t BgL_runz00_17424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1257z00_5136;

			if (SET_EXIT(BgL_an_exit1257z00_5136))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1257z00_5136 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1257z00_5136, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1258z00_5137;

							BgL_val1258z00_5137 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17424,
								BgL_sz00_17425, BgL_bpz00_17426);
							POP_EXIT();
							return BgL_val1258z00_5137;
						}
					}
				}
		}
	}



/* &run5514 */
	obj_t BGl_z62run5514z62zz__evaluate_compz00(obj_t BgL_envz00_17136,
		obj_t BgL_sz00_17140)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17137;
				BgL_ev_absz00_bglt BgL_i1249z00_17138;
				obj_t BgL_bodyz00_17139;

				BgL_iboxesz00_17137 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17136, (int) (((long) 0))));
				BgL_i1249z00_17138 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17136, (int) (((long) 1))));
				BgL_bodyz00_17139 = PROCEDURE_REF(BgL_envz00_17136, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5153;

					BgL_sz00_5153 = BgL_sz00_17140;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5155;

						BgL_bpz00_5155 = VECTOR_REF(BgL_sz00_5153, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5153,
							BgL_iboxesz00_17137, BgL_bpz00_5155);
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_z12denvz12_5156;
							obj_t BgL_wherez00_5157;
							obj_t BgL_locz00_5158;

							BgL_z12denvz12_5156 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5157 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17138))->BgL_wherez00);
							BgL_locz00_5158 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17138))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1115 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5156, BgL_wherez00_5157,
									BgL_locz00_5158);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_za2za2resza2za2z00_5159;

									BgL_za2za2resza2za2z00_5159 =
										PROCEDURE_ENTRY(BgL_bodyz00_17139) (BgL_bodyz00_17139,
										BgL_sz00_5153, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5156);
									return BgL_za2za2resza2za2z00_5159;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3911> */
	obj_t BGl_z62zc3anonymousza33911ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17141, obj_t BgL_sz00_17147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17142;
				long BgL_siza7eza7_17143;
				BgL_ev_absz00_bglt BgL_i1249z00_17144;
				obj_t BgL_bodyz00_17145;
				long BgL_siza7ezd2framez75_17146;

				BgL_ifreesz00_17142 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17141, (int) (((long) 0))));
				BgL_siza7eza7_17143 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17141, (int) (((long) 1))));
				BgL_i1249z00_17144 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17141, (int) (((long) 2))));
				BgL_bodyz00_17145 = PROCEDURE_REF(BgL_envz00_17141, (int) (((long) 3)));
				BgL_siza7ezd2framez75_17146 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17141, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5163;

					BgL_sz00_5163 = BgL_sz00_17147;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5165;

						BgL_bpz00_5165 = VECTOR_REF(BgL_sz00_5163, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5166;

							BgL_valza2za2_5166 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5163,
								BgL_bpz00_5165, BgL_ifreesz00_17142);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16190;

								BgL_runz00_16190 =
									MAKE_FX_PROCEDURE(BGl_z62run5516z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 0)), BINT(BgL_siza7eza7_17143));
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 1)), BgL_valza2za2_5166);
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 2)), ((obj_t) BgL_i1249z00_17144));
								PROCEDURE_SET(BgL_runz00_16190,
									(int) (((long) 3)), BgL_bodyz00_17145);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16191;

									BgL_mainz00_16191 =
										MAKE_VA_PROCEDURE(BGl_z62main5515z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 0)), BINT(BgL_siza7eza7_17143));
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 1)), BgL_valza2za2_5166);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 2)), BgL_bodyz00_17145);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 3)), ((obj_t) BgL_i1249z00_17144));
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 4)), BgL_runz00_16190);
									PROCEDURE_SET(BgL_mainz00_16191,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_17146));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10790;

										BgL_objz00_10790 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16190, BgL_objz00_10790);
										BgL_objz00_10790;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3912z00_5169;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3913z00_5170;
											obj_t BgL_arg3914z00_5171;

											BgL_arg3913z00_5170 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17144))->
												BgL_arityz00);
											BgL_arg3914z00_5171 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17144))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10794;

												BgL_newz00_10794 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30545;

													BgL_auxz00_30545 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10794, BgL_auxz00_30545,
														BgL_arg3914z00_5171);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30550;
													int BgL_auxz00_30548;

													BgL_auxz00_30550 = BINT(BgL_siza7ezd2framez75_17146);
													BgL_auxz00_30548 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10794, BgL_auxz00_30548,
														BgL_auxz00_30550);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30553;

													BgL_auxz00_30553 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10794, BgL_auxz00_30553,
														BgL_runz00_16190);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30556;

													BgL_auxz00_30556 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10794, BgL_auxz00_30556,
														BgL_arg3913z00_5170);
												}
												BgL_arg3912z00_5169 = BgL_newz00_10794;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16191, BgL_arg3912z00_5169);
										BgL_arg3912z00_5169;
									}
									return BgL_mainz00_16191;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5515 */
	obj_t BGl_z62main5515z62zz__evaluate_compz00(obj_t BgL_envz00_17148,
		obj_t BgL_az00_17155, obj_t BgL_bz00_17156, obj_t BgL_cz00_17157,
		obj_t BgL_dz00_17158, obj_t BgL_restz00_17159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17152;
				obj_t BgL_runz00_17153;
				long BgL_siza7ezd2framez75_17154;

				BgL_i1249z00_17152 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 3))));
				BgL_runz00_17153 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 4))));
				BgL_siza7ezd2framez75_17154 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17148, (int) (((long) 5))));
				{
					obj_t BgL_az00_5172;
					obj_t BgL_bz00_5173;
					obj_t BgL_cz00_5174;
					obj_t BgL_dz00_5175;
					obj_t BgL_restz00_5176;

					BgL_az00_5172 = BgL_az00_17155;
					BgL_bz00_5173 = BgL_bz00_17156;
					BgL_cz00_5174 = BgL_cz00_17157;
					BgL_dz00_5175 = BgL_dz00_17158;
					BgL_restz00_5176 = BgL_restz00_17159;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5178;

						BgL_sz00_5178 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5179;

							BgL_bpz00_5179 = VECTOR_REF(BgL_sz00_5178, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30572;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_10680;

									BgL_arg1899z00_10680 = VECTOR_LENGTH(BgL_sz00_5178);
									BgL_testz00_30572 =
										(
										((long) CINT(BgL_bpz00_5179) +
											BgL_siza7ezd2framez75_17154) <
										(long) (BgL_arg1899z00_10680));
								}
								if (BgL_testz00_30572)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3917z00_5181;

											BgL_arg3917z00_5181 =
												((long) CINT(BgL_bpz00_5179) + ((long) 0));
											VECTOR_SET(BgL_sz00_5178,
												(int) (BgL_arg3917z00_5181), BgL_az00_5172);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3918z00_5182;

											BgL_arg3918z00_5182 =
												((long) CINT(BgL_bpz00_5179) + ((long) 1));
											VECTOR_SET(BgL_sz00_5178,
												(int) (BgL_arg3918z00_5182), BgL_bz00_5173);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3919z00_5183;

											BgL_arg3919z00_5183 =
												((long) CINT(BgL_bpz00_5179) + ((long) 2));
											VECTOR_SET(BgL_sz00_5178,
												(int) (BgL_arg3919z00_5183), BgL_cz00_5174);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3920z00_5184;

											BgL_arg3920z00_5184 =
												((long) CINT(BgL_bpz00_5179) + ((long) 3));
											VECTOR_SET(BgL_sz00_5178,
												(int) (BgL_arg3920z00_5184), BgL_dz00_5175);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3921z00_5185;
											long BgL_arg3922z00_5186;
											long BgL_arg3923z00_5187;
											obj_t BgL_arg3924z00_5188;

											BgL_arg3921z00_5185 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17152))->
												BgL_wherez00);
											BgL_arg3922z00_5186 =
												((long) CINT(BgL_bpz00_5179) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10715;

												BgL_nz00_10715 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17152))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10715) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3923z00_5187 =
															((long) CINT(BgL_nz00_10715) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3923z00_5187 =
															((long) CINT(BgL_nz00_10715) - ((long) 4));
											}}
											BgL_arg3924z00_5188 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17152))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5178,
												BgL_arg3921z00_5185, BgL_arg3922z00_5186,
												BgL_arg3923z00_5187, BgL_restz00_5176,
												BgL_arg3924z00_5188);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1262z00_5190;

											BgL_val1262z00_5190 =
												BGl_zc3exitza33929ze3z83zz__evaluate_compz00
												(BgL_bpz00_5179, BgL_sz00_5178, BgL_runz00_17153);
											VECTOR_SET(BgL_sz00_5178, (int) (((long) 0)),
												BgL_bpz00_5179);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1262z00_5190)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1262z00_5190), CDR(BgL_val1262z00_5190));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1262z00_5190;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5197;

										BgL_nsz00_5197 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5197,
											(int) (((long) 1)), BgL_sz00_5178);
										VECTOR_SET(BgL_nsz00_5197,
											(int) (((long) 2)), BgL_az00_5172);
										VECTOR_SET(BgL_nsz00_5197,
											(int) (((long) 3)), BgL_bz00_5173);
										VECTOR_SET(BgL_nsz00_5197,
											(int) (((long) 4)), BgL_cz00_5174);
										VECTOR_SET(BgL_nsz00_5197,
											(int) (((long) 5)), BgL_dz00_5175);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3930z00_5198;
											long BgL_arg3931z00_5199;
											obj_t BgL_arg3932z00_5200;

											BgL_arg3930z00_5198 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17152))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10747;

												BgL_nz00_10747 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17152))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10747) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3931z00_5199 =
															((long) CINT(BgL_nz00_10747) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3931z00_5199 =
															((long) CINT(BgL_nz00_10747) - ((long) 4));
											}}
											BgL_arg3932z00_5200 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17152))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5197,
												BgL_arg3930z00_5198, ((long) 6), BgL_arg3931z00_5199,
												BgL_restz00_5176, BgL_arg3932z00_5200);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30638;

											BgL_auxz00_30638 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30638, BgL_nsz00_5197);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1265z00_5203;

											BgL_val1265z00_5203 =
												BGl_zc3exitza33939ze3z83zz__evaluate_compz00
												(BgL_runz00_17153, BgL_nsz00_5197);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30642;

												BgL_auxz00_30642 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30642, BgL_sz00_5178);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1265z00_5203)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1265z00_5203), CDR(BgL_val1265z00_5203));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1265z00_5203;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3939> */
	obj_t BGl_zc3exitza33939ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17418,
		obj_t BgL_nsz00_17417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1266z00_5209;

			if (SET_EXIT(BgL_an_exit1266z00_5209))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1266z00_5209 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1266z00_5209, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1267z00_5210;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10762;

								BgL_savedzd2bpzd2_10762 =
									VECTOR_REF(BgL_nsz00_17417, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17417,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10769;

									BgL_fz00_10769 = BgL_runz00_17418;
								BgL_recz00_10768:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10770;

										BgL_rz00_10770 =
											PROCEDURE_ENTRY(BgL_fz00_10769) (BgL_fz00_10769,
											BgL_nsz00_17417, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30663;

											if (PROCEDUREP(BgL_rz00_10770))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_10775;

													BgL_arg1890z00_10775 = PROCEDURE_ATTR(BgL_rz00_10770);
													if (STRUCTP(BgL_arg1890z00_10775))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30663 =
																(STRUCT_KEY(BgL_arg1890z00_10775) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30663 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30663 = ((bool_t) 0);
												}
											if (BgL_testz00_30663)
												{
													obj_t BgL_fz00_30671;

													BgL_fz00_30671 = BgL_rz00_10770;
													BgL_fz00_10769 = BgL_fz00_30671;
													goto BgL_recz00_10768;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17417,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10762);
													BgL_val1267z00_5210 = BgL_rz00_10770;
							}}}}}
							POP_EXIT();
							return BgL_val1267z00_5210;
						}
					}
				}
		}
	}



/* <exit:3929> */
	obj_t BGl_zc3exitza33929ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17421,
		obj_t BgL_sz00_17420, obj_t BgL_runz00_17419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1263z00_5195;

			if (SET_EXIT(BgL_an_exit1263z00_5195))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1263z00_5195 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1263z00_5195, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1264z00_5196;

							BgL_val1264z00_5196 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17419,
								BgL_sz00_17420, BgL_bpz00_17421);
							POP_EXIT();
							return BgL_val1264z00_5196;
						}
					}
				}
		}
	}



/* &run5516 */
	obj_t BGl_z62run5516z62zz__evaluate_compz00(obj_t BgL_envz00_17160,
		obj_t BgL_sz00_17165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				long BgL_siza7eza7_17161;
				obj_t BgL_valza2za2_17162;
				BgL_ev_absz00_bglt BgL_i1249z00_17163;
				obj_t BgL_bodyz00_17164;

				BgL_siza7eza7_17161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17160, (int) (((long) 0))));
				BgL_valza2za2_17162 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17160, (int) (((long) 1))));
				BgL_i1249z00_17163 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17160, (int) (((long) 2))));
				BgL_bodyz00_17164 = PROCEDURE_REF(BgL_envz00_17160, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5212;

					BgL_sz00_5212 = BgL_sz00_17165;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5214;

						BgL_bpz00_5214 = VECTOR_REF(BgL_sz00_5212, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5212,
							BgL_valza2za2_17162,
							((long) CINT(BgL_bpz00_5214) + BgL_siza7eza7_17161));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5216;
							obj_t BgL_wherez00_5217;
							obj_t BgL_locz00_5218;

							BgL_z12denvz12_5216 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5217 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17163))->BgL_wherez00);
							BgL_locz00_5218 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17163))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5216, BgL_wherez00_5217,
									BgL_locz00_5218);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5219;

									BgL_za2za2resza2za2z00_5219 =
										PROCEDURE_ENTRY(BgL_bodyz00_17164) (BgL_bodyz00_17164,
										BgL_sz00_5212, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5216);
									return BgL_za2za2resza2za2z00_5219;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3942> */
	obj_t BGl_z62zc3anonymousza33942ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17166, obj_t BgL_sz00_17173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_ifreesz00_17167;
				obj_t BgL_iboxesz00_17168;
				long BgL_siza7eza7_17169;
				BgL_ev_absz00_bglt BgL_i1249z00_17170;
				obj_t BgL_bodyz00_17171;
				long BgL_siza7ezd2framez75_17172;

				BgL_ifreesz00_17167 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17166, (int) (((long) 0))));
				BgL_iboxesz00_17168 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17166, (int) (((long) 1))));
				BgL_siza7eza7_17169 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17166, (int) (((long) 2))));
				BgL_i1249z00_17170 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17166, (int) (((long) 3))));
				BgL_bodyz00_17171 = PROCEDURE_REF(BgL_envz00_17166, (int) (((long) 4)));
				BgL_siza7ezd2framez75_17172 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17166, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5221;

					BgL_sz00_5221 = BgL_sz00_17173;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5223;

						BgL_bpz00_5223 = VECTOR_REF(BgL_sz00_5221, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_valza2za2_5224;

							BgL_valza2za2_5224 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5221,
								BgL_bpz00_5223, BgL_ifreesz00_17167);
							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_runz00_16187;

								BgL_runz00_16187 =
									MAKE_FX_PROCEDURE(BGl_z62run5518z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 0)), BgL_iboxesz00_17168);
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 1)), BINT(BgL_siza7eza7_17169));
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 2)), BgL_valza2za2_5224);
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 3)), ((obj_t) BgL_i1249z00_17170));
								PROCEDURE_SET(BgL_runz00_16187,
									(int) (((long) 4)), BgL_bodyz00_17171);
								{	/* Eval/evaluate_comp.scm 1115 */
									obj_t BgL_mainz00_16188;

									BgL_mainz00_16188 =
										MAKE_VA_PROCEDURE(BGl_z62main5517z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 0)), BgL_iboxesz00_17168);
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 1)), BINT(BgL_siza7eza7_17169));
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 2)), BgL_valza2za2_5224);
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 3)), BgL_bodyz00_17171);
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 4)), ((obj_t) BgL_i1249z00_17170));
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 5)), BgL_runz00_16187);
									PROCEDURE_SET(BgL_mainz00_16188,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_17172));
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_objz00_10938;

										BgL_objz00_10938 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_16187, BgL_objz00_10938);
										BgL_objz00_10938;
									}
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_arg3943z00_5227;

										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3944z00_5228;
											obj_t BgL_arg3945z00_5229;

											BgL_arg3944z00_5228 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17170))->
												BgL_arityz00);
											BgL_arg3945z00_5229 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17170))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_newz00_10942;

												BgL_newz00_10942 =
													create_struct(BGl_symbol5548z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30765;

													BgL_auxz00_30765 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_10942, BgL_auxz00_30765,
														BgL_arg3945z00_5229);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_auxz00_30770;
													int BgL_auxz00_30768;

													BgL_auxz00_30770 = BINT(BgL_siza7ezd2framez75_17172);
													BgL_auxz00_30768 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_10942, BgL_auxz00_30768,
														BgL_auxz00_30770);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30773;

													BgL_auxz00_30773 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_10942, BgL_auxz00_30773,
														BgL_runz00_16187);
												}
												{	/* Eval/evaluate_comp.scm 1115 */
													int BgL_auxz00_30776;

													BgL_auxz00_30776 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10942, BgL_auxz00_30776,
														BgL_arg3944z00_5228);
												}
												BgL_arg3943z00_5227 = BgL_newz00_10942;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_16188, BgL_arg3943z00_5227);
										BgL_arg3943z00_5227;
									}
									return BgL_mainz00_16188;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5517 */
	obj_t BGl_z62main5517z62zz__evaluate_compz00(obj_t BgL_envz00_17174,
		obj_t BgL_az00_17182, obj_t BgL_bz00_17183, obj_t BgL_cz00_17184,
		obj_t BgL_dz00_17185, obj_t BgL_restz00_17186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				BgL_ev_absz00_bglt BgL_i1249z00_17179;
				obj_t BgL_runz00_17180;
				long BgL_siza7ezd2framez75_17181;

				BgL_i1249z00_17179 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17174, (int) (((long) 4))));
				BgL_runz00_17180 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17174, (int) (((long) 5))));
				BgL_siza7ezd2framez75_17181 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17174, (int) (((long) 6))));
				{
					obj_t BgL_az00_5230;
					obj_t BgL_bz00_5231;
					obj_t BgL_cz00_5232;
					obj_t BgL_dz00_5233;
					obj_t BgL_restz00_5234;

					BgL_az00_5230 = BgL_az00_17182;
					BgL_bz00_5231 = BgL_bz00_17183;
					BgL_cz00_5232 = BgL_cz00_17184;
					BgL_dz00_5233 = BgL_dz00_17185;
					BgL_restz00_5234 = BgL_restz00_17186;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_sz00_5236;

						BgL_sz00_5236 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_bpz00_5237;

							BgL_bpz00_5237 = VECTOR_REF(BgL_sz00_5236, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1115 */
								bool_t BgL_testz00_30792;

								{	/* Eval/evaluate_comp.scm 1115 */
									int BgL_arg1899z00_10828;

									BgL_arg1899z00_10828 = VECTOR_LENGTH(BgL_sz00_5236);
									BgL_testz00_30792 =
										(
										((long) CINT(BgL_bpz00_5237) +
											BgL_siza7ezd2framez75_17181) <
										(long) (BgL_arg1899z00_10828));
								}
								if (BgL_testz00_30792)
									{	/* Eval/evaluate_comp.scm 1115 */
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3948z00_5239;

											BgL_arg3948z00_5239 =
												((long) CINT(BgL_bpz00_5237) + ((long) 0));
											VECTOR_SET(BgL_sz00_5236,
												(int) (BgL_arg3948z00_5239), BgL_az00_5230);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3949z00_5240;

											BgL_arg3949z00_5240 =
												((long) CINT(BgL_bpz00_5237) + ((long) 1));
											VECTOR_SET(BgL_sz00_5236,
												(int) (BgL_arg3949z00_5240), BgL_bz00_5231);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3950z00_5241;

											BgL_arg3950z00_5241 =
												((long) CINT(BgL_bpz00_5237) + ((long) 2));
											VECTOR_SET(BgL_sz00_5236,
												(int) (BgL_arg3950z00_5241), BgL_cz00_5232);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											long BgL_arg3951z00_5242;

											BgL_arg3951z00_5242 =
												((long) CINT(BgL_bpz00_5237) + ((long) 3));
											VECTOR_SET(BgL_sz00_5236,
												(int) (BgL_arg3951z00_5242), BgL_dz00_5233);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3952z00_5243;
											long BgL_arg3953z00_5244;
											long BgL_arg3954z00_5245;
											obj_t BgL_arg3955z00_5246;

											BgL_arg3952z00_5243 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17179))->
												BgL_wherez00);
											BgL_arg3953z00_5244 =
												((long) CINT(BgL_bpz00_5237) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10863;

												BgL_nz00_10863 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17179))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10863) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3954z00_5245 =
															((long) CINT(BgL_nz00_10863) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3954z00_5245 =
															((long) CINT(BgL_nz00_10863) - ((long) 4));
											}}
											BgL_arg3955z00_5246 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17179))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5236,
												BgL_arg3952z00_5243, BgL_arg3953z00_5244,
												BgL_arg3954z00_5245, BgL_restz00_5234,
												BgL_arg3955z00_5246);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1268z00_5248;

											BgL_val1268z00_5248 =
												BGl_zc3exitza33960ze3z83zz__evaluate_compz00
												(BgL_bpz00_5237, BgL_sz00_5236, BgL_runz00_17180);
											VECTOR_SET(BgL_sz00_5236, (int) (((long) 0)),
												BgL_bpz00_5237);
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1268z00_5248)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1268z00_5248), CDR(BgL_val1268z00_5248));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1268z00_5248;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_nsz00_5255;

										BgL_nsz00_5255 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5255,
											(int) (((long) 1)), BgL_sz00_5236);
										VECTOR_SET(BgL_nsz00_5255,
											(int) (((long) 2)), BgL_az00_5230);
										VECTOR_SET(BgL_nsz00_5255,
											(int) (((long) 3)), BgL_bz00_5231);
										VECTOR_SET(BgL_nsz00_5255,
											(int) (((long) 4)), BgL_cz00_5232);
										VECTOR_SET(BgL_nsz00_5255,
											(int) (((long) 5)), BgL_dz00_5233);
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_arg3961z00_5256;
											long BgL_arg3962z00_5257;
											obj_t BgL_arg3963z00_5258;

											BgL_arg3961z00_5256 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17179))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_nz00_10895;

												BgL_nz00_10895 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17179))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_10895) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3962z00_5257 =
															((long) CINT(BgL_nz00_10895) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1115 */
														BgL_arg3962z00_5257 =
															((long) CINT(BgL_nz00_10895) - ((long) 4));
											}}
											BgL_arg3963z00_5258 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17179))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5255,
												BgL_arg3961z00_5256, ((long) 6), BgL_arg3962z00_5257,
												BgL_restz00_5234, BgL_arg3963z00_5258);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_auxz00_30858;

											BgL_auxz00_30858 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30858, BgL_nsz00_5255);
										}
										{	/* Eval/evaluate_comp.scm 1115 */
											obj_t BgL_val1271z00_5261;

											BgL_val1271z00_5261 =
												BGl_zc3exitza33970ze3z83zz__evaluate_compz00
												(BgL_runz00_17180, BgL_nsz00_5255);
											{	/* Eval/evaluate_comp.scm 1115 */
												obj_t BgL_auxz00_30862;

												BgL_auxz00_30862 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_EVSTATE_SET(BgL_auxz00_30862, BgL_sz00_5236);
											}
											if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
													(BgL_val1271z00_5261)))
												{	/* Eval/evaluate_comp.scm 1115 */
													return
														BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
														(BgL_val1271z00_5261), CDR(BgL_val1271z00_5261));
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													return BgL_val1271z00_5261;
												}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* <exit:3970> */
	obj_t BGl_zc3exitza33970ze3z83zz__evaluate_compz00(obj_t BgL_runz00_17413,
		obj_t BgL_nsz00_17412)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1272z00_5267;

			if (SET_EXIT(BgL_an_exit1272z00_5267))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1272z00_5267 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1272z00_5267, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1273z00_5268;

							{	/* Eval/evaluate_comp.scm 1115 */
								obj_t BgL_savedzd2bpzd2_10910;

								BgL_savedzd2bpzd2_10910 =
									VECTOR_REF(BgL_nsz00_17412, (int) (((long) 0)));
								VECTOR_SET(BgL_nsz00_17412,
									(int) (((long) 0)), BINT(((long) 2)));
								{
									obj_t BgL_fz00_10917;

									BgL_fz00_10917 = BgL_runz00_17413;
								BgL_recz00_10916:
									{	/* Eval/evaluate_comp.scm 1115 */
										obj_t BgL_rz00_10918;

										BgL_rz00_10918 =
											PROCEDURE_ENTRY(BgL_fz00_10917) (BgL_fz00_10917,
											BgL_nsz00_17412, BEOA);
										{	/* Eval/evaluate_comp.scm 1115 */
											bool_t BgL_testz00_30883;

											if (PROCEDUREP(BgL_rz00_10918))
												{	/* Eval/evaluate_comp.scm 1115 */
													obj_t BgL_arg1890z00_10923;

													BgL_arg1890z00_10923 = PROCEDURE_ATTR(BgL_rz00_10918);
													if (STRUCTP(BgL_arg1890z00_10923))
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30883 =
																(STRUCT_KEY(BgL_arg1890z00_10923) ==
																BGl_symbol5527z00zz__evaluate_compz00);
														}
													else
														{	/* Eval/evaluate_comp.scm 1115 */
															BgL_testz00_30883 = ((bool_t) 0);
														}
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													BgL_testz00_30883 = ((bool_t) 0);
												}
											if (BgL_testz00_30883)
												{
													obj_t BgL_fz00_30891;

													BgL_fz00_30891 = BgL_rz00_10918;
													BgL_fz00_10917 = BgL_fz00_30891;
													goto BgL_recz00_10916;
												}
											else
												{	/* Eval/evaluate_comp.scm 1115 */
													VECTOR_SET(BgL_nsz00_17412,
														(int) (((long) 0)), BgL_savedzd2bpzd2_10910);
													BgL_val1273z00_5268 = BgL_rz00_10918;
							}}}}}
							POP_EXIT();
							return BgL_val1273z00_5268;
						}
					}
				}
		}
	}



/* <exit:3960> */
	obj_t BGl_zc3exitza33960ze3z83zz__evaluate_compz00(obj_t BgL_bpz00_17416,
		obj_t BgL_sz00_17415, obj_t BgL_runz00_17414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1269z00_5253;

			if (SET_EXIT(BgL_an_exit1269z00_5253))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1269z00_5253 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 1115 */

						PUSH_EXIT(BgL_an_exit1269z00_5253, ((long) 0));
						{	/* Eval/evaluate_comp.scm 1115 */
							obj_t BgL_val1270z00_5254;

							BgL_val1270z00_5254 =
								BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_17414,
								BgL_sz00_17415, BgL_bpz00_17416);
							POP_EXIT();
							return BgL_val1270z00_5254;
						}
					}
				}
		}
	}



/* &run5518 */
	obj_t BGl_z62run5518z62zz__evaluate_compz00(obj_t BgL_envz00_17187,
		obj_t BgL_sz00_17193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1115 */
			{	/* Eval/evaluate_comp.scm 1115 */
				obj_t BgL_iboxesz00_17188;
				long BgL_siza7eza7_17189;
				obj_t BgL_valza2za2_17190;
				BgL_ev_absz00_bglt BgL_i1249z00_17191;
				obj_t BgL_bodyz00_17192;

				BgL_iboxesz00_17188 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17187, (int) (((long) 0))));
				BgL_siza7eza7_17189 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17187, (int) (((long) 1))));
				BgL_valza2za2_17190 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17187, (int) (((long) 2))));
				BgL_i1249z00_17191 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_17187, (int) (((long) 3))));
				BgL_bodyz00_17192 = PROCEDURE_REF(BgL_envz00_17187, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5270;

					BgL_sz00_5270 = BgL_sz00_17193;
					{	/* Eval/evaluate_comp.scm 1115 */
						obj_t BgL_bpz00_5272;

						BgL_bpz00_5272 = VECTOR_REF(BgL_sz00_5270, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5270,
							BgL_iboxesz00_17188, BgL_bpz00_5272);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5270,
							BgL_valza2za2_17190,
							((long) CINT(BgL_bpz00_5272) + BgL_siza7eza7_17189));
						{	/* Eval/evaluate_comp.scm 1035 */
							obj_t BgL_z12denvz12_5274;
							obj_t BgL_wherez00_5275;
							obj_t BgL_locz00_5276;

							BgL_z12denvz12_5274 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5275 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17191))->BgL_wherez00);
							BgL_locz00_5276 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1249z00_17191))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1035 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5274, BgL_wherez00_5275,
									BgL_locz00_5276);
								{	/* Eval/evaluate_comp.scm 1035 */
									obj_t BgL_za2za2resza2za2z00_5277;

									BgL_za2za2resza2za2z00_5277 =
										PROCEDURE_ENTRY(BgL_bodyz00_17192) (BgL_bodyz00_17192,
										BgL_sz00_5270, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5274);
									return BgL_za2za2resza2za2z00_5277;
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_app1674 */
	obj_t BGl_z62compzd2ev_app1674zb0zz__evaluate_compz00(obj_t BgL_envz00_17194,
		BgL_ev_appz00_bglt BgL_ez00_17195, obj_t BgL_stkz00_17196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 984 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3197;
				obj_t BgL_stkz00_3198;

				BgL_ez00_3197 = BgL_ez00_17195;
				BgL_stkz00_3198 = BgL_stkz00_17196;
				{	/* Eval/evaluate_comp.scm 986 */
					obj_t BgL__ortest_1235z00_3202;

					BgL__ortest_1235z00_3202 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3197,
						BgL_stkz00_3198);
					if (CBOOL(BgL__ortest_1235z00_3202))
						{	/* Eval/evaluate_comp.scm 986 */
							return BgL__ortest_1235z00_3202;
						}
					else
						{	/* Eval/evaluate_comp.scm 987 */
							obj_t BgL__ortest_1236z00_3203;

							BgL__ortest_1236z00_3203 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->BgL_argsz00),
								BgL_stkz00_3198);
							if (CBOOL(BgL__ortest_1236z00_3203))
								{	/* Eval/evaluate_comp.scm 987 */
									return BgL__ortest_1236z00_3203;
								}
							else
								{	/* Eval/evaluate_comp.scm 987 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 988 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3197, BgL_stkz00_3198);
										}
									else
										{	/* Eval/evaluate_comp.scm 990 */
											obj_t BgL_fz00_3205;
											long BgL_siza7eza7_3206;
											obj_t BgL_symbzd2funzd2_3207;

											BgL_fz00_3205 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
													BgL_funz00), BgL_stkz00_3198);
											BgL_siza7eza7_3206 = bgl_list_length(BgL_stkz00_3198);
											BgL_symbzd2funzd2_3207 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 991 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
															BgL_funz00), BgL_symbzd2funzd2_3207,
														BgL_fz00_3205,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
															BgL_tailzf3zf3), BgL_stkz00_3198,
														BgL_siza7eza7_3206);
												}
											else
												{	/* Eval/evaluate_comp.scm 993 */
													obj_t BgL_a1z00_3212;
													obj_t BgL_argsz00_3213;

													{	/* Eval/evaluate_comp.scm 993 */
														obj_t BgL_arg3008z00_3239;

														BgL_arg3008z00_3239 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
																BgL_argsz00));
														BgL_a1z00_3212 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3008z00_3239),
															BgL_stkz00_3198);
													}
													BgL_argsz00_3213 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3213))
														{	/* Eval/evaluate_comp.scm 993 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
																	BgL_funz00), BgL_symbzd2funzd2_3207,
																BgL_fz00_3205,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3197))->
																	BgL_tailzf3zf3), BgL_stkz00_3198,
																BgL_siza7eza7_3206, BgL_a1z00_3212);
														}
													else
														{	/* Eval/evaluate_comp.scm 993 */
															obj_t BgL_a2z00_3218;
															obj_t BgL_argsz00_3219;

															{	/* Eval/evaluate_comp.scm 993 */
																obj_t BgL_arg3007z00_3238;

																BgL_arg3007z00_3238 = CAR(BgL_argsz00_3213);
																BgL_a2z00_3218 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3007z00_3238),
																	BgL_stkz00_3198);
															}
															BgL_argsz00_3219 = CDR(BgL_argsz00_3213);
															if (NULLP(BgL_argsz00_3219))
																{	/* Eval/evaluate_comp.scm 993 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3197))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3197))->BgL_funz00),
																		BgL_symbzd2funzd2_3207, BgL_fz00_3205,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3197))->BgL_tailzf3zf3),
																		BgL_stkz00_3198, BgL_siza7eza7_3206,
																		BgL_a1z00_3212, BgL_a2z00_3218);
																}
															else
																{	/* Eval/evaluate_comp.scm 993 */
																	obj_t BgL_a3z00_3224;
																	obj_t BgL_argsz00_3225;

																	{	/* Eval/evaluate_comp.scm 993 */
																		obj_t BgL_arg3006z00_3237;

																		BgL_arg3006z00_3237 = CAR(BgL_argsz00_3219);
																		BgL_a3z00_3224 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3006z00_3237), BgL_stkz00_3198);
																	}
																	BgL_argsz00_3225 = CDR(BgL_argsz00_3219);
																	if (NULLP(BgL_argsz00_3225))
																		{	/* Eval/evaluate_comp.scm 993 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3197))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3197))->BgL_funz00),
																				BgL_symbzd2funzd2_3207, BgL_fz00_3205,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3197))->
																					BgL_tailzf3zf3), BgL_stkz00_3198,
																				BgL_siza7eza7_3206, BgL_a1z00_3212,
																				BgL_a2z00_3218, BgL_a3z00_3224);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 993 */
																			obj_t BgL_a4z00_3230;
																			obj_t BgL_argsz00_3231;

																			{	/* Eval/evaluate_comp.scm 993 */
																				obj_t BgL_arg3005z00_3236;

																				BgL_arg3005z00_3236 =
																					CAR(BgL_argsz00_3225);
																				BgL_a4z00_3230 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3005z00_3236),
																					BgL_stkz00_3198);
																			}
																			BgL_argsz00_3231 = CDR(BgL_argsz00_3225);
																			if (NULLP(BgL_argsz00_3231))
																				{	/* Eval/evaluate_comp.scm 993 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3197))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3197))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3207,
																						BgL_fz00_3205,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3197))->
																							BgL_tailzf3zf3), BgL_stkz00_3198,
																						BgL_siza7eza7_3206, BgL_a1z00_3212,
																						BgL_a2z00_3218, BgL_a3z00_3224,
																						BgL_a4z00_3230);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 993 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string5531z00zz__evaluate_compz00,
																						BGl_string5645z00zz__evaluate_compz00,
																						BGl_string5646z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1672 */
	obj_t BGl_z62compzd2ev_goto1672zb0zz__evaluate_compz00(obj_t BgL_envz00_17197,
		BgL_ev_gotoz00_bglt BgL_ez00_17198, obj_t BgL_stkz00_17199)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 569 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3154;
				obj_t BgL_stkz00_3155;

				BgL_ez00_3154 = BgL_ez00_17198;
				BgL_stkz00_3155 = BgL_stkz00_17199;
				{	/* Eval/evaluate_comp.scm 572 */
					obj_t BgL_slotz00_3159;
					long BgL_siza7eza7_3160;
					obj_t BgL_lstkz00_3161;

					BgL_slotz00_3159 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3160 = bgl_list_length(BgL_stkz00_3155);
					BgL_lstkz00_3161 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 574 */
						long BgL_llstkz00_3162;
						obj_t BgL_substkz00_3163;
						obj_t BgL_boxesz00_3164;

						BgL_llstkz00_3162 = bgl_list_length(BgL_lstkz00_3161);
						BgL_substkz00_3163 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3161,
							BgL_stkz00_3155);
						{	/* Eval/evaluate_comp.scm 574 */
							obj_t BgL_pairz00_10241;

							BgL_pairz00_10241 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3164 = CDR(BgL_pairz00_10241);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->BgL_argsz00),
								BgL_substkz00_3163))
							{	/* Eval/evaluate_comp.scm 577 */
								obj_t BgL_argsz00_3166;
								long BgL_nbargsz00_3167;

								BgL_argsz00_3166 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->BgL_argsz00),
									BgL_stkz00_3155);
								BgL_nbargsz00_3167 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 578 */
									obj_t BgL_zc3anonymousza32965ze3z83_16201;

									BgL_zc3anonymousza32965ze3z83_16201 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32965ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3160));
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 1)), BINT(BgL_llstkz00_3162));
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3154));
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 3)), BgL_argsz00_3166);
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 4)), BgL_boxesz00_3164);
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3167));
									PROCEDURE_SET(BgL_zc3anonymousza32965ze3z83_16201,
										(int) (((long) 6)), BgL_slotz00_3159);
									return BgL_zc3anonymousza32965ze3z83_16201;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 583 */
								obj_t BgL_argsz00_3178;

								BgL_argsz00_3178 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3155,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3154))->BgL_argsz00),
									(BgL_siza7eza7_3160 - BgL_llstkz00_3162));
								{	/* Eval/evaluate_comp.scm 584 */
									obj_t BgL_zc3anonymousza32971ze3z83_16202;

									BgL_zc3anonymousza32971ze3z83_16202 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32971ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza32971ze3z83_16202,
										(int) (((long) 0)), BINT(BgL_llstkz00_3162));
									PROCEDURE_SET(BgL_zc3anonymousza32971ze3z83_16202,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3154));
									PROCEDURE_SET(BgL_zc3anonymousza32971ze3z83_16202,
										(int) (((long) 2)), BgL_argsz00_3178);
									PROCEDURE_SET(BgL_zc3anonymousza32971ze3z83_16202,
										(int) (((long) 3)), BgL_boxesz00_3164);
									PROCEDURE_SET(BgL_zc3anonymousza32971ze3z83_16202,
										(int) (((long) 4)), BgL_slotz00_3159);
									return BgL_zc3anonymousza32971ze3z83_16202;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2965> */
	obj_t BGl_z62zc3anonymousza32965ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17200, obj_t BgL_sz00_17208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 578 */
			{	/* Eval/evaluate_comp.scm 578 */
				long BgL_siza7eza7_17201;
				long BgL_llstkz00_17202;
				BgL_ev_gotoz00_bglt BgL_i1137z00_17203;
				obj_t BgL_argsz00_17204;
				obj_t BgL_boxesz00_17205;
				long BgL_nbargsz00_17206;
				obj_t BgL_slotz00_17207;

				BgL_siza7eza7_17201 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 0))));
				BgL_llstkz00_17202 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 1))));
				BgL_i1137z00_17203 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 2))));
				BgL_argsz00_17204 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 3))));
				BgL_boxesz00_17205 =
					PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 4)));
				BgL_nbargsz00_17206 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 5))));
				BgL_slotz00_17207 = PROCEDURE_REF(BgL_envz00_17200, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3168;

					BgL_sz00_3168 = BgL_sz00_17208;
					{	/* Eval/evaluate_comp.scm 578 */
						obj_t BgL_bpz00_3170;

						BgL_bpz00_3170 = VECTOR_REF(BgL_sz00_3168, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 579 */
							long BgL_spz00_3171;
							long BgL_lspz00_3172;

							BgL_spz00_3171 =
								((long) CINT(BgL_bpz00_3170) + BgL_siza7eza7_17201);
							BgL_lspz00_3172 =
								((long) CINT(BgL_bpz00_3170) + BgL_llstkz00_17202);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3168, BgL_argsz00_17204, BgL_boxesz00_17205,
								BgL_spz00_3171,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1137z00_17203))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 581 */
								long BgL_arg2967z00_3174;

								BgL_arg2967z00_3174 = (BgL_spz00_3171 + BgL_nbargsz00_17206);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3168,
									BINT(BgL_lspz00_3172), BgL_sz00_3168,
									BINT(BgL_spz00_3171), BINT(BgL_arg2967z00_3174));
							}
							return CDR(BgL_slotz00_17207);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2971> */
	obj_t BGl_z62zc3anonymousza32971ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17209, obj_t BgL_sz00_17215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 584 */
			{	/* Eval/evaluate_comp.scm 584 */
				long BgL_llstkz00_17210;
				BgL_ev_gotoz00_bglt BgL_i1137z00_17211;
				obj_t BgL_argsz00_17212;
				obj_t BgL_boxesz00_17213;
				obj_t BgL_slotz00_17214;

				BgL_llstkz00_17210 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17209, (int) (((long) 0))));
				BgL_i1137z00_17211 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_17209, (int) (((long) 1))));
				BgL_argsz00_17212 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17209, (int) (((long) 2))));
				BgL_boxesz00_17213 =
					PROCEDURE_REF(BgL_envz00_17209, (int) (((long) 3)));
				BgL_slotz00_17214 = PROCEDURE_REF(BgL_envz00_17209, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3179;

					BgL_sz00_3179 = BgL_sz00_17215;
					{	/* Eval/evaluate_comp.scm 584 */
						obj_t BgL_bpz00_3181;

						BgL_bpz00_3181 = VECTOR_REF(BgL_sz00_3179, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3179, BgL_argsz00_17212, BgL_boxesz00_17213,
							((long) CINT(BgL_bpz00_3181) + BgL_llstkz00_17210),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1137z00_17211))->BgL_locz00));
						return CDR(BgL_slotz00_17214);
					}
				}
			}
		}
	}



/* &comp-ev_labels1670 */
	obj_t BGl_z62compzd2ev_labels1670zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17216, BgL_ev_labelsz00_bglt BgL_ez00_17217,
		obj_t BgL_stkz00_17218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 537 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3108;
				obj_t BgL_stkz00_3109;

				BgL_ez00_3108 = BgL_ez00_17217;
				BgL_stkz00_3109 = BgL_stkz00_17218;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3108))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3109), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 544 */
					obj_t BgL_envz00_3114;

					{	/* Eval/evaluate_comp.scm 544 */
						obj_t BgL_l1580z00_3132;

						BgL_l1580z00_3132 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3108))->BgL_varsz00);
						if (NULLP(BgL_l1580z00_3132))
							{	/* Eval/evaluate_comp.scm 544 */
								BgL_envz00_3114 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 544 */
								obj_t BgL_head1582z00_3134;

								{	/* Eval/evaluate_comp.scm 544 */
									obj_t BgL_res4916z00_10151;

									BgL_res4916z00_10151 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1582z00_3134 = BgL_res4916z00_10151;
								}
								{
									obj_t BgL_l1580z00_10185;
									obj_t BgL_tail1583z00_10186;

									BgL_l1580z00_10185 = BgL_l1580z00_3132;
									BgL_tail1583z00_10186 = BgL_head1582z00_3134;
								BgL_zc3anonymousza32957ze3z83_10184:
									if (NULLP(BgL_l1580z00_10185))
										{	/* Eval/evaluate_comp.scm 544 */
											BgL_envz00_3114 = CDR(BgL_head1582z00_3134);
										}
									else
										{	/* Eval/evaluate_comp.scm 544 */
											obj_t BgL_newtail1584z00_10193;

											{	/* Eval/evaluate_comp.scm 544 */
												obj_t BgL_arg2960z00_10194;

												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_vz00_10195;

													BgL_vz00_10195 = CAR(BgL_l1580z00_10185);
													BgL_arg2960z00_10194 =
														MAKE_PAIR(BgL_vz00_10195,
														BGl_symbol5647z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_res4922z00_10203;

													BgL_res4922z00_10203 =
														MAKE_PAIR(BgL_arg2960z00_10194, BNIL);
													BgL_newtail1584z00_10193 = BgL_res4922z00_10203;
												}
											}
											SET_CDR(BgL_tail1583z00_10186, BgL_newtail1584z00_10193);
											{
												obj_t BgL_tail1583z00_31127;
												obj_t BgL_l1580z00_31125;

												BgL_l1580z00_31125 = CDR(BgL_l1580z00_10185);
												BgL_tail1583z00_31127 = BgL_newtail1584z00_10193;
												BgL_tail1583z00_10186 = BgL_tail1583z00_31127;
												BgL_l1580z00_10185 = BgL_l1580z00_31125;
												goto BgL_zc3anonymousza32957ze3z83_10184;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3108))->BgL_envz00) =
						((obj_t) BgL_envz00_3114), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 547 */
						obj_t BgL_g1588z00_3116;

						BgL_g1588z00_3116 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3108))->BgL_valsz00);
						{
							obj_t BgL_ll1585z00_3118;
							obj_t BgL_ll1586z00_3119;

							BgL_ll1585z00_3118 = BgL_envz00_3114;
							BgL_ll1586z00_3119 = BgL_g1588z00_3116;
						BgL_zc3anonymousza32947ze3z83_3120:
							if (NULLP(BgL_ll1585z00_3118))
								{	/* Eval/evaluate_comp.scm 547 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 547 */
									{	/* Eval/evaluate_comp.scm 549 */
										obj_t BgL_slotz00_3122;
										obj_t BgL_valz00_3123;

										BgL_slotz00_3122 = CAR(BgL_ll1585z00_3118);
										BgL_valz00_3123 = CAR(BgL_ll1586z00_3119);
										{	/* Eval/evaluate_comp.scm 550 */
											obj_t BgL_arg2949z00_3124;

											{	/* Eval/evaluate_comp.scm 550 */
												obj_t BgL_arg2950z00_3125;

												{	/* Eval/evaluate_comp.scm 550 */
													obj_t BgL_arg2951z00_3126;
													obj_t BgL_arg2952z00_3127;

													BgL_arg2951z00_3126 = CDR(BgL_valz00_3123);
													BgL_arg2952z00_3127 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3109, CAR(BgL_valz00_3123));
													BgL_arg2950z00_3125 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg2951z00_3126),
														BgL_arg2952z00_3127);
												}
												{	/* Eval/evaluate_comp.scm 550 */
													obj_t BgL_procz00_10214;
													obj_t BgL_objz00_10215;

													BgL_procz00_10214 = BgL_arg2950z00_3125;
													BgL_objz00_10215 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_10214,
														BgL_objz00_10215);
													BgL_objz00_10215;
												}
												BgL_arg2949z00_3124 = BgL_arg2950z00_3125;
											}
											SET_CDR(BgL_slotz00_3122, BgL_arg2949z00_3124);
										}
									}
									{
										obj_t BgL_ll1586z00_31143;
										obj_t BgL_ll1585z00_31141;

										BgL_ll1585z00_31141 = CDR(BgL_ll1585z00_3118);
										BgL_ll1586z00_31143 = CDR(BgL_ll1586z00_3119);
										BgL_ll1586z00_3119 = BgL_ll1586z00_31143;
										BgL_ll1585z00_3118 = BgL_ll1585z00_31141;
										goto BgL_zc3anonymousza32947ze3z83_3120;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 554 */
					obj_t BgL_bodyz00_3145;

					BgL_bodyz00_3145 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3108))->BgL_bodyz00),
						BgL_stkz00_3109);
					{	/* Eval/evaluate_comp.scm 555 */
						obj_t BgL_zc3anonymousza32961ze3z83_16204;

						BgL_zc3anonymousza32961ze3z83_16204 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32961ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32961ze3z83_16204,
							(int) (((long) 0)), BgL_bodyz00_3145);
						return BgL_zc3anonymousza32961ze3z83_16204;
					}
				}
			}
		}
	}



/* &<anonymous:2961> */
	obj_t BGl_z62zc3anonymousza32961ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17219, obj_t BgL_sz00_17221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 555 */
			{	/* Eval/evaluate_comp.scm 555 */
				obj_t BgL_bodyz00_17220;

				BgL_bodyz00_17220 = PROCEDURE_REF(BgL_envz00_17219, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3146;

					BgL_sz00_3146 = BgL_sz00_17221;
					{	/* Eval/evaluate_comp.scm 555 */
						obj_t BgL_bpz00_10220;

						BgL_bpz00_10220 = VECTOR_REF(BgL_sz00_3146, (int) (((long) 0)));
						{
							obj_t BgL_fz00_10226;

							BgL_fz00_10226 = BgL_bodyz00_17220;
						BgL_recz00_10225:
							{	/* Eval/evaluate_comp.scm 555 */
								obj_t BgL_rz00_10227;

								BgL_rz00_10227 =
									PROCEDURE_ENTRY(BgL_fz00_10226) (BgL_fz00_10226,
									BgL_sz00_3146, BEOA);
								{	/* Eval/evaluate_comp.scm 555 */
									bool_t BgL_testz00_31160;

									if (PROCEDUREP(BgL_rz00_10227))
										{	/* Eval/evaluate_comp.scm 555 */
											obj_t BgL_arg1851z00_10230;

											BgL_arg1851z00_10230 = PROCEDURE_ATTR(BgL_rz00_10227);
											if (STRUCTP(BgL_arg1851z00_10230))
												{	/* Eval/evaluate_comp.scm 555 */
													BgL_testz00_31160 =
														(STRUCT_KEY(BgL_arg1851z00_10230) ==
														BGl_symbol5525z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 555 */
													BgL_testz00_31160 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 555 */
											BgL_testz00_31160 = ((bool_t) 0);
										}
									if (BgL_testz00_31160)
										{
											obj_t BgL_fz00_31168;

											BgL_fz00_31168 = BgL_rz00_10227;
											BgL_fz00_10226 = BgL_fz00_31168;
											goto BgL_recz00_10225;
										}
									else
										{	/* Eval/evaluate_comp.scm 555 */
											return BgL_rz00_10227;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1668 */
	obj_t BGl_z62compzd2ev_withzd2handler1668z62zz__evaluate_compz00(obj_t
		BgL_envz00_17222, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_17223,
		obj_t BgL_stkz00_17224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3070;
				obj_t BgL_stkz00_3071;

				BgL_ez00_3070 = BgL_ez00_17223;
				BgL_stkz00_3071 = BgL_stkz00_17224;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3075;
					obj_t BgL_bodyz00_3076;

					BgL_handlerz00_3075 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3070))->
							BgL_handlerz00), BgL_stkz00_3071);
					BgL_bodyz00_3076 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3070))->BgL_bodyz00), BgL_stkz00_3071);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza32935ze3z83_16207;

						BgL_zc3anonymousza32935ze3z83_16207 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_16207,
							(int) (((long) 0)), BgL_handlerz00_3075);
						PROCEDURE_SET(BgL_zc3anonymousza32935ze3z83_16207,
							(int) (((long) 1)), BgL_bodyz00_3076);
						return BgL_zc3anonymousza32935ze3z83_16207;
					}
				}
			}
		}
	}



/* &<anonymous:2935> */
	obj_t BGl_z62zc3anonymousza32935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17225, obj_t BgL_sz00_17228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_17226;
				obj_t BgL_bodyz00_17227;

				BgL_handlerz00_17226 =
					PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 0)));
				BgL_bodyz00_17227 = PROCEDURE_REF(BgL_envz00_17225, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3077;

					BgL_sz00_3077 = BgL_sz00_17228;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3079;

						BgL_bpz00_3079 = VECTOR_REF(BgL_sz00_3077, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3080;

							BgL_hz00_3080 =
								PROCEDURE_ENTRY(BgL_handlerz00_17226) (BgL_handlerz00_17226,
								BgL_sz00_3077, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3082;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res1125z00_3083;

									BgL_res1125z00_3083 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza32937ze3z83zz__evaluate_compz00
											(BgL_sz00_3077, BgL_bodyz00_17227, BgL_res1125z00_3083)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3082 =
												PROCEDURE_ENTRY(BgL_hz00_3080) (BgL_hz00_3080,
												CELL_REF(BgL_res1125z00_3083), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3082 =
												CELL_REF(BgL_res1125z00_3083);
										}
								}
								VECTOR_SET(BgL_sz00_3077, (int) (((long) 0)), BgL_bpz00_3079);
								return BgL_za2za2resza2za2z00_3082;
							}
						}
					}
				}
			}
		}
	}



/* <exit:2941> */
	obj_t BGl_zc3exitza32941ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17408,
		obj_t BgL_bodyz00_17407, obj_t BgL_ohs1123z00_17406,
		obj_t BgL_an_exitd1129z00_17405, obj_t BgL_res1125z00_17404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1133z00_3098;

			if (SET_EXIT(BgL_an_exit1133z00_3098))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1133z00_3098 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1133z00_3098, ((long) 0));
						{	/* Eval/evaluate_comp.scm 530 */
							bool_t BgL_val1134z00_3099;

							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_arg2942z00_3100;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_zc3anonymousza32944ze3z83_16206;

									BgL_zc3anonymousza32944ze3z83_16206 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32944ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32944ze3z83_16206,
										(int) (((long) 0)), BgL_res1125z00_17404);
									PROCEDURE_SET(BgL_zc3anonymousza32944ze3z83_16206,
										(int) (((long) 1)), BgL_an_exitd1129z00_17405);
									BgL_arg2942z00_3100 =
										MAKE_PAIR(BgL_zc3anonymousza32944ze3z83_16206,
										BgL_ohs1123z00_17406);
								}
								BGL_ERROR_HANDLER_SET(BgL_arg2942z00_3100);
								BUNSPEC;
							}
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_auxz00_17229;

								BgL_auxz00_17229 =
									PROCEDURE_ENTRY(BgL_bodyz00_17407) (BgL_bodyz00_17407,
									BgL_sz00_17408, BEOA);
								CELL_SET(BgL_res1125z00_17404, BgL_auxz00_17229);
							}
							BgL_val1134z00_3099 = ((bool_t) 0);
							POP_EXIT();
							return BBOOL(BgL_val1134z00_3099);
						}
					}
				}
		}
	}



/* <exit:2937> */
	obj_t BGl_zc3exitza32937ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17411,
		obj_t BgL_bodyz00_17410, obj_t BgL_res1125z00_17409)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1128z00_3087;

			if (SET_EXIT(BgL_an_exit1128z00_3087))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1128z00_3087 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1128z00_3087, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd1129z00_3088;

							BgL_an_exitd1129z00_3088 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_res1131z00_3091;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs1123z00_3092;

									BgL_ohs1123z00_3092 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_val1132z00_3093;

										BgL_val1132z00_3093 =
											BGl_zc3exitza32941ze3z83zz__evaluate_compz00
											(BgL_sz00_17411, BgL_bodyz00_17410, BgL_ohs1123z00_3092,
											BgL_an_exitd1129z00_3088, BgL_res1125z00_17409);
										BGL_ERROR_HANDLER_SET(BgL_ohs1123z00_3092);
										BUNSPEC;
										if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
												(BgL_val1132z00_3093)))
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1131z00_3091 =
													BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
													(BgL_val1132z00_3093), CDR(BgL_val1132z00_3093));
											}
										else
											{	/* Eval/evaluate_comp.scm 530 */
												BgL_res1131z00_3091 = BgL_val1132z00_3093;
											}
									}
								}
								POP_EXIT();
								return BgL_res1131z00_3091;
							}
						}
					}
				}
		}
	}



/* &<anonymous:2944> */
	obj_t BGl_z62zc3anonymousza32944ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17230, obj_t BgL_ez00_17233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res1125z00_17231;
				obj_t BgL_an_exitd1129z00_17232;

				BgL_res1125z00_17231 =
					PROCEDURE_REF(BgL_envz00_17230, (int) (((long) 0)));
				BgL_an_exitd1129z00_17232 =
					PROCEDURE_REF(BgL_envz00_17230, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3102;

					BgL_ez00_3102 = BgL_ez00_17233;
					CELL_SET(BgL_res1125z00_17231, BgL_ez00_3102);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1129z00_17232,
						BTRUE);
				}
			}
		}
	}



/* &comp-ev_unwind-prote1666 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1666z62zz__evaluate_compz00(obj_t
		BgL_envz00_17235, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_17236,
		obj_t BgL_stkz00_17237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3049;
				obj_t BgL_stkz00_3050;

				BgL_ez00_3049 = BgL_ez00_17236;
				BgL_stkz00_3050 = BgL_stkz00_17237;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3054;
					obj_t BgL_bodyz00_3055;

					BgL_ez00_3054 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3049))->BgL_ez00),
						BgL_stkz00_3050);
					BgL_bodyz00_3055 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3049))->BgL_bodyz00), BgL_stkz00_3050);
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza32928ze3z83_16209;

						BgL_zc3anonymousza32928ze3z83_16209 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32928ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32928ze3z83_16209,
							(int) (((long) 0)), BgL_ez00_3054);
						PROCEDURE_SET(BgL_zc3anonymousza32928ze3z83_16209,
							(int) (((long) 1)), BgL_bodyz00_3055);
						return BgL_zc3anonymousza32928ze3z83_16209;
					}
				}
			}
		}
	}



/* &<anonymous:2928> */
	obj_t BGl_z62zc3anonymousza32928ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17238, obj_t BgL_sz00_17241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_ez00_17239;
				obj_t BgL_bodyz00_17240;

				BgL_ez00_17239 = PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 0)));
				BgL_bodyz00_17240 = PROCEDURE_REF(BgL_envz00_17238, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3056;

					BgL_sz00_3056 = BgL_sz00_17241;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3058;

						BgL_bpz00_3058 = VECTOR_REF(BgL_sz00_3056, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1119z00_3060;

							BgL_val1119z00_3060 =
								BGl_zc3exitza32932ze3z83zz__evaluate_compz00(BgL_sz00_3056,
								BgL_ez00_17239);
							VECTOR_SET(BgL_sz00_3056, (int) (((long) 0)), BgL_bpz00_3058);
							PROCEDURE_ENTRY(BgL_bodyz00_17240) (BgL_bodyz00_17240,
								BgL_sz00_3056, BEOA);
							if (CBOOL(BGl_valzd2fromzd2exitzf3zf3zz__bexitz00
									(BgL_val1119z00_3060)))
								{	/* Eval/evaluate_comp.scm 522 */
									return
										BGl_unwindzd2untilz12zc0zz__bexitz00(CAR
										(BgL_val1119z00_3060), CDR(BgL_val1119z00_3060));
								}
							else
								{	/* Eval/evaluate_comp.scm 522 */
									return BgL_val1119z00_3060;
								}
						}
					}
				}
			}
		}
	}



/* <exit:2932> */
	obj_t BGl_zc3exitza32932ze3z83zz__evaluate_compz00(obj_t BgL_sz00_17403,
		obj_t BgL_ez00_17402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 521 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1120z00_3065;

			if (SET_EXIT(BgL_an_exit1120z00_3065))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1120z00_3065 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 521 */

						PUSH_EXIT(BgL_an_exit1120z00_3065, ((long) 0));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_val1121z00_3066;

							BgL_val1121z00_3066 =
								PROCEDURE_ENTRY(BgL_ez00_17402) (BgL_ez00_17402, BgL_sz00_17403,
								BEOA);
							POP_EXIT();
							return BgL_val1121z00_3066;
						}
					}
				}
		}
	}



/* &comp-ev_bind-exit1664 */
	obj_t BGl_z62compzd2ev_bindzd2exit1664z62zz__evaluate_compz00(obj_t
		BgL_envz00_17242, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_17243,
		obj_t BgL_stkz00_17244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3022;
				obj_t BgL_stkz00_3023;

				BgL_ez00_3022 = BgL_ez00_17243;
				BgL_stkz00_3023 = BgL_stkz00_17244;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3027;
					obj_t BgL_nstkz00_3028;

					BgL_siza7eza7_3027 = bgl_list_length(BgL_stkz00_3023);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg2926z00_3046;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg2927z00_3047;

							BgL_arg2927z00_3047 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3022))->
								BgL_varz00);
							BgL_arg2926z00_3046 =
								MAKE_PAIR(((obj_t) BgL_arg2927z00_3047), BNIL);
						}
						BgL_nstkz00_3028 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3023,
							BgL_arg2926z00_3046);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3029;
						obj_t BgL_effzf3zf3_3030;

						BgL_bodyz00_3029 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3022))->BgL_bodyz00),
							BgL_nstkz00_3028);
						BgL_effzf3zf3_3030 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3022))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza32921ze3z83_16212;

							BgL_zc3anonymousza32921ze3z83_16212 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32921ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza32921ze3z83_16212,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3027));
							PROCEDURE_SET(BgL_zc3anonymousza32921ze3z83_16212,
								(int) (((long) 1)), BgL_effzf3zf3_3030);
							PROCEDURE_SET(BgL_zc3anonymousza32921ze3z83_16212,
								(int) (((long) 2)), BgL_bodyz00_3029);
							return BgL_zc3anonymousza32921ze3z83_16212;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2921> */
	obj_t BGl_z62zc3anonymousza32921ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17245, obj_t BgL_sz00_17249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_17246;
				obj_t BgL_effzf3zf3_17247;
				obj_t BgL_bodyz00_17248;

				BgL_siza7eza7_17246 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17245, (int) (((long) 0))));
				BgL_effzf3zf3_17247 =
					PROCEDURE_REF(BgL_envz00_17245, (int) (((long) 1)));
				BgL_bodyz00_17248 = PROCEDURE_REF(BgL_envz00_17245, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3031;

					BgL_sz00_3031 = BgL_sz00_17249;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3033;

						BgL_bpz00_3033 = VECTOR_REF(BgL_sz00_3031, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3035;

							BgL_za2za2resza2za2z00_3035 =
								BGl_zc3exitza32922ze3z83zz__evaluate_compz00(BgL_bodyz00_17248,
								BgL_sz00_3031, BgL_effzf3zf3_17247, BgL_siza7eza7_17246,
								BgL_bpz00_3033);
							VECTOR_SET(BgL_sz00_3031, (int) (((long) 0)), BgL_bpz00_3033);
							return BgL_za2za2resza2za2z00_3035;
						}
					}
				}
			}
		}
	}



/* <exit:2922> */
	obj_t BGl_zc3exitza32922ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_17401,
		obj_t BgL_sz00_17400, obj_t BgL_effzf3zf3_17399, long BgL_siza7eza7_17398,
		obj_t BgL_bpz00_17397)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1114z00_3037;

			if (SET_EXIT(BgL_an_exit1114z00_3037))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1114z00_3037 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit1114z00_3037, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd1115z00_3038;

							BgL_an_exitd1115z00_3038 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_16211;

								BgL_exitz00_16211 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_16211,
									(int) (((long) 0)), BgL_an_exitd1115z00_3038);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res1117z00_3041;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg2923z00_3042;
										obj_t BgL_arg2924z00_3043;

										BgL_arg2923z00_3042 =
											((long) CINT(BgL_bpz00_17397) + BgL_siza7eza7_17398);
										if (CBOOL(BgL_effzf3zf3_17399))
											{	/* Eval/evaluate_comp.scm 511 */
												obj_t BgL_newz00_10120;

												BgL_newz00_10120 =
													create_struct(BGl_symbol5541z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 511 */
													int BgL_auxz00_31320;

													BgL_auxz00_31320 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_10120, BgL_auxz00_31320,
														BgL_exitz00_16211);
												}
												BgL_arg2924z00_3043 = BgL_newz00_10120;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg2924z00_3043 = BgL_exitz00_16211;
											}
										VECTOR_SET(BgL_sz00_17400,
											(int) (BgL_arg2923z00_3042), BgL_arg2924z00_3043);
									}
									BgL_res1117z00_3041 =
										PROCEDURE_ENTRY(BgL_bodyz00_17401) (BgL_bodyz00_17401,
										BgL_sz00_17400, BEOA);
									POP_EXIT();
									return BgL_res1117z00_3041;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_17250,
		obj_t BgL_val1116z00_17252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd1115z00_17251;

				BgL_an_exitd1115z00_17251 =
					PROCEDURE_REF(BgL_envz00_17250, (int) (((long) 0)));
				{
					obj_t BgL_val1116z00_3039;

					BgL_val1116z00_3039 = BgL_val1116z00_17252;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1115z00_17251,
						BgL_val1116z00_3039);
				}
			}
		}
	}



/* &comp-ev_letrec1662 */
	obj_t BGl_z62compzd2ev_letrec1662zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17253, BgL_ev_letrecz00_bglt BgL_ez00_17254,
		obj_t BgL_stkz00_17255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_2924;
				obj_t BgL_stkz00_2925;

				BgL_ez00_2924 = BgL_ez00_17254;
				BgL_stkz00_2925 = BgL_stkz00_17255;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_2929;
					obj_t BgL_nstkz00_2930;

					BgL_siza7eza7_2929 = bgl_list_length(BgL_stkz00_2925);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg2920z00_3020;

						BgL_arg2920z00_3020 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2924)))->BgL_varsz00);
						BgL_nstkz00_2930 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2925,
							BgL_arg2920z00_3020);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_2931;
						obj_t BgL_bodyz00_2932;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l1567z00_3006;

							BgL_l1567z00_3006 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2924)))->BgL_valsz00);
							if (NULLP(BgL_l1567z00_3006))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_2931 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head1569z00_3008;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res4874z00_9760;

										BgL_res4874z00_9760 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1569z00_3008 = BgL_res4874z00_9760;
									}
									{
										obj_t BgL_l1567z00_9794;
										obj_t BgL_tail1570z00_9795;

										BgL_l1567z00_9794 = BgL_l1567z00_3006;
										BgL_tail1570z00_9795 = BgL_head1569z00_3008;
									BgL_zc3anonymousza32915ze3z83_9793:
										if (NULLP(BgL_l1567z00_9794))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_2931 = CDR(BgL_head1569z00_3008);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail1571z00_9802;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg2918z00_9803;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_9804;

														BgL_vz00_9804 = CAR(BgL_l1567z00_9794);
														BgL_arg2918z00_9803 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9804),
															BgL_nstkz00_2930);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res4880z00_9812;

														BgL_res4880z00_9812 =
															MAKE_PAIR(BgL_arg2918z00_9803, BNIL);
														BgL_newtail1571z00_9802 = BgL_res4880z00_9812;
													}
												}
												SET_CDR(BgL_tail1570z00_9795, BgL_newtail1571z00_9802);
												{
													obj_t BgL_tail1570z00_31352;
													obj_t BgL_l1567z00_31350;

													BgL_l1567z00_31350 = CDR(BgL_l1567z00_9794);
													BgL_tail1570z00_31352 = BgL_newtail1571z00_9802;
													BgL_tail1570z00_9795 = BgL_tail1570z00_31352;
													BgL_l1567z00_9794 = BgL_l1567z00_31350;
													goto BgL_zc3anonymousza32915ze3z83_9793;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg2919z00_3019;

							BgL_arg2919z00_3019 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2924)))->BgL_bodyz00);
							BgL_bodyz00_2932 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2919z00_3019,
								BgL_nstkz00_2930);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_31356;

							{
								obj_t BgL_l1572z00_2999;

								BgL_l1572z00_2999 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_2924)))->BgL_valsz00);
							BgL_zc3anonymousza32910ze3z83_3000:
								if (NULLP(BgL_l1572z00_2999))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_31356 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_testz00_31359;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_vz00_3004;

											BgL_vz00_3004 = CAR(BgL_l1572z00_2999);
											BgL_testz00_31359 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_3004,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_31359)
											{
												obj_t BgL_l1572z00_31362;

												BgL_l1572z00_31362 = CDR(BgL_l1572z00_2999);
												BgL_l1572z00_2999 = BgL_l1572z00_31362;
												goto BgL_zc3anonymousza32910ze3z83_3000;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_31356 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_31356)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza32880ze3z83_16215;

									BgL_zc3anonymousza32880ze3z83_16215 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_16215,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2929));
									PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_16215,
										(int) (((long) 1)), BgL_cvalsz00_2931);
									PROCEDURE_SET(BgL_zc3anonymousza32880ze3z83_16215,
										(int) (((long) 2)), BgL_bodyz00_2932);
									return BgL_zc3anonymousza32880ze3z83_16215;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza32893ze3z83_16214;

									BgL_zc3anonymousza32893ze3z83_16214 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_16214,
										(int) (((long) 0)), BINT(BgL_siza7eza7_2929));
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_16214,
										(int) (((long) 1)), BgL_cvalsz00_2931);
									PROCEDURE_SET(BgL_zc3anonymousza32893ze3z83_16214,
										(int) (((long) 2)), BgL_bodyz00_2932);
									return BgL_zc3anonymousza32893ze3z83_16214;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2880> */
	obj_t BGl_z62zc3anonymousza32880ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17256, obj_t BgL_sz00_17260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_17257;
				obj_t BgL_cvalsz00_17258;
				obj_t BgL_bodyz00_17259;

				BgL_siza7eza7_17257 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17256, (int) (((long) 0))));
				BgL_cvalsz00_17258 =
					PROCEDURE_REF(BgL_envz00_17256, (int) (((long) 1)));
				BgL_bodyz00_17259 = PROCEDURE_REF(BgL_envz00_17256, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2934;

					BgL_sz00_2934 = BgL_sz00_17260;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_2936;

						BgL_bpz00_2936 = VECTOR_REF(BgL_sz00_2934, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g1108z00_2937;

							BgL_g1108z00_2937 =
								((long) CINT(BgL_bpz00_2936) + BgL_siza7eza7_17257);
							{
								obj_t BgL_lz00_9868;
								long BgL_iz00_9869;

								BgL_lz00_9868 = BgL_cvalsz00_17258;
								BgL_iz00_9869 = BgL_g1108z00_2937;
							BgL_recz00_9867:
								if (NULLP(BgL_lz00_9868))
									{	/* Eval/evaluate_comp.scm 482 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 482 */
										{	/* Eval/evaluate_comp.scm 482 */
											obj_t BgL_arg2883z00_9875;

											{	/* Eval/evaluate_comp.scm 482 */
												obj_t BgL_newz00_9881;

												BgL_newz00_9881 =
													create_struct(BGl_symbol5541z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 482 */
													int BgL_auxz00_31401;

													BgL_auxz00_31401 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9881, BgL_auxz00_31401,
														BUNSPEC);
												}
												BgL_arg2883z00_9875 = BgL_newz00_9881;
											}
											VECTOR_SET(BgL_sz00_2934,
												(int) (BgL_iz00_9869), BgL_arg2883z00_9875);
										}
										{
											long BgL_iz00_31408;
											obj_t BgL_lz00_31406;

											BgL_lz00_31406 = CDR(BgL_lz00_9868);
											BgL_iz00_31408 = (BgL_iz00_9869 + ((long) 1));
											BgL_iz00_9869 = BgL_iz00_31408;
											BgL_lz00_9868 = BgL_lz00_31406;
											goto BgL_recz00_9867;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g1109z00_2947;

							BgL_g1109z00_2947 =
								((long) CINT(BgL_bpz00_2936) + BgL_siza7eza7_17257);
							{
								obj_t BgL_lz00_2949;
								long BgL_iz00_2950;

								BgL_lz00_2949 = BgL_cvalsz00_17258;
								BgL_iz00_2950 = BgL_g1109z00_2947;
							BgL_zc3anonymousza32886ze3z83_2951:
								if (NULLP(BgL_lz00_2949))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg2888z00_2953;
											obj_t BgL_arg2889z00_2954;

											BgL_arg2888z00_2953 =
												VECTOR_REF(BgL_sz00_2934, (int) (BgL_iz00_2950));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun2890z00_2955;

												BgL_fun2890z00_2955 = CAR(BgL_lz00_2949);
												BgL_arg2889z00_2954 =
													PROCEDURE_ENTRY(BgL_fun2890z00_2955)
													(BgL_fun2890z00_2955, BgL_sz00_2934, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 488 */
												int BgL_auxz00_31421;

												BgL_auxz00_31421 = (int) (((long) 0));
												STRUCT_SET(BgL_arg2888z00_2953, BgL_auxz00_31421,
													BgL_arg2889z00_2954);
										}}
										{
											long BgL_iz00_31426;
											obj_t BgL_lz00_31424;

											BgL_lz00_31424 = CDR(BgL_lz00_2949);
											BgL_iz00_31426 = (BgL_iz00_2950 + ((long) 1));
											BgL_iz00_2950 = BgL_iz00_31426;
											BgL_lz00_2949 = BgL_lz00_31424;
											goto BgL_zc3anonymousza32886ze3z83_2951;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17259) (BgL_bodyz00_17259,
							BgL_sz00_2934, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:2893> */
	obj_t BGl_z62zc3anonymousza32893ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17261, obj_t BgL_sz00_17265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_17262;
				obj_t BgL_cvalsz00_17263;
				obj_t BgL_bodyz00_17264;

				BgL_siza7eza7_17262 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17261, (int) (((long) 0))));
				BgL_cvalsz00_17263 =
					PROCEDURE_REF(BgL_envz00_17261, (int) (((long) 1)));
				BgL_bodyz00_17264 = PROCEDURE_REF(BgL_envz00_17261, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2959;

					BgL_sz00_2959 = BgL_sz00_17265;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_2961;

						BgL_bpz00_2961 = VECTOR_REF(BgL_sz00_2959, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g1110z00_2962;

							BgL_g1110z00_2962 =
								((long) CINT(BgL_bpz00_2961) + BgL_siza7eza7_17262);
							{
								obj_t BgL_lz00_9959;
								long BgL_iz00_9960;

								BgL_lz00_9959 = BgL_cvalsz00_17263;
								BgL_iz00_9960 = BgL_g1110z00_2962;
							BgL_recz00_9958:
								if (NULLP(BgL_lz00_9959))
									{	/* Eval/evaluate_comp.scm 492 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 492 */
										{	/* Eval/evaluate_comp.scm 492 */
											obj_t BgL_arg2896z00_9966;

											{	/* Eval/evaluate_comp.scm 492 */
												obj_t BgL_newz00_9972;

												BgL_newz00_9972 =
													create_struct(BGl_symbol5541z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 492 */
													int BgL_auxz00_31447;

													BgL_auxz00_31447 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_9972, BgL_auxz00_31447,
														BUNSPEC);
												}
												BgL_arg2896z00_9966 = BgL_newz00_9972;
											}
											VECTOR_SET(BgL_sz00_2959,
												(int) (BgL_iz00_9960), BgL_arg2896z00_9966);
										}
										{
											long BgL_iz00_31454;
											obj_t BgL_lz00_31452;

											BgL_lz00_31452 = CDR(BgL_lz00_9959);
											BgL_iz00_31454 = (BgL_iz00_9960 + ((long) 1));
											BgL_iz00_9960 = BgL_iz00_31454;
											BgL_lz00_9959 = BgL_lz00_31452;
											goto BgL_recz00_9958;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_2972;

							if (NULLP(BgL_cvalsz00_17263))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_2972 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head1577z00_2986;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res4900z00_9989;

										BgL_res4900z00_9989 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1577z00_2986 = BgL_res4900z00_9989;
									}
									{
										obj_t BgL_l1575z00_10023;
										obj_t BgL_tail1578z00_10024;

										BgL_l1575z00_10023 = BgL_cvalsz00_17263;
										BgL_tail1578z00_10024 = BgL_head1577z00_2986;
									BgL_zc3anonymousza32906ze3z83_10022:
										if (NULLP(BgL_l1575z00_10023))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_2972 = CDR(BgL_head1577z00_2986);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail1579z00_10031;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg2909z00_10032;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_10033;

														BgL_vz00_10033 = CAR(BgL_l1575z00_10023);
														BgL_arg2909z00_10032 =
															PROCEDURE_ENTRY(BgL_vz00_10033) (BgL_vz00_10033,
															BgL_sz00_2959, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res4906z00_10041;

														BgL_res4906z00_10041 =
															MAKE_PAIR(BgL_arg2909z00_10032, BNIL);
														BgL_newtail1579z00_10031 = BgL_res4906z00_10041;
													}
												}
												SET_CDR(BgL_tail1578z00_10024,
													BgL_newtail1579z00_10031);
												{
													obj_t BgL_tail1578z00_31471;
													obj_t BgL_l1575z00_31469;

													BgL_l1575z00_31469 = CDR(BgL_l1575z00_10023);
													BgL_tail1578z00_31471 = BgL_newtail1579z00_10031;
													BgL_tail1578z00_10024 = BgL_tail1578z00_31471;
													BgL_l1575z00_10023 = BgL_l1575z00_31469;
													goto BgL_zc3anonymousza32906ze3z83_10022;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g1111z00_2973;

								BgL_g1111z00_2973 =
									((long) CINT(BgL_bpz00_2961) + BgL_siza7eza7_17262);
								{
									obj_t BgL_lz00_10089;
									long BgL_iz00_10090;

									BgL_lz00_10089 = BgL_rvalsz00_2972;
									BgL_iz00_10090 = BgL_g1111z00_2973;
								BgL_recz00_10088:
									if (NULLP(BgL_lz00_10089))
										{	/* Eval/evaluate_comp.scm 497 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 497 */
											{	/* Eval/evaluate_comp.scm 497 */
												obj_t BgL_auxz00_31481;
												int BgL_auxz00_31479;
												obj_t BgL_auxz00_31476;

												BgL_auxz00_31481 = CAR(BgL_lz00_10089);
												BgL_auxz00_31479 = (int) (((long) 0));
												BgL_auxz00_31476 =
													VECTOR_REF(BgL_sz00_2959, (int) (BgL_iz00_10090));
												STRUCT_SET(BgL_auxz00_31476, BgL_auxz00_31479,
													BgL_auxz00_31481);
											}
											{
												long BgL_iz00_31486;
												obj_t BgL_lz00_31484;

												BgL_lz00_31484 = CDR(BgL_lz00_10089);
												BgL_iz00_31486 = (BgL_iz00_10090 + ((long) 1));
												BgL_iz00_10090 = BgL_iz00_31486;
												BgL_lz00_10089 = BgL_lz00_31484;
												goto BgL_recz00_10088;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_17264) (BgL_bodyz00_17264,
								BgL_sz00_2959, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1660 */
	obj_t BGl_z62compzd2ev_letza21660z12zz__evaluate_compz00(obj_t
		BgL_envz00_17266, BgL_ev_letza2za2_bglt BgL_ez00_17267,
		obj_t BgL_stkz00_17268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_2880;
				obj_t BgL_stkz00_2881;

				BgL_ez00_2880 = BgL_ez00_17267;
				BgL_stkz00_2881 = BgL_stkz00_17268;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_2885;
					obj_t BgL_nstkz00_2886;

					BgL_siza7eza7_2885 = bgl_list_length(BgL_stkz00_2881);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg2878z00_2922;

						BgL_arg2878z00_2922 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2880)))->BgL_varsz00);
						BgL_nstkz00_2886 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2881,
							BgL_arg2878z00_2922);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_2887;
						obj_t BgL_bodyz00_2888;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l1562z00_2908;

							BgL_l1562z00_2908 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2880)))->BgL_valsz00);
							if (NULLP(BgL_l1562z00_2908))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_2887 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head1564z00_2910;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res4863z00_9676;

										BgL_res4863z00_9676 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1564z00_2910 = BgL_res4863z00_9676;
									}
									{
										obj_t BgL_l1562z00_9710;
										obj_t BgL_tail1565z00_9711;

										BgL_l1562z00_9710 = BgL_l1562z00_2908;
										BgL_tail1565z00_9711 = BgL_head1564z00_2910;
									BgL_zc3anonymousza32873ze3z83_9709:
										if (NULLP(BgL_l1562z00_9710))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_2887 = CDR(BgL_head1564z00_2910);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail1566z00_9718;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg2876z00_9719;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_9720;

														BgL_vz00_9720 = CAR(BgL_l1562z00_9710);
														BgL_arg2876z00_9719 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_9720),
															BgL_nstkz00_2886);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res4869z00_9728;

														BgL_res4869z00_9728 =
															MAKE_PAIR(BgL_arg2876z00_9719, BNIL);
														BgL_newtail1566z00_9718 = BgL_res4869z00_9728;
													}
												}
												SET_CDR(BgL_tail1565z00_9711, BgL_newtail1566z00_9718);
												{
													obj_t BgL_tail1565z00_31511;
													obj_t BgL_l1562z00_31509;

													BgL_l1562z00_31509 = CDR(BgL_l1562z00_9710);
													BgL_tail1565z00_31511 = BgL_newtail1566z00_9718;
													BgL_tail1565z00_9711 = BgL_tail1565z00_31511;
													BgL_l1562z00_9710 = BgL_l1562z00_31509;
													goto BgL_zc3anonymousza32873ze3z83_9709;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg2877z00_2921;

							BgL_arg2877z00_2921 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2880)))->BgL_bodyz00);
							BgL_bodyz00_2888 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2877z00_2921,
								BgL_nstkz00_2886);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza32862ze3z83_16217;

							BgL_zc3anonymousza32862ze3z83_16217 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32862ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32862ze3z83_16217,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2885));
							PROCEDURE_SET(BgL_zc3anonymousza32862ze3z83_16217,
								(int) (((long) 1)), ((obj_t) BgL_ez00_2880));
							PROCEDURE_SET(BgL_zc3anonymousza32862ze3z83_16217,
								(int) (((long) 2)), BgL_valsz00_2887);
							PROCEDURE_SET(BgL_zc3anonymousza32862ze3z83_16217,
								(int) (((long) 3)), BgL_bodyz00_2888);
							return BgL_zc3anonymousza32862ze3z83_16217;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2862> */
	obj_t BGl_z62zc3anonymousza32862ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17269, obj_t BgL_sz00_17274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_17270;
				BgL_ev_letza2za2_bglt BgL_i1105z00_17271;
				obj_t BgL_valsz00_17272;
				obj_t BgL_bodyz00_17273;

				BgL_siza7eza7_17270 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17269, (int) (((long) 0))));
				BgL_i1105z00_17271 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_17269, (int) (((long) 1))));
				BgL_valsz00_17272 = PROCEDURE_REF(BgL_envz00_17269, (int) (((long) 2)));
				BgL_bodyz00_17273 = PROCEDURE_REF(BgL_envz00_17269, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2889;

					BgL_sz00_2889 = BgL_sz00_17274;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_2891;

						BgL_bpz00_2891 = VECTOR_REF(BgL_sz00_2889, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g1106z00_2892;

							BgL_g1106z00_2892 =
								((long) CINT(BgL_bpz00_2891) + BgL_siza7eza7_17270);
							{
								obj_t BgL_lz00_2895;
								long BgL_iz00_2896;
								obj_t BgL_bza2za2_2897;

								BgL_lz00_2895 = BgL_valsz00_17272;
								BgL_iz00_2896 = BgL_g1106z00_2892;
								BgL_bza2za2_2897 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1105z00_17271))->
									BgL_boxesz00);
							BgL_zc3anonymousza32864ze3z83_2898:
								if (NULLP(BgL_lz00_2895))
									{	/* Eval/evaluate_comp.scm 469 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 469 */
										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_valz00_2900;

											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_fun2868z00_2903;

												BgL_fun2868z00_2903 = CAR(BgL_lz00_2895);
												BgL_valz00_2900 =
													PROCEDURE_ENTRY(BgL_fun2868z00_2903)
													(BgL_fun2868z00_2903, BgL_sz00_2889, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_arg2866z00_2901;

												{	/* Eval/evaluate_comp.scm 471 */
													bool_t BgL_testz00_31549;

													{	/* Eval/evaluate_comp.scm 471 */
														obj_t BgL_pairz00_9740;

														BgL_pairz00_9740 = BgL_bza2za2_2897;
														BgL_testz00_31549 = CBOOL(CAR(BgL_pairz00_9740));
													}
													if (BgL_testz00_31549)
														{	/* Eval/evaluate_comp.scm 471 */
															obj_t BgL_newz00_9742;

															BgL_newz00_9742 =
																create_struct
																(BGl_symbol5541z00zz__evaluate_compz00,
																(int) (((long) 1)));
															{	/* Eval/evaluate_comp.scm 471 */
																int BgL_auxz00_31554;

																BgL_auxz00_31554 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_9742, BgL_auxz00_31554,
																	BgL_valz00_2900);
															}
															BgL_arg2866z00_2901 = BgL_newz00_9742;
														}
													else
														{	/* Eval/evaluate_comp.scm 471 */
															BgL_arg2866z00_2901 = BgL_valz00_2900;
														}
												}
												VECTOR_SET(BgL_sz00_2889,
													(int) (BgL_iz00_2896), BgL_arg2866z00_2901);
										}}
										{
											obj_t BgL_bza2za2_31563;
											long BgL_iz00_31561;
											obj_t BgL_lz00_31559;

											BgL_lz00_31559 = CDR(BgL_lz00_2895);
											BgL_iz00_31561 = (BgL_iz00_2896 + ((long) 1));
											BgL_bza2za2_31563 = CDR(BgL_bza2za2_2897);
											BgL_bza2za2_2897 = BgL_bza2za2_31563;
											BgL_iz00_2896 = BgL_iz00_31561;
											BgL_lz00_2895 = BgL_lz00_31559;
											goto BgL_zc3anonymousza32864ze3z83_2898;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17273) (BgL_bodyz00_17273,
							BgL_sz00_2889, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1658 */
	obj_t BGl_z62compzd2ev_let1658zb0zz__evaluate_compz00(obj_t BgL_envz00_17275,
		BgL_ev_letz00_bglt BgL_ez00_17276, obj_t BgL_stkz00_17277)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_2829;
				obj_t BgL_stkz00_2830;

				BgL_ez00_2829 = BgL_ez00_17276;
				BgL_stkz00_2830 = BgL_stkz00_17277;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_2834;
					obj_t BgL_nstkz00_2835;

					BgL_siza7eza7_2834 = bgl_list_length(BgL_stkz00_2830);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg2861z00_2878;

						BgL_arg2861z00_2878 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_2829)))->BgL_varsz00);
						BgL_nstkz00_2835 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_2830,
							BgL_arg2861z00_2878);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_2836;
						obj_t BgL_iboxesz00_2837;
						obj_t BgL_bodyz00_2838;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg2854z00_2863;

							BgL_arg2854z00_2863 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2829)))->BgL_valsz00);
							BgL_valsz00_2836 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg2854z00_2863, BgL_stkz00_2830);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l1557z00_2864;

							BgL_l1557z00_2864 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_2829))->BgL_boxesz00);
							if (NULLP(BgL_l1557z00_2864))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_2837 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head1559z00_2866;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res4846z00_9537;

										BgL_res4846z00_9537 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1559z00_2866 = BgL_res4846z00_9537;
									}
									{
										obj_t BgL_l1557z00_9571;
										obj_t BgL_tail1560z00_9572;

										BgL_l1557z00_9571 = BgL_l1557z00_2864;
										BgL_tail1560z00_9572 = BgL_head1559z00_2866;
									BgL_zc3anonymousza32856ze3z83_9570:
										if (NULLP(BgL_l1557z00_9571))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_2837 = CDR(BgL_head1559z00_2866);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail1561z00_9579;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg2859z00_9580;

													BgL_arg2859z00_9580 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1557z00_9571), BgL_nstkz00_2835);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res4852z00_9589;

														BgL_res4852z00_9589 =
															MAKE_PAIR(BgL_arg2859z00_9580, BNIL);
														BgL_newtail1561z00_9579 = BgL_res4852z00_9589;
													}
												}
												SET_CDR(BgL_tail1560z00_9572, BgL_newtail1561z00_9579);
												{
													obj_t BgL_tail1560z00_31590;
													obj_t BgL_l1557z00_31588;

													BgL_l1557z00_31588 = CDR(BgL_l1557z00_9571);
													BgL_tail1560z00_31590 = BgL_newtail1561z00_9579;
													BgL_tail1560z00_9572 = BgL_tail1560z00_31590;
													BgL_l1557z00_9571 = BgL_l1557z00_31588;
													goto BgL_zc3anonymousza32856ze3z83_9570;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg2860z00_2877;

							BgL_arg2860z00_2877 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_2829)))->BgL_bodyz00);
							BgL_bodyz00_2838 =
								BGl_compz00zz__evaluate_compz00(BgL_arg2860z00_2877,
								BgL_nstkz00_2835);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza32841ze3z83_16219;

							BgL_zc3anonymousza32841ze3z83_16219 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16219,
								(int) (((long) 0)), BINT(BgL_siza7eza7_2834));
							PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16219,
								(int) (((long) 1)), BgL_valsz00_2836);
							PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16219,
								(int) (((long) 2)), BgL_iboxesz00_2837);
							PROCEDURE_SET(BgL_zc3anonymousza32841ze3z83_16219,
								(int) (((long) 3)), BgL_bodyz00_2838);
							return BgL_zc3anonymousza32841ze3z83_16219;
						}
					}
				}
			}
		}
	}



/* &<anonymous:2841> */
	obj_t BGl_z62zc3anonymousza32841ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17278, obj_t BgL_sz00_17283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_17279;
				obj_t BgL_valsz00_17280;
				obj_t BgL_iboxesz00_17281;
				obj_t BgL_bodyz00_17282;

				BgL_siza7eza7_17279 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_17278, (int) (((long) 0))));
				BgL_valsz00_17280 =
					((obj_t) PROCEDURE_REF(BgL_envz00_17278, (int) (((long) 1))));
				BgL_iboxesz00_17281 =
					PROCEDURE_REF(BgL_envz00_17278, (int) (((long) 2)));
				BgL_bodyz00_17282 = PROCEDURE_REF(BgL_envz00_17278, (int) (((long) 3)));
				{
					obj_t BgL_sz00_2839;

					BgL_sz00_2839 = BgL_sz00_17283;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_2841;

						BgL_bpz00_2841 = VECTOR_REF(BgL_sz00_2839, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g1104z00_2842;

							BgL_g1104z00_2842 =
								((long) CINT(BgL_bpz00_2841) + BgL_siza7eza7_17279);
							{
								obj_t BgL_lz00_9631;
								long BgL_iz00_9632;

								BgL_lz00_9631 = BgL_valsz00_17280;
								BgL_iz00_9632 = BgL_g1104z00_2842;
							BgL_recz00_9630:
								if (NULLP(BgL_lz00_9631))
									{	/* Eval/evaluate_comp.scm 451 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 451 */
										{	/* Eval/evaluate_comp.scm 451 */
											obj_t BgL_arg2844z00_9639;

											{	/* Eval/evaluate_comp.scm 451 */
												obj_t BgL_fun2845z00_9640;

												BgL_fun2845z00_9640 = CAR(BgL_lz00_9631);
												BgL_arg2844z00_9639 =
													PROCEDURE_ENTRY(BgL_fun2845z00_9640)
													(BgL_fun2845z00_9640, BgL_sz00_2839, BEOA);
											}
											VECTOR_SET(BgL_sz00_2839,
												(int) (BgL_iz00_9632), BgL_arg2844z00_9639);
										}
										{
											long BgL_iz00_31631;
											obj_t BgL_lz00_31629;

											BgL_lz00_31629 = CDR(BgL_lz00_9631);
											BgL_iz00_31631 = (BgL_iz00_9632 + ((long) 1));
											BgL_iz00_9632 = BgL_iz00_31631;
											BgL_lz00_9631 = BgL_lz00_31629;
											goto BgL_recz00_9630;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_2854;

							BgL_lz00_2854 = BgL_iboxesz00_17281;
						BgL_zc3anonymousza32848ze3z83_2855:
							if (NULLP(BgL_lz00_2854))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_2857;

										{	/* Eval/evaluate_comp.scm 457 */
											long BgL_auxz00_31635;

											{	/* Eval/evaluate_comp.scm 457 */
												obj_t BgL_pairz00_9655;

												BgL_pairz00_9655 = BgL_lz00_2854;
												BgL_auxz00_31635 = (long) CINT(CAR(BgL_pairz00_9655));
											}
											BgL_iz00_2857 =
												((long) CINT(BgL_bpz00_2841) + BgL_auxz00_31635);
										}
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg2850z00_2858;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg2851z00_2859;

												BgL_arg2851z00_2859 =
													VECTOR_REF(BgL_sz00_2839, (int) (BgL_iz00_2857));
												{	/* Eval/evaluate_comp.scm 458 */
													obj_t BgL_newz00_9662;

													BgL_newz00_9662 =
														create_struct(BGl_symbol5541z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 458 */
														int BgL_auxz00_31644;

														BgL_auxz00_31644 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_9662, BgL_auxz00_31644,
															BgL_arg2851z00_2859);
													}
													BgL_arg2850z00_2858 = BgL_newz00_9662;
											}}
											VECTOR_SET(BgL_sz00_2839,
												(int) (BgL_iz00_2857), BgL_arg2850z00_2858);
									}}
									{
										obj_t BgL_lz00_31649;

										BgL_lz00_31649 = CDR(BgL_lz00_2854);
										BgL_lz00_2854 = BgL_lz00_31649;
										goto BgL_zc3anonymousza32848ze3z83_2855;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_17282) (BgL_bodyz00_17282,
							BgL_sz00_2839, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21656 */
	obj_t BGl_z62compzd2ev_prog21656zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17284, BgL_ev_prog2z00_bglt BgL_ez00_17285,
		obj_t BgL_stkz00_17286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_2816;
				obj_t BgL_stkz00_2817;

				BgL_ez00_2816 = BgL_ez00_17285;
				BgL_stkz00_2817 = BgL_stkz00_17286;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_2821;
					obj_t BgL_e2z00_2822;

					BgL_e1z00_2821 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_2816))->BgL_e1z00),
						BgL_stkz00_2817);
					BgL_e2z00_2822 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_2816))->BgL_e2z00), BgL_stkz00_2817);
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza32838ze3z83_16221;

						BgL_zc3anonymousza32838ze3z83_16221 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32838ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32838ze3z83_16221,
							(int) (((long) 0)), BgL_e1z00_2821);
						PROCEDURE_SET(BgL_zc3anonymousza32838ze3z83_16221,
							(int) (((long) 1)), BgL_e2z00_2822);
						return BgL_zc3anonymousza32838ze3z83_16221;
					}
				}
			}
		}
	}



/* &<anonymous:2838> */
	obj_t BGl_z62zc3anonymousza32838ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17287, obj_t BgL_sz00_17290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_17288;
				obj_t BgL_e2z00_17289;

				BgL_e1z00_17288 = PROCEDURE_REF(BgL_envz00_17287, (int) (((long) 0)));
				BgL_e2z00_17289 = PROCEDURE_REF(BgL_envz00_17287, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2823;

					BgL_sz00_2823 = BgL_sz00_17290;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_9530;

						BgL_bpz00_9530 = VECTOR_REF(BgL_sz00_2823, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_17288) (BgL_e1z00_17288, BgL_sz00_2823,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_17289) (BgL_e2z00_17289,
							BgL_sz00_2823, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1654 */
	obj_t BGl_z62compzd2ev_and1654zb0zz__evaluate_compz00(obj_t BgL_envz00_17291,
		BgL_ev_andz00_bglt BgL_ez00_17292, obj_t BgL_stkz00_17293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_2783;
				obj_t BgL_stkz00_2784;

				BgL_ez00_2783 = BgL_ez00_17292;
				BgL_stkz00_2784 = BgL_stkz00_17293;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_2788;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l1552z00_2802;

						BgL_l1552z00_2802 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2783)))->BgL_argsz00);
						if (NULLP(BgL_l1552z00_2802))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_2788 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head1554z00_2804;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res4835z00_9435;

									BgL_res4835z00_9435 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1554z00_2804 = BgL_res4835z00_9435;
								}
								{
									obj_t BgL_l1552z00_9469;
									obj_t BgL_tail1555z00_9470;

									BgL_l1552z00_9469 = BgL_l1552z00_2802;
									BgL_tail1555z00_9470 = BgL_head1554z00_2804;
								BgL_zc3anonymousza32834ze3z83_9468:
									if (NULLP(BgL_l1552z00_9469))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_2788 = CDR(BgL_head1554z00_2804);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail1556z00_9477;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg2837z00_9478;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_9479;

													BgL_ez00_9479 = CAR(BgL_l1552z00_9469);
													BgL_arg2837z00_9478 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9479),
														BgL_stkz00_2784);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res4841z00_9487;

													BgL_res4841z00_9487 =
														MAKE_PAIR(BgL_arg2837z00_9478, BNIL);
													BgL_newtail1556z00_9477 = BgL_res4841z00_9487;
												}
											}
											SET_CDR(BgL_tail1555z00_9470, BgL_newtail1556z00_9477);
											{
												obj_t BgL_tail1555z00_31695;
												obj_t BgL_l1552z00_31693;

												BgL_l1552z00_31693 = CDR(BgL_l1552z00_9469);
												BgL_tail1555z00_31695 = BgL_newtail1556z00_9477;
												BgL_tail1555z00_9470 = BgL_tail1555z00_31695;
												BgL_l1552z00_9469 = BgL_l1552z00_31693;
												goto BgL_zc3anonymousza32834ze3z83_9468;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza32828ze3z83_16223;

						BgL_zc3anonymousza32828ze3z83_16223 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32828ze3z83_16223,
							(int) (((long) 0)), BgL_argsz00_2788);
						return BgL_zc3anonymousza32828ze3z83_16223;
					}
				}
			}
		}
	}



/* &<anonymous:2828> */
	obj_t BGl_z62zc3anonymousza32828ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17294, obj_t BgL_sz00_17296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_17295;

				BgL_argsz00_17295 = PROCEDURE_REF(BgL_envz00_17294, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2789;

					BgL_sz00_2789 = BgL_sz00_17296;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_2791;

						BgL_bpz00_2791 = VECTOR_REF(BgL_sz00_2789, (int) (((long) 0)));
						{
							obj_t BgL_lz00_9514;
							obj_t BgL_rz00_9515;

							BgL_lz00_9514 = BgL_argsz00_17295;
							BgL_rz00_9515 = BTRUE;
						BgL_recz00_9513:
							if (NULLP(BgL_lz00_9514))
								{	/* Eval/evaluate_comp.scm 431 */
									return BgL_rz00_9515;
								}
							else
								{	/* Eval/evaluate_comp.scm 431 */
									obj_t BgL_vz00_9522;

									{	/* Eval/evaluate_comp.scm 431 */
										obj_t BgL_fun2832z00_9523;

										BgL_fun2832z00_9523 = CAR(BgL_lz00_9514);
										BgL_vz00_9522 =
											PROCEDURE_ENTRY(BgL_fun2832z00_9523) (BgL_fun2832z00_9523,
											BgL_sz00_2789, BEOA);
									}
									if (CBOOL(BgL_vz00_9522))
										{
											obj_t BgL_rz00_31716;
											obj_t BgL_lz00_31714;

											BgL_lz00_31714 = CDR(BgL_lz00_9514);
											BgL_rz00_31716 = BgL_vz00_9522;
											BgL_rz00_9515 = BgL_rz00_31716;
											BgL_lz00_9514 = BgL_lz00_31714;
											goto BgL_recz00_9513;
										}
									else
										{	/* Eval/evaluate_comp.scm 431 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1652 */
	obj_t BGl_z62compzd2ev_or1652zb0zz__evaluate_compz00(obj_t BgL_envz00_17297,
		BgL_ev_orz00_bglt BgL_ez00_17298, obj_t BgL_stkz00_17299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_2752;
				obj_t BgL_stkz00_2753;

				BgL_ez00_2752 = BgL_ez00_17298;
				BgL_stkz00_2753 = BgL_stkz00_17299;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_2757;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l1547z00_2769;

						BgL_l1547z00_2769 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_2752)))->BgL_argsz00);
						if (NULLP(BgL_l1547z00_2769))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_2757 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head1549z00_2771;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res4826z00_9369;

									BgL_res4826z00_9369 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1549z00_2771 = BgL_res4826z00_9369;
								}
								{
									obj_t BgL_l1547z00_9403;
									obj_t BgL_tail1550z00_9404;

									BgL_l1547z00_9403 = BgL_l1547z00_2769;
									BgL_tail1550z00_9404 = BgL_head1549z00_2771;
								BgL_zc3anonymousza32823ze3z83_9402:
									if (NULLP(BgL_l1547z00_9403))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_2757 = CDR(BgL_head1549z00_2771);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail1551z00_9411;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg2827z00_9412;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_9413;

													BgL_ez00_9413 = CAR(BgL_l1547z00_9403);
													BgL_arg2827z00_9412 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_9413),
														BgL_stkz00_2753);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res4832z00_9421;

													BgL_res4832z00_9421 =
														MAKE_PAIR(BgL_arg2827z00_9412, BNIL);
													BgL_newtail1551z00_9411 = BgL_res4832z00_9421;
												}
											}
											SET_CDR(BgL_tail1550z00_9404, BgL_newtail1551z00_9411);
											{
												obj_t BgL_tail1550z00_31732;
												obj_t BgL_l1547z00_31730;

												BgL_l1547z00_31730 = CDR(BgL_l1547z00_9403);
												BgL_tail1550z00_31732 = BgL_newtail1551z00_9411;
												BgL_tail1550z00_9404 = BgL_tail1550z00_31732;
												BgL_l1547z00_9403 = BgL_l1547z00_31730;
												goto BgL_zc3anonymousza32823ze3z83_9402;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza32817ze3z83_16225;

						BgL_zc3anonymousza32817ze3z83_16225 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32817ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32817ze3z83_16225,
							(int) (((long) 0)), BgL_argsz00_2757);
						return BgL_zc3anonymousza32817ze3z83_16225;
					}
				}
			}
		}
	}



/* &<anonymous:2817> */
	obj_t BGl_z62zc3anonymousza32817ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17300, obj_t BgL_sz00_17302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_17301;

				BgL_argsz00_17301 = PROCEDURE_REF(BgL_envz00_17300, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2758;

					BgL_sz00_2758 = BgL_sz00_17302;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_2760;

						BgL_bpz00_2760 = VECTOR_REF(BgL_sz00_2758, (int) (((long) 0)));
						{
							obj_t BgL_lz00_2762;

							BgL_lz00_2762 = BgL_argsz00_17301;
						BgL_zc3anonymousza32818ze3z83_2763:
							if (NULLP(BgL_lz00_2762))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_1099z00_2765;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun2821z00_2767;

										BgL_fun2821z00_2767 = CAR(BgL_lz00_2762);
										BgL__ortest_1099z00_2765 =
											PROCEDURE_ENTRY(BgL_fun2821z00_2767) (BgL_fun2821z00_2767,
											BgL_sz00_2758, BEOA);
									}
									if (CBOOL(BgL__ortest_1099z00_2765))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_1099z00_2765;
										}
									else
										{
											obj_t BgL_lz00_31751;

											BgL_lz00_31751 = CDR(BgL_lz00_2762);
											BgL_lz00_2762 = BgL_lz00_31751;
											goto BgL_zc3anonymousza32818ze3z83_2763;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1650 */
	obj_t BGl_z62compzd2ev_if1650zb0zz__evaluate_compz00(obj_t BgL_envz00_17303,
		BgL_ev_ifz00_bglt BgL_ez00_17304, obj_t BgL_stkz00_17305)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_2736;
				obj_t BgL_stkz00_2737;

				BgL_ez00_2736 = BgL_ez00_17304;
				BgL_stkz00_2737 = BgL_stkz00_17305;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_2741;
					obj_t BgL_tz00_2742;
					obj_t BgL_ez00_2743;

					BgL_pz00_2741 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_2736))->BgL_pz00),
						BgL_stkz00_2737);
					BgL_tz00_2742 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2736))->BgL_tz00), BgL_stkz00_2737);
					BgL_ez00_2743 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_2736))->BgL_ez00), BgL_stkz00_2737);
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza32812ze3z83_16227;

						BgL_zc3anonymousza32812ze3z83_16227 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza32812ze3z83_16227,
							(int) (((long) 0)), BgL_ez00_2743);
						PROCEDURE_SET(BgL_zc3anonymousza32812ze3z83_16227,
							(int) (((long) 1)), BgL_tz00_2742);
						PROCEDURE_SET(BgL_zc3anonymousza32812ze3z83_16227,
							(int) (((long) 2)), BgL_pz00_2741);
						return BgL_zc3anonymousza32812ze3z83_16227;
					}
				}
			}
		}
	}



/* &<anonymous:2812> */
	obj_t BGl_z62zc3anonymousza32812ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17306, obj_t BgL_sz00_17310)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_17307;
				obj_t BgL_tz00_17308;
				obj_t BgL_pz00_17309;

				BgL_ez00_17307 = PROCEDURE_REF(BgL_envz00_17306, (int) (((long) 0)));
				BgL_tz00_17308 = PROCEDURE_REF(BgL_envz00_17306, (int) (((long) 1)));
				BgL_pz00_17309 = PROCEDURE_REF(BgL_envz00_17306, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2744;

					BgL_sz00_2744 = BgL_sz00_17310;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_9361;

						BgL_bpz00_9361 = VECTOR_REF(BgL_sz00_2744, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_17309) (BgL_pz00_17309,
									BgL_sz00_2744, BEOA)))
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_tz00_17308) (BgL_tz00_17308,
									BgL_sz00_2744, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 415 */
								return
									PROCEDURE_ENTRY(BgL_ez00_17307) (BgL_ez00_17307,
									BgL_sz00_2744, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1648 */
	obj_t BGl_z62compzd2ev_litt1648zb0zz__evaluate_compz00(obj_t BgL_envz00_17311,
		BgL_ev_littz00_bglt BgL_ez00_17312, obj_t BgL_stkz00_17313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_2727;
				obj_t BgL_stkz00_2728;

				BgL_ez00_2727 = BgL_ez00_17312;
				BgL_stkz00_2728 = BgL_stkz00_17313;
				{	/* Eval/evaluate_comp.scm 408 */
					obj_t BgL_zc3anonymousza32811ze3z83_16229;

					BgL_zc3anonymousza32811ze3z83_16229 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza32811ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32811ze3z83_16229, (int) (((long) 0)),
						((obj_t) BgL_ez00_2727));
					return BgL_zc3anonymousza32811ze3z83_16229;
				}
			}
		}
	}



/* &<anonymous:2811> */
	obj_t BGl_z62zc3anonymousza32811ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17314, obj_t BgL_sz00_17316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 408 */
				BgL_ev_littz00_bglt BgL_i1096z00_17315;

				BgL_i1096z00_17315 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_17314, (int) (((long) 0))));
				{
					obj_t BgL_sz00_9356;

					BgL_sz00_9356 = BgL_sz00_17316;
					{	/* Eval/evaluate_comp.scm 408 */
						obj_t BgL_bpz00_9358;

						BgL_bpz00_9358 = VECTOR_REF(BgL_sz00_9356, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1096z00_17315))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1646 */
	obj_t BGl_z62compzd2ev_defglobal1646zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17317, BgL_ev_defglobalz00_bglt BgL_ez00_17318,
		obj_t BgL_stkz00_17319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_2688;
				obj_t BgL_stkz00_2689;

				BgL_ez00_2688 = BgL_ez00_17318;
				BgL_stkz00_2689 = BgL_stkz00_17319;
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_ez00_2693;

					{	/* Eval/evaluate_comp.scm 378 */
						BgL_ev_exprz00_bglt BgL_arg2810z00_2725;

						BgL_arg2810z00_2725 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2688)))->BgL_ez00);
						BgL_ez00_2693 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2810z00_2725,
							BgL_stkz00_2689);
					}
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_zc3anonymousza32784ze3z83_16231;

						BgL_zc3anonymousza32784ze3z83_16231 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza32784ze3z83_16231,
							(int) (((long) 0)), ((obj_t) BgL_ez00_2688));
						PROCEDURE_SET(BgL_zc3anonymousza32784ze3z83_16231,
							(int) (((long) 1)), BgL_ez00_2693);
						return BgL_zc3anonymousza32784ze3z83_16231;
					}
				}
			}
		}
	}



/* &<anonymous:2784> */
	obj_t BGl_z62zc3anonymousza32784ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17320, obj_t BgL_sz00_17323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 379 */
			{	/* Eval/evaluate_comp.scm 379 */
				BgL_ev_defglobalz00_bglt BgL_i1093z00_17321;
				obj_t BgL_ez00_17322;

				BgL_i1093z00_17321 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17320, (int) (((long) 0))));
				BgL_ez00_17322 = PROCEDURE_REF(BgL_envz00_17320, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2694;

					BgL_sz00_2694 = BgL_sz00_17323;
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_bpz00_2696;

						BgL_bpz00_2696 = VECTOR_REF(BgL_sz00_2694, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 380 */
							obj_t BgL_gz00_2697;

							{	/* Eval/evaluate_comp.scm 380 */
								obj_t BgL_arg2808z00_2723;
								obj_t BgL_arg2809z00_2724;

								BgL_arg2808z00_2723 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
									BgL_modz00);
								BgL_arg2809z00_2724 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1093z00_17321)))->BgL_namez00);
								BgL_gz00_2697 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg2808z00_2723, BgL_arg2809z00_2724);
							}
							if (CBOOL(BgL_gz00_2697))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux1095z00_2699;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res4824z00_9301;

												{	/* Eval/evaluate_comp.scm 384 */
													obj_t BgL_evalzd2globalzd2_9298;

													BgL_evalzd2globalzd2_9298 = BgL_gz00_2697;
													{	/* Eval/evaluate_comp.scm 384 */
														int BgL_kz00_9300;

														BgL_kz00_9300 = (int) (((long) 0));
														BgL_res4824z00_9301 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_9298,
																BgL_kz00_9300));
												}}
												BgL_aux1095z00_2699 = BgL_res4824z00_9301;
											}
											switch ((long) (BgL_aux1095z00_2699))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg2786z00_2701;
														obj_t BgL_arg2787z00_2702;

														BgL_arg2786z00_2701 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1093z00_17321)))->BgL_locz00);
														BgL_arg2787z00_2702 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1093z00_17321)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2786z00_2701,
															BGl_string5649z00zz__evaluate_compz00,
															BGl_string5650z00zz__evaluate_compz00,
															BgL_arg2787z00_2702);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg2788z00_2703;
														obj_t BgL_arg2789z00_2704;

														BgL_arg2788z00_2703 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1093z00_17321)))->BgL_locz00);
														BgL_arg2789z00_2704 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1093z00_17321)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list2790z00_2705;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg2791z00_2706;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg2792z00_2707;

																	BgL_arg2792z00_2707 =
																		MAKE_PAIR(BgL_arg2789z00_2704, BNIL);
																	BgL_arg2791z00_2706 =
																		MAKE_PAIR
																		(BGl_string5651z00zz__evaluate_compz00,
																		BgL_arg2792z00_2707);
																}
																BgL_list2790z00_2705 =
																	MAKE_PAIR
																	(BGl_string5531z00zz__evaluate_compz00,
																	BgL_arg2791z00_2706);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg2788z00_2703, BgL_list2790z00_2705);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg2793z00_2708;
														obj_t BgL_arg2795z00_2709;

														BgL_arg2793z00_2708 =
															VECTOR_REF(BgL_gz00_2697, (int) (((long) 2)));
														BgL_arg2795z00_2709 =
															PROCEDURE_ENTRY(BgL_ez00_17322) (BgL_ez00_17322,
															BgL_sz00_2694, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg2793z00_2708,
															BgL_arg2795z00_2709);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg2796z00_2710;

														BgL_arg2796z00_2710 =
															PROCEDURE_ENTRY(BgL_ez00_17322) (BgL_ez00_17322,
															BgL_sz00_2694, BEOA);
														VECTOR_SET(BgL_gz00_2697, (int) (((long) 2)),
															BgL_arg2796z00_2710);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg2797z00_2711;

														BgL_arg2797z00_2711 =
															PROCEDURE_ENTRY(BgL_ez00_17322) (BgL_ez00_17322,
															BgL_sz00_2694, BEOA);
														VECTOR_SET(BgL_gz00_2697, (int) (((long) 2)),
															BgL_arg2797z00_2711);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_evalzd2globalzd2_9315;
														int BgL_tagz00_9316;

														BgL_evalzd2globalzd2_9315 = BgL_gz00_2697;
														BgL_tagz00_9316 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_9315,
															(int) (((long) 0)), BINT(BgL_tagz00_9316));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg2798z00_2712;

														BgL_arg2798z00_2712 =
															PROCEDURE_ENTRY(BgL_ez00_17322) (BgL_ez00_17322,
															BgL_sz00_2694, BEOA);
														VECTOR_SET(BgL_gz00_2697, (int) (((long) 2)),
															BgL_arg2798z00_2712);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_evalzd2globalzd2_9325;
														int BgL_tagz00_9326;

														BgL_evalzd2globalzd2_9325 = BgL_gz00_2697;
														BgL_tagz00_9326 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_9325,
															(int) (((long) 0)), BINT(BgL_tagz00_9326));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg2799z00_2713;
														obj_t BgL_arg2800z00_2714;

														BgL_arg2799z00_2713 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1093z00_17321)))->BgL_locz00);
														BgL_arg2800z00_2714 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1093z00_17321)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg2799z00_2713,
															BGl_string5649z00zz__evaluate_compz00,
															BGl_string5650z00zz__evaluate_compz00,
															BgL_arg2800z00_2714);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_2715;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg2805z00_2720;
										obj_t BgL_arg2806z00_2721;
										obj_t BgL_arg2807z00_2722;

										BgL_arg2805z00_2720 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
											BgL_namez00);
										BgL_arg2806z00_2721 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
											BgL_modz00);
										BgL_arg2807z00_2722 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v1623z00_9333;

											BgL_v1623z00_9333 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1623z00_9333,
												(int) (((long) 4)), BgL_arg2807z00_2722);
											VECTOR_SET(BgL_v1623z00_9333,
												(int) (((long) 3)), BgL_arg2806z00_2721);
											VECTOR_SET(BgL_v1623z00_9333,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1623z00_9333,
												(int) (((long) 1)), BgL_arg2805z00_2720);
											VECTOR_SET(BgL_v1623z00_9333,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2715 = BgL_v1623z00_9333;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg2801z00_2716;

										BgL_arg2801z00_2716 =
											PROCEDURE_ENTRY(BgL_ez00_17322) (BgL_ez00_17322,
											BgL_sz00_2694, BEOA);
										VECTOR_SET(BgL_gz00_2715, (int) (((long) 2)),
											BgL_arg2801z00_2716);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg2802z00_2717;
										obj_t BgL_arg2803z00_2718;
										obj_t BgL_arg2804z00_2719;

										BgL_arg2802z00_2717 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
											BgL_modz00);
										BgL_arg2803z00_2718 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
											BgL_namez00);
										BgL_arg2804z00_2719 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg2802z00_2717, BgL_arg2803z00_2718, BgL_gz00_2715,
											BgL_arg2804z00_2719);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1093z00_17321)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1644 */
	obj_t BGl_z62compzd2ev_setglobal1644zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17324, BgL_ev_setglobalz00_bglt BgL_ez00_17325,
		obj_t BgL_stkz00_17326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_2645;
				obj_t BgL_stkz00_2646;

				BgL_ez00_2645 = BgL_ez00_17325;
				BgL_stkz00_2646 = BgL_stkz00_17326;
				{	/* Eval/evaluate_comp.scm 355 */
					obj_t BgL_gz00_2650;
					obj_t BgL_ez00_2651;

					BgL_gz00_2650 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 355 */
						BgL_ev_exprz00_bglt BgL_arg2783z00_2686;

						BgL_arg2783z00_2686 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2645)))->BgL_ez00);
						BgL_ez00_2651 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2783z00_2686,
							BgL_stkz00_2646);
					}
					if (CBOOL(BgL_gz00_2650))
						{

							{	/* Eval/evaluate_comp.scm 357 */
								int BgL_aux1092z00_2653;

								{	/* Eval/evaluate_comp.scm 357 */
									int BgL_res4823z00_9256;

									{	/* Eval/evaluate_comp.scm 357 */
										obj_t BgL_evalzd2globalzd2_9253;

										BgL_evalzd2globalzd2_9253 = BgL_gz00_2650;
										{	/* Eval/evaluate_comp.scm 357 */
											int BgL_kz00_9255;

											BgL_kz00_9255 = (int) (((long) 0));
											BgL_res4823z00_9256 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9253,
													BgL_kz00_9255));
									}}
									BgL_aux1092z00_2653 = BgL_res4823z00_9256;
								}
								switch ((long) (BgL_aux1092z00_2653))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 359 */
											obj_t BgL_zc3anonymousza32760ze3z83_16234;

											BgL_zc3anonymousza32760ze3z83_16234 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_16234,
												(int) (((long) 0)), BgL_gz00_2650);
											PROCEDURE_SET(BgL_zc3anonymousza32760ze3z83_16234,
												(int) (((long) 1)), BgL_ez00_2651);
											return BgL_zc3anonymousza32760ze3z83_16234;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
												BgL_locz00), BGl_string5649z00zz__evaluate_compz00,
											BGl_string5650z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 364 */
											obj_t BgL_zc3anonymousza32765ze3z83_16235;

											BgL_zc3anonymousza32765ze3z83_16235 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32765ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza32765ze3z83_16235,
												(int) (((long) 0)), BgL_ez00_2651);
											PROCEDURE_SET(BgL_zc3anonymousza32765ze3z83_16235,
												(int) (((long) 1)), BgL_gz00_2650);
											return BgL_zc3anonymousza32765ze3z83_16235;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_slotz00_2666;

							BgL_slotz00_2666 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_gz00_2668;

									{	/* Eval/evaluate_comp.scm 367 */
										obj_t BgL_arg2771z00_2672;
										obj_t BgL_arg2772z00_2673;
										obj_t BgL_arg2773z00_2674;

										BgL_arg2771z00_2672 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
											BgL_namez00);
										BgL_arg2772z00_2673 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
											BgL_modz00);
										BgL_arg2773z00_2674 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 367 */
											obj_t BgL_v1623z00_9268;

											BgL_v1623z00_9268 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1623z00_9268,
												(int) (((long) 4)), BgL_arg2773z00_2674);
											VECTOR_SET(BgL_v1623z00_9268,
												(int) (((long) 3)), BgL_arg2772z00_2673);
											VECTOR_SET(BgL_v1623z00_9268,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1623z00_9268,
												(int) (((long) 1)), BgL_arg2771z00_2672);
											VECTOR_SET(BgL_v1623z00_9268,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2668 = BgL_v1623z00_9268;
									}}
									{	/* Eval/evaluate_comp.scm 368 */
										int BgL_tagz00_9285;

										BgL_tagz00_9285 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2668,
											(int) (((long) 0)), BINT(BgL_tagz00_9285));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
											BgL_namez00), BgL_gz00_2668,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_2645))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 366 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 370 */
								obj_t BgL_zc3anonymousza32775ze3z83_16233;

								BgL_zc3anonymousza32775ze3z83_16233 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32775ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32775ze3z83_16233,
									(int) (((long) 0)), ((obj_t) BgL_ez00_2645));
								PROCEDURE_SET(BgL_zc3anonymousza32775ze3z83_16233,
									(int) (((long) 1)), BgL_slotz00_2666);
								PROCEDURE_SET(BgL_zc3anonymousza32775ze3z83_16233,
									(int) (((long) 2)), BgL_ez00_2651);
								return BgL_zc3anonymousza32775ze3z83_16233;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2760> */
	obj_t BGl_z62zc3anonymousza32760ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17327, obj_t BgL_sz00_17330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 359 */
			{	/* Eval/evaluate_comp.scm 359 */
				obj_t BgL_gz00_17328;
				obj_t BgL_ez00_17329;

				BgL_gz00_17328 = PROCEDURE_REF(BgL_envz00_17327, (int) (((long) 0)));
				BgL_ez00_17329 = PROCEDURE_REF(BgL_envz00_17327, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2655;

					BgL_sz00_2655 = BgL_sz00_17330;
					{	/* Eval/evaluate_comp.scm 359 */
						obj_t BgL_bpz00_9257;

						BgL_bpz00_9257 = VECTOR_REF(BgL_sz00_2655, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 359 */
							obj_t BgL_arg2761z00_9258;
							obj_t BgL_arg2762z00_9259;

							BgL_arg2761z00_9258 =
								VECTOR_REF(BgL_gz00_17328, (int) (((long) 2)));
							BgL_arg2762z00_9259 =
								PROCEDURE_ENTRY(BgL_ez00_17329) (BgL_ez00_17329, BgL_sz00_2655,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg2761z00_9258,
								BgL_arg2762z00_9259);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2765> */
	obj_t BGl_z62zc3anonymousza32765ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17331, obj_t BgL_sz00_17334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 364 */
			{	/* Eval/evaluate_comp.scm 364 */
				obj_t BgL_ez00_17332;
				obj_t BgL_gz00_17333;

				BgL_ez00_17332 = PROCEDURE_REF(BgL_envz00_17331, (int) (((long) 0)));
				BgL_gz00_17333 = PROCEDURE_REF(BgL_envz00_17331, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2662;

					BgL_sz00_2662 = BgL_sz00_17334;
					{	/* Eval/evaluate_comp.scm 364 */
						obj_t BgL_bpz00_9244;

						BgL_bpz00_9244 = VECTOR_REF(BgL_sz00_2662, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 364 */
							obj_t BgL_arg2766z00_9245;

							BgL_arg2766z00_9245 =
								PROCEDURE_ENTRY(BgL_ez00_17332) (BgL_ez00_17332, BgL_sz00_2662,
								BEOA);
							return VECTOR_SET(BgL_gz00_17333, (int) (((long) 2)),
								BgL_arg2766z00_9245);
		}}}}}
	}



/* &<anonymous:2775> */
	obj_t BGl_z62zc3anonymousza32775ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17335, obj_t BgL_sz00_17339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 370 */
			{	/* Eval/evaluate_comp.scm 370 */
				BgL_ev_setglobalz00_bglt BgL_i1090z00_17336;
				obj_t BgL_slotz00_17337;
				obj_t BgL_ez00_17338;

				BgL_i1090z00_17336 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17335, (int) (((long) 0))));
				BgL_slotz00_17337 = PROCEDURE_REF(BgL_envz00_17335, (int) (((long) 1)));
				BgL_ez00_17338 = PROCEDURE_REF(BgL_envz00_17335, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2676;

					BgL_sz00_2676 = BgL_sz00_17339;
					{	/* Eval/evaluate_comp.scm 370 */
						obj_t BgL_bpz00_2678;

						BgL_bpz00_2678 = VECTOR_REF(BgL_sz00_2676, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17337)))
							{	/* Eval/evaluate_comp.scm 371 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 371 */
								{	/* Eval/evaluate_comp.scm 372 */
									obj_t BgL_auxz00_17340;

									BgL_auxz00_17340 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1090z00_17336))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1090z00_17336))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17337, BgL_auxz00_17340);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17337)))
									{	/* Eval/evaluate_comp.scm 373 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 373 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1090z00_17336))->
												BgL_locz00), BGl_string5531z00zz__evaluate_compz00,
											BGl_string5652z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1090z00_17336))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 374 */
							obj_t BgL_arg2780z00_2683;

							BgL_arg2780z00_2683 =
								PROCEDURE_ENTRY(BgL_ez00_17338) (BgL_ez00_17338, BgL_sz00_2676,
								BEOA);
							{	/* Eval/evaluate_comp.scm 374 */
								obj_t BgL_evalzd2globalzd2_9291;

								BgL_evalzd2globalzd2_9291 = CELL_REF(BgL_slotz00_17337);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_9291,
									(int) (((long) 2)), BgL_arg2780z00_2683);
		}}}}}}
	}



/* &comp-ev_global1642 */
	obj_t BGl_z62compzd2ev_global1642zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17341, BgL_ev_globalz00_bglt BgL_varz00_17342,
		obj_t BgL_stkz00_17343)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 327 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_2603;
				obj_t BgL_stkz00_2604;

				BgL_varz00_2603 = BgL_varz00_17342;
				BgL_stkz00_2604 = BgL_stkz00_17343;
				{	/* Eval/evaluate_comp.scm 329 */
					obj_t BgL_gz00_2608;

					BgL_gz00_2608 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->BgL_namez00));
					if (CBOOL(BgL_gz00_2608))
						{	/* Eval/evaluate_comp.scm 331 */
							bool_t BgL_testz00_32041;

							{	/* Eval/evaluate_comp.scm 331 */
								int BgL_arg2738z00_2617;

								{	/* Eval/evaluate_comp.scm 331 */
									int BgL_res4819z00_9191;

									{	/* Eval/evaluate_comp.scm 331 */
										obj_t BgL_evalzd2globalzd2_9188;

										BgL_evalzd2globalzd2_9188 = BgL_gz00_2608;
										{	/* Eval/evaluate_comp.scm 331 */
											int BgL_kz00_9190;

											BgL_kz00_9190 = (int) (((long) 0));
											BgL_res4819z00_9191 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_9188,
													BgL_kz00_9190));
									}}
									BgL_arg2738z00_2617 = BgL_res4819z00_9191;
								}
								BgL_testz00_32041 =
									(BINT(BgL_arg2738z00_2617) == BINT(((long) 1)));
							}
							if (BgL_testz00_32041)
								{	/* Eval/evaluate_comp.scm 332 */
									obj_t BgL_zc3anonymousza32735ze3z83_16237;

									BgL_zc3anonymousza32735ze3z83_16237 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32735ze3z83_16237,
										(int) (((long) 0)), BgL_gz00_2608);
									return BgL_zc3anonymousza32735ze3z83_16237;
								}
							else
								{	/* Eval/evaluate_comp.scm 334 */
									obj_t BgL_zc3anonymousza32737ze3z83_16238;

									BgL_zc3anonymousza32737ze3z83_16238 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32737ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32737ze3z83_16238,
										(int) (((long) 0)), BgL_gz00_2608);
									return BgL_zc3anonymousza32737ze3z83_16238;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							obj_t BgL_slotz00_2618;

							BgL_slotz00_2618 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_gz00_2620;

									{	/* Eval/evaluate_comp.scm 338 */
										obj_t BgL_arg2743z00_2624;
										obj_t BgL_arg2744z00_2625;
										obj_t BgL_arg2745z00_2626;

										BgL_arg2743z00_2624 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
											BgL_namez00);
										BgL_arg2744z00_2625 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
											BgL_modz00);
										BgL_arg2745z00_2626 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 338 */
											obj_t BgL_v1623z00_9208;

											BgL_v1623z00_9208 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1623z00_9208,
												(int) (((long) 4)), BgL_arg2745z00_2626);
											VECTOR_SET(BgL_v1623z00_9208,
												(int) (((long) 3)), BgL_arg2744z00_2625);
											VECTOR_SET(BgL_v1623z00_9208,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1623z00_9208,
												(int) (((long) 1)), BgL_arg2743z00_2624);
											VECTOR_SET(BgL_v1623z00_9208,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_2620 = BgL_v1623z00_9208;
									}}
									{	/* Eval/evaluate_comp.scm 339 */
										int BgL_tagz00_9225;

										BgL_tagz00_9225 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_2620,
											(int) (((long) 0)), BINT(BgL_tagz00_9225));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
											BgL_namez00), BgL_gz00_2620,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_2603))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 337 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 341 */
								obj_t BgL_zc3anonymousza32747ze3z83_16239;

								BgL_zc3anonymousza32747ze3z83_16239 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32747ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32747ze3z83_16239,
									(int) (((long) 0)), ((obj_t) BgL_varz00_2603));
								PROCEDURE_SET(BgL_zc3anonymousza32747ze3z83_16239,
									(int) (((long) 1)), BgL_slotz00_2618);
								return BgL_zc3anonymousza32747ze3z83_16239;
							}
						}
				}
			}
		}
	}



/* &<anonymous:2735> */
	obj_t BGl_z62zc3anonymousza32735ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17344, obj_t BgL_sz00_17346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 332 */
				obj_t BgL_gz00_17345;

				BgL_gz00_17345 = PROCEDURE_REF(BgL_envz00_17344, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2610;

					BgL_sz00_2610 = BgL_sz00_17346;
					{	/* Eval/evaluate_comp.scm 332 */
						obj_t BgL_bpz00_9192;

						BgL_bpz00_9192 = VECTOR_REF(BgL_sz00_2610, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 332 */
							obj_t BgL_auxz00_32097;

							BgL_auxz00_32097 = VECTOR_REF(BgL_gz00_17345, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_32097);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2737> */
	obj_t BGl_z62zc3anonymousza32737ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17347, obj_t BgL_sz00_17349)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 334 */
			{	/* Eval/evaluate_comp.scm 334 */
				obj_t BgL_gz00_17348;

				BgL_gz00_17348 = PROCEDURE_REF(BgL_envz00_17347, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2614;

					BgL_sz00_2614 = BgL_sz00_17349;
					{	/* Eval/evaluate_comp.scm 334 */
						obj_t BgL_bpz00_9199;

						BgL_bpz00_9199 = VECTOR_REF(BgL_sz00_2614, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_17348, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:2747> */
	obj_t BGl_z62zc3anonymousza32747ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17350, obj_t BgL_sz00_17353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 341 */
			{	/* Eval/evaluate_comp.scm 341 */
				BgL_ev_globalz00_bglt BgL_i1089z00_17351;
				obj_t BgL_slotz00_17352;

				BgL_i1089z00_17351 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_17350, (int) (((long) 0))));
				BgL_slotz00_17352 = PROCEDURE_REF(BgL_envz00_17350, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2628;

					BgL_sz00_2628 = BgL_sz00_17353;
					{	/* Eval/evaluate_comp.scm 341 */
						obj_t BgL_bpz00_2630;

						BgL_bpz00_2630 = VECTOR_REF(BgL_sz00_2628, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_17352)))
							{	/* Eval/evaluate_comp.scm 342 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 342 */
								{	/* Eval/evaluate_comp.scm 343 */
									obj_t BgL_auxz00_17354;

									BgL_auxz00_17354 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_17351))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_17351))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_17352, BgL_auxz00_17354);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_17352)))
									{	/* Eval/evaluate_comp.scm 344 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 344 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_17351))->
												BgL_locz00), BGl_string5531z00zz__evaluate_compz00,
											BGl_string5652z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_17351))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 345 */
							obj_t BgL_vz00_2635;

							{	/* Eval/evaluate_comp.scm 345 */
								obj_t BgL_evalzd2globalzd2_9231;

								BgL_evalzd2globalzd2_9231 = CELL_REF(BgL_slotz00_17352);
								BgL_vz00_2635 =
									VECTOR_REF(BgL_evalzd2globalzd2_9231, (int) (((long) 2)));
							}
							if ((BgL_vz00_2635 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 347 */
									int BgL_tz00_2637;

									{	/* Eval/evaluate_comp.scm 347 */
										int BgL_res4820z00_9237;

										{	/* Eval/evaluate_comp.scm 347 */
											obj_t BgL_evalzd2globalzd2_9234;

											BgL_evalzd2globalzd2_9234 = CELL_REF(BgL_slotz00_17352);
											{	/* Eval/evaluate_comp.scm 347 */
												int BgL_kz00_9236;

												BgL_kz00_9236 = (int) (((long) 0));
												BgL_res4820z00_9237 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_9234,
														BgL_kz00_9236));
										}}
										BgL_tz00_2637 = BgL_res4820z00_9237;
									}
									{	/* Eval/evaluate_comp.scm 348 */
										bool_t BgL_testz00_32131;

										if (((long) (BgL_tz00_2637) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32131 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_32131 =
													((long) (BgL_tz00_2637) == ((long) 4));
											}
										if (BgL_testz00_32131)
											{	/* Eval/evaluate_comp.scm 348 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_17351))->
														BgL_locz00), BGl_string5531z00zz__evaluate_compz00,
													BGl_string5653z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1089z00_17351))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												return BgL_vz00_2635;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 346 */
									return BgL_vz00_2635;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1640 */
	obj_t BGl_z62compzd2ev_setlocal1640zb0zz__evaluate_compz00(obj_t
		BgL_envz00_17355, BgL_ev_setlocalz00_bglt BgL_ez00_17356,
		obj_t BgL_stkz00_17357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 309 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_2580;
				obj_t BgL_stkz00_2581;

				BgL_ez00_2580 = BgL_ez00_17356;
				BgL_stkz00_2581 = BgL_stkz00_17357;
				{	/* Eval/evaluate_comp.scm 311 */
					obj_t BgL_iz00_2585;
					obj_t BgL_ez00_2586;

					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_varz00_bglt BgL_arg2732z00_2600;

						BgL_arg2732z00_2600 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2580))->BgL_vz00);
						BgL_iz00_2585 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg2732z00_2600), BgL_stkz00_2581);
					}
					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_exprz00_bglt BgL_arg2733z00_2601;

						BgL_arg2733z00_2601 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2580)))->BgL_ez00);
						BgL_ez00_2586 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2733z00_2601,
							BgL_stkz00_2581);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_2580))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_zc3anonymousza32725ze3z83_16241;

							BgL_zc3anonymousza32725ze3z83_16241 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32725ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32725ze3z83_16241,
								(int) (((long) 0)), BgL_iz00_2585);
							PROCEDURE_SET(BgL_zc3anonymousza32725ze3z83_16241,
								(int) (((long) 1)), BgL_ez00_2586);
							return BgL_zc3anonymousza32725ze3z83_16241;
						}
					else
						{	/* Eval/evaluate_comp.scm 316 */
							obj_t BgL_zc3anonymousza32729ze3z83_16242;

							BgL_zc3anonymousza32729ze3z83_16242 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_16242,
								(int) (((long) 0)), BgL_iz00_2585);
							PROCEDURE_SET(BgL_zc3anonymousza32729ze3z83_16242,
								(int) (((long) 1)), BgL_ez00_2586);
							return BgL_zc3anonymousza32729ze3z83_16242;
						}
				}
			}
		}
	}



/* &<anonymous:2725> */
	obj_t BGl_z62zc3anonymousza32725ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17358, obj_t BgL_sz00_17361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 314 */
			{	/* Eval/evaluate_comp.scm 314 */
				obj_t BgL_iz00_17359;
				obj_t BgL_ez00_17360;

				BgL_iz00_17359 = PROCEDURE_REF(BgL_envz00_17358, (int) (((long) 0)));
				BgL_ez00_17360 = PROCEDURE_REF(BgL_envz00_17358, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2589;

					BgL_sz00_2589 = BgL_sz00_17361;
					{	/* Eval/evaluate_comp.scm 314 */
						obj_t BgL_bpz00_9161;

						BgL_bpz00_9161 = VECTOR_REF(BgL_sz00_2589, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_arg2726z00_9162;
							obj_t BgL_arg2727z00_9163;

							{	/* Eval/evaluate_comp.scm 314 */
								long BgL_arg2728z00_9164;

								BgL_arg2728z00_9164 =
									((long) CINT(BgL_bpz00_9161) + (long) CINT(BgL_iz00_17359));
								BgL_arg2726z00_9162 =
									VECTOR_REF(BgL_sz00_2589, (int) (BgL_arg2728z00_9164));
							}
							BgL_arg2727z00_9163 =
								PROCEDURE_ENTRY(BgL_ez00_17360) (BgL_ez00_17360, BgL_sz00_2589,
								BEOA);
							{	/* Eval/evaluate_comp.scm 314 */
								obj_t BgL_sz00_9174;

								BgL_sz00_9174 = BgL_arg2726z00_9162;
								{	/* Eval/evaluate_comp.scm 314 */
									obj_t BgL_xz00_17671;

									{	/* Eval/evaluate_comp.scm 314 */
										int BgL_auxz00_32179;

										BgL_auxz00_32179 = (int) (((long) 0));
										BgL_xz00_17671 =
											STRUCT_SET(BgL_sz00_9174, BgL_auxz00_32179,
											BgL_arg2727z00_9163);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2729> */
	obj_t BGl_z62zc3anonymousza32729ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17362, obj_t BgL_sz00_17365)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 316 */
				obj_t BgL_iz00_17363;
				obj_t BgL_ez00_17364;

				BgL_iz00_17363 = PROCEDURE_REF(BgL_envz00_17362, (int) (((long) 0)));
				BgL_ez00_17364 = PROCEDURE_REF(BgL_envz00_17362, (int) (((long) 1)));
				{
					obj_t BgL_sz00_2595;

					BgL_sz00_2595 = BgL_sz00_17365;
					{	/* Eval/evaluate_comp.scm 316 */
						obj_t BgL_bpz00_9177;

						BgL_bpz00_9177 = VECTOR_REF(BgL_sz00_2595, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 316 */
							long BgL_arg2730z00_9178;
							obj_t BgL_arg2731z00_9179;

							BgL_arg2730z00_9178 =
								((long) CINT(BgL_bpz00_9177) + (long) CINT(BgL_iz00_17363));
							BgL_arg2731z00_9179 =
								PROCEDURE_ENTRY(BgL_ez00_17364) (BgL_ez00_17364, BgL_sz00_2595,
								BEOA);
							return VECTOR_SET(BgL_sz00_2595, (int) (BgL_arg2730z00_9178),
								BgL_arg2731z00_9179);
		}}}}}
	}



/* &comp-ev_var1638 */
	obj_t BGl_z62compzd2ev_var1638zb0zz__evaluate_compz00(obj_t BgL_envz00_17366,
		BgL_ev_varz00_bglt BgL_varz00_17367, obj_t BgL_stkz00_17368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 304 */
			{
				BgL_ev_varz00_bglt BgL_varz00_2520;
				obj_t BgL_stkz00_2521;

				BgL_varz00_2520 = BgL_varz00_17367;
				BgL_stkz00_2521 = BgL_stkz00_17368;
				{	/* Eval/evaluate_comp.scm 305 */
					obj_t BgL_iz00_2524;

					BgL_iz00_2524 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_2520), BgL_stkz00_2521);
					{

						if (INTEGERP(BgL_iz00_2524))
							{	/* Eval/evaluate_comp.scm 307 */
								switch ((long) CINT(BgL_iz00_2524))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2520))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5654z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5655z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2520))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5656z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5657z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2520))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5658z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5659z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2520))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5660z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc5661z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1084z00_2526:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_2520))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32719ze3z83_16253;

												BgL_zc3anonymousza32719ze3z83_16253 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32719ze3z83_16253,
													(int) (((long) 0)), BgL_iz00_2524);
												return BgL_zc3anonymousza32719ze3z83_16253;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza32722ze3z83_16252;

												BgL_zc3anonymousza32722ze3z83_16252 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza32722ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza32722ze3z83_16252,
													(int) (((long) 0)), BgL_iz00_2524);
												return BgL_zc3anonymousza32722ze3z83_16252;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 307 */
								goto BgL_case_else1084z00_2526;
							}
					}
				}
			}
		}
	}



/* &<anonymous:2713> */
	obj_t BGl_z62zc3anonymousza32713ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17369, obj_t BgL_sz00_17370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2560;

				BgL_sz00_2560 = BgL_sz00_17370;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9139;

					BgL_bpz00_9139 = VECTOR_REF(BgL_sz00_2560, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2714z00_9140;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2715z00_9141;

							BgL_arg2715z00_9141 = ((long) CINT(BgL_bpz00_9139) + ((long) 3));
							BgL_arg2714z00_9140 =
								VECTOR_REF(BgL_sz00_2560, (int) (BgL_arg2715z00_9141));
						}
						return STRUCT_REF(BgL_arg2714z00_9140, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2716> */
	obj_t BGl_z62zc3anonymousza32716ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17371, obj_t BgL_sz00_17372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2565;

				BgL_sz00_2565 = BgL_sz00_17372;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9152;

					BgL_bpz00_9152 = VECTOR_REF(BgL_sz00_2565, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2717z00_9153;

						BgL_arg2717z00_9153 = ((long) CINT(BgL_bpz00_9152) + ((long) 3));
						return VECTOR_REF(BgL_sz00_2565, (int) (BgL_arg2717z00_9153));
		}}}}
	}



/* &<anonymous:2707> */
	obj_t BGl_z62zc3anonymousza32707ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17373, obj_t BgL_sz00_17374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2550;

				BgL_sz00_2550 = BgL_sz00_17374;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9117;

					BgL_bpz00_9117 = VECTOR_REF(BgL_sz00_2550, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2708z00_9118;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2709z00_9119;

							BgL_arg2709z00_9119 = ((long) CINT(BgL_bpz00_9117) + ((long) 2));
							BgL_arg2708z00_9118 =
								VECTOR_REF(BgL_sz00_2550, (int) (BgL_arg2709z00_9119));
						}
						return STRUCT_REF(BgL_arg2708z00_9118, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2710> */
	obj_t BGl_z62zc3anonymousza32710ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17375, obj_t BgL_sz00_17376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2555;

				BgL_sz00_2555 = BgL_sz00_17376;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9130;

					BgL_bpz00_9130 = VECTOR_REF(BgL_sz00_2555, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2711z00_9131;

						BgL_arg2711z00_9131 = ((long) CINT(BgL_bpz00_9130) + ((long) 2));
						return VECTOR_REF(BgL_sz00_2555, (int) (BgL_arg2711z00_9131));
		}}}}
	}



/* &<anonymous:2701> */
	obj_t BGl_z62zc3anonymousza32701ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17377, obj_t BgL_sz00_17378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2540;

				BgL_sz00_2540 = BgL_sz00_17378;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9095;

					BgL_bpz00_9095 = VECTOR_REF(BgL_sz00_2540, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2702z00_9096;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2703z00_9097;

							BgL_arg2703z00_9097 = ((long) CINT(BgL_bpz00_9095) + ((long) 1));
							BgL_arg2702z00_9096 =
								VECTOR_REF(BgL_sz00_2540, (int) (BgL_arg2703z00_9097));
						}
						return STRUCT_REF(BgL_arg2702z00_9096, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2704> */
	obj_t BGl_z62zc3anonymousza32704ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17379, obj_t BgL_sz00_17380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2545;

				BgL_sz00_2545 = BgL_sz00_17380;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9108;

					BgL_bpz00_9108 = VECTOR_REF(BgL_sz00_2545, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2705z00_9109;

						BgL_arg2705z00_9109 = ((long) CINT(BgL_bpz00_9108) + ((long) 1));
						return VECTOR_REF(BgL_sz00_2545, (int) (BgL_arg2705z00_9109));
		}}}}
	}



/* &<anonymous:2694> */
	obj_t BGl_z62zc3anonymousza32694ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17381, obj_t BgL_sz00_17382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2530;

				BgL_sz00_2530 = BgL_sz00_17382;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9073;

					BgL_bpz00_9073 = VECTOR_REF(BgL_sz00_2530, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg2696z00_9074;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2697z00_9075;

							BgL_arg2697z00_9075 = ((long) CINT(BgL_bpz00_9073) + ((long) 0));
							BgL_arg2696z00_9074 =
								VECTOR_REF(BgL_sz00_2530, (int) (BgL_arg2697z00_9075));
						}
						return STRUCT_REF(BgL_arg2696z00_9074, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:2698> */
	obj_t BGl_z62zc3anonymousza32698ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17383, obj_t BgL_sz00_17384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_2535;

				BgL_sz00_2535 = BgL_sz00_17384;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_9086;

					BgL_bpz00_9086 = VECTOR_REF(BgL_sz00_2535, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg2699z00_9087;

						BgL_arg2699z00_9087 = ((long) CINT(BgL_bpz00_9086) + ((long) 0));
						return VECTOR_REF(BgL_sz00_2535, (int) (BgL_arg2699z00_9087));
		}}}}
	}



/* &<anonymous:2719> */
	obj_t BGl_z62zc3anonymousza32719ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17385, obj_t BgL_sz00_17387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17386;

				BgL_iz00_17386 = PROCEDURE_REF(BgL_envz00_17385, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2570;

					BgL_sz00_2570 = BgL_sz00_17387;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9051;

						BgL_bpz00_9051 = VECTOR_REF(BgL_sz00_2570, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							obj_t BgL_arg2720z00_9052;

							{	/* Eval/evaluate_comp.scm 307 */
								long BgL_arg2721z00_9053;

								BgL_arg2721z00_9053 =
									((long) CINT(BgL_bpz00_9051) + (long) CINT(BgL_iz00_17386));
								BgL_arg2720z00_9052 =
									VECTOR_REF(BgL_sz00_2570, (int) (BgL_arg2721z00_9053));
							}
							return STRUCT_REF(BgL_arg2720z00_9052, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:2722> */
	obj_t BGl_z62zc3anonymousza32722ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17388, obj_t BgL_sz00_17390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_17389;

				BgL_iz00_17389 = PROCEDURE_REF(BgL_envz00_17388, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2575;

					BgL_sz00_2575 = BgL_sz00_17390;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_9064;

						BgL_bpz00_9064 = VECTOR_REF(BgL_sz00_2575, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg2723z00_9065;

							BgL_arg2723z00_9065 =
								((long) CINT(BgL_bpz00_9064) + (long) CINT(BgL_iz00_17389));
							return VECTOR_REF(BgL_sz00_2575, (int) (BgL_arg2723z00_9065));
		}}}}}
	}



/* &comp-ev_trap1636 */
	obj_t BGl_z62compzd2ev_trap1636zb0zz__evaluate_compz00(obj_t BgL_envz00_17391,
		BgL_ev_trapz00_bglt BgL_ez00_17392, obj_t BgL_stkz00_17393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 277 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_2502;
				obj_t BgL_stkz00_2503;

				BgL_ez00_2502 = BgL_ez00_17392;
				BgL_stkz00_2503 = BgL_stkz00_17393;
				{	/* Eval/evaluate_comp.scm 279 */
					obj_t BgL_ez00_2507;

					{	/* Eval/evaluate_comp.scm 279 */
						BgL_ev_exprz00_bglt BgL_arg2691z00_2518;

						BgL_arg2691z00_2518 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_2502)))->BgL_ez00);
						BgL_ez00_2507 =
							BGl_compz00zz__evaluate_compz00(BgL_arg2691z00_2518,
							BgL_stkz00_2503);
					}
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_zc3anonymousza32685ze3z83_16255;

						BgL_zc3anonymousza32685ze3z83_16255 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza32685ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza32685ze3z83_16255,
							(int) (((long) 0)), BgL_ez00_2507);
						return BgL_zc3anonymousza32685ze3z83_16255;
					}
				}
			}
		}
	}



/* &<anonymous:2685> */
	obj_t BGl_z62zc3anonymousza32685ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_17394, obj_t BgL_sz00_17396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 280 */
			{	/* Eval/evaluate_comp.scm 280 */
				obj_t BgL_ez00_17395;

				BgL_ez00_17395 = PROCEDURE_REF(BgL_envz00_17394, (int) (((long) 0)));
				{
					obj_t BgL_sz00_2508;

					BgL_sz00_2508 = BgL_sz00_17396;
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_bpz00_2510;

						BgL_bpz00_2510 = VECTOR_REF(BgL_sz00_2508, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 281 */
							obj_t BgL_cmdz00_2511;

							BgL_cmdz00_2511 =
								PROCEDURE_ENTRY(BgL_ez00_17395) (BgL_ez00_17395, BgL_sz00_2508,
								BEOA);
							if ((BgL_cmdz00_2511 == BGl_symbol5662z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 282 */
									return BgL_bpz00_2510;
								}
							else
								{	/* Eval/evaluate_comp.scm 282 */
									if (
										(BgL_cmdz00_2511 == BGl_symbol5664z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 282 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 282 */
											if (
												(BgL_cmdz00_2511 ==
													BGl_symbol5666z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 282 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 282 */
													if (
														(BgL_cmdz00_2511 ==
															BGl_symbol5668z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 282 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 282 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string5531z00zz__evaluate_compz00,
																BGl_string5670z00zz__evaluate_compz00,
																BgL_cmdz00_2511);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string5671z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
