/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1323z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_global1241z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1275z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt);
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1305zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1257zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1325zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, obj_t, obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_letza21361z12zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_prog21249z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1245z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t);
	static obj_t BGl_z62tailposzd2ev_litt1341zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_global1377z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_list1247z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1239z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_prog21385z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_let1359zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1301z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1393z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letza21261zb5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letza2za2_bglt, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_litt1243z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1255zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_letrec1263z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, obj_t);
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1391z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1395z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_app1369zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_hook1349zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_global1339zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21315zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1401z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_abs1371zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_goto1367zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_binder1397z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt, BgL_ev_varz00_bglt);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailpos1334z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1327zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t, obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_hook1251z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62subst_goto1302z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1311zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_goto1267z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1293z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1363zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1355z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1353z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1357z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_withzd2handlerzd2_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1281z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt);
	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static obj_t BGl_z62hasvarzf3zd2ev_app1403z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_var1375z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_labels1265z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1289z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1295z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_binderz00_bglt);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1297z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letrecz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62hasvarzf3zd2ev_list1383z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_var1337zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_varz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_labels1399z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_abs1405z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62tailposzd2ev_if1343zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_let1259z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_letz00_bglt, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1285z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1321zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt, obj_t, obj_t);
	static obj_t BGl_z62searchzd2letrec1272zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_litt1379z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1299z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1287z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1313zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1331zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1309zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1269z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_appz00_bglt, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1333zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_labels1365zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_labelsz00_bglt, BgL_ev_varz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1277z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1283z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_setlocal1351zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7e1236zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1319z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1291z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_unwindzd2protectzd2_bglt);
	static obj_t BGl_symbol2124z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2126z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2129z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_z62fsiza7ezd2ev_abs1271z17zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_absz00_bglt, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1307zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_globalz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1387z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2131z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1279z62zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_littz00_bglt);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1389z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_setlocalz00_bglt, BgL_ev_varz00_bglt);
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_prog21347zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_prog2z00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1317zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_hookz00_bglt, obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf31372z91zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_exprz00_bglt, BgL_ev_varz00_bglt);
	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1329zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_gotoz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_if1381z43zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_ifz00_bglt, BgL_ev_varz00_bglt);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1253zc5zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_bindzd2exitzd2_bglt, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_list1345zb0zz__evaluate_fsiza7eza7(obj_t,
		BgL_ev_listz00_bglt, BgL_ev_varz00_bglt);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2121z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2121za700za7za7_2225za7, "tailpos1334", 11);
	      DEFINE_STRING(BGl_string2123z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2123za700za7za7_2226za7, "hasvar?1372", 11);
	      DEFINE_STRING(BGl_string2125z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2125za700za7za7_2227za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2127z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2127za700za7za7_2228za7, "tailpos", 7);
	      DEFINE_STRING(BGl_string2128z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2128za700za7za7_2229za7, "not defined for", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2230z00,
		BGl_z62tailposzd2ev_let1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2231z00,
		BGl_z62tailposzd2ev_letza21361z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2232z00,
		BGl_z62tailposzd2ev_letrec1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2233z00,
		BGl_z62tailposzd2ev_labels1365zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2234z00,
		BGl_z62tailposzd2ev_goto1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2235z00,
		BGl_z62tailposzd2ev_app1369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2130z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2130za700za7za7_2236za7, "subst_goto", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2237z00,
		BGl_z62tailposzd2ev_abs1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2238za7,
		BGl_z62hasvarzf3zd2ev_var1375z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2132z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2132za700za7za7_2239za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string2133z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2133za700za7za7_2240za7, "eval", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2241za7,
		BGl_z62hasvarzf3zd2ev_global1377z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2134z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2134za700za7za7_2242za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string2135z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2135za700za7za7_2243za7, "&fsize", 6);
	      DEFINE_STRING(BGl_string2136z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2136za700za7za7_2244za7, "bint", 4);
	      DEFINE_STRING(BGl_string2137z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2137za700za7za7_2245za7, "&search-letrec", 14);
	      DEFINE_STRING(BGl_string2138z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2138za700za7za7_2246za7, "&subst_goto", 11);
	      DEFINE_STRING(BGl_string2139z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2139za700za7za7_2247za7, "&tailpos", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2248za7,
		BGl_z62hasvarzf3zd2ev_litt1379z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2249za7,
		BGl_z62hasvarzf3zd2ev_if1381z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2250za7,
		BGl_z62hasvarzf3zd2ev_list1383z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2251za7,
		BGl_z62hasvarzf3zd2ev_prog21385z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2252za7,
		BGl_z62hasvarzf3zd2ev_hook1387z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2253za7,
		BGl_z62hasvarzf3zd2ev_setlocal1389z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2140z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2140za700za7za7_2254za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2255za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1391z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2141z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2141za700za7za7_2256za7, "&hasvar?", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2257za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1393z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2258za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1395z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2143z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2143za700za7za7_2259za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2260za7,
		BGl_z62hasvarzf3zd2ev_binder1397z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2261za7,
		BGl_z62hasvarzf3zd2ev_labels1399z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2262za7,
		BGl_z62hasvarzf3zd2ev_goto1401z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2263za7,
		BGl_z62hasvarzf3zd2ev_app1403z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2264za7,
		BGl_z62hasvarzf3zd2ev_abs1405z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72265z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622266z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2114z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1236za7c2267za7,
		BGl_z62fsiza7e1236zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2116z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2268z00,
		BGl_z62searchzd2letrec1272zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2118z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1302269za7,
		BGl_z62subst_goto1302z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2208za700za7za7_2270za7, "hasvar?", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2120z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1334za762271z00,
		BGl_z62tailpos1334z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2122z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f313722272z00,
		BGl_z62hasvarzf31372z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2224za700za7za7_2273za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2274za7,
		BGl_z62fsiza7ezd2ev_var1239z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2275za7,
		BGl_z62fsiza7ezd2ev_global1241z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2276za7,
		BGl_z62fsiza7ezd2ev_litt1243z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2277za7,
		BGl_z62fsiza7ezd2ev_if1245z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2278za7,
		BGl_z62fsiza7ezd2ev_list1247z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2279za7,
		BGl_z62fsiza7ezd2ev_prog21249z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2280za7,
		BGl_z62fsiza7ezd2ev_hook1251z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2281za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1253zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2282za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1255zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2283za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1257zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2284za7,
		BGl_z62fsiza7ezd2ev_let1259z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2285za7,
		BGl_z62fsiza7ezd2ev_letza21261zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2286za7,
		BGl_z62fsiza7ezd2ev_letrec1263z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2287za7,
		BGl_z62fsiza7ezd2ev_labels1265z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2288za7,
		BGl_z62fsiza7ezd2ev_goto1267z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2289za7,
		BGl_z62fsiza7ezd2ev_app1269z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2290za7,
		BGl_z62fsiza7ezd2ev_abs1271z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2160z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2291z00,
		BGl_z62searchzd2letreczd2ev_var1275z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2292z00,
		BGl_z62searchzd2letreczd2ev_glo1277z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2162z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2293z00,
		BGl_z62searchzd2letreczd2ev_lit1279z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2294z00,
		BGl_z62searchzd2letreczd2ev_if1281z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2295z00,
		BGl_z62searchzd2letreczd2ev_lis1283z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2165z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2296z00,
		BGl_z62searchzd2letreczd2ev_pro1285z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2297z00,
		BGl_z62searchzd2letreczd2ev_hoo1287z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2167z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2298z00,
		BGl_z62searchzd2letreczd2ev_bin1289z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2299z00,
		BGl_z62searchzd2letreczd2ev_unw1291z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2300z00,
		BGl_z62searchzd2letreczd2ev_wit1293z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2301z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2302z00,
		BGl_z62searchzd2letreczd2ev_bin1295z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2303z00,
		BGl_z62searchzd2letreczd2ev_let1297z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2304z00,
		BGl_z62searchzd2letreczd2ev_app1299z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2305z00,
		BGl_z62searchzd2letreczd2ev_abs1301z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22306z00,
		BGl_z62subst_gotozd2ev_var1305zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22307z00,
		BGl_z62subst_gotozd2ev_global1307zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22308z00,
		BGl_z62subst_gotozd2ev_litt1309zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22309z00,
		BGl_z62subst_gotozd2ev_if1311zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22310z00,
		BGl_z62subst_gotozd2ev_list1313zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22311z00,
		BGl_z62subst_gotozd2ev_prog21315zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22312z00,
		BGl_z62subst_gotozd2ev_hook1317zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22313z00,
		BGl_z62subst_gotozd2ev_bindzd2e1319z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22314z00,
		BGl_z62subst_gotozd2ev_unwind1321zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22315z00,
		BGl_z62subst_gotozd2ev_withzd2h1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22316z00,
		BGl_z62subst_gotozd2ev_binder1325zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22317z00,
		BGl_z62subst_gotozd2ev_labels1327zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22318z00,
		BGl_z62subst_gotozd2ev_goto1329zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22319z00,
		BGl_z62subst_gotozd2ev_app1331zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22320z00,
		BGl_z62subst_gotozd2ev_abs1333zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2321z00,
		BGl_z62tailposzd2ev_var1337zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2322z00,
		BGl_z62tailposzd2ev_global1339zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2323z00,
		BGl_z62tailposzd2ev_litt1341zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2324z00,
		BGl_z62tailposzd2ev_if1343zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2325z00,
		BGl_z62tailposzd2ev_list1345zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2326z00,
		BGl_z62tailposzd2ev_prog21347zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2327z00,
		BGl_z62tailposzd2ev_hook1349zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2328z00,
		BGl_z62tailposzd2ev_setlocal1351zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2329z00,
		BGl_z62tailposzd2ev_bindzd2exit1353z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2330z00,
		BGl_z62tailposzd2ev_unwindzd2pr1355z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2331z00,
		BGl_z62tailposzd2ev_withzd2hand1357z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72332za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2333za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2334z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2335z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2110z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2110za700za7za7_2336za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STRING(BGl_string2111z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2111za700za7za7_2337za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2112z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2112za700za7za7_2338za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2113z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2113za700za7za7_2339za7, "&extract-loops", 14);
	      DEFINE_STRING(BGl_string2115z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2115za700za7za7_2340za7, "fsize1236", 9);
	      DEFINE_STRING(BGl_string2117z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2117za700za7za7_2341za7, "search-letrec1272", 17);
	      DEFINE_STRING(BGl_string2119z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2119za700za7za7_2342za7, "subst_goto1302", 14);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3485, char *BgL_fromz00_3486)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2124z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2123z00zz__evaluate_fsiza7eza7);
			BGl_symbol2126z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_symbol2129z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2130z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2131z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2132z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3064,
		obj_t BgL_ez00_3065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_auxz00_3500;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_3501;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3065,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_3501 = ((BgL_ev_exprz00_bglt) BgL_ez00_3065);
						}
					else
						{
							obj_t BgL_auxz00_3505;

							BgL_auxz00_3505 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2111z00zz__evaluate_fsiza7eza7,
								BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3065);
							FAILURE(BgL_auxz00_3505, BFALSE, BFALSE);
						}
					BgL_auxz00_3500 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3501);
				}
				return BINT(BgL_auxz00_3500);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_40));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3066, obj_t BgL_ez00_3067)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 163 */
			{	/* Eval/evaluate_fsize.scm 165 */
				BgL_ev_exprz00_bglt BgL_ez00_3453;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3067,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 165 */
						BgL_ez00_3453 = ((BgL_ev_exprz00_bglt) BgL_ez00_3067);
					}
				else
					{
						obj_t BgL_auxz00_3516;

						BgL_auxz00_3516 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 4866)),
							BGl_string2113z00zz__evaluate_fsiza7eza7,
							BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3067);
						FAILURE(BgL_auxz00_3516, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3453));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_41)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 168 */
			{
				obj_t BgL_lz00_806;

				BgL_lz00_806 = BgL_lz00_41;
			BgL_zc3anonymousza31439ze3z83_807:
				if (NULLP(BgL_lz00_806))
					{	/* Eval/evaluate_fsize.scm 170 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 170 */
						{	/* Eval/evaluate_fsize.scm 171 */
							obj_t BgL_arg1441z00_809;

							{	/* Eval/evaluate_fsize.scm 171 */
								obj_t BgL_arg1442z00_810;

								BgL_arg1442z00_810 = CAR(BgL_lz00_806);
								BgL_arg1441z00_809 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1442z00_810));
							}
							SET_CAR(BgL_lz00_806, BgL_arg1441z00_809);
						}
						{
							obj_t BgL_lz00_3528;

							BgL_lz00_3528 = CDR(BgL_lz00_806);
							BgL_lz00_806 = BgL_lz00_3528;
							goto BgL_zc3anonymousza31439ze3z83_807;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_57, obj_t BgL_valsz00_58, BgL_ev_exprz00_bglt BgL_bodyz00_59)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 257 */
			{	/* Eval/evaluate_fsize.scm 258 */
				BgL_ev_labelsz00_bglt BgL_rz00_813;

				{	/* Eval/evaluate_fsize.scm 258 */
					BgL_ev_labelsz00_bglt BgL_new1090z00_832;

					{	/* Eval/evaluate_fsize.scm 258 */
						BgL_ev_labelsz00_bglt BgL_new1089z00_836;

						BgL_new1089z00_836 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 258 */
							long BgL_arg1457z00_837;

							{	/* Eval/evaluate_fsize.scm 258 */
								long BgL_res1954z00_2019;

								{	/* Eval/evaluate_fsize.scm 258 */
									obj_t BgL_classz00_2016;

									BgL_classz00_2016 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_fsize.scm 258 */
										obj_t BgL_vectorz00_2017;
										int BgL_kz00_2018;

										BgL_vectorz00_2017 = BgL_classz00_2016;
										BgL_kz00_2018 = (int) (((long) 1));
										BgL_res1954z00_2019 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2017,
												BgL_kz00_2018));
								}}
								BgL_arg1457z00_837 = BgL_res1954z00_2019;
							}
							{	/* Eval/evaluate_fsize.scm 258 */
								BgL_objectz00_bglt BgL_objz00_2020;

								BgL_objz00_2020 = ((BgL_objectz00_bglt) BgL_new1089z00_836);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2020, BgL_arg1457z00_837);
						}}
						{	/* Eval/evaluate_fsize.scm 258 */
							BgL_objectz00_bglt BgL_auxz00_3536;

							BgL_auxz00_3536 = ((BgL_objectz00_bglt) BgL_new1089z00_836);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3536, BFALSE);
						}
						BgL_new1090z00_832 = BgL_new1089z00_836;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_832))->BgL_varsz00) =
						((obj_t) BgL_varsz00_57), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_832))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_832))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_832))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3543;

						{	/* Eval/evaluate_fsize.scm 259 */
							BgL_ev_littz00_bglt BgL_new1093z00_833;

							{	/* Eval/evaluate_fsize.scm 259 */
								BgL_ev_littz00_bglt BgL_new1091z00_834;

								BgL_new1091z00_834 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 259 */
									long BgL_arg1456z00_835;

									{	/* Eval/evaluate_fsize.scm 259 */
										long BgL_res1955z00_2025;

										{	/* Eval/evaluate_fsize.scm 259 */
											obj_t BgL_classz00_2022;

											BgL_classz00_2022 = BGl_ev_littz00zz__evaluate_typesz00;
											{	/* Eval/evaluate_fsize.scm 259 */
												obj_t BgL_vectorz00_2023;
												int BgL_kz00_2024;

												BgL_vectorz00_2023 = BgL_classz00_2022;
												BgL_kz00_2024 = (int) (((long) 1));
												BgL_res1955z00_2025 =
													(long) CINT(VECTOR_REF(BgL_vectorz00_2023,
														BgL_kz00_2024));
										}}
										BgL_arg1456z00_835 = BgL_res1955z00_2025;
									}
									{	/* Eval/evaluate_fsize.scm 259 */
										BgL_objectz00_bglt BgL_objz00_2026;

										BgL_objz00_2026 = ((BgL_objectz00_bglt) BgL_new1091z00_834);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2026,
											BgL_arg1456z00_835);
								}}
								{	/* Eval/evaluate_fsize.scm 259 */
									BgL_objectz00_bglt BgL_auxz00_3550;

									BgL_auxz00_3550 = ((BgL_objectz00_bglt) BgL_new1091z00_834);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3550, BFALSE);
								}
								BgL_new1093z00_833 = BgL_new1091z00_834;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1093z00_833))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3543 = ((BgL_ev_exprz00_bglt) BgL_new1093z00_833);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_832))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3543), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1090z00_832))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_813 = BgL_new1090z00_832;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_813))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_59,
								BgL_varsz00_57, ((obj_t) BgL_rz00_813)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3562;

					if (NULLP(BgL_valsz00_58))
						{	/* Eval/evaluate_fsize.scm 262 */
							BgL_auxz00_3562 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 262 */
							obj_t BgL_head1186z00_817;

							{	/* Eval/evaluate_fsize.scm 262 */
								obj_t BgL_res1957z00_2032;

								BgL_res1957z00_2032 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1186z00_817 = BgL_res1957z00_2032;
							}
							{
								obj_t BgL_l1184z00_819;
								obj_t BgL_tail1187z00_820;

								BgL_l1184z00_819 = BgL_valsz00_58;
								BgL_tail1187z00_820 = BgL_head1186z00_817;
							BgL_zc3anonymousza31445ze3z83_821:
								if (NULLP(BgL_l1184z00_819))
									{	/* Eval/evaluate_fsize.scm 262 */
										BgL_auxz00_3562 = CDR(BgL_head1186z00_817);
									}
								else
									{	/* Eval/evaluate_fsize.scm 262 */
										obj_t BgL_newtail1188z00_823;

										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg1450z00_825;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_valz00_826;

												{	/* Eval/evaluate_fsize.scm 262 */
													obj_t BgL_pairz00_2036;

													BgL_pairz00_2036 = BgL_l1184z00_819;
													BgL_valz00_826 = CAR(BgL_pairz00_2036);
												}
												{	/* Eval/evaluate_fsize.scm 263 */
													BgL_ev_absz00_bglt BgL_i1095z00_827;

													BgL_i1095z00_827 =
														((BgL_ev_absz00_bglt) BgL_valz00_826);
													{	/* Eval/evaluate_fsize.scm 264 */
														obj_t BgL_arg1453z00_828;
														obj_t BgL_arg1454z00_829;

														BgL_arg1453z00_828 =
															(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_827))->
															BgL_varsz00);
														{	/* Eval/evaluate_fsize.scm 264 */
															BgL_ev_exprz00_bglt BgL_arg1455z00_830;

															BgL_arg1455z00_830 =
																(((BgL_ev_absz00_bglt) CREF(BgL_i1095z00_827))->
																BgL_bodyz00);
															BgL_arg1454z00_829 =
																BGl_subst_gotoz00zz__evaluate_fsiza7eza7
																(BgL_arg1455z00_830, BgL_varsz00_57,
																((obj_t) BgL_rz00_813));
														}
														BgL_arg1450z00_825 =
															MAKE_PAIR(BgL_arg1453z00_828, BgL_arg1454z00_829);
													}
												}
											}
											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_res1959z00_2039;

												BgL_res1959z00_2039 =
													MAKE_PAIR(BgL_arg1450z00_825, BNIL);
												BgL_newtail1188z00_823 = BgL_res1959z00_2039;
											}
										}
										SET_CDR(BgL_tail1187z00_820, BgL_newtail1188z00_823);
										{	/* Eval/evaluate_fsize.scm 262 */
											obj_t BgL_arg1447z00_824;

											{	/* Eval/evaluate_fsize.scm 262 */
												obj_t BgL_pairz00_2042;

												BgL_pairz00_2042 = BgL_l1184z00_819;
												BgL_arg1447z00_824 = CDR(BgL_pairz00_2042);
											}
											{
												obj_t BgL_tail1187z00_3580;
												obj_t BgL_l1184z00_3579;

												BgL_l1184z00_3579 = BgL_arg1447z00_824;
												BgL_tail1187z00_3580 = BgL_newtail1188z00_823;
												BgL_tail1187z00_820 = BgL_tail1187z00_3580;
												BgL_l1184z00_819 = BgL_l1184z00_3579;
												goto BgL_zc3anonymousza31445ze3z83_821;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_813))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3562), BUNSPEC);
				}
				return BgL_rz00_813;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_60,
		obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 268 */
			{
				obj_t BgL_l1191z00_839;

				BgL_l1191z00_839 = BgL_varsz00_60;
			BgL_zc3anonymousza31458ze3z83_840:
				if (NULLP(BgL_l1191z00_839))
					{	/* Eval/evaluate_fsize.scm 269 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 269 */
						bool_t BgL_testz00_3584;

						{	/* Eval/evaluate_fsize.scm 270 */
							obj_t BgL_vz00_844;

							BgL_vz00_844 = CAR(BgL_l1191z00_839);
							{	/* Eval/evaluate_fsize.scm 270 */
								obj_t BgL__andtest_1096z00_845;

								BgL__andtest_1096z00_845 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
									((BgL_ev_varz00_bglt) BgL_vz00_844));
								if (CBOOL(BgL__andtest_1096z00_845))
									{
										obj_t BgL_l1189z00_847;

										BgL_l1189z00_847 = BgL_valsz00_61;
									BgL_zc3anonymousza31462ze3z83_848:
										if (NULLP(BgL_l1189z00_847))
											{	/* Eval/evaluate_fsize.scm 271 */
												BgL_testz00_3584 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 271 */
												bool_t BgL_testz00_3592;

												{	/* Eval/evaluate_fsize.scm 272 */
													obj_t BgL_ez00_852;

													BgL_ez00_852 = CAR(BgL_l1189z00_847);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_852,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 273 */
															BgL_ev_absz00_bglt BgL_i1097z00_854;

															BgL_i1097z00_854 =
																((BgL_ev_absz00_bglt) BgL_ez00_852);
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt)
																				CREF(BgL_i1097z00_854))->
																			BgL_arityz00)) >= ((long) 0)))
																{	/* Eval/evaluate_fsize.scm 275 */
																	BgL_ev_exprz00_bglt BgL_arg1467z00_856;

																	BgL_arg1467z00_856 =
																		(((BgL_ev_absz00_bglt)
																			CREF(BgL_i1097z00_854))->BgL_bodyz00);
																	BgL_testz00_3592 =
																		CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1467z00_856,
																			((BgL_ev_varz00_bglt) BgL_vz00_844)));
																}
															else
																{	/* Eval/evaluate_fsize.scm 274 */
																	BgL_testz00_3592 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 272 */
															BgL_testz00_3592 = ((bool_t) 0);
														}
												}
												if (BgL_testz00_3592)
													{
														obj_t BgL_l1189z00_3605;

														BgL_l1189z00_3605 = CDR(BgL_l1189z00_847);
														BgL_l1189z00_847 = BgL_l1189z00_3605;
														goto BgL_zc3anonymousza31462ze3z83_848;
													}
												else
													{	/* Eval/evaluate_fsize.scm 271 */
														BgL_testz00_3584 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 270 */
										BgL_testz00_3584 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_3584)
							{
								obj_t BgL_l1191z00_3607;

								BgL_l1191z00_3607 = CDR(BgL_l1191z00_839);
								BgL_l1191z00_839 = BgL_l1191z00_3607;
								goto BgL_zc3anonymousza31458ze3z83_840;
							}
						else
							{	/* Eval/evaluate_fsize.scm 269 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2114z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2115z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2116z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2117z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2118z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2119z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2120z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2121z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2122z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2123z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1372 */
	obj_t BGl_z62hasvarzf31372z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3073,
		BgL_ev_exprz00_bglt BgL_ez00_3074, BgL_ev_varz00_bglt BgL_vz00_3075)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_889;
				BgL_ev_varz00_bglt BgL_vz00_890;

				BgL_ez00_889 = BgL_ez00_3074;
				BgL_vz00_890 = BgL_vz00_3075;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2124z00zz__evaluate_fsiza7eza7,
					BGl_string2125z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_889));
			}
		}
	}



/* &tailpos1334 */
	obj_t BGl_z62tailpos1334z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3076,
		BgL_ev_exprz00_bglt BgL_ez00_3077, BgL_ev_varz00_bglt BgL_vz00_3078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_884;
				BgL_ev_varz00_bglt BgL_vz00_885;

				BgL_ez00_884 = BgL_ez00_3077;
				BgL_vz00_885 = BgL_vz00_3078;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2126z00zz__evaluate_fsiza7eza7,
					BGl_string2128z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_884));
			}
		}
	}



/* &subst_goto1302 */
	obj_t BGl_z62subst_goto1302z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3079,
		BgL_ev_exprz00_bglt BgL_ez00_3080, obj_t BgL_varsz00_3081,
		obj_t BgL_lblsz00_3082)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			return
				BGl_errorz00zz__errorz00(BGl_symbol2129z00zz__evaluate_fsiza7eza7,
				BGl_string2128z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_3080));
		}
	}



/* &search-letrec1272 */
	obj_t BGl_z62searchzd2letrec1272zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3083, BgL_ev_exprz00_bglt BgL_ez00_3084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_874;

				BgL_ez00_874 = BgL_ez00_3084;
				return
					BGl_errorz00zz__errorz00(BGl_symbol2131z00zz__evaluate_fsiza7eza7,
					BGl_string2128z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_874));
			}
		}
	}



/* &fsize1236 */
	obj_t BGl_z62fsiza7e1236zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3085,
		BgL_ev_exprz00_bglt BgL_ez00_3086, obj_t BgL_nz00_3087)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_869;
				int BgL_nz00_870;

				BgL_ez00_869 = BgL_ez00_3086;
				BgL_nz00_870 = CINT(BgL_nz00_3087);
				return
					BGl_errorz00zz__errorz00(BGl_string2133z00zz__evaluate_fsiza7eza7,
					BGl_string2134z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_869));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1237z00_893;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res1970z00_2094;

					{	/* Eval/evaluate_fsize.scm 68 */
						BgL_objectz00_bglt BgL_objz00_2066;

						BgL_objz00_2066 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 68 */
							long BgL_objzd2classzd2numz00_2067;

							{	/* Eval/evaluate_fsize.scm 68 */
								long BgL_res1964z00_2070;

								BgL_res1964z00_2070 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2066);
								BgL_objzd2classzd2numz00_2067 = BgL_res1964z00_2070;
							}
							{	/* Eval/evaluate_fsize.scm 68 */
								obj_t BgL_arg1947z00_2068;

								BgL_arg1947z00_2068 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 68 */
									obj_t BgL_arrayz00_2071;
									int BgL_offsetz00_2072;

									BgL_arrayz00_2071 = BgL_arg1947z00_2068;
									BgL_offsetz00_2072 = (int) (BgL_objzd2classzd2numz00_2067);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_offsetz00_2073;

										BgL_offsetz00_2073 =
											((long) (BgL_offsetz00_2072) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_modz00_2074;

											{	/* Eval/evaluate_fsize.scm 68 */
												int BgL_arg1949z00_2075;

												BgL_arg1949z00_2075 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_res1967z00_2085;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_auxz00_3633;

														BgL_auxz00_3633 = (long) (BgL_arg1949z00_2075);
														BgL_res1967z00_2085 =
															(BgL_offsetz00_2073 / BgL_auxz00_3633);
													}
													BgL_modz00_2074 = BgL_res1967z00_2085;
											}}
											{	/* Eval/evaluate_fsize.scm 68 */
												long BgL_restz00_2076;

												{	/* Eval/evaluate_fsize.scm 68 */
													int BgL_arg1948z00_2077;

													BgL_arg1948z00_2077 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_res1969z00_2089;

														{	/* Eval/evaluate_fsize.scm 68 */
															long BgL_auxz00_3637;

															BgL_auxz00_3637 = (long) (BgL_arg1948z00_2077);
															BgL_res1969z00_2089 =
																(BgL_offsetz00_2073 % BgL_auxz00_3637);
														}
														BgL_restz00_2076 = BgL_res1969z00_2089;
												}}
												{	/* Eval/evaluate_fsize.scm 68 */

													BgL_res1970z00_2094 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2071,
															(int) (BgL_modz00_2074)),
														(int) (BgL_restz00_2076));
					}}}}}}}}
					BgL_method1237z00_893 = BgL_res1970z00_2094;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1237z00_893) (BgL_method1237z00_893,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3088,
		obj_t BgL_ez00_3089, obj_t BgL_nz00_3090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_auxz00_3652;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_3661;
					BgL_ev_exprz00_bglt BgL_auxz00_3653;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_auxz00_3662;

						if (INTEGERP(BgL_nz00_3090))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_3662 = BgL_nz00_3090;
							}
						else
							{
								obj_t BgL_auxz00_3665;

								BgL_auxz00_3665 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2110z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2135z00zz__evaluate_fsiza7eza7,
									BGl_string2136z00zz__evaluate_fsiza7eza7, BgL_nz00_3090);
								FAILURE(BgL_auxz00_3665, BFALSE, BFALSE);
							}
						BgL_auxz00_3661 = CINT(BgL_auxz00_3662);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3089,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 68 */
							BgL_auxz00_3653 = ((BgL_ev_exprz00_bglt) BgL_ez00_3089);
						}
					else
						{
							obj_t BgL_auxz00_3657;

							BgL_auxz00_3657 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 1980)),
								BGl_string2135z00zz__evaluate_fsiza7eza7,
								BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3089);
							FAILURE(BgL_auxz00_3657, BFALSE, BFALSE);
						}
					BgL_auxz00_3652 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3653,
						BgL_auxz00_3661);
				}
				return BINT(BgL_auxz00_3652);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				obj_t BgL_method1273z00_894;

				{	/* Eval/evaluate_fsize.scm 174 */
					obj_t BgL_res1977z00_2123;

					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_objectz00_bglt BgL_objz00_2095;

						BgL_objz00_2095 = ((BgL_objectz00_bglt) BgL_ez00_42);
						{	/* Eval/evaluate_fsize.scm 174 */
							long BgL_objzd2classzd2numz00_2096;

							{	/* Eval/evaluate_fsize.scm 174 */
								long BgL_res1971z00_2099;

								BgL_res1971z00_2099 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2095);
								BgL_objzd2classzd2numz00_2096 = BgL_res1971z00_2099;
							}
							{	/* Eval/evaluate_fsize.scm 174 */
								obj_t BgL_arg1947z00_2097;

								BgL_arg1947z00_2097 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 174 */
									obj_t BgL_arrayz00_2100;
									int BgL_offsetz00_2101;

									BgL_arrayz00_2100 = BgL_arg1947z00_2097;
									BgL_offsetz00_2101 = (int) (BgL_objzd2classzd2numz00_2096);
									{	/* Eval/evaluate_fsize.scm 174 */
										long BgL_offsetz00_2102;

										BgL_offsetz00_2102 =
											((long) (BgL_offsetz00_2101) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 174 */
											long BgL_modz00_2103;

											{	/* Eval/evaluate_fsize.scm 174 */
												int BgL_arg1949z00_2104;

												BgL_arg1949z00_2104 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 174 */
													long BgL_res1974z00_2114;

													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_auxz00_3680;

														BgL_auxz00_3680 = (long) (BgL_arg1949z00_2104);
														BgL_res1974z00_2114 =
															(BgL_offsetz00_2102 / BgL_auxz00_3680);
													}
													BgL_modz00_2103 = BgL_res1974z00_2114;
											}}
											{	/* Eval/evaluate_fsize.scm 174 */
												long BgL_restz00_2105;

												{	/* Eval/evaluate_fsize.scm 174 */
													int BgL_arg1948z00_2106;

													BgL_arg1948z00_2106 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 174 */
														long BgL_res1976z00_2118;

														{	/* Eval/evaluate_fsize.scm 174 */
															long BgL_auxz00_3684;

															BgL_auxz00_3684 = (long) (BgL_arg1948z00_2106);
															BgL_res1976z00_2118 =
																(BgL_offsetz00_2102 % BgL_auxz00_3684);
														}
														BgL_restz00_2105 = BgL_res1976z00_2118;
												}}
												{	/* Eval/evaluate_fsize.scm 174 */

													BgL_res1977z00_2123 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2100,
															(int) (BgL_modz00_2103)),
														(int) (BgL_restz00_2105));
					}}}}}}}}
					BgL_method1273z00_894 = BgL_res1977z00_2123;
				}
				return
					PROCEDURE_ENTRY(BgL_method1273z00_894) (BgL_method1273z00_894,
					((obj_t) BgL_ez00_42), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3091,
		obj_t BgL_ez00_3092)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 174 */
			{	/* Eval/evaluate_fsize.scm 174 */
				BgL_ev_exprz00_bglt BgL_auxz00_3696;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3092,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 174 */
						BgL_auxz00_3696 = ((BgL_ev_exprz00_bglt) BgL_ez00_3092);
					}
				else
					{
						obj_t BgL_auxz00_3700;

						BgL_auxz00_3700 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 5030)),
							BGl_string2137z00zz__evaluate_fsiza7eza7,
							BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3092);
						FAILURE(BgL_auxz00_3700, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3696);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_66, obj_t BgL_varsz00_67, obj_t BgL_lblsz00_68)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 287 */
				obj_t BgL_method1303z00_895;

				{	/* Eval/evaluate_fsize.scm 287 */
					obj_t BgL_res1984z00_2152;

					{	/* Eval/evaluate_fsize.scm 287 */
						BgL_objectz00_bglt BgL_objz00_2124;

						BgL_objz00_2124 = ((BgL_objectz00_bglt) BgL_ez00_66);
						{	/* Eval/evaluate_fsize.scm 287 */
							long BgL_objzd2classzd2numz00_2125;

							{	/* Eval/evaluate_fsize.scm 287 */
								long BgL_res1978z00_2128;

								BgL_res1978z00_2128 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2124);
								BgL_objzd2classzd2numz00_2125 = BgL_res1978z00_2128;
							}
							{	/* Eval/evaluate_fsize.scm 287 */
								obj_t BgL_arg1947z00_2126;

								BgL_arg1947z00_2126 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 287 */
									obj_t BgL_arrayz00_2129;
									int BgL_offsetz00_2130;

									BgL_arrayz00_2129 = BgL_arg1947z00_2126;
									BgL_offsetz00_2130 = (int) (BgL_objzd2classzd2numz00_2125);
									{	/* Eval/evaluate_fsize.scm 287 */
										long BgL_offsetz00_2131;

										BgL_offsetz00_2131 =
											((long) (BgL_offsetz00_2130) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 287 */
											long BgL_modz00_2132;

											{	/* Eval/evaluate_fsize.scm 287 */
												int BgL_arg1949z00_2133;

												BgL_arg1949z00_2133 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 287 */
													long BgL_res1981z00_2143;

													{	/* Eval/evaluate_fsize.scm 287 */
														long BgL_auxz00_3713;

														BgL_auxz00_3713 = (long) (BgL_arg1949z00_2133);
														BgL_res1981z00_2143 =
															(BgL_offsetz00_2131 / BgL_auxz00_3713);
													}
													BgL_modz00_2132 = BgL_res1981z00_2143;
											}}
											{	/* Eval/evaluate_fsize.scm 287 */
												long BgL_restz00_2134;

												{	/* Eval/evaluate_fsize.scm 287 */
													int BgL_arg1948z00_2135;

													BgL_arg1948z00_2135 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 287 */
														long BgL_res1983z00_2147;

														{	/* Eval/evaluate_fsize.scm 287 */
															long BgL_auxz00_3717;

															BgL_auxz00_3717 = (long) (BgL_arg1948z00_2135);
															BgL_res1983z00_2147 =
																(BgL_offsetz00_2131 % BgL_auxz00_3717);
														}
														BgL_restz00_2134 = BgL_res1983z00_2147;
												}}
												{	/* Eval/evaluate_fsize.scm 287 */

													BgL_res1984z00_2152 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2129,
															(int) (BgL_modz00_2132)),
														(int) (BgL_restz00_2134));
					}}}}}}}}
					BgL_method1303z00_895 = BgL_res1984z00_2152;
				}
				return
					PROCEDURE_ENTRY(BgL_method1303z00_895) (BgL_method1303z00_895,
					((obj_t) BgL_ez00_66), BgL_varsz00_67, BgL_lblsz00_68, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3093,
		obj_t BgL_ez00_3094, obj_t BgL_varsz00_3095, obj_t BgL_lblsz00_3096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 287 */
			{	/* Eval/evaluate_fsize.scm 287 */
				BgL_ev_exprz00_bglt BgL_auxz00_3731;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3094,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 287 */
						BgL_auxz00_3731 = ((BgL_ev_exprz00_bglt) BgL_ez00_3094);
					}
				else
					{
						obj_t BgL_auxz00_3735;

						BgL_auxz00_3735 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 8057)),
							BGl_string2138z00zz__evaluate_fsiza7eza7,
							BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3094);
						FAILURE(BgL_auxz00_3735, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3731,
					BgL_varsz00_3095, BgL_lblsz00_3096);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_114,
		BgL_ev_varz00_bglt BgL_vz00_115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{	/* Eval/evaluate_fsize.scm 376 */
				obj_t BgL_method1335z00_896;

				{	/* Eval/evaluate_fsize.scm 376 */
					obj_t BgL_res1991z00_2181;

					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_objectz00_bglt BgL_objz00_2153;

						BgL_objz00_2153 = ((BgL_objectz00_bglt) BgL_ez00_114);
						{	/* Eval/evaluate_fsize.scm 376 */
							long BgL_objzd2classzd2numz00_2154;

							{	/* Eval/evaluate_fsize.scm 376 */
								long BgL_res1985z00_2157;

								BgL_res1985z00_2157 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2153);
								BgL_objzd2classzd2numz00_2154 = BgL_res1985z00_2157;
							}
							{	/* Eval/evaluate_fsize.scm 376 */
								obj_t BgL_arg1947z00_2155;

								BgL_arg1947z00_2155 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 376 */
									obj_t BgL_arrayz00_2158;
									int BgL_offsetz00_2159;

									BgL_arrayz00_2158 = BgL_arg1947z00_2155;
									BgL_offsetz00_2159 = (int) (BgL_objzd2classzd2numz00_2154);
									{	/* Eval/evaluate_fsize.scm 376 */
										long BgL_offsetz00_2160;

										BgL_offsetz00_2160 =
											((long) (BgL_offsetz00_2159) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 376 */
											long BgL_modz00_2161;

											{	/* Eval/evaluate_fsize.scm 376 */
												int BgL_arg1949z00_2162;

												BgL_arg1949z00_2162 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 376 */
													long BgL_res1988z00_2172;

													{	/* Eval/evaluate_fsize.scm 376 */
														long BgL_auxz00_3748;

														BgL_auxz00_3748 = (long) (BgL_arg1949z00_2162);
														BgL_res1988z00_2172 =
															(BgL_offsetz00_2160 / BgL_auxz00_3748);
													}
													BgL_modz00_2161 = BgL_res1988z00_2172;
											}}
											{	/* Eval/evaluate_fsize.scm 376 */
												long BgL_restz00_2163;

												{	/* Eval/evaluate_fsize.scm 376 */
													int BgL_arg1948z00_2164;

													BgL_arg1948z00_2164 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 376 */
														long BgL_res1990z00_2176;

														{	/* Eval/evaluate_fsize.scm 376 */
															long BgL_auxz00_3752;

															BgL_auxz00_3752 = (long) (BgL_arg1948z00_2164);
															BgL_res1990z00_2176 =
																(BgL_offsetz00_2160 % BgL_auxz00_3752);
														}
														BgL_restz00_2163 = BgL_res1990z00_2176;
												}}
												{	/* Eval/evaluate_fsize.scm 376 */

													BgL_res1991z00_2181 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2158,
															(int) (BgL_modz00_2161)),
														(int) (BgL_restz00_2163));
					}}}}}}}}
					BgL_method1335z00_896 = BgL_res1991z00_2181;
				}
				return
					PROCEDURE_ENTRY(BgL_method1335z00_896) (BgL_method1335z00_896,
					((obj_t) BgL_ez00_114), ((obj_t) BgL_vz00_115), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3097,
		obj_t BgL_ez00_3098, obj_t BgL_vz00_3099)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 376 */
			{	/* Eval/evaluate_fsize.scm 376 */
				BgL_ev_varz00_bglt BgL_auxz00_3774;
				BgL_ev_exprz00_bglt BgL_auxz00_3766;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3099,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_auxz00_3774 = ((BgL_ev_varz00_bglt) BgL_vz00_3099);
					}
				else
					{
						obj_t BgL_auxz00_3778;

						BgL_auxz00_3778 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 10756)),
							BGl_string2139z00zz__evaluate_fsiza7eza7,
							BGl_string2140z00zz__evaluate_fsiza7eza7, BgL_vz00_3099);
						FAILURE(BgL_auxz00_3778, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3098,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 376 */
						BgL_auxz00_3766 = ((BgL_ev_exprz00_bglt) BgL_ez00_3098);
					}
				else
					{
						obj_t BgL_auxz00_3770;

						BgL_auxz00_3770 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 10756)),
							BGl_string2139z00zz__evaluate_fsiza7eza7,
							BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3098);
						FAILURE(BgL_auxz00_3770, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_3766,
					BgL_auxz00_3774);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_152, BgL_ev_varz00_bglt BgL_vz00_153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 460 */
				obj_t BgL_method1373z00_897;

				{	/* Eval/evaluate_fsize.scm 460 */
					obj_t BgL_res1998z00_2210;

					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_objectz00_bglt BgL_objz00_2182;

						BgL_objz00_2182 = ((BgL_objectz00_bglt) BgL_ez00_152);
						{	/* Eval/evaluate_fsize.scm 460 */
							long BgL_objzd2classzd2numz00_2183;

							{	/* Eval/evaluate_fsize.scm 460 */
								long BgL_res1992z00_2186;

								BgL_res1992z00_2186 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2182);
								BgL_objzd2classzd2numz00_2183 = BgL_res1992z00_2186;
							}
							{	/* Eval/evaluate_fsize.scm 460 */
								obj_t BgL_arg1947z00_2184;

								BgL_arg1947z00_2184 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 460 */
									obj_t BgL_arrayz00_2187;
									int BgL_offsetz00_2188;

									BgL_arrayz00_2187 = BgL_arg1947z00_2184;
									BgL_offsetz00_2188 = (int) (BgL_objzd2classzd2numz00_2183);
									{	/* Eval/evaluate_fsize.scm 460 */
										long BgL_offsetz00_2189;

										BgL_offsetz00_2189 =
											((long) (BgL_offsetz00_2188) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 460 */
											long BgL_modz00_2190;

											{	/* Eval/evaluate_fsize.scm 460 */
												int BgL_arg1949z00_2191;

												BgL_arg1949z00_2191 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 460 */
													long BgL_res1995z00_2201;

													{	/* Eval/evaluate_fsize.scm 460 */
														long BgL_auxz00_3791;

														BgL_auxz00_3791 = (long) (BgL_arg1949z00_2191);
														BgL_res1995z00_2201 =
															(BgL_offsetz00_2189 / BgL_auxz00_3791);
													}
													BgL_modz00_2190 = BgL_res1995z00_2201;
											}}
											{	/* Eval/evaluate_fsize.scm 460 */
												long BgL_restz00_2192;

												{	/* Eval/evaluate_fsize.scm 460 */
													int BgL_arg1948z00_2193;

													BgL_arg1948z00_2193 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 460 */
														long BgL_res1997z00_2205;

														{	/* Eval/evaluate_fsize.scm 460 */
															long BgL_auxz00_3795;

															BgL_auxz00_3795 = (long) (BgL_arg1948z00_2193);
															BgL_res1997z00_2205 =
																(BgL_offsetz00_2189 % BgL_auxz00_3795);
														}
														BgL_restz00_2192 = BgL_res1997z00_2205;
												}}
												{	/* Eval/evaluate_fsize.scm 460 */

													BgL_res1998z00_2210 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2187,
															(int) (BgL_modz00_2190)),
														(int) (BgL_restz00_2192));
					}}}}}}}}
					BgL_method1373z00_897 = BgL_res1998z00_2210;
				}
				return
					PROCEDURE_ENTRY(BgL_method1373z00_897) (BgL_method1373z00_897,
					((obj_t) BgL_ez00_152), ((obj_t) BgL_vz00_153), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3100,
		obj_t BgL_ez00_3101, obj_t BgL_vz00_3102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 460 */
			{	/* Eval/evaluate_fsize.scm 460 */
				BgL_ev_varz00_bglt BgL_auxz00_3817;
				BgL_ev_exprz00_bglt BgL_auxz00_3809;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3102,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_auxz00_3817 = ((BgL_ev_varz00_bglt) BgL_vz00_3102);
					}
				else
					{
						obj_t BgL_auxz00_3821;

						BgL_auxz00_3821 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 13484)),
							BGl_string2141z00zz__evaluate_fsiza7eza7,
							BGl_string2140z00zz__evaluate_fsiza7eza7, BgL_vz00_3102);
						FAILURE(BgL_auxz00_3821, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3101,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 460 */
						BgL_auxz00_3809 = ((BgL_ev_exprz00_bglt) BgL_ez00_3101);
					}
				else
					{
						obj_t BgL_auxz00_3813;

						BgL_auxz00_3813 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2110z00zz__evaluate_fsiza7eza7, BINT(((long) 13484)),
							BGl_string2141z00zz__evaluate_fsiza7eza7,
							BGl_string2112z00zz__evaluate_fsiza7eza7, BgL_ez00_3101);
						FAILURE(BgL_auxz00_3813, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_3809,
					BgL_auxz00_3817);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2142z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2144z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2145z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2146z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2147z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2148z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2149z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2150z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2151z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2152z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2153z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2154z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2155z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2156z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2157z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2158z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2159z00zz__evaluate_fsiza7eza7,
				BGl_string2143z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2160z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2161z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2162z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2163z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2164z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2165z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2166z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2167z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2168z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2169z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2170z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2171z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2172z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2173z00zz__evaluate_fsiza7eza7,
				BGl_string2132z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2174z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2175z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2176z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2177z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2179z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2130z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2127z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2209z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2215z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2218z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2208z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1405 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1405z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3183, BgL_ev_absz00_bglt BgL_ez00_3184,
		BgL_ev_varz00_bglt BgL_vz00_3185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 521 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1748;
				BgL_ev_varz00_bglt BgL_vz00_1749;

				BgL_ez00_1748 = BgL_ez00_3184;
				BgL_vz00_1749 = BgL_vz00_3185;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1748))->BgL_bodyz00),
					BgL_vz00_1749);
			}
		}
	}



/* &hasvar?-ev_app1403 */
	obj_t BGl_z62hasvarzf3zd2ev_app1403z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3186, BgL_ev_appz00_bglt BgL_ez00_3187,
		BgL_ev_varz00_bglt BgL_vz00_3188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 517 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1731;
				BgL_ev_varz00_bglt BgL_vz00_1732;

				BgL_ez00_1731 = BgL_ez00_3187;
				BgL_vz00_1732 = BgL_vz00_3188;
				{	/* Eval/evaluate_fsize.scm 519 */
					obj_t BgL__ortest_1161z00_1736;

					BgL__ortest_1161z00_1736 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1731))->BgL_funz00),
						BgL_vz00_1732);
					if (CBOOL(BgL__ortest_1161z00_1736))
						{	/* Eval/evaluate_fsize.scm 519 */
							return BgL__ortest_1161z00_1736;
						}
					else
						{	/* Eval/evaluate_fsize.scm 519 */
							obj_t BgL_g1225z00_1737;

							BgL_g1225z00_1737 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1731))->BgL_argsz00);
							{
								obj_t BgL_l1223z00_1739;

								{	/* Eval/evaluate_fsize.scm 519 */
									bool_t BgL_auxz00_3913;

									BgL_l1223z00_1739 = BgL_g1225z00_1737;
								BgL_zc3anonymousza31745ze3z83_1740:
									if (NULLP(BgL_l1223z00_1739))
										{	/* Eval/evaluate_fsize.scm 519 */
											BgL_auxz00_3913 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 519 */
											bool_t BgL_testz00_3916;

											{	/* Eval/evaluate_fsize.scm 519 */
												obj_t BgL_ez00_1744;

												BgL_ez00_1744 = CAR(BgL_l1223z00_1739);
												BgL_testz00_3916 =
													CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
														((BgL_ev_exprz00_bglt) BgL_ez00_1744),
														BgL_vz00_1732));
											}
											if (BgL_testz00_3916)
												{	/* Eval/evaluate_fsize.scm 519 */
													BgL_auxz00_3913 = ((bool_t) 1);
												}
											else
												{
													obj_t BgL_l1223z00_3921;

													BgL_l1223z00_3921 = CDR(BgL_l1223z00_1739);
													BgL_l1223z00_1739 = BgL_l1223z00_3921;
													goto BgL_zc3anonymousza31745ze3z83_1740;
												}
										}
									return BBOOL(BgL_auxz00_3913);
								}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1401 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1401z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3189, BgL_ev_gotoz00_bglt BgL_ez00_3190,
		BgL_ev_varz00_bglt BgL_vz00_3191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 513 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1716;
				BgL_ev_varz00_bglt BgL_vz00_1717;

				{	/* Eval/evaluate_fsize.scm 514 */
					bool_t BgL_auxz00_3924;

					BgL_ez00_1716 = BgL_ez00_3190;
					BgL_vz00_1717 = BgL_vz00_3191;
					{	/* Eval/evaluate_fsize.scm 515 */
						obj_t BgL_g1222z00_1721;

						BgL_g1222z00_1721 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1716))->BgL_argsz00);
						{
							obj_t BgL_l1220z00_1723;

							BgL_l1220z00_1723 = BgL_g1222z00_1721;
						BgL_zc3anonymousza31741ze3z83_1724:
							if (NULLP(BgL_l1220z00_1723))
								{	/* Eval/evaluate_fsize.scm 515 */
									BgL_auxz00_3924 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 515 */
									bool_t BgL_testz00_3928;

									{	/* Eval/evaluate_fsize.scm 515 */
										obj_t BgL_ez00_1728;

										BgL_ez00_1728 = CAR(BgL_l1220z00_1723);
										BgL_testz00_3928 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1728), BgL_vz00_1717));
									}
									if (BgL_testz00_3928)
										{	/* Eval/evaluate_fsize.scm 515 */
											BgL_auxz00_3924 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1220z00_3933;

											BgL_l1220z00_3933 = CDR(BgL_l1220z00_1723);
											BgL_l1220z00_1723 = BgL_l1220z00_3933;
											goto BgL_zc3anonymousza31741ze3z83_1724;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3924);
				}
			}
		}
	}



/* &hasvar?-ev_labels1399 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1399z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3192, BgL_ev_labelsz00_bglt BgL_ez00_3193,
		BgL_ev_varz00_bglt BgL_vz00_3194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 508 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1698;
				BgL_ev_varz00_bglt BgL_vz00_1699;

				BgL_ez00_1698 = BgL_ez00_3193;
				BgL_vz00_1699 = BgL_vz00_3194;
				{	/* Eval/evaluate_fsize.scm 510 */
					bool_t BgL__ortest_1158z00_1703;

					{	/* Eval/evaluate_fsize.scm 510 */
						obj_t BgL_g1219z00_1705;

						BgL_g1219z00_1705 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1698))->BgL_valsz00);
						{
							obj_t BgL_l1217z00_1707;

							BgL_l1217z00_1707 = BgL_g1219z00_1705;
						BgL_zc3anonymousza31736ze3z83_1708:
							if (NULLP(BgL_l1217z00_1707))
								{	/* Eval/evaluate_fsize.scm 510 */
									BgL__ortest_1158z00_1703 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 510 */
									bool_t BgL_testz00_3939;

									{	/* Eval/evaluate_fsize.scm 510 */
										obj_t BgL_ez00_1712;

										BgL_ez00_1712 = CAR(BgL_l1217z00_1707);
										{	/* Eval/evaluate_fsize.scm 510 */
											obj_t BgL_arg1740z00_1713;

											BgL_arg1740z00_1713 = CDR(BgL_ez00_1712);
											BgL_testz00_3939 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg1740z00_1713),
													BgL_vz00_1699));
										}
									}
									if (BgL_testz00_3939)
										{	/* Eval/evaluate_fsize.scm 510 */
											BgL__ortest_1158z00_1703 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1217z00_3945;

											BgL_l1217z00_3945 = CDR(BgL_l1217z00_1707);
											BgL_l1217z00_1707 = BgL_l1217z00_3945;
											goto BgL_zc3anonymousza31736ze3z83_1708;
										}
								}
						}
					}
					if (BgL__ortest_1158z00_1703)
						{	/* Eval/evaluate_fsize.scm 510 */
							return BBOOL(BgL__ortest_1158z00_1703);
						}
					else
						{	/* Eval/evaluate_fsize.scm 510 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1698))->BgL_bodyz00),
								BgL_vz00_1699);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1397 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1397z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3195, BgL_ev_binderz00_bglt BgL_ez00_3196,
		BgL_ev_varz00_bglt BgL_vz00_3197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 503 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1681;
				BgL_ev_varz00_bglt BgL_vz00_1682;

				BgL_ez00_1681 = BgL_ez00_3196;
				BgL_vz00_1682 = BgL_vz00_3197;
				{	/* Eval/evaluate_fsize.scm 505 */
					bool_t BgL__ortest_1156z00_1686;

					{	/* Eval/evaluate_fsize.scm 505 */
						obj_t BgL_g1216z00_1688;

						BgL_g1216z00_1688 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1681))->BgL_valsz00);
						{
							obj_t BgL_l1214z00_1690;

							BgL_l1214z00_1690 = BgL_g1216z00_1688;
						BgL_zc3anonymousza31731ze3z83_1691:
							if (NULLP(BgL_l1214z00_1690))
								{	/* Eval/evaluate_fsize.scm 505 */
									BgL__ortest_1156z00_1686 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 505 */
									bool_t BgL_testz00_3954;

									{	/* Eval/evaluate_fsize.scm 505 */
										obj_t BgL_ez00_1695;

										BgL_ez00_1695 = CAR(BgL_l1214z00_1690);
										BgL_testz00_3954 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1695), BgL_vz00_1682));
									}
									if (BgL_testz00_3954)
										{	/* Eval/evaluate_fsize.scm 505 */
											BgL__ortest_1156z00_1686 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1214z00_3959;

											BgL_l1214z00_3959 = CDR(BgL_l1214z00_1690);
											BgL_l1214z00_1690 = BgL_l1214z00_3959;
											goto BgL_zc3anonymousza31731ze3z83_1691;
										}
								}
						}
					}
					if (BgL__ortest_1156z00_1686)
						{	/* Eval/evaluate_fsize.scm 505 */
							return BBOOL(BgL__ortest_1156z00_1686);
						}
					else
						{	/* Eval/evaluate_fsize.scm 505 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1681))->BgL_bodyz00),
								BgL_vz00_1682);
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1395 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1395z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3198, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3199,
		BgL_ev_varz00_bglt BgL_vz00_3200)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 499 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1672;
				BgL_ev_varz00_bglt BgL_vz00_1673;

				BgL_ez00_1672 = BgL_ez00_3199;
				BgL_vz00_1673 = BgL_vz00_3200;
				{	/* Eval/evaluate_fsize.scm 500 */
					obj_t BgL__ortest_1154z00_2789;

					BgL__ortest_1154z00_2789 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1672))->
							BgL_handlerz00), BgL_vz00_1673);
					if (CBOOL(BgL__ortest_1154z00_2789))
						{	/* Eval/evaluate_fsize.scm 500 */
							return BgL__ortest_1154z00_2789;
						}
					else
						{	/* Eval/evaluate_fsize.scm 500 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1672))->
									BgL_bodyz00), BgL_vz00_1673);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1393 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1393z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3201, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3202,
		BgL_ev_varz00_bglt BgL_vz00_3203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 495 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1663;
				BgL_ev_varz00_bglt BgL_vz00_1664;

				BgL_ez00_1663 = BgL_ez00_3202;
				BgL_vz00_1664 = BgL_vz00_3203;
				{	/* Eval/evaluate_fsize.scm 496 */
					obj_t BgL__ortest_1152z00_2785;

					BgL__ortest_1152z00_2785 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1663))->BgL_ez00),
						BgL_vz00_1664);
					if (CBOOL(BgL__ortest_1152z00_2785))
						{	/* Eval/evaluate_fsize.scm 496 */
							return BgL__ortest_1152z00_2785;
						}
					else
						{	/* Eval/evaluate_fsize.scm 496 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1663))->
									BgL_bodyz00), BgL_vz00_1664);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1391 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1391z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3204, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3205,
		BgL_ev_varz00_bglt BgL_vz00_3206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 491 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1656;
				BgL_ev_varz00_bglt BgL_vz00_1657;

				BgL_ez00_1656 = BgL_ez00_3205;
				BgL_vz00_1657 = BgL_vz00_3206;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1656))->BgL_bodyz00),
					BgL_vz00_1657);
			}
		}
	}



/* &hasvar?-ev_setlocal1389 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1389z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3207, BgL_ev_setlocalz00_bglt BgL_ez00_3208,
		BgL_ev_varz00_bglt BgL_varz00_3209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 487 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1647;
				BgL_ev_varz00_bglt BgL_varz00_1648;

				BgL_ez00_1647 = BgL_ez00_3208;
				BgL_varz00_1648 = BgL_varz00_3209;
				{	/* Eval/evaluate_fsize.scm 488 */
					bool_t BgL__ortest_1149z00_2779;

					BgL__ortest_1149z00_2779 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1647))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1648));
					if (BgL__ortest_1149z00_2779)
						{	/* Eval/evaluate_fsize.scm 488 */
							return BBOOL(BgL__ortest_1149z00_2779);
						}
					else
						{	/* Eval/evaluate_fsize.scm 488 */
							BgL_ev_exprz00_bglt BgL_arg1722z00_2781;

							BgL_arg1722z00_2781 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1647)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1722z00_2781,
								BgL_varz00_1648);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1387 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1387z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3210, BgL_ev_hookz00_bglt BgL_ez00_3211,
		BgL_ev_varz00_bglt BgL_vz00_3212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 483 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1640;
				BgL_ev_varz00_bglt BgL_vz00_1641;

				BgL_ez00_1640 = BgL_ez00_3211;
				BgL_vz00_1641 = BgL_vz00_3212;
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1640))->BgL_ez00),
					BgL_vz00_1641);
			}
		}
	}



/* &hasvar?-ev_prog21385 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21385z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3213, BgL_ev_prog2z00_bglt BgL_ez00_3214,
		BgL_ev_varz00_bglt BgL_vz00_3215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 479 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1631;
				BgL_ev_varz00_bglt BgL_vz00_1632;

				BgL_ez00_1631 = BgL_ez00_3214;
				BgL_vz00_1632 = BgL_vz00_3215;
				{	/* Eval/evaluate_fsize.scm 480 */
					obj_t BgL__ortest_1146z00_2773;

					BgL__ortest_1146z00_2773 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1631))->BgL_e1z00),
						BgL_vz00_1632);
					if (CBOOL(BgL__ortest_1146z00_2773))
						{	/* Eval/evaluate_fsize.scm 480 */
							return BgL__ortest_1146z00_2773;
						}
					else
						{	/* Eval/evaluate_fsize.scm 480 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1631))->BgL_e2z00),
								BgL_vz00_1632);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1383 */
	obj_t BGl_z62hasvarzf3zd2ev_list1383z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3216, BgL_ev_listz00_bglt BgL_ez00_3217,
		BgL_ev_varz00_bglt BgL_vz00_3218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 475 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1616;
				BgL_ev_varz00_bglt BgL_vz00_1617;

				{	/* Eval/evaluate_fsize.scm 476 */
					bool_t BgL_auxz00_3996;

					BgL_ez00_1616 = BgL_ez00_3217;
					BgL_vz00_1617 = BgL_vz00_3218;
					{	/* Eval/evaluate_fsize.scm 477 */
						obj_t BgL_g1213z00_1621;

						BgL_g1213z00_1621 =
							(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1616))->BgL_argsz00);
						{
							obj_t BgL_l1211z00_1623;

							BgL_l1211z00_1623 = BgL_g1213z00_1621;
						BgL_zc3anonymousza31714ze3z83_1624:
							if (NULLP(BgL_l1211z00_1623))
								{	/* Eval/evaluate_fsize.scm 477 */
									BgL_auxz00_3996 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 477 */
									bool_t BgL_testz00_4000;

									{	/* Eval/evaluate_fsize.scm 477 */
										obj_t BgL_az00_1628;

										BgL_az00_1628 = CAR(BgL_l1211z00_1623);
										BgL_testz00_4000 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_az00_1628), BgL_vz00_1617));
									}
									if (BgL_testz00_4000)
										{	/* Eval/evaluate_fsize.scm 477 */
											BgL_auxz00_3996 = ((bool_t) 1);
										}
									else
										{
											obj_t BgL_l1211z00_4005;

											BgL_l1211z00_4005 = CDR(BgL_l1211z00_1623);
											BgL_l1211z00_1623 = BgL_l1211z00_4005;
											goto BgL_zc3anonymousza31714ze3z83_1624;
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3996);
				}
			}
		}
	}



/* &hasvar?-ev_if1381 */
	obj_t BGl_z62hasvarzf3zd2ev_if1381z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3219, BgL_ev_ifz00_bglt BgL_ez00_3220,
		BgL_ev_varz00_bglt BgL_vz00_3221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 471 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1605;
				BgL_ev_varz00_bglt BgL_vz00_1606;

				BgL_ez00_1605 = BgL_ez00_3220;
				BgL_vz00_1606 = BgL_vz00_3221;
				{	/* Eval/evaluate_fsize.scm 472 */
					obj_t BgL__ortest_1142z00_2763;

					BgL__ortest_1142z00_2763 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1605))->BgL_pz00),
						BgL_vz00_1606);
					if (CBOOL(BgL__ortest_1142z00_2763))
						{	/* Eval/evaluate_fsize.scm 472 */
							return BgL__ortest_1142z00_2763;
						}
					else
						{	/* Eval/evaluate_fsize.scm 472 */
							obj_t BgL__ortest_1143z00_2765;

							BgL__ortest_1143z00_2765 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1605))->BgL_tz00),
								BgL_vz00_1606);
							if (CBOOL(BgL__ortest_1143z00_2765))
								{	/* Eval/evaluate_fsize.scm 472 */
									return BgL__ortest_1143z00_2765;
								}
							else
								{	/* Eval/evaluate_fsize.scm 472 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1605))->BgL_ez00),
										BgL_vz00_1606);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1379 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1379z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3222, BgL_ev_littz00_bglt BgL_ez00_3223,
		BgL_ev_varz00_bglt BgL_vz00_3224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 468 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1377 */
	obj_t BGl_z62hasvarzf3zd2ev_global1377z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3225, BgL_ev_globalz00_bglt BgL_ez00_3226,
		BgL_ev_varz00_bglt BgL_vz00_3227)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 465 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1375 */
	obj_t BGl_z62hasvarzf3zd2ev_var1375z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3228, BgL_ev_varz00_bglt BgL_ez00_3229,
		BgL_ev_varz00_bglt BgL_vz00_3230)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 462 */
			return BBOOL((((obj_t) BgL_ez00_3229) == ((obj_t) BgL_vz00_3230)));
		}
	}



/* &tailpos-ev_abs1371 */
	obj_t BGl_z62tailposzd2ev_abs1371zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3231, BgL_ev_absz00_bglt BgL_ez00_3232,
		BgL_ev_varz00_bglt BgL_vz00_3233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 454 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1582;
				BgL_ev_varz00_bglt BgL_vz00_1583;

				{	/* Eval/evaluate_fsize.scm 455 */
					bool_t BgL_auxz00_4024;

					BgL_ez00_1582 = BgL_ez00_3232;
					BgL_vz00_1583 = BgL_vz00_3233;
					{	/* Eval/evaluate_fsize.scm 455 */
						bool_t BgL_testz00_4025;

						{	/* Eval/evaluate_fsize.scm 455 */
							BgL_ev_exprz00_bglt BgL_arg1710z00_2761;

							BgL_arg1710z00_2761 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1582))->BgL_bodyz00);
							BgL_testz00_4025 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1710z00_2761, BgL_vz00_1583));
						}
						if (BgL_testz00_4025)
							{	/* Eval/evaluate_fsize.scm 455 */
								BgL_auxz00_4024 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 455 */
								BgL_auxz00_4024 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4024);
				}
			}
		}
	}



/* &tailpos-ev_app1369 */
	obj_t BGl_z62tailposzd2ev_app1369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3234, BgL_ev_appz00_bglt BgL_ez00_3235,
		BgL_ev_varz00_bglt BgL_vz00_3236)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 448 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1561;
				BgL_ev_varz00_bglt BgL_vz00_1562;

				{	/* Eval/evaluate_fsize.scm 449 */
					bool_t BgL_auxz00_4030;

					BgL_ez00_1561 = BgL_ez00_3235;
					BgL_vz00_1562 = BgL_vz00_3236;
					{	/* Eval/evaluate_fsize.scm 450 */
						bool_t BgL_testz00_4031;

						{	/* Eval/evaluate_fsize.scm 450 */
							obj_t BgL_g1210z00_1571;

							BgL_g1210z00_1571 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1561))->BgL_argsz00);
							{
								obj_t BgL_l1208z00_1573;

								BgL_l1208z00_1573 = BgL_g1210z00_1571;
							BgL_zc3anonymousza31704ze3z83_1574:
								if (NULLP(BgL_l1208z00_1573))
									{	/* Eval/evaluate_fsize.scm 450 */
										BgL_testz00_4031 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 450 */
										bool_t BgL_testz00_4035;

										{	/* Eval/evaluate_fsize.scm 450 */
											bool_t BgL_testz00_4036;

											{	/* Eval/evaluate_fsize.scm 450 */
												obj_t BgL_auxz00_4037;

												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_ev_exprz00_bglt BgL_auxz00_4038;

													{	/* Eval/evaluate_fsize.scm 450 */
														obj_t BgL_pairz00_2757;

														BgL_pairz00_2757 = BgL_l1208z00_1573;
														BgL_auxz00_4038 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2757));
													}
													BgL_auxz00_4037 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_4038, BgL_vz00_1562);
												}
												BgL_testz00_4036 = CBOOL(BgL_auxz00_4037);
											}
											if (BgL_testz00_4036)
												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_testz00_4035 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 450 */
													BgL_testz00_4035 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_4035)
											{
												obj_t BgL_l1208z00_4043;

												BgL_l1208z00_4043 = CDR(BgL_l1208z00_1573);
												BgL_l1208z00_1573 = BgL_l1208z00_4043;
												goto BgL_zc3anonymousza31704ze3z83_1574;
											}
										else
											{	/* Eval/evaluate_fsize.scm 450 */
												BgL_testz00_4031 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4031)
							{	/* Eval/evaluate_fsize.scm 451 */
								bool_t BgL__ortest_1139z00_1567;

								BgL__ortest_1139z00_1567 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1561))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1562));
								if (BgL__ortest_1139z00_1567)
									{	/* Eval/evaluate_fsize.scm 451 */
										BgL_auxz00_4030 = BgL__ortest_1139z00_1567;
									}
								else
									{	/* Eval/evaluate_fsize.scm 452 */
										bool_t BgL_testz00_4050;

										{	/* Eval/evaluate_fsize.scm 452 */
											BgL_ev_exprz00_bglt BgL_arg1702z00_1569;

											BgL_arg1702z00_1569 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1561))->
												BgL_funz00);
											BgL_testz00_4050 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1702z00_1569, BgL_vz00_1562));
										}
										if (BgL_testz00_4050)
											{	/* Eval/evaluate_fsize.scm 452 */
												BgL_auxz00_4030 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 452 */
												BgL_auxz00_4030 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 450 */
								BgL_auxz00_4030 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4030);
				}
			}
		}
	}



/* &tailpos-ev_goto1367 */
	obj_t BGl_z62tailposzd2ev_goto1367zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3237, BgL_ev_gotoz00_bglt BgL_ez00_3238,
		BgL_ev_varz00_bglt BgL_vz00_3239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 444 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1545;
				BgL_ev_varz00_bglt BgL_vz00_1546;

				{	/* Eval/evaluate_fsize.scm 445 */
					bool_t BgL_auxz00_4055;

					BgL_ez00_1545 = BgL_ez00_3238;
					BgL_vz00_1546 = BgL_vz00_3239;
					{	/* Eval/evaluate_fsize.scm 446 */
						obj_t BgL_g1207z00_1550;

						BgL_g1207z00_1550 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1545))->BgL_argsz00);
						{
							obj_t BgL_l1205z00_1552;

							BgL_l1205z00_1552 = BgL_g1207z00_1550;
						BgL_zc3anonymousza31696ze3z83_1553:
							if (NULLP(BgL_l1205z00_1552))
								{	/* Eval/evaluate_fsize.scm 446 */
									BgL_auxz00_4055 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 446 */
									bool_t BgL_testz00_4059;

									{	/* Eval/evaluate_fsize.scm 446 */
										bool_t BgL_testz00_4060;

										{	/* Eval/evaluate_fsize.scm 446 */
											obj_t BgL_auxz00_4061;

											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_ev_exprz00_bglt BgL_auxz00_4062;

												{	/* Eval/evaluate_fsize.scm 446 */
													obj_t BgL_pairz00_2753;

													BgL_pairz00_2753 = BgL_l1205z00_1552;
													BgL_auxz00_4062 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2753));
												}
												BgL_auxz00_4061 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4062, BgL_vz00_1546);
											}
											BgL_testz00_4060 = CBOOL(BgL_auxz00_4061);
										}
										if (BgL_testz00_4060)
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_testz00_4059 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 446 */
												BgL_testz00_4059 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4059)
										{
											obj_t BgL_l1205z00_4067;

											BgL_l1205z00_4067 = CDR(BgL_l1205z00_1552);
											BgL_l1205z00_1552 = BgL_l1205z00_4067;
											goto BgL_zc3anonymousza31696ze3z83_1553;
										}
									else
										{	/* Eval/evaluate_fsize.scm 446 */
											BgL_auxz00_4055 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4055);
				}
			}
		}
	}



/* &tailpos-ev_labels1365 */
	obj_t BGl_z62tailposzd2ev_labels1365zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3240, BgL_ev_labelsz00_bglt BgL_ez00_3241,
		BgL_ev_varz00_bglt BgL_vz00_3242)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 439 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1527;
				BgL_ev_varz00_bglt BgL_vz00_1528;

				BgL_ez00_1527 = BgL_ez00_3241;
				BgL_vz00_1528 = BgL_vz00_3242;
				{	/* Eval/evaluate_fsize.scm 441 */
					bool_t BgL_testz00_4070;

					{	/* Eval/evaluate_fsize.scm 441 */
						obj_t BgL_g1204z00_1534;

						BgL_g1204z00_1534 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1527))->BgL_valsz00);
						{
							obj_t BgL_l1202z00_1536;

							BgL_l1202z00_1536 = BgL_g1204z00_1534;
						BgL_zc3anonymousza31691ze3z83_1537:
							if (NULLP(BgL_l1202z00_1536))
								{	/* Eval/evaluate_fsize.scm 441 */
									BgL_testz00_4070 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 441 */
									bool_t BgL_testz00_4074;

									{	/* Eval/evaluate_fsize.scm 441 */
										obj_t BgL_ez00_1541;

										BgL_ez00_1541 = CAR(BgL_l1202z00_1536);
										{	/* Eval/evaluate_fsize.scm 441 */
											obj_t BgL_arg1695z00_1542;

											BgL_arg1695z00_1542 = CDR(BgL_ez00_1541);
											BgL_testz00_4074 =
												CBOOL(BGl_tailposz00zz__evaluate_fsiza7eza7(
													((BgL_ev_exprz00_bglt) BgL_arg1695z00_1542),
													BgL_vz00_1528));
										}
									}
									if (BgL_testz00_4074)
										{
											obj_t BgL_l1202z00_4080;

											BgL_l1202z00_4080 = CDR(BgL_l1202z00_1536);
											BgL_l1202z00_1536 = BgL_l1202z00_4080;
											goto BgL_zc3anonymousza31691ze3z83_1537;
										}
									else
										{	/* Eval/evaluate_fsize.scm 441 */
											BgL_testz00_4070 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4070)
						{	/* Eval/evaluate_fsize.scm 441 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1527))->BgL_bodyz00),
								BgL_vz00_1528);
						}
					else
						{	/* Eval/evaluate_fsize.scm 441 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1363 */
	obj_t BGl_z62tailposzd2ev_letrec1363zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3243, BgL_ev_letrecz00_bglt BgL_ez00_3244,
		BgL_ev_varz00_bglt BgL_vz00_3245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 434 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1509;
				BgL_ev_varz00_bglt BgL_vz00_1510;

				BgL_ez00_1509 = BgL_ez00_3244;
				BgL_vz00_1510 = BgL_vz00_3245;
				{	/* Eval/evaluate_fsize.scm 436 */
					bool_t BgL_testz00_4084;

					{	/* Eval/evaluate_fsize.scm 436 */
						obj_t BgL_g1201z00_1516;

						BgL_g1201z00_1516 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1509)))->BgL_valsz00);
						{
							obj_t BgL_l1199z00_1518;

							BgL_l1199z00_1518 = BgL_g1201z00_1516;
						BgL_zc3anonymousza31685ze3z83_1519:
							if (NULLP(BgL_l1199z00_1518))
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4084 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 436 */
									bool_t BgL_testz00_4089;

									{	/* Eval/evaluate_fsize.scm 436 */
										bool_t BgL_testz00_4090;

										{	/* Eval/evaluate_fsize.scm 436 */
											obj_t BgL_auxz00_4091;

											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_ev_exprz00_bglt BgL_auxz00_4092;

												{	/* Eval/evaluate_fsize.scm 436 */
													obj_t BgL_pairz00_2744;

													BgL_pairz00_2744 = BgL_l1199z00_1518;
													BgL_auxz00_4092 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2744));
												}
												BgL_auxz00_4091 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4092, BgL_vz00_1510);
											}
											BgL_testz00_4090 = CBOOL(BgL_auxz00_4091);
										}
										if (BgL_testz00_4090)
											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_testz00_4089 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 436 */
												BgL_testz00_4089 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4089)
										{
											obj_t BgL_l1199z00_4097;

											BgL_l1199z00_4097 = CDR(BgL_l1199z00_1518);
											BgL_l1199z00_1518 = BgL_l1199z00_4097;
											goto BgL_zc3anonymousza31685ze3z83_1519;
										}
									else
										{	/* Eval/evaluate_fsize.scm 436 */
											BgL_testz00_4084 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4084)
						{	/* Eval/evaluate_fsize.scm 437 */
							BgL_ev_exprz00_bglt BgL_arg1684z00_1515;

							BgL_arg1684z00_1515 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1509)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1684z00_1515,
								BgL_vz00_1510);
						}
					else
						{	/* Eval/evaluate_fsize.scm 436 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1361 */
	obj_t BGl_z62tailposzd2ev_letza21361z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3246, BgL_ev_letza2za2_bglt BgL_ez00_3247,
		BgL_ev_varz00_bglt BgL_vz00_3248)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 429 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1491;
				BgL_ev_varz00_bglt BgL_vz00_1492;

				BgL_ez00_1491 = BgL_ez00_3247;
				BgL_vz00_1492 = BgL_vz00_3248;
				{	/* Eval/evaluate_fsize.scm 431 */
					bool_t BgL_testz00_4102;

					{	/* Eval/evaluate_fsize.scm 431 */
						obj_t BgL_g1198z00_1498;

						BgL_g1198z00_1498 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1491)))->BgL_valsz00);
						{
							obj_t BgL_l1196z00_1500;

							BgL_l1196z00_1500 = BgL_g1198z00_1498;
						BgL_zc3anonymousza31679ze3z83_1501:
							if (NULLP(BgL_l1196z00_1500))
								{	/* Eval/evaluate_fsize.scm 431 */
									BgL_testz00_4102 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 431 */
									bool_t BgL_testz00_4107;

									{	/* Eval/evaluate_fsize.scm 431 */
										bool_t BgL_testz00_4108;

										{	/* Eval/evaluate_fsize.scm 431 */
											obj_t BgL_auxz00_4109;

											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_ev_exprz00_bglt BgL_auxz00_4110;

												{	/* Eval/evaluate_fsize.scm 431 */
													obj_t BgL_pairz00_2740;

													BgL_pairz00_2740 = BgL_l1196z00_1500;
													BgL_auxz00_4110 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2740));
												}
												BgL_auxz00_4109 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4110, BgL_vz00_1492);
											}
											BgL_testz00_4108 = CBOOL(BgL_auxz00_4109);
										}
										if (BgL_testz00_4108)
											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_testz00_4107 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 431 */
												BgL_testz00_4107 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4107)
										{
											obj_t BgL_l1196z00_4115;

											BgL_l1196z00_4115 = CDR(BgL_l1196z00_1500);
											BgL_l1196z00_1500 = BgL_l1196z00_4115;
											goto BgL_zc3anonymousza31679ze3z83_1501;
										}
									else
										{	/* Eval/evaluate_fsize.scm 431 */
											BgL_testz00_4102 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4102)
						{	/* Eval/evaluate_fsize.scm 432 */
							BgL_ev_exprz00_bglt BgL_arg1678z00_1497;

							BgL_arg1678z00_1497 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1491)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1678z00_1497,
								BgL_vz00_1492);
						}
					else
						{	/* Eval/evaluate_fsize.scm 431 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1359 */
	obj_t BGl_z62tailposzd2ev_let1359zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3249, BgL_ev_letz00_bglt BgL_ez00_3250,
		BgL_ev_varz00_bglt BgL_vz00_3251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 424 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1473;
				BgL_ev_varz00_bglt BgL_vz00_1474;

				BgL_ez00_1473 = BgL_ez00_3250;
				BgL_vz00_1474 = BgL_vz00_3251;
				{	/* Eval/evaluate_fsize.scm 426 */
					bool_t BgL_testz00_4120;

					{	/* Eval/evaluate_fsize.scm 426 */
						obj_t BgL_g1195z00_1480;

						BgL_g1195z00_1480 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1473)))->BgL_valsz00);
						{
							obj_t BgL_l1193z00_1482;

							BgL_l1193z00_1482 = BgL_g1195z00_1480;
						BgL_zc3anonymousza31673ze3z83_1483:
							if (NULLP(BgL_l1193z00_1482))
								{	/* Eval/evaluate_fsize.scm 426 */
									BgL_testz00_4120 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 426 */
									bool_t BgL_testz00_4125;

									{	/* Eval/evaluate_fsize.scm 426 */
										bool_t BgL_testz00_4126;

										{	/* Eval/evaluate_fsize.scm 426 */
											obj_t BgL_auxz00_4127;

											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_ev_exprz00_bglt BgL_auxz00_4128;

												{	/* Eval/evaluate_fsize.scm 426 */
													obj_t BgL_pairz00_2736;

													BgL_pairz00_2736 = BgL_l1193z00_1482;
													BgL_auxz00_4128 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2736));
												}
												BgL_auxz00_4127 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4128, BgL_vz00_1474);
											}
											BgL_testz00_4126 = CBOOL(BgL_auxz00_4127);
										}
										if (BgL_testz00_4126)
											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_testz00_4125 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 426 */
												BgL_testz00_4125 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4125)
										{
											obj_t BgL_l1193z00_4133;

											BgL_l1193z00_4133 = CDR(BgL_l1193z00_1482);
											BgL_l1193z00_1482 = BgL_l1193z00_4133;
											goto BgL_zc3anonymousza31673ze3z83_1483;
										}
									else
										{	/* Eval/evaluate_fsize.scm 426 */
											BgL_testz00_4120 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4120)
						{	/* Eval/evaluate_fsize.scm 427 */
							BgL_ev_exprz00_bglt BgL_arg1672z00_1479;

							BgL_arg1672z00_1479 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1473)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1672z00_1479,
								BgL_vz00_1474);
						}
					else
						{	/* Eval/evaluate_fsize.scm 426 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_with-hand1357 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1357z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3252, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3253,
		BgL_ev_varz00_bglt BgL_vz00_3254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 420 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1462;
				BgL_ev_varz00_bglt BgL_vz00_1463;

				{	/* Eval/evaluate_fsize.scm 421 */
					bool_t BgL_auxz00_4138;

					BgL_ez00_1462 = BgL_ez00_3253;
					BgL_vz00_1463 = BgL_vz00_3254;
					{	/* Eval/evaluate_fsize.scm 421 */
						bool_t BgL_testz00_4139;

						{	/* Eval/evaluate_fsize.scm 421 */
							bool_t BgL_testz00_4140;

							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_ev_exprz00_bglt BgL_arg1671z00_2731;

								BgL_arg1671z00_2731 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1462))->
									BgL_handlerz00);
								BgL_testz00_4140 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1671z00_2731, BgL_vz00_1463));
							}
							if (BgL_testz00_4140)
								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_testz00_4139 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_testz00_4139 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4139)
							{	/* Eval/evaluate_fsize.scm 421 */
								bool_t BgL_testz00_4144;

								{	/* Eval/evaluate_fsize.scm 421 */
									BgL_ev_exprz00_bglt BgL_arg1669z00_2733;

									BgL_arg1669z00_2733 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1462))->
										BgL_bodyz00);
									BgL_testz00_4144 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1669z00_2733, BgL_vz00_1463));
								}
								if (BgL_testz00_4144)
									{	/* Eval/evaluate_fsize.scm 421 */
										BgL_auxz00_4138 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 421 */
										BgL_auxz00_4138 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 421 */
								BgL_auxz00_4138 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4138);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1355 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1355z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3255, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3256,
		BgL_ev_varz00_bglt BgL_vz00_3257)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 416 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1451;
				BgL_ev_varz00_bglt BgL_vz00_1452;

				{	/* Eval/evaluate_fsize.scm 417 */
					bool_t BgL_auxz00_4149;

					BgL_ez00_1451 = BgL_ez00_3256;
					BgL_vz00_1452 = BgL_vz00_3257;
					{	/* Eval/evaluate_fsize.scm 417 */
						bool_t BgL_testz00_4150;

						{	/* Eval/evaluate_fsize.scm 417 */
							bool_t BgL_testz00_4151;

							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_ev_exprz00_bglt BgL_arg1667z00_2725;

								BgL_arg1667z00_2725 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1451))->
									BgL_ez00);
								BgL_testz00_4151 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1667z00_2725, BgL_vz00_1452));
							}
							if (BgL_testz00_4151)
								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_testz00_4150 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_testz00_4150 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4150)
							{	/* Eval/evaluate_fsize.scm 417 */
								bool_t BgL_testz00_4155;

								{	/* Eval/evaluate_fsize.scm 417 */
									BgL_ev_exprz00_bglt BgL_arg1665z00_2727;

									BgL_arg1665z00_2727 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1451))->
										BgL_bodyz00);
									BgL_testz00_4155 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1665z00_2727, BgL_vz00_1452));
								}
								if (BgL_testz00_4155)
									{	/* Eval/evaluate_fsize.scm 417 */
										BgL_auxz00_4149 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 417 */
										BgL_auxz00_4149 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 417 */
								BgL_auxz00_4149 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4149);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1353 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1353z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3258, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3259,
		BgL_ev_varz00_bglt BgL_vz00_3260)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 412 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1443;
				BgL_ev_varz00_bglt BgL_vz00_1444;

				{	/* Eval/evaluate_fsize.scm 413 */
					bool_t BgL_auxz00_4160;

					BgL_ez00_1443 = BgL_ez00_3259;
					BgL_vz00_1444 = BgL_vz00_3260;
					{	/* Eval/evaluate_fsize.scm 413 */
						bool_t BgL_testz00_4161;

						{	/* Eval/evaluate_fsize.scm 413 */
							BgL_ev_exprz00_bglt BgL_arg1663z00_2721;

							BgL_arg1663z00_2721 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1443))->
								BgL_bodyz00);
							BgL_testz00_4161 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1663z00_2721, BgL_vz00_1444));
						}
						if (BgL_testz00_4161)
							{	/* Eval/evaluate_fsize.scm 413 */
								BgL_auxz00_4160 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 413 */
								BgL_auxz00_4160 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4160);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1351 */
	obj_t BGl_z62tailposzd2ev_setlocal1351zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3261, BgL_ev_setlocalz00_bglt BgL_ez00_3262,
		BgL_ev_varz00_bglt BgL_varz00_3263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 408 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1432;
				BgL_ev_varz00_bglt BgL_varz00_1433;

				{	/* Eval/evaluate_fsize.scm 409 */
					bool_t BgL_auxz00_4166;

					BgL_ez00_1432 = BgL_ez00_3262;
					BgL_varz00_1433 = BgL_varz00_3263;
					{	/* Eval/evaluate_fsize.scm 409 */
						bool_t BgL_testz00_4167;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1432))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1433)))
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_testz00_4167 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_testz00_4167 = ((bool_t) 1);
							}
						if (BgL_testz00_4167)
							{	/* Eval/evaluate_fsize.scm 409 */
								bool_t BgL_testz00_4173;

								{	/* Eval/evaluate_fsize.scm 409 */
									BgL_ev_exprz00_bglt BgL_arg1659z00_2718;

									BgL_arg1659z00_2718 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1432)))->BgL_ez00);
									BgL_testz00_4173 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1659z00_2718, BgL_varz00_1433));
								}
								if (BgL_testz00_4173)
									{	/* Eval/evaluate_fsize.scm 409 */
										BgL_auxz00_4166 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 409 */
										BgL_auxz00_4166 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 409 */
								BgL_auxz00_4166 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4166);
				}
			}
		}
	}



/* &tailpos-ev_hook1349 */
	obj_t BGl_z62tailposzd2ev_hook1349zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3264, BgL_ev_hookz00_bglt BgL_ez00_3265,
		BgL_ev_varz00_bglt BgL_vz00_3266)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 404 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1424;
				BgL_ev_varz00_bglt BgL_vz00_1425;

				{	/* Eval/evaluate_fsize.scm 405 */
					bool_t BgL_auxz00_4179;

					BgL_ez00_1424 = BgL_ez00_3265;
					BgL_vz00_1425 = BgL_vz00_3266;
					{	/* Eval/evaluate_fsize.scm 405 */
						bool_t BgL_testz00_4180;

						{	/* Eval/evaluate_fsize.scm 405 */
							BgL_ev_exprz00_bglt BgL_arg1657z00_2712;

							BgL_arg1657z00_2712 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1424))->BgL_ez00);
							BgL_testz00_4180 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1657z00_2712, BgL_vz00_1425));
						}
						if (BgL_testz00_4180)
							{	/* Eval/evaluate_fsize.scm 405 */
								BgL_auxz00_4179 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 405 */
								BgL_auxz00_4179 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4179);
				}
			}
		}
	}



/* &tailpos-ev_prog21347 */
	obj_t BGl_z62tailposzd2ev_prog21347zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3267, BgL_ev_prog2z00_bglt BgL_ez00_3268,
		BgL_ev_varz00_bglt BgL_vz00_3269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 400 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1414;
				BgL_ev_varz00_bglt BgL_vz00_1415;

				BgL_ez00_1414 = BgL_ez00_3268;
				BgL_vz00_1415 = BgL_vz00_3269;
				{	/* Eval/evaluate_fsize.scm 401 */
					bool_t BgL_testz00_4185;

					{	/* Eval/evaluate_fsize.scm 401 */
						bool_t BgL_testz00_4186;

						{	/* Eval/evaluate_fsize.scm 401 */
							BgL_ev_exprz00_bglt BgL_arg1655z00_2708;

							BgL_arg1655z00_2708 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1414))->BgL_e1z00);
							BgL_testz00_4186 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1655z00_2708, BgL_vz00_1415));
						}
						if (BgL_testz00_4186)
							{	/* Eval/evaluate_fsize.scm 401 */
								BgL_testz00_4185 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 401 */
								BgL_testz00_4185 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4185)
						{	/* Eval/evaluate_fsize.scm 401 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1414))->BgL_e2z00),
								BgL_vz00_1415);
						}
					else
						{	/* Eval/evaluate_fsize.scm 401 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1345 */
	obj_t BGl_z62tailposzd2ev_list1345zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3270, BgL_ev_listz00_bglt BgL_ez00_3271,
		BgL_ev_varz00_bglt BgL_vz00_3272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 392 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1396;
				BgL_ev_varz00_bglt BgL_vz00_1397;

				BgL_ez00_1396 = BgL_ez00_3271;
				BgL_vz00_1397 = BgL_vz00_3272;
				{
					obj_t BgL_lz00_1403;

					BgL_lz00_1403 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1396))->BgL_argsz00);
				BgL_zc3anonymousza31644ze3z83_1404:
					if (NULLP(CDR(BgL_lz00_1403)))
						{	/* Eval/evaluate_fsize.scm 396 */
							obj_t BgL_arg1646z00_1406;

							BgL_arg1646z00_1406 = CAR(BgL_lz00_1403);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1646z00_1406), BgL_vz00_1397);
						}
					else
						{	/* Eval/evaluate_fsize.scm 397 */
							bool_t BgL_testz00_4198;

							{	/* Eval/evaluate_fsize.scm 397 */
								bool_t BgL_testz00_4199;

								{	/* Eval/evaluate_fsize.scm 397 */
									obj_t BgL_arg1651z00_1410;

									BgL_arg1651z00_1410 = CAR(BgL_lz00_1403);
									BgL_testz00_4199 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1651z00_1410),
											BgL_vz00_1397));
								}
								if (BgL_testz00_4199)
									{	/* Eval/evaluate_fsize.scm 397 */
										BgL_testz00_4198 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 397 */
										BgL_testz00_4198 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4198)
								{
									obj_t BgL_lz00_4204;

									BgL_lz00_4204 = CDR(BgL_lz00_1403);
									BgL_lz00_1403 = BgL_lz00_4204;
									goto BgL_zc3anonymousza31644ze3z83_1404;
								}
							else
								{	/* Eval/evaluate_fsize.scm 397 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1343 */
	obj_t BGl_z62tailposzd2ev_if1343zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3273, BgL_ev_ifz00_bglt BgL_ez00_3274,
		BgL_ev_varz00_bglt BgL_vz00_3275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 388 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1384;
				BgL_ev_varz00_bglt BgL_vz00_1385;

				BgL_ez00_1384 = BgL_ez00_3274;
				BgL_vz00_1385 = BgL_vz00_3275;
				{	/* Eval/evaluate_fsize.scm 390 */
					bool_t BgL_testz00_4207;

					{	/* Eval/evaluate_fsize.scm 390 */
						bool_t BgL_testz00_4208;

						{	/* Eval/evaluate_fsize.scm 390 */
							BgL_ev_exprz00_bglt BgL_arg1642z00_1394;

							BgL_arg1642z00_1394 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1384))->BgL_pz00);
							BgL_testz00_4208 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1642z00_1394, BgL_vz00_1385));
						}
						if (BgL_testz00_4208)
							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_testz00_4207 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 390 */
								BgL_testz00_4207 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4207)
						{	/* Eval/evaluate_fsize.scm 390 */
							obj_t BgL__andtest_1115z00_1390;

							BgL__andtest_1115z00_1390 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1384))->BgL_tz00),
								BgL_vz00_1385);
							if (CBOOL(BgL__andtest_1115z00_1390))
								{	/* Eval/evaluate_fsize.scm 390 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1384))->BgL_ez00),
										BgL_vz00_1385);
								}
							else
								{	/* Eval/evaluate_fsize.scm 390 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 390 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1341 */
	obj_t BGl_z62tailposzd2ev_litt1341zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3276, BgL_ev_littz00_bglt BgL_ez00_3277,
		BgL_ev_varz00_bglt BgL_vz00_3278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 385 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1339 */
	obj_t BGl_z62tailposzd2ev_global1339zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3279, BgL_ev_globalz00_bglt BgL_ez00_3280,
		BgL_ev_varz00_bglt BgL_vz00_3281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 382 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1337 */
	obj_t BGl_z62tailposzd2ev_var1337zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3282, BgL_ev_varz00_bglt BgL_ez00_3283,
		BgL_ev_varz00_bglt BgL_vz00_3284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 379 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1368;
				BgL_ev_varz00_bglt BgL_vz00_1369;

				{	/* Eval/evaluate_fsize.scm 380 */
					bool_t BgL_auxz00_4220;

					BgL_ez00_1368 = BgL_ez00_3283;
					BgL_vz00_1369 = BgL_vz00_3284;
					if ((((obj_t) BgL_ez00_1368) == ((obj_t) BgL_vz00_1369)))
						{	/* Eval/evaluate_fsize.scm 380 */
							BgL_auxz00_4220 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 380 */
							BgL_auxz00_4220 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4220);
				}
			}
		}
	}



/* &subst_goto-ev_abs1333 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1333zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3285, BgL_ev_absz00_bglt BgL_ez00_3286, obj_t BgL_varsz00_3287,
		obj_t BgL_lblsz00_3288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 367 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1360;
				obj_t BgL_varsz00_1361;
				obj_t BgL_lblsz00_1362;

				BgL_ez00_1360 = BgL_ez00_3286;
				BgL_varsz00_1361 = BgL_varsz00_3287;
				BgL_lblsz00_1362 = BgL_lblsz00_3288;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4226;

					{	/* Eval/evaluate_fsize.scm 368 */
						BgL_ev_exprz00_bglt BgL_arg1635z00_2697;

						BgL_arg1635z00_2697 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1360))->BgL_bodyz00);
						BgL_auxz00_4226 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1635z00_2697,
								BgL_varsz00_1361, BgL_lblsz00_1362));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1360))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4226), BUNSPEC);
				}
				return BgL_ez00_1360;
			}
		}
	}



/* &subst_goto-ev_app1331 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1331zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3289, BgL_ev_appz00_bglt BgL_ez00_3290, obj_t BgL_varsz00_3291,
		obj_t BgL_lblsz00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 359 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1346;
				obj_t BgL_varsz00_1347;
				obj_t BgL_lblsz00_1348;

				BgL_ez00_1346 = BgL_ez00_3290;
				BgL_varsz00_1347 = BgL_varsz00_3291;
				BgL_lblsz00_1348 = BgL_lblsz00_3292;
				{	/* Eval/evaluate_fsize.scm 361 */
					obj_t BgL_arg1630z00_1352;

					BgL_arg1630z00_1352 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1346))->BgL_argsz00);
					{
						obj_t BgL_lz00_2679;

						BgL_lz00_2679 = BgL_arg1630z00_1352;
					BgL_recz00_2678:
						if (NULLP(BgL_lz00_2679))
							{	/* Eval/evaluate_fsize.scm 361 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 361 */
								{	/* Eval/evaluate_fsize.scm 361 */
									obj_t BgL_arg1472z00_2681;

									{	/* Eval/evaluate_fsize.scm 361 */
										obj_t BgL_arg1473z00_2682;

										BgL_arg1473z00_2682 = CAR(BgL_lz00_2679);
										BgL_arg1472z00_2681 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1473z00_2682),
											BgL_varsz00_1347, BgL_lblsz00_1348);
									}
									SET_CAR(BgL_lz00_2679, BgL_arg1472z00_2681);
								}
								{
									obj_t BgL_lz00_4238;

									BgL_lz00_4238 = CDR(BgL_lz00_2679);
									BgL_lz00_2679 = BgL_lz00_4238;
									goto BgL_recz00_2678;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1346))->BgL_funz00)),
							BgL_varsz00_1347)))
					{	/* Eval/evaluate_fsize.scm 363 */
						BgL_ev_gotoz00_bglt BgL_new1111z00_1354;

						{	/* Eval/evaluate_fsize.scm 363 */
							BgL_ev_gotoz00_bglt BgL_new1110z00_1355;

							BgL_new1110z00_1355 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 363 */
								long BgL_arg1632z00_1356;

								{	/* Eval/evaluate_fsize.scm 363 */
									long BgL_res2036z00_2693;

									{	/* Eval/evaluate_fsize.scm 363 */
										obj_t BgL_classz00_2690;

										BgL_classz00_2690 = BGl_ev_gotoz00zz__evaluate_typesz00;
										{	/* Eval/evaluate_fsize.scm 363 */
											obj_t BgL_vectorz00_2691;
											int BgL_kz00_2692;

											BgL_vectorz00_2691 = BgL_classz00_2690;
											BgL_kz00_2692 = (int) (((long) 1));
											BgL_res2036z00_2693 =
												(long) CINT(VECTOR_REF(BgL_vectorz00_2691,
													BgL_kz00_2692));
									}}
									BgL_arg1632z00_1356 = BgL_res2036z00_2693;
								}
								{	/* Eval/evaluate_fsize.scm 363 */
									BgL_objectz00_bglt BgL_objz00_2694;

									BgL_objz00_2694 = ((BgL_objectz00_bglt) BgL_new1110z00_1355);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2694,
										BgL_arg1632z00_1356);
							}}
							{	/* Eval/evaluate_fsize.scm 363 */
								BgL_objectz00_bglt BgL_auxz00_4251;

								BgL_auxz00_4251 = ((BgL_objectz00_bglt) BgL_new1110z00_1355);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4251, BFALSE);
							}
							BgL_new1111z00_1354 = BgL_new1110z00_1355;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1354))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1346))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1354))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1346))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1354))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1348)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1111z00_1354))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1346))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1111z00_1354);
					}
				else
					{	/* Eval/evaluate_fsize.scm 362 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4264;

							{	/* Eval/evaluate_fsize.scm 364 */
								BgL_ev_exprz00_bglt BgL_arg1633z00_1357;

								BgL_arg1633z00_1357 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1346))->BgL_funz00);
								BgL_auxz00_4264 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1633z00_1357,
										BgL_varsz00_1347, BgL_lblsz00_1348));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1346))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4264), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1346);
					}
			}
		}
	}



/* &subst_goto-ev_goto1329 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1329zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3293, BgL_ev_gotoz00_bglt BgL_ez00_3294, obj_t BgL_varsz00_3295,
		obj_t BgL_lblsz00_3296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 354 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1338;
				obj_t BgL_varsz00_1339;
				obj_t BgL_lblsz00_1340;

				BgL_ez00_1338 = BgL_ez00_3294;
				BgL_varsz00_1339 = BgL_varsz00_3295;
				BgL_lblsz00_1340 = BgL_lblsz00_3296;
				{	/* Eval/evaluate_fsize.scm 355 */
					obj_t BgL_arg1629z00_2659;

					BgL_arg1629z00_2659 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1338))->BgL_argsz00);
					{
						obj_t BgL_lz00_2664;

						BgL_lz00_2664 = BgL_arg1629z00_2659;
					BgL_recz00_2663:
						if (NULLP(BgL_lz00_2664))
							{	/* Eval/evaluate_fsize.scm 355 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 355 */
								{	/* Eval/evaluate_fsize.scm 355 */
									obj_t BgL_arg1472z00_2666;

									{	/* Eval/evaluate_fsize.scm 355 */
										obj_t BgL_arg1473z00_2667;

										BgL_arg1473z00_2667 = CAR(BgL_lz00_2664);
										BgL_arg1472z00_2666 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1473z00_2667),
											BgL_varsz00_1339, BgL_lblsz00_1340);
									}
									SET_CAR(BgL_lz00_2664, BgL_arg1472z00_2666);
								}
								{
									obj_t BgL_lz00_4277;

									BgL_lz00_4277 = CDR(BgL_lz00_2664);
									BgL_lz00_2664 = BgL_lz00_4277;
									goto BgL_recz00_2663;
								}
							}
					}
				}
				return BgL_ez00_1338;
			}
		}
	}



/* &subst_goto-ev_labels1327 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1327zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3297, BgL_ev_labelsz00_bglt BgL_ez00_3298,
		obj_t BgL_varsz00_3299, obj_t BgL_lblsz00_3300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 345 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1320;
				obj_t BgL_varsz00_1321;
				obj_t BgL_lblsz00_1322;

				BgL_ez00_1320 = BgL_ez00_3298;
				BgL_varsz00_1321 = BgL_varsz00_3299;
				BgL_lblsz00_1322 = BgL_lblsz00_3300;
				{
					obj_t BgL_lz00_1328;

					BgL_lz00_1328 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1320))->BgL_valsz00);
				BgL_zc3anonymousza31620ze3z83_1329:
					if (NULLP(BgL_lz00_1328))
						{	/* Eval/evaluate_fsize.scm 348 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 348 */
							{	/* Eval/evaluate_fsize.scm 349 */
								obj_t BgL_arg1622z00_1331;
								obj_t BgL_arg1623z00_1332;

								BgL_arg1622z00_1331 = CAR(BgL_lz00_1328);
								{	/* Eval/evaluate_fsize.scm 349 */
									obj_t BgL_arg1624z00_1333;

									{	/* Eval/evaluate_fsize.scm 349 */
										obj_t BgL_pairz00_2651;

										BgL_pairz00_2651 = BgL_lz00_1328;
										BgL_arg1624z00_1333 = CDR(CAR(BgL_pairz00_2651));
									}
									BgL_arg1623z00_1332 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1624z00_1333),
										BgL_varsz00_1321, BgL_lblsz00_1322);
								}
								SET_CDR(BgL_arg1622z00_1331, BgL_arg1623z00_1332);
							}
							{
								obj_t BgL_lz00_4287;

								BgL_lz00_4287 = CDR(BgL_lz00_1328);
								BgL_lz00_1328 = BgL_lz00_4287;
								goto BgL_zc3anonymousza31620ze3z83_1329;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4290;

					{	/* Eval/evaluate_fsize.scm 351 */
						BgL_ev_exprz00_bglt BgL_arg1626z00_1336;

						BgL_arg1626z00_1336 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1320))->BgL_bodyz00);
						BgL_auxz00_4290 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1626z00_1336,
								BgL_varsz00_1321, BgL_lblsz00_1322));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1320))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4290), BUNSPEC);
				}
				return BgL_ez00_1320;
			}
		}
	}



/* &subst_goto-ev_binder1325 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1325zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3301, BgL_ev_binderz00_bglt BgL_ez00_3302,
		obj_t BgL_varsz00_3303, obj_t BgL_lblsz00_3304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 339 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1311;
				obj_t BgL_varsz00_1312;
				obj_t BgL_lblsz00_1313;

				BgL_ez00_1311 = BgL_ez00_3302;
				BgL_varsz00_1312 = BgL_varsz00_3303;
				BgL_lblsz00_1313 = BgL_lblsz00_3304;
				{	/* Eval/evaluate_fsize.scm 340 */
					obj_t BgL_arg1617z00_2631;

					BgL_arg1617z00_2631 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1311))->BgL_valsz00);
					{
						obj_t BgL_lz00_2637;

						BgL_lz00_2637 = BgL_arg1617z00_2631;
					BgL_recz00_2636:
						if (NULLP(BgL_lz00_2637))
							{	/* Eval/evaluate_fsize.scm 340 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 340 */
								{	/* Eval/evaluate_fsize.scm 340 */
									obj_t BgL_arg1472z00_2639;

									{	/* Eval/evaluate_fsize.scm 340 */
										obj_t BgL_arg1473z00_2640;

										BgL_arg1473z00_2640 = CAR(BgL_lz00_2637);
										BgL_arg1472z00_2639 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1473z00_2640),
											BgL_varsz00_1312, BgL_lblsz00_1313);
									}
									SET_CAR(BgL_lz00_2637, BgL_arg1472z00_2639);
								}
								{
									obj_t BgL_lz00_4302;

									BgL_lz00_4302 = CDR(BgL_lz00_2637);
									BgL_lz00_2637 = BgL_lz00_4302;
									goto BgL_recz00_2636;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4304;

					{	/* Eval/evaluate_fsize.scm 340 */
						BgL_ev_exprz00_bglt BgL_arg1618z00_2632;

						BgL_arg1618z00_2632 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1311))->BgL_bodyz00);
						BgL_auxz00_4304 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1618z00_2632,
								BgL_varsz00_1312, BgL_lblsz00_1313));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1311))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4304), BUNSPEC);
				}
				return BgL_ez00_1311;
			}
		}
	}



/* &subst_goto-ev_with-h1323 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1323z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3305, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3306,
		obj_t BgL_varsz00_3307, obj_t BgL_lblsz00_3308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 333 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1302;
				obj_t BgL_varsz00_1303;
				obj_t BgL_lblsz00_1304;

				BgL_ez00_1302 = BgL_ez00_3306;
				BgL_varsz00_1303 = BgL_varsz00_3307;
				BgL_lblsz00_1304 = BgL_lblsz00_3308;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4309;

					{	/* Eval/evaluate_fsize.scm 334 */
						BgL_ev_exprz00_bglt BgL_arg1615z00_2628;

						BgL_arg1615z00_2628 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1302))->
							BgL_handlerz00);
						BgL_auxz00_4309 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1615z00_2628,
								BgL_varsz00_1303, BgL_lblsz00_1304));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1302))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4309), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4314;

					{	/* Eval/evaluate_fsize.scm 334 */
						BgL_ev_exprz00_bglt BgL_arg1616z00_2629;

						BgL_arg1616z00_2629 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1302))->
							BgL_bodyz00);
						BgL_auxz00_4314 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1616z00_2629,
								BgL_varsz00_1303, BgL_lblsz00_1304));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1302))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4314), BUNSPEC);
				}
				return BgL_ez00_1302;
			}
		}
	}



/* &subst_goto-ev_unwind1321 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1321zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3309, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_3310,
		obj_t BgL_varsz00_3311, obj_t BgL_lblsz00_3312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 327 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1293;
				obj_t BgL_varsz00_1294;
				obj_t BgL_lblsz00_1295;

				BgL_exprz00_1293 = BgL_exprz00_3310;
				BgL_varsz00_1294 = BgL_varsz00_3311;
				BgL_lblsz00_1295 = BgL_lblsz00_3312;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4319;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1612z00_2625;

						BgL_arg1612z00_2625 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1293))->
							BgL_ez00);
						BgL_auxz00_4319 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1612z00_2625,
								BgL_varsz00_1294, BgL_lblsz00_1295));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1293))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4319), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4324;

					{	/* Eval/evaluate_fsize.scm 328 */
						BgL_ev_exprz00_bglt BgL_arg1613z00_2626;

						BgL_arg1613z00_2626 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1293))->
							BgL_bodyz00);
						BgL_auxz00_4324 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1613z00_2626,
								BgL_varsz00_1294, BgL_lblsz00_1295));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1293))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4324), BUNSPEC);
				}
				return BgL_exprz00_1293;
			}
		}
	}



/* &subst_goto-ev_bind-e1319 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1319z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3313, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3314,
		obj_t BgL_varsz00_3315, obj_t BgL_lblsz00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 322 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1285;
				obj_t BgL_varsz00_1286;
				obj_t BgL_lblsz00_1287;

				BgL_ez00_1285 = BgL_ez00_3314;
				BgL_varsz00_1286 = BgL_varsz00_3315;
				BgL_lblsz00_1287 = BgL_lblsz00_3316;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4329;

					{	/* Eval/evaluate_fsize.scm 323 */
						BgL_ev_exprz00_bglt BgL_arg1611z00_2623;

						BgL_arg1611z00_2623 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1285))->BgL_bodyz00);
						BgL_auxz00_4329 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1611z00_2623,
								BgL_varsz00_1286, BgL_lblsz00_1287));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1285))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4329), BUNSPEC);
				}
				return BgL_ez00_1285;
			}
		}
	}



/* &subst_goto-ev_hook1317 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1317zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3317, BgL_ev_hookz00_bglt BgL_exprz00_3318,
		obj_t BgL_varsz00_3319, obj_t BgL_lblsz00_3320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 317 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1277;
				obj_t BgL_varsz00_1278;
				obj_t BgL_lblsz00_1279;

				BgL_exprz00_1277 = BgL_exprz00_3318;
				BgL_varsz00_1278 = BgL_varsz00_3319;
				BgL_lblsz00_1279 = BgL_lblsz00_3320;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4334;

					{	/* Eval/evaluate_fsize.scm 318 */
						BgL_ev_exprz00_bglt BgL_arg1610z00_2621;

						BgL_arg1610z00_2621 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1277))->BgL_ez00);
						BgL_auxz00_4334 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1610z00_2621,
								BgL_varsz00_1278, BgL_lblsz00_1279));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1277))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4334), BUNSPEC);
				}
				return BgL_exprz00_1277;
			}
		}
	}



/* &subst_goto-ev_prog21315 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21315zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3321, BgL_ev_prog2z00_bglt BgL_ez00_3322, obj_t BgL_varsz00_3323,
		obj_t BgL_lblsz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 311 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1268;
				obj_t BgL_varsz00_1269;
				obj_t BgL_lblsz00_1270;

				BgL_ez00_1268 = BgL_ez00_3322;
				BgL_varsz00_1269 = BgL_varsz00_3323;
				BgL_lblsz00_1270 = BgL_lblsz00_3324;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4339;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1607z00_2618;

						BgL_arg1607z00_2618 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1268))->BgL_e1z00);
						BgL_auxz00_4339 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1607z00_2618,
								BgL_varsz00_1269, BgL_lblsz00_1270));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1268))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4339), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4344;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1608z00_2619;

						BgL_arg1608z00_2619 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1268))->BgL_e2z00);
						BgL_auxz00_4344 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1608z00_2619,
								BgL_varsz00_1269, BgL_lblsz00_1270));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1268))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4344), BUNSPEC);
				}
				return BgL_ez00_1268;
			}
		}
	}



/* &subst_goto-ev_list1313 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1313zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3325, BgL_ev_listz00_bglt BgL_ez00_3326, obj_t BgL_varsz00_3327,
		obj_t BgL_lblsz00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 306 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1260;
				obj_t BgL_varsz00_1261;
				obj_t BgL_lblsz00_1262;

				BgL_ez00_1260 = BgL_ez00_3326;
				BgL_varsz00_1261 = BgL_varsz00_3327;
				BgL_lblsz00_1262 = BgL_lblsz00_3328;
				{	/* Eval/evaluate_fsize.scm 307 */
					obj_t BgL_arg1606z00_2601;

					BgL_arg1606z00_2601 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1260))->BgL_argsz00);
					{
						obj_t BgL_lz00_2606;

						BgL_lz00_2606 = BgL_arg1606z00_2601;
					BgL_recz00_2605:
						if (NULLP(BgL_lz00_2606))
							{	/* Eval/evaluate_fsize.scm 307 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 307 */
								{	/* Eval/evaluate_fsize.scm 307 */
									obj_t BgL_arg1472z00_2608;

									{	/* Eval/evaluate_fsize.scm 307 */
										obj_t BgL_arg1473z00_2609;

										BgL_arg1473z00_2609 = CAR(BgL_lz00_2606);
										BgL_arg1472z00_2608 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1473z00_2609),
											BgL_varsz00_1261, BgL_lblsz00_1262);
									}
									SET_CAR(BgL_lz00_2606, BgL_arg1472z00_2608);
								}
								{
									obj_t BgL_lz00_4356;

									BgL_lz00_4356 = CDR(BgL_lz00_2606);
									BgL_lz00_2606 = BgL_lz00_4356;
									goto BgL_recz00_2605;
								}
							}
					}
				}
				return BgL_ez00_1260;
			}
		}
	}



/* &subst_goto-ev_if1311 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1311zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3329, BgL_ev_ifz00_bglt BgL_exprz00_3330, obj_t BgL_varsz00_3331,
		obj_t BgL_lblsz00_3332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 299 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1250;
				obj_t BgL_varsz00_1251;
				obj_t BgL_lblsz00_1252;

				BgL_exprz00_1250 = BgL_exprz00_3330;
				BgL_varsz00_1251 = BgL_varsz00_3331;
				BgL_lblsz00_1252 = BgL_lblsz00_3332;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4358;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1602z00_2597;

						BgL_arg1602z00_2597 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1250))->BgL_pz00);
						BgL_auxz00_4358 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1602z00_2597,
								BgL_varsz00_1251, BgL_lblsz00_1252));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1250))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4358), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4363;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1604z00_2598;

						BgL_arg1604z00_2598 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1250))->BgL_tz00);
						BgL_auxz00_4363 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1604z00_2598,
								BgL_varsz00_1251, BgL_lblsz00_1252));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1250))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4363), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4368;

					{	/* Eval/evaluate_fsize.scm 300 */
						BgL_ev_exprz00_bglt BgL_arg1605z00_2599;

						BgL_arg1605z00_2599 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1250))->BgL_ez00);
						BgL_auxz00_4368 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1605z00_2599,
								BgL_varsz00_1251, BgL_lblsz00_1252));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1250))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4368), BUNSPEC);
				}
				return BgL_exprz00_1250;
			}
		}
	}



/* &subst_goto-ev_litt1309 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1309zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3333, BgL_ev_littz00_bglt BgL_ez00_3334, obj_t BgL_varsz00_3335,
		obj_t BgL_lblsz00_3336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 296 */
			return BgL_ez00_3334;
		}
	}



/* &subst_goto-ev_global1307 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1307zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3337, BgL_ev_globalz00_bglt BgL_ez00_3338,
		obj_t BgL_varsz00_3339, obj_t BgL_lblsz00_3340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 293 */
			return BgL_ez00_3338;
		}
	}



/* &subst_goto-ev_var1305 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1305zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3341, BgL_ev_varz00_bglt BgL_ez00_3342, obj_t BgL_varsz00_3343,
		obj_t BgL_lblsz00_3344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 290 */
			return BgL_ez00_3342;
		}
	}



/* &search-letrec-ev_abs1301 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1301z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3345, BgL_ev_absz00_bglt BgL_ez00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 249 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1226;

				BgL_ez00_1226 = BgL_ez00_3346;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4373;

					{	/* Eval/evaluate_fsize.scm 250 */
						BgL_ev_exprz00_bglt BgL_arg1601z00_2595;

						BgL_arg1601z00_2595 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1226))->BgL_bodyz00);
						BgL_auxz00_4373 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1601z00_2595));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1226))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4373), BUNSPEC);
				}
				return BgL_ez00_1226;
			}
		}
	}



/* &search-letrec-ev_app1299 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1299z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3347, BgL_ev_appz00_bglt BgL_ez00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1219;

				BgL_ez00_1219 = BgL_ez00_3348;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4378;

					{	/* Eval/evaluate_fsize.scm 244 */
						BgL_ev_exprz00_bglt BgL_arg1599z00_2592;

						BgL_arg1599z00_2592 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1219))->BgL_funz00);
						BgL_auxz00_4378 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1599z00_2592));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1219))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4378), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1219))->BgL_argsz00));
				return BgL_ez00_1219;
			}
		}
	}



/* &search-letrec-ev_let1297 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1297z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3349, BgL_ev_letrecz00_bglt BgL_ez00_3350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 232 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1205;

				BgL_ez00_1205 = BgL_ez00_3350;
				{	/* Eval/evaluate_fsize.scm 234 */
					obj_t BgL_arg1588z00_1209;

					BgL_arg1588z00_1209 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1588z00_1209);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4388;

					{	/* Eval/evaluate_fsize.scm 235 */
						BgL_ev_exprz00_bglt BgL_arg1589z00_1210;

						BgL_arg1589z00_1210 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_bodyz00);
						BgL_auxz00_4388 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1589z00_1210));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4388), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 239 */
					bool_t BgL_testz00_4395;

					{	/* Eval/evaluate_fsize.scm 236 */
						obj_t BgL_arg1595z00_1215;
						obj_t BgL_arg1596z00_1216;
						BgL_ev_exprz00_bglt BgL_arg1598z00_1217;

						BgL_arg1595z00_1215 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_varsz00);
						BgL_arg1596z00_1216 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_valsz00);
						BgL_arg1598z00_1217 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_bodyz00);
						BgL_testz00_4395 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1595z00_1215,
							BgL_arg1596z00_1216, BgL_arg1598z00_1217);
					}
					if (BgL_testz00_4395)
						{	/* Eval/evaluate_fsize.scm 240 */
							obj_t BgL_arg1590z00_1212;
							obj_t BgL_arg1591z00_1213;
							BgL_ev_exprz00_bglt BgL_arg1592z00_1214;

							BgL_arg1590z00_1212 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_varsz00);
							BgL_arg1591z00_1213 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_valsz00);
							BgL_arg1592z00_1214 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1205)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1590z00_1212, BgL_arg1591z00_1213,
									BgL_arg1592z00_1214));
						}
					else
						{	/* Eval/evaluate_fsize.scm 239 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1205);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1295 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1295z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3351, BgL_ev_binderz00_bglt BgL_ez00_3352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 226 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1198;

				BgL_ez00_1198 = BgL_ez00_3352;
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1198))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4414;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg1587z00_2590;

						BgL_arg1587z00_2590 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1198))->BgL_bodyz00);
						BgL_auxz00_4414 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1587z00_2590));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1198))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4414), BUNSPEC);
				}
				return BgL_ez00_1198;
			}
		}
	}



/* &search-letrec-ev_wit1293 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1293z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3353, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 220 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1191;

				BgL_ez00_1191 = BgL_ez00_3354;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4419;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1584z00_2586;

						BgL_arg1584z00_2586 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1191))->
							BgL_handlerz00);
						BgL_auxz00_4419 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1584z00_2586));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1191))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4419), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4424;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1585z00_2587;

						BgL_arg1585z00_2587 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1191))->
							BgL_bodyz00);
						BgL_auxz00_4424 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1585z00_2587));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1191))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4424), BUNSPEC);
				}
				return BgL_ez00_1191;
			}
		}
	}



/* &search-letrec-ev_unw1291 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1291z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3355, BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 214 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1184;

				BgL_exprz00_1184 = BgL_exprz00_3356;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4429;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1582z00_2583;

						BgL_arg1582z00_2583 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1184))->
							BgL_ez00);
						BgL_auxz00_4429 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1582z00_2583));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1184))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4429), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4434;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1583z00_2584;

						BgL_arg1583z00_2584 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1184))->
							BgL_bodyz00);
						BgL_auxz00_4434 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1583z00_2584));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1184))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4434), BUNSPEC);
				}
				return BgL_exprz00_1184;
			}
		}
	}



/* &search-letrec-ev_bin1289 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1289z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3357, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 209 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1178;

				BgL_ez00_1178 = BgL_ez00_3358;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4439;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg1581z00_2581;

						BgL_arg1581z00_2581 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1178))->BgL_bodyz00);
						BgL_auxz00_4439 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1581z00_2581));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1178))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4439), BUNSPEC);
				}
				return BgL_ez00_1178;
			}
		}
	}



/* &search-letrec-ev_hoo1287 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1287z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3359, BgL_ev_hookz00_bglt BgL_exprz00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 204 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1172;

				BgL_exprz00_1172 = BgL_exprz00_3360;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4444;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg1580z00_2579;

						BgL_arg1580z00_2579 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1172))->BgL_ez00);
						BgL_auxz00_4444 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1580z00_2579));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1172))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4444), BUNSPEC);
				}
				return BgL_exprz00_1172;
			}
		}
	}



/* &search-letrec-ev_pro1285 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1285z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3361, BgL_ev_prog2z00_bglt BgL_ez00_3362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 198 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1165;

				BgL_ez00_1165 = BgL_ez00_3362;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4449;

					{	/* Eval/evaluate_fsize.scm 199 */
						BgL_ev_exprz00_bglt BgL_arg1578z00_2576;

						BgL_arg1578z00_2576 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1165))->BgL_e1z00);
						BgL_auxz00_4449 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1578z00_2576));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1165))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4449), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4454;

					{	/* Eval/evaluate_fsize.scm 199 */
						BgL_ev_exprz00_bglt BgL_arg1579z00_2577;

						BgL_arg1579z00_2577 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1165))->BgL_e2z00);
						BgL_auxz00_4454 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1579z00_2577));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1165))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4454), BUNSPEC);
				}
				return BgL_ez00_1165;
			}
		}
	}



/* &search-letrec-ev_lis1283 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1283z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3363, BgL_ev_listz00_bglt BgL_ez00_3364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 193 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1159;

				BgL_ez00_1159 = BgL_ez00_3364;
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1159))->BgL_argsz00));
				return BgL_ez00_1159;
			}
		}
	}



/* &search-letrec-ev_if1281 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1281z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3365, BgL_ev_ifz00_bglt BgL_exprz00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 186 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1151;

				BgL_exprz00_1151 = BgL_exprz00_3366;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4461;

					{	/* Eval/evaluate_fsize.scm 188 */
						BgL_ev_exprz00_bglt BgL_arg1573z00_1155;

						BgL_arg1573z00_1155 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1151))->BgL_pz00);
						BgL_auxz00_4461 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1573z00_1155));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1151))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4461), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4466;

					{	/* Eval/evaluate_fsize.scm 189 */
						BgL_ev_exprz00_bglt BgL_arg1574z00_1156;

						BgL_arg1574z00_1156 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1151))->BgL_tz00);
						BgL_auxz00_4466 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1574z00_1156));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1151))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4466), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4471;

					{	/* Eval/evaluate_fsize.scm 190 */
						BgL_ev_exprz00_bglt BgL_arg1576z00_1157;

						BgL_arg1576z00_1157 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1151))->BgL_ez00);
						BgL_auxz00_4471 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1576z00_1157));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1151))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4471), BUNSPEC);
				}
				return BgL_exprz00_1151;
			}
		}
	}



/* &search-letrec-ev_lit1279 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1279z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3367, BgL_ev_littz00_bglt BgL_ez00_3368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 183 */
			return BgL_ez00_3368;
		}
	}



/* &search-letrec-ev_glo1277 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1277z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3369, BgL_ev_globalz00_bglt BgL_ez00_3370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 180 */
			return BgL_ez00_3370;
		}
	}



/* &search-letrec-ev_var1275 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1275z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3371, BgL_ev_varz00_bglt BgL_ez00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 177 */
			return BgL_ez00_3372;
		}
	}



/* &fsize-ev_abs1271 */
	obj_t BGl_z62fsiza7ezd2ev_abs1271z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3373, BgL_ev_absz00_bglt BgL_ez00_3374, obj_t BgL_nz00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 154 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1129;
				int BgL_nz00_1130;

				{	/* Eval/evaluate_fsize.scm 155 */
					int BgL_auxz00_4476;

					BgL_ez00_1129 = BgL_ez00_3374;
					BgL_nz00_1130 = CINT(BgL_nz00_3375);
					{	/* Eval/evaluate_fsize.scm 155 */
						int BgL_nnz00_2569;

						{	/* Eval/evaluate_fsize.scm 155 */
							BgL_ev_exprz00_bglt BgL_arg1570z00_2570;
							long BgL_arg1571z00_2571;

							BgL_arg1570z00_2570 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1129))->BgL_bodyz00);
							BgL_arg1571z00_2571 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1129))->BgL_varsz00));
							BgL_nnz00_2569 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1570z00_2570,
								(int) (BgL_arg1571z00_2571));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1129))->BgL_siza7eza7) =
							((int) BgL_nnz00_2569), BUNSPEC);
						BgL_auxz00_4476 = BgL_nz00_1130;
					}
					return BINT(BgL_auxz00_4476);
				}
			}
		}
	}



/* &fsize-ev_app1269 */
	obj_t BGl_z62fsiza7ezd2ev_app1269z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3376, BgL_ev_appz00_bglt BgL_ez00_3377, obj_t BgL_nz00_3378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 147 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1105;
				int BgL_nz00_1106;

				BgL_ez00_1105 = BgL_ez00_3377;
				BgL_nz00_1106 = CINT(BgL_nz00_3378);
				{	/* Eval/evaluate_fsize.scm 149 */
					int BgL_g1076z00_1110;

					BgL_g1076z00_1110 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1105))->BgL_funz00),
						BgL_nz00_1106);
					{	/* Eval/evaluate_fsize.scm 149 */
						obj_t BgL_arg1560z00_1112;

						BgL_arg1560z00_1112 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1105))->BgL_argsz00);
						{
							obj_t BgL_lz00_2540;
							int BgL_nz00_2541;
							obj_t BgL_rz00_2542;

							BgL_lz00_2540 = BgL_arg1560z00_1112;
							BgL_nz00_2541 = BgL_nz00_1106;
							BgL_rz00_2542 = BINT(BgL_g1076z00_1110);
						BgL_recz00_2539:
							if (NULLP(BgL_lz00_2540))
								{	/* Eval/evaluate_fsize.scm 149 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2541),
										BgL_rz00_2542);
								}
							else
								{	/* Eval/evaluate_fsize.scm 149 */
									obj_t BgL_arg1565z00_2555;
									long BgL_arg1566z00_2556;
									obj_t BgL_arg1567z00_2557;

									BgL_arg1565z00_2555 = CDR(BgL_lz00_2540);
									BgL_arg1566z00_2556 = ((long) (BgL_nz00_2541) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 149 */
										int BgL_xz00_2558;

										{	/* Eval/evaluate_fsize.scm 149 */
											obj_t BgL_arg1568z00_2560;

											BgL_arg1568z00_2560 = CAR(BgL_lz00_2540);
											BgL_xz00_2558 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1568z00_2560),
												BgL_nz00_2541);
										}
										BgL_arg1567z00_2557 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2558),
											BgL_rz00_2542);
									}
									{
										obj_t BgL_rz00_4503;
										int BgL_nz00_4501;
										obj_t BgL_lz00_4500;

										BgL_lz00_4500 = BgL_arg1565z00_2555;
										BgL_nz00_4501 = (int) (BgL_arg1566z00_2556);
										BgL_rz00_4503 = BgL_arg1567z00_2557;
										BgL_rz00_2542 = BgL_rz00_4503;
										BgL_nz00_2541 = BgL_nz00_4501;
										BgL_lz00_2540 = BgL_lz00_4500;
										goto BgL_recz00_2539;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1267 */
	obj_t BGl_z62fsiza7ezd2ev_goto1267z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3379, BgL_ev_gotoz00_bglt BgL_ez00_3380, obj_t BgL_nz00_3381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 140 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1083;
				obj_t BgL_nz00_1084;

				BgL_ez00_1083 = BgL_ez00_3380;
				BgL_nz00_1084 = BgL_nz00_3381;
				{	/* Eval/evaluate_fsize.scm 142 */
					obj_t BgL_arg1552z00_1089;

					BgL_arg1552z00_1089 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1083))->BgL_argsz00);
					{
						obj_t BgL_lz00_2476;
						obj_t BgL_nz00_2477;
						obj_t BgL_rz00_2478;

						BgL_lz00_2476 = BgL_arg1552z00_1089;
						BgL_nz00_2477 = BgL_nz00_1084;
						BgL_rz00_2478 = BgL_nz00_1084;
					BgL_recz00_2475:
						if (NULLP(BgL_lz00_2476))
							{	/* Eval/evaluate_fsize.scm 142 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2477,
									BgL_rz00_2478);
							}
						else
							{	/* Eval/evaluate_fsize.scm 142 */
								obj_t BgL_arg1555z00_2491;
								long BgL_arg1556z00_2492;
								obj_t BgL_arg1557z00_2493;

								BgL_arg1555z00_2491 = CDR(BgL_lz00_2476);
								BgL_arg1556z00_2492 = ((long) CINT(BgL_nz00_2477) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 142 */
									int BgL_xz00_2494;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_arg1558z00_2496;

										BgL_arg1558z00_2496 = CAR(BgL_lz00_2476);
										BgL_xz00_2494 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1558z00_2496),
											CINT(BgL_nz00_2477));
									}
									BgL_arg1557z00_2493 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2494),
										BgL_rz00_2478);
								}
								{
									obj_t BgL_rz00_4522;
									obj_t BgL_nz00_4520;
									obj_t BgL_lz00_4519;

									BgL_lz00_4519 = BgL_arg1555z00_2491;
									BgL_nz00_4520 = BINT(BgL_arg1556z00_2492);
									BgL_rz00_4522 = BgL_arg1557z00_2493;
									BgL_rz00_2478 = BgL_rz00_4522;
									BgL_nz00_2477 = BgL_nz00_4520;
									BgL_lz00_2476 = BgL_lz00_4519;
									goto BgL_recz00_2475;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1265 */
	obj_t BGl_z62fsiza7ezd2ev_labels1265z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3382, BgL_ev_labelsz00_bglt BgL_ez00_3383, obj_t BgL_nz00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 133 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1059;
				obj_t BgL_nz00_1060;

				BgL_ez00_1059 = BgL_ez00_3383;
				BgL_nz00_1060 = BgL_nz00_3384;
				{
					obj_t BgL_lz00_1066;
					obj_t BgL_rz00_1067;

					BgL_lz00_1066 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1059))->BgL_valsz00);
					BgL_rz00_1067 = BgL_nz00_1060;
				BgL_zc3anonymousza31537ze3z83_1068:
					if (NULLP(BgL_lz00_1066))
						{	/* Eval/evaluate_fsize.scm 137 */
							int BgL_xz00_1070;

							BgL_xz00_1070 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1059))->BgL_bodyz00),
								CINT(BgL_nz00_1060));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1070),
								BgL_rz00_1067);
						}
					else
						{	/* Eval/evaluate_fsize.scm 138 */
							obj_t BgL_arg1540z00_1073;
							obj_t BgL_arg1544z00_1074;

							BgL_arg1540z00_1073 = CDR(BgL_lz00_1066);
							{	/* Eval/evaluate_fsize.scm 138 */
								int BgL_xz00_1075;

								{	/* Eval/evaluate_fsize.scm 138 */
									obj_t BgL_arg1545z00_1077;
									long BgL_arg1546z00_1078;

									{	/* Eval/evaluate_fsize.scm 138 */
										obj_t BgL_pairz00_2429;

										BgL_pairz00_2429 = BgL_lz00_1066;
										BgL_arg1545z00_1077 = CDR(CAR(BgL_pairz00_2429));
									}
									{	/* Eval/evaluate_fsize.scm 138 */
										long BgL_auxz00_4533;

										{	/* Eval/evaluate_fsize.scm 138 */
											obj_t BgL_auxz00_4535;

											{	/* Eval/evaluate_fsize.scm 138 */
												obj_t BgL_pairz00_2433;

												BgL_pairz00_2433 = BgL_lz00_1066;
												BgL_auxz00_4535 = CAR(CAR(BgL_pairz00_2433));
											}
											BgL_auxz00_4533 = bgl_list_length(BgL_auxz00_4535);
										}
										BgL_arg1546z00_1078 =
											((long) CINT(BgL_nz00_1060) + BgL_auxz00_4533);
									}
									BgL_xz00_1075 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1545z00_1077),
										(int) (BgL_arg1546z00_1078));
								}
								BgL_arg1544z00_1074 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1075),
									BgL_rz00_1067);
							}
							{
								obj_t BgL_rz00_4546;
								obj_t BgL_lz00_4545;

								BgL_lz00_4545 = BgL_arg1540z00_1073;
								BgL_rz00_4546 = BgL_arg1544z00_1074;
								BgL_rz00_1067 = BgL_rz00_4546;
								BgL_lz00_1066 = BgL_lz00_4545;
								goto BgL_zc3anonymousza31537ze3z83_1068;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1263 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1263z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3385, BgL_ev_letrecz00_bglt BgL_ez00_3386, obj_t BgL_nz00_3387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 125 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1035;
				int BgL_nz00_1036;

				BgL_ez00_1035 = BgL_ez00_3386;
				BgL_nz00_1036 = CINT(BgL_nz00_3387);
				{	/* Eval/evaluate_fsize.scm 127 */
					long BgL_nz00_1040;

					BgL_nz00_1040 =
						(
						(long) (BgL_nz00_1036) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1035)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1043;
						obj_t BgL_rz00_1044;

						{	/* Eval/evaluate_fsize.scm 128 */
							obj_t BgL_arg1524z00_1042;

							BgL_arg1524z00_1042 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1035)))->BgL_valsz00);
							BgL_lz00_1043 = BgL_arg1524z00_1042;
							BgL_rz00_1044 = BINT(BgL_nz00_1040);
						BgL_zc3anonymousza31525ze3z83_1045:
							if (NULLP(BgL_lz00_1043))
								{	/* Eval/evaluate_fsize.scm 130 */
									int BgL_xz00_1047;

									{	/* Eval/evaluate_fsize.scm 130 */
										BgL_ev_exprz00_bglt BgL_arg1528z00_1049;

										BgL_arg1528z00_1049 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1035)))->
											BgL_bodyz00);
										BgL_xz00_1047 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1528z00_1049,
											(int) (BgL_nz00_1040));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1047),
										BgL_rz00_1044);
								}
							else
								{	/* Eval/evaluate_fsize.scm 131 */
									obj_t BgL_arg1529z00_1050;
									obj_t BgL_arg1532z00_1051;

									BgL_arg1529z00_1050 = CDR(BgL_lz00_1043);
									{	/* Eval/evaluate_fsize.scm 131 */
										int BgL_xz00_1052;

										{	/* Eval/evaluate_fsize.scm 131 */
											obj_t BgL_arg1533z00_1054;

											BgL_arg1533z00_1054 = CAR(BgL_lz00_1043);
											BgL_xz00_1052 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1533z00_1054),
												(int) (BgL_nz00_1040));
										}
										BgL_arg1532z00_1051 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1052),
											BgL_rz00_1044);
									}
									{
										obj_t BgL_rz00_4571;
										obj_t BgL_lz00_4570;

										BgL_lz00_4570 = BgL_arg1529z00_1050;
										BgL_rz00_4571 = BgL_arg1532z00_1051;
										BgL_rz00_1044 = BgL_rz00_4571;
										BgL_lz00_1043 = BgL_lz00_4570;
										goto BgL_zc3anonymousza31525ze3z83_1045;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1261 */
	obj_t BGl_z62fsiza7ezd2ev_letza21261zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3388, BgL_ev_letza2za2_bglt BgL_ez00_3389, obj_t BgL_nz00_3390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 118 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1012;
				int BgL_nz00_1013;

				BgL_ez00_1012 = BgL_ez00_3389;
				BgL_nz00_1013 = CINT(BgL_nz00_3390);
				{	/* Eval/evaluate_fsize.scm 120 */
					obj_t BgL_arg1512z00_1018;

					BgL_arg1512z00_1018 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1012)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2389;
						int BgL_nz00_2390;
						obj_t BgL_rz00_2391;

						BgL_lz00_2389 = BgL_arg1512z00_1018;
						BgL_nz00_2390 = BgL_nz00_1013;
						BgL_rz00_2391 = BINT(BgL_nz00_1013);
					BgL_recz00_2388:
						if (NULLP(BgL_lz00_2389))
							{	/* Eval/evaluate_fsize.scm 120 */
								int BgL_xz00_2403;

								{	/* Eval/evaluate_fsize.scm 120 */
									BgL_ev_exprz00_bglt BgL_arg1515z00_2405;

									BgL_arg1515z00_2405 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1012)))->BgL_bodyz00);
									BgL_xz00_2403 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1515z00_2405,
										BgL_nz00_2390);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2403),
									BgL_rz00_2391);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg1516z00_2406;
								long BgL_arg1517z00_2407;
								obj_t BgL_arg1520z00_2408;

								BgL_arg1516z00_2406 = CDR(BgL_lz00_2389);
								BgL_arg1517z00_2407 = ((long) (BgL_nz00_2390) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_2409;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg1521z00_2411;

										BgL_arg1521z00_2411 = CAR(BgL_lz00_2389);
										BgL_xz00_2409 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1521z00_2411),
											BgL_nz00_2390);
									}
									BgL_arg1520z00_2408 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2409),
										BgL_rz00_2391);
								}
								{
									obj_t BgL_rz00_4594;
									int BgL_nz00_4592;
									obj_t BgL_lz00_4591;

									BgL_lz00_4591 = BgL_arg1516z00_2406;
									BgL_nz00_4592 = (int) (BgL_arg1517z00_2407);
									BgL_rz00_4594 = BgL_arg1520z00_2408;
									BgL_rz00_2391 = BgL_rz00_4594;
									BgL_nz00_2390 = BgL_nz00_4592;
									BgL_lz00_2389 = BgL_lz00_4591;
									goto BgL_recz00_2388;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1259 */
	obj_t BGl_z62fsiza7ezd2ev_let1259z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3391, BgL_ev_letz00_bglt BgL_ez00_3392, obj_t BgL_nz00_3393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_letz00_bglt BgL_ez00_989;
				int BgL_nz00_990;

				BgL_ez00_989 = BgL_ez00_3392;
				BgL_nz00_990 = CINT(BgL_nz00_3393);
				{	/* Eval/evaluate_fsize.scm 113 */
					obj_t BgL_arg1503z00_995;

					BgL_arg1503z00_995 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_989)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2321;
						int BgL_nz00_2322;
						obj_t BgL_rz00_2323;

						BgL_lz00_2321 = BgL_arg1503z00_995;
						BgL_nz00_2322 = BgL_nz00_990;
						BgL_rz00_2323 = BINT(BgL_nz00_990);
					BgL_recz00_2320:
						if (NULLP(BgL_lz00_2321))
							{	/* Eval/evaluate_fsize.scm 113 */
								int BgL_xz00_2335;

								{	/* Eval/evaluate_fsize.scm 113 */
									BgL_ev_exprz00_bglt BgL_arg1507z00_2337;

									BgL_arg1507z00_2337 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_989)))->BgL_bodyz00);
									BgL_xz00_2335 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1507z00_2337,
										BgL_nz00_2322);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2335),
									BgL_rz00_2323);
							}
						else
							{	/* Eval/evaluate_fsize.scm 113 */
								obj_t BgL_arg1508z00_2338;
								long BgL_arg1509z00_2339;
								obj_t BgL_arg1510z00_2340;

								BgL_arg1508z00_2338 = CDR(BgL_lz00_2321);
								BgL_arg1509z00_2339 = ((long) (BgL_nz00_2322) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 113 */
									int BgL_xz00_2341;

									{	/* Eval/evaluate_fsize.scm 113 */
										obj_t BgL_arg1511z00_2343;

										BgL_arg1511z00_2343 = CAR(BgL_lz00_2321);
										BgL_xz00_2341 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1511z00_2343),
											BgL_nz00_2322);
									}
									BgL_arg1510z00_2340 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2341),
										BgL_rz00_2323);
								}
								{
									obj_t BgL_rz00_4617;
									int BgL_nz00_4615;
									obj_t BgL_lz00_4614;

									BgL_lz00_4614 = BgL_arg1508z00_2338;
									BgL_nz00_4615 = (int) (BgL_arg1509z00_2339);
									BgL_rz00_4617 = BgL_arg1510z00_2340;
									BgL_rz00_2323 = BgL_rz00_4617;
									BgL_nz00_2322 = BgL_nz00_4615;
									BgL_lz00_2321 = BgL_lz00_4614;
									goto BgL_recz00_2320;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_with-handle1257 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1257zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3394, BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3395,
		obj_t BgL_nz00_3396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_979;
				int BgL_nz00_980;

				BgL_ez00_979 = BgL_ez00_3395;
				BgL_nz00_980 = CINT(BgL_nz00_3396);
				{	/* Eval/evaluate_fsize.scm 108 */
					int BgL_xz00_2279;
					int BgL_yz00_2280;

					BgL_xz00_2279 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_979))->
							BgL_handlerz00), BgL_nz00_980);
					BgL_yz00_2280 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_979))->
							BgL_bodyz00), BgL_nz00_980);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2279),
						BINT(BgL_yz00_2280));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1255 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1255zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3397, BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3398,
		obj_t BgL_nz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_969;
				int BgL_nz00_970;

				BgL_ez00_969 = BgL_ez00_3398;
				BgL_nz00_970 = CINT(BgL_nz00_3399);
				{	/* Eval/evaluate_fsize.scm 104 */
					int BgL_xz00_2274;
					int BgL_yz00_2275;

					BgL_xz00_2274 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_969))->BgL_ez00),
						BgL_nz00_970);
					BgL_yz00_2275 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_969))->
							BgL_bodyz00), BgL_nz00_970);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2274),
						BINT(BgL_yz00_2275));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1253 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1253zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3400, BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3401,
		obj_t BgL_nz00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_961;
				int BgL_nz00_962;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_4636;

					BgL_ez00_961 = BgL_ez00_3401;
					BgL_nz00_962 = CINT(BgL_nz00_3402);
					{	/* Eval/evaluate_fsize.scm 100 */
						BgL_ev_exprz00_bglt BgL_arg1497z00_2268;
						long BgL_arg1498z00_2269;

						BgL_arg1497z00_2268 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_961))->BgL_bodyz00);
						BgL_arg1498z00_2269 = ((long) (BgL_nz00_962) + ((long) 1));
						BgL_auxz00_4636 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1497z00_2268,
							(int) (BgL_arg1498z00_2269));
					}
					return BINT(BgL_auxz00_4636);
				}
			}
		}
	}



/* &fsize-ev_hook1251 */
	obj_t BGl_z62fsiza7ezd2ev_hook1251z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3403, BgL_ev_hookz00_bglt BgL_ez00_3404, obj_t BgL_nz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_954;
				int BgL_nz00_955;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_4644;

					BgL_ez00_954 = BgL_ez00_3404;
					BgL_nz00_955 = CINT(BgL_nz00_3405);
					BgL_auxz00_4644 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_954))->BgL_ez00),
						BgL_nz00_955);
					return BINT(BgL_auxz00_4644);
				}
			}
		}
	}



/* &fsize-ev_prog21249 */
	obj_t BGl_z62fsiza7ezd2ev_prog21249z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3406, BgL_ev_prog2z00_bglt BgL_ez00_3407, obj_t BgL_nz00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_944;
				int BgL_nz00_945;

				BgL_ez00_944 = BgL_ez00_3407;
				BgL_nz00_945 = CINT(BgL_nz00_3408);
				{	/* Eval/evaluate_fsize.scm 92 */
					int BgL_xz00_2261;
					int BgL_yz00_2262;

					BgL_xz00_2261 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_944))->BgL_e1z00),
						BgL_nz00_945);
					BgL_yz00_2262 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_944))->BgL_e2z00), BgL_nz00_945);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2261),
						BINT(BgL_yz00_2262));
				}
			}
		}
	}



/* &fsize-ev_list1247 */
	obj_t BGl_z62fsiza7ezd2ev_list1247z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3409, BgL_ev_listz00_bglt BgL_ez00_3410, obj_t BgL_nz00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_926;
				int BgL_nz00_927;

				BgL_ez00_926 = BgL_ez00_3410;
				BgL_nz00_927 = CINT(BgL_nz00_3411);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1488z00_932;

					BgL_arg1488z00_932 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_926))->BgL_argsz00);
					{
						obj_t BgL_lz00_2242;
						obj_t BgL_rz00_2243;

						BgL_lz00_2242 = BgL_arg1488z00_932;
						BgL_rz00_2243 = BINT(BgL_nz00_927);
					BgL_recz00_2241:
						if (NULLP(BgL_lz00_2242))
							{	/* Eval/evaluate_fsize.scm 86 */
								return BgL_rz00_2243;
							}
						else
							{	/* Eval/evaluate_fsize.scm 86 */
								obj_t BgL_arg1491z00_2251;
								obj_t BgL_arg1492z00_2252;

								BgL_arg1491z00_2251 = CDR(BgL_lz00_2242);
								{	/* Eval/evaluate_fsize.scm 86 */
									int BgL_yz00_2254;

									{	/* Eval/evaluate_fsize.scm 86 */
										obj_t BgL_arg1493z00_2255;

										BgL_arg1493z00_2255 = CAR(BgL_lz00_2242);
										BgL_yz00_2254 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1493z00_2255),
											BgL_nz00_927);
									}
									BgL_arg1492z00_2252 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2243,
										BINT(BgL_yz00_2254));
								}
								{
									obj_t BgL_rz00_4667;
									obj_t BgL_lz00_4666;

									BgL_lz00_4666 = BgL_arg1491z00_2251;
									BgL_rz00_4667 = BgL_arg1492z00_2252;
									BgL_rz00_2243 = BgL_rz00_4667;
									BgL_lz00_2242 = BgL_lz00_4666;
									goto BgL_recz00_2241;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1245 */
	obj_t BGl_z62fsiza7ezd2ev_if1245z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3412, BgL_ev_ifz00_bglt BgL_ez00_3413, obj_t BgL_nz00_3414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_913;
				int BgL_nz00_914;

				BgL_ez00_913 = BgL_ez00_3413;
				BgL_nz00_914 = CINT(BgL_nz00_3414);
				{	/* Eval/evaluate_fsize.scm 81 */
					int BgL_arg1481z00_2212;
					obj_t BgL_arg1482z00_2213;

					BgL_arg1481z00_2212 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_913))->BgL_pz00), BgL_nz00_914);
					{	/* Eval/evaluate_fsize.scm 81 */
						int BgL_xz00_2215;
						int BgL_yz00_2216;

						BgL_xz00_2215 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_913))->BgL_tz00),
							BgL_nz00_914);
						BgL_yz00_2216 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_913))->BgL_ez00), BgL_nz00_914);
						BgL_arg1482z00_2213 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2215),
							BINT(BgL_yz00_2216));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1481z00_2212),
						BgL_arg1482z00_2213);
				}
			}
		}
	}



/* &fsize-ev_litt1243 */
	obj_t BGl_z62fsiza7ezd2ev_litt1243z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3415, BgL_ev_littz00_bglt BgL_ez00_3416, obj_t BgL_nz00_3417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_3417));
		}
	}



/* &fsize-ev_global1241 */
	obj_t BGl_z62fsiza7ezd2ev_global1241z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3418, BgL_ev_globalz00_bglt BgL_varz00_3419, obj_t BgL_nz00_3420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_3420));
		}
	}



/* &fsize-ev_var1239 */
	obj_t BGl_z62fsiza7ezd2ev_var1239z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3421, BgL_ev_varz00_bglt BgL_ez00_3422, obj_t BgL_nz00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_3423));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 335718988),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 405883817),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2224z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
