/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (3.8b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Wed May 2 08:00:52 CEST 2012        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.8b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2561z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2567z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2578z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_appz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2582z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2588z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_binderz00_bglt BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2595z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1988z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31540ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31616ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31561ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31817ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31729ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31478ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31835ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_orz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31692ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2401z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31944ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31677ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2416z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32004ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31589ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2420z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2424z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2zz__objectz00(obj_t);
	static obj_t BGl_symbol2429z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31873ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2436z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2603z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2441z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2445z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2608z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2450z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2613z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2618z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2620z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2628z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31893ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2632z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2470z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2474z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2641z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2488z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letrecz00_bglt BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2494z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2499z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62zc3anonymousza31989ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31605ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31626ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31717ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2039z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2040z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31914ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_globalz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31771ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31844ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_littz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2332z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2334z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2338z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32012ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2340z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2345z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2509z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2349z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2351z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2514z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2356z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2519z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2360z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2524z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2366z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1572z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2532z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2371z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2537z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2375z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2380z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2384z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2547z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2388z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_gotoz00_bglt BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2552z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2392z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2397z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2400z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1593za7622643z00,
		BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72644za7,
		BGl_z62zc3anonymousza31589ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2404z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1587za7622645z00,
		BGl_z62lambda1587z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2405z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1585za7622646z00,
		BGl_z62lambda1585z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72647za7,
		BGl_z62zc3anonymousza31605ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2333z00zz__evaluate_typesz00,
		BgL_bgl_string2333za700za7za7_2648za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1603za7622649z00,
		BGl_z62lambda1603z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2335z00zz__evaluate_typesz00,
		BgL_bgl_string2335za700za7za7_2650za7, "__evaluate_types", 16);
	      DEFINE_STRING(BGl_string2339z00zz__evaluate_typesz00,
		BgL_bgl_string2339za700za7za7_2651za7, "type", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1601za7622652z00,
		BGl_z62lambda1601z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2500z00zz__evaluate_typesz00,
		BgL_bgl_string2500za700za7za7_2653za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72654za7,
		BGl_z62zc3anonymousza31616ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1614za7622655z00,
		BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2415z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1612za7622656z00,
		BGl_z62lambda1612z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2341z00zz__evaluate_typesz00,
		BgL_bgl_string2341za700za7za7_2657za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1634za7622658z00,
		BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2506z00zz__evaluate_typesz00,
		BgL_bgl_string2506za700za7za7_2659za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1633za7622660z00,
		BGl_z62lambda1633z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2346z00zz__evaluate_typesz00,
		BgL_bgl_string2346za700za7za7_2661za7, "eff", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2422z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1640za7622662z00,
		BGl_z62lambda1640z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2510z00zz__evaluate_typesz00,
		BgL_bgl_string2510za700za7za7_2663za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1639za7622664z00,
		BGl_z62lambda1639z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2350z00zz__evaluate_typesz00,
		BgL_bgl_string2350za700za7za7_2665za7, "name", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2426z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72666za7,
		BGl_z62zc3anonymousza31626ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2427z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1624za7622667z00,
		BGl_z62lambda1624z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2352z00zz__evaluate_typesz00,
		BgL_bgl_string2352za700za7za7_2668za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2515z00zz__evaluate_typesz00,
		BgL_bgl_string2515za700za7za7_2669za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1622za7622670z00,
		BGl_z62lambda1622z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2357z00zz__evaluate_typesz00,
		BgL_bgl_string2357za700za7za7_2671za7, "ev_var", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2431z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1657za7622672z00,
		BGl_z62lambda1657z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1656za7622673z00,
		BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2520z00zz__evaluate_typesz00,
		BgL_bgl_string2520za700za7za7_2674za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72675za7,
		BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1649za7622676z00,
		BGl_z62lambda1649z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2435z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1647za7622677z00,
		BGl_z62lambda1647z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2361z00zz__evaluate_typesz00,
		BgL_bgl_string2361za700za7za7_2678za7, "mod", 3);
	      DEFINE_STRING(BGl_string2525z00zz__evaluate_typesz00,
		BgL_bgl_string2525za700za7za7_2679za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72680za7,
		BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2439z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1665za7622681z00,
		BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2367z00zz__evaluate_typesz00,
		BgL_bgl_string2367za700za7za7_2682za7, "loc", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72683za7,
		BGl_z62zc3anonymousza31989ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1988za7622684z00,
		BGl_z62lambda1988z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1987za7622685z00,
		BGl_z62lambda1987z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2440z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1663za7622686z00,
		BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2605z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72687za7,
		BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2443z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1682za7622688z00,
		BGl_z62lambda1682z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1995za7622689z00,
		BGl_z62lambda1995z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2444z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1681za7622690z00,
		BGl_z62lambda1681z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1994za7622691z00,
		BGl_z62lambda1994z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2533z00zz__evaluate_typesz00,
		BgL_bgl_string2533za700za7za7_2692za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2447z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72693za7,
		BGl_z62zc3anonymousza31677ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2372z00zz__evaluate_typesz00,
		BgL_bgl_string2372za700za7za7_2694za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2448z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1675za7622695z00,
		BGl_z62lambda1675z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1673za7622696z00,
		BGl_z62lambda1673z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2538z00zz__evaluate_typesz00,
		BgL_bgl_string2538za700za7za7_2697za7, "ev_letrec", 9);
	      DEFINE_STRING(BGl_string2376z00zz__evaluate_typesz00,
		BgL_bgl_string2376za700za7za7_2698za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2610z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72699za7,
		BGl_z62zc3anonymousza32004ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2003za7622700z00,
		BGl_z62lambda2003z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7622701z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1697za7622702z00,
		BGl_z62lambda1697z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72703za7,
		BGl_z62zc3anonymousza32012ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1696za7622704z00,
		BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2011za7622705z00,
		BGl_z62lambda2011z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1702za7622706z00,
		BGl_z62lambda1702z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2010za7622707z00,
		BGl_z62lambda2010z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1701za7622708z00,
		BGl_z62lambda1701z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1707za7622709z00,
		BGl_z62lambda1707z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2381z00zz__evaluate_typesz00,
		BgL_bgl_string2381za700za7za7_2710za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1706za7622711z00,
		BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72712za7,
		BGl_z62zc3anonymousza31692ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1690za7622713z00,
		BGl_z62lambda1690z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2385z00zz__evaluate_typesz00,
		BgL_bgl_string2385za700za7za7_2714za7, "e", 1);
	      DEFINE_STRING(BGl_string2548z00zz__evaluate_typesz00,
		BgL_bgl_string2548za700za7za7_2715za7, "stk", 3);
	      DEFINE_STRING(BGl_string2389z00zz__evaluate_typesz00,
		BgL_bgl_string2389za700za7za7_2716za7, "t", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2018za7622717z00,
		BGl_z62lambda2018z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622718z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2017za7622719z00,
		BGl_z62lambda2017z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2624z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2025za7622720z00,
		BGl_z62lambda2025z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2625z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2024za7622721z00,
		BGl_z62lambda2024z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72722za7,
		BGl_z62zc3anonymousza31717ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2030za7622723z00,
		BGl_z62lambda2030z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1715za7622724z00,
		BGl_z62lambda1715z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2029za7622725z00,
		BGl_z62lambda2029z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1713za7622726z00,
		BGl_z62lambda1713z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2553z00zz__evaluate_typesz00,
		BgL_bgl_string2553za700za7za7_2727za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1734za7622728z00,
		BGl_z62lambda1734z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2393z00zz__evaluate_typesz00,
		BgL_bgl_string2393za700za7za7_2729za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1733za7622730z00,
		BGl_z62lambda1733z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2398z00zz__evaluate_typesz00,
		BgL_bgl_string2398za700za7za7_2731za7, "ev_if", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2035za7622732z00,
		BGl_z62lambda2035z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2034za7622733z00,
		BGl_z62lambda2034z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2634z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2040za7622734z00,
		BGl_z62lambda2040z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1739za7622735z00,
		BGl_z62lambda1739z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2039za7622736z00,
		BGl_z62lambda2039z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1738za7622737z00,
		BGl_z62lambda1738z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72738za7,
		BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1972za7622739z00,
		BGl_z62lambda1972z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2562z00zz__evaluate_typesz00,
		BgL_bgl_string2562za700za7za7_2740za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1970za7622741z00,
		BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72742za7,
		BGl_z62zc3anonymousza31729ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1727za7622743z00,
		BGl_z62lambda1727z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1724za7622744z00,
		BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2568z00zz__evaluate_typesz00,
		BgL_bgl_string2568za700za7za7_2745za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1755za7622746z00,
		BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1754za7622747z00,
		BGl_z62lambda1754z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1761za7622748z00,
		BGl_z62lambda1761z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1760za7622749z00,
		BGl_z62lambda1760z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2572z00zz__evaluate_typesz00,
		BgL_bgl_string2572za700za7za7_2750za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72751za7,
		BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1748za7622752z00,
		BGl_z62lambda1748z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1746za7622753z00,
		BGl_z62lambda1746z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2579z00zz__evaluate_typesz00,
		BgL_bgl_string2579za700za7za7_2754za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622755z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1775za7622756z00,
		BGl_z62lambda1775z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1781za7622757z00,
		BGl_z62lambda1781z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1780za7622758z00,
		BGl_z62lambda1780z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2583z00zz__evaluate_typesz00,
		BgL_bgl_string2583za700za7za7_2759za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72760za7,
		BGl_z62zc3anonymousza31771ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1769za7622761z00,
		BGl_z62lambda1769z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1767za7622762z00,
		BGl_z62lambda1767z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2589z00zz__evaluate_typesz00,
		BgL_bgl_string2589za700za7za7_2763za7, "fun", 3);
	      DEFINE_STRING(BGl_string2596z00zz__evaluate_typesz00,
		BgL_bgl_string2596za700za7za7_2764za7, "ev_app", 6);
	      DEFINE_STRING(BGl_string2402z00zz__evaluate_typesz00,
		BgL_bgl_string2402za700za7za7_2765za7, "args", 4);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2766za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2412z00zz__evaluate_typesz00,
		BgL_bgl_string2412za700za7za7_2767za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72768za7,
		BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2417z00zz__evaluate_typesz00,
		BgL_bgl_string2417za700za7za7_2769za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1464za7622770z00,
		BGl_z62lambda1464z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1461za7622771z00,
		BGl_z62lambda1461z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2421z00zz__evaluate_typesz00,
		BgL_bgl_string2421za700za7za7_2772za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1484za7622773z00,
		BGl_z62lambda1484z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2337z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1483za7622774z00,
		BGl_z62lambda1483z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2425z00zz__evaluate_typesz00,
		BgL_bgl_string2425za700za7za7_2775za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1797za7622776z00,
		BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1796za7622777z00,
		BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1802za7622778z00,
		BGl_z62lambda1802z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1801za7622779z00,
		BGl_z62lambda1801z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2342z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72780za7,
		BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2430z00zz__evaluate_typesz00,
		BgL_bgl_string2430za700za7za7_2781za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1492za7622782z00,
		BGl_z62lambda1492z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2344z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1491za7622783z00,
		BGl_z62lambda1491z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1807za7622784z00,
		BGl_z62lambda1807z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1806za7622785z00,
		BGl_z62lambda1806z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2347z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1498za7622786z00,
		BGl_z62lambda1498z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1497za7622787z00,
		BGl_z62lambda1497z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2437z00zz__evaluate_typesz00,
		BgL_bgl_string2437za700za7za7_2788za7, "ev_hook", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72789za7,
		BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1790za7622790z00,
		BGl_z62lambda1790z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1788za7622791z00,
		BGl_z62lambda1788z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72792za7,
		BGl_z62zc3anonymousza31478ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72793za7,
		BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1476za7622794z00,
		BGl_z62lambda1476z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2604z00zz__evaluate_typesz00,
		BgL_bgl_string2604za700za7za7_2795za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1824za7622796z00,
		BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2442z00zz__evaluate_typesz00,
		BgL_bgl_string2442za700za7za7_2797za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1474za7622798z00,
		BGl_z62lambda1474z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1823za7622799z00,
		BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1513za7622800z00,
		BGl_z62lambda1513z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2446z00zz__evaluate_typesz00,
		BgL_bgl_string2446za700za7za7_2801za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1512za7622802z00,
		BGl_z62lambda1512z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2609z00zz__evaluate_typesz00,
		BgL_bgl_string2609za700za7za7_2803za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72804za7,
		BGl_z62zc3anonymousza31817ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2522z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1815za7622805z00,
		BGl_z62lambda1815z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1813za7622806z00,
		BGl_z62lambda1813z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1519za7622807z00,
		BGl_z62lambda1519z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1518za7622808z00,
		BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2526z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72809za7,
		BGl_z62zc3anonymousza31844ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2451z00zz__evaluate_typesz00,
		BgL_bgl_string2451za700za7za7_2810za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1526za7622811z00,
		BGl_z62lambda1526z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2614z00zz__evaluate_typesz00,
		BgL_bgl_string2614za700za7za7_2812za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1843za7622813z00,
		BGl_z62lambda1843z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1525za7622814z00,
		BGl_z62lambda1525z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1842za7622815z00,
		BGl_z62lambda1842z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2529z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72816za7,
		BGl_z62zc3anonymousza31835ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72817za7,
		BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1506za7622818z00,
		BGl_z62lambda1506z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2619z00zz__evaluate_typesz00,
		BgL_bgl_string2619za700za7za7_2819za7, "size", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2530z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1833za7622820z00,
		BGl_z62lambda1833z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1831za7622821z00,
		BGl_z62lambda1831z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1504za7622822z00,
		BGl_z62lambda1504z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2621z00zz__evaluate_typesz00,
		BgL_bgl_string2621za700za7za7_2823za7, "int", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2534z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72824za7,
		BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2535z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1853za7622825z00,
		BGl_z62lambda1853z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1548za7622826z00,
		BGl_z62lambda1548z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1851za7622827z00,
		BGl_z62lambda1851z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1547za7622828z00,
		BGl_z62lambda1547z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2462z00zz__evaluate_typesz00,
		BgL_bgl_string2462za700za7za7_2829za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72830za7,
		BGl_z62zc3anonymousza31873ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72831za7,
		BGl_z62zc3anonymousza31540ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2378z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1537za7622832z00,
		BGl_z62lambda1537z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2379z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1535za7622833z00,
		BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2629z00zz__evaluate_typesz00,
		BgL_bgl_string2629za700za7za7_2834za7, "arity", 5);
	      DEFINE_STRING(BGl_string2467z00zz__evaluate_typesz00,
		BgL_bgl_string2467za700za7za7_2835za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1872za7622836z00,
		BGl_z62lambda1872z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1871za7622837z00,
		BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622838z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2543z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1877za7622839z00,
		BGl_z62lambda1877z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2544z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72840za7,
		BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2382z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1568za7622841z00,
		BGl_z62lambda1568z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1885za7622842z00,
		BGl_z62lambda1885z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2383z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1567za7622843z00,
		BGl_z62lambda1567z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2633z00zz__evaluate_typesz00,
		BgL_bgl_string2633za700za7za7_2844za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1884za7622845z00,
		BGl_z62lambda1884z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2471z00zz__evaluate_typesz00,
		BgL_bgl_string2471za700za7za7_2846za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1573za7622847z00,
		BGl_z62lambda1573z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2549z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72848za7,
		BGl_z62zc3anonymousza31893ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2387z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1572za7622849z00,
		BGl_z62lambda1572z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2475z00zz__evaluate_typesz00,
		BgL_bgl_string2475za700za7za7_2850za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2550z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1892za7622851z00,
		BGl_z62lambda1892z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1891za7622852z00,
		BGl_z62lambda1891z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2390z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1579za7622853z00,
		BGl_z62lambda1579z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2640z00zz__evaluate_typesz00,
		BgL_bgl_string2640za700za7za7_2854za7, "ev_abs", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1578za7622855z00,
		BGl_z62lambda1578z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2554z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1898za7622856z00,
		BGl_z62lambda1898z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2642z00zz__evaluate_typesz00,
		BgL_bgl_string2642za700za7za7_2857za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2555z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1897za7622858z00,
		BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2480z00zz__evaluate_typesz00,
		BgL_bgl_string2480za700za7za7_2859za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1903za7622860z00,
		BGl_z62lambda1903z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2394z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72861za7,
		BGl_z62zc3anonymousza31561ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1902za7622862z00,
		BGl_z62lambda1902z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2395z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1559za7622863z00,
		BGl_z62lambda1559z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72864za7,
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2396z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1557za7622865z00,
		BGl_z62lambda1557z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1863za7622866z00,
		BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622867z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2489z00zz__evaluate_typesz00,
		BgL_bgl_string2489za700za7za7_2868za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2560z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1861za7622869z00,
		BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1919za7622870z00,
		BGl_z62lambda1919z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2564z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1918za7622871z00,
		BGl_z62lambda1918z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2565z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1924za7622872z00,
		BGl_z62lambda1924z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1923za7622873z00,
		BGl_z62lambda1923z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1929za7622874z00,
		BGl_z62lambda1929z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2495z00zz__evaluate_typesz00,
		BgL_bgl_string2495za700za7za7_2875za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1928za7622876z00,
		BGl_z62lambda1928z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1934za7622877z00,
		BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1933za7622878z00,
		BGl_z62lambda1933z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72879za7,
		BGl_z62zc3anonymousza31914ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1912za7622880z00,
		BGl_z62lambda1912z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2577z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1910za7622881z00,
		BGl_z62lambda1910z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1949za7622882z00,
		BGl_z62lambda1949z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2581z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1948za7622883z00,
		BGl_z62lambda1948z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1954za7622884z00,
		BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1953za7622885z00,
		BGl_z62lambda1953z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2586z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1959za7622886z00,
		BGl_z62lambda1959z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2587z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1958za7622887z00,
		BGl_z62lambda1958z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1964za7622888z00,
		BGl_z62lambda1964z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2591z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1963za7622889z00,
		BGl_z62lambda1963z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2592z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72890za7,
		BGl_z62zc3anonymousza31944ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1942za7622891z00,
		BGl_z62lambda1942z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622892z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2597z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72893za7,
		BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1980za7622894z00,
		BGl_z62lambda1980z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1979za7622895z00,
		BGl_z62lambda1979z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3707, char *BgL_fromz00_3708)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2332z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2333z00zz__evaluate_typesz00);
			BGl_symbol2334z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2335z00zz__evaluate_typesz00);
			BGl_symbol2338z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2339z00zz__evaluate_typesz00);
			BGl_symbol2340z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2341z00zz__evaluate_typesz00);
			BGl_symbol2345z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2346z00zz__evaluate_typesz00);
			BGl_symbol2349z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2350z00zz__evaluate_typesz00);
			BGl_symbol2351z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2352z00zz__evaluate_typesz00);
			BGl_symbol2356z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2357z00zz__evaluate_typesz00);
			BGl_symbol2360z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2361z00zz__evaluate_typesz00);
			BGl_symbol2366z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2367z00zz__evaluate_typesz00);
			BGl_symbol2371z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2372z00zz__evaluate_typesz00);
			BGl_symbol2375z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2376z00zz__evaluate_typesz00);
			BGl_symbol2380z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2381z00zz__evaluate_typesz00);
			BGl_symbol2384z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2385z00zz__evaluate_typesz00);
			BGl_symbol2388z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2389z00zz__evaluate_typesz00);
			BGl_symbol2392z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2393z00zz__evaluate_typesz00);
			BGl_symbol2397z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2398z00zz__evaluate_typesz00);
			BGl_symbol2401z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2402z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2411z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00);
			BGl_symbol2416z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2417z00zz__evaluate_typesz00);
			BGl_symbol2420z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2421z00zz__evaluate_typesz00);
			BGl_symbol2424z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2425z00zz__evaluate_typesz00);
			BGl_symbol2429z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2430z00zz__evaluate_typesz00);
			BGl_symbol2436z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2437z00zz__evaluate_typesz00);
			BGl_symbol2441z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2442z00zz__evaluate_typesz00);
			BGl_symbol2445z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2446z00zz__evaluate_typesz00);
			BGl_symbol2450z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2451z00zz__evaluate_typesz00);
			BGl_symbol2461z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00);
			BGl_symbol2466z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00);
			BGl_symbol2470z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2471z00zz__evaluate_typesz00);
			BGl_symbol2474z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2475z00zz__evaluate_typesz00);
			BGl_symbol2479z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00);
			BGl_symbol2488z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2489z00zz__evaluate_typesz00);
			BGl_symbol2494z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2495z00zz__evaluate_typesz00);
			BGl_symbol2499z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2500z00zz__evaluate_typesz00);
			BGl_symbol2505z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00);
			BGl_symbol2509z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2510z00zz__evaluate_typesz00);
			BGl_symbol2514z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2515z00zz__evaluate_typesz00);
			BGl_symbol2519z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2520z00zz__evaluate_typesz00);
			BGl_symbol2524z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2525z00zz__evaluate_typesz00);
			BGl_symbol2532z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2533z00zz__evaluate_typesz00);
			BGl_symbol2537z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2538z00zz__evaluate_typesz00);
			BGl_symbol2547z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2548z00zz__evaluate_typesz00);
			BGl_symbol2552z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2553z00zz__evaluate_typesz00);
			BGl_symbol2561z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2562z00zz__evaluate_typesz00);
			BGl_symbol2567z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2568z00zz__evaluate_typesz00);
			BGl_symbol2571z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00);
			BGl_symbol2578z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2579z00zz__evaluate_typesz00);
			BGl_symbol2582z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2583z00zz__evaluate_typesz00);
			BGl_symbol2588z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2589z00zz__evaluate_typesz00);
			BGl_symbol2595z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2596z00zz__evaluate_typesz00);
			BGl_symbol2603z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2604z00zz__evaluate_typesz00);
			BGl_symbol2608z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2609z00zz__evaluate_typesz00);
			BGl_symbol2613z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2614z00zz__evaluate_typesz00);
			BGl_symbol2618z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2619z00zz__evaluate_typesz00);
			BGl_symbol2620z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2621z00zz__evaluate_typesz00);
			BGl_symbol2628z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2629z00zz__evaluate_typesz00);
			BGl_symbol2632z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2633z00zz__evaluate_typesz00);
			BGl_symbol2639z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00);
			return (BGl_symbol2641z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2642z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1459z00_612;
				obj_t BgL_arg1460z00_613;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1364z00_623;

					BgL_v1364z00_623 = create_vector((int) (((long) 0)));
					BgL_arg1459z00_612 = BgL_v1364z00_623;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1365z00_624;

					BgL_v1365z00_624 = create_vector((int) (((long) 0)));
					BgL_arg1460z00_613 = BgL_v1365z00_624;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2332z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2331z00zz__evaluate_typesz00,
					BGl_proc2330z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2329z00zz__evaluate_typesz00, BFALSE, BgL_arg1459z00_612,
					BgL_arg1460z00_613);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1472z00_631;
				obj_t BgL_arg1473z00_632;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1366z00_645;

					BgL_v1366z00_645 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1366z00_645,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2338z00zz__evaluate_typesz00,
							BGl_proc2337z00zz__evaluate_typesz00,
							BGl_proc2336z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1366z00_645, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2345z00zz__evaluate_typesz00,
							BGl_proc2344z00zz__evaluate_typesz00,
							BGl_proc2343z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2342z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1366z00_645, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2349z00zz__evaluate_typesz00,
							BGl_proc2348z00zz__evaluate_typesz00,
							BGl_proc2347z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2351z00zz__evaluate_typesz00));
					BgL_arg1472z00_631 = BgL_v1366z00_645;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1367z00_685;

					BgL_v1367z00_685 = create_vector((int) (((long) 0)));
					BgL_arg1473z00_632 = BgL_v1367z00_685;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2356z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2355z00zz__evaluate_typesz00,
					BGl_proc2354z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2353z00zz__evaluate_typesz00, BFALSE, BgL_arg1472z00_631,
					BgL_arg1473z00_632);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1502z00_692;
				obj_t BgL_arg1503z00_693;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1368z00_706;

					BgL_v1368z00_706 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1368z00_706,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2360z00zz__evaluate_typesz00,
							BGl_proc2359z00zz__evaluate_typesz00,
							BGl_proc2358z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1368z00_706, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2349z00zz__evaluate_typesz00,
							BGl_proc2363z00zz__evaluate_typesz00,
							BGl_proc2362z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2351z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1368z00_706, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2366z00zz__evaluate_typesz00,
							BGl_proc2365z00zz__evaluate_typesz00,
							BGl_proc2364z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1502z00_692 = BgL_v1368z00_706;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1369z00_743;

					BgL_v1369z00_743 = create_vector((int) (((long) 0)));
					BgL_arg1503z00_693 = BgL_v1369z00_743;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2371z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2370z00zz__evaluate_typesz00,
					BGl_proc2369z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2368z00zz__evaluate_typesz00, BFALSE, BgL_arg1502z00_692,
					BgL_arg1503z00_693);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1533z00_750;
				obj_t BgL_arg1534z00_751;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1370z00_762;

					BgL_v1370z00_762 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1370z00_762,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2375z00zz__evaluate_typesz00,
							BGl_proc2374z00zz__evaluate_typesz00,
							BGl_proc2373z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1533z00_750 = BgL_v1370z00_762;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1371z00_775;

					BgL_v1371z00_775 = create_vector((int) (((long) 0)));
					BgL_arg1534z00_751 = BgL_v1371z00_775;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2380z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2379z00zz__evaluate_typesz00,
					BGl_proc2378z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2377z00zz__evaluate_typesz00, BFALSE, BgL_arg1533z00_750,
					BgL_arg1534z00_751);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1555z00_782;
				obj_t BgL_arg1556z00_783;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1372z00_796;

					BgL_v1372z00_796 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1372z00_796,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2384z00zz__evaluate_typesz00,
							BGl_proc2383z00zz__evaluate_typesz00,
							BGl_proc2382z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1372z00_796, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2388z00zz__evaluate_typesz00,
							BGl_proc2387z00zz__evaluate_typesz00,
							BGl_proc2386z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1372z00_796, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00,
							BGl_proc2390z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1555z00_782 = BgL_v1372z00_796;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1373z00_833;

					BgL_v1373z00_833 = create_vector((int) (((long) 0)));
					BgL_arg1556z00_783 = BgL_v1373z00_833;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2397z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2396z00zz__evaluate_typesz00,
					BGl_proc2395z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2394z00zz__evaluate_typesz00, BFALSE, BgL_arg1555z00_782,
					BgL_arg1556z00_783);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1583z00_840;
				obj_t BgL_arg1584z00_841;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1374z00_852;

					BgL_v1374z00_852 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1374z00_852,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2401z00zz__evaluate_typesz00,
							BGl_proc2400z00zz__evaluate_typesz00,
							BGl_proc2399z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1583z00_840 = BgL_v1374z00_852;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1375z00_865;

					BgL_v1375z00_865 = create_vector((int) (((long) 0)));
					BgL_arg1584z00_841 = BgL_v1375z00_865;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2406z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2405z00zz__evaluate_typesz00,
					BGl_proc2404z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2403z00zz__evaluate_typesz00, BFALSE, BgL_arg1583z00_840,
					BgL_arg1584z00_841);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1599z00_872;
				obj_t BgL_arg1600z00_873;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1376z00_884;

					BgL_v1376z00_884 = create_vector((int) (((long) 0)));
					BgL_arg1599z00_872 = BgL_v1376z00_884;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1377z00_885;

					BgL_v1377z00_885 = create_vector((int) (((long) 0)));
					BgL_arg1600z00_873 = BgL_v1377z00_885;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2411z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2410z00zz__evaluate_typesz00,
					BGl_proc2409z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BgL_arg1599z00_872,
					BgL_arg1600z00_873);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1610z00_892;
				obj_t BgL_arg1611z00_893;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1378z00_904;

					BgL_v1378z00_904 = create_vector((int) (((long) 0)));
					BgL_arg1610z00_892 = BgL_v1378z00_904;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1379z00_905;

					BgL_v1379z00_905 = create_vector((int) (((long) 0)));
					BgL_arg1611z00_893 = BgL_v1379z00_905;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2416z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2415z00zz__evaluate_typesz00,
					BGl_proc2414z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2413z00zz__evaluate_typesz00, BFALSE, BgL_arg1610z00_892,
					BgL_arg1611z00_893);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1620z00_912;
				obj_t BgL_arg1621z00_913;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1380z00_925;

					BgL_v1380z00_925 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1380z00_925,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00,
							BGl_proc2418z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1380z00_925, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2424z00zz__evaluate_typesz00,
							BGl_proc2423z00zz__evaluate_typesz00,
							BGl_proc2422z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1620z00_912 = BgL_v1380z00_925;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1381z00_950;

					BgL_v1381z00_950 = create_vector((int) (((long) 0)));
					BgL_arg1621z00_913 = BgL_v1381z00_950;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2429z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2428z00zz__evaluate_typesz00,
					BGl_proc2427z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2426z00zz__evaluate_typesz00, BFALSE, BgL_arg1620z00_912,
					BgL_arg1621z00_913);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1645z00_957;
				obj_t BgL_arg1646z00_958;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1382z00_969;

					BgL_v1382z00_969 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1382z00_969,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2384z00zz__evaluate_typesz00,
							BGl_proc2432z00zz__evaluate_typesz00,
							BGl_proc2431z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1645z00_957 = BgL_v1382z00_969;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1383z00_982;

					BgL_v1383z00_982 = create_vector((int) (((long) 0)));
					BgL_arg1646z00_958 = BgL_v1383z00_982;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2436z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2435z00zz__evaluate_typesz00,
					BGl_proc2434z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2433z00zz__evaluate_typesz00, BFALSE, BgL_arg1645z00_957,
					BgL_arg1646z00_958);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1661z00_989;
				obj_t BgL_arg1662z00_990;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1384z00_1001;

					BgL_v1384z00_1001 = create_vector((int) (((long) 0)));
					BgL_arg1661z00_989 = BgL_v1384z00_1001;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1385z00_1002;

					BgL_v1385z00_1002 = create_vector((int) (((long) 0)));
					BgL_arg1662z00_990 = BgL_v1385z00_1002;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2441z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2440z00zz__evaluate_typesz00,
					BGl_proc2439z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2438z00zz__evaluate_typesz00, BFALSE, BgL_arg1661z00_989,
					BgL_arg1662z00_990);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1671z00_1009;
				obj_t BgL_arg1672z00_1010;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1386z00_1022;

					BgL_v1386z00_1022 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1386z00_1022,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2445z00zz__evaluate_typesz00,
							BGl_proc2444z00zz__evaluate_typesz00,
							BGl_proc2443z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1671z00_1009 = BgL_v1386z00_1022;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1387z00_1035;

					BgL_v1387z00_1035 = create_vector((int) (((long) 0)));
					BgL_arg1672z00_1010 = BgL_v1387z00_1035;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2450z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2449z00zz__evaluate_typesz00,
					BGl_proc2448z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2447z00zz__evaluate_typesz00, BFALSE, BgL_arg1671z00_1009,
					BgL_arg1672z00_1010);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1686z00_1042;
				obj_t BgL_arg1687z00_1043;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1388z00_1057;

					BgL_v1388z00_1057 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1388z00_1057,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2360z00zz__evaluate_typesz00,
							BGl_proc2453z00zz__evaluate_typesz00,
							BGl_proc2452z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_1057, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2349z00zz__evaluate_typesz00,
							BGl_proc2455z00zz__evaluate_typesz00,
							BGl_proc2454z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2351z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_1057, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2366z00zz__evaluate_typesz00,
							BGl_proc2457z00zz__evaluate_typesz00,
							BGl_proc2456z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1686z00_1042 = BgL_v1388z00_1057;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1389z00_1094;

					BgL_v1389z00_1094 = create_vector((int) (((long) 0)));
					BgL_arg1687z00_1043 = BgL_v1389z00_1094;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2461z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2460z00zz__evaluate_typesz00,
					BGl_proc2459z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2458z00zz__evaluate_typesz00, BFALSE, BgL_arg1686z00_1042,
					BgL_arg1687z00_1043);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1711z00_1101;
				obj_t BgL_arg1712z00_1102;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1390z00_1116;

					BgL_v1390z00_1116 = create_vector((int) (((long) 0)));
					BgL_arg1711z00_1101 = BgL_v1390z00_1116;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1391z00_1117;

					BgL_v1391z00_1117 = create_vector((int) (((long) 0)));
					BgL_arg1712z00_1102 = BgL_v1391z00_1117;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2466z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2465z00zz__evaluate_typesz00,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2463z00zz__evaluate_typesz00, BFALSE, BgL_arg1711z00_1101,
					BgL_arg1712z00_1102);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1722z00_1124;
				obj_t BgL_arg1723z00_1125;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1392z00_1137;

					BgL_v1392z00_1137 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1392z00_1137,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2470z00zz__evaluate_typesz00,
							BGl_proc2469z00zz__evaluate_typesz00,
							BGl_proc2468z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_1137, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00,
							BGl_proc2472z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1722z00_1124 = BgL_v1392z00_1137;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1393z00_1162;

					BgL_v1393z00_1162 = create_vector((int) (((long) 0)));
					BgL_arg1723z00_1125 = BgL_v1393z00_1162;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2479z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2478z00zz__evaluate_typesz00,
					BGl_proc2477z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2476z00zz__evaluate_typesz00, BFALSE, BgL_arg1722z00_1124,
					BgL_arg1723z00_1125);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1744z00_1169;
				obj_t BgL_arg1745z00_1170;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1394z00_1182;

					BgL_v1394z00_1182 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1394z00_1182,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2470z00zz__evaluate_typesz00,
							BGl_proc2482z00zz__evaluate_typesz00,
							BGl_proc2481z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1394z00_1182, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2384z00zz__evaluate_typesz00,
							BGl_proc2484z00zz__evaluate_typesz00,
							BGl_proc2483z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1744z00_1169 = BgL_v1394z00_1182;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1395z00_1207;

					BgL_v1395z00_1207 = create_vector((int) (((long) 0)));
					BgL_arg1745z00_1170 = BgL_v1395z00_1207;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2488z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2487z00zz__evaluate_typesz00,
					BGl_proc2486z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2485z00zz__evaluate_typesz00, BFALSE, BgL_arg1744z00_1169,
					BgL_arg1745z00_1170);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1765z00_1214;
				obj_t BgL_arg1766z00_1215;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1396z00_1227;

					BgL_v1396z00_1227 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1396z00_1227,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2470z00zz__evaluate_typesz00,
							BGl_proc2491z00zz__evaluate_typesz00,
							BGl_proc2490z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1396z00_1227, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2494z00zz__evaluate_typesz00,
							BGl_proc2493z00zz__evaluate_typesz00,
							BGl_proc2492z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1765z00_1214 = BgL_v1396z00_1227;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1397z00_1252;

					BgL_v1397z00_1252 = create_vector((int) (((long) 0)));
					BgL_arg1766z00_1215 = BgL_v1397z00_1252;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2499z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2498z00zz__evaluate_typesz00,
					BGl_proc2497z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2496z00zz__evaluate_typesz00, BFALSE, BgL_arg1765z00_1214,
					BgL_arg1766z00_1215);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1786z00_1259;
				obj_t BgL_arg1787z00_1260;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1398z00_1273;

					BgL_v1398z00_1273 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1398z00_1273,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2470z00zz__evaluate_typesz00,
							BGl_proc2502z00zz__evaluate_typesz00,
							BGl_proc2501z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1398z00_1273, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2505z00zz__evaluate_typesz00,
							BGl_proc2504z00zz__evaluate_typesz00,
							BGl_proc2503z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1398z00_1273, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2509z00zz__evaluate_typesz00,
							BGl_proc2508z00zz__evaluate_typesz00,
							BGl_proc2507z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1786z00_1259 = BgL_v1398z00_1273;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1399z00_1310;

					BgL_v1399z00_1310 = create_vector((int) (((long) 0)));
					BgL_arg1787z00_1260 = BgL_v1399z00_1310;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2514z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2513z00zz__evaluate_typesz00,
					BGl_proc2512z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2511z00zz__evaluate_typesz00, BFALSE, BgL_arg1786z00_1259,
					BgL_arg1787z00_1260);
			}
			{	/* Eval/evaluate_types.scm 96 */
				obj_t BgL_arg1811z00_1317;
				obj_t BgL_arg1812z00_1318;

				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v1400z00_1332;

					BgL_v1400z00_1332 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1400z00_1332,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2519z00zz__evaluate_typesz00,
							BGl_proc2518z00zz__evaluate_typesz00,
							BGl_proc2517z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2516z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1811z00_1317 = BgL_v1400z00_1332;
				}
				{	/* Eval/evaluate_types.scm 96 */
					obj_t BgL_v1401z00_1348;

					BgL_v1401z00_1348 = create_vector((int) (((long) 0)));
					BgL_arg1812z00_1318 = BgL_v1401z00_1348;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2524z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2523z00zz__evaluate_typesz00,
					BGl_proc2522z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2521z00zz__evaluate_typesz00, BFALSE, BgL_arg1811z00_1317,
					BgL_arg1812z00_1318);
			}
			{	/* Eval/evaluate_types.scm 98 */
				obj_t BgL_arg1829z00_1355;
				obj_t BgL_arg1830z00_1356;

				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v1402z00_1370;

					BgL_v1402z00_1370 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1402z00_1370,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2519z00zz__evaluate_typesz00,
							BGl_proc2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2526z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1829z00_1355 = BgL_v1402z00_1370;
				}
				{	/* Eval/evaluate_types.scm 98 */
					obj_t BgL_v1403z00_1386;

					BgL_v1403z00_1386 = create_vector((int) (((long) 0)));
					BgL_arg1830z00_1356 = BgL_v1403z00_1386;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2532z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2531z00zz__evaluate_typesz00,
					BGl_proc2530z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2529z00zz__evaluate_typesz00, BFALSE, BgL_arg1829z00_1355,
					BgL_arg1830z00_1356);
			}
			{	/* Eval/evaluate_types.scm 100 */
				obj_t BgL_arg1849z00_1393;
				obj_t BgL_arg1850z00_1394;

				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v1404z00_1407;

					BgL_v1404z00_1407 = create_vector((int) (((long) 0)));
					BgL_arg1849z00_1393 = BgL_v1404z00_1407;
				}
				{	/* Eval/evaluate_types.scm 100 */
					obj_t BgL_v1405z00_1408;

					BgL_v1405z00_1408 = create_vector((int) (((long) 0)));
					BgL_arg1850z00_1394 = BgL_v1405z00_1408;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2537z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2536z00zz__evaluate_typesz00,
					BGl_proc2535z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2534z00zz__evaluate_typesz00, BFALSE, BgL_arg1849z00_1393,
					BgL_arg1850z00_1394);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1859z00_1415;
				obj_t BgL_arg1860z00_1416;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1406z00_1432;

					BgL_v1406z00_1432 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1406z00_1432,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2519z00zz__evaluate_typesz00,
							BGl_proc2541z00zz__evaluate_typesz00,
							BGl_proc2540z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2539z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1432, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2470z00zz__evaluate_typesz00,
							BGl_proc2543z00zz__evaluate_typesz00,
							BGl_proc2542z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1432, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2547z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2544z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1432, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2552z00zz__evaluate_typesz00,
							BGl_proc2551z00zz__evaluate_typesz00,
							BGl_proc2550z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2549z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1432, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2505z00zz__evaluate_typesz00,
							BGl_proc2555z00zz__evaluate_typesz00,
							BGl_proc2554z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1406z00_1432, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2509z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1859z00_1415 = BgL_v1406z00_1432;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1407z00_1514;

					BgL_v1407z00_1514 = create_vector((int) (((long) 0)));
					BgL_arg1860z00_1416 = BgL_v1407z00_1514;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2561z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2560z00zz__evaluate_typesz00,
					BGl_proc2559z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2558z00zz__evaluate_typesz00, BFALSE, BgL_arg1859z00_1415,
					BgL_arg1860z00_1416);
			}
			{	/* Eval/evaluate_types.scm 109 */
				obj_t BgL_arg1908z00_1521;
				obj_t BgL_arg1909z00_1522;

				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v1408z00_1536;

					BgL_v1408z00_1536 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1408z00_1536,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2401z00zz__evaluate_typesz00,
							BGl_proc2564z00zz__evaluate_typesz00,
							BGl_proc2563z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1536, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2567z00zz__evaluate_typesz00,
							BGl_proc2566z00zz__evaluate_typesz00,
							BGl_proc2565z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1536, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2571z00zz__evaluate_typesz00,
							BGl_proc2570z00zz__evaluate_typesz00,
							BGl_proc2569z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1536, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2366z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1908z00_1521 = BgL_v1408z00_1536;
				}
				{	/* Eval/evaluate_types.scm 109 */
					obj_t BgL_v1409z00_1585;

					BgL_v1409z00_1585 = create_vector((int) (((long) 0)));
					BgL_arg1909z00_1522 = BgL_v1409z00_1585;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2578z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2577z00zz__evaluate_typesz00,
					BGl_proc2576z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2575z00zz__evaluate_typesz00, BFALSE, BgL_arg1908z00_1521,
					BgL_arg1909z00_1522);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1938z00_1592;
				obj_t BgL_arg1939z00_1593;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1410z00_1607;

					BgL_v1410z00_1607 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1410z00_1607,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2582z00zz__evaluate_typesz00,
							BGl_proc2581z00zz__evaluate_typesz00,
							BGl_proc2580z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1607, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2401z00zz__evaluate_typesz00,
							BGl_proc2585z00zz__evaluate_typesz00,
							BGl_proc2584z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1607, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2588z00zz__evaluate_typesz00,
							BGl_proc2587z00zz__evaluate_typesz00,
							BGl_proc2586z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1410z00_1607, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2366z00zz__evaluate_typesz00,
							BGl_proc2591z00zz__evaluate_typesz00,
							BGl_proc2590z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1938z00_1592 = BgL_v1410z00_1607;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1411z00_1656;

					BgL_v1411z00_1656 = create_vector((int) (((long) 0)));
					BgL_arg1939z00_1593 = BgL_v1411z00_1656;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2595z00zz__evaluate_typesz00,
					BGl_symbol2334z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2594z00zz__evaluate_typesz00,
					BGl_proc2593z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2592z00zz__evaluate_typesz00, BFALSE, BgL_arg1938z00_1592,
					BgL_arg1939z00_1593);
			}
			{	/* Eval/evaluate_types.scm 117 */
				obj_t BgL_arg1968z00_1663;
				obj_t BgL_arg1969z00_1664;

				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1412z00_1684;

					BgL_v1412z00_1684 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1412z00_1684,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2519z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00,
							BGl_proc2598z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2597z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2603z00zz__evaluate_typesz00,
							BGl_proc2602z00zz__evaluate_typesz00,
							BGl_proc2601z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2600z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2608z00zz__evaluate_typesz00,
							BGl_proc2607z00zz__evaluate_typesz00,
							BGl_proc2606z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2605z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2613z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00,
							BGl_proc2611z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2610z00zz__evaluate_typesz00,
							BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00,
							BGl_proc2616z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2615z00zz__evaluate_typesz00,
							BGl_symbol2620z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2470z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2509z00zz__evaluate_typesz00,
							BGl_proc2625z00zz__evaluate_typesz00,
							BGl_proc2624z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2628z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2632z00zz__evaluate_typesz00,
							BGl_proc2631z00zz__evaluate_typesz00,
							BGl_proc2630z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1684, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2366z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00,
							BGl_proc2634z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2340z00zz__evaluate_typesz00));
					BgL_arg1968z00_1663 = BgL_v1412z00_1684;
				}
				{	/* Eval/evaluate_types.scm 117 */
					obj_t BgL_v1413z00_1820;

					BgL_v1413z00_1820 = create_vector((int) (((long) 0)));
					BgL_arg1969z00_1664 = BgL_v1413z00_1820;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2639z00zz__evaluate_typesz00,
						BGl_symbol2334z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2638z00zz__evaluate_typesz00,
						BGl_proc2637z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2636z00zz__evaluate_typesz00, BFALSE, BgL_arg1968z00_1663,
						BgL_arg1969z00_1664), BUNSPEC);
		}}
	}



/* &<anonymous:1974> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza31974ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3102, obj_t BgL_new1185z00_3103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				BgL_ev_absz00_bglt BgL_new1185z00_1682;

				BgL_new1185z00_1682 = ((BgL_ev_absz00_bglt) BgL_new1185z00_3103);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1185z00_1682))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1185z00_1682;
			}
		}
	}



/* &lambda1972 */
	BgL_ev_absz00_bglt BGl_z62lambda1972z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3104)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{

				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_new1184z00_1680;

					BgL_new1184z00_1680 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 117 */
						long BgL_arg1973z00_1681;

						{	/* Eval/evaluate_types.scm 117 */
							long BgL_res2298z00_2710;

							{	/* Eval/evaluate_types.scm 117 */
								obj_t BgL_classz00_2707;

								BgL_classz00_2707 = BGl_ev_absz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_vectorz00_2708;
									int BgL_kz00_2709;

									BgL_vectorz00_2708 = BgL_classz00_2707;
									BgL_kz00_2709 = (int) (((long) 1));
									BgL_res2298z00_2710 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2708, BgL_kz00_2709));
							}}
							BgL_arg1973z00_1681 = BgL_res2298z00_2710;
						}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_objz00_2711;

							BgL_objz00_2711 = ((BgL_objectz00_bglt) BgL_new1184z00_1680);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2711, BgL_arg1973z00_1681);
					}}
					{	/* Eval/evaluate_types.scm 117 */
						BgL_objectz00_bglt BgL_auxz00_4080;

						BgL_auxz00_4080 = ((BgL_objectz00_bglt) BgL_new1184z00_1680);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4080, BFALSE);
					}
					return BgL_new1184z00_1680;
				}
			}
		}
	}



/* &lambda1970 */
	BgL_ev_absz00_bglt BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3105, obj_t BgL_loc1174z00_3106, obj_t BgL_where1175z00_3107,
		obj_t BgL_arity1176z00_3108, obj_t BgL_vars1177z00_3109,
		obj_t BgL_body1178z00_3110, obj_t BgL_siza7e1179za7_3111,
		obj_t BgL_bind1180z00_3112, obj_t BgL_free1181z00_3113,
		obj_t BgL_inner1182z00_3114, obj_t BgL_boxes1183z00_3115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{
				obj_t BgL_loc1174z00_1665;
				obj_t BgL_where1175z00_1666;
				obj_t BgL_arity1176z00_1667;
				obj_t BgL_vars1177z00_1668;
				BgL_ev_exprz00_bglt BgL_body1178z00_1669;
				int BgL_siza7e1179za7_1670;
				obj_t BgL_bind1180z00_1671;
				obj_t BgL_free1181z00_1672;
				obj_t BgL_inner1182z00_1673;
				obj_t BgL_boxes1183z00_1674;

				BgL_loc1174z00_1665 = BgL_loc1174z00_3106;
				BgL_where1175z00_1666 = BgL_where1175z00_3107;
				BgL_arity1176z00_1667 = BgL_arity1176z00_3108;
				BgL_vars1177z00_1668 = BgL_vars1177z00_3109;
				BgL_body1178z00_1669 = ((BgL_ev_exprz00_bglt) BgL_body1178z00_3110);
				BgL_siza7e1179za7_1670 = CINT(BgL_siza7e1179za7_3111);
				BgL_bind1180z00_1671 = BgL_bind1180z00_3112;
				BgL_free1181z00_1672 = BgL_free1181z00_3113;
				BgL_inner1182z00_1673 = BgL_inner1182z00_3114;
				BgL_boxes1183z00_1674 = BgL_boxes1183z00_3115;
				{	/* Eval/evaluate_types.scm 117 */
					BgL_ev_absz00_bglt BgL_new1322z00_2698;

					{	/* Eval/evaluate_types.scm 117 */
						BgL_ev_absz00_bglt BgL_new1321z00_2699;

						BgL_new1321z00_2699 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 117 */
							long BgL_arg1971z00_2700;

							{	/* Eval/evaluate_types.scm 117 */
								long BgL_res2297z00_2704;

								{	/* Eval/evaluate_types.scm 117 */
									obj_t BgL_classz00_2701;

									BgL_classz00_2701 = BGl_ev_absz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 117 */
										obj_t BgL_vectorz00_2702;
										int BgL_kz00_2703;

										BgL_vectorz00_2702 = BgL_classz00_2701;
										BgL_kz00_2703 = (int) (((long) 1));
										BgL_res2297z00_2704 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2702,
												BgL_kz00_2703));
								}}
								BgL_arg1971z00_2700 = BgL_res2297z00_2704;
							}
							{	/* Eval/evaluate_types.scm 117 */
								BgL_objectz00_bglt BgL_objz00_2705;

								BgL_objz00_2705 = ((BgL_objectz00_bglt) BgL_new1321z00_2699);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2705, BgL_arg1971z00_2700);
						}}
						{	/* Eval/evaluate_types.scm 117 */
							BgL_objectz00_bglt BgL_auxz00_4089;

							BgL_auxz00_4089 = ((BgL_objectz00_bglt) BgL_new1321z00_2699);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4089, BFALSE);
						}
						BgL_new1322z00_2698 = BgL_new1321z00_2699;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_locz00) =
						((obj_t) BgL_loc1174z00_1665), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_wherez00) =
						((obj_t) BgL_where1175z00_1666), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_arityz00) =
						((obj_t) BgL_arity1176z00_1667), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_varsz00) =
						((obj_t) BgL_vars1177z00_1668), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1178z00_1669), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_siza7eza7) =
						((int) BgL_siza7e1179za7_1670), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_bindz00) =
						((obj_t) BgL_bind1180z00_1671), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_freez00) =
						((obj_t) BgL_free1181z00_1672), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_innerz00) =
						((obj_t) BgL_inner1182z00_1673), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1322z00_2698))->BgL_boxesz00) =
						((obj_t) BgL_boxes1183z00_1674), BUNSPEC);
					return BgL_new1322z00_2698;
				}
			}
		}
	}



/* &lambda2040 */
	obj_t BGl_z62lambda2040z62zz__evaluate_typesz00(obj_t BgL_envz00_3116,
		obj_t BgL_oz00_3117, obj_t BgL_vz00_3118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3549;

				BgL_oz00_3549 = ((BgL_ev_absz00_bglt) BgL_oz00_3117);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3549))->BgL_locz00) =
					((obj_t) BgL_vz00_3118), BUNSPEC);
			}
		}
	}



/* &lambda2039 */
	obj_t BGl_z62lambda2039z62zz__evaluate_typesz00(obj_t BgL_envz00_3119,
		obj_t BgL_oz00_3120)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3120)))->BgL_locz00);
		}
	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t BgL_envz00_3121,
		obj_t BgL_oz00_3122, obj_t BgL_vz00_3123)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3552;

				BgL_oz00_3552 = ((BgL_ev_absz00_bglt) BgL_oz00_3122);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3552))->BgL_wherez00) =
					((obj_t) BgL_vz00_3123), BUNSPEC);
			}
		}
	}



/* &lambda2034 */
	obj_t BGl_z62lambda2034z62zz__evaluate_typesz00(obj_t BgL_envz00_3124,
		obj_t BgL_oz00_3125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3125)))->BgL_wherez00);
		}
	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zz__evaluate_typesz00(obj_t BgL_envz00_3126,
		obj_t BgL_oz00_3127, obj_t BgL_vz00_3128)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3555;

				BgL_oz00_3555 = ((BgL_ev_absz00_bglt) BgL_oz00_3127);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3555))->BgL_arityz00) =
					((obj_t) BgL_vz00_3128), BUNSPEC);
			}
		}
	}



/* &lambda2029 */
	obj_t BGl_z62lambda2029z62zz__evaluate_typesz00(obj_t BgL_envz00_3129,
		obj_t BgL_oz00_3130)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3130)))->BgL_arityz00);
		}
	}



/* &lambda2025 */
	obj_t BGl_z62lambda2025z62zz__evaluate_typesz00(obj_t BgL_envz00_3131,
		obj_t BgL_oz00_3132, obj_t BgL_vz00_3133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3558;

				BgL_oz00_3558 = ((BgL_ev_absz00_bglt) BgL_oz00_3132);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3558))->BgL_varsz00) =
					((obj_t) BgL_vz00_3133), BUNSPEC);
			}
		}
	}



/* &lambda2024 */
	obj_t BGl_z62lambda2024z62zz__evaluate_typesz00(obj_t BgL_envz00_3134,
		obj_t BgL_oz00_3135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3135)))->BgL_varsz00);
		}
	}



/* &lambda2018 */
	obj_t BGl_z62lambda2018z62zz__evaluate_typesz00(obj_t BgL_envz00_3136,
		obj_t BgL_oz00_3137, obj_t BgL_vz00_3138)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3561;
				BgL_ev_exprz00_bglt BgL_vz00_3562;

				BgL_oz00_3561 = ((BgL_ev_absz00_bglt) BgL_oz00_3137);
				BgL_vz00_3562 = ((BgL_ev_exprz00_bglt) BgL_vz00_3138);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3561))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3562), BUNSPEC);
			}
		}
	}



/* &lambda2017 */
	BgL_ev_exprz00_bglt BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3139, obj_t BgL_oz00_3140)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3140)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2012> */
	obj_t BGl_z62zc3anonymousza32012ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BINT(((long) 0));
		}
	}



/* &lambda2011 */
	obj_t BGl_z62lambda2011z62zz__evaluate_typesz00(obj_t BgL_envz00_3142,
		obj_t BgL_oz00_3143, obj_t BgL_vz00_3144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3564;
				int BgL_vz00_3565;

				BgL_oz00_3564 = ((BgL_ev_absz00_bglt) BgL_oz00_3143);
				BgL_vz00_3565 = CINT(BgL_vz00_3144);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3564))->BgL_siza7eza7) =
					((int) BgL_vz00_3565), BUNSPEC);
		}}
	}



/* &lambda2010 */
	obj_t BGl_z62lambda2010z62zz__evaluate_typesz00(obj_t BgL_envz00_3145,
		obj_t BgL_oz00_3146)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3146)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2004> */
	obj_t BGl_z62zc3anonymousza32004ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda2003 */
	obj_t BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t BgL_envz00_3148,
		obj_t BgL_oz00_3149, obj_t BgL_vz00_3150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3567;

				BgL_oz00_3567 = ((BgL_ev_absz00_bglt) BgL_oz00_3149);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3567))->BgL_bindz00) =
					((obj_t) BgL_vz00_3150), BUNSPEC);
			}
		}
	}



/* &lambda2002 */
	obj_t BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t BgL_envz00_3151,
		obj_t BgL_oz00_3152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3152)))->BgL_bindz00);
		}
	}



/* &<anonymous:1996> */
	obj_t BGl_z62zc3anonymousza31996ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3153)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1995 */
	obj_t BGl_z62lambda1995z62zz__evaluate_typesz00(obj_t BgL_envz00_3154,
		obj_t BgL_oz00_3155, obj_t BgL_vz00_3156)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3570;

				BgL_oz00_3570 = ((BgL_ev_absz00_bglt) BgL_oz00_3155);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3570))->BgL_freez00) =
					((obj_t) BgL_vz00_3156), BUNSPEC);
			}
		}
	}



/* &lambda1994 */
	obj_t BGl_z62lambda1994z62zz__evaluate_typesz00(obj_t BgL_envz00_3157,
		obj_t BgL_oz00_3158)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3158)))->BgL_freez00);
		}
	}



/* &<anonymous:1989> */
	obj_t BGl_z62zc3anonymousza31989ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1988 */
	obj_t BGl_z62lambda1988z62zz__evaluate_typesz00(obj_t BgL_envz00_3160,
		obj_t BgL_oz00_3161, obj_t BgL_vz00_3162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3573;

				BgL_oz00_3573 = ((BgL_ev_absz00_bglt) BgL_oz00_3161);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3573))->BgL_innerz00) =
					((obj_t) BgL_vz00_3162), BUNSPEC);
			}
		}
	}



/* &lambda1987 */
	obj_t BGl_z62lambda1987z62zz__evaluate_typesz00(obj_t BgL_envz00_3163,
		obj_t BgL_oz00_3164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3164)))->BgL_innerz00);
		}
	}



/* &<anonymous:1981> */
	obj_t BGl_z62zc3anonymousza31981ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return BNIL;
		}
	}



/* &lambda1980 */
	obj_t BGl_z62lambda1980z62zz__evaluate_typesz00(obj_t BgL_envz00_3166,
		obj_t BgL_oz00_3167, obj_t BgL_vz00_3168)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			{	/* Eval/evaluate_types.scm 117 */
				BgL_ev_absz00_bglt BgL_oz00_3576;

				BgL_oz00_3576 = ((BgL_ev_absz00_bglt) BgL_oz00_3167);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3576))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3168), BUNSPEC);
			}
		}
	}



/* &lambda1979 */
	obj_t BGl_z62lambda1979z62zz__evaluate_typesz00(obj_t BgL_envz00_3169,
		obj_t BgL_oz00_3170)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 117 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3170)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1944> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31944ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3171, obj_t BgL_new1172z00_3172)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_appz00_bglt BgL_new1172z00_1605;

				BgL_new1172z00_1605 = ((BgL_ev_appz00_bglt) BgL_new1172z00_3172);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1605))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1605))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1605))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1172z00_1605))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1172z00_1605;
			}
		}
	}



/* &lambda1942 */
	BgL_ev_appz00_bglt BGl_z62lambda1942z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3173)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_new1171z00_1603;

					BgL_new1171z00_1603 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1943z00_1604;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2296z00_2645;

							{	/* Eval/evaluate_types.scm 114 */
								obj_t BgL_classz00_2642;

								BgL_classz00_2642 = BGl_ev_appz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_vectorz00_2643;
									int BgL_kz00_2644;

									BgL_vectorz00_2643 = BgL_classz00_2642;
									BgL_kz00_2644 = (int) (((long) 1));
									BgL_res2296z00_2645 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2643, BgL_kz00_2644));
							}}
							BgL_arg1943z00_1604 = BgL_res2296z00_2645;
						}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_objz00_2646;

							BgL_objz00_2646 = ((BgL_objectz00_bglt) BgL_new1171z00_1603);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2646, BgL_arg1943z00_1604);
					}}
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_4161;

						BgL_auxz00_4161 = ((BgL_objectz00_bglt) BgL_new1171z00_1603);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4161, BFALSE);
					}
					return BgL_new1171z00_1603;
				}
			}
		}
	}



/* &lambda1940 */
	BgL_ev_appz00_bglt BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3174, obj_t BgL_loc1167z00_3175, obj_t BgL_fun1168z00_3176,
		obj_t BgL_args1169z00_3177, obj_t BgL_tailzf31170zf3_3178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				obj_t BgL_loc1167z00_1594;
				BgL_ev_exprz00_bglt BgL_fun1168z00_1595;
				obj_t BgL_args1169z00_1596;
				obj_t BgL_tailzf31170zf3_1597;

				BgL_loc1167z00_1594 = BgL_loc1167z00_3175;
				BgL_fun1168z00_1595 = ((BgL_ev_exprz00_bglt) BgL_fun1168z00_3176);
				BgL_args1169z00_1596 = BgL_args1169z00_3177;
				BgL_tailzf31170zf3_1597 = BgL_tailzf31170zf3_3178;
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_appz00_bglt BgL_new1312z00_2633;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_appz00_bglt BgL_new1311z00_2634;

						BgL_new1311z00_2634 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 114 */
							long BgL_arg1941z00_2635;

							{	/* Eval/evaluate_types.scm 114 */
								long BgL_res2295z00_2639;

								{	/* Eval/evaluate_types.scm 114 */
									obj_t BgL_classz00_2636;

									BgL_classz00_2636 = BGl_ev_appz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 114 */
										obj_t BgL_vectorz00_2637;
										int BgL_kz00_2638;

										BgL_vectorz00_2637 = BgL_classz00_2636;
										BgL_kz00_2638 = (int) (((long) 1));
										BgL_res2295z00_2639 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2637,
												BgL_kz00_2638));
								}}
								BgL_arg1941z00_2635 = BgL_res2295z00_2639;
							}
							{	/* Eval/evaluate_types.scm 114 */
								BgL_objectz00_bglt BgL_objz00_2640;

								BgL_objz00_2640 = ((BgL_objectz00_bglt) BgL_new1311z00_2634);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2640, BgL_arg1941z00_2635);
						}}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_4170;

							BgL_auxz00_4170 = ((BgL_objectz00_bglt) BgL_new1311z00_2634);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4170, BFALSE);
						}
						BgL_new1312z00_2633 = BgL_new1311z00_2634;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2633))->BgL_locz00) =
						((obj_t) BgL_loc1167z00_1594), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2633))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1168z00_1595), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2633))->BgL_argsz00) =
						((obj_t) BgL_args1169z00_1596), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1312z00_2633))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31170zf3_1597), BUNSPEC);
					return BgL_new1312z00_2633;
				}
			}
		}
	}



/* &lambda1964 */
	obj_t BGl_z62lambda1964z62zz__evaluate_typesz00(obj_t BgL_envz00_3179,
		obj_t BgL_oz00_3180, obj_t BgL_vz00_3181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3579;

				BgL_oz00_3579 = ((BgL_ev_appz00_bglt) BgL_oz00_3180);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3579))->BgL_locz00) =
					((obj_t) BgL_vz00_3181), BUNSPEC);
			}
		}
	}



/* &lambda1963 */
	obj_t BGl_z62lambda1963z62zz__evaluate_typesz00(obj_t BgL_envz00_3182,
		obj_t BgL_oz00_3183)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3183)))->BgL_locz00);
		}
	}



/* &lambda1959 */
	obj_t BGl_z62lambda1959z62zz__evaluate_typesz00(obj_t BgL_envz00_3184,
		obj_t BgL_oz00_3185, obj_t BgL_vz00_3186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3582;
				BgL_ev_exprz00_bglt BgL_vz00_3583;

				BgL_oz00_3582 = ((BgL_ev_appz00_bglt) BgL_oz00_3185);
				BgL_vz00_3583 = ((BgL_ev_exprz00_bglt) BgL_vz00_3186);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3582))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3583), BUNSPEC);
			}
		}
	}



/* &lambda1958 */
	BgL_ev_exprz00_bglt BGl_z62lambda1958z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3187, obj_t BgL_oz00_3188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3188)))->BgL_funz00);
		}
	}



/* &lambda1954 */
	obj_t BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t BgL_envz00_3189,
		obj_t BgL_oz00_3190, obj_t BgL_vz00_3191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3585;

				BgL_oz00_3585 = ((BgL_ev_appz00_bglt) BgL_oz00_3190);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3585))->BgL_argsz00) =
					((obj_t) BgL_vz00_3191), BUNSPEC);
			}
		}
	}



/* &lambda1953 */
	obj_t BGl_z62lambda1953z62zz__evaluate_typesz00(obj_t BgL_envz00_3192,
		obj_t BgL_oz00_3193)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3193)))->BgL_argsz00);
		}
	}



/* &lambda1949 */
	obj_t BGl_z62lambda1949z62zz__evaluate_typesz00(obj_t BgL_envz00_3194,
		obj_t BgL_oz00_3195, obj_t BgL_vz00_3196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_appz00_bglt BgL_oz00_3588;

				BgL_oz00_3588 = ((BgL_ev_appz00_bglt) BgL_oz00_3195);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3588))->BgL_tailzf3zf3) =
					((obj_t) BgL_vz00_3196), BUNSPEC);
			}
		}
	}



/* &lambda1948 */
	obj_t BGl_z62lambda1948z62zz__evaluate_typesz00(obj_t BgL_envz00_3197,
		obj_t BgL_oz00_3198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3198)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1914> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31914ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3199,
		obj_t BgL_new1165z00_3200)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				BgL_ev_gotoz00_bglt BgL_new1165z00_1534;

				BgL_new1165z00_1534 = ((BgL_ev_gotoz00_bglt) BgL_new1165z00_3200);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1165z00_1534))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1165z00_1534))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_varz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1165z00_1534))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_labelsz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1165z00_1534))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1165z00_1534;
			}
		}
	}



/* &lambda1912 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1912z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{

				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_new1164z00_1532;

					BgL_new1164z00_1532 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 109 */
						long BgL_arg1913z00_1533;

						{	/* Eval/evaluate_types.scm 109 */
							long BgL_res2294z00_2610;

							{	/* Eval/evaluate_types.scm 109 */
								obj_t BgL_classz00_2607;

								BgL_classz00_2607 = BGl_ev_gotoz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_vectorz00_2608;
									int BgL_kz00_2609;

									BgL_vectorz00_2608 = BgL_classz00_2607;
									BgL_kz00_2609 = (int) (((long) 1));
									BgL_res2294z00_2610 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2608, BgL_kz00_2609));
							}}
							BgL_arg1913z00_1533 = BgL_res2294z00_2610;
						}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_objz00_2611;

							BgL_objz00_2611 = ((BgL_objectz00_bglt) BgL_new1164z00_1532);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2611, BgL_arg1913z00_1533);
					}}
					{	/* Eval/evaluate_types.scm 109 */
						BgL_objectz00_bglt BgL_auxz00_4210;

						BgL_auxz00_4210 = ((BgL_objectz00_bglt) BgL_new1164z00_1532);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4210, BFALSE);
					}
					return BgL_new1164z00_1532;
				}
			}
		}
	}



/* &lambda1910 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1910z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3202, obj_t BgL_loc1160z00_3203, obj_t BgL_label1161z00_3204,
		obj_t BgL_labels1162z00_3205, obj_t BgL_args1163z00_3206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{
				obj_t BgL_loc1160z00_1523;
				BgL_ev_varz00_bglt BgL_label1161z00_1524;
				BgL_ev_labelsz00_bglt BgL_labels1162z00_1525;
				obj_t BgL_args1163z00_1526;

				BgL_loc1160z00_1523 = BgL_loc1160z00_3203;
				BgL_label1161z00_1524 = ((BgL_ev_varz00_bglt) BgL_label1161z00_3204);
				BgL_labels1162z00_1525 =
					((BgL_ev_labelsz00_bglt) BgL_labels1162z00_3205);
				BgL_args1163z00_1526 = BgL_args1163z00_3206;
				{	/* Eval/evaluate_types.scm 109 */
					BgL_ev_gotoz00_bglt BgL_new1302z00_2598;

					{	/* Eval/evaluate_types.scm 109 */
						BgL_ev_gotoz00_bglt BgL_new1301z00_2599;

						BgL_new1301z00_2599 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 109 */
							long BgL_arg1911z00_2600;

							{	/* Eval/evaluate_types.scm 109 */
								long BgL_res2293z00_2604;

								{	/* Eval/evaluate_types.scm 109 */
									obj_t BgL_classz00_2601;

									BgL_classz00_2601 = BGl_ev_gotoz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 109 */
										obj_t BgL_vectorz00_2602;
										int BgL_kz00_2603;

										BgL_vectorz00_2602 = BgL_classz00_2601;
										BgL_kz00_2603 = (int) (((long) 1));
										BgL_res2293z00_2604 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2602,
												BgL_kz00_2603));
								}}
								BgL_arg1911z00_2600 = BgL_res2293z00_2604;
							}
							{	/* Eval/evaluate_types.scm 109 */
								BgL_objectz00_bglt BgL_objz00_2605;

								BgL_objz00_2605 = ((BgL_objectz00_bglt) BgL_new1301z00_2599);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2605, BgL_arg1911z00_2600);
						}}
						{	/* Eval/evaluate_types.scm 109 */
							BgL_objectz00_bglt BgL_auxz00_4219;

							BgL_auxz00_4219 = ((BgL_objectz00_bglt) BgL_new1301z00_2599);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4219, BFALSE);
						}
						BgL_new1302z00_2598 = BgL_new1301z00_2599;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2598))->BgL_locz00) =
						((obj_t) BgL_loc1160z00_1523), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2598))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1161z00_1524), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2598))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1162z00_1525), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1302z00_2598))->BgL_argsz00) =
						((obj_t) BgL_args1163z00_1526), BUNSPEC);
					return BgL_new1302z00_2598;
				}
			}
		}
	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3207,
		obj_t BgL_oz00_3208, obj_t BgL_vz00_3209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3591;

				BgL_oz00_3591 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3208);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3591))->BgL_locz00) =
					((obj_t) BgL_vz00_3209), BUNSPEC);
			}
		}
	}



/* &lambda1933 */
	obj_t BGl_z62lambda1933z62zz__evaluate_typesz00(obj_t BgL_envz00_3210,
		obj_t BgL_oz00_3211)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3211)))->BgL_locz00);
		}
	}



/* &lambda1929 */
	obj_t BGl_z62lambda1929z62zz__evaluate_typesz00(obj_t BgL_envz00_3212,
		obj_t BgL_oz00_3213, obj_t BgL_vz00_3214)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3594;
				BgL_ev_varz00_bglt BgL_vz00_3595;

				BgL_oz00_3594 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3213);
				BgL_vz00_3595 = ((BgL_ev_varz00_bglt) BgL_vz00_3214);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3594))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3595), BUNSPEC);
			}
		}
	}



/* &lambda1928 */
	BgL_ev_varz00_bglt BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3215, obj_t BgL_oz00_3216)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3216)))->BgL_labelz00);
		}
	}



/* &lambda1924 */
	obj_t BGl_z62lambda1924z62zz__evaluate_typesz00(obj_t BgL_envz00_3217,
		obj_t BgL_oz00_3218, obj_t BgL_vz00_3219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3597;
				BgL_ev_labelsz00_bglt BgL_vz00_3598;

				BgL_oz00_3597 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3218);
				BgL_vz00_3598 = ((BgL_ev_labelsz00_bglt) BgL_vz00_3219);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3597))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_vz00_3598), BUNSPEC);
			}
		}
	}



/* &lambda1923 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1923z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3220, obj_t BgL_oz00_3221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3221)))->BgL_labelsz00);
		}
	}



/* &lambda1919 */
	obj_t BGl_z62lambda1919z62zz__evaluate_typesz00(obj_t BgL_envz00_3222,
		obj_t BgL_oz00_3223, obj_t BgL_vz00_3224)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			{	/* Eval/evaluate_types.scm 109 */
				BgL_ev_gotoz00_bglt BgL_oz00_3600;

				BgL_oz00_3600 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3223);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3600))->BgL_argsz00) =
					((obj_t) BgL_vz00_3224), BUNSPEC);
			}
		}
	}



/* &lambda1918 */
	obj_t BGl_z62lambda1918z62zz__evaluate_typesz00(obj_t BgL_envz00_3225,
		obj_t BgL_oz00_3226)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 109 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3226)))->BgL_argsz00);
		}
	}



/* &<anonymous:1865> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3227,
		obj_t BgL_new1158z00_3228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_labelsz00_bglt BgL_new1158z00_1430;

				BgL_new1158z00_1430 = ((BgL_ev_labelsz00_bglt) BgL_new1158z00_3228);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1158z00_1430))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1158z00_1430))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1158z00_1430))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1158z00_1430))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1158z00_1430))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1158z00_1430))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1158z00_1430;
			}
		}
	}



/* &lambda1863 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_new1157z00_1428;

					BgL_new1157z00_1428 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1864z00_1429;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2292z00_2575;

							{	/* Eval/evaluate_types.scm 101 */
								obj_t BgL_classz00_2572;

								BgL_classz00_2572 = BGl_ev_labelsz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_vectorz00_2573;
									int BgL_kz00_2574;

									BgL_vectorz00_2573 = BgL_classz00_2572;
									BgL_kz00_2574 = (int) (((long) 1));
									BgL_res2292z00_2575 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2573, BgL_kz00_2574));
							}}
							BgL_arg1864z00_1429 = BgL_res2292z00_2575;
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_objz00_2576;

							BgL_objz00_2576 = ((BgL_objectz00_bglt) BgL_new1157z00_1428);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2576, BgL_arg1864z00_1429);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4261;

						BgL_auxz00_4261 = ((BgL_objectz00_bglt) BgL_new1157z00_1428);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4261, BFALSE);
					}
					return BgL_new1157z00_1428;
				}
			}
		}
	}



/* &lambda1861 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3230, obj_t BgL_vars1151z00_3231, obj_t BgL_vals1152z00_3232,
		obj_t BgL_env1153z00_3233, obj_t BgL_stk1154z00_3234,
		obj_t BgL_body1155z00_3235, obj_t BgL_boxes1156z00_3236)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1151z00_1417;
				obj_t BgL_vals1152z00_1418;
				obj_t BgL_env1153z00_1419;
				obj_t BgL_stk1154z00_1420;
				BgL_ev_exprz00_bglt BgL_body1155z00_1421;
				obj_t BgL_boxes1156z00_1422;

				BgL_vars1151z00_1417 = BgL_vars1151z00_3231;
				BgL_vals1152z00_1418 = BgL_vals1152z00_3232;
				BgL_env1153z00_1419 = BgL_env1153z00_3233;
				BgL_stk1154z00_1420 = BgL_stk1154z00_3234;
				BgL_body1155z00_1421 = ((BgL_ev_exprz00_bglt) BgL_body1155z00_3235);
				BgL_boxes1156z00_1422 = BgL_boxes1156z00_3236;
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_labelsz00_bglt BgL_new1288z00_2563;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_labelsz00_bglt BgL_new1287z00_2564;

						BgL_new1287z00_2564 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1862z00_2565;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2291z00_2569;

								{	/* Eval/evaluate_types.scm 101 */
									obj_t BgL_classz00_2566;

									BgL_classz00_2566 = BGl_ev_labelsz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 101 */
										obj_t BgL_vectorz00_2567;
										int BgL_kz00_2568;

										BgL_vectorz00_2567 = BgL_classz00_2566;
										BgL_kz00_2568 = (int) (((long) 1));
										BgL_res2291z00_2569 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2567,
												BgL_kz00_2568));
								}}
								BgL_arg1862z00_2565 = BgL_res2291z00_2569;
							}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2570;

								BgL_objz00_2570 = ((BgL_objectz00_bglt) BgL_new1287z00_2564);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2570, BgL_arg1862z00_2565);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4270;

							BgL_auxz00_4270 = ((BgL_objectz00_bglt) BgL_new1287z00_2564);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4270, BFALSE);
						}
						BgL_new1288z00_2563 = BgL_new1287z00_2564;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2563))->BgL_varsz00) =
						((obj_t) BgL_vars1151z00_1417), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2563))->BgL_valsz00) =
						((obj_t) BgL_vals1152z00_1418), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2563))->BgL_envz00) =
						((obj_t) BgL_env1153z00_1419), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2563))->BgL_stkz00) =
						((obj_t) BgL_stk1154z00_1420), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2563))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1155z00_1421), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1288z00_2563))->BgL_boxesz00) =
						((obj_t) BgL_boxes1156z00_1422), BUNSPEC);
					return BgL_new1288z00_2563;
				}
			}
		}
	}



/* &lambda1903 */
	obj_t BGl_z62lambda1903z62zz__evaluate_typesz00(obj_t BgL_envz00_3237,
		obj_t BgL_oz00_3238, obj_t BgL_vz00_3239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3603;

				BgL_oz00_3603 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3238);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3603))->BgL_varsz00) =
					((obj_t) BgL_vz00_3239), BUNSPEC);
			}
		}
	}



/* &lambda1902 */
	obj_t BGl_z62lambda1902z62zz__evaluate_typesz00(obj_t BgL_envz00_3240,
		obj_t BgL_oz00_3241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3241)))->BgL_varsz00);
		}
	}



/* &lambda1898 */
	obj_t BGl_z62lambda1898z62zz__evaluate_typesz00(obj_t BgL_envz00_3242,
		obj_t BgL_oz00_3243, obj_t BgL_vz00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3606;

				BgL_oz00_3606 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3243);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3606))->BgL_valsz00) =
					((obj_t) BgL_vz00_3244), BUNSPEC);
			}
		}
	}



/* &lambda1897 */
	obj_t BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t BgL_envz00_3245,
		obj_t BgL_oz00_3246)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3246)))->BgL_valsz00);
		}
	}



/* &<anonymous:1893> */
	obj_t BGl_z62zc3anonymousza31893ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1892 */
	obj_t BGl_z62lambda1892z62zz__evaluate_typesz00(obj_t BgL_envz00_3248,
		obj_t BgL_oz00_3249, obj_t BgL_vz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3609;

				BgL_oz00_3609 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3249);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3609))->BgL_envz00) =
					((obj_t) BgL_vz00_3250), BUNSPEC);
			}
		}
	}



/* &lambda1891 */
	obj_t BGl_z62lambda1891z62zz__evaluate_typesz00(obj_t BgL_envz00_3251,
		obj_t BgL_oz00_3252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3252)))->BgL_envz00);
		}
	}



/* &<anonymous:1886> */
	obj_t BGl_z62zc3anonymousza31886ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1885 */
	obj_t BGl_z62lambda1885z62zz__evaluate_typesz00(obj_t BgL_envz00_3254,
		obj_t BgL_oz00_3255, obj_t BgL_vz00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3612;

				BgL_oz00_3612 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3255);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3612))->BgL_stkz00) =
					((obj_t) BgL_vz00_3256), BUNSPEC);
			}
		}
	}



/* &lambda1884 */
	obj_t BGl_z62lambda1884z62zz__evaluate_typesz00(obj_t BgL_envz00_3257,
		obj_t BgL_oz00_3258)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3258)))->BgL_stkz00);
		}
	}



/* &lambda1878 */
	obj_t BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t BgL_envz00_3259,
		obj_t BgL_oz00_3260, obj_t BgL_vz00_3261)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3615;
				BgL_ev_exprz00_bglt BgL_vz00_3616;

				BgL_oz00_3615 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3260);
				BgL_vz00_3616 = ((BgL_ev_exprz00_bglt) BgL_vz00_3261);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3615))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3616), BUNSPEC);
			}
		}
	}



/* &lambda1877 */
	BgL_ev_exprz00_bglt BGl_z62lambda1877z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3262, obj_t BgL_oz00_3263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3263)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1873> */
	obj_t BGl_z62zc3anonymousza31873ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1872 */
	obj_t BGl_z62lambda1872z62zz__evaluate_typesz00(obj_t BgL_envz00_3265,
		obj_t BgL_oz00_3266, obj_t BgL_vz00_3267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_labelsz00_bglt BgL_oz00_3618;

				BgL_oz00_3618 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3266);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3618))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3267), BUNSPEC);
			}
		}
	}



/* &lambda1871 */
	obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3268,
		obj_t BgL_oz00_3269)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3269)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1855> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31855ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3270,
		obj_t BgL_new1149z00_3271)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				BgL_ev_letrecz00_bglt BgL_new1149z00_1405;

				BgL_new1149z00_1405 = ((BgL_ev_letrecz00_bglt) BgL_new1149z00_3271);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1149z00_1405)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1149z00_1405)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1149z00_1405)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1149z00_1405;
			}
		}
	}



/* &lambda1853 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1853z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{

				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_new1148z00_1403;

					BgL_new1148z00_1403 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 100 */
						long BgL_arg1854z00_1404;

						{	/* Eval/evaluate_types.scm 100 */
							long BgL_res2290z00_2530;

							{	/* Eval/evaluate_types.scm 100 */
								obj_t BgL_classz00_2527;

								BgL_classz00_2527 = BGl_ev_letrecz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 100 */
									obj_t BgL_vectorz00_2528;
									int BgL_kz00_2529;

									BgL_vectorz00_2528 = BgL_classz00_2527;
									BgL_kz00_2529 = (int) (((long) 1));
									BgL_res2290z00_2530 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2528, BgL_kz00_2529));
							}}
							BgL_arg1854z00_1404 = BgL_res2290z00_2530;
						}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_objz00_2531;

							BgL_objz00_2531 = ((BgL_objectz00_bglt) BgL_new1148z00_1403);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2531, BgL_arg1854z00_1404);
					}}
					{	/* Eval/evaluate_types.scm 100 */
						BgL_objectz00_bglt BgL_auxz00_4320;

						BgL_auxz00_4320 = ((BgL_objectz00_bglt) BgL_new1148z00_1403);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4320, BFALSE);
					}
					return BgL_new1148z00_1403;
				}
			}
		}
	}



/* &lambda1851 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1851z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3273, obj_t BgL_vars1145z00_3274, obj_t BgL_vals1146z00_3275,
		obj_t BgL_body1147z00_3276)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 100 */
			{
				obj_t BgL_vars1145z00_1395;
				obj_t BgL_vals1146z00_1396;
				BgL_ev_exprz00_bglt BgL_body1147z00_1397;

				BgL_vars1145z00_1395 = BgL_vars1145z00_3274;
				BgL_vals1146z00_1396 = BgL_vals1146z00_3275;
				BgL_body1147z00_1397 = ((BgL_ev_exprz00_bglt) BgL_body1147z00_3276);
				{	/* Eval/evaluate_types.scm 100 */
					BgL_ev_letrecz00_bglt BgL_new1286z00_2518;

					{	/* Eval/evaluate_types.scm 100 */
						BgL_ev_letrecz00_bglt BgL_new1285z00_2519;

						BgL_new1285z00_2519 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 100 */
							long BgL_arg1852z00_2520;

							{	/* Eval/evaluate_types.scm 100 */
								long BgL_res2289z00_2524;

								{	/* Eval/evaluate_types.scm 100 */
									obj_t BgL_classz00_2521;

									BgL_classz00_2521 = BGl_ev_letrecz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 100 */
										obj_t BgL_vectorz00_2522;
										int BgL_kz00_2523;

										BgL_vectorz00_2522 = BgL_classz00_2521;
										BgL_kz00_2523 = (int) (((long) 1));
										BgL_res2289z00_2524 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2522,
												BgL_kz00_2523));
								}}
								BgL_arg1852z00_2520 = BgL_res2289z00_2524;
							}
							{	/* Eval/evaluate_types.scm 100 */
								BgL_objectz00_bglt BgL_objz00_2525;

								BgL_objz00_2525 = ((BgL_objectz00_bglt) BgL_new1285z00_2519);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2525, BgL_arg1852z00_2520);
						}}
						{	/* Eval/evaluate_types.scm 100 */
							BgL_objectz00_bglt BgL_auxz00_4329;

							BgL_auxz00_4329 = ((BgL_objectz00_bglt) BgL_new1285z00_2519);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4329, BFALSE);
						}
						BgL_new1286z00_2518 = BgL_new1285z00_2519;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1286z00_2518)))->
							BgL_varsz00) = ((obj_t) BgL_vars1145z00_1395), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1286z00_2518)))->BgL_valsz00) =
						((obj_t) BgL_vals1146z00_1396), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1286z00_2518)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1147z00_1397), BUNSPEC);
					return BgL_new1286z00_2518;
				}
			}
		}
	}



/* &<anonymous:1835> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31835ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3277,
		obj_t BgL_new1143z00_3278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				BgL_ev_letza2za2_bglt BgL_new1143z00_1368;

				BgL_new1143z00_1368 = ((BgL_ev_letza2za2_bglt) BgL_new1143z00_3278);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1143z00_1368)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1143z00_1368)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1143z00_1368)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1143z00_1368))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1143z00_1368;
			}
		}
	}



/* &lambda1833 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1833z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3279)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{

				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_new1142z00_1366;

					BgL_new1142z00_1366 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 98 */
						long BgL_arg1834z00_1367;

						{	/* Eval/evaluate_types.scm 98 */
							long BgL_res2288z00_2515;

							{	/* Eval/evaluate_types.scm 98 */
								obj_t BgL_classz00_2512;

								BgL_classz00_2512 = BGl_ev_letza2za2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 98 */
									obj_t BgL_vectorz00_2513;
									int BgL_kz00_2514;

									BgL_vectorz00_2513 = BgL_classz00_2512;
									BgL_kz00_2514 = (int) (((long) 1));
									BgL_res2288z00_2515 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2513, BgL_kz00_2514));
							}}
							BgL_arg1834z00_1367 = BgL_res2288z00_2515;
						}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_objz00_2516;

							BgL_objz00_2516 = ((BgL_objectz00_bglt) BgL_new1142z00_1366);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2516, BgL_arg1834z00_1367);
					}}
					{	/* Eval/evaluate_types.scm 98 */
						BgL_objectz00_bglt BgL_auxz00_4355;

						BgL_auxz00_4355 = ((BgL_objectz00_bglt) BgL_new1142z00_1366);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4355, BFALSE);
					}
					return BgL_new1142z00_1366;
				}
			}
		}
	}



/* &lambda1831 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1831z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3280, obj_t BgL_vars1138z00_3281, obj_t BgL_vals1139z00_3282,
		obj_t BgL_body1140z00_3283, obj_t BgL_boxes1141z00_3284)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{
				obj_t BgL_vars1138z00_1357;
				obj_t BgL_vals1139z00_1358;
				BgL_ev_exprz00_bglt BgL_body1140z00_1359;
				obj_t BgL_boxes1141z00_1360;

				BgL_vars1138z00_1357 = BgL_vars1138z00_3281;
				BgL_vals1139z00_1358 = BgL_vals1139z00_3282;
				BgL_body1140z00_1359 = ((BgL_ev_exprz00_bglt) BgL_body1140z00_3283);
				BgL_boxes1141z00_1360 = BgL_boxes1141z00_3284;
				{	/* Eval/evaluate_types.scm 98 */
					BgL_ev_letza2za2_bglt BgL_new1282z00_2503;

					{	/* Eval/evaluate_types.scm 98 */
						BgL_ev_letza2za2_bglt BgL_new1281z00_2504;

						BgL_new1281z00_2504 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 98 */
							long BgL_arg1832z00_2505;

							{	/* Eval/evaluate_types.scm 98 */
								long BgL_res2287z00_2509;

								{	/* Eval/evaluate_types.scm 98 */
									obj_t BgL_classz00_2506;

									BgL_classz00_2506 = BGl_ev_letza2za2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 98 */
										obj_t BgL_vectorz00_2507;
										int BgL_kz00_2508;

										BgL_vectorz00_2507 = BgL_classz00_2506;
										BgL_kz00_2508 = (int) (((long) 1));
										BgL_res2287z00_2509 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2507,
												BgL_kz00_2508));
								}}
								BgL_arg1832z00_2505 = BgL_res2287z00_2509;
							}
							{	/* Eval/evaluate_types.scm 98 */
								BgL_objectz00_bglt BgL_objz00_2510;

								BgL_objz00_2510 = ((BgL_objectz00_bglt) BgL_new1281z00_2504);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2510, BgL_arg1832z00_2505);
						}}
						{	/* Eval/evaluate_types.scm 98 */
							BgL_objectz00_bglt BgL_auxz00_4364;

							BgL_auxz00_4364 = ((BgL_objectz00_bglt) BgL_new1281z00_2504);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4364, BFALSE);
						}
						BgL_new1282z00_2503 = BgL_new1281z00_2504;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1282z00_2503)))->
							BgL_varsz00) = ((obj_t) BgL_vars1138z00_1357), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1282z00_2503)))->BgL_valsz00) =
						((obj_t) BgL_vals1139z00_1358), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1282z00_2503)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1140z00_1359), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1282z00_2503))->BgL_boxesz00) =
						((obj_t) BgL_boxes1141z00_1360), BUNSPEC);
					return BgL_new1282z00_2503;
				}
			}
		}
	}



/* &<anonymous:1844> */
	obj_t BGl_z62zc3anonymousza31844ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3285)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return BNIL;
		}
	}



/* &lambda1843 */
	obj_t BGl_z62lambda1843z62zz__evaluate_typesz00(obj_t BgL_envz00_3286,
		obj_t BgL_oz00_3287, obj_t BgL_vz00_3288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			{	/* Eval/evaluate_types.scm 98 */
				BgL_ev_letza2za2_bglt BgL_oz00_3621;

				BgL_oz00_3621 = ((BgL_ev_letza2za2_bglt) BgL_oz00_3287);
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_3621))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3288), BUNSPEC);
			}
		}
	}



/* &lambda1842 */
	obj_t BGl_z62lambda1842z62zz__evaluate_typesz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 98 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3290)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1817> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31817ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3291, obj_t BgL_new1136z00_3292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				BgL_ev_letz00_bglt BgL_new1136z00_1330;

				BgL_new1136z00_1330 = ((BgL_ev_letz00_bglt) BgL_new1136z00_3292);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1136z00_1330)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1136z00_1330)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1136z00_1330)))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_letz00_bglt) CREF(BgL_new1136z00_1330))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1136z00_1330;
			}
		}
	}



/* &lambda1815 */
	BgL_ev_letz00_bglt BGl_z62lambda1815z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{

				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_new1135z00_1328;

					BgL_new1135z00_1328 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 96 */
						long BgL_arg1816z00_1329;

						{	/* Eval/evaluate_types.scm 96 */
							long BgL_res2286z00_2495;

							{	/* Eval/evaluate_types.scm 96 */
								obj_t BgL_classz00_2492;

								BgL_classz00_2492 = BGl_ev_letz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 96 */
									obj_t BgL_vectorz00_2493;
									int BgL_kz00_2494;

									BgL_vectorz00_2493 = BgL_classz00_2492;
									BgL_kz00_2494 = (int) (((long) 1));
									BgL_res2286z00_2495 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2493, BgL_kz00_2494));
							}}
							BgL_arg1816z00_1329 = BgL_res2286z00_2495;
						}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_objz00_2496;

							BgL_objz00_2496 = ((BgL_objectz00_bglt) BgL_new1135z00_1328);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2496, BgL_arg1816z00_1329);
					}}
					{	/* Eval/evaluate_types.scm 96 */
						BgL_objectz00_bglt BgL_auxz00_4395;

						BgL_auxz00_4395 = ((BgL_objectz00_bglt) BgL_new1135z00_1328);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4395, BFALSE);
					}
					return BgL_new1135z00_1328;
				}
			}
		}
	}



/* &lambda1813 */
	BgL_ev_letz00_bglt BGl_z62lambda1813z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3294, obj_t BgL_vars1131z00_3295, obj_t BgL_vals1132z00_3296,
		obj_t BgL_body1133z00_3297, obj_t BgL_boxes1134z00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{
				obj_t BgL_vars1131z00_1319;
				obj_t BgL_vals1132z00_1320;
				BgL_ev_exprz00_bglt BgL_body1133z00_1321;
				obj_t BgL_boxes1134z00_1322;

				BgL_vars1131z00_1319 = BgL_vars1131z00_3295;
				BgL_vals1132z00_1320 = BgL_vals1132z00_3296;
				BgL_body1133z00_1321 = ((BgL_ev_exprz00_bglt) BgL_body1133z00_3297);
				BgL_boxes1134z00_1322 = BgL_boxes1134z00_3298;
				{	/* Eval/evaluate_types.scm 96 */
					BgL_ev_letz00_bglt BgL_new1278z00_2483;

					{	/* Eval/evaluate_types.scm 96 */
						BgL_ev_letz00_bglt BgL_new1277z00_2484;

						BgL_new1277z00_2484 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 96 */
							long BgL_arg1814z00_2485;

							{	/* Eval/evaluate_types.scm 96 */
								long BgL_res2285z00_2489;

								{	/* Eval/evaluate_types.scm 96 */
									obj_t BgL_classz00_2486;

									BgL_classz00_2486 = BGl_ev_letz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 96 */
										obj_t BgL_vectorz00_2487;
										int BgL_kz00_2488;

										BgL_vectorz00_2487 = BgL_classz00_2486;
										BgL_kz00_2488 = (int) (((long) 1));
										BgL_res2285z00_2489 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2487,
												BgL_kz00_2488));
								}}
								BgL_arg1814z00_2485 = BgL_res2285z00_2489;
							}
							{	/* Eval/evaluate_types.scm 96 */
								BgL_objectz00_bglt BgL_objz00_2490;

								BgL_objz00_2490 = ((BgL_objectz00_bglt) BgL_new1277z00_2484);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2490, BgL_arg1814z00_2485);
						}}
						{	/* Eval/evaluate_types.scm 96 */
							BgL_objectz00_bglt BgL_auxz00_4404;

							BgL_auxz00_4404 = ((BgL_objectz00_bglt) BgL_new1277z00_2484);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4404, BFALSE);
						}
						BgL_new1278z00_2483 = BgL_new1277z00_2484;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1278z00_2483)))->
							BgL_varsz00) = ((obj_t) BgL_vars1131z00_1319), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1278z00_2483)))->BgL_valsz00) =
						((obj_t) BgL_vals1132z00_1320), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1278z00_2483)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1133z00_1321), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1278z00_2483))->BgL_boxesz00) =
						((obj_t) BgL_boxes1134z00_1322), BUNSPEC);
					return BgL_new1278z00_2483;
				}
			}
		}
	}



/* &<anonymous:1825> */
	obj_t BGl_z62zc3anonymousza31825ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return BNIL;
		}
	}



/* &lambda1824 */
	obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t BgL_envz00_3300,
		obj_t BgL_oz00_3301, obj_t BgL_vz00_3302)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			{	/* Eval/evaluate_types.scm 96 */
				BgL_ev_letz00_bglt BgL_oz00_3624;

				BgL_oz00_3624 = ((BgL_ev_letz00_bglt) BgL_oz00_3301);
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_oz00_3624))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3302), BUNSPEC);
			}
		}
	}



/* &lambda1823 */
	obj_t BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t BgL_envz00_3303,
		obj_t BgL_oz00_3304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 96 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3304)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1792> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31792ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3305,
		obj_t BgL_new1129z00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_binderz00_bglt BgL_new1129z00_1271;

				BgL_new1129z00_1271 = ((BgL_ev_binderz00_bglt) BgL_new1129z00_3306);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1271))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1271))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1129z00_1271))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1129z00_1271;
			}
		}
	}



/* &lambda1790 */
	BgL_ev_binderz00_bglt BGl_z62lambda1790z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3307)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_new1128z00_1269;

					BgL_new1128z00_1269 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1791z00_1270;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2284z00_2475;

							{	/* Eval/evaluate_types.scm 92 */
								obj_t BgL_classz00_2472;

								BgL_classz00_2472 = BGl_ev_binderz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 92 */
									obj_t BgL_vectorz00_2473;
									int BgL_kz00_2474;

									BgL_vectorz00_2473 = BgL_classz00_2472;
									BgL_kz00_2474 = (int) (((long) 1));
									BgL_res2284z00_2475 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2473, BgL_kz00_2474));
							}}
							BgL_arg1791z00_1270 = BgL_res2284z00_2475;
						}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_objz00_2476;

							BgL_objz00_2476 = ((BgL_objectz00_bglt) BgL_new1128z00_1269);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2476, BgL_arg1791z00_1270);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_4431;

						BgL_auxz00_4431 = ((BgL_objectz00_bglt) BgL_new1128z00_1269);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4431, BFALSE);
					}
					return BgL_new1128z00_1269;
				}
			}
		}
	}



/* &lambda1788 */
	BgL_ev_binderz00_bglt BGl_z62lambda1788z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3308, obj_t BgL_vars1125z00_3309, obj_t BgL_vals1126z00_3310,
		obj_t BgL_body1127z00_3311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				obj_t BgL_vars1125z00_1261;
				obj_t BgL_vals1126z00_1262;
				BgL_ev_exprz00_bglt BgL_body1127z00_1263;

				BgL_vars1125z00_1261 = BgL_vars1125z00_3309;
				BgL_vals1126z00_1262 = BgL_vals1126z00_3310;
				BgL_body1127z00_1263 = ((BgL_ev_exprz00_bglt) BgL_body1127z00_3311);
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_binderz00_bglt BgL_new1270z00_2463;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_binderz00_bglt BgL_new1269z00_2464;

						BgL_new1269z00_2464 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg1789z00_2465;

							{	/* Eval/evaluate_types.scm 92 */
								long BgL_res2283z00_2469;

								{	/* Eval/evaluate_types.scm 92 */
									obj_t BgL_classz00_2466;

									BgL_classz00_2466 = BGl_ev_binderz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 92 */
										obj_t BgL_vectorz00_2467;
										int BgL_kz00_2468;

										BgL_vectorz00_2467 = BgL_classz00_2466;
										BgL_kz00_2468 = (int) (((long) 1));
										BgL_res2283z00_2469 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2467,
												BgL_kz00_2468));
								}}
								BgL_arg1789z00_2465 = BgL_res2283z00_2469;
							}
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_objz00_2470;

								BgL_objz00_2470 = ((BgL_objectz00_bglt) BgL_new1269z00_2464);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2470, BgL_arg1789z00_2465);
						}}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_4440;

							BgL_auxz00_4440 = ((BgL_objectz00_bglt) BgL_new1269z00_2464);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4440, BFALSE);
						}
						BgL_new1270z00_2463 = BgL_new1269z00_2464;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2463))->BgL_varsz00) =
						((obj_t) BgL_vars1125z00_1261), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2463))->BgL_valsz00) =
						((obj_t) BgL_vals1126z00_1262), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1270z00_2463))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1127z00_1263), BUNSPEC);
					return BgL_new1270z00_2463;
				}
			}
		}
	}



/* &lambda1807 */
	obj_t BGl_z62lambda1807z62zz__evaluate_typesz00(obj_t BgL_envz00_3312,
		obj_t BgL_oz00_3313, obj_t BgL_vz00_3314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3627;

				BgL_oz00_3627 = ((BgL_ev_binderz00_bglt) BgL_oz00_3313);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3627))->BgL_varsz00) =
					((obj_t) BgL_vz00_3314), BUNSPEC);
			}
		}
	}



/* &lambda1806 */
	obj_t BGl_z62lambda1806z62zz__evaluate_typesz00(obj_t BgL_envz00_3315,
		obj_t BgL_oz00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3316)))->BgL_varsz00);
		}
	}



/* &lambda1802 */
	obj_t BGl_z62lambda1802z62zz__evaluate_typesz00(obj_t BgL_envz00_3317,
		obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3630;

				BgL_oz00_3630 = ((BgL_ev_binderz00_bglt) BgL_oz00_3318);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3630))->BgL_valsz00) =
					((obj_t) BgL_vz00_3319), BUNSPEC);
			}
		}
	}



/* &lambda1801 */
	obj_t BGl_z62lambda1801z62zz__evaluate_typesz00(obj_t BgL_envz00_3320,
		obj_t BgL_oz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3321)))->BgL_valsz00);
		}
	}



/* &lambda1797 */
	obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3322,
		obj_t BgL_oz00_3323, obj_t BgL_vz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_binderz00_bglt BgL_oz00_3633;
				BgL_ev_exprz00_bglt BgL_vz00_3634;

				BgL_oz00_3633 = ((BgL_ev_binderz00_bglt) BgL_oz00_3323);
				BgL_vz00_3634 = ((BgL_ev_exprz00_bglt) BgL_vz00_3324);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3633))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3634), BUNSPEC);
			}
		}
	}



/* &lambda1796 */
	BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3325, obj_t BgL_oz00_3326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3326)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1771> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31771ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3327,
		obj_t BgL_new1123z00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1123z00_1225;

				BgL_new1123z00_1225 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1123z00_3328);
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1123z00_1225))->
						BgL_handlerz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1123z00_1225))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1123z00_1225;
			}
		}
	}



/* &lambda1769 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1769z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_1223;

					BgL_new1122z00_1223 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1770z00_1224;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2282z00_2445;

							{	/* Eval/evaluate_types.scm 89 */
								obj_t BgL_classz00_2442;

								BgL_classz00_2442 =
									BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 89 */
									obj_t BgL_vectorz00_2443;
									int BgL_kz00_2444;

									BgL_vectorz00_2443 = BgL_classz00_2442;
									BgL_kz00_2444 = (int) (((long) 1));
									BgL_res2282z00_2445 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2443, BgL_kz00_2444));
							}}
							BgL_arg1770z00_1224 = BgL_res2282z00_2445;
						}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_objz00_2446;

							BgL_objz00_2446 = ((BgL_objectz00_bglt) BgL_new1122z00_1223);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2446, BgL_arg1770z00_1224);
					}}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_4473;

						BgL_auxz00_4473 = ((BgL_objectz00_bglt) BgL_new1122z00_1223);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4473, BFALSE);
					}
					return BgL_new1122z00_1223;
				}
			}
		}
	}



/* &lambda1767 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1767z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3330, obj_t BgL_handler1119z00_3331, obj_t BgL_body1120z00_3332)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_exprz00_bglt BgL_handler1119z00_1216;
				BgL_ev_exprz00_bglt BgL_body1120z00_1217;

				BgL_handler1119z00_1216 =
					((BgL_ev_exprz00_bglt) BgL_handler1119z00_3331);
				BgL_body1120z00_1217 = ((BgL_ev_exprz00_bglt) BgL_body1120z00_3332);
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1264z00_2433;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1263z00_2434;

						BgL_new1263z00_2434 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg1768z00_2435;

							{	/* Eval/evaluate_types.scm 89 */
								long BgL_res2281z00_2439;

								{	/* Eval/evaluate_types.scm 89 */
									obj_t BgL_classz00_2436;

									BgL_classz00_2436 =
										BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 89 */
										obj_t BgL_vectorz00_2437;
										int BgL_kz00_2438;

										BgL_vectorz00_2437 = BgL_classz00_2436;
										BgL_kz00_2438 = (int) (((long) 1));
										BgL_res2281z00_2439 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2437,
												BgL_kz00_2438));
								}}
								BgL_arg1768z00_2435 = BgL_res2281z00_2439;
							}
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_objz00_2440;

								BgL_objz00_2440 = ((BgL_objectz00_bglt) BgL_new1263z00_2434);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2440, BgL_arg1768z00_2435);
						}}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_4482;

							BgL_auxz00_4482 = ((BgL_objectz00_bglt) BgL_new1263z00_2434);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4482, BFALSE);
						}
						BgL_new1264z00_2433 = BgL_new1263z00_2434;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1264z00_2433))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1119z00_1216), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1264z00_2433))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1120z00_1217), BUNSPEC);
					return BgL_new1264z00_2433;
				}
			}
		}
	}



/* &lambda1781 */
	obj_t BGl_z62lambda1781z62zz__evaluate_typesz00(obj_t BgL_envz00_3333,
		obj_t BgL_oz00_3334, obj_t BgL_vz00_3335)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3636;
				BgL_ev_exprz00_bglt BgL_vz00_3637;

				BgL_oz00_3636 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3334);
				BgL_vz00_3637 = ((BgL_ev_exprz00_bglt) BgL_vz00_3335);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3636))->
						BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3637), BUNSPEC);
			}
		}
	}



/* &lambda1780 */
	BgL_ev_exprz00_bglt BGl_z62lambda1780z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3336, obj_t BgL_oz00_3337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3337)))->BgL_handlerz00);
		}
	}



/* &lambda1776 */
	obj_t BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t BgL_envz00_3338,
		obj_t BgL_oz00_3339, obj_t BgL_vz00_3340)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3639;
				BgL_ev_exprz00_bglt BgL_vz00_3640;

				BgL_oz00_3639 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3339);
				BgL_vz00_3640 = ((BgL_ev_exprz00_bglt) BgL_vz00_3340);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3639))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3640), BUNSPEC);
			}
		}
	}



/* &lambda1775 */
	BgL_ev_exprz00_bglt BGl_z62lambda1775z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3341, obj_t BgL_oz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3342)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1750> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31750ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3343,
		obj_t BgL_new1117z00_3344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1180;

				BgL_new1117z00_1180 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3344);
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1180))->
						BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1180))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1117z00_1180;
			}
		}
	}



/* &lambda1748 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1748z62zz__evaluate_typesz00(obj_t BgL_envz00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1178;

					BgL_new1116z00_1178 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1749z00_1179;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2280z00_2420;

							{	/* Eval/evaluate_types.scm 86 */
								obj_t BgL_classz00_2417;

								BgL_classz00_2417 =
									BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 86 */
									obj_t BgL_vectorz00_2418;
									int BgL_kz00_2419;

									BgL_vectorz00_2418 = BgL_classz00_2417;
									BgL_kz00_2419 = (int) (((long) 1));
									BgL_res2280z00_2420 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2418, BgL_kz00_2419));
							}}
							BgL_arg1749z00_1179 = BgL_res2280z00_2420;
						}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_objz00_2421;

							BgL_objz00_2421 = ((BgL_objectz00_bglt) BgL_new1116z00_1178);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2421, BgL_arg1749z00_1179);
					}}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_4512;

						BgL_auxz00_4512 = ((BgL_objectz00_bglt) BgL_new1116z00_1178);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4512, BFALSE);
					}
					return BgL_new1116z00_1178;
				}
			}
		}
	}



/* &lambda1746 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1746z62zz__evaluate_typesz00(obj_t BgL_envz00_3346,
		obj_t BgL_e1114z00_3347, obj_t BgL_body1115z00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_exprz00_bglt BgL_e1114z00_1171;
				BgL_ev_exprz00_bglt BgL_body1115z00_1172;

				BgL_e1114z00_1171 = ((BgL_ev_exprz00_bglt) BgL_e1114z00_3347);
				BgL_body1115z00_1172 = ((BgL_ev_exprz00_bglt) BgL_body1115z00_3348);
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1258z00_2408;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1257z00_2409;

						BgL_new1257z00_2409 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg1747z00_2410;

							{	/* Eval/evaluate_types.scm 86 */
								long BgL_res2279z00_2414;

								{	/* Eval/evaluate_types.scm 86 */
									obj_t BgL_classz00_2411;

									BgL_classz00_2411 =
										BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 86 */
										obj_t BgL_vectorz00_2412;
										int BgL_kz00_2413;

										BgL_vectorz00_2412 = BgL_classz00_2411;
										BgL_kz00_2413 = (int) (((long) 1));
										BgL_res2279z00_2414 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2412,
												BgL_kz00_2413));
								}}
								BgL_arg1747z00_2410 = BgL_res2279z00_2414;
							}
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_objz00_2415;

								BgL_objz00_2415 = ((BgL_objectz00_bglt) BgL_new1257z00_2409);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2415, BgL_arg1747z00_2410);
						}}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_4521;

							BgL_auxz00_4521 = ((BgL_objectz00_bglt) BgL_new1257z00_2409);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4521, BFALSE);
						}
						BgL_new1258z00_2408 = BgL_new1257z00_2409;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1258z00_2408))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1114z00_1171), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1258z00_2408))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1115z00_1172), BUNSPEC);
					return BgL_new1258z00_2408;
				}
			}
		}
	}



/* &lambda1761 */
	obj_t BGl_z62lambda1761z62zz__evaluate_typesz00(obj_t BgL_envz00_3349,
		obj_t BgL_oz00_3350, obj_t BgL_vz00_3351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3642;
				BgL_ev_exprz00_bglt BgL_vz00_3643;

				BgL_oz00_3642 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3350);
				BgL_vz00_3643 = ((BgL_ev_exprz00_bglt) BgL_vz00_3351);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3642))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3643), BUNSPEC);
			}
		}
	}



/* &lambda1760 */
	BgL_ev_exprz00_bglt BGl_z62lambda1760z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3352, obj_t BgL_oz00_3353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3353)))->BgL_ez00);
		}
	}



/* &lambda1755 */
	obj_t BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t BgL_envz00_3354,
		obj_t BgL_oz00_3355, obj_t BgL_vz00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3645;
				BgL_ev_exprz00_bglt BgL_vz00_3646;

				BgL_oz00_3645 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3355);
				BgL_vz00_3646 = ((BgL_ev_exprz00_bglt) BgL_vz00_3356);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3645))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3646), BUNSPEC);
			}
		}
	}



/* &lambda1754 */
	BgL_ev_exprz00_bglt BGl_z62lambda1754z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3357, obj_t BgL_oz00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3358)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1729> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31729ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3359,
		obj_t BgL_new1112z00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_1135;

				BgL_new1112z00_1135 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3360);
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1135))->
						BgL_varz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_varz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1135))->
						BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1112z00_1135;
			}
		}
	}



/* &lambda1727 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1727z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1133;

					BgL_new1111z00_1133 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1728z00_1134;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2278z00_2395;

							{	/* Eval/evaluate_types.scm 83 */
								obj_t BgL_classz00_2392;

								BgL_classz00_2392 = BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_vectorz00_2393;
									int BgL_kz00_2394;

									BgL_vectorz00_2393 = BgL_classz00_2392;
									BgL_kz00_2394 = (int) (((long) 1));
									BgL_res2278z00_2395 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2393, BgL_kz00_2394));
							}}
							BgL_arg1728z00_1134 = BgL_res2278z00_2395;
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_objz00_2396;

							BgL_objz00_2396 = ((BgL_objectz00_bglt) BgL_new1111z00_1133);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2396, BgL_arg1728z00_1134);
					}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4551;

						BgL_auxz00_4551 = ((BgL_objectz00_bglt) BgL_new1111z00_1133);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4551, BFALSE);
					}
					return BgL_new1111z00_1133;
				}
			}
		}
	}



/* &lambda1724 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3362, obj_t BgL_var1109z00_3363, obj_t BgL_body1110z00_3364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_varz00_bglt BgL_var1109z00_1126;
				BgL_ev_exprz00_bglt BgL_body1110z00_1127;

				BgL_var1109z00_1126 = ((BgL_ev_varz00_bglt) BgL_var1109z00_3363);
				BgL_body1110z00_1127 = ((BgL_ev_exprz00_bglt) BgL_body1110z00_3364);
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1252z00_2383;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1251z00_2384;

						BgL_new1251z00_2384 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1726z00_2385;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2277z00_2389;

								{	/* Eval/evaluate_types.scm 83 */
									obj_t BgL_classz00_2386;

									BgL_classz00_2386 =
										BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 83 */
										obj_t BgL_vectorz00_2387;
										int BgL_kz00_2388;

										BgL_vectorz00_2387 = BgL_classz00_2386;
										BgL_kz00_2388 = (int) (((long) 1));
										BgL_res2277z00_2389 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2387,
												BgL_kz00_2388));
								}}
								BgL_arg1726z00_2385 = BgL_res2277z00_2389;
							}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2390;

								BgL_objz00_2390 = ((BgL_objectz00_bglt) BgL_new1251z00_2384);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2390, BgL_arg1726z00_2385);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4560;

							BgL_auxz00_4560 = ((BgL_objectz00_bglt) BgL_new1251z00_2384);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4560, BFALSE);
						}
						BgL_new1252z00_2383 = BgL_new1251z00_2384;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1252z00_2383))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1109z00_1126), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1252z00_2383))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1110z00_1127), BUNSPEC);
					return BgL_new1252z00_2383;
				}
			}
		}
	}



/* &lambda1739 */
	obj_t BGl_z62lambda1739z62zz__evaluate_typesz00(obj_t BgL_envz00_3365,
		obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3648;
				BgL_ev_varz00_bglt BgL_vz00_3649;

				BgL_oz00_3648 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3366);
				BgL_vz00_3649 = ((BgL_ev_varz00_bglt) BgL_vz00_3367);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3648))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3649), BUNSPEC);
			}
		}
	}



/* &lambda1738 */
	BgL_ev_varz00_bglt BGl_z62lambda1738z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3368, obj_t BgL_oz00_3369)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3369)))->BgL_varz00);
		}
	}



/* &lambda1734 */
	obj_t BGl_z62lambda1734z62zz__evaluate_typesz00(obj_t BgL_envz00_3370,
		obj_t BgL_oz00_3371, obj_t BgL_vz00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3651;
				BgL_ev_exprz00_bglt BgL_vz00_3652;

				BgL_oz00_3651 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3371);
				BgL_vz00_3652 = ((BgL_ev_exprz00_bglt) BgL_vz00_3372);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3651))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3652), BUNSPEC);
			}
		}
	}



/* &lambda1733 */
	BgL_ev_exprz00_bglt BGl_z62lambda1733z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3373, obj_t BgL_oz00_3374)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3374)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1717> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31717ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3375,
		obj_t BgL_new1107z00_3376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1107z00_1114;

				BgL_new1107z00_1114 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3376);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1107z00_1114)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1114)))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1114)))->BgL_namez00) =
					((obj_t) BGl_symbol2641z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1114)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1107z00_1114;
			}
		}
	}



/* &lambda1715 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1715z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1106z00_1112;

					BgL_new1106z00_1112 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1716z00_1113;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2276z00_2370;

							{	/* Eval/evaluate_types.scm 82 */
								obj_t BgL_classz00_2367;

								BgL_classz00_2367 = BGl_ev_defglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 82 */
									obj_t BgL_vectorz00_2368;
									int BgL_kz00_2369;

									BgL_vectorz00_2368 = BgL_classz00_2367;
									BgL_kz00_2369 = (int) (((long) 1));
									BgL_res2276z00_2370 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2368, BgL_kz00_2369));
							}}
							BgL_arg1716z00_1113 = BgL_res2276z00_2370;
						}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_objz00_2371;

							BgL_objz00_2371 = ((BgL_objectz00_bglt) BgL_new1106z00_1112);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2371, BgL_arg1716z00_1113);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_4594;

						BgL_auxz00_4594 = ((BgL_objectz00_bglt) BgL_new1106z00_1112);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4594, BFALSE);
					}
					return BgL_new1106z00_1112;
				}
			}
		}
	}



/* &lambda1713 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3378, obj_t BgL_e1102z00_3379, obj_t BgL_loc1103z00_3380,
		obj_t BgL_name1104z00_3381, obj_t BgL_mod1105z00_3382)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_exprz00_bglt BgL_e1102z00_1103;
				obj_t BgL_loc1103z00_1104;
				obj_t BgL_name1104z00_1105;
				obj_t BgL_mod1105z00_1106;

				BgL_e1102z00_1103 = ((BgL_ev_exprz00_bglt) BgL_e1102z00_3379);
				BgL_loc1103z00_1104 = BgL_loc1103z00_3380;
				BgL_name1104z00_1105 = BgL_name1104z00_3381;
				BgL_mod1105z00_1106 = BgL_mod1105z00_3382;
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1250z00_2358;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new1249z00_2359;

						BgL_new1249z00_2359 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg1714z00_2360;

							{	/* Eval/evaluate_types.scm 82 */
								long BgL_res2275z00_2364;

								{	/* Eval/evaluate_types.scm 82 */
									obj_t BgL_classz00_2361;

									BgL_classz00_2361 = BGl_ev_defglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 82 */
										obj_t BgL_vectorz00_2362;
										int BgL_kz00_2363;

										BgL_vectorz00_2362 = BgL_classz00_2361;
										BgL_kz00_2363 = (int) (((long) 1));
										BgL_res2275z00_2364 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2362,
												BgL_kz00_2363));
								}}
								BgL_arg1714z00_2360 = BgL_res2275z00_2364;
							}
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_objz00_2365;

								BgL_objz00_2365 = ((BgL_objectz00_bglt) BgL_new1249z00_2359);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2365, BgL_arg1714z00_2360);
						}}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_4603;

							BgL_auxz00_4603 = ((BgL_objectz00_bglt) BgL_new1249z00_2359);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4603, BFALSE);
						}
						BgL_new1250z00_2358 = BgL_new1249z00_2359;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1250z00_2358)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1102z00_1103), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2358)))->BgL_locz00) =
						((obj_t) BgL_loc1103z00_1104), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2358)))->BgL_namez00) =
						((obj_t) BgL_name1104z00_1105), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1250z00_2358)))->BgL_modz00) =
						((obj_t) BgL_mod1105z00_1106), BUNSPEC);
					return BgL_new1250z00_2358;
				}
			}
		}
	}



/* &<anonymous:1692> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31692ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3383,
		obj_t BgL_new1100z00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1100z00_1055;

				BgL_new1100z00_1055 = ((BgL_ev_setglobalz00_bglt) BgL_new1100z00_3384);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1100z00_1055)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1055))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1055))->BgL_namez00) =
					((obj_t) BGl_symbol2641z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1100z00_1055))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1100z00_1055;
			}
		}
	}



/* &lambda1690 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1099z00_1053;

					BgL_new1099z00_1053 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1691z00_1054;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2274z00_2355;

							{	/* Eval/evaluate_types.scm 78 */
								obj_t BgL_classz00_2352;

								BgL_classz00_2352 = BGl_ev_setglobalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 78 */
									obj_t BgL_vectorz00_2353;
									int BgL_kz00_2354;

									BgL_vectorz00_2353 = BgL_classz00_2352;
									BgL_kz00_2354 = (int) (((long) 1));
									BgL_res2274z00_2355 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2353, BgL_kz00_2354));
							}}
							BgL_arg1691z00_1054 = BgL_res2274z00_2355;
						}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_objz00_2356;

							BgL_objz00_2356 = ((BgL_objectz00_bglt) BgL_new1099z00_1053);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2356, BgL_arg1691z00_1054);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_4629;

						BgL_auxz00_4629 = ((BgL_objectz00_bglt) BgL_new1099z00_1053);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4629, BFALSE);
					}
					return BgL_new1099z00_1053;
				}
			}
		}
	}



/* &lambda1688 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3386, obj_t BgL_e1095z00_3387, obj_t BgL_loc1096z00_3388,
		obj_t BgL_name1097z00_3389, obj_t BgL_mod1098z00_3390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_exprz00_bglt BgL_e1095z00_1044;
				obj_t BgL_loc1096z00_1045;
				obj_t BgL_name1097z00_1046;
				obj_t BgL_mod1098z00_1047;

				BgL_e1095z00_1044 = ((BgL_ev_exprz00_bglt) BgL_e1095z00_3387);
				BgL_loc1096z00_1045 = BgL_loc1096z00_3388;
				BgL_name1097z00_1046 = BgL_name1097z00_3389;
				BgL_mod1098z00_1047 = BgL_mod1098z00_3390;
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1242z00_2343;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new1241z00_2344;

						BgL_new1241z00_2344 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg1689z00_2345;

							{	/* Eval/evaluate_types.scm 78 */
								long BgL_res2273z00_2349;

								{	/* Eval/evaluate_types.scm 78 */
									obj_t BgL_classz00_2346;

									BgL_classz00_2346 = BGl_ev_setglobalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 78 */
										obj_t BgL_vectorz00_2347;
										int BgL_kz00_2348;

										BgL_vectorz00_2347 = BgL_classz00_2346;
										BgL_kz00_2348 = (int) (((long) 1));
										BgL_res2273z00_2349 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2347,
												BgL_kz00_2348));
								}}
								BgL_arg1689z00_2345 = BgL_res2273z00_2349;
							}
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_objz00_2350;

								BgL_objz00_2350 = ((BgL_objectz00_bglt) BgL_new1241z00_2344);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2350, BgL_arg1689z00_2345);
						}}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_4638;

							BgL_auxz00_4638 = ((BgL_objectz00_bglt) BgL_new1241z00_2344);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4638, BFALSE);
						}
						BgL_new1242z00_2343 = BgL_new1241z00_2344;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1242z00_2343)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1095z00_1044), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2343))->
							BgL_locz00) = ((obj_t) BgL_loc1096z00_1045), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2343))->
							BgL_namez00) = ((obj_t) BgL_name1097z00_1046), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1242z00_2343))->
							BgL_modz00) = ((obj_t) BgL_mod1098z00_1047), BUNSPEC);
					return BgL_new1242z00_2343;
				}
			}
		}
	}



/* &lambda1707 */
	obj_t BGl_z62lambda1707z62zz__evaluate_typesz00(obj_t BgL_envz00_3391,
		obj_t BgL_oz00_3392, obj_t BgL_vz00_3393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3654;

				BgL_oz00_3654 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3392);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3654))->BgL_locz00) =
					((obj_t) BgL_vz00_3393), BUNSPEC);
			}
		}
	}



/* &lambda1706 */
	obj_t BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t BgL_envz00_3394,
		obj_t BgL_oz00_3395)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3395)))->BgL_locz00);
		}
	}



/* &lambda1702 */
	obj_t BGl_z62lambda1702z62zz__evaluate_typesz00(obj_t BgL_envz00_3396,
		obj_t BgL_oz00_3397, obj_t BgL_vz00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3657;
				obj_t BgL_vz00_3658;

				BgL_oz00_3657 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3397);
				BgL_vz00_3658 = BgL_vz00_3398;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3657))->BgL_namez00) =
					((obj_t) BgL_vz00_3658), BUNSPEC);
			}
		}
	}



/* &lambda1701 */
	obj_t BGl_z62lambda1701z62zz__evaluate_typesz00(obj_t BgL_envz00_3399,
		obj_t BgL_oz00_3400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3400)))->BgL_namez00);
		}
	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t BgL_envz00_3401,
		obj_t BgL_oz00_3402, obj_t BgL_vz00_3403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3660;

				BgL_oz00_3660 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3402);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3660))->BgL_modz00) =
					((obj_t) BgL_vz00_3403), BUNSPEC);
			}
		}
	}



/* &lambda1696 */
	obj_t BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t BgL_envz00_3404,
		obj_t BgL_oz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3405)))->BgL_modz00);
		}
	}



/* &<anonymous:1677> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31677ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3406,
		obj_t BgL_new1093z00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1093z00_1020;

				BgL_new1093z00_1020 = ((BgL_ev_setlocalz00_bglt) BgL_new1093z00_3407);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1093z00_1020)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1093z00_1020))->BgL_vz00) =
					((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_varz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1093z00_1020;
			}
		}
	}



/* &lambda1675 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1675z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1091z00_1018;

					BgL_new1091z00_1018 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1676z00_1019;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2272z00_2325;

							{	/* Eval/evaluate_types.scm 76 */
								obj_t BgL_classz00_2322;

								BgL_classz00_2322 = BGl_ev_setlocalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_vectorz00_2323;
									int BgL_kz00_2324;

									BgL_vectorz00_2323 = BgL_classz00_2322;
									BgL_kz00_2324 = (int) (((long) 1));
									BgL_res2272z00_2325 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2323, BgL_kz00_2324));
							}}
							BgL_arg1676z00_1019 = BgL_res2272z00_2325;
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_objz00_2326;

							BgL_objz00_2326 = ((BgL_objectz00_bglt) BgL_new1091z00_1018);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2326, BgL_arg1676z00_1019);
					}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4673;

						BgL_auxz00_4673 = ((BgL_objectz00_bglt) BgL_new1091z00_1018);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4673, BFALSE);
					}
					return BgL_new1091z00_1018;
				}
			}
		}
	}



/* &lambda1673 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1673z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3409, obj_t BgL_e1089z00_3410, obj_t BgL_v1090z00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1089z00_1011;
				BgL_ev_varz00_bglt BgL_v1090z00_1012;

				BgL_e1089z00_1011 = ((BgL_ev_exprz00_bglt) BgL_e1089z00_3410);
				BgL_v1090z00_1012 = ((BgL_ev_varz00_bglt) BgL_v1090z00_3411);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1238z00_2313;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new1237z00_2314;

						BgL_new1237z00_2314 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1674z00_2315;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2271z00_2319;

								{	/* Eval/evaluate_types.scm 76 */
									obj_t BgL_classz00_2316;

									BgL_classz00_2316 = BGl_ev_setlocalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 76 */
										obj_t BgL_vectorz00_2317;
										int BgL_kz00_2318;

										BgL_vectorz00_2317 = BgL_classz00_2316;
										BgL_kz00_2318 = (int) (((long) 1));
										BgL_res2271z00_2319 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2317,
												BgL_kz00_2318));
								}}
								BgL_arg1674z00_2315 = BgL_res2271z00_2319;
							}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_2320;

								BgL_objz00_2320 = ((BgL_objectz00_bglt) BgL_new1237z00_2314);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2320, BgL_arg1674z00_2315);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4682;

							BgL_auxz00_4682 = ((BgL_objectz00_bglt) BgL_new1237z00_2314);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4682, BFALSE);
						}
						BgL_new1238z00_2313 = BgL_new1237z00_2314;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1238z00_2313)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1089z00_1011), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1238z00_2313))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1090z00_1012), BUNSPEC);
					return BgL_new1238z00_2313;
				}
			}
		}
	}



/* &lambda1682 */
	obj_t BGl_z62lambda1682z62zz__evaluate_typesz00(obj_t BgL_envz00_3412,
		obj_t BgL_oz00_3413, obj_t BgL_vz00_3414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1029;
				BgL_ev_varz00_bglt BgL_vz00_1030;

				BgL_oz00_1029 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3413);
				BgL_vz00_1030 = ((BgL_ev_varz00_bglt) BgL_vz00_3414);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1029))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1029))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1681 */
	BgL_ev_varz00_bglt BGl_z62lambda1681z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3415, obj_t BgL_oz00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3416)))->BgL_vz00);
		}
	}



/* &<anonymous:1667> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3417,
		obj_t BgL_new1087z00_3418)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1087z00_999;

				BgL_new1087z00_999 = ((BgL_ev_trapz00_bglt) BgL_new1087z00_3418);
				((((BgL_ev_hookz00_bglt) CREF(
								((BgL_ev_hookz00_bglt) BgL_new1087z00_999)))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1087z00_999;
			}
		}
	}



/* &lambda1665 */
	BgL_ev_trapz00_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1086z00_997;

					BgL_new1086z00_997 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1666z00_998;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2270z00_2305;

							{	/* Eval/evaluate_types.scm 75 */
								obj_t BgL_classz00_2302;

								BgL_classz00_2302 = BGl_ev_trapz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 75 */
									obj_t BgL_vectorz00_2303;
									int BgL_kz00_2304;

									BgL_vectorz00_2303 = BgL_classz00_2302;
									BgL_kz00_2304 = (int) (((long) 1));
									BgL_res2270z00_2305 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2303, BgL_kz00_2304));
							}}
							BgL_arg1666z00_998 = BgL_res2270z00_2305;
						}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_objz00_2306;

							BgL_objz00_2306 = ((BgL_objectz00_bglt) BgL_new1086z00_997);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2306, BgL_arg1666z00_998);
					}}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_4707;

						BgL_auxz00_4707 = ((BgL_objectz00_bglt) BgL_new1086z00_997);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4707, BFALSE);
					}
					return BgL_new1086z00_997;
				}
			}
		}
	}



/* &lambda1663 */
	BgL_ev_trapz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3420, obj_t BgL_e1085z00_3421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_exprz00_bglt BgL_e1085z00_991;

				BgL_e1085z00_991 = ((BgL_ev_exprz00_bglt) BgL_e1085z00_3421);
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1236z00_2293;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new1234z00_2294;

						BgL_new1234z00_2294 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg1664z00_2295;

							{	/* Eval/evaluate_types.scm 75 */
								long BgL_res2269z00_2299;

								{	/* Eval/evaluate_types.scm 75 */
									obj_t BgL_classz00_2296;

									BgL_classz00_2296 = BGl_ev_trapz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 75 */
										obj_t BgL_vectorz00_2297;
										int BgL_kz00_2298;

										BgL_vectorz00_2297 = BgL_classz00_2296;
										BgL_kz00_2298 = (int) (((long) 1));
										BgL_res2269z00_2299 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2297,
												BgL_kz00_2298));
								}}
								BgL_arg1664z00_2295 = BgL_res2269z00_2299;
							}
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_objz00_2300;

								BgL_objz00_2300 = ((BgL_objectz00_bglt) BgL_new1234z00_2294);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2300, BgL_arg1664z00_2295);
						}}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_4716;

							BgL_auxz00_4716 = ((BgL_objectz00_bglt) BgL_new1234z00_2294);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4716, BFALSE);
						}
						BgL_new1236z00_2293 = BgL_new1234z00_2294;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1236z00_2293)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1085z00_991), BUNSPEC);
					return BgL_new1236z00_2293;
				}
			}
		}
	}



/* &<anonymous:1652> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31652ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3422,
		obj_t BgL_new1083z00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1083z00_967;

				BgL_new1083z00_967 = ((BgL_ev_hookz00_bglt) BgL_new1083z00_3423);
				((((BgL_ev_hookz00_bglt) CREF(BgL_new1083z00_967))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1083z00_967;
			}
		}
	}



/* &lambda1649 */
	BgL_ev_hookz00_bglt BGl_z62lambda1649z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1082z00_965;

					BgL_new1082z00_965 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1651z00_966;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2268z00_2290;

							{	/* Eval/evaluate_types.scm 73 */
								obj_t BgL_classz00_2287;

								BgL_classz00_2287 = BGl_ev_hookz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 73 */
									obj_t BgL_vectorz00_2288;
									int BgL_kz00_2289;

									BgL_vectorz00_2288 = BgL_classz00_2287;
									BgL_kz00_2289 = (int) (((long) 1));
									BgL_res2268z00_2290 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2288, BgL_kz00_2289));
							}}
							BgL_arg1651z00_966 = BgL_res2268z00_2290;
						}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_objz00_2291;

							BgL_objz00_2291 = ((BgL_objectz00_bglt) BgL_new1082z00_965);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2291, BgL_arg1651z00_966);
					}}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_4732;

						BgL_auxz00_4732 = ((BgL_objectz00_bglt) BgL_new1082z00_965);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4732, BFALSE);
					}
					return BgL_new1082z00_965;
				}
			}
		}
	}



/* &lambda1647 */
	BgL_ev_hookz00_bglt BGl_z62lambda1647z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3425, obj_t BgL_e1081z00_3426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_exprz00_bglt BgL_e1081z00_959;

				BgL_e1081z00_959 = ((BgL_ev_exprz00_bglt) BgL_e1081z00_3426);
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1231z00_2278;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new1230z00_2279;

						BgL_new1230z00_2279 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg1648z00_2280;

							{	/* Eval/evaluate_types.scm 73 */
								long BgL_res2267z00_2284;

								{	/* Eval/evaluate_types.scm 73 */
									obj_t BgL_classz00_2281;

									BgL_classz00_2281 = BGl_ev_hookz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 73 */
										obj_t BgL_vectorz00_2282;
										int BgL_kz00_2283;

										BgL_vectorz00_2282 = BgL_classz00_2281;
										BgL_kz00_2283 = (int) (((long) 1));
										BgL_res2267z00_2284 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2282,
												BgL_kz00_2283));
								}}
								BgL_arg1648z00_2280 = BgL_res2267z00_2284;
							}
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_objz00_2285;

								BgL_objz00_2285 = ((BgL_objectz00_bglt) BgL_new1230z00_2279);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2285, BgL_arg1648z00_2280);
						}}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_4741;

							BgL_auxz00_4741 = ((BgL_objectz00_bglt) BgL_new1230z00_2279);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4741, BFALSE);
						}
						BgL_new1231z00_2278 = BgL_new1230z00_2279;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1231z00_2278))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1081z00_959), BUNSPEC);
					return BgL_new1231z00_2278;
				}
			}
		}
	}



/* &lambda1657 */
	obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t BgL_envz00_3427,
		obj_t BgL_oz00_3428, obj_t BgL_vz00_3429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_oz00_3664;
				BgL_ev_exprz00_bglt BgL_vz00_3665;

				BgL_oz00_3664 = ((BgL_ev_hookz00_bglt) BgL_oz00_3428);
				BgL_vz00_3665 = ((BgL_ev_exprz00_bglt) BgL_vz00_3429);
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_3664))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3665), BUNSPEC);
			}
		}
	}



/* &lambda1656 */
	BgL_ev_exprz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3430, obj_t BgL_oz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3431)))->BgL_ez00);
		}
	}



/* &<anonymous:1626> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31626ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3432,
		obj_t BgL_new1079z00_3433)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1079z00_923;

				BgL_new1079z00_923 = ((BgL_ev_prog2z00_bglt) BgL_new1079z00_3433);
				((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_923))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_923))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1079z00_923;
			}
		}
	}



/* &lambda1624 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1624z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1078z00_921;

					BgL_new1078z00_921 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1625z00_922;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2266z00_2270;

							{	/* Eval/evaluate_types.scm 70 */
								obj_t BgL_classz00_2267;

								BgL_classz00_2267 = BGl_ev_prog2z00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_vectorz00_2268;
									int BgL_kz00_2269;

									BgL_vectorz00_2268 = BgL_classz00_2267;
									BgL_kz00_2269 = (int) (((long) 1));
									BgL_res2266z00_2270 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2268, BgL_kz00_2269));
							}}
							BgL_arg1625z00_922 = BgL_res2266z00_2270;
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_objz00_2271;

							BgL_objz00_2271 = ((BgL_objectz00_bglt) BgL_new1078z00_921);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2271, BgL_arg1625z00_922);
					}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_4764;

						BgL_auxz00_4764 = ((BgL_objectz00_bglt) BgL_new1078z00_921);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4764, BFALSE);
					}
					return BgL_new1078z00_921;
				}
			}
		}
	}



/* &lambda1622 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1622z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3435, obj_t BgL_e11076z00_3436, obj_t BgL_e21077z00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_exprz00_bglt BgL_e11076z00_914;
				BgL_ev_exprz00_bglt BgL_e21077z00_915;

				BgL_e11076z00_914 = ((BgL_ev_exprz00_bglt) BgL_e11076z00_3436);
				BgL_e21077z00_915 = ((BgL_ev_exprz00_bglt) BgL_e21077z00_3437);
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1225z00_2258;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new1224z00_2259;

						BgL_new1224z00_2259 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1623z00_2260;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2265z00_2264;

								{	/* Eval/evaluate_types.scm 70 */
									obj_t BgL_classz00_2261;

									BgL_classz00_2261 = BGl_ev_prog2z00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 70 */
										obj_t BgL_vectorz00_2262;
										int BgL_kz00_2263;

										BgL_vectorz00_2262 = BgL_classz00_2261;
										BgL_kz00_2263 = (int) (((long) 1));
										BgL_res2265z00_2264 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2262,
												BgL_kz00_2263));
								}}
								BgL_arg1623z00_2260 = BgL_res2265z00_2264;
							}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_2265;

								BgL_objz00_2265 = ((BgL_objectz00_bglt) BgL_new1224z00_2259);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2265, BgL_arg1623z00_2260);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_4773;

							BgL_auxz00_4773 = ((BgL_objectz00_bglt) BgL_new1224z00_2259);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4773, BFALSE);
						}
						BgL_new1225z00_2258 = BgL_new1224z00_2259;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1225z00_2258))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11076z00_914), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1225z00_2258))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21077z00_915), BUNSPEC);
					return BgL_new1225z00_2258;
				}
			}
		}
	}



/* &lambda1640 */
	obj_t BGl_z62lambda1640z62zz__evaluate_typesz00(obj_t BgL_envz00_3438,
		obj_t BgL_oz00_3439, obj_t BgL_vz00_3440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3667;
				BgL_ev_exprz00_bglt BgL_vz00_3668;

				BgL_oz00_3667 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3439);
				BgL_vz00_3668 = ((BgL_ev_exprz00_bglt) BgL_vz00_3440);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3667))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3668), BUNSPEC);
			}
		}
	}



/* &lambda1639 */
	BgL_ev_exprz00_bglt BGl_z62lambda1639z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3441, obj_t BgL_oz00_3442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3442)))->BgL_e1z00);
		}
	}



/* &lambda1634 */
	obj_t BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t BgL_envz00_3443,
		obj_t BgL_oz00_3444, obj_t BgL_vz00_3445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3670;
				BgL_ev_exprz00_bglt BgL_vz00_3671;

				BgL_oz00_3670 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3444);
				BgL_vz00_3671 = ((BgL_ev_exprz00_bglt) BgL_vz00_3445);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3670))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3671), BUNSPEC);
			}
		}
	}



/* &lambda1633 */
	BgL_ev_exprz00_bglt BGl_z62lambda1633z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3446, obj_t BgL_oz00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3447)))->BgL_e2z00);
		}
	}



/* &<anonymous:1616> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31616ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3448, obj_t BgL_new1074z00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1074z00_902;

				BgL_new1074z00_902 = ((BgL_ev_andz00_bglt) BgL_new1074z00_3449);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1074z00_902)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1074z00_902;
			}
		}
	}



/* &lambda1614 */
	BgL_ev_andz00_bglt BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1073z00_900;

					BgL_new1073z00_900 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1615z00_901;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2264z00_2245;

							{	/* Eval/evaluate_types.scm 69 */
								obj_t BgL_classz00_2242;

								BgL_classz00_2242 = BGl_ev_andz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_vectorz00_2243;
									int BgL_kz00_2244;

									BgL_vectorz00_2243 = BgL_classz00_2242;
									BgL_kz00_2244 = (int) (((long) 1));
									BgL_res2264z00_2245 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2243, BgL_kz00_2244));
							}}
							BgL_arg1615z00_901 = BgL_res2264z00_2245;
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_objz00_2246;

							BgL_objz00_2246 = ((BgL_objectz00_bglt) BgL_new1073z00_900);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2246, BgL_arg1615z00_901);
					}}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_4799;

						BgL_auxz00_4799 = ((BgL_objectz00_bglt) BgL_new1073z00_900);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4799, BFALSE);
					}
					return BgL_new1073z00_900;
				}
			}
		}
	}



/* &lambda1612 */
	BgL_ev_andz00_bglt BGl_z62lambda1612z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3451, obj_t BgL_args1072z00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1072z00_894;

				BgL_args1072z00_894 = BgL_args1072z00_3452;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1223z00_2233;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new1222z00_2234;

						BgL_new1222z00_2234 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1613z00_2235;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2263z00_2239;

								{	/* Eval/evaluate_types.scm 69 */
									obj_t BgL_classz00_2236;

									BgL_classz00_2236 = BGl_ev_andz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 69 */
										obj_t BgL_vectorz00_2237;
										int BgL_kz00_2238;

										BgL_vectorz00_2237 = BgL_classz00_2236;
										BgL_kz00_2238 = (int) (((long) 1));
										BgL_res2263z00_2239 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2237,
												BgL_kz00_2238));
								}}
								BgL_arg1613z00_2235 = BgL_res2263z00_2239;
							}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_2240;

								BgL_objz00_2240 = ((BgL_objectz00_bglt) BgL_new1222z00_2234);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2240, BgL_arg1613z00_2235);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_4808;

							BgL_auxz00_4808 = ((BgL_objectz00_bglt) BgL_new1222z00_2234);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4808, BFALSE);
						}
						BgL_new1223z00_2233 = BgL_new1222z00_2234;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1223z00_2233)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_894), BUNSPEC);
					return BgL_new1223z00_2233;
				}
			}
		}
	}



/* &<anonymous:1605> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31605ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3453, obj_t BgL_new1070z00_3454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_882;

				BgL_new1070z00_882 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3454);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_882)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_882;
			}
		}
	}



/* &lambda1603 */
	BgL_ev_orz00_bglt BGl_z62lambda1603z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1069z00_880;

					BgL_new1069z00_880 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1604z00_881;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2262z00_2230;

							{	/* Eval/evaluate_types.scm 68 */
								obj_t BgL_classz00_2227;

								BgL_classz00_2227 = BGl_ev_orz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 68 */
									obj_t BgL_vectorz00_2228;
									int BgL_kz00_2229;

									BgL_vectorz00_2228 = BgL_classz00_2227;
									BgL_kz00_2229 = (int) (((long) 1));
									BgL_res2262z00_2230 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2228, BgL_kz00_2229));
							}}
							BgL_arg1604z00_881 = BgL_res2262z00_2230;
						}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_objz00_2231;

							BgL_objz00_2231 = ((BgL_objectz00_bglt) BgL_new1069z00_880);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2231, BgL_arg1604z00_881);
					}}
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_4822;

						BgL_auxz00_4822 = ((BgL_objectz00_bglt) BgL_new1069z00_880);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4822, BFALSE);
					}
					return BgL_new1069z00_880;
				}
			}
		}
	}



/* &lambda1601 */
	BgL_ev_orz00_bglt BGl_z62lambda1601z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3456, obj_t BgL_args1068z00_3457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				obj_t BgL_args1068z00_874;

				BgL_args1068z00_874 = BgL_args1068z00_3457;
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1221z00_2218;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1220z00_2219;

						BgL_new1220z00_2219 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg1602z00_2220;

							{	/* Eval/evaluate_types.scm 68 */
								long BgL_res2261z00_2224;

								{	/* Eval/evaluate_types.scm 68 */
									obj_t BgL_classz00_2221;

									BgL_classz00_2221 = BGl_ev_orz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 68 */
										obj_t BgL_vectorz00_2222;
										int BgL_kz00_2223;

										BgL_vectorz00_2222 = BgL_classz00_2221;
										BgL_kz00_2223 = (int) (((long) 1));
										BgL_res2261z00_2224 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2222,
												BgL_kz00_2223));
								}}
								BgL_arg1602z00_2220 = BgL_res2261z00_2224;
							}
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_objz00_2225;

								BgL_objz00_2225 = ((BgL_objectz00_bglt) BgL_new1220z00_2219);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2225, BgL_arg1602z00_2220);
						}}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_4831;

							BgL_auxz00_4831 = ((BgL_objectz00_bglt) BgL_new1220z00_2219);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4831, BFALSE);
						}
						BgL_new1221z00_2218 = BgL_new1220z00_2219;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1221z00_2218)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_874), BUNSPEC);
					return BgL_new1221z00_2218;
				}
			}
		}
	}



/* &<anonymous:1589> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31589ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3458,
		obj_t BgL_new1066z00_3459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_850;

				BgL_new1066z00_850 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3459);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_850))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_850;
			}
		}
	}



/* &lambda1587 */
	BgL_ev_listz00_bglt BGl_z62lambda1587z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1065z00_848;

					BgL_new1065z00_848 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1588z00_849;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2260z00_2215;

							{	/* Eval/evaluate_types.scm 66 */
								obj_t BgL_classz00_2212;

								BgL_classz00_2212 = BGl_ev_listz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 66 */
									obj_t BgL_vectorz00_2213;
									int BgL_kz00_2214;

									BgL_vectorz00_2213 = BgL_classz00_2212;
									BgL_kz00_2214 = (int) (((long) 1));
									BgL_res2260z00_2215 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2213, BgL_kz00_2214));
							}}
							BgL_arg1588z00_849 = BgL_res2260z00_2215;
						}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_objz00_2216;

							BgL_objz00_2216 = ((BgL_objectz00_bglt) BgL_new1065z00_848);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2216, BgL_arg1588z00_849);
					}}
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_4844;

						BgL_auxz00_4844 = ((BgL_objectz00_bglt) BgL_new1065z00_848);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4844, BFALSE);
					}
					return BgL_new1065z00_848;
				}
			}
		}
	}



/* &lambda1585 */
	BgL_ev_listz00_bglt BGl_z62lambda1585z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3461, obj_t BgL_args1064z00_3462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				obj_t BgL_args1064z00_842;

				BgL_args1064z00_842 = BgL_args1064z00_3462;
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1217z00_2203;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1216z00_2204;

						BgL_new1216z00_2204 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg1586z00_2205;

							{	/* Eval/evaluate_types.scm 66 */
								long BgL_res2259z00_2209;

								{	/* Eval/evaluate_types.scm 66 */
									obj_t BgL_classz00_2206;

									BgL_classz00_2206 = BGl_ev_listz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 66 */
										obj_t BgL_vectorz00_2207;
										int BgL_kz00_2208;

										BgL_vectorz00_2207 = BgL_classz00_2206;
										BgL_kz00_2208 = (int) (((long) 1));
										BgL_res2259z00_2209 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2207,
												BgL_kz00_2208));
								}}
								BgL_arg1586z00_2205 = BgL_res2259z00_2209;
							}
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_objz00_2210;

								BgL_objz00_2210 = ((BgL_objectz00_bglt) BgL_new1216z00_2204);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2210, BgL_arg1586z00_2205);
						}}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_4853;

							BgL_auxz00_4853 = ((BgL_objectz00_bglt) BgL_new1216z00_2204);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4853, BFALSE);
						}
						BgL_new1217z00_2203 = BgL_new1216z00_2204;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1217z00_2203))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_842), BUNSPEC);
					return BgL_new1217z00_2203;
				}
			}
		}
	}



/* &lambda1594 */
	obj_t BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t BgL_envz00_3463,
		obj_t BgL_oz00_3464, obj_t BgL_vz00_3465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_oz00_3673;

				BgL_oz00_3673 = ((BgL_ev_listz00_bglt) BgL_oz00_3464);
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_oz00_3673))->BgL_argsz00) =
					((obj_t) BgL_vz00_3465), BUNSPEC);
			}
		}
	}



/* &lambda1593 */
	obj_t BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t BgL_envz00_3466,
		obj_t BgL_oz00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3467)))->BgL_argsz00);
		}
	}



/* &<anonymous:1561> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31561ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3468, obj_t BgL_new1062z00_3469)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_794;

				BgL_new1062z00_794 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3469);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_794))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_794))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_794))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_classzd2nilzd2zz__objectz00
							(BGl_ev_exprz00zz__evaluate_typesz00))), BUNSPEC);
				return BgL_new1062z00_794;
			}
		}
	}



/* &lambda1559 */
	BgL_ev_ifz00_bglt BGl_z62lambda1559z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1061z00_792;

					BgL_new1061z00_792 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1560z00_793;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2258z00_2195;

							{	/* Eval/evaluate_types.scm 62 */
								obj_t BgL_classz00_2192;

								BgL_classz00_2192 = BGl_ev_ifz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 62 */
									obj_t BgL_vectorz00_2193;
									int BgL_kz00_2194;

									BgL_vectorz00_2193 = BgL_classz00_2192;
									BgL_kz00_2194 = (int) (((long) 1));
									BgL_res2258z00_2195 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2193, BgL_kz00_2194));
							}}
							BgL_arg1560z00_793 = BgL_res2258z00_2195;
						}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_objz00_2196;

							BgL_objz00_2196 = ((BgL_objectz00_bglt) BgL_new1061z00_792);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2196, BgL_arg1560z00_793);
					}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_4877;

						BgL_auxz00_4877 = ((BgL_objectz00_bglt) BgL_new1061z00_792);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4877, BFALSE);
					}
					return BgL_new1061z00_792;
				}
			}
		}
	}



/* &lambda1557 */
	BgL_ev_ifz00_bglt BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3471, obj_t BgL_p1058z00_3472, obj_t BgL_t1059z00_3473,
		obj_t BgL_e1060z00_3474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_784;
				BgL_ev_exprz00_bglt BgL_t1059z00_785;
				BgL_ev_exprz00_bglt BgL_e1060z00_786;

				BgL_p1058z00_784 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3472);
				BgL_t1059z00_785 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3473);
				BgL_e1060z00_786 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3474);
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1209z00_2183;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1208z00_2184;

						BgL_new1208z00_2184 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg1558z00_2185;

							{	/* Eval/evaluate_types.scm 62 */
								long BgL_res2257z00_2189;

								{	/* Eval/evaluate_types.scm 62 */
									obj_t BgL_classz00_2186;

									BgL_classz00_2186 = BGl_ev_ifz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 62 */
										obj_t BgL_vectorz00_2187;
										int BgL_kz00_2188;

										BgL_vectorz00_2187 = BgL_classz00_2186;
										BgL_kz00_2188 = (int) (((long) 1));
										BgL_res2257z00_2189 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2187,
												BgL_kz00_2188));
								}}
								BgL_arg1558z00_2185 = BgL_res2257z00_2189;
							}
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_objz00_2190;

								BgL_objz00_2190 = ((BgL_objectz00_bglt) BgL_new1208z00_2184);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2190, BgL_arg1558z00_2185);
						}}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_4886;

							BgL_auxz00_4886 = ((BgL_objectz00_bglt) BgL_new1208z00_2184);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4886, BFALSE);
						}
						BgL_new1209z00_2183 = BgL_new1208z00_2184;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1209z00_2183))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_784), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1209z00_2183))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_785), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1209z00_2183))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_786), BUNSPEC);
					return BgL_new1209z00_2183;
				}
			}
		}
	}



/* &lambda1579 */
	obj_t BGl_z62lambda1579z62zz__evaluate_typesz00(obj_t BgL_envz00_3475,
		obj_t BgL_oz00_3476, obj_t BgL_vz00_3477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3676;
				BgL_ev_exprz00_bglt BgL_vz00_3677;

				BgL_oz00_3676 = ((BgL_ev_ifz00_bglt) BgL_oz00_3476);
				BgL_vz00_3677 = ((BgL_ev_exprz00_bglt) BgL_vz00_3477);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3676))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3677), BUNSPEC);
			}
		}
	}



/* &lambda1578 */
	BgL_ev_exprz00_bglt BGl_z62lambda1578z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3478, obj_t BgL_oz00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3479)))->BgL_pz00);
		}
	}



/* &lambda1573 */
	obj_t BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t BgL_envz00_3480,
		obj_t BgL_oz00_3481, obj_t BgL_vz00_3482)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3679;
				BgL_ev_exprz00_bglt BgL_vz00_3680;

				BgL_oz00_3679 = ((BgL_ev_ifz00_bglt) BgL_oz00_3481);
				BgL_vz00_3680 = ((BgL_ev_exprz00_bglt) BgL_vz00_3482);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3679))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3680), BUNSPEC);
			}
		}
	}



/* &lambda1572 */
	BgL_ev_exprz00_bglt BGl_z62lambda1572z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3483, obj_t BgL_oz00_3484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3484)))->BgL_tz00);
		}
	}



/* &lambda1568 */
	obj_t BGl_z62lambda1568z62zz__evaluate_typesz00(obj_t BgL_envz00_3485,
		obj_t BgL_oz00_3486, obj_t BgL_vz00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3682;
				BgL_ev_exprz00_bglt BgL_vz00_3683;

				BgL_oz00_3682 = ((BgL_ev_ifz00_bglt) BgL_oz00_3486);
				BgL_vz00_3683 = ((BgL_ev_exprz00_bglt) BgL_vz00_3487);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3682))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3683), BUNSPEC);
			}
		}
	}



/* &lambda1567 */
	BgL_ev_exprz00_bglt BGl_z62lambda1567z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3488, obj_t BgL_oz00_3489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3489)))->BgL_ez00);
		}
	}



/* &<anonymous:1540> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31540ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3490,
		obj_t BgL_new1056z00_3491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_760;

				BgL_new1056z00_760 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3491);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_760))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_760;
			}
		}
	}



/* &lambda1537 */
	BgL_ev_littz00_bglt BGl_z62lambda1537z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1055z00_758;

					BgL_new1055z00_758 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1539z00_759;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2256z00_2165;

							{	/* Eval/evaluate_types.scm 60 */
								obj_t BgL_classz00_2162;

								BgL_classz00_2162 = BGl_ev_littz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 60 */
									obj_t BgL_vectorz00_2163;
									int BgL_kz00_2164;

									BgL_vectorz00_2163 = BgL_classz00_2162;
									BgL_kz00_2164 = (int) (((long) 1));
									BgL_res2256z00_2165 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2163, BgL_kz00_2164));
							}}
							BgL_arg1539z00_759 = BgL_res2256z00_2165;
						}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_objz00_2166;

							BgL_objz00_2166 = ((BgL_objectz00_bglt) BgL_new1055z00_758);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2166, BgL_arg1539z00_759);
					}}
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_4918;

						BgL_auxz00_4918 = ((BgL_objectz00_bglt) BgL_new1055z00_758);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4918, BFALSE);
					}
					return BgL_new1055z00_758;
				}
			}
		}
	}



/* &lambda1535 */
	BgL_ev_littz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3493, obj_t BgL_value1054z00_3494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				obj_t BgL_value1054z00_752;

				BgL_value1054z00_752 = BgL_value1054z00_3494;
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1205z00_2153;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1204z00_2154;

						BgL_new1204z00_2154 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg1536z00_2155;

							{	/* Eval/evaluate_types.scm 60 */
								long BgL_res2255z00_2159;

								{	/* Eval/evaluate_types.scm 60 */
									obj_t BgL_classz00_2156;

									BgL_classz00_2156 = BGl_ev_littz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 60 */
										obj_t BgL_vectorz00_2157;
										int BgL_kz00_2158;

										BgL_vectorz00_2157 = BgL_classz00_2156;
										BgL_kz00_2158 = (int) (((long) 1));
										BgL_res2255z00_2159 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2157,
												BgL_kz00_2158));
								}}
								BgL_arg1536z00_2155 = BgL_res2255z00_2159;
							}
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_objz00_2160;

								BgL_objz00_2160 = ((BgL_objectz00_bglt) BgL_new1204z00_2154);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2160, BgL_arg1536z00_2155);
						}}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_4927;

							BgL_auxz00_4927 = ((BgL_objectz00_bglt) BgL_new1204z00_2154);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4927, BFALSE);
						}
						BgL_new1205z00_2153 = BgL_new1204z00_2154;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1205z00_2153))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_752), BUNSPEC);
					return BgL_new1205z00_2153;
				}
			}
		}
	}



/* &lambda1548 */
	obj_t BGl_z62lambda1548z62zz__evaluate_typesz00(obj_t BgL_envz00_3495,
		obj_t BgL_oz00_3496, obj_t BgL_vz00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_oz00_3685;

				BgL_oz00_3685 = ((BgL_ev_littz00_bglt) BgL_oz00_3496);
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_oz00_3685))->BgL_valuez00) =
					((obj_t) BgL_vz00_3497), BUNSPEC);
			}
		}
	}



/* &lambda1547 */
	obj_t BGl_z62lambda1547z62zz__evaluate_typesz00(obj_t BgL_envz00_3498,
		obj_t BgL_oz00_3499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3499)))->BgL_valuez00);
		}
	}



/* &<anonymous:1508> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31508ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3500,
		obj_t BgL_new1052z00_3501)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_704;

				BgL_new1052z00_704 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3501);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_704))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_704))->BgL_namez00) =
					((obj_t) BGl_symbol2641z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_704))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_704;
			}
		}
	}



/* &lambda1506 */
	BgL_ev_globalz00_bglt BGl_z62lambda1506z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1051z00_702;

					BgL_new1051z00_702 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1507z00_703;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2254z00_2145;

							{	/* Eval/evaluate_types.scm 55 */
								obj_t BgL_classz00_2142;

								BgL_classz00_2142 = BGl_ev_globalz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 55 */
									obj_t BgL_vectorz00_2143;
									int BgL_kz00_2144;

									BgL_vectorz00_2143 = BgL_classz00_2142;
									BgL_kz00_2144 = (int) (((long) 1));
									BgL_res2254z00_2145 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2143, BgL_kz00_2144));
							}}
							BgL_arg1507z00_703 = BgL_res2254z00_2145;
						}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_objz00_2146;

							BgL_objz00_2146 = ((BgL_objectz00_bglt) BgL_new1051z00_702);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2146, BgL_arg1507z00_703);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_4945;

						BgL_auxz00_4945 = ((BgL_objectz00_bglt) BgL_new1051z00_702);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4945, BFALSE);
					}
					return BgL_new1051z00_702;
				}
			}
		}
	}



/* &lambda1504 */
	BgL_ev_globalz00_bglt BGl_z62lambda1504z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3503, obj_t BgL_loc1048z00_3504, obj_t BgL_name1049z00_3505,
		obj_t BgL_mod1050z00_3506)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				obj_t BgL_loc1048z00_694;
				obj_t BgL_name1049z00_695;
				obj_t BgL_mod1050z00_696;

				BgL_loc1048z00_694 = BgL_loc1048z00_3504;
				BgL_name1049z00_695 = BgL_name1049z00_3505;
				BgL_mod1050z00_696 = BgL_mod1050z00_3506;
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1197z00_2133;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1196z00_2134;

						BgL_new1196z00_2134 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg1505z00_2135;

							{	/* Eval/evaluate_types.scm 55 */
								long BgL_res2253z00_2139;

								{	/* Eval/evaluate_types.scm 55 */
									obj_t BgL_classz00_2136;

									BgL_classz00_2136 = BGl_ev_globalz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 55 */
										obj_t BgL_vectorz00_2137;
										int BgL_kz00_2138;

										BgL_vectorz00_2137 = BgL_classz00_2136;
										BgL_kz00_2138 = (int) (((long) 1));
										BgL_res2253z00_2139 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2137,
												BgL_kz00_2138));
								}}
								BgL_arg1505z00_2135 = BgL_res2253z00_2139;
							}
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_objz00_2140;

								BgL_objz00_2140 = ((BgL_objectz00_bglt) BgL_new1196z00_2134);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2140, BgL_arg1505z00_2135);
						}}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_4954;

							BgL_auxz00_4954 = ((BgL_objectz00_bglt) BgL_new1196z00_2134);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4954, BFALSE);
						}
						BgL_new1197z00_2133 = BgL_new1196z00_2134;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1197z00_2133))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_694), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1197z00_2133))->BgL_namez00) =
						((obj_t) BgL_name1049z00_695), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1197z00_2133))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_696), BUNSPEC);
					return BgL_new1197z00_2133;
				}
			}
		}
	}



/* &lambda1526 */
	obj_t BGl_z62lambda1526z62zz__evaluate_typesz00(obj_t BgL_envz00_3507,
		obj_t BgL_oz00_3508, obj_t BgL_vz00_3509)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3688;

				BgL_oz00_3688 = ((BgL_ev_globalz00_bglt) BgL_oz00_3508);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3688))->BgL_locz00) =
					((obj_t) BgL_vz00_3509), BUNSPEC);
			}
		}
	}



/* &lambda1525 */
	obj_t BGl_z62lambda1525z62zz__evaluate_typesz00(obj_t BgL_envz00_3510,
		obj_t BgL_oz00_3511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3511)))->BgL_locz00);
		}
	}



/* &lambda1519 */
	obj_t BGl_z62lambda1519z62zz__evaluate_typesz00(obj_t BgL_envz00_3512,
		obj_t BgL_oz00_3513, obj_t BgL_vz00_3514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3691;
				obj_t BgL_vz00_3692;

				BgL_oz00_3691 = ((BgL_ev_globalz00_bglt) BgL_oz00_3513);
				BgL_vz00_3692 = BgL_vz00_3514;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3691))->BgL_namez00) =
					((obj_t) BgL_vz00_3692), BUNSPEC);
			}
		}
	}



/* &lambda1518 */
	obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t BgL_envz00_3515,
		obj_t BgL_oz00_3516)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3516)))->BgL_namez00);
		}
	}



/* &lambda1513 */
	obj_t BGl_z62lambda1513z62zz__evaluate_typesz00(obj_t BgL_envz00_3517,
		obj_t BgL_oz00_3518, obj_t BgL_vz00_3519)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3694;

				BgL_oz00_3694 = ((BgL_ev_globalz00_bglt) BgL_oz00_3518);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3694))->BgL_modz00) =
					((obj_t) BgL_vz00_3519), BUNSPEC);
			}
		}
	}



/* &lambda1512 */
	obj_t BGl_z62lambda1512z62zz__evaluate_typesz00(obj_t BgL_envz00_3520,
		obj_t BgL_oz00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3521)))->BgL_modz00);
		}
	}



/* &<anonymous:1478> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31478ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3522, obj_t BgL_new1046z00_3523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_643;

				BgL_new1046z00_643 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3523);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_643))->BgL_namez00) =
					((obj_t) BGl_symbol2641z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_643))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_643))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_643;
			}
		}
	}



/* &lambda1476 */
	BgL_ev_varz00_bglt BGl_z62lambda1476z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3524)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1045z00_641;

					BgL_new1045z00_641 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1477z00_642;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2252z00_2115;

							{	/* Eval/evaluate_types.scm 51 */
								obj_t BgL_classz00_2112;

								BgL_classz00_2112 = BGl_ev_varz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 51 */
									obj_t BgL_vectorz00_2113;
									int BgL_kz00_2114;

									BgL_vectorz00_2113 = BgL_classz00_2112;
									BgL_kz00_2114 = (int) (((long) 1));
									BgL_res2252z00_2115 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2113, BgL_kz00_2114));
							}}
							BgL_arg1477z00_642 = BgL_res2252z00_2115;
						}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_objz00_2116;

							BgL_objz00_2116 = ((BgL_objectz00_bglt) BgL_new1045z00_641);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2116, BgL_arg1477z00_642);
					}}
					{	/* Eval/evaluate_types.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_4982;

						BgL_auxz00_4982 = ((BgL_objectz00_bglt) BgL_new1045z00_641);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4982, BFALSE);
					}
					return BgL_new1045z00_641;
				}
			}
		}
	}



/* &lambda1474 */
	BgL_ev_varz00_bglt BGl_z62lambda1474z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3525, obj_t BgL_name1042z00_3526, obj_t BgL_eff1043z00_3527,
		obj_t BgL_type1044z00_3528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				obj_t BgL_name1042z00_633;
				obj_t BgL_eff1043z00_634;
				obj_t BgL_type1044z00_635;

				BgL_name1042z00_633 = BgL_name1042z00_3526;
				BgL_eff1043z00_634 = BgL_eff1043z00_3527;
				BgL_type1044z00_635 = BgL_type1044z00_3528;
				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1189z00_2103;

					{	/* Eval/evaluate_types.scm 51 */
						BgL_ev_varz00_bglt BgL_new1188z00_2104;

						BgL_new1188z00_2104 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 51 */
							long BgL_arg1475z00_2105;

							{	/* Eval/evaluate_types.scm 51 */
								long BgL_res2251z00_2109;

								{	/* Eval/evaluate_types.scm 51 */
									obj_t BgL_classz00_2106;

									BgL_classz00_2106 = BGl_ev_varz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 51 */
										obj_t BgL_vectorz00_2107;
										int BgL_kz00_2108;

										BgL_vectorz00_2107 = BgL_classz00_2106;
										BgL_kz00_2108 = (int) (((long) 1));
										BgL_res2251z00_2109 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2107,
												BgL_kz00_2108));
								}}
								BgL_arg1475z00_2105 = BgL_res2251z00_2109;
							}
							{	/* Eval/evaluate_types.scm 51 */
								BgL_objectz00_bglt BgL_objz00_2110;

								BgL_objz00_2110 = ((BgL_objectz00_bglt) BgL_new1188z00_2104);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2110, BgL_arg1475z00_2105);
						}}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_4991;

							BgL_auxz00_4991 = ((BgL_objectz00_bglt) BgL_new1188z00_2104);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4991, BFALSE);
						}
						BgL_new1189z00_2103 = BgL_new1188z00_2104;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1189z00_2103))->BgL_namez00) =
						((obj_t) BgL_name1042z00_633), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1189z00_2103))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_634), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1189z00_2103))->BgL_typez00) =
						((obj_t) BgL_type1044z00_635), BUNSPEC);
					return BgL_new1189z00_2103;
				}
			}
		}
	}



/* &lambda1498 */
	obj_t BGl_z62lambda1498z62zz__evaluate_typesz00(obj_t BgL_envz00_3529,
		obj_t BgL_oz00_3530, obj_t BgL_vz00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3697;
				obj_t BgL_vz00_3698;

				BgL_oz00_3697 = ((BgL_ev_varz00_bglt) BgL_oz00_3530);
				BgL_vz00_3698 = BgL_vz00_3531;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3697))->BgL_namez00) =
					((obj_t) BgL_vz00_3698), BUNSPEC);
			}
		}
	}



/* &lambda1497 */
	obj_t BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t BgL_envz00_3532,
		obj_t BgL_oz00_3533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3533)))->BgL_namez00);
		}
	}



/* &<anonymous:1493> */
	obj_t BGl_z62zc3anonymousza31493ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3534)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1492 */
	obj_t BGl_z62lambda1492z62zz__evaluate_typesz00(obj_t BgL_envz00_3535,
		obj_t BgL_oz00_3536, obj_t BgL_vz00_3537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3700;

				BgL_oz00_3700 = ((BgL_ev_varz00_bglt) BgL_oz00_3536);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3700))->BgL_effz00) =
					((obj_t) BgL_vz00_3537), BUNSPEC);
			}
		}
	}



/* &lambda1491 */
	obj_t BGl_z62lambda1491z62zz__evaluate_typesz00(obj_t BgL_envz00_3538,
		obj_t BgL_oz00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3539)))->BgL_effz00);
		}
	}



/* &lambda1484 */
	obj_t BGl_z62lambda1484z62zz__evaluate_typesz00(obj_t BgL_envz00_3540,
		obj_t BgL_oz00_3541, obj_t BgL_vz00_3542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3703;

				BgL_oz00_3703 = ((BgL_ev_varz00_bglt) BgL_oz00_3541);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3703))->BgL_typez00) =
					((obj_t) BgL_vz00_3542), BUNSPEC);
			}
		}
	}



/* &lambda1483 */
	obj_t BGl_z62lambda1483z62zz__evaluate_typesz00(obj_t BgL_envz00_3543,
		obj_t BgL_oz00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3544)))->BgL_typez00);
		}
	}



/* &<anonymous:1466> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31466ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3545,
		obj_t BgL_new1040z00_3546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3546);
		}
	}



/* &lambda1464 */
	BgL_ev_exprz00_bglt BGl_z62lambda1464z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1039z00_619;

					BgL_new1039z00_619 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1465z00_620;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2250z00_2085;

							{	/* Eval/evaluate_types.scm 49 */
								obj_t BgL_classz00_2082;

								BgL_classz00_2082 = BGl_ev_exprz00zz__evaluate_typesz00;
								{	/* Eval/evaluate_types.scm 49 */
									obj_t BgL_vectorz00_2083;
									int BgL_kz00_2084;

									BgL_vectorz00_2083 = BgL_classz00_2082;
									BgL_kz00_2084 = (int) (((long) 1));
									BgL_res2250z00_2085 =
										(long) CINT(VECTOR_REF(BgL_vectorz00_2083, BgL_kz00_2084));
							}}
							BgL_arg1465z00_620 = BgL_res2250z00_2085;
						}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_objz00_2086;

							BgL_objz00_2086 = ((BgL_objectz00_bglt) BgL_new1039z00_619);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2086, BgL_arg1465z00_620);
					}}
					{	/* Eval/evaluate_types.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_5017;

						BgL_auxz00_5017 = ((BgL_objectz00_bglt) BgL_new1039z00_619);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5017, BFALSE);
					}
					return BgL_new1039z00_619;
				}
			}
		}
	}



/* &lambda1461 */
	BgL_ev_exprz00_bglt BGl_z62lambda1461z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3548)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1187z00_615;

					{	/* Eval/evaluate_types.scm 49 */
						BgL_ev_exprz00_bglt BgL_new1186z00_616;

						BgL_new1186z00_616 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 49 */
							long BgL_arg1463z00_617;

							{	/* Eval/evaluate_types.scm 49 */
								long BgL_res2249z00_2079;

								{	/* Eval/evaluate_types.scm 49 */
									obj_t BgL_classz00_2076;

									BgL_classz00_2076 = BGl_ev_exprz00zz__evaluate_typesz00;
									{	/* Eval/evaluate_types.scm 49 */
										obj_t BgL_vectorz00_2077;
										int BgL_kz00_2078;

										BgL_vectorz00_2077 = BgL_classz00_2076;
										BgL_kz00_2078 = (int) (((long) 1));
										BgL_res2249z00_2079 =
											(long) CINT(VECTOR_REF(BgL_vectorz00_2077,
												BgL_kz00_2078));
								}}
								BgL_arg1463z00_617 = BgL_res2249z00_2079;
							}
							{	/* Eval/evaluate_types.scm 49 */
								BgL_objectz00_bglt BgL_objz00_2080;

								BgL_objz00_2080 = ((BgL_objectz00_bglt) BgL_new1186z00_616);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2080, BgL_arg1463z00_617);
						}}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_5026;

							BgL_auxz00_5026 = ((BgL_objectz00_bglt) BgL_new1186z00_616);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5026, BFALSE);
						}
						BgL_new1187z00_615 = BgL_new1186z00_616;
					}
					return BgL_new1187z00_615;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 278771016),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 373318193),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 438451175),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 426797061),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					53386681), BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					317842797),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 451655587),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					268291731),
				BSTRING_TO_STRING(BGl_string2335z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
